//! moment.js
//! version : 2.29.4
//! authors : Tim Wood, Iskren Chernev, Moment.js contributors
//! license : MIT
//! momentjs.com
function decode(t){let e=t.toLowerCase(),n=e.lastIndexOf("1"),i=e.substring(0,n),r=e.substring(n+1,e.length-6),o=e.substring(e.length-6,e.length);if(!verify_checksum(i,bech32ToFiveBitArray(r+o)))throw"Malformed request: checksum is incorrect";return{human_readable_part:decodeHumanReadablePart(i),data:decodeData(r,i),checksum:o}}function decodeHumanReadablePart(t){let e;if(["lnbc","lntb","lnbcrt","lnsb","lntbs"].forEach((n=>{t.substring(0,n.length)===n&&(e=n)})),null==e)throw"Malformed request: unknown prefix";let n=decodeAmount(t.substring(e.length,t.length));return{prefix:e,amount:n}}function decodeData(t,e){let n=t.substring(0,7),i=bech32ToInt(n),r=t.substring(t.length-104,t.length),o=t.substring(7,t.length-104),a=decodeTags(o),s=bech32ToFiveBitArray(n+o);return s=fiveBitArrayTo8BitArray(s,!0),s=textToHexString(e).concat(byteArrayToHexString(s)),{time_stamp:i,tags:a,signature:decodeSignature(r),signing_data:s}}function decodeSignature(t){let e=fiveBitArrayTo8BitArray(bech32ToFiveBitArray(t)),n=e[e.length-1];return{r:byteArrayToHexString(e.slice(0,32)),s:byteArrayToHexString(e.slice(32,e.length-1)),recovery_flag:n}}function decodeAmount(t){let e=t.charAt(t.length-1),n=t.substring(0,t.length-1);if("0"===n.substring(0,1))throw"Malformed request: amount cannot contain leading zeros";if(n=Number(n),n<0||!Number.isInteger(n))throw"Malformed request: amount must be a positive decimal integer";switch(e){case"":return"Any amount";case"p":return n/10;case"n":return 100*n;case"u":return 1e5*n;case"m":return 1e8*n;default:throw"Malformed request: undefined amount multiplier"}}function decodeTags(t){let e=extractTags(t),n=[];return e.forEach((t=>n.push(decodeTag(t.type,t.length,t.data)))),n}function extractTags(t){let e=[];for(;t.length>0;){let n=t.charAt(0),i=bech32ToInt(t.substring(1,3)),r=t.substring(3,i+3);e.push({type:n,length:i,data:r}),t=t.substring(3+i,t.length)}return e}function decodeTag(t,e,n){switch(t){case"p":if(52!==e)break;return{type:t,length:e,description:"payment_hash",value:byteArrayToHexString(fiveBitArrayTo8BitArray(bech32ToFiveBitArray(n)))};case"d":return{type:t,length:e,description:"description",value:bech32ToUTF8String(n)};case"n":if(53!==e)break;return{type:t,length:e,description:"payee_public_key",value:byteArrayToHexString(fiveBitArrayTo8BitArray(bech32ToFiveBitArray(n)))};case"h":if(52!==e)break;return{type:t,length:e,description:"description_hash",value:n};case"x":return{type:t,length:e,description:"expiry",value:bech32ToInt(n)};case"c":return{type:t,length:e,description:"min_final_cltv_expiry",value:bech32ToInt(n)};case"f":let i=bech32ToFiveBitArray(n.charAt(0))[0];if(i<0||i>18)break;return{type:t,length:e,description:"fallback_address",value:{version:i,fallback_address:n=n.substring(1,n.length)}};case"r":let r=(n=fiveBitArrayTo8BitArray(bech32ToFiveBitArray(n))).slice(0,33),o=n.slice(33,41),a=n.slice(41,45),s=n.slice(45,49),l=n.slice(49,51);return{type:t,length:e,description:"routing_information",value:{public_key:byteArrayToHexString(r),short_channel_id:byteArrayToHexString(o),fee_base_msat:byteArrayToInt(a),fee_proportional_millionths:byteArrayToInt(s),cltv_expiry_delta:byteArrayToInt(l)}}}}function polymod(t){let e=[996825010,642813549,513874426,1027748829,705979059],n=1;return t.forEach((t=>{let i=n>>25;n=(33554431&n)<<5^t;for(let t=0;t<5;t++)n^=1==(i>>t&1)?e[t]:0})),n}function expand(t){let e=[];for(let n=0;n<t.length;n++)e.push(t.charCodeAt(n)>>5);e.push(0);for(let n=0;n<t.length;n++)e.push(31&t.charCodeAt(n));return e}function verify_checksum(t,e){return 1===polymod((t=expand(t)).concat(e))}!function(t,e){"object"==typeof exports&&"undefined"!=typeof module?module.exports=e():"function"==typeof define&&define.amd?define(e):t.moment=e()}(this,(function(){"use strict";var t,e;function n(){return t.apply(null,arguments)}function i(t){return t instanceof Array||"[object Array]"===Object.prototype.toString.call(t)}function r(t){return null!=t&&"[object Object]"===Object.prototype.toString.call(t)}function o(t,e){return Object.prototype.hasOwnProperty.call(t,e)}function a(t){if(Object.getOwnPropertyNames)return 0===Object.getOwnPropertyNames(t).length;var e;for(e in t)if(o(t,e))return!1;return!0}function s(t){return void 0===t}function l(t){return"number"==typeof t||"[object Number]"===Object.prototype.toString.call(t)}function u(t){return t instanceof Date||"[object Date]"===Object.prototype.toString.call(t)}function c(t,e){var n,i=[],r=t.length;for(n=0;n<r;++n)i.push(e(t[n],n));return i}function d(t,e){for(var n in e)o(e,n)&&(t[n]=e[n]);return o(e,"toString")&&(t.toString=e.toString),o(e,"valueOf")&&(t.valueOf=e.valueOf),t}function h(t,e,n,i){return Le(t,e,n,i,!0).utc()}function f(t){return null==t._pf&&(t._pf={empty:!1,unusedTokens:[],unusedInput:[],overflow:-2,charsLeftOver:0,nullInput:!1,invalidEra:null,invalidMonth:null,invalidFormat:!1,userInvalidated:!1,iso:!1,parsedDateParts:[],era:null,meridiem:null,rfc2822:!1,weekdayMismatch:!1}),t._pf}function p(t){if(null==t._isValid){var n=f(t),i=e.call(n.parsedDateParts,(function(t){return null!=t})),r=!isNaN(t._d.getTime())&&n.overflow<0&&!n.empty&&!n.invalidEra&&!n.invalidMonth&&!n.invalidWeekday&&!n.weekdayMismatch&&!n.nullInput&&!n.invalidFormat&&!n.userInvalidated&&(!n.meridiem||n.meridiem&&i);if(t._strict&&(r=r&&0===n.charsLeftOver&&0===n.unusedTokens.length&&void 0===n.bigHour),null!=Object.isFrozen&&Object.isFrozen(t))return r;t._isValid=r}return t._isValid}function m(t){var e=h(NaN);return null!=t?d(f(e),t):f(e).userInvalidated=!0,e}e=Array.prototype.some?Array.prototype.some:function(t){var e,n=Object(this),i=n.length>>>0;for(e=0;e<i;e++)if(e in n&&t.call(this,n[e],e,n))return!0;return!1};var v=n.momentProperties=[],g=!1;function _(t,e){var n,i,r,o=v.length;if(s(e._isAMomentObject)||(t._isAMomentObject=e._isAMomentObject),s(e._i)||(t._i=e._i),s(e._f)||(t._f=e._f),s(e._l)||(t._l=e._l),s(e._strict)||(t._strict=e._strict),s(e._tzm)||(t._tzm=e._tzm),s(e._isUTC)||(t._isUTC=e._isUTC),s(e._offset)||(t._offset=e._offset),s(e._pf)||(t._pf=f(e)),s(e._locale)||(t._locale=e._locale),o>0)for(n=0;n<o;n++)s(r=e[i=v[n]])||(t[i]=r);return t}function y(t){_(this,t),this._d=new Date(null!=t._d?t._d.getTime():NaN),this.isValid()||(this._d=new Date(NaN)),!1===g&&(g=!0,n.updateOffset(this),g=!1)}function b(t){return t instanceof y||null!=t&&null!=t._isAMomentObject}function w(t){!1===n.suppressDeprecationWarnings&&"undefined"!=typeof console&&console.warn&&console.warn("Deprecation warning: "+t)}function x(t,e){var i=!0;return d((function(){if(null!=n.deprecationHandler&&n.deprecationHandler(null,t),i){var r,a,s,l=[],u=arguments.length;for(a=0;a<u;a++){if(r="","object"==typeof arguments[a]){for(s in r+="\n["+a+"] ",arguments[0])o(arguments[0],s)&&(r+=s+": "+arguments[0][s]+", ");r=r.slice(0,-2)}else r=arguments[a];l.push(r)}w(t+"\nArguments: "+Array.prototype.slice.call(l).join("")+"\n"+(new Error).stack),i=!1}return e.apply(this,arguments)}),e)}var k,S={};function C(t,e){null!=n.deprecationHandler&&n.deprecationHandler(t,e),S[t]||(w(e),S[t]=!0)}function M(t){return"undefined"!=typeof Function&&t instanceof Function||"[object Function]"===Object.prototype.toString.call(t)}function T(t,e){var n,i=d({},t);for(n in e)o(e,n)&&(r(t[n])&&r(e[n])?(i[n]={},d(i[n],t[n]),d(i[n],e[n])):null!=e[n]?i[n]=e[n]:delete i[n]);for(n in t)o(t,n)&&!o(e,n)&&r(t[n])&&(i[n]=d({},i[n]));return i}function O(t){null!=t&&this.set(t)}n.suppressDeprecationWarnings=!1,n.deprecationHandler=null,k=Object.keys?Object.keys:function(t){var e,n=[];for(e in t)o(t,e)&&n.push(e);return n};function A(t,e,n){var i=""+Math.abs(t),r=e-i.length;return(t>=0?n?"+":"":"-")+Math.pow(10,Math.max(0,r)).toString().substr(1)+i}var E=/(\[[^\[]*\])|(\\)?([Hh]mm(ss)?|Mo|MM?M?M?|Do|DDDo|DD?D?D?|ddd?d?|do?|w[o|w]?|W[o|W]?|Qo?|N{1,5}|YYYYYY|YYYYY|YYYY|YY|y{2,4}|yo?|gg(ggg?)?|GG(GGG?)?|e|E|a|A|hh?|HH?|kk?|mm?|ss?|S{1,9}|x|X|zz?|ZZ?|.)/g,q=/(\[[^\[]*\])|(\\)?(LTS|LT|LL?L?L?|l{1,4})/g,L={},D={};function P(t,e,n,i){var r=i;"string"==typeof i&&(r=function(){return this[i]()}),t&&(D[t]=r),e&&(D[e[0]]=function(){return A(r.apply(this,arguments),e[1],e[2])}),n&&(D[n]=function(){return this.localeData().ordinal(r.apply(this,arguments),t)})}function R(t,e){return t.isValid()?(e=N(e,t.localeData()),L[e]=L[e]||function(t){var e,n,i,r=t.match(E);for(e=0,n=r.length;e<n;e++)D[r[e]]?r[e]=D[r[e]]:r[e]=(i=r[e]).match(/\[[\s\S]/)?i.replace(/^\[|\]$/g,""):i.replace(/\\/g,"");return function(e){var i,o="";for(i=0;i<n;i++)o+=M(r[i])?r[i].call(e,t):r[i];return o}}(e),L[e](t)):t.localeData().invalidDate()}function N(t,e){var n=5;function i(t){return e.longDateFormat(t)||t}for(q.lastIndex=0;n>=0&&q.test(t);)t=t.replace(q,i),q.lastIndex=0,n-=1;return t}var I={};function j(t,e){var n=t.toLowerCase();I[n]=I[n+"s"]=I[e]=t}function $(t){return"string"==typeof t?I[t]||I[t.toLowerCase()]:void 0}function F(t){var e,n,i={};for(n in t)o(t,n)&&(e=$(n))&&(i[e]=t[n]);return i}var B={};function z(t,e){B[t]=e}function V(t){return t%4==0&&t%100!=0||t%400==0}function H(t){return t<0?Math.ceil(t)||0:Math.floor(t)}function U(t){var e=+t,n=0;return 0!==e&&isFinite(e)&&(n=H(e)),n}function W(t,e){return function(i){return null!=i?(Q(this,t,i),n.updateOffset(this,e),this):Y(this,t)}}function Y(t,e){return t.isValid()?t._d["get"+(t._isUTC?"UTC":"")+e]():NaN}function Q(t,e,n){t.isValid()&&!isNaN(n)&&("FullYear"===e&&V(t.year())&&1===t.month()&&29===t.date()?(n=U(n),t._d["set"+(t._isUTC?"UTC":"")+e](n,t.month(),At(n,t.month()))):t._d["set"+(t._isUTC?"UTC":"")+e](n))}var G,K=/\d/,Z=/\d\d/,J=/\d{3}/,X=/\d{4}/,tt=/[+-]?\d{6}/,et=/\d\d?/,nt=/\d\d\d\d?/,it=/\d\d\d\d\d\d?/,rt=/\d{1,3}/,ot=/\d{1,4}/,at=/[+-]?\d{1,6}/,st=/\d+/,lt=/[+-]?\d+/,ut=/Z|[+-]\d\d:?\d\d/gi,ct=/Z|[+-]\d\d(?::?\d\d)?/gi,dt=/[0-9]{0,256}['a-z\u00A0-\u05FF\u0700-\uD7FF\uF900-\uFDCF\uFDF0-\uFF07\uFF10-\uFFEF]{1,256}|[\u0600-\u06FF\/]{1,256}(\s*?[\u0600-\u06FF]{1,256}){1,2}/i;function ht(t,e,n){G[t]=M(e)?e:function(t,i){return t&&n?n:e}}function ft(t,e){return o(G,t)?G[t](e._strict,e._locale):new RegExp(pt(t.replace("\\","").replace(/\\(\[)|\\(\])|\[([^\]\[]*)\]|\\(.)/g,(function(t,e,n,i,r){return e||n||i||r}))))}function pt(t){return t.replace(/[-\/\\^$*+?.()|[\]{}]/g,"\\$&")}G={};var mt={};function vt(t,e){var n,i,r=e;for("string"==typeof t&&(t=[t]),l(e)&&(r=function(t,n){n[e]=U(t)}),i=t.length,n=0;n<i;n++)mt[t[n]]=r}function gt(t,e){vt(t,(function(t,n,i,r){i._w=i._w||{},e(t,i._w,i,r)}))}function _t(t,e,n){null!=e&&o(mt,t)&&mt[t](e,n._a,n,t)}var yt,bt=0,wt=1,xt=2,kt=3,St=4,Ct=5,Mt=6,Tt=7,Ot=8;function At(t,e){if(isNaN(t)||isNaN(e))return NaN;var n,i=(e%(n=12)+n)%n;return t+=(e-i)/12,1===i?V(t)?29:28:31-i%7%2}yt=Array.prototype.indexOf?Array.prototype.indexOf:function(t){var e;for(e=0;e<this.length;++e)if(this[e]===t)return e;return-1},P("M",["MM",2],"Mo",(function(){return this.month()+1})),P("MMM",0,0,(function(t){return this.localeData().monthsShort(this,t)})),P("MMMM",0,0,(function(t){return this.localeData().months(this,t)})),j("month","M"),z("month",8),ht("M",et),ht("MM",et,Z),ht("MMM",(function(t,e){return e.monthsShortRegex(t)})),ht("MMMM",(function(t,e){return e.monthsRegex(t)})),vt(["M","MM"],(function(t,e){e[wt]=U(t)-1})),vt(["MMM","MMMM"],(function(t,e,n,i){var r=n._locale.monthsParse(t,i,n._strict);null!=r?e[wt]=r:f(n).invalidMonth=t}));var Et="January_February_March_April_May_June_July_August_September_October_November_December".split("_"),qt="Jan_Feb_Mar_Apr_May_Jun_Jul_Aug_Sep_Oct_Nov_Dec".split("_"),Lt=/D[oD]?(\[[^\[\]]*\]|\s)+MMMM?/,Dt=dt,Pt=dt;function Rt(t,e,n){var i,r,o,a=t.toLocaleLowerCase();if(!this._monthsParse)for(this._monthsParse=[],this._longMonthsParse=[],this._shortMonthsParse=[],i=0;i<12;++i)o=h([2e3,i]),this._shortMonthsParse[i]=this.monthsShort(o,"").toLocaleLowerCase(),this._longMonthsParse[i]=this.months(o,"").toLocaleLowerCase();return n?"MMM"===e?-1!==(r=yt.call(this._shortMonthsParse,a))?r:null:-1!==(r=yt.call(this._longMonthsParse,a))?r:null:"MMM"===e?-1!==(r=yt.call(this._shortMonthsParse,a))||-1!==(r=yt.call(this._longMonthsParse,a))?r:null:-1!==(r=yt.call(this._longMonthsParse,a))||-1!==(r=yt.call(this._shortMonthsParse,a))?r:null}function Nt(t,e){var n;if(!t.isValid())return t;if("string"==typeof e)if(/^\d+$/.test(e))e=U(e);else if(!l(e=t.localeData().monthsParse(e)))return t;return n=Math.min(t.date(),At(t.year(),e)),t._d["set"+(t._isUTC?"UTC":"")+"Month"](e,n),t}function It(t){return null!=t?(Nt(this,t),n.updateOffset(this,!0),this):Y(this,"Month")}function jt(){function t(t,e){return e.length-t.length}var e,n,i=[],r=[],o=[];for(e=0;e<12;e++)n=h([2e3,e]),i.push(this.monthsShort(n,"")),r.push(this.months(n,"")),o.push(this.months(n,"")),o.push(this.monthsShort(n,""));for(i.sort(t),r.sort(t),o.sort(t),e=0;e<12;e++)i[e]=pt(i[e]),r[e]=pt(r[e]);for(e=0;e<24;e++)o[e]=pt(o[e]);this._monthsRegex=new RegExp("^("+o.join("|")+")","i"),this._monthsShortRegex=this._monthsRegex,this._monthsStrictRegex=new RegExp("^("+r.join("|")+")","i"),this._monthsShortStrictRegex=new RegExp("^("+i.join("|")+")","i")}function $t(t){return V(t)?366:365}P("Y",0,0,(function(){var t=this.year();return t<=9999?A(t,4):"+"+t})),P(0,["YY",2],0,(function(){return this.year()%100})),P(0,["YYYY",4],0,"year"),P(0,["YYYYY",5],0,"year"),P(0,["YYYYYY",6,!0],0,"year"),j("year","y"),z("year",1),ht("Y",lt),ht("YY",et,Z),ht("YYYY",ot,X),ht("YYYYY",at,tt),ht("YYYYYY",at,tt),vt(["YYYYY","YYYYYY"],bt),vt("YYYY",(function(t,e){e[bt]=2===t.length?n.parseTwoDigitYear(t):U(t)})),vt("YY",(function(t,e){e[bt]=n.parseTwoDigitYear(t)})),vt("Y",(function(t,e){e[bt]=parseInt(t,10)})),n.parseTwoDigitYear=function(t){return U(t)+(U(t)>68?1900:2e3)};var Ft=W("FullYear",!0);function Bt(t,e,n,i,r,o,a){var s;return t<100&&t>=0?(s=new Date(t+400,e,n,i,r,o,a),isFinite(s.getFullYear())&&s.setFullYear(t)):s=new Date(t,e,n,i,r,o,a),s}function zt(t){var e,n;return t<100&&t>=0?((n=Array.prototype.slice.call(arguments))[0]=t+400,e=new Date(Date.UTC.apply(null,n)),isFinite(e.getUTCFullYear())&&e.setUTCFullYear(t)):e=new Date(Date.UTC.apply(null,arguments)),e}function Vt(t,e,n){var i=7+e-n;return-((7+zt(t,0,i).getUTCDay()-e)%7)+i-1}function Ht(t,e,n,i,r){var o,a,s=1+7*(e-1)+(7+n-i)%7+Vt(t,i,r);return s<=0?a=$t(o=t-1)+s:s>$t(t)?(o=t+1,a=s-$t(t)):(o=t,a=s),{year:o,dayOfYear:a}}function Ut(t,e,n){var i,r,o=Vt(t.year(),e,n),a=Math.floor((t.dayOfYear()-o-1)/7)+1;return a<1?i=a+Wt(r=t.year()-1,e,n):a>Wt(t.year(),e,n)?(i=a-Wt(t.year(),e,n),r=t.year()+1):(r=t.year(),i=a),{week:i,year:r}}function Wt(t,e,n){var i=Vt(t,e,n),r=Vt(t+1,e,n);return($t(t)-i+r)/7}P("w",["ww",2],"wo","week"),P("W",["WW",2],"Wo","isoWeek"),j("week","w"),j("isoWeek","W"),z("week",5),z("isoWeek",5),ht("w",et),ht("ww",et,Z),ht("W",et),ht("WW",et,Z),gt(["w","ww","W","WW"],(function(t,e,n,i){e[i.substr(0,1)]=U(t)}));function Yt(t,e){return t.slice(e,7).concat(t.slice(0,e))}P("d",0,"do","day"),P("dd",0,0,(function(t){return this.localeData().weekdaysMin(this,t)})),P("ddd",0,0,(function(t){return this.localeData().weekdaysShort(this,t)})),P("dddd",0,0,(function(t){return this.localeData().weekdays(this,t)})),P("e",0,0,"weekday"),P("E",0,0,"isoWeekday"),j("day","d"),j("weekday","e"),j("isoWeekday","E"),z("day",11),z("weekday",11),z("isoWeekday",11),ht("d",et),ht("e",et),ht("E",et),ht("dd",(function(t,e){return e.weekdaysMinRegex(t)})),ht("ddd",(function(t,e){return e.weekdaysShortRegex(t)})),ht("dddd",(function(t,e){return e.weekdaysRegex(t)})),gt(["dd","ddd","dddd"],(function(t,e,n,i){var r=n._locale.weekdaysParse(t,i,n._strict);null!=r?e.d=r:f(n).invalidWeekday=t})),gt(["d","e","E"],(function(t,e,n,i){e[i]=U(t)}));var Qt="Sunday_Monday_Tuesday_Wednesday_Thursday_Friday_Saturday".split("_"),Gt="Sun_Mon_Tue_Wed_Thu_Fri_Sat".split("_"),Kt="Su_Mo_Tu_We_Th_Fr_Sa".split("_"),Zt=dt,Jt=dt,Xt=dt;function te(t,e,n){var i,r,o,a=t.toLocaleLowerCase();if(!this._weekdaysParse)for(this._weekdaysParse=[],this._shortWeekdaysParse=[],this._minWeekdaysParse=[],i=0;i<7;++i)o=h([2e3,1]).day(i),this._minWeekdaysParse[i]=this.weekdaysMin(o,"").toLocaleLowerCase(),this._shortWeekdaysParse[i]=this.weekdaysShort(o,"").toLocaleLowerCase(),this._weekdaysParse[i]=this.weekdays(o,"").toLocaleLowerCase();return n?"dddd"===e?-1!==(r=yt.call(this._weekdaysParse,a))?r:null:"ddd"===e?-1!==(r=yt.call(this._shortWeekdaysParse,a))?r:null:-1!==(r=yt.call(this._minWeekdaysParse,a))?r:null:"dddd"===e?-1!==(r=yt.call(this._weekdaysParse,a))||-1!==(r=yt.call(this._shortWeekdaysParse,a))||-1!==(r=yt.call(this._minWeekdaysParse,a))?r:null:"ddd"===e?-1!==(r=yt.call(this._shortWeekdaysParse,a))||-1!==(r=yt.call(this._weekdaysParse,a))||-1!==(r=yt.call(this._minWeekdaysParse,a))?r:null:-1!==(r=yt.call(this._minWeekdaysParse,a))||-1!==(r=yt.call(this._weekdaysParse,a))||-1!==(r=yt.call(this._shortWeekdaysParse,a))?r:null}function ee(){function t(t,e){return e.length-t.length}var e,n,i,r,o,a=[],s=[],l=[],u=[];for(e=0;e<7;e++)n=h([2e3,1]).day(e),i=pt(this.weekdaysMin(n,"")),r=pt(this.weekdaysShort(n,"")),o=pt(this.weekdays(n,"")),a.push(i),s.push(r),l.push(o),u.push(i),u.push(r),u.push(o);a.sort(t),s.sort(t),l.sort(t),u.sort(t),this._weekdaysRegex=new RegExp("^("+u.join("|")+")","i"),this._weekdaysShortRegex=this._weekdaysRegex,this._weekdaysMinRegex=this._weekdaysRegex,this._weekdaysStrictRegex=new RegExp("^("+l.join("|")+")","i"),this._weekdaysShortStrictRegex=new RegExp("^("+s.join("|")+")","i"),this._weekdaysMinStrictRegex=new RegExp("^("+a.join("|")+")","i")}function ne(){return this.hours()%12||12}function ie(t,e){P(t,0,0,(function(){return this.localeData().meridiem(this.hours(),this.minutes(),e)}))}function re(t,e){return e._meridiemParse}P("H",["HH",2],0,"hour"),P("h",["hh",2],0,ne),P("k",["kk",2],0,(function(){return this.hours()||24})),P("hmm",0,0,(function(){return""+ne.apply(this)+A(this.minutes(),2)})),P("hmmss",0,0,(function(){return""+ne.apply(this)+A(this.minutes(),2)+A(this.seconds(),2)})),P("Hmm",0,0,(function(){return""+this.hours()+A(this.minutes(),2)})),P("Hmmss",0,0,(function(){return""+this.hours()+A(this.minutes(),2)+A(this.seconds(),2)})),ie("a",!0),ie("A",!1),j("hour","h"),z("hour",13),ht("a",re),ht("A",re),ht("H",et),ht("h",et),ht("k",et),ht("HH",et,Z),ht("hh",et,Z),ht("kk",et,Z),ht("hmm",nt),ht("hmmss",it),ht("Hmm",nt),ht("Hmmss",it),vt(["H","HH"],kt),vt(["k","kk"],(function(t,e,n){var i=U(t);e[kt]=24===i?0:i})),vt(["a","A"],(function(t,e,n){n._isPm=n._locale.isPM(t),n._meridiem=t})),vt(["h","hh"],(function(t,e,n){e[kt]=U(t),f(n).bigHour=!0})),vt("hmm",(function(t,e,n){var i=t.length-2;e[kt]=U(t.substr(0,i)),e[St]=U(t.substr(i)),f(n).bigHour=!0})),vt("hmmss",(function(t,e,n){var i=t.length-4,r=t.length-2;e[kt]=U(t.substr(0,i)),e[St]=U(t.substr(i,2)),e[Ct]=U(t.substr(r)),f(n).bigHour=!0})),vt("Hmm",(function(t,e,n){var i=t.length-2;e[kt]=U(t.substr(0,i)),e[St]=U(t.substr(i))})),vt("Hmmss",(function(t,e,n){var i=t.length-4,r=t.length-2;e[kt]=U(t.substr(0,i)),e[St]=U(t.substr(i,2)),e[Ct]=U(t.substr(r))}));var oe=W("Hours",!0);var ae,se={calendar:{sameDay:"[Today at] LT",nextDay:"[Tomorrow at] LT",nextWeek:"dddd [at] LT",lastDay:"[Yesterday at] LT",lastWeek:"[Last] dddd [at] LT",sameElse:"L"},longDateFormat:{LTS:"h:mm:ss A",LT:"h:mm A",L:"MM/DD/YYYY",LL:"MMMM D, YYYY",LLL:"MMMM D, YYYY h:mm A",LLLL:"dddd, MMMM D, YYYY h:mm A"},invalidDate:"Invalid date",ordinal:"%d",dayOfMonthOrdinalParse:/\d{1,2}/,relativeTime:{future:"in %s",past:"%s ago",s:"a few seconds",ss:"%d seconds",m:"a minute",mm:"%d minutes",h:"an hour",hh:"%d hours",d:"a day",dd:"%d days",w:"a week",ww:"%d weeks",M:"a month",MM:"%d months",y:"a year",yy:"%d years"},months:Et,monthsShort:qt,week:{dow:0,doy:6},weekdays:Qt,weekdaysMin:Kt,weekdaysShort:Gt,meridiemParse:/[ap]\.?m?\.?/i},le={},ue={};function ce(t,e){var n,i=Math.min(t.length,e.length);for(n=0;n<i;n+=1)if(t[n]!==e[n])return n;return i}function de(t){return t?t.toLowerCase().replace("_","-"):t}function he(t){var e=null;if(void 0===le[t]&&"undefined"!=typeof module&&module&&module.exports&&function(t){return null!=t.match("^[^/\\\\]*$")}(t))try{e=ae._abbr,require("./locale/"+t),fe(e)}catch(e){le[t]=null}return le[t]}function fe(t,e){var n;return t&&((n=s(e)?me(t):pe(t,e))?ae=n:"undefined"!=typeof console&&console.warn&&console.warn("Locale "+t+" not found. Did you forget to load it?")),ae._abbr}function pe(t,e){if(null!==e){var n,i=se;if(e.abbr=t,null!=le[t])C("defineLocaleOverride","use moment.updateLocale(localeName, config) to change an existing locale. moment.defineLocale(localeName, config) should only be used for creating a new locale See http://momentjs.com/guides/#/warnings/define-locale/ for more info."),i=le[t]._config;else if(null!=e.parentLocale)if(null!=le[e.parentLocale])i=le[e.parentLocale]._config;else{if(null==(n=he(e.parentLocale)))return ue[e.parentLocale]||(ue[e.parentLocale]=[]),ue[e.parentLocale].push({name:t,config:e}),null;i=n._config}return le[t]=new O(T(i,e)),ue[t]&&ue[t].forEach((function(t){pe(t.name,t.config)})),fe(t),le[t]}return delete le[t],null}function me(t){var e;if(t&&t._locale&&t._locale._abbr&&(t=t._locale._abbr),!t)return ae;if(!i(t)){if(e=he(t))return e;t=[t]}return function(t){for(var e,n,i,r,o=0;o<t.length;){for(e=(r=de(t[o]).split("-")).length,n=(n=de(t[o+1]))?n.split("-"):null;e>0;){if(i=he(r.slice(0,e).join("-")))return i;if(n&&n.length>=e&&ce(r,n)>=e-1)break;e--}o++}return ae}(t)}function ve(t){var e,n=t._a;return n&&-2===f(t).overflow&&(e=n[wt]<0||n[wt]>11?wt:n[xt]<1||n[xt]>At(n[bt],n[wt])?xt:n[kt]<0||n[kt]>24||24===n[kt]&&(0!==n[St]||0!==n[Ct]||0!==n[Mt])?kt:n[St]<0||n[St]>59?St:n[Ct]<0||n[Ct]>59?Ct:n[Mt]<0||n[Mt]>999?Mt:-1,f(t)._overflowDayOfYear&&(e<bt||e>xt)&&(e=xt),f(t)._overflowWeeks&&-1===e&&(e=Tt),f(t)._overflowWeekday&&-1===e&&(e=Ot),f(t).overflow=e),t}var ge=/^\s*((?:[+-]\d{6}|\d{4})-(?:\d\d-\d\d|W\d\d-\d|W\d\d|\d\d\d|\d\d))(?:(T| )(\d\d(?::\d\d(?::\d\d(?:[.,]\d+)?)?)?)([+-]\d\d(?::?\d\d)?|\s*Z)?)?$/,_e=/^\s*((?:[+-]\d{6}|\d{4})(?:\d\d\d\d|W\d\d\d|W\d\d|\d\d\d|\d\d|))(?:(T| )(\d\d(?:\d\d(?:\d\d(?:[.,]\d+)?)?)?)([+-]\d\d(?::?\d\d)?|\s*Z)?)?$/,ye=/Z|[+-]\d\d(?::?\d\d)?/,be=[["YYYYYY-MM-DD",/[+-]\d{6}-\d\d-\d\d/],["YYYY-MM-DD",/\d{4}-\d\d-\d\d/],["GGGG-[W]WW-E",/\d{4}-W\d\d-\d/],["GGGG-[W]WW",/\d{4}-W\d\d/,!1],["YYYY-DDD",/\d{4}-\d{3}/],["YYYY-MM",/\d{4}-\d\d/,!1],["YYYYYYMMDD",/[+-]\d{10}/],["YYYYMMDD",/\d{8}/],["GGGG[W]WWE",/\d{4}W\d{3}/],["GGGG[W]WW",/\d{4}W\d{2}/,!1],["YYYYDDD",/\d{7}/],["YYYYMM",/\d{6}/,!1],["YYYY",/\d{4}/,!1]],we=[["HH:mm:ss.SSSS",/\d\d:\d\d:\d\d\.\d+/],["HH:mm:ss,SSSS",/\d\d:\d\d:\d\d,\d+/],["HH:mm:ss",/\d\d:\d\d:\d\d/],["HH:mm",/\d\d:\d\d/],["HHmmss.SSSS",/\d\d\d\d\d\d\.\d+/],["HHmmss,SSSS",/\d\d\d\d\d\d,\d+/],["HHmmss",/\d\d\d\d\d\d/],["HHmm",/\d\d\d\d/],["HH",/\d\d/]],xe=/^\/?Date\((-?\d+)/i,ke=/^(?:(Mon|Tue|Wed|Thu|Fri|Sat|Sun),?\s)?(\d{1,2})\s(Jan|Feb|Mar|Apr|May|Jun|Jul|Aug|Sep|Oct|Nov|Dec)\s(\d{2,4})\s(\d\d):(\d\d)(?::(\d\d))?\s(?:(UT|GMT|[ECMP][SD]T)|([Zz])|([+-]\d{4}))$/,Se={UT:0,GMT:0,EDT:-240,EST:-300,CDT:-300,CST:-360,MDT:-360,MST:-420,PDT:-420,PST:-480};function Ce(t){var e,n,i,r,o,a,s=t._i,l=ge.exec(s)||_e.exec(s),u=be.length,c=we.length;if(l){for(f(t).iso=!0,e=0,n=u;e<n;e++)if(be[e][1].exec(l[1])){r=be[e][0],i=!1!==be[e][2];break}if(null==r)return void(t._isValid=!1);if(l[3]){for(e=0,n=c;e<n;e++)if(we[e][1].exec(l[3])){o=(l[2]||" ")+we[e][0];break}if(null==o)return void(t._isValid=!1)}if(!i&&null!=o)return void(t._isValid=!1);if(l[4]){if(!ye.exec(l[4]))return void(t._isValid=!1);a="Z"}t._f=r+(o||"")+(a||""),Ee(t)}else t._isValid=!1}function Me(t){var e=parseInt(t,10);return e<=49?2e3+e:e<=999?1900+e:e}function Te(t){var e,n,i,r,o,a,s,l,u=ke.exec(t._i.replace(/\([^()]*\)|[\n\t]/g," ").replace(/(\s\s+)/g," ").replace(/^\s\s*/,"").replace(/\s\s*$/,""));if(u){if(n=u[4],i=u[3],r=u[2],o=u[5],a=u[6],s=u[7],l=[Me(n),qt.indexOf(i),parseInt(r,10),parseInt(o,10),parseInt(a,10)],s&&l.push(parseInt(s,10)),e=l,!function(t,e,n){return!t||Gt.indexOf(t)===new Date(e[0],e[1],e[2]).getDay()||(f(n).weekdayMismatch=!0,n._isValid=!1,!1)}(u[1],e,t))return;t._a=e,t._tzm=function(t,e,n){if(t)return Se[t];if(e)return 0;var i=parseInt(n,10),r=i%100;return(i-r)/100*60+r}(u[8],u[9],u[10]),t._d=zt.apply(null,t._a),t._d.setUTCMinutes(t._d.getUTCMinutes()-t._tzm),f(t).rfc2822=!0}else t._isValid=!1}function Oe(t,e,n){return null!=t?t:null!=e?e:n}function Ae(t){var e,i,r,o,a,s=[];if(!t._d){for(r=function(t){var e=new Date(n.now());return t._useUTC?[e.getUTCFullYear(),e.getUTCMonth(),e.getUTCDate()]:[e.getFullYear(),e.getMonth(),e.getDate()]}(t),t._w&&null==t._a[xt]&&null==t._a[wt]&&function(t){var e,n,i,r,o,a,s,l,u;e=t._w,null!=e.GG||null!=e.W||null!=e.E?(o=1,a=4,n=Oe(e.GG,t._a[bt],Ut(De(),1,4).year),i=Oe(e.W,1),((r=Oe(e.E,1))<1||r>7)&&(l=!0)):(o=t._locale._week.dow,a=t._locale._week.doy,u=Ut(De(),o,a),n=Oe(e.gg,t._a[bt],u.year),i=Oe(e.w,u.week),null!=e.d?((r=e.d)<0||r>6)&&(l=!0):null!=e.e?(r=e.e+o,(e.e<0||e.e>6)&&(l=!0)):r=o);i<1||i>Wt(n,o,a)?f(t)._overflowWeeks=!0:null!=l?f(t)._overflowWeekday=!0:(s=Ht(n,i,r,o,a),t._a[bt]=s.year,t._dayOfYear=s.dayOfYear)}(t),null!=t._dayOfYear&&(a=Oe(t._a[bt],r[bt]),(t._dayOfYear>$t(a)||0===t._dayOfYear)&&(f(t)._overflowDayOfYear=!0),i=zt(a,0,t._dayOfYear),t._a[wt]=i.getUTCMonth(),t._a[xt]=i.getUTCDate()),e=0;e<3&&null==t._a[e];++e)t._a[e]=s[e]=r[e];for(;e<7;e++)t._a[e]=s[e]=null==t._a[e]?2===e?1:0:t._a[e];24===t._a[kt]&&0===t._a[St]&&0===t._a[Ct]&&0===t._a[Mt]&&(t._nextDay=!0,t._a[kt]=0),t._d=(t._useUTC?zt:Bt).apply(null,s),o=t._useUTC?t._d.getUTCDay():t._d.getDay(),null!=t._tzm&&t._d.setUTCMinutes(t._d.getUTCMinutes()-t._tzm),t._nextDay&&(t._a[kt]=24),t._w&&void 0!==t._w.d&&t._w.d!==o&&(f(t).weekdayMismatch=!0)}}function Ee(t){if(t._f!==n.ISO_8601)if(t._f!==n.RFC_2822){t._a=[],f(t).empty=!0;var e,i,r,o,a,s,l,u=""+t._i,c=u.length,d=0;for(l=(r=N(t._f,t._locale).match(E)||[]).length,e=0;e<l;e++)o=r[e],(i=(u.match(ft(o,t))||[])[0])&&((a=u.substr(0,u.indexOf(i))).length>0&&f(t).unusedInput.push(a),u=u.slice(u.indexOf(i)+i.length),d+=i.length),D[o]?(i?f(t).empty=!1:f(t).unusedTokens.push(o),_t(o,i,t)):t._strict&&!i&&f(t).unusedTokens.push(o);f(t).charsLeftOver=c-d,u.length>0&&f(t).unusedInput.push(u),t._a[kt]<=12&&!0===f(t).bigHour&&t._a[kt]>0&&(f(t).bigHour=void 0),f(t).parsedDateParts=t._a.slice(0),f(t).meridiem=t._meridiem,t._a[kt]=function(t,e,n){var i;if(null==n)return e;return null!=t.meridiemHour?t.meridiemHour(e,n):null!=t.isPM?((i=t.isPM(n))&&e<12&&(e+=12),i||12!==e||(e=0),e):e}(t._locale,t._a[kt],t._meridiem),null!==(s=f(t).era)&&(t._a[bt]=t._locale.erasConvertYear(s,t._a[bt])),Ae(t),ve(t)}else Te(t);else Ce(t)}function qe(t){var e=t._i,o=t._f;return t._locale=t._locale||me(t._l),null===e||void 0===o&&""===e?m({nullInput:!0}):("string"==typeof e&&(t._i=e=t._locale.preparse(e)),b(e)?new y(ve(e)):(u(e)?t._d=e:i(o)?function(t){var e,n,i,r,o,a,s=!1,l=t._f.length;if(0===l)return f(t).invalidFormat=!0,void(t._d=new Date(NaN));for(r=0;r<l;r++)o=0,a=!1,e=_({},t),null!=t._useUTC&&(e._useUTC=t._useUTC),e._f=t._f[r],Ee(e),p(e)&&(a=!0),o+=f(e).charsLeftOver,o+=10*f(e).unusedTokens.length,f(e).score=o,s?o<i&&(i=o,n=e):(null==i||o<i||a)&&(i=o,n=e,a&&(s=!0));d(t,n||e)}(t):o?Ee(t):function(t){var e=t._i;s(e)?t._d=new Date(n.now()):u(e)?t._d=new Date(e.valueOf()):"string"==typeof e?function(t){var e=xe.exec(t._i);null===e?(Ce(t),!1===t._isValid&&(delete t._isValid,Te(t),!1===t._isValid&&(delete t._isValid,t._strict?t._isValid=!1:n.createFromInputFallback(t)))):t._d=new Date(+e[1])}(t):i(e)?(t._a=c(e.slice(0),(function(t){return parseInt(t,10)})),Ae(t)):r(e)?function(t){if(!t._d){var e=F(t._i),n=void 0===e.day?e.date:e.day;t._a=c([e.year,e.month,n,e.hour,e.minute,e.second,e.millisecond],(function(t){return t&&parseInt(t,10)})),Ae(t)}}(t):l(e)?t._d=new Date(e):n.createFromInputFallback(t)}(t),p(t)||(t._d=null),t))}function Le(t,e,n,o,s){var l,u={};return!0!==e&&!1!==e||(o=e,e=void 0),!0!==n&&!1!==n||(o=n,n=void 0),(r(t)&&a(t)||i(t)&&0===t.length)&&(t=void 0),u._isAMomentObject=!0,u._useUTC=u._isUTC=s,u._l=n,u._i=t,u._f=e,u._strict=o,(l=new y(ve(qe(u))))._nextDay&&(l.add(1,"d"),l._nextDay=void 0),l}function De(t,e,n,i){return Le(t,e,n,i,!1)}n.createFromInputFallback=x("value provided is not in a recognized RFC2822 or ISO format. moment construction falls back to js Date(), which is not reliable across all browsers and versions. Non RFC2822/ISO date formats are discouraged. Please refer to http://momentjs.com/guides/#/warnings/js-date/ for more info.",(function(t){t._d=new Date(t._i+(t._useUTC?" UTC":""))})),n.ISO_8601=function(){},n.RFC_2822=function(){};var Pe=x("moment().min is deprecated, use moment.max instead. http://momentjs.com/guides/#/warnings/min-max/",(function(){var t=De.apply(null,arguments);return this.isValid()&&t.isValid()?t<this?this:t:m()})),Re=x("moment().max is deprecated, use moment.min instead. http://momentjs.com/guides/#/warnings/min-max/",(function(){var t=De.apply(null,arguments);return this.isValid()&&t.isValid()?t>this?this:t:m()}));function Ne(t,e){var n,r;if(1===e.length&&i(e[0])&&(e=e[0]),!e.length)return De();for(n=e[0],r=1;r<e.length;++r)e[r].isValid()&&!e[r][t](n)||(n=e[r]);return n}var Ie=["year","quarter","month","week","day","hour","minute","second","millisecond"];function je(t){var e=F(t),n=e.year||0,i=e.quarter||0,r=e.month||0,a=e.week||e.isoWeek||0,s=e.day||0,l=e.hour||0,u=e.minute||0,c=e.second||0,d=e.millisecond||0;this._isValid=function(t){var e,n,i=!1,r=Ie.length;for(e in t)if(o(t,e)&&(-1===yt.call(Ie,e)||null!=t[e]&&isNaN(t[e])))return!1;for(n=0;n<r;++n)if(t[Ie[n]]){if(i)return!1;parseFloat(t[Ie[n]])!==U(t[Ie[n]])&&(i=!0)}return!0}(e),this._milliseconds=+d+1e3*c+6e4*u+1e3*l*60*60,this._days=+s+7*a,this._months=+r+3*i+12*n,this._data={},this._locale=me(),this._bubble()}function $e(t){return t instanceof je}function Fe(t){return t<0?-1*Math.round(-1*t):Math.round(t)}function Be(t,e){P(t,0,0,(function(){var t=this.utcOffset(),n="+";return t<0&&(t=-t,n="-"),n+A(~~(t/60),2)+e+A(~~t%60,2)}))}Be("Z",":"),Be("ZZ",""),ht("Z",ct),ht("ZZ",ct),vt(["Z","ZZ"],(function(t,e,n){n._useUTC=!0,n._tzm=Ve(ct,t)}));var ze=/([\+\-]|\d\d)/gi;function Ve(t,e){var n,i,r=(e||"").match(t);return null===r?null:0===(i=60*(n=((r[r.length-1]||[])+"").match(ze)||["-",0,0])[1]+U(n[2]))?0:"+"===n[0]?i:-i}function He(t,e){var i,r;return e._isUTC?(i=e.clone(),r=(b(t)||u(t)?t.valueOf():De(t).valueOf())-i.valueOf(),i._d.setTime(i._d.valueOf()+r),n.updateOffset(i,!1),i):De(t).local()}function Ue(t){return-Math.round(t._d.getTimezoneOffset())}function We(){return!!this.isValid()&&(this._isUTC&&0===this._offset)}n.updateOffset=function(){};var Ye=/^(-|\+)?(?:(\d*)[. ])?(\d+):(\d+)(?::(\d+)(\.\d*)?)?$/,Qe=/^(-|\+)?P(?:([-+]?[0-9,.]*)Y)?(?:([-+]?[0-9,.]*)M)?(?:([-+]?[0-9,.]*)W)?(?:([-+]?[0-9,.]*)D)?(?:T(?:([-+]?[0-9,.]*)H)?(?:([-+]?[0-9,.]*)M)?(?:([-+]?[0-9,.]*)S)?)?$/;function Ge(t,e){var n,i,r,a=t,s=null;return $e(t)?a={ms:t._milliseconds,d:t._days,M:t._months}:l(t)||!isNaN(+t)?(a={},e?a[e]=+t:a.milliseconds=+t):(s=Ye.exec(t))?(n="-"===s[1]?-1:1,a={y:0,d:U(s[xt])*n,h:U(s[kt])*n,m:U(s[St])*n,s:U(s[Ct])*n,ms:U(Fe(1e3*s[Mt]))*n}):(s=Qe.exec(t))?(n="-"===s[1]?-1:1,a={y:Ke(s[2],n),M:Ke(s[3],n),w:Ke(s[4],n),d:Ke(s[5],n),h:Ke(s[6],n),m:Ke(s[7],n),s:Ke(s[8],n)}):null==a?a={}:"object"==typeof a&&("from"in a||"to"in a)&&(r=function(t,e){var n;if(!t.isValid()||!e.isValid())return{milliseconds:0,months:0};e=He(e,t),t.isBefore(e)?n=Ze(t,e):((n=Ze(e,t)).milliseconds=-n.milliseconds,n.months=-n.months);return n}(De(a.from),De(a.to)),(a={}).ms=r.milliseconds,a.M=r.months),i=new je(a),$e(t)&&o(t,"_locale")&&(i._locale=t._locale),$e(t)&&o(t,"_isValid")&&(i._isValid=t._isValid),i}function Ke(t,e){var n=t&&parseFloat(t.replace(",","."));return(isNaN(n)?0:n)*e}function Ze(t,e){var n={};return n.months=e.month()-t.month()+12*(e.year()-t.year()),t.clone().add(n.months,"M").isAfter(e)&&--n.months,n.milliseconds=+e-+t.clone().add(n.months,"M"),n}function Je(t,e){return function(n,i){var r;return null===i||isNaN(+i)||(C(e,"moment()."+e+"(period, number) is deprecated. Please use moment()."+e+"(number, period). See http://momentjs.com/guides/#/warnings/add-inverted-param/ for more info."),r=n,n=i,i=r),Xe(this,Ge(n,i),t),this}}function Xe(t,e,i,r){var o=e._milliseconds,a=Fe(e._days),s=Fe(e._months);t.isValid()&&(r=null==r||r,s&&Nt(t,Y(t,"Month")+s*i),a&&Q(t,"Date",Y(t,"Date")+a*i),o&&t._d.setTime(t._d.valueOf()+o*i),r&&n.updateOffset(t,a||s))}Ge.fn=je.prototype,Ge.invalid=function(){return Ge(NaN)};var tn=Je(1,"add"),en=Je(-1,"subtract");function nn(t){return"string"==typeof t||t instanceof String}function rn(t){return b(t)||u(t)||nn(t)||l(t)||function(t){var e=i(t),n=!1;e&&(n=0===t.filter((function(e){return!l(e)&&nn(t)})).length);return e&&n}(t)||function(t){var e,n,i=r(t)&&!a(t),s=!1,l=["years","year","y","months","month","M","days","day","d","dates","date","D","hours","hour","h","minutes","minute","m","seconds","second","s","milliseconds","millisecond","ms"],u=l.length;for(e=0;e<u;e+=1)n=l[e],s=s||o(t,n);return i&&s}(t)||null==t}function on(t,e){if(t.date()<e.date())return-on(e,t);var n=12*(e.year()-t.year())+(e.month()-t.month()),i=t.clone().add(n,"months");return-(n+(e-i<0?(e-i)/(i-t.clone().add(n-1,"months")):(e-i)/(t.clone().add(n+1,"months")-i)))||0}function an(t){var e;return void 0===t?this._locale._abbr:(null!=(e=me(t))&&(this._locale=e),this)}n.defaultFormat="YYYY-MM-DDTHH:mm:ssZ",n.defaultFormatUtc="YYYY-MM-DDTHH:mm:ss[Z]";var sn=x("moment().lang() is deprecated. Instead, use moment().localeData() to get the language configuration. Use moment().locale() to change languages.",(function(t){return void 0===t?this.localeData():this.locale(t)}));function ln(){return this._locale}var un=1e3,cn=6e4,dn=36e5,hn=126227808e5;function fn(t,e){return(t%e+e)%e}function pn(t,e,n){return t<100&&t>=0?new Date(t+400,e,n)-hn:new Date(t,e,n).valueOf()}function mn(t,e,n){return t<100&&t>=0?Date.UTC(t+400,e,n)-hn:Date.UTC(t,e,n)}function vn(t,e){return e.erasAbbrRegex(t)}function gn(){var t,e,n=[],i=[],r=[],o=[],a=this.eras();for(t=0,e=a.length;t<e;++t)i.push(pt(a[t].name)),n.push(pt(a[t].abbr)),r.push(pt(a[t].narrow)),o.push(pt(a[t].name)),o.push(pt(a[t].abbr)),o.push(pt(a[t].narrow));this._erasRegex=new RegExp("^("+o.join("|")+")","i"),this._erasNameRegex=new RegExp("^("+i.join("|")+")","i"),this._erasAbbrRegex=new RegExp("^("+n.join("|")+")","i"),this._erasNarrowRegex=new RegExp("^("+r.join("|")+")","i")}function _n(t,e){P(0,[t,t.length],0,e)}function yn(t,e,n,i,r){var o;return null==t?Ut(this,i,r).year:(e>(o=Wt(t,i,r))&&(e=o),bn.call(this,t,e,n,i,r))}function bn(t,e,n,i,r){var o=Ht(t,e,n,i,r),a=zt(o.year,0,o.dayOfYear);return this.year(a.getUTCFullYear()),this.month(a.getUTCMonth()),this.date(a.getUTCDate()),this}P("N",0,0,"eraAbbr"),P("NN",0,0,"eraAbbr"),P("NNN",0,0,"eraAbbr"),P("NNNN",0,0,"eraName"),P("NNNNN",0,0,"eraNarrow"),P("y",["y",1],"yo","eraYear"),P("y",["yy",2],0,"eraYear"),P("y",["yyy",3],0,"eraYear"),P("y",["yyyy",4],0,"eraYear"),ht("N",vn),ht("NN",vn),ht("NNN",vn),ht("NNNN",(function(t,e){return e.erasNameRegex(t)})),ht("NNNNN",(function(t,e){return e.erasNarrowRegex(t)})),vt(["N","NN","NNN","NNNN","NNNNN"],(function(t,e,n,i){var r=n._locale.erasParse(t,i,n._strict);r?f(n).era=r:f(n).invalidEra=t})),ht("y",st),ht("yy",st),ht("yyy",st),ht("yyyy",st),ht("yo",(function(t,e){return e._eraYearOrdinalRegex||st})),vt(["y","yy","yyy","yyyy"],bt),vt(["yo"],(function(t,e,n,i){var r;n._locale._eraYearOrdinalRegex&&(r=t.match(n._locale._eraYearOrdinalRegex)),n._locale.eraYearOrdinalParse?e[bt]=n._locale.eraYearOrdinalParse(t,r):e[bt]=parseInt(t,10)})),P(0,["gg",2],0,(function(){return this.weekYear()%100})),P(0,["GG",2],0,(function(){return this.isoWeekYear()%100})),_n("gggg","weekYear"),_n("ggggg","weekYear"),_n("GGGG","isoWeekYear"),_n("GGGGG","isoWeekYear"),j("weekYear","gg"),j("isoWeekYear","GG"),z("weekYear",1),z("isoWeekYear",1),ht("G",lt),ht("g",lt),ht("GG",et,Z),ht("gg",et,Z),ht("GGGG",ot,X),ht("gggg",ot,X),ht("GGGGG",at,tt),ht("ggggg",at,tt),gt(["gggg","ggggg","GGGG","GGGGG"],(function(t,e,n,i){e[i.substr(0,2)]=U(t)})),gt(["gg","GG"],(function(t,e,i,r){e[r]=n.parseTwoDigitYear(t)})),P("Q",0,"Qo","quarter"),j("quarter","Q"),z("quarter",7),ht("Q",K),vt("Q",(function(t,e){e[wt]=3*(U(t)-1)})),P("D",["DD",2],"Do","date"),j("date","D"),z("date",9),ht("D",et),ht("DD",et,Z),ht("Do",(function(t,e){return t?e._dayOfMonthOrdinalParse||e._ordinalParse:e._dayOfMonthOrdinalParseLenient})),vt(["D","DD"],xt),vt("Do",(function(t,e){e[xt]=U(t.match(et)[0])}));var wn=W("Date",!0);P("DDD",["DDDD",3],"DDDo","dayOfYear"),j("dayOfYear","DDD"),z("dayOfYear",4),ht("DDD",rt),ht("DDDD",J),vt(["DDD","DDDD"],(function(t,e,n){n._dayOfYear=U(t)})),P("m",["mm",2],0,"minute"),j("minute","m"),z("minute",14),ht("m",et),ht("mm",et,Z),vt(["m","mm"],St);var xn=W("Minutes",!1);P("s",["ss",2],0,"second"),j("second","s"),z("second",15),ht("s",et),ht("ss",et,Z),vt(["s","ss"],Ct);var kn,Sn,Cn=W("Seconds",!1);for(P("S",0,0,(function(){return~~(this.millisecond()/100)})),P(0,["SS",2],0,(function(){return~~(this.millisecond()/10)})),P(0,["SSS",3],0,"millisecond"),P(0,["SSSS",4],0,(function(){return 10*this.millisecond()})),P(0,["SSSSS",5],0,(function(){return 100*this.millisecond()})),P(0,["SSSSSS",6],0,(function(){return 1e3*this.millisecond()})),P(0,["SSSSSSS",7],0,(function(){return 1e4*this.millisecond()})),P(0,["SSSSSSSS",8],0,(function(){return 1e5*this.millisecond()})),P(0,["SSSSSSSSS",9],0,(function(){return 1e6*this.millisecond()})),j("millisecond","ms"),z("millisecond",16),ht("S",rt,K),ht("SS",rt,Z),ht("SSS",rt,J),kn="SSSS";kn.length<=9;kn+="S")ht(kn,st);function Mn(t,e){e[Mt]=U(1e3*("0."+t))}for(kn="S";kn.length<=9;kn+="S")vt(kn,Mn);Sn=W("Milliseconds",!1),P("z",0,0,"zoneAbbr"),P("zz",0,0,"zoneName");var Tn=y.prototype;function On(t){return t}Tn.add=tn,Tn.calendar=function(t,e){1===arguments.length&&(arguments[0]?rn(arguments[0])?(t=arguments[0],e=void 0):function(t){var e,n=r(t)&&!a(t),i=!1,s=["sameDay","nextDay","lastDay","nextWeek","lastWeek","sameElse"];for(e=0;e<s.length;e+=1)i=i||o(t,s[e]);return n&&i}(arguments[0])&&(e=arguments[0],t=void 0):(t=void 0,e=void 0));var i=t||De(),s=He(i,this).startOf("day"),l=n.calendarFormat(this,s)||"sameElse",u=e&&(M(e[l])?e[l].call(this,i):e[l]);return this.format(u||this.localeData().calendar(l,this,De(i)))},Tn.clone=function(){return new y(this)},Tn.diff=function(t,e,n){var i,r,o;if(!this.isValid())return NaN;if(!(i=He(t,this)).isValid())return NaN;switch(r=6e4*(i.utcOffset()-this.utcOffset()),e=$(e)){case"year":o=on(this,i)/12;break;case"month":o=on(this,i);break;case"quarter":o=on(this,i)/3;break;case"second":o=(this-i)/1e3;break;case"minute":o=(this-i)/6e4;break;case"hour":o=(this-i)/36e5;break;case"day":o=(this-i-r)/864e5;break;case"week":o=(this-i-r)/6048e5;break;default:o=this-i}return n?o:H(o)},Tn.endOf=function(t){var e,i;if(void 0===(t=$(t))||"millisecond"===t||!this.isValid())return this;switch(i=this._isUTC?mn:pn,t){case"year":e=i(this.year()+1,0,1)-1;break;case"quarter":e=i(this.year(),this.month()-this.month()%3+3,1)-1;break;case"month":e=i(this.year(),this.month()+1,1)-1;break;case"week":e=i(this.year(),this.month(),this.date()-this.weekday()+7)-1;break;case"isoWeek":e=i(this.year(),this.month(),this.date()-(this.isoWeekday()-1)+7)-1;break;case"day":case"date":e=i(this.year(),this.month(),this.date()+1)-1;break;case"hour":e=this._d.valueOf(),e+=dn-fn(e+(this._isUTC?0:this.utcOffset()*cn),dn)-1;break;case"minute":e=this._d.valueOf(),e+=cn-fn(e,cn)-1;break;case"second":e=this._d.valueOf(),e+=un-fn(e,un)-1}return this._d.setTime(e),n.updateOffset(this,!0),this},Tn.format=function(t){t||(t=this.isUtc()?n.defaultFormatUtc:n.defaultFormat);var e=R(this,t);return this.localeData().postformat(e)},Tn.from=function(t,e){return this.isValid()&&(b(t)&&t.isValid()||De(t).isValid())?Ge({to:this,from:t}).locale(this.locale()).humanize(!e):this.localeData().invalidDate()},Tn.fromNow=function(t){return this.from(De(),t)},Tn.to=function(t,e){return this.isValid()&&(b(t)&&t.isValid()||De(t).isValid())?Ge({from:this,to:t}).locale(this.locale()).humanize(!e):this.localeData().invalidDate()},Tn.toNow=function(t){return this.to(De(),t)},Tn.get=function(t){return M(this[t=$(t)])?this[t]():this},Tn.invalidAt=function(){return f(this).overflow},Tn.isAfter=function(t,e){var n=b(t)?t:De(t);return!(!this.isValid()||!n.isValid())&&("millisecond"===(e=$(e)||"millisecond")?this.valueOf()>n.valueOf():n.valueOf()<this.clone().startOf(e).valueOf())},Tn.isBefore=function(t,e){var n=b(t)?t:De(t);return!(!this.isValid()||!n.isValid())&&("millisecond"===(e=$(e)||"millisecond")?this.valueOf()<n.valueOf():this.clone().endOf(e).valueOf()<n.valueOf())},Tn.isBetween=function(t,e,n,i){var r=b(t)?t:De(t),o=b(e)?e:De(e);return!!(this.isValid()&&r.isValid()&&o.isValid())&&(("("===(i=i||"()")[0]?this.isAfter(r,n):!this.isBefore(r,n))&&(")"===i[1]?this.isBefore(o,n):!this.isAfter(o,n)))},Tn.isSame=function(t,e){var n,i=b(t)?t:De(t);return!(!this.isValid()||!i.isValid())&&("millisecond"===(e=$(e)||"millisecond")?this.valueOf()===i.valueOf():(n=i.valueOf(),this.clone().startOf(e).valueOf()<=n&&n<=this.clone().endOf(e).valueOf()))},Tn.isSameOrAfter=function(t,e){return this.isSame(t,e)||this.isAfter(t,e)},Tn.isSameOrBefore=function(t,e){return this.isSame(t,e)||this.isBefore(t,e)},Tn.isValid=function(){return p(this)},Tn.lang=sn,Tn.locale=an,Tn.localeData=ln,Tn.max=Re,Tn.min=Pe,Tn.parsingFlags=function(){return d({},f(this))},Tn.set=function(t,e){if("object"==typeof t){var n,i=function(t){var e,n=[];for(e in t)o(t,e)&&n.push({unit:e,priority:B[e]});return n.sort((function(t,e){return t.priority-e.priority})),n}(t=F(t)),r=i.length;for(n=0;n<r;n++)this[i[n].unit](t[i[n].unit])}else if(M(this[t=$(t)]))return this[t](e);return this},Tn.startOf=function(t){var e,i;if(void 0===(t=$(t))||"millisecond"===t||!this.isValid())return this;switch(i=this._isUTC?mn:pn,t){case"year":e=i(this.year(),0,1);break;case"quarter":e=i(this.year(),this.month()-this.month()%3,1);break;case"month":e=i(this.year(),this.month(),1);break;case"week":e=i(this.year(),this.month(),this.date()-this.weekday());break;case"isoWeek":e=i(this.year(),this.month(),this.date()-(this.isoWeekday()-1));break;case"day":case"date":e=i(this.year(),this.month(),this.date());break;case"hour":e=this._d.valueOf(),e-=fn(e+(this._isUTC?0:this.utcOffset()*cn),dn);break;case"minute":e=this._d.valueOf(),e-=fn(e,cn);break;case"second":e=this._d.valueOf(),e-=fn(e,un)}return this._d.setTime(e),n.updateOffset(this,!0),this},Tn.subtract=en,Tn.toArray=function(){var t=this;return[t.year(),t.month(),t.date(),t.hour(),t.minute(),t.second(),t.millisecond()]},Tn.toObject=function(){var t=this;return{years:t.year(),months:t.month(),date:t.date(),hours:t.hours(),minutes:t.minutes(),seconds:t.seconds(),milliseconds:t.milliseconds()}},Tn.toDate=function(){return new Date(this.valueOf())},Tn.toISOString=function(t){if(!this.isValid())return null;var e=!0!==t,n=e?this.clone().utc():this;return n.year()<0||n.year()>9999?R(n,e?"YYYYYY-MM-DD[T]HH:mm:ss.SSS[Z]":"YYYYYY-MM-DD[T]HH:mm:ss.SSSZ"):M(Date.prototype.toISOString)?e?this.toDate().toISOString():new Date(this.valueOf()+60*this.utcOffset()*1e3).toISOString().replace("Z",R(n,"Z")):R(n,e?"YYYY-MM-DD[T]HH:mm:ss.SSS[Z]":"YYYY-MM-DD[T]HH:mm:ss.SSSZ")},Tn.inspect=function(){if(!this.isValid())return"moment.invalid(/* "+this._i+" */)";var t,e,n,i="moment",r="";return this.isLocal()||(i=0===this.utcOffset()?"moment.utc":"moment.parseZone",r="Z"),t="["+i+'("]',e=0<=this.year()&&this.year()<=9999?"YYYY":"YYYYYY","-MM-DD[T]HH:mm:ss.SSS",n=r+'[")]',this.format(t+e+"-MM-DD[T]HH:mm:ss.SSS"+n)},"undefined"!=typeof Symbol&&null!=Symbol.for&&(Tn[Symbol.for("nodejs.util.inspect.custom")]=function(){return"Moment<"+this.format()+">"}),Tn.toJSON=function(){return this.isValid()?this.toISOString():null},Tn.toString=function(){return this.clone().locale("en").format("ddd MMM DD YYYY HH:mm:ss [GMT]ZZ")},Tn.unix=function(){return Math.floor(this.valueOf()/1e3)},Tn.valueOf=function(){return this._d.valueOf()-6e4*(this._offset||0)},Tn.creationData=function(){return{input:this._i,format:this._f,locale:this._locale,isUTC:this._isUTC,strict:this._strict}},Tn.eraName=function(){var t,e,n,i=this.localeData().eras();for(t=0,e=i.length;t<e;++t){if(n=this.clone().startOf("day").valueOf(),i[t].since<=n&&n<=i[t].until)return i[t].name;if(i[t].until<=n&&n<=i[t].since)return i[t].name}return""},Tn.eraNarrow=function(){var t,e,n,i=this.localeData().eras();for(t=0,e=i.length;t<e;++t){if(n=this.clone().startOf("day").valueOf(),i[t].since<=n&&n<=i[t].until)return i[t].narrow;if(i[t].until<=n&&n<=i[t].since)return i[t].narrow}return""},Tn.eraAbbr=function(){var t,e,n,i=this.localeData().eras();for(t=0,e=i.length;t<e;++t){if(n=this.clone().startOf("day").valueOf(),i[t].since<=n&&n<=i[t].until)return i[t].abbr;if(i[t].until<=n&&n<=i[t].since)return i[t].abbr}return""},Tn.eraYear=function(){var t,e,i,r,o=this.localeData().eras();for(t=0,e=o.length;t<e;++t)if(i=o[t].since<=o[t].until?1:-1,r=this.clone().startOf("day").valueOf(),o[t].since<=r&&r<=o[t].until||o[t].until<=r&&r<=o[t].since)return(this.year()-n(o[t].since).year())*i+o[t].offset;return this.year()},Tn.year=Ft,Tn.isLeapYear=function(){return V(this.year())},Tn.weekYear=function(t){return yn.call(this,t,this.week(),this.weekday(),this.localeData()._week.dow,this.localeData()._week.doy)},Tn.isoWeekYear=function(t){return yn.call(this,t,this.isoWeek(),this.isoWeekday(),1,4)},Tn.quarter=Tn.quarters=function(t){return null==t?Math.ceil((this.month()+1)/3):this.month(3*(t-1)+this.month()%3)},Tn.month=It,Tn.daysInMonth=function(){return At(this.year(),this.month())},Tn.week=Tn.weeks=function(t){var e=this.localeData().week(this);return null==t?e:this.add(7*(t-e),"d")},Tn.isoWeek=Tn.isoWeeks=function(t){var e=Ut(this,1,4).week;return null==t?e:this.add(7*(t-e),"d")},Tn.weeksInYear=function(){var t=this.localeData()._week;return Wt(this.year(),t.dow,t.doy)},Tn.weeksInWeekYear=function(){var t=this.localeData()._week;return Wt(this.weekYear(),t.dow,t.doy)},Tn.isoWeeksInYear=function(){return Wt(this.year(),1,4)},Tn.isoWeeksInISOWeekYear=function(){return Wt(this.isoWeekYear(),1,4)},Tn.date=wn,Tn.day=Tn.days=function(t){if(!this.isValid())return null!=t?this:NaN;var e=this._isUTC?this._d.getUTCDay():this._d.getDay();return null!=t?(t=function(t,e){return"string"!=typeof t?t:isNaN(t)?"number"==typeof(t=e.weekdaysParse(t))?t:null:parseInt(t,10)}(t,this.localeData()),this.add(t-e,"d")):e},Tn.weekday=function(t){if(!this.isValid())return null!=t?this:NaN;var e=(this.day()+7-this.localeData()._week.dow)%7;return null==t?e:this.add(t-e,"d")},Tn.isoWeekday=function(t){if(!this.isValid())return null!=t?this:NaN;if(null!=t){var e=function(t,e){return"string"==typeof t?e.weekdaysParse(t)%7||7:isNaN(t)?null:t}(t,this.localeData());return this.day(this.day()%7?e:e-7)}return this.day()||7},Tn.dayOfYear=function(t){var e=Math.round((this.clone().startOf("day")-this.clone().startOf("year"))/864e5)+1;return null==t?e:this.add(t-e,"d")},Tn.hour=Tn.hours=oe,Tn.minute=Tn.minutes=xn,Tn.second=Tn.seconds=Cn,Tn.millisecond=Tn.milliseconds=Sn,Tn.utcOffset=function(t,e,i){var r,o=this._offset||0;if(!this.isValid())return null!=t?this:NaN;if(null!=t){if("string"==typeof t){if(null===(t=Ve(ct,t)))return this}else Math.abs(t)<16&&!i&&(t*=60);return!this._isUTC&&e&&(r=Ue(this)),this._offset=t,this._isUTC=!0,null!=r&&this.add(r,"m"),o!==t&&(!e||this._changeInProgress?Xe(this,Ge(t-o,"m"),1,!1):this._changeInProgress||(this._changeInProgress=!0,n.updateOffset(this,!0),this._changeInProgress=null)),this}return this._isUTC?o:Ue(this)},Tn.utc=function(t){return this.utcOffset(0,t)},Tn.local=function(t){return this._isUTC&&(this.utcOffset(0,t),this._isUTC=!1,t&&this.subtract(Ue(this),"m")),this},Tn.parseZone=function(){if(null!=this._tzm)this.utcOffset(this._tzm,!1,!0);else if("string"==typeof this._i){var t=Ve(ut,this._i);null!=t?this.utcOffset(t):this.utcOffset(0,!0)}return this},Tn.hasAlignedHourOffset=function(t){return!!this.isValid()&&(t=t?De(t).utcOffset():0,(this.utcOffset()-t)%60==0)},Tn.isDST=function(){return this.utcOffset()>this.clone().month(0).utcOffset()||this.utcOffset()>this.clone().month(5).utcOffset()},Tn.isLocal=function(){return!!this.isValid()&&!this._isUTC},Tn.isUtcOffset=function(){return!!this.isValid()&&this._isUTC},Tn.isUtc=We,Tn.isUTC=We,Tn.zoneAbbr=function(){return this._isUTC?"UTC":""},Tn.zoneName=function(){return this._isUTC?"Coordinated Universal Time":""},Tn.dates=x("dates accessor is deprecated. Use date instead.",wn),Tn.months=x("months accessor is deprecated. Use month instead",It),Tn.years=x("years accessor is deprecated. Use year instead",Ft),Tn.zone=x("moment().zone is deprecated, use moment().utcOffset instead. http://momentjs.com/guides/#/warnings/zone/",(function(t,e){return null!=t?("string"!=typeof t&&(t=-t),this.utcOffset(t,e),this):-this.utcOffset()})),Tn.isDSTShifted=x("isDSTShifted is deprecated. See http://momentjs.com/guides/#/warnings/dst-shifted/ for more information",(function(){if(!s(this._isDSTShifted))return this._isDSTShifted;var t,e={};return _(e,this),(e=qe(e))._a?(t=e._isUTC?h(e._a):De(e._a),this._isDSTShifted=this.isValid()&&function(t,e,n){var i,r=Math.min(t.length,e.length),o=Math.abs(t.length-e.length),a=0;for(i=0;i<r;i++)(n&&t[i]!==e[i]||!n&&U(t[i])!==U(e[i]))&&a++;return a+o}(e._a,t.toArray())>0):this._isDSTShifted=!1,this._isDSTShifted}));var An=O.prototype;function En(t,e,n,i){var r=me(),o=h().set(i,e);return r[n](o,t)}function qn(t,e,n){if(l(t)&&(e=t,t=void 0),t=t||"",null!=e)return En(t,e,n,"month");var i,r=[];for(i=0;i<12;i++)r[i]=En(t,i,n,"month");return r}function Ln(t,e,n,i){"boolean"==typeof t?(l(e)&&(n=e,e=void 0),e=e||""):(n=e=t,t=!1,l(e)&&(n=e,e=void 0),e=e||"");var r,o=me(),a=t?o._week.dow:0,s=[];if(null!=n)return En(e,(n+a)%7,i,"day");for(r=0;r<7;r++)s[r]=En(e,(r+a)%7,i,"day");return s}An.calendar=function(t,e,n){var i=this._calendar[t]||this._calendar.sameElse;return M(i)?i.call(e,n):i},An.longDateFormat=function(t){var e=this._longDateFormat[t],n=this._longDateFormat[t.toUpperCase()];return e||!n?e:(this._longDateFormat[t]=n.match(E).map((function(t){return"MMMM"===t||"MM"===t||"DD"===t||"dddd"===t?t.slice(1):t})).join(""),this._longDateFormat[t])},An.invalidDate=function(){return this._invalidDate},An.ordinal=function(t){return this._ordinal.replace("%d",t)},An.preparse=On,An.postformat=On,An.relativeTime=function(t,e,n,i){var r=this._relativeTime[n];return M(r)?r(t,e,n,i):r.replace(/%d/i,t)},An.pastFuture=function(t,e){var n=this._relativeTime[t>0?"future":"past"];return M(n)?n(e):n.replace(/%s/i,e)},An.set=function(t){var e,n;for(n in t)o(t,n)&&(M(e=t[n])?this[n]=e:this["_"+n]=e);this._config=t,this._dayOfMonthOrdinalParseLenient=new RegExp((this._dayOfMonthOrdinalParse.source||this._ordinalParse.source)+"|"+/\d{1,2}/.source)},An.eras=function(t,e){var i,r,o,a=this._eras||me("en")._eras;for(i=0,r=a.length;i<r;++i){if("string"==typeof a[i].since)o=n(a[i].since).startOf("day"),a[i].since=o.valueOf();switch(typeof a[i].until){case"undefined":a[i].until=1/0;break;case"string":o=n(a[i].until).startOf("day").valueOf(),a[i].until=o.valueOf()}}return a},An.erasParse=function(t,e,n){var i,r,o,a,s,l=this.eras();for(t=t.toUpperCase(),i=0,r=l.length;i<r;++i)if(o=l[i].name.toUpperCase(),a=l[i].abbr.toUpperCase(),s=l[i].narrow.toUpperCase(),n)switch(e){case"N":case"NN":case"NNN":if(a===t)return l[i];break;case"NNNN":if(o===t)return l[i];break;case"NNNNN":if(s===t)return l[i]}else if([o,a,s].indexOf(t)>=0)return l[i]},An.erasConvertYear=function(t,e){var i=t.since<=t.until?1:-1;return void 0===e?n(t.since).year():n(t.since).year()+(e-t.offset)*i},An.erasAbbrRegex=function(t){return o(this,"_erasAbbrRegex")||gn.call(this),t?this._erasAbbrRegex:this._erasRegex},An.erasNameRegex=function(t){return o(this,"_erasNameRegex")||gn.call(this),t?this._erasNameRegex:this._erasRegex},An.erasNarrowRegex=function(t){return o(this,"_erasNarrowRegex")||gn.call(this),t?this._erasNarrowRegex:this._erasRegex},An.months=function(t,e){return t?i(this._months)?this._months[t.month()]:this._months[(this._months.isFormat||Lt).test(e)?"format":"standalone"][t.month()]:i(this._months)?this._months:this._months.standalone},An.monthsShort=function(t,e){return t?i(this._monthsShort)?this._monthsShort[t.month()]:this._monthsShort[Lt.test(e)?"format":"standalone"][t.month()]:i(this._monthsShort)?this._monthsShort:this._monthsShort.standalone},An.monthsParse=function(t,e,n){var i,r,o;if(this._monthsParseExact)return Rt.call(this,t,e,n);for(this._monthsParse||(this._monthsParse=[],this._longMonthsParse=[],this._shortMonthsParse=[]),i=0;i<12;i++){if(r=h([2e3,i]),n&&!this._longMonthsParse[i]&&(this._longMonthsParse[i]=new RegExp("^"+this.months(r,"").replace(".","")+"$","i"),this._shortMonthsParse[i]=new RegExp("^"+this.monthsShort(r,"").replace(".","")+"$","i")),n||this._monthsParse[i]||(o="^"+this.months(r,"")+"|^"+this.monthsShort(r,""),this._monthsParse[i]=new RegExp(o.replace(".",""),"i")),n&&"MMMM"===e&&this._longMonthsParse[i].test(t))return i;if(n&&"MMM"===e&&this._shortMonthsParse[i].test(t))return i;if(!n&&this._monthsParse[i].test(t))return i}},An.monthsRegex=function(t){return this._monthsParseExact?(o(this,"_monthsRegex")||jt.call(this),t?this._monthsStrictRegex:this._monthsRegex):(o(this,"_monthsRegex")||(this._monthsRegex=Pt),this._monthsStrictRegex&&t?this._monthsStrictRegex:this._monthsRegex)},An.monthsShortRegex=function(t){return this._monthsParseExact?(o(this,"_monthsRegex")||jt.call(this),t?this._monthsShortStrictRegex:this._monthsShortRegex):(o(this,"_monthsShortRegex")||(this._monthsShortRegex=Dt),this._monthsShortStrictRegex&&t?this._monthsShortStrictRegex:this._monthsShortRegex)},An.week=function(t){return Ut(t,this._week.dow,this._week.doy).week},An.firstDayOfYear=function(){return this._week.doy},An.firstDayOfWeek=function(){return this._week.dow},An.weekdays=function(t,e){var n=i(this._weekdays)?this._weekdays:this._weekdays[t&&!0!==t&&this._weekdays.isFormat.test(e)?"format":"standalone"];return!0===t?Yt(n,this._week.dow):t?n[t.day()]:n},An.weekdaysMin=function(t){return!0===t?Yt(this._weekdaysMin,this._week.dow):t?this._weekdaysMin[t.day()]:this._weekdaysMin},An.weekdaysShort=function(t){return!0===t?Yt(this._weekdaysShort,this._week.dow):t?this._weekdaysShort[t.day()]:this._weekdaysShort},An.weekdaysParse=function(t,e,n){var i,r,o;if(this._weekdaysParseExact)return te.call(this,t,e,n);for(this._weekdaysParse||(this._weekdaysParse=[],this._minWeekdaysParse=[],this._shortWeekdaysParse=[],this._fullWeekdaysParse=[]),i=0;i<7;i++){if(r=h([2e3,1]).day(i),n&&!this._fullWeekdaysParse[i]&&(this._fullWeekdaysParse[i]=new RegExp("^"+this.weekdays(r,"").replace(".","\\.?")+"$","i"),this._shortWeekdaysParse[i]=new RegExp("^"+this.weekdaysShort(r,"").replace(".","\\.?")+"$","i"),this._minWeekdaysParse[i]=new RegExp("^"+this.weekdaysMin(r,"").replace(".","\\.?")+"$","i")),this._weekdaysParse[i]||(o="^"+this.weekdays(r,"")+"|^"+this.weekdaysShort(r,"")+"|^"+this.weekdaysMin(r,""),this._weekdaysParse[i]=new RegExp(o.replace(".",""),"i")),n&&"dddd"===e&&this._fullWeekdaysParse[i].test(t))return i;if(n&&"ddd"===e&&this._shortWeekdaysParse[i].test(t))return i;if(n&&"dd"===e&&this._minWeekdaysParse[i].test(t))return i;if(!n&&this._weekdaysParse[i].test(t))return i}},An.weekdaysRegex=function(t){return this._weekdaysParseExact?(o(this,"_weekdaysRegex")||ee.call(this),t?this._weekdaysStrictRegex:this._weekdaysRegex):(o(this,"_weekdaysRegex")||(this._weekdaysRegex=Zt),this._weekdaysStrictRegex&&t?this._weekdaysStrictRegex:this._weekdaysRegex)},An.weekdaysShortRegex=function(t){return this._weekdaysParseExact?(o(this,"_weekdaysRegex")||ee.call(this),t?this._weekdaysShortStrictRegex:this._weekdaysShortRegex):(o(this,"_weekdaysShortRegex")||(this._weekdaysShortRegex=Jt),this._weekdaysShortStrictRegex&&t?this._weekdaysShortStrictRegex:this._weekdaysShortRegex)},An.weekdaysMinRegex=function(t){return this._weekdaysParseExact?(o(this,"_weekdaysRegex")||ee.call(this),t?this._weekdaysMinStrictRegex:this._weekdaysMinRegex):(o(this,"_weekdaysMinRegex")||(this._weekdaysMinRegex=Xt),this._weekdaysMinStrictRegex&&t?this._weekdaysMinStrictRegex:this._weekdaysMinRegex)},An.isPM=function(t){return"p"===(t+"").toLowerCase().charAt(0)},An.meridiem=function(t,e,n){return t>11?n?"pm":"PM":n?"am":"AM"},fe("en",{eras:[{since:"0001-01-01",until:1/0,offset:1,name:"Anno Domini",narrow:"AD",abbr:"AD"},{since:"0000-12-31",until:-1/0,offset:1,name:"Before Christ",narrow:"BC",abbr:"BC"}],dayOfMonthOrdinalParse:/\d{1,2}(th|st|nd|rd)/,ordinal:function(t){var e=t%10;return t+(1===U(t%100/10)?"th":1===e?"st":2===e?"nd":3===e?"rd":"th")}}),n.lang=x("moment.lang is deprecated. Use moment.locale instead.",fe),n.langData=x("moment.langData is deprecated. Use moment.localeData instead.",me);var Dn=Math.abs;function Pn(t,e,n,i){var r=Ge(e,n);return t._milliseconds+=i*r._milliseconds,t._days+=i*r._days,t._months+=i*r._months,t._bubble()}function Rn(t){return t<0?Math.floor(t):Math.ceil(t)}function Nn(t){return 4800*t/146097}function In(t){return 146097*t/4800}function jn(t){return function(){return this.as(t)}}var $n=jn("ms"),Fn=jn("s"),Bn=jn("m"),zn=jn("h"),Vn=jn("d"),Hn=jn("w"),Un=jn("M"),Wn=jn("Q"),Yn=jn("y");function Qn(t){return function(){return this.isValid()?this._data[t]:NaN}}var Gn=Qn("milliseconds"),Kn=Qn("seconds"),Zn=Qn("minutes"),Jn=Qn("hours"),Xn=Qn("days"),ti=Qn("months"),ei=Qn("years");var ni=Math.round,ii={ss:44,s:45,m:45,h:22,d:26,w:null,M:11};function ri(t,e,n,i,r){return r.relativeTime(e||1,!!n,t,i)}var oi=Math.abs;function ai(t){return(t>0)-(t<0)||+t}function si(){if(!this.isValid())return this.localeData().invalidDate();var t,e,n,i,r,o,a,s,l=oi(this._milliseconds)/1e3,u=oi(this._days),c=oi(this._months),d=this.asSeconds();return d?(t=H(l/60),e=H(t/60),l%=60,t%=60,n=H(c/12),c%=12,i=l?l.toFixed(3).replace(/\.?0+$/,""):"",r=d<0?"-":"",o=ai(this._months)!==ai(d)?"-":"",a=ai(this._days)!==ai(d)?"-":"",s=ai(this._milliseconds)!==ai(d)?"-":"",r+"P"+(n?o+n+"Y":"")+(c?o+c+"M":"")+(u?a+u+"D":"")+(e||t||l?"T":"")+(e?s+e+"H":"")+(t?s+t+"M":"")+(l?s+i+"S":"")):"P0D"}var li=je.prototype;return li.isValid=function(){return this._isValid},li.abs=function(){var t=this._data;return this._milliseconds=Dn(this._milliseconds),this._days=Dn(this._days),this._months=Dn(this._months),t.milliseconds=Dn(t.milliseconds),t.seconds=Dn(t.seconds),t.minutes=Dn(t.minutes),t.hours=Dn(t.hours),t.months=Dn(t.months),t.years=Dn(t.years),this},li.add=function(t,e){return Pn(this,t,e,1)},li.subtract=function(t,e){return Pn(this,t,e,-1)},li.as=function(t){if(!this.isValid())return NaN;var e,n,i=this._milliseconds;if("month"===(t=$(t))||"quarter"===t||"year"===t)switch(e=this._days+i/864e5,n=this._months+Nn(e),t){case"month":return n;case"quarter":return n/3;case"year":return n/12}else switch(e=this._days+Math.round(In(this._months)),t){case"week":return e/7+i/6048e5;case"day":return e+i/864e5;case"hour":return 24*e+i/36e5;case"minute":return 1440*e+i/6e4;case"second":return 86400*e+i/1e3;case"millisecond":return Math.floor(864e5*e)+i;default:throw new Error("Unknown unit "+t)}},li.asMilliseconds=$n,li.asSeconds=Fn,li.asMinutes=Bn,li.asHours=zn,li.asDays=Vn,li.asWeeks=Hn,li.asMonths=Un,li.asQuarters=Wn,li.asYears=Yn,li.valueOf=function(){return this.isValid()?this._milliseconds+864e5*this._days+this._months%12*2592e6+31536e6*U(this._months/12):NaN},li._bubble=function(){var t,e,n,i,r,o=this._milliseconds,a=this._days,s=this._months,l=this._data;return o>=0&&a>=0&&s>=0||o<=0&&a<=0&&s<=0||(o+=864e5*Rn(In(s)+a),a=0,s=0),l.milliseconds=o%1e3,t=H(o/1e3),l.seconds=t%60,e=H(t/60),l.minutes=e%60,n=H(e/60),l.hours=n%24,a+=H(n/24),s+=r=H(Nn(a)),a-=Rn(In(r)),i=H(s/12),s%=12,l.days=a,l.months=s,l.years=i,this},li.clone=function(){return Ge(this)},li.get=function(t){return t=$(t),this.isValid()?this[t+"s"]():NaN},li.milliseconds=Gn,li.seconds=Kn,li.minutes=Zn,li.hours=Jn,li.days=Xn,li.weeks=function(){return H(this.days()/7)},li.months=ti,li.years=ei,li.humanize=function(t,e){if(!this.isValid())return this.localeData().invalidDate();var n,i,r=!1,o=ii;return"object"==typeof t&&(e=t,t=!1),"boolean"==typeof t&&(r=t),"object"==typeof e&&(o=Object.assign({},ii,e),null!=e.s&&null==e.ss&&(o.ss=e.s-1)),i=function(t,e,n,i){var r=Ge(t).abs(),o=ni(r.as("s")),a=ni(r.as("m")),s=ni(r.as("h")),l=ni(r.as("d")),u=ni(r.as("M")),c=ni(r.as("w")),d=ni(r.as("y")),h=o<=n.ss&&["s",o]||o<n.s&&["ss",o]||a<=1&&["m"]||a<n.m&&["mm",a]||s<=1&&["h"]||s<n.h&&["hh",s]||l<=1&&["d"]||l<n.d&&["dd",l];return null!=n.w&&(h=h||c<=1&&["w"]||c<n.w&&["ww",c]),(h=h||u<=1&&["M"]||u<n.M&&["MM",u]||d<=1&&["y"]||["yy",d])[2]=e,h[3]=+t>0,h[4]=i,ri.apply(null,h)}(this,!r,o,n=this.localeData()),r&&(i=n.pastFuture(+this,i)),n.postformat(i)},li.toISOString=si,li.toString=si,li.toJSON=si,li.locale=an,li.localeData=ln,li.toIsoString=x("toIsoString() is deprecated. Please use toISOString() instead (notice the capitals)",si),li.lang=sn,P("X",0,0,"unix"),P("x",0,0,"valueOf"),ht("x",lt),ht("X",/[+-]?\d+(\.\d{1,3})?/),vt("X",(function(t,e,n){n._d=new Date(1e3*parseFloat(t))})),vt("x",(function(t,e,n){n._d=new Date(U(t))})),
//! moment.js
n.version="2.29.4",t=De,n.fn=Tn,n.min=function(){return Ne("isBefore",[].slice.call(arguments,0))},n.max=function(){return Ne("isAfter",[].slice.call(arguments,0))},n.now=function(){return Date.now?Date.now():+new Date},n.utc=h,n.unix=function(t){return De(1e3*t)},n.months=function(t,e){return qn(t,e,"months")},n.isDate=u,n.locale=fe,n.invalid=m,n.duration=Ge,n.isMoment=b,n.weekdays=function(t,e,n){return Ln(t,e,n,"weekdays")},n.parseZone=function(){return De.apply(null,arguments).parseZone()},n.localeData=me,n.isDuration=$e,n.monthsShort=function(t,e){return qn(t,e,"monthsShort")},n.weekdaysMin=function(t,e,n){return Ln(t,e,n,"weekdaysMin")},n.defineLocale=pe,n.updateLocale=function(t,e){if(null!=e){var n,i,r=se;null!=le[t]&&null!=le[t].parentLocale?le[t].set(T(le[t]._config,e)):(null!=(i=he(t))&&(r=i._config),e=T(r,e),null==i&&(e.abbr=t),(n=new O(e)).parentLocale=le[t],le[t]=n),fe(t)}else null!=le[t]&&(null!=le[t].parentLocale?(le[t]=le[t].parentLocale,t===fe()&&fe(t)):null!=le[t]&&delete le[t]);return le[t]},n.locales=function(){return k(le)},n.weekdaysShort=function(t,e,n){return Ln(t,e,n,"weekdaysShort")},n.normalizeUnits=$,n.relativeTimeRounding=function(t){return void 0===t?ni:"function"==typeof t&&(ni=t,!0)},n.relativeTimeThreshold=function(t,e){return void 0!==ii[t]&&(void 0===e?ii[t]:(ii[t]=e,"s"===t&&(ii.ss=e-1),!0))},n.calendarFormat=function(t,e){var n=t.diff(e,"days",!0);return n<-6?"sameElse":n<-1?"lastWeek":n<0?"lastDay":n<1?"sameDay":n<2?"nextDay":n<7?"nextWeek":"sameElse"},n.prototype=Tn,n.HTML5_FMT={DATETIME_LOCAL:"YYYY-MM-DDTHH:mm",DATETIME_LOCAL_SECONDS:"YYYY-MM-DDTHH:mm:ss",DATETIME_LOCAL_MS:"YYYY-MM-DDTHH:mm:ss.SSS",DATE:"YYYY-MM-DD",TIME:"HH:mm",TIME_SECONDS:"HH:mm:ss",TIME_MS:"HH:mm:ss.SSS",WEEK:"GGGG-[W]WW",MONTH:"YYYY-MM"},n})),function(t,e){"object"==typeof exports&&"undefined"!=typeof module?module.exports=e():"function"==typeof define&&define.amd?define("underscore",e):(t="undefined"!=typeof globalThis?globalThis:t||self,function(){var n=t._,i=t._=e();i.noConflict=function(){return t._=n,i}}())}(this,(function(){var t="1.13.6",e="object"==typeof self&&self.self===self&&self||"object"==typeof global&&global.global===global&&global||Function("return this")()||{},n=Array.prototype,i=Object.prototype,r="undefined"!=typeof Symbol?Symbol.prototype:null,o=n.push,a=n.slice,s=i.toString,l=i.hasOwnProperty,u="undefined"!=typeof ArrayBuffer,c="undefined"!=typeof DataView,d=Array.isArray,h=Object.keys,f=Object.create,p=u&&ArrayBuffer.isView,m=isNaN,v=isFinite,g=!{toString:null}.propertyIsEnumerable("toString"),_=["valueOf","isPrototypeOf","toString","propertyIsEnumerable","hasOwnProperty","toLocaleString"],y=Math.pow(2,53)-1;function b(t,e){return e=null==e?t.length-1:+e,function(){for(var n=Math.max(arguments.length-e,0),i=Array(n),r=0;r<n;r++)i[r]=arguments[r+e];switch(e){case 0:return t.call(this,i);case 1:return t.call(this,arguments[0],i);case 2:return t.call(this,arguments[0],arguments[1],i)}var o=Array(e+1);for(r=0;r<e;r++)o[r]=arguments[r];return o[e]=i,t.apply(this,o)}}function w(t){var e=typeof t;return"function"===e||"object"===e&&!!t}function x(t){return void 0===t}function k(t){return!0===t||!1===t||"[object Boolean]"===s.call(t)}function S(t){var e="[object "+t+"]";return function(t){return s.call(t)===e}}var C=S("String"),M=S("Number"),T=S("Date"),O=S("RegExp"),A=S("Error"),E=S("Symbol"),q=S("ArrayBuffer"),L=S("Function"),D=e.document&&e.document.childNodes;"function"!=typeof/./&&"object"!=typeof Int8Array&&"function"!=typeof D&&(L=function(t){return"function"==typeof t||!1});var P=L,R=S("Object"),N=c&&R(new DataView(new ArrayBuffer(8))),I="undefined"!=typeof Map&&R(new Map),j=S("DataView");var $=N?function(t){return null!=t&&P(t.getInt8)&&q(t.buffer)}:j,F=d||S("Array");function B(t,e){return null!=t&&l.call(t,e)}var z=S("Arguments");!function(){z(arguments)||(z=function(t){return B(t,"callee")})}();var V=z;function H(t){return M(t)&&m(t)}function U(t){return function(){return t}}function W(t){return function(e){var n=t(e);return"number"==typeof n&&n>=0&&n<=y}}function Y(t){return function(e){return null==e?void 0:e[t]}}var Q=Y("byteLength"),G=W(Q),K=/\[object ((I|Ui)nt(8|16|32)|Float(32|64)|Uint8Clamped|Big(I|Ui)nt64)Array\]/;var Z=u?function(t){return p?p(t)&&!$(t):G(t)&&K.test(s.call(t))}:U(!1),J=Y("length");function X(t,e){e=function(t){for(var e={},n=t.length,i=0;i<n;++i)e[t[i]]=!0;return{contains:function(t){return!0===e[t]},push:function(n){return e[n]=!0,t.push(n)}}}(e);var n=_.length,r=t.constructor,o=P(r)&&r.prototype||i,a="constructor";for(B(t,a)&&!e.contains(a)&&e.push(a);n--;)(a=_[n])in t&&t[a]!==o[a]&&!e.contains(a)&&e.push(a)}function tt(t){if(!w(t))return[];if(h)return h(t);var e=[];for(var n in t)B(t,n)&&e.push(n);return g&&X(t,e),e}function et(t,e){var n=tt(e),i=n.length;if(null==t)return!i;for(var r=Object(t),o=0;o<i;o++){var a=n[o];if(e[a]!==r[a]||!(a in r))return!1}return!0}function nt(t){return t instanceof nt?t:this instanceof nt?void(this._wrapped=t):new nt(t)}function it(t){return new Uint8Array(t.buffer||t,t.byteOffset||0,Q(t))}nt.VERSION=t,nt.prototype.value=function(){return this._wrapped},nt.prototype.valueOf=nt.prototype.toJSON=nt.prototype.value,nt.prototype.toString=function(){return String(this._wrapped)};var rt="[object DataView]";function ot(t,e,n,i){if(t===e)return 0!==t||1/t==1/e;if(null==t||null==e)return!1;if(t!=t)return e!=e;var r=typeof t;return("function"===r||"object"===r||"object"==typeof e)&&at(t,e,n,i)}function at(t,e,n,i){t instanceof nt&&(t=t._wrapped),e instanceof nt&&(e=e._wrapped);var o=s.call(t);if(o!==s.call(e))return!1;if(N&&"[object Object]"==o&&$(t)){if(!$(e))return!1;o=rt}switch(o){case"[object RegExp]":case"[object String]":return""+t==""+e;case"[object Number]":return+t!=+t?+e!=+e:0==+t?1/+t==1/e:+t==+e;case"[object Date]":case"[object Boolean]":return+t==+e;case"[object Symbol]":return r.valueOf.call(t)===r.valueOf.call(e);case"[object ArrayBuffer]":case rt:return at(it(t),it(e),n,i)}var a="[object Array]"===o;if(!a&&Z(t)){if(Q(t)!==Q(e))return!1;if(t.buffer===e.buffer&&t.byteOffset===e.byteOffset)return!0;a=!0}if(!a){if("object"!=typeof t||"object"!=typeof e)return!1;var l=t.constructor,u=e.constructor;if(l!==u&&!(P(l)&&l instanceof l&&P(u)&&u instanceof u)&&"constructor"in t&&"constructor"in e)return!1}i=i||[];for(var c=(n=n||[]).length;c--;)if(n[c]===t)return i[c]===e;if(n.push(t),i.push(e),a){if((c=t.length)!==e.length)return!1;for(;c--;)if(!ot(t[c],e[c],n,i))return!1}else{var d,h=tt(t);if(c=h.length,tt(e).length!==c)return!1;for(;c--;)if(!B(e,d=h[c])||!ot(t[d],e[d],n,i))return!1}return n.pop(),i.pop(),!0}function st(t){if(!w(t))return[];var e=[];for(var n in t)e.push(n);return g&&X(t,e),e}function lt(t){var e=J(t);return function(n){if(null==n)return!1;var i=st(n);if(J(i))return!1;for(var r=0;r<e;r++)if(!P(n[t[r]]))return!1;return t!==ft||!P(n[ut])}}var ut="forEach",ct=["clear","delete"],dt=["get","has","set"],ht=ct.concat(ut,dt),ft=ct.concat(dt),pt=["add"].concat(ct,ut,"has"),mt=I?lt(ht):S("Map"),vt=I?lt(ft):S("WeakMap"),gt=I?lt(pt):S("Set"),_t=S("WeakSet");function yt(t){for(var e=tt(t),n=e.length,i=Array(n),r=0;r<n;r++)i[r]=t[e[r]];return i}function bt(t){for(var e={},n=tt(t),i=0,r=n.length;i<r;i++)e[t[n[i]]]=n[i];return e}function wt(t){var e=[];for(var n in t)P(t[n])&&e.push(n);return e.sort()}function xt(t,e){return function(n){var i=arguments.length;if(e&&(n=Object(n)),i<2||null==n)return n;for(var r=1;r<i;r++)for(var o=arguments[r],a=t(o),s=a.length,l=0;l<s;l++){var u=a[l];e&&void 0!==n[u]||(n[u]=o[u])}return n}}var kt=xt(st),St=xt(tt),Ct=xt(st,!0);function Mt(t){if(!w(t))return{};if(f)return f(t);var e=function(){};e.prototype=t;var n=new e;return e.prototype=null,n}function Tt(t){return F(t)?t:[t]}function Ot(t){return nt.toPath(t)}function At(t,e){for(var n=e.length,i=0;i<n;i++){if(null==t)return;t=t[e[i]]}return n?t:void 0}function Et(t,e,n){var i=At(t,Ot(e));return x(i)?n:i}function qt(t){return t}function Lt(t){return t=St({},t),function(e){return et(e,t)}}function Dt(t){return t=Ot(t),function(e){return At(e,t)}}function Pt(t,e,n){if(void 0===e)return t;switch(null==n?3:n){case 1:return function(n){return t.call(e,n)};case 3:return function(n,i,r){return t.call(e,n,i,r)};case 4:return function(n,i,r,o){return t.call(e,n,i,r,o)}}return function(){return t.apply(e,arguments)}}function Rt(t,e,n){return null==t?qt:P(t)?Pt(t,e,n):w(t)&&!F(t)?Lt(t):Dt(t)}function Nt(t,e){return Rt(t,e,1/0)}function It(t,e,n){return nt.iteratee!==Nt?nt.iteratee(t,e):Rt(t,e,n)}function jt(){}function $t(t,e){return null==e&&(e=t,t=0),t+Math.floor(Math.random()*(e-t+1))}nt.toPath=Tt,nt.iteratee=Nt;var Ft=Date.now||function(){return(new Date).getTime()};function Bt(t){var e=function(e){return t[e]},n="(?:"+tt(t).join("|")+")",i=RegExp(n),r=RegExp(n,"g");return function(t){return t=null==t?"":""+t,i.test(t)?t.replace(r,e):t}}var zt={"&":"&amp;","<":"&lt;",">":"&gt;",'"':"&quot;","'":"&#x27;","`":"&#x60;"},Vt=Bt(zt),Ht=Bt(bt(zt)),Ut=nt.templateSettings={evaluate:/<%([\s\S]+?)%>/g,interpolate:/<%=([\s\S]+?)%>/g,escape:/<%-([\s\S]+?)%>/g},Wt=/(.)^/,Yt={"'":"'","\\":"\\","\r":"r","\n":"n","\u2028":"u2028","\u2029":"u2029"},Qt=/\\|'|\r|\n|\u2028|\u2029/g;function Gt(t){return"\\"+Yt[t]}var Kt=/^\s*(\w|\$)+\s*$/;var Zt=0;function Jt(t,e,n,i,r){if(!(i instanceof e))return t.apply(n,r);var o=Mt(t.prototype),a=t.apply(o,r);return w(a)?a:o}var Xt=b((function(t,e){var n=Xt.placeholder,i=function(){for(var r=0,o=e.length,a=Array(o),s=0;s<o;s++)a[s]=e[s]===n?arguments[r++]:e[s];for(;r<arguments.length;)a.push(arguments[r++]);return Jt(t,i,this,this,a)};return i}));Xt.placeholder=nt;var te=b((function(t,e,n){if(!P(t))throw new TypeError("Bind must be called on a function");var i=b((function(r){return Jt(t,i,e,this,n.concat(r))}));return i})),ee=W(J);function ne(t,e,n,i){if(i=i||[],e||0===e){if(e<=0)return i.concat(t)}else e=1/0;for(var r=i.length,o=0,a=J(t);o<a;o++){var s=t[o];if(ee(s)&&(F(s)||V(s)))if(e>1)ne(s,e-1,n,i),r=i.length;else for(var l=0,u=s.length;l<u;)i[r++]=s[l++];else n||(i[r++]=s)}return i}var ie=b((function(t,e){var n=(e=ne(e,!1,!1)).length;if(n<1)throw new Error("bindAll must be passed function names");for(;n--;){var i=e[n];t[i]=te(t[i],t)}return t}));var re=b((function(t,e,n){return setTimeout((function(){return t.apply(null,n)}),e)})),oe=Xt(re,nt,1);function ae(t){return function(){return!t.apply(this,arguments)}}function se(t,e){var n;return function(){return--t>0&&(n=e.apply(this,arguments)),t<=1&&(e=null),n}}var le=Xt(se,2);function ue(t,e,n){e=It(e,n);for(var i,r=tt(t),o=0,a=r.length;o<a;o++)if(e(t[i=r[o]],i,t))return i}function ce(t){return function(e,n,i){n=It(n,i);for(var r=J(e),o=t>0?0:r-1;o>=0&&o<r;o+=t)if(n(e[o],o,e))return o;return-1}}var de=ce(1),he=ce(-1);function fe(t,e,n,i){for(var r=(n=It(n,i,1))(e),o=0,a=J(t);o<a;){var s=Math.floor((o+a)/2);n(t[s])<r?o=s+1:a=s}return o}function pe(t,e,n){return function(i,r,o){var s=0,l=J(i);if("number"==typeof o)t>0?s=o>=0?o:Math.max(o+l,s):l=o>=0?Math.min(o+1,l):o+l+1;else if(n&&o&&l)return i[o=n(i,r)]===r?o:-1;if(r!=r)return(o=e(a.call(i,s,l),H))>=0?o+s:-1;for(o=t>0?s:l-1;o>=0&&o<l;o+=t)if(i[o]===r)return o;return-1}}var me=pe(1,de,fe),ve=pe(-1,he);function ge(t,e,n){var i=(ee(t)?de:ue)(t,e,n);if(void 0!==i&&-1!==i)return t[i]}function _e(t,e,n){var i,r;if(e=Pt(e,n),ee(t))for(i=0,r=t.length;i<r;i++)e(t[i],i,t);else{var o=tt(t);for(i=0,r=o.length;i<r;i++)e(t[o[i]],o[i],t)}return t}function ye(t,e,n){e=It(e,n);for(var i=!ee(t)&&tt(t),r=(i||t).length,o=Array(r),a=0;a<r;a++){var s=i?i[a]:a;o[a]=e(t[s],s,t)}return o}function be(t){return function(e,n,i,r){var o=arguments.length>=3;return function(e,n,i,r){var o=!ee(e)&&tt(e),a=(o||e).length,s=t>0?0:a-1;for(r||(i=e[o?o[s]:s],s+=t);s>=0&&s<a;s+=t){var l=o?o[s]:s;i=n(i,e[l],l,e)}return i}(e,Pt(n,r,4),i,o)}}var we=be(1),xe=be(-1);function ke(t,e,n){var i=[];return e=It(e,n),_e(t,(function(t,n,r){e(t,n,r)&&i.push(t)})),i}function Se(t,e,n){e=It(e,n);for(var i=!ee(t)&&tt(t),r=(i||t).length,o=0;o<r;o++){var a=i?i[o]:o;if(!e(t[a],a,t))return!1}return!0}function Ce(t,e,n){e=It(e,n);for(var i=!ee(t)&&tt(t),r=(i||t).length,o=0;o<r;o++){var a=i?i[o]:o;if(e(t[a],a,t))return!0}return!1}function Me(t,e,n,i){return ee(t)||(t=yt(t)),("number"!=typeof n||i)&&(n=0),me(t,e,n)>=0}var Te=b((function(t,e,n){var i,r;return P(e)?r=e:(e=Ot(e),i=e.slice(0,-1),e=e[e.length-1]),ye(t,(function(t){var o=r;if(!o){if(i&&i.length&&(t=At(t,i)),null==t)return;o=t[e]}return null==o?o:o.apply(t,n)}))}));function Oe(t,e){return ye(t,Dt(e))}function Ae(t,e,n){var i,r,o=-1/0,a=-1/0;if(null==e||"number"==typeof e&&"object"!=typeof t[0]&&null!=t)for(var s=0,l=(t=ee(t)?t:yt(t)).length;s<l;s++)null!=(i=t[s])&&i>o&&(o=i);else e=It(e,n),_e(t,(function(t,n,i){((r=e(t,n,i))>a||r===-1/0&&o===-1/0)&&(o=t,a=r)}));return o}var Ee=/[^\ud800-\udfff]|[\ud800-\udbff][\udc00-\udfff]|[\ud800-\udfff]/g;function qe(t){return t?F(t)?a.call(t):C(t)?t.match(Ee):ee(t)?ye(t,qt):yt(t):[]}function Le(t,e,n){if(null==e||n)return ee(t)||(t=yt(t)),t[$t(t.length-1)];var i=qe(t),r=J(i);e=Math.max(Math.min(e,r),0);for(var o=r-1,a=0;a<e;a++){var s=$t(a,o),l=i[a];i[a]=i[s],i[s]=l}return i.slice(0,e)}function De(t,e){return function(n,i,r){var o=e?[[],[]]:{};return i=It(i,r),_e(n,(function(e,r){var a=i(e,r,n);t(o,e,a)})),o}}var Pe=De((function(t,e,n){B(t,n)?t[n].push(e):t[n]=[e]})),Re=De((function(t,e,n){t[n]=e})),Ne=De((function(t,e,n){B(t,n)?t[n]++:t[n]=1})),Ie=De((function(t,e,n){t[n?0:1].push(e)}),!0);function je(t,e,n){return e in n}var $e=b((function(t,e){var n={},i=e[0];if(null==t)return n;P(i)?(e.length>1&&(i=Pt(i,e[1])),e=st(t)):(i=je,e=ne(e,!1,!1),t=Object(t));for(var r=0,o=e.length;r<o;r++){var a=e[r],s=t[a];i(s,a,t)&&(n[a]=s)}return n})),Fe=b((function(t,e){var n,i=e[0];return P(i)?(i=ae(i),e.length>1&&(n=e[1])):(e=ye(ne(e,!1,!1),String),i=function(t,n){return!Me(e,n)}),$e(t,i,n)}));function Be(t,e,n){return a.call(t,0,Math.max(0,t.length-(null==e||n?1:e)))}function ze(t,e,n){return null==t||t.length<1?null==e||n?void 0:[]:null==e||n?t[0]:Be(t,t.length-e)}function Ve(t,e,n){return a.call(t,null==e||n?1:e)}var He=b((function(t,e){return e=ne(e,!0,!0),ke(t,(function(t){return!Me(e,t)}))})),Ue=b((function(t,e){return He(t,e)}));function We(t,e,n,i){k(e)||(i=n,n=e,e=!1),null!=n&&(n=It(n,i));for(var r=[],o=[],a=0,s=J(t);a<s;a++){var l=t[a],u=n?n(l,a,t):l;e&&!n?(a&&o===u||r.push(l),o=u):n?Me(o,u)||(o.push(u),r.push(l)):Me(r,l)||r.push(l)}return r}var Ye=b((function(t){return We(ne(t,!0,!0))}));function Qe(t){for(var e=t&&Ae(t,J).length||0,n=Array(e),i=0;i<e;i++)n[i]=Oe(t,i);return n}var Ge=b(Qe);function Ke(t,e){return t._chain?nt(e).chain():e}function Ze(t){return _e(wt(t),(function(e){var n=nt[e]=t[e];nt.prototype[e]=function(){var t=[this._wrapped];return o.apply(t,arguments),Ke(this,n.apply(nt,t))}})),nt}_e(["pop","push","reverse","shift","sort","splice","unshift"],(function(t){var e=n[t];nt.prototype[t]=function(){var n=this._wrapped;return null!=n&&(e.apply(n,arguments),"shift"!==t&&"splice"!==t||0!==n.length||delete n[0]),Ke(this,n)}})),_e(["concat","join","slice"],(function(t){var e=n[t];nt.prototype[t]=function(){var t=this._wrapped;return null!=t&&(t=e.apply(t,arguments)),Ke(this,t)}}));var Je={__proto__:null,VERSION:t,restArguments:b,isObject:w,isNull:function(t){return null===t},isUndefined:x,isBoolean:k,isElement:function(t){return!(!t||1!==t.nodeType)},isString:C,isNumber:M,isDate:T,isRegExp:O,isError:A,isSymbol:E,isArrayBuffer:q,isDataView:$,isArray:F,isFunction:P,isArguments:V,isFinite:function(t){return!E(t)&&v(t)&&!isNaN(parseFloat(t))},isNaN:H,isTypedArray:Z,isEmpty:function(t){if(null==t)return!0;var e=J(t);return"number"==typeof e&&(F(t)||C(t)||V(t))?0===e:0===J(tt(t))},isMatch:et,isEqual:function(t,e){return ot(t,e)},isMap:mt,isWeakMap:vt,isSet:gt,isWeakSet:_t,keys:tt,allKeys:st,values:yt,pairs:function(t){for(var e=tt(t),n=e.length,i=Array(n),r=0;r<n;r++)i[r]=[e[r],t[e[r]]];return i},invert:bt,functions:wt,methods:wt,extend:kt,extendOwn:St,assign:St,defaults:Ct,create:function(t,e){var n=Mt(t);return e&&St(n,e),n},clone:function(t){return w(t)?F(t)?t.slice():kt({},t):t},tap:function(t,e){return e(t),t},get:Et,has:function(t,e){for(var n=(e=Ot(e)).length,i=0;i<n;i++){var r=e[i];if(!B(t,r))return!1;t=t[r]}return!!n},mapObject:function(t,e,n){e=It(e,n);for(var i=tt(t),r=i.length,o={},a=0;a<r;a++){var s=i[a];o[s]=e(t[s],s,t)}return o},identity:qt,constant:U,noop:jt,toPath:Tt,property:Dt,propertyOf:function(t){return null==t?jt:function(e){return Et(t,e)}},matcher:Lt,matches:Lt,times:function(t,e,n){var i=Array(Math.max(0,t));e=Pt(e,n,1);for(var r=0;r<t;r++)i[r]=e(r);return i},random:$t,now:Ft,escape:Vt,unescape:Ht,templateSettings:Ut,template:function(t,e,n){!e&&n&&(e=n),e=Ct({},e,nt.templateSettings);var i=RegExp([(e.escape||Wt).source,(e.interpolate||Wt).source,(e.evaluate||Wt).source].join("|")+"|$","g"),r=0,o="__p+='";t.replace(i,(function(e,n,i,a,s){return o+=t.slice(r,s).replace(Qt,Gt),r=s+e.length,n?o+="'+\n((__t=("+n+"))==null?'':_.escape(__t))+\n'":i?o+="'+\n((__t=("+i+"))==null?'':__t)+\n'":a&&(o+="';\n"+a+"\n__p+='"),e})),o+="';\n";var a,s=e.variable;if(s){if(!Kt.test(s))throw new Error("variable is not a bare identifier: "+s)}else o="with(obj||{}){\n"+o+"}\n",s="obj";o="var __t,__p='',__j=Array.prototype.join,print=function(){__p+=__j.call(arguments,'');};\n"+o+"return __p;\n";try{a=new Function(s,"_",o)}catch(t){throw t.source=o,t}var l=function(t){return a.call(this,t,nt)};return l.source="function("+s+"){\n"+o+"}",l},result:function(t,e,n){var i=(e=Ot(e)).length;if(!i)return P(n)?n.call(t):n;for(var r=0;r<i;r++){var o=null==t?void 0:t[e[r]];void 0===o&&(o=n,r=i),t=P(o)?o.call(t):o}return t},uniqueId:function(t){var e=++Zt+"";return t?t+e:e},chain:function(t){var e=nt(t);return e._chain=!0,e},iteratee:Nt,partial:Xt,bind:te,bindAll:ie,memoize:function(t,e){var n=function(i){var r=n.cache,o=""+(e?e.apply(this,arguments):i);return B(r,o)||(r[o]=t.apply(this,arguments)),r[o]};return n.cache={},n},delay:re,defer:oe,throttle:function(t,e,n){var i,r,o,a,s=0;n||(n={});var l=function(){s=!1===n.leading?0:Ft(),i=null,a=t.apply(r,o),i||(r=o=null)},u=function(){var u=Ft();s||!1!==n.leading||(s=u);var c=e-(u-s);return r=this,o=arguments,c<=0||c>e?(i&&(clearTimeout(i),i=null),s=u,a=t.apply(r,o),i||(r=o=null)):i||!1===n.trailing||(i=setTimeout(l,c)),a};return u.cancel=function(){clearTimeout(i),s=0,i=r=o=null},u},debounce:function(t,e,n){var i,r,o,a,s,l=function(){var u=Ft()-r;e>u?i=setTimeout(l,e-u):(i=null,n||(a=t.apply(s,o)),i||(o=s=null))},u=b((function(u){return s=this,o=u,r=Ft(),i||(i=setTimeout(l,e),n&&(a=t.apply(s,o))),a}));return u.cancel=function(){clearTimeout(i),i=o=s=null},u},wrap:function(t,e){return Xt(e,t)},negate:ae,compose:function(){var t=arguments,e=t.length-1;return function(){for(var n=e,i=t[e].apply(this,arguments);n--;)i=t[n].call(this,i);return i}},after:function(t,e){return function(){if(--t<1)return e.apply(this,arguments)}},before:se,once:le,findKey:ue,findIndex:de,findLastIndex:he,sortedIndex:fe,indexOf:me,lastIndexOf:ve,find:ge,detect:ge,findWhere:function(t,e){return ge(t,Lt(e))},each:_e,forEach:_e,map:ye,collect:ye,reduce:we,foldl:we,inject:we,reduceRight:xe,foldr:xe,filter:ke,select:ke,reject:function(t,e,n){return ke(t,ae(It(e)),n)},every:Se,all:Se,some:Ce,any:Ce,contains:Me,includes:Me,include:Me,invoke:Te,pluck:Oe,where:function(t,e){return ke(t,Lt(e))},max:Ae,min:function(t,e,n){var i,r,o=1/0,a=1/0;if(null==e||"number"==typeof e&&"object"!=typeof t[0]&&null!=t)for(var s=0,l=(t=ee(t)?t:yt(t)).length;s<l;s++)null!=(i=t[s])&&i<o&&(o=i);else e=It(e,n),_e(t,(function(t,n,i){((r=e(t,n,i))<a||r===1/0&&o===1/0)&&(o=t,a=r)}));return o},shuffle:function(t){return Le(t,1/0)},sample:Le,sortBy:function(t,e,n){var i=0;return e=It(e,n),Oe(ye(t,(function(t,n,r){return{value:t,index:i++,criteria:e(t,n,r)}})).sort((function(t,e){var n=t.criteria,i=e.criteria;if(n!==i){if(n>i||void 0===n)return 1;if(n<i||void 0===i)return-1}return t.index-e.index})),"value")},groupBy:Pe,indexBy:Re,countBy:Ne,partition:Ie,toArray:qe,size:function(t){return null==t?0:ee(t)?t.length:tt(t).length},pick:$e,omit:Fe,first:ze,head:ze,take:ze,initial:Be,last:function(t,e,n){return null==t||t.length<1?null==e||n?void 0:[]:null==e||n?t[t.length-1]:Ve(t,Math.max(0,t.length-e))},rest:Ve,tail:Ve,drop:Ve,compact:function(t){return ke(t,Boolean)},flatten:function(t,e){return ne(t,e,!1)},without:Ue,uniq:We,unique:We,union:Ye,intersection:function(t){for(var e=[],n=arguments.length,i=0,r=J(t);i<r;i++){var o=t[i];if(!Me(e,o)){var a;for(a=1;a<n&&Me(arguments[a],o);a++);a===n&&e.push(o)}}return e},difference:He,unzip:Qe,transpose:Qe,zip:Ge,object:function(t,e){for(var n={},i=0,r=J(t);i<r;i++)e?n[t[i]]=e[i]:n[t[i][0]]=t[i][1];return n},range:function(t,e,n){null==e&&(e=t||0,t=0),n||(n=e<t?-1:1);for(var i=Math.max(Math.ceil((e-t)/n),0),r=Array(i),o=0;o<i;o++,t+=n)r[o]=t;return r},chunk:function(t,e){if(null==e||e<1)return[];for(var n=[],i=0,r=t.length;i<r;)n.push(a.call(t,i,i+=e));return n},mixin:Ze,default:nt},Xe=Ze(Je);return Xe._=Xe,Xe})),function(t,e){"object"==typeof exports&&"undefined"!=typeof module?module.exports=e():"function"==typeof define&&define.amd?define(e):(t="undefined"!=typeof globalThis?globalThis:t||self).axios=e()}(this,(function(){"use strict";function t(e){return t="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(t){return typeof t}:function(t){return t&&"function"==typeof Symbol&&t.constructor===Symbol&&t!==Symbol.prototype?"symbol":typeof t},t(e)}function e(t,e){if(!(t instanceof e))throw new TypeError("Cannot call a class as a function")}function n(t,e){for(var n=0;n<e.length;n++){var i=e[n];i.enumerable=i.enumerable||!1,i.configurable=!0,"value"in i&&(i.writable=!0),Object.defineProperty(t,i.key,i)}}function i(t,e,i){return e&&n(t.prototype,e),i&&n(t,i),Object.defineProperty(t,"prototype",{writable:!1}),t}function r(t,e){return function(t){if(Array.isArray(t))return t}(t)||function(t,e){var n=null==t?null:"undefined"!=typeof Symbol&&t[Symbol.iterator]||t["@@iterator"];if(null==n)return;var i,r,o=[],a=!0,s=!1;try{for(n=n.call(t);!(a=(i=n.next()).done)&&(o.push(i.value),!e||o.length!==e);a=!0);}catch(t){s=!0,r=t}finally{try{a||null==n.return||n.return()}finally{if(s)throw r}}return o}(t,e)||function(t,e){if(!t)return;if("string"==typeof t)return o(t,e);var n=Object.prototype.toString.call(t).slice(8,-1);"Object"===n&&t.constructor&&(n=t.constructor.name);if("Map"===n||"Set"===n)return Array.from(t);if("Arguments"===n||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n))return o(t,e)}(t,e)||function(){throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}()}function o(t,e){(null==e||e>t.length)&&(e=t.length);for(var n=0,i=new Array(e);n<e;n++)i[n]=t[n];return i}function a(t,e){return function(){return t.apply(e,arguments)}}var s,l=Object.prototype.toString,u=Object.getPrototypeOf,c=(s=Object.create(null),function(t){var e=l.call(t);return s[e]||(s[e]=e.slice(8,-1).toLowerCase())}),d=function(t){return t=t.toLowerCase(),function(e){return c(e)===t}},h=function(e){return function(n){return t(n)===e}},f=Array.isArray,p=h("undefined");var m=d("ArrayBuffer");var v=h("string"),g=h("function"),_=h("number"),y=function(e){return null!==e&&"object"===t(e)},b=function(t){if("object"!==c(t))return!1;var e=u(t);return!(null!==e&&e!==Object.prototype&&null!==Object.getPrototypeOf(e)||Symbol.toStringTag in t||Symbol.iterator in t)},w=d("Date"),x=d("File"),k=d("Blob"),S=d("FileList"),C=d("URLSearchParams");function M(e,n){var i,r,o=(arguments.length>2&&void 0!==arguments[2]?arguments[2]:{}).allOwnKeys,a=void 0!==o&&o;if(null!=e)if("object"!==t(e)&&(e=[e]),f(e))for(i=0,r=e.length;i<r;i++)n.call(null,e[i],i,e);else{var s,l=a?Object.getOwnPropertyNames(e):Object.keys(e),u=l.length;for(i=0;i<u;i++)s=l[i],n.call(null,e[s],s,e)}}function T(t,e){e=e.toLowerCase();for(var n,i=Object.keys(t),r=i.length;r-- >0;)if(e===(n=i[r]).toLowerCase())return n;return null}var O="undefined"!=typeof globalThis?globalThis:"undefined"!=typeof self?self:"undefined"!=typeof window?window:global,A=function(t){return!p(t)&&t!==O};var E,q=(E="undefined"!=typeof Uint8Array&&u(Uint8Array),function(t){return E&&t instanceof E}),L=d("HTMLFormElement"),D=function(t){var e=Object.prototype.hasOwnProperty;return function(t,n){return e.call(t,n)}}(),P=d("RegExp"),R=function(t,e){var n=Object.getOwnPropertyDescriptors(t),i={};M(n,(function(n,r){!1!==e(n,r,t)&&(i[r]=n)})),Object.defineProperties(t,i)},N="abcdefghijklmnopqrstuvwxyz",I="0123456789",j={DIGIT:I,ALPHA:N,ALPHA_DIGIT:N+N.toUpperCase()+I};var $={isArray:f,isArrayBuffer:m,isBuffer:function(t){return null!==t&&!p(t)&&null!==t.constructor&&!p(t.constructor)&&g(t.constructor.isBuffer)&&t.constructor.isBuffer(t)},isFormData:function(t){var e="[object FormData]";return t&&("function"==typeof FormData&&t instanceof FormData||l.call(t)===e||g(t.toString)&&t.toString()===e)},isArrayBufferView:function(t){return"undefined"!=typeof ArrayBuffer&&ArrayBuffer.isView?ArrayBuffer.isView(t):t&&t.buffer&&m(t.buffer)},isString:v,isNumber:_,isBoolean:function(t){return!0===t||!1===t},isObject:y,isPlainObject:b,isUndefined:p,isDate:w,isFile:x,isBlob:k,isRegExp:P,isFunction:g,isStream:function(t){return y(t)&&g(t.pipe)},isURLSearchParams:C,isTypedArray:q,isFileList:S,forEach:M,merge:function t(){for(var e=(A(this)&&this||{}).caseless,n={},i=function(i,r){var o=e&&T(n,r)||r;b(n[o])&&b(i)?n[o]=t(n[o],i):b(i)?n[o]=t({},i):f(i)?n[o]=i.slice():n[o]=i},r=0,o=arguments.length;r<o;r++)arguments[r]&&M(arguments[r],i);return n},extend:function(t,e,n){return M(e,(function(e,i){n&&g(e)?t[i]=a(e,n):t[i]=e}),{allOwnKeys:(arguments.length>3&&void 0!==arguments[3]?arguments[3]:{}).allOwnKeys}),t},trim:function(t){return t.trim?t.trim():t.replace(/^[\s\uFEFF\xA0]+|[\s\uFEFF\xA0]+$/g,"")},stripBOM:function(t){return 65279===t.charCodeAt(0)&&(t=t.slice(1)),t},inherits:function(t,e,n,i){t.prototype=Object.create(e.prototype,i),t.prototype.constructor=t,Object.defineProperty(t,"super",{value:e.prototype}),n&&Object.assign(t.prototype,n)},toFlatObject:function(t,e,n,i){var r,o,a,s={};if(e=e||{},null==t)return e;do{for(o=(r=Object.getOwnPropertyNames(t)).length;o-- >0;)a=r[o],i&&!i(a,t,e)||s[a]||(e[a]=t[a],s[a]=!0);t=!1!==n&&u(t)}while(t&&(!n||n(t,e))&&t!==Object.prototype);return e},kindOf:c,kindOfTest:d,endsWith:function(t,e,n){t=String(t),(void 0===n||n>t.length)&&(n=t.length),n-=e.length;var i=t.indexOf(e,n);return-1!==i&&i===n},toArray:function(t){if(!t)return null;if(f(t))return t;var e=t.length;if(!_(e))return null;for(var n=new Array(e);e-- >0;)n[e]=t[e];return n},forEachEntry:function(t,e){for(var n,i=(t&&t[Symbol.iterator]).call(t);(n=i.next())&&!n.done;){var r=n.value;e.call(t,r[0],r[1])}},matchAll:function(t,e){for(var n,i=[];null!==(n=t.exec(e));)i.push(n);return i},isHTMLForm:L,hasOwnProperty:D,hasOwnProp:D,reduceDescriptors:R,freezeMethods:function(t){R(t,(function(e,n){if(g(t)&&-1!==["arguments","caller","callee"].indexOf(n))return!1;var i=t[n];g(i)&&(e.enumerable=!1,"writable"in e?e.writable=!1:e.set||(e.set=function(){throw Error("Can not rewrite read-only method '"+n+"'")}))}))},toObjectSet:function(t,e){var n={},i=function(t){t.forEach((function(t){n[t]=!0}))};return f(t)?i(t):i(String(t).split(e)),n},toCamelCase:function(t){return t.toLowerCase().replace(/[-_\s]([a-z\d])(\w*)/g,(function(t,e,n){return e.toUpperCase()+n}))},noop:function(){},toFiniteNumber:function(t,e){return t=+t,Number.isFinite(t)?t:e},findKey:T,global:O,isContextDefined:A,ALPHABET:j,generateString:function(){for(var t=arguments.length>0&&void 0!==arguments[0]?arguments[0]:16,e=arguments.length>1&&void 0!==arguments[1]?arguments[1]:j.ALPHA_DIGIT,n="",i=e.length;t--;)n+=e[Math.random()*i|0];return n},isSpecCompliantForm:function(t){return!!(t&&g(t.append)&&"FormData"===t[Symbol.toStringTag]&&t[Symbol.iterator])},toJSONObject:function(t){var e=new Array(10);return function t(n,i){if(y(n)){if(e.indexOf(n)>=0)return;if(!("toJSON"in n)){e[i]=n;var r=f(n)?[]:{};return M(n,(function(e,n){var o=t(e,i+1);!p(o)&&(r[n]=o)})),e[i]=void 0,r}}return n}(t,0)}};function F(t,e,n,i,r){Error.call(this),Error.captureStackTrace?Error.captureStackTrace(this,this.constructor):this.stack=(new Error).stack,this.message=t,this.name="AxiosError",e&&(this.code=e),n&&(this.config=n),i&&(this.request=i),r&&(this.response=r)}$.inherits(F,Error,{toJSON:function(){return{message:this.message,name:this.name,description:this.description,number:this.number,fileName:this.fileName,lineNumber:this.lineNumber,columnNumber:this.columnNumber,stack:this.stack,config:$.toJSONObject(this.config),code:this.code,status:this.response&&this.response.status?this.response.status:null}}});var B=F.prototype,z={};["ERR_BAD_OPTION_VALUE","ERR_BAD_OPTION","ECONNABORTED","ETIMEDOUT","ERR_NETWORK","ERR_FR_TOO_MANY_REDIRECTS","ERR_DEPRECATED","ERR_BAD_RESPONSE","ERR_BAD_REQUEST","ERR_CANCELED","ERR_NOT_SUPPORT","ERR_INVALID_URL"].forEach((function(t){z[t]={value:t}})),Object.defineProperties(F,z),Object.defineProperty(B,"isAxiosError",{value:!0}),F.from=function(t,e,n,i,r,o){var a=Object.create(B);return $.toFlatObject(t,a,(function(t){return t!==Error.prototype}),(function(t){return"isAxiosError"!==t})),F.call(a,t.message,e,n,i,r),a.cause=t,a.name=t.name,o&&Object.assign(a,o),a};function V(t){return $.isPlainObject(t)||$.isArray(t)}function H(t){return $.endsWith(t,"[]")?t.slice(0,-2):t}function U(t,e,n){return t?t.concat(e).map((function(t,e){return t=H(t),!n&&e?"["+t+"]":t})).join(n?".":""):e}var W=$.toFlatObject($,{},null,(function(t){return/^is[A-Z]/.test(t)}));function Y(e,n,i){if(!$.isObject(e))throw new TypeError("target must be an object");n=n||new FormData;var r=(i=$.toFlatObject(i,{metaTokens:!0,dots:!1,indexes:!1},!1,(function(t,e){return!$.isUndefined(e[t])}))).metaTokens,o=i.visitor||c,a=i.dots,s=i.indexes,l=(i.Blob||"undefined"!=typeof Blob&&Blob)&&$.isSpecCompliantForm(n);if(!$.isFunction(o))throw new TypeError("visitor must be a function");function u(t){if(null===t)return"";if($.isDate(t))return t.toISOString();if(!l&&$.isBlob(t))throw new F("Blob is not supported. Use a Buffer instead.");return $.isArrayBuffer(t)||$.isTypedArray(t)?l&&"function"==typeof Blob?new Blob([t]):Buffer.from(t):t}function c(e,i,o){var l=e;if(e&&!o&&"object"===t(e))if($.endsWith(i,"{}"))i=r?i:i.slice(0,-2),e=JSON.stringify(e);else if($.isArray(e)&&function(t){return $.isArray(t)&&!t.some(V)}(e)||($.isFileList(e)||$.endsWith(i,"[]"))&&(l=$.toArray(e)))return i=H(i),l.forEach((function(t,e){!$.isUndefined(t)&&null!==t&&n.append(!0===s?U([i],e,a):null===s?i:i+"[]",u(t))})),!1;return!!V(e)||(n.append(U(o,i,a),u(e)),!1)}var d=[],h=Object.assign(W,{defaultVisitor:c,convertValue:u,isVisitable:V});if(!$.isObject(e))throw new TypeError("data must be an object");return function t(e,i){if(!$.isUndefined(e)){if(-1!==d.indexOf(e))throw Error("Circular reference detected in "+i.join("."));d.push(e),$.forEach(e,(function(e,r){!0===(!($.isUndefined(e)||null===e)&&o.call(n,e,$.isString(r)?r.trim():r,i,h))&&t(e,i?i.concat(r):[r])})),d.pop()}}(e),n}function Q(t){var e={"!":"%21","'":"%27","(":"%28",")":"%29","~":"%7E","%20":"+","%00":"\0"};return encodeURIComponent(t).replace(/[!'()~]|%20|%00/g,(function(t){return e[t]}))}function G(t,e){this._pairs=[],t&&Y(t,this,e)}var K=G.prototype;function Z(t){return encodeURIComponent(t).replace(/%3A/gi,":").replace(/%24/g,"$").replace(/%2C/gi,",").replace(/%20/g,"+").replace(/%5B/gi,"[").replace(/%5D/gi,"]")}function J(t,e,n){if(!e)return t;var i,r=n&&n.encode||Z,o=n&&n.serialize;if(i=o?o(e,n):$.isURLSearchParams(e)?e.toString():new G(e,n).toString(r)){var a=t.indexOf("#");-1!==a&&(t=t.slice(0,a)),t+=(-1===t.indexOf("?")?"?":"&")+i}return t}K.append=function(t,e){this._pairs.push([t,e])},K.toString=function(t){var e=t?function(e){return t.call(this,e,Q)}:Q;return this._pairs.map((function(t){return e(t[0])+"="+e(t[1])}),"").join("&")};var X,tt=function(){function t(){e(this,t),this.handlers=[]}return i(t,[{key:"use",value:function(t,e,n){return this.handlers.push({fulfilled:t,rejected:e,synchronous:!!n&&n.synchronous,runWhen:n?n.runWhen:null}),this.handlers.length-1}},{key:"eject",value:function(t){this.handlers[t]&&(this.handlers[t]=null)}},{key:"clear",value:function(){this.handlers&&(this.handlers=[])}},{key:"forEach",value:function(t){$.forEach(this.handlers,(function(e){null!==e&&t(e)}))}}]),t}(),et={silentJSONParsing:!0,forcedJSONParsing:!0,clarifyTimeoutError:!1},nt={isBrowser:!0,classes:{URLSearchParams:"undefined"!=typeof URLSearchParams?URLSearchParams:G,FormData:"undefined"!=typeof FormData?FormData:null,Blob:"undefined"!=typeof Blob?Blob:null},isStandardBrowserEnv:("undefined"==typeof navigator||"ReactNative"!==(X=navigator.product)&&"NativeScript"!==X&&"NS"!==X)&&"undefined"!=typeof window&&"undefined"!=typeof document,isStandardBrowserWebWorkerEnv:"undefined"!=typeof WorkerGlobalScope&&self instanceof WorkerGlobalScope&&"function"==typeof self.importScripts,protocols:["http","https","file","blob","url","data"]};function it(t){function e(t,n,i,r){var o=t[r++],a=Number.isFinite(+o),s=r>=t.length;return o=!o&&$.isArray(i)?i.length:o,s?($.hasOwnProp(i,o)?i[o]=[i[o],n]:i[o]=n,!a):(i[o]&&$.isObject(i[o])||(i[o]=[]),e(t,n,i[o],r)&&$.isArray(i[o])&&(i[o]=function(t){var e,n,i={},r=Object.keys(t),o=r.length;for(e=0;e<o;e++)i[n=r[e]]=t[n];return i}(i[o])),!a)}if($.isFormData(t)&&$.isFunction(t.entries)){var n={};return $.forEachEntry(t,(function(t,i){e(function(t){return $.matchAll(/\w+|\[(\w*)]/g,t).map((function(t){return"[]"===t[0]?"":t[1]||t[0]}))}(t),i,n,0)})),n}return null}var rt={"Content-Type":void 0};var ot={transitional:et,adapter:["xhr","http"],transformRequest:[function(t,e){var n,i=e.getContentType()||"",r=i.indexOf("application/json")>-1,o=$.isObject(t);if(o&&$.isHTMLForm(t)&&(t=new FormData(t)),$.isFormData(t))return r&&r?JSON.stringify(it(t)):t;if($.isArrayBuffer(t)||$.isBuffer(t)||$.isStream(t)||$.isFile(t)||$.isBlob(t))return t;if($.isArrayBufferView(t))return t.buffer;if($.isURLSearchParams(t))return e.setContentType("application/x-www-form-urlencoded;charset=utf-8",!1),t.toString();if(o){if(i.indexOf("application/x-www-form-urlencoded")>-1)return function(t,e){return Y(t,new nt.classes.URLSearchParams,Object.assign({visitor:function(t,e,n,i){return nt.isNode&&$.isBuffer(t)?(this.append(e,t.toString("base64")),!1):i.defaultVisitor.apply(this,arguments)}},e))}(t,this.formSerializer).toString();if((n=$.isFileList(t))||i.indexOf("multipart/form-data")>-1){var a=this.env&&this.env.FormData;return Y(n?{"files[]":t}:t,a&&new a,this.formSerializer)}}return o||r?(e.setContentType("application/json",!1),function(t,e,n){if($.isString(t))try{return(e||JSON.parse)(t),$.trim(t)}catch(t){if("SyntaxError"!==t.name)throw t}return(n||JSON.stringify)(t)}(t)):t}],transformResponse:[function(t){var e=this.transitional||ot.transitional,n=e&&e.forcedJSONParsing,i="json"===this.responseType;if(t&&$.isString(t)&&(n&&!this.responseType||i)){var r=!(e&&e.silentJSONParsing)&&i;try{return JSON.parse(t)}catch(t){if(r){if("SyntaxError"===t.name)throw F.from(t,F.ERR_BAD_RESPONSE,this,null,this.response);throw t}}}return t}],timeout:0,xsrfCookieName:"XSRF-TOKEN",xsrfHeaderName:"X-XSRF-TOKEN",maxContentLength:-1,maxBodyLength:-1,env:{FormData:nt.classes.FormData,Blob:nt.classes.Blob},validateStatus:function(t){return t>=200&&t<300},headers:{common:{Accept:"application/json, text/plain, */*"}}};$.forEach(["delete","get","head"],(function(t){ot.headers[t]={}})),$.forEach(["post","put","patch"],(function(t){ot.headers[t]=$.merge(rt)}));var at=ot,st=$.toObjectSet(["age","authorization","content-length","content-type","etag","expires","from","host","if-modified-since","if-unmodified-since","last-modified","location","max-forwards","proxy-authorization","referer","retry-after","user-agent"]),lt=Symbol("internals");function ut(t){return t&&String(t).trim().toLowerCase()}function ct(t){return!1===t||null==t?t:$.isArray(t)?t.map(ct):String(t)}function dt(t,e,n,i,r){return $.isFunction(i)?i.call(this,e,n):(r&&(e=n),$.isString(e)?$.isString(i)?-1!==e.indexOf(i):$.isRegExp(i)?i.test(e):void 0:void 0)}var ht=function(t,n){function o(t){e(this,o),t&&this.set(t)}return i(o,[{key:"set",value:function(t,e,n){var i=this;function r(t,e,n){var r=ut(e);if(!r)throw new Error("header name must be a non-empty string");var o=$.findKey(i,r);(!o||void 0===i[o]||!0===n||void 0===n&&!1!==i[o])&&(i[o||e]=ct(t))}var o,a,s,l,u,c=function(t,e){return $.forEach(t,(function(t,n){return r(t,n,e)}))};return $.isPlainObject(t)||t instanceof this.constructor?c(t,e):$.isString(t)&&(t=t.trim())&&!/^[-_a-zA-Z]+$/.test(t.trim())?c((u={},(o=t)&&o.split("\n").forEach((function(t){l=t.indexOf(":"),a=t.substring(0,l).trim().toLowerCase(),s=t.substring(l+1).trim(),!a||u[a]&&st[a]||("set-cookie"===a?u[a]?u[a].push(s):u[a]=[s]:u[a]=u[a]?u[a]+", "+s:s)})),u),e):null!=t&&r(e,t,n),this}},{key:"get",value:function(t,e){if(t=ut(t)){var n=$.findKey(this,t);if(n){var i=this[n];if(!e)return i;if(!0===e)return function(t){for(var e,n=Object.create(null),i=/([^\s,;=]+)\s*(?:=\s*([^,;]+))?/g;e=i.exec(t);)n[e[1]]=e[2];return n}(i);if($.isFunction(e))return e.call(this,i,n);if($.isRegExp(e))return e.exec(i);throw new TypeError("parser must be boolean|regexp|function")}}}},{key:"has",value:function(t,e){if(t=ut(t)){var n=$.findKey(this,t);return!(!n||void 0===this[n]||e&&!dt(0,this[n],n,e))}return!1}},{key:"delete",value:function(t,e){var n=this,i=!1;function r(t){if(t=ut(t)){var r=$.findKey(n,t);!r||e&&!dt(0,n[r],r,e)||(delete n[r],i=!0)}}return $.isArray(t)?t.forEach(r):r(t),i}},{key:"clear",value:function(t){for(var e=Object.keys(this),n=e.length,i=!1;n--;){var r=e[n];t&&!dt(0,this[r],r,t,!0)||(delete this[r],i=!0)}return i}},{key:"normalize",value:function(t){var e=this,n={};return $.forEach(this,(function(i,r){var o=$.findKey(n,r);if(o)return e[o]=ct(i),void delete e[r];var a=t?function(t){return t.trim().toLowerCase().replace(/([a-z\d])(\w*)/g,(function(t,e,n){return e.toUpperCase()+n}))}(r):String(r).trim();a!==r&&delete e[r],e[a]=ct(i),n[a]=!0})),this}},{key:"concat",value:function(){for(var t,e=arguments.length,n=new Array(e),i=0;i<e;i++)n[i]=arguments[i];return(t=this.constructor).concat.apply(t,[this].concat(n))}},{key:"toJSON",value:function(t){var e=Object.create(null);return $.forEach(this,(function(n,i){null!=n&&!1!==n&&(e[i]=t&&$.isArray(n)?n.join(", "):n)})),e}},{key:Symbol.iterator,value:function(){return Object.entries(this.toJSON())[Symbol.iterator]()}},{key:"toString",value:function(){return Object.entries(this.toJSON()).map((function(t){var e=r(t,2);return e[0]+": "+e[1]})).join("\n")}},{key:Symbol.toStringTag,get:function(){return"AxiosHeaders"}}],[{key:"from",value:function(t){return t instanceof this?t:new this(t)}},{key:"concat",value:function(t){for(var e=new this(t),n=arguments.length,i=new Array(n>1?n-1:0),r=1;r<n;r++)i[r-1]=arguments[r];return i.forEach((function(t){return e.set(t)})),e}},{key:"accessor",value:function(t){var e=(this[lt]=this[lt]={accessors:{}}).accessors,n=this.prototype;function i(t){var i=ut(t);e[i]||(!function(t,e){var n=$.toCamelCase(" "+e);["get","set","has"].forEach((function(i){Object.defineProperty(t,i+n,{value:function(t,n,r){return this[i].call(this,e,t,n,r)},configurable:!0})}))}(n,t),e[i]=!0)}return $.isArray(t)?t.forEach(i):i(t),this}}]),o}();ht.accessor(["Content-Type","Content-Length","Accept","Accept-Encoding","User-Agent","Authorization"]),$.freezeMethods(ht.prototype),$.freezeMethods(ht);var ft=ht;function pt(t,e){var n=this||at,i=e||n,r=ft.from(i.headers),o=i.data;return $.forEach(t,(function(t){o=t.call(n,o,r.normalize(),e?e.status:void 0)})),r.normalize(),o}function mt(t){return!(!t||!t.__CANCEL__)}function vt(t,e,n){F.call(this,null==t?"canceled":t,F.ERR_CANCELED,e,n),this.name="CanceledError"}$.inherits(vt,F,{__CANCEL__:!0});var gt=nt.isStandardBrowserEnv?{write:function(t,e,n,i,r,o){var a=[];a.push(t+"="+encodeURIComponent(e)),$.isNumber(n)&&a.push("expires="+new Date(n).toGMTString()),$.isString(i)&&a.push("path="+i),$.isString(r)&&a.push("domain="+r),!0===o&&a.push("secure"),document.cookie=a.join("; ")},read:function(t){var e=document.cookie.match(new RegExp("(^|;\\s*)("+t+")=([^;]*)"));return e?decodeURIComponent(e[3]):null},remove:function(t){this.write(t,"",Date.now()-864e5)}}:{write:function(){},read:function(){return null},remove:function(){}};function _t(t,e){return t&&!/^([a-z][a-z\d+\-.]*:)?\/\//i.test(e)?function(t,e){return e?t.replace(/\/+$/,"")+"/"+e.replace(/^\/+/,""):t}(t,e):e}var yt=nt.isStandardBrowserEnv?function(){var t,e=/(msie|trident)/i.test(navigator.userAgent),n=document.createElement("a");function i(t){var i=t;return e&&(n.setAttribute("href",i),i=n.href),n.setAttribute("href",i),{href:n.href,protocol:n.protocol?n.protocol.replace(/:$/,""):"",host:n.host,search:n.search?n.search.replace(/^\?/,""):"",hash:n.hash?n.hash.replace(/^#/,""):"",hostname:n.hostname,port:n.port,pathname:"/"===n.pathname.charAt(0)?n.pathname:"/"+n.pathname}}return t=i(window.location.href),function(e){var n=$.isString(e)?i(e):e;return n.protocol===t.protocol&&n.host===t.host}}():function(){return!0};function bt(t,e){var n=0,i=function(t,e){t=t||10;var n,i=new Array(t),r=new Array(t),o=0,a=0;return e=void 0!==e?e:1e3,function(s){var l=Date.now(),u=r[a];n||(n=l),i[o]=s,r[o]=l;for(var c=a,d=0;c!==o;)d+=i[c++],c%=t;if((o=(o+1)%t)===a&&(a=(a+1)%t),!(l-n<e)){var h=u&&l-u;return h?Math.round(1e3*d/h):void 0}}}(50,250);return function(r){var o=r.loaded,a=r.lengthComputable?r.total:void 0,s=o-n,l=i(s);n=o;var u={loaded:o,total:a,progress:a?o/a:void 0,bytes:s,rate:l||void 0,estimated:l&&a&&o<=a?(a-o)/l:void 0,event:r};u[e?"download":"upload"]=!0,t(u)}}var wt={http:null,xhr:"undefined"!=typeof XMLHttpRequest&&function(t){return new Promise((function(e,n){var i,r=t.data,o=ft.from(t.headers).normalize(),a=t.responseType;function s(){t.cancelToken&&t.cancelToken.unsubscribe(i),t.signal&&t.signal.removeEventListener("abort",i)}$.isFormData(r)&&(nt.isStandardBrowserEnv||nt.isStandardBrowserWebWorkerEnv)&&o.setContentType(!1);var l=new XMLHttpRequest;if(t.auth){var u=t.auth.username||"",c=t.auth.password?unescape(encodeURIComponent(t.auth.password)):"";o.set("Authorization","Basic "+btoa(u+":"+c))}var d=_t(t.baseURL,t.url);function h(){if(l){var i=ft.from("getAllResponseHeaders"in l&&l.getAllResponseHeaders());!function(t,e,n){var i=n.config.validateStatus;n.status&&i&&!i(n.status)?e(new F("Request failed with status code "+n.status,[F.ERR_BAD_REQUEST,F.ERR_BAD_RESPONSE][Math.floor(n.status/100)-4],n.config,n.request,n)):t(n)}((function(t){e(t),s()}),(function(t){n(t),s()}),{data:a&&"text"!==a&&"json"!==a?l.response:l.responseText,status:l.status,statusText:l.statusText,headers:i,config:t,request:l}),l=null}}if(l.open(t.method.toUpperCase(),J(d,t.params,t.paramsSerializer),!0),l.timeout=t.timeout,"onloadend"in l?l.onloadend=h:l.onreadystatechange=function(){l&&4===l.readyState&&(0!==l.status||l.responseURL&&0===l.responseURL.indexOf("file:"))&&setTimeout(h)},l.onabort=function(){l&&(n(new F("Request aborted",F.ECONNABORTED,t,l)),l=null)},l.onerror=function(){n(new F("Network Error",F.ERR_NETWORK,t,l)),l=null},l.ontimeout=function(){var e=t.timeout?"timeout of "+t.timeout+"ms exceeded":"timeout exceeded",i=t.transitional||et;t.timeoutErrorMessage&&(e=t.timeoutErrorMessage),n(new F(e,i.clarifyTimeoutError?F.ETIMEDOUT:F.ECONNABORTED,t,l)),l=null},nt.isStandardBrowserEnv){var f=(t.withCredentials||yt(d))&&t.xsrfCookieName&&gt.read(t.xsrfCookieName);f&&o.set(t.xsrfHeaderName,f)}void 0===r&&o.setContentType(null),"setRequestHeader"in l&&$.forEach(o.toJSON(),(function(t,e){l.setRequestHeader(e,t)})),$.isUndefined(t.withCredentials)||(l.withCredentials=!!t.withCredentials),a&&"json"!==a&&(l.responseType=t.responseType),"function"==typeof t.onDownloadProgress&&l.addEventListener("progress",bt(t.onDownloadProgress,!0)),"function"==typeof t.onUploadProgress&&l.upload&&l.upload.addEventListener("progress",bt(t.onUploadProgress)),(t.cancelToken||t.signal)&&(i=function(e){l&&(n(!e||e.type?new vt(null,t,l):e),l.abort(),l=null)},t.cancelToken&&t.cancelToken.subscribe(i),t.signal&&(t.signal.aborted?i():t.signal.addEventListener("abort",i)));var p,m=(p=/^([-+\w]{1,25})(:?\/\/|:)/.exec(d))&&p[1]||"";m&&-1===nt.protocols.indexOf(m)?n(new F("Unsupported protocol "+m+":",F.ERR_BAD_REQUEST,t)):l.send(r||null)}))}};$.forEach(wt,(function(t,e){if(t){try{Object.defineProperty(t,"name",{value:e})}catch(t){}Object.defineProperty(t,"adapterName",{value:e})}}));var xt=function(t){for(var e,n,i=(t=$.isArray(t)?t:[t]).length,r=0;r<i&&(e=t[r],!(n=$.isString(e)?wt[e.toLowerCase()]:e));r++);if(!n){if(!1===n)throw new F("Adapter ".concat(e," is not supported by the environment"),"ERR_NOT_SUPPORT");throw new Error($.hasOwnProp(wt,e)?"Adapter '".concat(e,"' is not available in the build"):"Unknown adapter '".concat(e,"'"))}if(!$.isFunction(n))throw new TypeError("adapter is not a function");return n};function kt(t){if(t.cancelToken&&t.cancelToken.throwIfRequested(),t.signal&&t.signal.aborted)throw new vt(null,t)}function St(t){return kt(t),t.headers=ft.from(t.headers),t.data=pt.call(t,t.transformRequest),-1!==["post","put","patch"].indexOf(t.method)&&t.headers.setContentType("application/x-www-form-urlencoded",!1),xt(t.adapter||at.adapter)(t).then((function(e){return kt(t),e.data=pt.call(t,t.transformResponse,e),e.headers=ft.from(e.headers),e}),(function(e){return mt(e)||(kt(t),e&&e.response&&(e.response.data=pt.call(t,t.transformResponse,e.response),e.response.headers=ft.from(e.response.headers))),Promise.reject(e)}))}var Ct=function(t){return t instanceof ft?t.toJSON():t};function Mt(t,e){e=e||{};var n={};function i(t,e,n){return $.isPlainObject(t)&&$.isPlainObject(e)?$.merge.call({caseless:n},t,e):$.isPlainObject(e)?$.merge({},e):$.isArray(e)?e.slice():e}function r(t,e,n){return $.isUndefined(e)?$.isUndefined(t)?void 0:i(void 0,t,n):i(t,e,n)}function o(t,e){if(!$.isUndefined(e))return i(void 0,e)}function a(t,e){return $.isUndefined(e)?$.isUndefined(t)?void 0:i(void 0,t):i(void 0,e)}function s(n,r,o){return o in e?i(n,r):o in t?i(void 0,n):void 0}var l={url:o,method:o,data:o,baseURL:a,transformRequest:a,transformResponse:a,paramsSerializer:a,timeout:a,timeoutMessage:a,withCredentials:a,adapter:a,responseType:a,xsrfCookieName:a,xsrfHeaderName:a,onUploadProgress:a,onDownloadProgress:a,decompress:a,maxContentLength:a,maxBodyLength:a,beforeRedirect:a,transport:a,httpAgent:a,httpsAgent:a,cancelToken:a,socketPath:a,responseEncoding:a,validateStatus:s,headers:function(t,e){return r(Ct(t),Ct(e),!0)}};return $.forEach(Object.keys(t).concat(Object.keys(e)),(function(i){var o=l[i]||r,a=o(t[i],e[i],i);$.isUndefined(a)&&o!==s||(n[i]=a)})),n}var Tt="1.3.4",Ot={};["object","boolean","number","function","string","symbol"].forEach((function(e,n){Ot[e]=function(i){return t(i)===e||"a"+(n<1?"n ":" ")+e}}));var At={};Ot.transitional=function(t,e,n){function i(t,e){return"[Axios v1.3.4] Transitional option '"+t+"'"+e+(n?". "+n:"")}return function(n,r,o){if(!1===t)throw new F(i(r," has been removed"+(e?" in "+e:"")),F.ERR_DEPRECATED);return e&&!At[r]&&(At[r]=!0,console.warn(i(r," has been deprecated since v"+e+" and will be removed in the near future"))),!t||t(n,r,o)}};var Et={assertOptions:function(e,n,i){if("object"!==t(e))throw new F("options must be an object",F.ERR_BAD_OPTION_VALUE);for(var r=Object.keys(e),o=r.length;o-- >0;){var a=r[o],s=n[a];if(s){var l=e[a],u=void 0===l||s(l,a,e);if(!0!==u)throw new F("option "+a+" must be "+u,F.ERR_BAD_OPTION_VALUE)}else if(!0!==i)throw new F("Unknown option "+a,F.ERR_BAD_OPTION)}},validators:Ot},qt=Et.validators,Lt=function(){function t(n){e(this,t),this.defaults=n,this.interceptors={request:new tt,response:new tt}}return i(t,[{key:"request",value:function(t,e){"string"==typeof t?(e=e||{}).url=t:e=t||{};var n,i=e=Mt(this.defaults,e),r=i.transitional,o=i.paramsSerializer,a=i.headers;void 0!==r&&Et.assertOptions(r,{silentJSONParsing:qt.transitional(qt.boolean),forcedJSONParsing:qt.transitional(qt.boolean),clarifyTimeoutError:qt.transitional(qt.boolean)},!1),void 0!==o&&Et.assertOptions(o,{encode:qt.function,serialize:qt.function},!0),e.method=(e.method||this.defaults.method||"get").toLowerCase(),(n=a&&$.merge(a.common,a[e.method]))&&$.forEach(["delete","get","head","post","put","patch","common"],(function(t){delete a[t]})),e.headers=ft.concat(n,a);var s=[],l=!0;this.interceptors.request.forEach((function(t){"function"==typeof t.runWhen&&!1===t.runWhen(e)||(l=l&&t.synchronous,s.unshift(t.fulfilled,t.rejected))}));var u,c=[];this.interceptors.response.forEach((function(t){c.push(t.fulfilled,t.rejected)}));var d,h=0;if(!l){var f=[St.bind(this),void 0];for(f.unshift.apply(f,s),f.push.apply(f,c),d=f.length,u=Promise.resolve(e);h<d;)u=u.then(f[h++],f[h++]);return u}d=s.length;var p=e;for(h=0;h<d;){var m=s[h++],v=s[h++];try{p=m(p)}catch(t){v.call(this,t);break}}try{u=St.call(this,p)}catch(t){return Promise.reject(t)}for(h=0,d=c.length;h<d;)u=u.then(c[h++],c[h++]);return u}},{key:"getUri",value:function(t){return J(_t((t=Mt(this.defaults,t)).baseURL,t.url),t.params,t.paramsSerializer)}}]),t}();$.forEach(["delete","get","head","options"],(function(t){Lt.prototype[t]=function(e,n){return this.request(Mt(n||{},{method:t,url:e,data:(n||{}).data}))}})),$.forEach(["post","put","patch"],(function(t){function e(e){return function(n,i,r){return this.request(Mt(r||{},{method:t,headers:e?{"Content-Type":"multipart/form-data"}:{},url:n,data:i}))}}Lt.prototype[t]=e(),Lt.prototype[t+"Form"]=e(!0)}));var Dt=Lt,Pt=function(){function t(n){if(e(this,t),"function"!=typeof n)throw new TypeError("executor must be a function.");var i;this.promise=new Promise((function(t){i=t}));var r=this;this.promise.then((function(t){if(r._listeners){for(var e=r._listeners.length;e-- >0;)r._listeners[e](t);r._listeners=null}})),this.promise.then=function(t){var e,n=new Promise((function(t){r.subscribe(t),e=t})).then(t);return n.cancel=function(){r.unsubscribe(e)},n},n((function(t,e,n){r.reason||(r.reason=new vt(t,e,n),i(r.reason))}))}return i(t,[{key:"throwIfRequested",value:function(){if(this.reason)throw this.reason}},{key:"subscribe",value:function(t){this.reason?t(this.reason):this._listeners?this._listeners.push(t):this._listeners=[t]}},{key:"unsubscribe",value:function(t){if(this._listeners){var e=this._listeners.indexOf(t);-1!==e&&this._listeners.splice(e,1)}}}],[{key:"source",value:function(){var e;return{token:new t((function(t){e=t})),cancel:e}}}]),t}();var Rt={Continue:100,SwitchingProtocols:101,Processing:102,EarlyHints:103,Ok:200,Created:201,Accepted:202,NonAuthoritativeInformation:203,NoContent:204,ResetContent:205,PartialContent:206,MultiStatus:207,AlreadyReported:208,ImUsed:226,MultipleChoices:300,MovedPermanently:301,Found:302,SeeOther:303,NotModified:304,UseProxy:305,Unused:306,TemporaryRedirect:307,PermanentRedirect:308,BadRequest:400,Unauthorized:401,PaymentRequired:402,Forbidden:403,NotFound:404,MethodNotAllowed:405,NotAcceptable:406,ProxyAuthenticationRequired:407,RequestTimeout:408,Conflict:409,Gone:410,LengthRequired:411,PreconditionFailed:412,PayloadTooLarge:413,UriTooLong:414,UnsupportedMediaType:415,RangeNotSatisfiable:416,ExpectationFailed:417,ImATeapot:418,MisdirectedRequest:421,UnprocessableEntity:422,Locked:423,FailedDependency:424,TooEarly:425,UpgradeRequired:426,PreconditionRequired:428,TooManyRequests:429,RequestHeaderFieldsTooLarge:431,UnavailableForLegalReasons:451,InternalServerError:500,NotImplemented:501,BadGateway:502,ServiceUnavailable:503,GatewayTimeout:504,HttpVersionNotSupported:505,VariantAlsoNegotiates:506,InsufficientStorage:507,LoopDetected:508,NotExtended:510,NetworkAuthenticationRequired:511};Object.entries(Rt).forEach((function(t){var e=r(t,2),n=e[0],i=e[1];Rt[i]=n}));var Nt=Rt;var It=function t(e){var n=new Dt(e),i=a(Dt.prototype.request,n);return $.extend(i,Dt.prototype,n,{allOwnKeys:!0}),$.extend(i,n,null,{allOwnKeys:!0}),i.create=function(n){return t(Mt(e,n))},i}(at);return It.Axios=Dt,It.CanceledError=vt,It.CancelToken=Pt,It.isCancel=mt,It.VERSION=Tt,It.toFormData=Y,It.AxiosError=F,It.Cancel=It.CanceledError,It.all=function(t){return Promise.all(t)},It.spread=function(t){return function(e){return t.apply(null,e)}},It.isAxiosError=function(t){return $.isObject(t)&&!0===t.isAxiosError},It.mergeConfig=Mt,It.AxiosHeaders=ft,It.formToJSON=function(t){return it($.isHTMLForm(t)?new FormData(t):t)},It.HttpStatusCode=Nt,It.default=It,It})),
/*!
 * Vue.js v2.6.12
 * (c) 2014-2020 Evan You
 * Released under the MIT License.
 */
function(t,e){"object"==typeof exports&&"undefined"!=typeof module?module.exports=e():"function"==typeof define&&define.amd?define(e):(t=t||self).Vue=e()}(this,(function(){"use strict";var t=Object.freeze({});function e(t){return null==t}function n(t){return null!=t}function i(t){return!0===t}function r(t){return"string"==typeof t||"number"==typeof t||"symbol"==typeof t||"boolean"==typeof t}function o(t){return null!==t&&"object"==typeof t}var a=Object.prototype.toString;function s(t){return a.call(t).slice(8,-1)}function l(t){return"[object Object]"===a.call(t)}function u(t){return"[object RegExp]"===a.call(t)}function c(t){var e=parseFloat(String(t));return e>=0&&Math.floor(e)===e&&isFinite(t)}function d(t){return n(t)&&"function"==typeof t.then&&"function"==typeof t.catch}function h(t){return null==t?"":Array.isArray(t)||l(t)&&t.toString===a?JSON.stringify(t,null,2):String(t)}function f(t){var e=parseFloat(t);return isNaN(e)?t:e}function p(t,e){for(var n=Object.create(null),i=t.split(","),r=0;r<i.length;r++)n[i[r]]=!0;return e?function(t){return n[t.toLowerCase()]}:function(t){return n[t]}}var m=p("slot,component",!0),v=p("key,ref,slot,slot-scope,is");function g(t,e){if(t.length){var n=t.indexOf(e);if(n>-1)return t.splice(n,1)}}var _=Object.prototype.hasOwnProperty;function y(t,e){return _.call(t,e)}function b(t){var e=Object.create(null);return function(n){return e[n]||(e[n]=t(n))}}var w=/-(\w)/g,x=b((function(t){return t.replace(w,(function(t,e){return e?e.toUpperCase():""}))})),k=b((function(t){return t.charAt(0).toUpperCase()+t.slice(1)})),S=/\B([A-Z])/g,C=b((function(t){return t.replace(S,"-$1").toLowerCase()}));var M=Function.prototype.bind?function(t,e){return t.bind(e)}:function(t,e){function n(n){var i=arguments.length;return i?i>1?t.apply(e,arguments):t.call(e,n):t.call(e)}return n._length=t.length,n};function T(t,e){e=e||0;for(var n=t.length-e,i=new Array(n);n--;)i[n]=t[n+e];return i}function O(t,e){for(var n in e)t[n]=e[n];return t}function A(t){for(var e={},n=0;n<t.length;n++)t[n]&&O(e,t[n]);return e}function E(t,e,n){}var q=function(t,e,n){return!1},L=function(t){return t};function D(t,e){if(t===e)return!0;var n=o(t),i=o(e);if(!n||!i)return!n&&!i&&String(t)===String(e);try{var r=Array.isArray(t),a=Array.isArray(e);if(r&&a)return t.length===e.length&&t.every((function(t,n){return D(t,e[n])}));if(t instanceof Date&&e instanceof Date)return t.getTime()===e.getTime();if(r||a)return!1;var s=Object.keys(t),l=Object.keys(e);return s.length===l.length&&s.every((function(n){return D(t[n],e[n])}))}catch(t){return!1}}function P(t,e){for(var n=0;n<t.length;n++)if(D(t[n],e))return n;return-1}function R(t){var e=!1;return function(){e||(e=!0,t.apply(this,arguments))}}var N="data-server-rendered",I=["component","directive","filter"],j=["beforeCreate","created","beforeMount","mounted","beforeUpdate","updated","beforeDestroy","destroyed","activated","deactivated","errorCaptured","serverPrefetch"],$={optionMergeStrategies:Object.create(null),silent:!1,productionTip:!0,devtools:!0,performance:!1,errorHandler:null,warnHandler:null,ignoredElements:[],keyCodes:Object.create(null),isReservedTag:q,isReservedAttr:q,isUnknownElement:q,getTagNamespace:E,parsePlatformTagName:L,mustUseProp:q,async:!0,_lifecycleHooks:j},F=/a-zA-Z\u00B7\u00C0-\u00D6\u00D8-\u00F6\u00F8-\u037D\u037F-\u1FFF\u200C-\u200D\u203F-\u2040\u2070-\u218F\u2C00-\u2FEF\u3001-\uD7FF\uF900-\uFDCF\uFDF0-\uFFFD/;function B(t){var e=(t+"").charCodeAt(0);return 36===e||95===e}function z(t,e,n,i){Object.defineProperty(t,e,{value:n,enumerable:!!i,writable:!0,configurable:!0})}var V=new RegExp("[^"+F.source+".$_\\d]");var H,U="__proto__"in{},W="undefined"!=typeof window,Y="undefined"!=typeof WXEnvironment&&!!WXEnvironment.platform,Q=Y&&WXEnvironment.platform.toLowerCase(),G=W&&window.navigator.userAgent.toLowerCase(),K=G&&/msie|trident/.test(G),Z=G&&G.indexOf("msie 9.0")>0,J=G&&G.indexOf("edge/")>0,X=(G&&G.indexOf("android"),G&&/iphone|ipad|ipod|ios/.test(G)||"ios"===Q),tt=(G&&/chrome\/\d+/.test(G),G&&/phantomjs/.test(G),G&&G.match(/firefox\/(\d+)/)),et={}.watch,nt=!1;if(W)try{var it={};Object.defineProperty(it,"passive",{get:function(){nt=!0}}),window.addEventListener("test-passive",null,it)}catch(t){}var rt=function(){return void 0===H&&(H=!W&&!Y&&"undefined"!=typeof global&&(global.process&&"server"===global.process.env.VUE_ENV)),H},ot=W&&window.__VUE_DEVTOOLS_GLOBAL_HOOK__;function at(t){return"function"==typeof t&&/native code/.test(t.toString())}var st,lt="undefined"!=typeof Symbol&&at(Symbol)&&"undefined"!=typeof Reflect&&at(Reflect.ownKeys);st="undefined"!=typeof Set&&at(Set)?Set:function(){function t(){this.set=Object.create(null)}return t.prototype.has=function(t){return!0===this.set[t]},t.prototype.add=function(t){this.set[t]=!0},t.prototype.clear=function(){this.set=Object.create(null)},t}();var ut=E,ct=E,dt=E,ht=E,ft="undefined"!=typeof console,pt=/(?:^|[-_])(\w)/g;ut=function(t,e){var n=e?dt(e):"";$.warnHandler?$.warnHandler.call(null,t,e,n):ft&&!$.silent&&console.error("[Vue warn]: "+t+n)},ct=function(t,e){ft&&!$.silent&&console.warn("[Vue tip]: "+t+(e?dt(e):""))},ht=function(t,e){if(t.$root===t)return"<Root>";var n="function"==typeof t&&null!=t.cid?t.options:t._isVue?t.$options||t.constructor.options:t,i=n.name||n._componentTag,r=n.__file;if(!i&&r){var o=r.match(/([^/\\]+)\.vue$/);i=o&&o[1]}return(i?"<"+function(t){return t.replace(pt,(function(t){return t.toUpperCase()})).replace(/[-_]/g,"")}(i)+">":"<Anonymous>")+(r&&!1!==e?" at "+r:"")};dt=function(t){if(t._isVue&&t.$parent){for(var e=[],n=0;t;){if(e.length>0){var i=e[e.length-1];if(i.constructor===t.constructor){n++,t=t.$parent;continue}n>0&&(e[e.length-1]=[i,n],n=0)}e.push(t),t=t.$parent}return"\n\nfound in\n\n"+e.map((function(t,e){return""+(0===e?"---\x3e ":function(t,e){for(var n="";e;)e%2==1&&(n+=t),e>1&&(t+=t),e>>=1;return n}(" ",5+2*e))+(Array.isArray(t)?ht(t[0])+"... ("+t[1]+" recursive calls)":ht(t))})).join("\n")}return"\n\n(found in "+ht(t)+")"};var mt=0,vt=function(){this.id=mt++,this.subs=[]};vt.prototype.addSub=function(t){this.subs.push(t)},vt.prototype.removeSub=function(t){g(this.subs,t)},vt.prototype.depend=function(){vt.target&&vt.target.addDep(this)},vt.prototype.notify=function(){var t=this.subs.slice();$.async||t.sort((function(t,e){return t.id-e.id}));for(var e=0,n=t.length;e<n;e++)t[e].update()},vt.target=null;var gt=[];function _t(t){gt.push(t),vt.target=t}function yt(){gt.pop(),vt.target=gt[gt.length-1]}var bt=function(t,e,n,i,r,o,a,s){this.tag=t,this.data=e,this.children=n,this.text=i,this.elm=r,this.ns=void 0,this.context=o,this.fnContext=void 0,this.fnOptions=void 0,this.fnScopeId=void 0,this.key=e&&e.key,this.componentOptions=a,this.componentInstance=void 0,this.parent=void 0,this.raw=!1,this.isStatic=!1,this.isRootInsert=!0,this.isComment=!1,this.isCloned=!1,this.isOnce=!1,this.asyncFactory=s,this.asyncMeta=void 0,this.isAsyncPlaceholder=!1},wt={child:{configurable:!0}};wt.child.get=function(){return this.componentInstance},Object.defineProperties(bt.prototype,wt);var xt=function(t){void 0===t&&(t="");var e=new bt;return e.text=t,e.isComment=!0,e};function kt(t){return new bt(void 0,void 0,void 0,String(t))}function St(t){var e=new bt(t.tag,t.data,t.children&&t.children.slice(),t.text,t.elm,t.context,t.componentOptions,t.asyncFactory);return e.ns=t.ns,e.isStatic=t.isStatic,e.key=t.key,e.isComment=t.isComment,e.fnContext=t.fnContext,e.fnOptions=t.fnOptions,e.fnScopeId=t.fnScopeId,e.asyncMeta=t.asyncMeta,e.isCloned=!0,e}var Ct=Array.prototype,Mt=Object.create(Ct);["push","pop","shift","unshift","splice","sort","reverse"].forEach((function(t){var e=Ct[t];z(Mt,t,(function(){for(var n=[],i=arguments.length;i--;)n[i]=arguments[i];var r,o=e.apply(this,n),a=this.__ob__;switch(t){case"push":case"unshift":r=n;break;case"splice":r=n.slice(2)}return r&&a.observeArray(r),a.dep.notify(),o}))}));var Tt=Object.getOwnPropertyNames(Mt),Ot=!0;function At(t){Ot=t}var Et=function(t){this.value=t,this.dep=new vt,this.vmCount=0,z(t,"__ob__",this),Array.isArray(t)?(U?function(t,e){t.__proto__=e}(t,Mt):function(t,e,n){for(var i=0,r=n.length;i<r;i++){var o=n[i];z(t,o,e[o])}}(t,Mt,Tt),this.observeArray(t)):this.walk(t)};function qt(t,e){var n;if(o(t)&&!(t instanceof bt))return y(t,"__ob__")&&t.__ob__ instanceof Et?n=t.__ob__:Ot&&!rt()&&(Array.isArray(t)||l(t))&&Object.isExtensible(t)&&!t._isVue&&(n=new Et(t)),e&&n&&n.vmCount++,n}function Lt(t,e,n,i,r){var o=new vt,a=Object.getOwnPropertyDescriptor(t,e);if(!a||!1!==a.configurable){var s=a&&a.get,l=a&&a.set;s&&!l||2!==arguments.length||(n=t[e]);var u=!r&&qt(n);Object.defineProperty(t,e,{enumerable:!0,configurable:!0,get:function(){var e=s?s.call(t):n;return vt.target&&(o.depend(),u&&(u.dep.depend(),Array.isArray(e)&&Rt(e))),e},set:function(e){var a=s?s.call(t):n;e===a||e!=e&&a!=a||(i&&i(),s&&!l||(l?l.call(t,e):n=e,u=!r&&qt(e),o.notify()))}})}}function Dt(t,n,i){if((e(t)||r(t))&&ut("Cannot set reactive property on undefined, null, or primitive value: "+t),Array.isArray(t)&&c(n))return t.length=Math.max(t.length,n),t.splice(n,1,i),i;if(n in t&&!(n in Object.prototype))return t[n]=i,i;var o=t.__ob__;return t._isVue||o&&o.vmCount?(ut("Avoid adding reactive properties to a Vue instance or its root $data at runtime - declare it upfront in the data option."),i):o?(Lt(o.value,n,i),o.dep.notify(),i):(t[n]=i,i)}function Pt(t,n){if((e(t)||r(t))&&ut("Cannot delete reactive property on undefined, null, or primitive value: "+t),Array.isArray(t)&&c(n))t.splice(n,1);else{var i=t.__ob__;t._isVue||i&&i.vmCount?ut("Avoid deleting properties on a Vue instance or its root $data - just set it to null."):y(t,n)&&(delete t[n],i&&i.dep.notify())}}function Rt(t){for(var e=void 0,n=0,i=t.length;n<i;n++)(e=t[n])&&e.__ob__&&e.__ob__.dep.depend(),Array.isArray(e)&&Rt(e)}Et.prototype.walk=function(t){for(var e=Object.keys(t),n=0;n<e.length;n++)Lt(t,e[n])},Et.prototype.observeArray=function(t){for(var e=0,n=t.length;e<n;e++)qt(t[e])};var Nt=$.optionMergeStrategies;function It(t,e){if(!e)return t;for(var n,i,r,o=lt?Reflect.ownKeys(e):Object.keys(e),a=0;a<o.length;a++)"__ob__"!==(n=o[a])&&(i=t[n],r=e[n],y(t,n)?i!==r&&l(i)&&l(r)&&It(i,r):Dt(t,n,r));return t}function jt(t,e,n){return n?function(){var i="function"==typeof e?e.call(n,n):e,r="function"==typeof t?t.call(n,n):t;return i?It(i,r):r}:e?t?function(){return It("function"==typeof e?e.call(this,this):e,"function"==typeof t?t.call(this,this):t)}:e:t}function $t(t,e){var n=e?t?t.concat(e):Array.isArray(e)?e:[e]:t;return n?function(t){for(var e=[],n=0;n<t.length;n++)-1===e.indexOf(t[n])&&e.push(t[n]);return e}(n):n}function Ft(t,e,n,i){var r=Object.create(t||null);return e?(Vt(i,e,n),O(r,e)):r}Nt.el=Nt.propsData=function(t,e,n,i){return n||ut('option "'+i+'" can only be used during instance creation with the `new` keyword.'),Bt(t,e)},Nt.data=function(t,e,n){return n?jt(t,e,n):e&&"function"!=typeof e?(ut('The "data" option should be a function that returns a per-instance value in component definitions.',n),t):jt(t,e)},j.forEach((function(t){Nt[t]=$t})),I.forEach((function(t){Nt[t+"s"]=Ft})),Nt.watch=function(t,e,n,i){if(t===et&&(t=void 0),e===et&&(e=void 0),!e)return Object.create(t||null);if(Vt(i,e,n),!t)return e;var r={};for(var o in O(r,t),e){var a=r[o],s=e[o];a&&!Array.isArray(a)&&(a=[a]),r[o]=a?a.concat(s):Array.isArray(s)?s:[s]}return r},Nt.props=Nt.methods=Nt.inject=Nt.computed=function(t,e,n,i){if(e&&Vt(i,e,n),!t)return e;var r=Object.create(null);return O(r,t),e&&O(r,e),r},Nt.provide=jt;var Bt=function(t,e){return void 0===e?t:e};function zt(t){new RegExp("^[a-zA-Z][\\-\\.0-9_"+F.source+"]*$").test(t)||ut('Invalid component name: "'+t+'". Component names should conform to valid custom element name in html5 specification.'),(m(t)||$.isReservedTag(t))&&ut("Do not use built-in or reserved HTML elements as component id: "+t)}function Vt(t,e,n){l(e)||ut('Invalid value for option "'+t+'": expected an Object, but got '+s(e)+".",n)}function Ht(t,e,n){if(function(t){for(var e in t.components)zt(e)}(e),"function"==typeof e&&(e=e.options),function(t,e){var n=t.props;if(n){var i,r,o={};if(Array.isArray(n))for(i=n.length;i--;)"string"==typeof(r=n[i])?o[x(r)]={type:null}:ut("props must be strings when using array syntax.");else if(l(n))for(var a in n)r=n[a],o[x(a)]=l(r)?r:{type:r};else ut('Invalid value for option "props": expected an Array or an Object, but got '+s(n)+".",e);t.props=o}}(e,n),function(t,e){var n=t.inject;if(n){var i=t.inject={};if(Array.isArray(n))for(var r=0;r<n.length;r++)i[n[r]]={from:n[r]};else if(l(n))for(var o in n){var a=n[o];i[o]=l(a)?O({from:o},a):{from:a}}else ut('Invalid value for option "inject": expected an Array or an Object, but got '+s(n)+".",e)}}(e,n),function(t){var e=t.directives;if(e)for(var n in e){var i=e[n];"function"==typeof i&&(e[n]={bind:i,update:i})}}(e),!e._base&&(e.extends&&(t=Ht(t,e.extends,n)),e.mixins))for(var i=0,r=e.mixins.length;i<r;i++)t=Ht(t,e.mixins[i],n);var o,a={};for(o in t)u(o);for(o in e)y(t,o)||u(o);function u(i){var r=Nt[i]||Bt;a[i]=r(t[i],e[i],n,i)}return a}function Ut(t,e,n,i){if("string"==typeof n){var r=t[e];if(y(r,n))return r[n];var o=x(n);if(y(r,o))return r[o];var a=k(o);if(y(r,a))return r[a];var s=r[n]||r[o]||r[a];return i&&!s&&ut("Failed to resolve "+e.slice(0,-1)+": "+n,t),s}}function Wt(t,e,n,i){var r=e[t],a=!y(n,t),l=n[t],u=Zt(Boolean,r.type);if(u>-1)if(a&&!y(r,"default"))l=!1;else if(""===l||l===C(t)){var c=Zt(String,r.type);(c<0||u<c)&&(l=!0)}if(void 0===l){l=function(t,e,n){if(!y(e,"default"))return;var i=e.default;o(i)&&ut('Invalid default value for prop "'+n+'": Props with type Object/Array must use a factory function to return the default value.',t);if(t&&t.$options.propsData&&void 0===t.$options.propsData[n]&&void 0!==t._props[n])return t._props[n];return"function"==typeof i&&"Function"!==Gt(e.type)?i.call(t):i}(i,r,t);var d=Ot;At(!0),qt(l),At(d)}return function(t,e,n,i,r){if(t.required&&r)return void ut('Missing required prop: "'+e+'"',i);if(null==n&&!t.required)return;var o=t.type,a=!o||!0===o,l=[];if(o){Array.isArray(o)||(o=[o]);for(var u=0;u<o.length&&!a;u++){var c=Qt(n,o[u]);l.push(c.expectedType||""),a=c.valid}}if(!a)return void ut(function(t,e,n){var i='Invalid prop: type check failed for prop "'+t+'". Expected '+n.map(k).join(", "),r=n[0],o=s(e),a=Jt(e,r),l=Jt(e,o);1===n.length&&Xt(r)&&!function(){var t=[],e=arguments.length;for(;e--;)t[e]=arguments[e];return t.some((function(t){return"boolean"===t.toLowerCase()}))}(r,o)&&(i+=" with value "+a);i+=", got "+o+" ",Xt(o)&&(i+="with value "+l+".");return i}(e,n,l),i);var d=t.validator;d&&(d(n)||ut('Invalid prop: custom validator check failed for prop "'+e+'".',i))}(r,t,l,i,a),l}var Yt=/^(String|Number|Boolean|Function|Symbol)$/;function Qt(t,e){var n,i=Gt(e);if(Yt.test(i)){var r=typeof t;(n=r===i.toLowerCase())||"object"!==r||(n=t instanceof e)}else n="Object"===i?l(t):"Array"===i?Array.isArray(t):t instanceof e;return{valid:n,expectedType:i}}function Gt(t){var e=t&&t.toString().match(/^\s*function (\w+)/);return e?e[1]:""}function Kt(t,e){return Gt(t)===Gt(e)}function Zt(t,e){if(!Array.isArray(e))return Kt(e,t)?0:-1;for(var n=0,i=e.length;n<i;n++)if(Kt(e[n],t))return n;return-1}function Jt(t,e){return"String"===e?'"'+t+'"':"Number"===e?""+Number(t):""+t}function Xt(t){return["string","number","boolean"].some((function(e){return t.toLowerCase()===e}))}function te(t,e,n){_t();try{if(e)for(var i=e;i=i.$parent;){var r=i.$options.errorCaptured;if(r)for(var o=0;o<r.length;o++)try{if(!1===r[o].call(i,t,e,n))return}catch(t){ne(t,i,"errorCaptured hook")}}ne(t,e,n)}finally{yt()}}function ee(t,e,n,i,r){var o;try{(o=n?t.apply(e,n):t.call(e))&&!o._isVue&&d(o)&&!o._handled&&(o.catch((function(t){return te(t,i,r+" (Promise/async)")})),o._handled=!0)}catch(t){te(t,i,r)}return o}function ne(t,e,n){if($.errorHandler)try{return $.errorHandler.call(null,t,e,n)}catch(e){e!==t&&ie(e,null,"config.errorHandler")}ie(t,e,n)}function ie(t,e,n){if(ut("Error in "+n+': "'+t.toString()+'"',e),!W&&!Y||"undefined"==typeof console)throw t;console.error(t)}var re,oe,ae,se=!1,le=[],ue=!1;function ce(){ue=!1;var t=le.slice(0);le.length=0;for(var e=0;e<t.length;e++)t[e]()}if("undefined"!=typeof Promise&&at(Promise)){var de=Promise.resolve();re=function(){de.then(ce),X&&setTimeout(E)},se=!0}else if(K||"undefined"==typeof MutationObserver||!at(MutationObserver)&&"[object MutationObserverConstructor]"!==MutationObserver.toString())re="undefined"!=typeof setImmediate&&at(setImmediate)?function(){setImmediate(ce)}:function(){setTimeout(ce,0)};else{var he=1,fe=new MutationObserver(ce),pe=document.createTextNode(String(he));fe.observe(pe,{characterData:!0}),re=function(){he=(he+1)%2,pe.data=String(he)},se=!0}function me(t,e){var n;if(le.push((function(){if(t)try{t.call(e)}catch(t){te(t,e,"nextTick")}else n&&n(e)})),ue||(ue=!0,re()),!t&&"undefined"!=typeof Promise)return new Promise((function(t){n=t}))}var ve,ge=W&&window.performance;ge&&ge.mark&&ge.measure&&ge.clearMarks&&ge.clearMeasures&&(oe=function(t){return ge.mark(t)},ae=function(t,e,n){ge.measure(t,e,n),ge.clearMarks(e),ge.clearMarks(n)});var _e=p("Infinity,undefined,NaN,isFinite,isNaN,parseFloat,parseInt,decodeURI,decodeURIComponent,encodeURI,encodeURIComponent,Math,Number,Date,Array,Object,Boolean,String,RegExp,Map,Set,JSON,Intl,require"),ye=function(t,e){ut('Property or method "'+e+'" is not defined on the instance but referenced during render. Make sure that this property is reactive, either in the data option, or for class-based components, by initializing the property. See: https://vuejs.org/v2/guide/reactivity.html#Declaring-Reactive-Properties.',t)},be=function(t,e){ut('Property "'+e+'" must be accessed with "$data.'+e+'" because properties starting with "$" or "_" are not proxied in the Vue instance to prevent conflicts with Vue internals. See: https://vuejs.org/v2/api/#data',t)},we="undefined"!=typeof Proxy&&at(Proxy);if(we){var xe=p("stop,prevent,self,ctrl,shift,alt,meta,exact");$.keyCodes=new Proxy($.keyCodes,{set:function(t,e,n){return xe(e)?(ut("Avoid overwriting built-in modifier in config.keyCodes: ."+e),!1):(t[e]=n,!0)}})}var ke={has:function(t,e){var n=e in t,i=_e(e)||"string"==typeof e&&"_"===e.charAt(0)&&!(e in t.$data);return n||i||(e in t.$data?be(t,e):ye(t,e)),n||!i}},Se={get:function(t,e){return"string"!=typeof e||e in t||(e in t.$data?be(t,e):ye(t,e)),t[e]}};ve=function(t){if(we){var e=t.$options,n=e.render&&e.render._withStripped?Se:ke;t._renderProxy=new Proxy(t,n)}else t._renderProxy=t};var Ce=new st;function Me(t){Te(t,Ce),Ce.clear()}function Te(t,e){var n,i,r=Array.isArray(t);if(!(!r&&!o(t)||Object.isFrozen(t)||t instanceof bt)){if(t.__ob__){var a=t.__ob__.dep.id;if(e.has(a))return;e.add(a)}if(r)for(n=t.length;n--;)Te(t[n],e);else for(n=(i=Object.keys(t)).length;n--;)Te(t[i[n]],e)}}var Oe=b((function(t){var e="&"===t.charAt(0),n="~"===(t=e?t.slice(1):t).charAt(0),i="!"===(t=n?t.slice(1):t).charAt(0);return{name:t=i?t.slice(1):t,once:n,capture:i,passive:e}}));function Ae(t,e){function n(){var t=arguments,i=n.fns;if(!Array.isArray(i))return ee(i,null,arguments,e,"v-on handler");for(var r=i.slice(),o=0;o<r.length;o++)ee(r[o],null,t,e,"v-on handler")}return n.fns=t,n}function Ee(t,n,r,o,a,s){var l,u,c,d;for(l in t)u=t[l],c=n[l],d=Oe(l),e(u)?ut('Invalid handler for event "'+d.name+'": got '+String(u),s):e(c)?(e(u.fns)&&(u=t[l]=Ae(u,s)),i(d.once)&&(u=t[l]=a(d.name,u,d.capture)),r(d.name,u,d.capture,d.passive,d.params)):u!==c&&(c.fns=u,t[l]=c);for(l in n)e(t[l])&&o((d=Oe(l)).name,n[l],d.capture)}function qe(t,r,o){var a;t instanceof bt&&(t=t.data.hook||(t.data.hook={}));var s=t[r];function l(){o.apply(this,arguments),g(a.fns,l)}e(s)?a=Ae([l]):n(s.fns)&&i(s.merged)?(a=s).fns.push(l):a=Ae([s,l]),a.merged=!0,t[r]=a}function Le(t,e,i,r,o){if(n(e)){if(y(e,i))return t[i]=e[i],o||delete e[i],!0;if(y(e,r))return t[i]=e[r],o||delete e[r],!0}return!1}function De(t){return r(t)?[kt(t)]:Array.isArray(t)?Re(t):void 0}function Pe(t){return n(t)&&n(t.text)&&!1===t.isComment}function Re(t,o){var a,s,l,u,c=[];for(a=0;a<t.length;a++)e(s=t[a])||"boolean"==typeof s||(u=c[l=c.length-1],Array.isArray(s)?s.length>0&&(Pe((s=Re(s,(o||"")+"_"+a))[0])&&Pe(u)&&(c[l]=kt(u.text+s[0].text),s.shift()),c.push.apply(c,s)):r(s)?Pe(u)?c[l]=kt(u.text+s):""!==s&&c.push(kt(s)):Pe(s)&&Pe(u)?c[l]=kt(u.text+s.text):(i(t._isVList)&&n(s.tag)&&e(s.key)&&n(o)&&(s.key="__vlist"+o+"_"+a+"__"),c.push(s)));return c}function Ne(t,e){if(t){for(var n=Object.create(null),i=lt?Reflect.ownKeys(t):Object.keys(t),r=0;r<i.length;r++){var o=i[r];if("__ob__"!==o){for(var a=t[o].from,s=e;s;){if(s._provided&&y(s._provided,a)){n[o]=s._provided[a];break}s=s.$parent}if(!s)if("default"in t[o]){var l=t[o].default;n[o]="function"==typeof l?l.call(e):l}else ut('Injection "'+o+'" not found',e)}}return n}}function Ie(t,e){if(!t||!t.length)return{};for(var n={},i=0,r=t.length;i<r;i++){var o=t[i],a=o.data;if(a&&a.attrs&&a.attrs.slot&&delete a.attrs.slot,o.context!==e&&o.fnContext!==e||!a||null==a.slot)(n.default||(n.default=[])).push(o);else{var s=a.slot,l=n[s]||(n[s]=[]);"template"===o.tag?l.push.apply(l,o.children||[]):l.push(o)}}for(var u in n)n[u].every(je)&&delete n[u];return n}function je(t){return t.isComment&&!t.asyncFactory||" "===t.text}function $e(e,n,i){var r,o=Object.keys(n).length>0,a=e?!!e.$stable:!o,s=e&&e.$key;if(e){if(e._normalized)return e._normalized;if(a&&i&&i!==t&&s===i.$key&&!o&&!i.$hasNormal)return i;for(var l in r={},e)e[l]&&"$"!==l[0]&&(r[l]=Fe(n,l,e[l]))}else r={};for(var u in n)u in r||(r[u]=Be(n,u));return e&&Object.isExtensible(e)&&(e._normalized=r),z(r,"$stable",a),z(r,"$key",s),z(r,"$hasNormal",o),r}function Fe(t,e,n){var i=function(){var t=arguments.length?n.apply(null,arguments):n({});return(t=t&&"object"==typeof t&&!Array.isArray(t)?[t]:De(t))&&(0===t.length||1===t.length&&t[0].isComment)?void 0:t};return n.proxy&&Object.defineProperty(t,e,{get:i,enumerable:!0,configurable:!0}),i}function Be(t,e){return function(){return t[e]}}function ze(t,e){var i,r,a,s,l;if(Array.isArray(t)||"string"==typeof t)for(i=new Array(t.length),r=0,a=t.length;r<a;r++)i[r]=e(t[r],r);else if("number"==typeof t)for(i=new Array(t),r=0;r<t;r++)i[r]=e(r+1,r);else if(o(t))if(lt&&t[Symbol.iterator]){i=[];for(var u=t[Symbol.iterator](),c=u.next();!c.done;)i.push(e(c.value,i.length)),c=u.next()}else for(s=Object.keys(t),i=new Array(s.length),r=0,a=s.length;r<a;r++)l=s[r],i[r]=e(t[l],l,r);return n(i)||(i=[]),i._isVList=!0,i}function Ve(t,e,n,i){var r,a=this.$scopedSlots[t];a?(n=n||{},i&&(o(i)||ut("slot v-bind without argument expects an Object",this),n=O(O({},i),n)),r=a(n)||e):r=this.$slots[t]||e;var s=n&&n.slot;return s?this.$createElement("template",{slot:s},r):r}function He(t){return Ut(this.$options,"filters",t,!0)||L}function Ue(t,e){return Array.isArray(t)?-1===t.indexOf(e):t!==e}function We(t,e,n,i,r){var o=$.keyCodes[e]||n;return r&&i&&!$.keyCodes[e]?Ue(r,i):o?Ue(o,t):i?C(i)!==e:void 0}function Ye(t,e,n,i,r){if(n)if(o(n)){var a;Array.isArray(n)&&(n=A(n));var s=function(o){if("class"===o||"style"===o||v(o))a=t;else{var s=t.attrs&&t.attrs.type;a=i||$.mustUseProp(e,s,o)?t.domProps||(t.domProps={}):t.attrs||(t.attrs={})}var l=x(o),u=C(o);l in a||u in a||(a[o]=n[o],r&&((t.on||(t.on={}))["update:"+o]=function(t){n[o]=t}))};for(var l in n)s(l)}else ut("v-bind without argument expects an Object or Array value",this);return t}function Qe(t,e){var n=this._staticTrees||(this._staticTrees=[]),i=n[t];return i&&!e||Ke(i=n[t]=this.$options.staticRenderFns[t].call(this._renderProxy,null,this),"__static__"+t,!1),i}function Ge(t,e,n){return Ke(t,"__once__"+e+(n?"_"+n:""),!0),t}function Ke(t,e,n){if(Array.isArray(t))for(var i=0;i<t.length;i++)t[i]&&"string"!=typeof t[i]&&Ze(t[i],e+"_"+i,n);else Ze(t,e,n)}function Ze(t,e,n){t.isStatic=!0,t.key=e,t.isOnce=n}function Je(t,e){if(e)if(l(e)){var n=t.on=t.on?O({},t.on):{};for(var i in e){var r=n[i],o=e[i];n[i]=r?[].concat(r,o):o}}else ut("v-on without argument expects an Object value",this);return t}function Xe(t,e,n,i){e=e||{$stable:!n};for(var r=0;r<t.length;r++){var o=t[r];Array.isArray(o)?Xe(o,e,n):o&&(o.proxy&&(o.fn.proxy=!0),e[o.key]=o.fn)}return i&&(e.$key=i),e}function tn(t,e){for(var n=0;n<e.length;n+=2){var i=e[n];"string"==typeof i&&i?t[e[n]]=e[n+1]:""!==i&&null!==i&&ut("Invalid value for dynamic directive argument (expected string or null): "+i,this)}return t}function en(t,e){return"string"==typeof t?e+t:t}function nn(t){t._o=Ge,t._n=f,t._s=h,t._l=ze,t._t=Ve,t._q=D,t._i=P,t._m=Qe,t._f=He,t._k=We,t._b=Ye,t._v=kt,t._e=xt,t._u=Xe,t._g=Je,t._d=tn,t._p=en}function rn(e,n,r,o,a){var s,l=this,u=a.options;y(o,"_uid")?(s=Object.create(o))._original=o:(s=o,o=o._original);var c=i(u._compiled),d=!c;this.data=e,this.props=n,this.children=r,this.parent=o,this.listeners=e.on||t,this.injections=Ne(u.inject,o),this.slots=function(){return l.$slots||$e(e.scopedSlots,l.$slots=Ie(r,o)),l.$slots},Object.defineProperty(this,"scopedSlots",{enumerable:!0,get:function(){return $e(e.scopedSlots,this.slots())}}),c&&(this.$options=u,this.$slots=this.slots(),this.$scopedSlots=$e(e.scopedSlots,this.$slots)),u._scopeId?this._c=function(t,e,n,i){var r=fn(s,t,e,n,i,d);return r&&!Array.isArray(r)&&(r.fnScopeId=u._scopeId,r.fnContext=o),r}:this._c=function(t,e,n,i){return fn(s,t,e,n,i,d)}}function on(t,e,n,i,r){var o=St(t);return o.fnContext=n,o.fnOptions=i,(o.devtoolsMeta=o.devtoolsMeta||{}).renderContext=r,e.slot&&((o.data||(o.data={})).slot=e.slot),o}function an(t,e){for(var n in e)t[x(n)]=e[n]}nn(rn.prototype);var sn={init:function(t,e){if(t.componentInstance&&!t.componentInstance._isDestroyed&&t.data.keepAlive){var i=t;sn.prepatch(i,i)}else{(t.componentInstance=function(t,e){var i={_isComponent:!0,_parentVnode:t,parent:e},r=t.data.inlineTemplate;n(r)&&(i.render=r.render,i.staticRenderFns=r.staticRenderFns);return new t.componentOptions.Ctor(i)}(t,Sn)).$mount(e?t.elm:void 0,e)}},prepatch:function(e,n){var i=n.componentOptions;!function(e,n,i,r,o){Cn=!0;var a=r.data.scopedSlots,s=e.$scopedSlots,l=!!(a&&!a.$stable||s!==t&&!s.$stable||a&&e.$scopedSlots.$key!==a.$key),u=!!(o||e.$options._renderChildren||l);e.$options._parentVnode=r,e.$vnode=r,e._vnode&&(e._vnode.parent=r);if(e.$options._renderChildren=o,e.$attrs=r.data.attrs||t,e.$listeners=i||t,n&&e.$options.props){At(!1);for(var c=e._props,d=e.$options._propKeys||[],h=0;h<d.length;h++){var f=d[h],p=e.$options.props;c[f]=Wt(f,p,n,e)}At(!0),e.$options.propsData=n}i=i||t;var m=e.$options._parentListeners;e.$options._parentListeners=i,kn(e,i,m),u&&(e.$slots=Ie(o,r.context),e.$forceUpdate());Cn=!1}(n.componentInstance=e.componentInstance,i.propsData,i.listeners,n,i.children)},insert:function(t){var e,n=t.context,i=t.componentInstance;i._isMounted||(i._isMounted=!0,En(i,"mounted")),t.data.keepAlive&&(n._isMounted?((e=i)._inactive=!1,Dn.push(e)):On(i,!0))},destroy:function(t){var e=t.componentInstance;e._isDestroyed||(t.data.keepAlive?An(e,!0):e.$destroy())}},ln=Object.keys(sn);function un(r,a,s,l,u){if(!e(r)){var c=s.$options._base;if(o(r)&&(r=c.extend(r)),"function"==typeof r){var h;if(e(r.cid)&&(r=function(t,r){if(i(t.error)&&n(t.errorComp))return t.errorComp;if(n(t.resolved))return t.resolved;var a=vn;a&&n(t.owners)&&-1===t.owners.indexOf(a)&&t.owners.push(a);if(i(t.loading)&&n(t.loadingComp))return t.loadingComp;if(a&&!n(t.owners)){var s=t.owners=[a],l=!0,u=null,c=null;a.$on("hook:destroyed",(function(){return g(s,a)}));var h=function(t){for(var e=0,n=s.length;e<n;e++)s[e].$forceUpdate();t&&(s.length=0,null!==u&&(clearTimeout(u),u=null),null!==c&&(clearTimeout(c),c=null))},f=R((function(e){t.resolved=gn(e,r),l?s.length=0:h(!0)})),p=R((function(e){ut("Failed to resolve async component: "+String(t)+(e?"\nReason: "+e:"")),n(t.errorComp)&&(t.error=!0,h(!0))})),m=t(f,p);return o(m)&&(d(m)?e(t.resolved)&&m.then(f,p):d(m.component)&&(m.component.then(f,p),n(m.error)&&(t.errorComp=gn(m.error,r)),n(m.loading)&&(t.loadingComp=gn(m.loading,r),0===m.delay?t.loading=!0:u=setTimeout((function(){u=null,e(t.resolved)&&e(t.error)&&(t.loading=!0,h(!1))}),m.delay||200)),n(m.timeout)&&(c=setTimeout((function(){c=null,e(t.resolved)&&p("timeout ("+m.timeout+"ms)")}),m.timeout)))),l=!1,t.loading?t.loadingComp:t.resolved}}(h=r,c),void 0===r))return function(t,e,n,i,r){var o=xt();return o.asyncFactory=t,o.asyncMeta={data:e,context:n,children:i,tag:r},o}(h,a,s,l,u);a=a||{},ti(r),n(a.model)&&function(t,e){var i=t.model&&t.model.prop||"value",r=t.model&&t.model.event||"input";(e.attrs||(e.attrs={}))[i]=e.model.value;var o=e.on||(e.on={}),a=o[r],s=e.model.callback;n(a)?(Array.isArray(a)?-1===a.indexOf(s):a!==s)&&(o[r]=[s].concat(a)):o[r]=s}(r.options,a);var f=function(t,i,r){var o=i.options.props;if(!e(o)){var a={},s=t.attrs,l=t.props;if(n(s)||n(l))for(var u in o){var c=C(u),d=u.toLowerCase();u!==d&&s&&y(s,d)&&ct('Prop "'+d+'" is passed to component '+ht(r||i)+', but the declared prop name is "'+u+'". Note that HTML attributes are case-insensitive and camelCased props need to use their kebab-case equivalents when using in-DOM templates. You should probably use "'+c+'" instead of "'+u+'".'),Le(a,l,u,c,!0)||Le(a,s,u,c,!1)}return a}}(a,r,u);if(i(r.options.functional))return function(e,i,r,o,a){var s=e.options,l={},u=s.props;if(n(u))for(var c in u)l[c]=Wt(c,u,i||t);else n(r.attrs)&&an(l,r.attrs),n(r.props)&&an(l,r.props);var d=new rn(r,l,a,o,e),h=s.render.call(null,d._c,d);if(h instanceof bt)return on(h,r,d.parent,s,d);if(Array.isArray(h)){for(var f=De(h)||[],p=new Array(f.length),m=0;m<f.length;m++)p[m]=on(f[m],r,d.parent,s,d);return p}}(r,f,a,s,l);var p=a.on;if(a.on=a.nativeOn,i(r.options.abstract)){var m=a.slot;a={},m&&(a.slot=m)}!function(t){for(var e=t.hook||(t.hook={}),n=0;n<ln.length;n++){var i=ln[n],r=e[i],o=sn[i];r===o||r&&r._merged||(e[i]=r?cn(o,r):o)}}(a);var v=r.options.name||u;return new bt("vue-component-"+r.cid+(v?"-"+v:""),a,void 0,void 0,void 0,s,{Ctor:r,propsData:f,listeners:p,tag:u,children:l},h)}ut("Invalid Component definition: "+String(r),s)}}function cn(t,e){var n=function(n,i){t(n,i),e(n,i)};return n._merged=!0,n}var dn=1,hn=2;function fn(t,e,a,s,l,u){return(Array.isArray(a)||r(a))&&(l=s,s=a,a=void 0),i(u)&&(l=hn),function(t,e,i,a,s){if(n(i)&&n(i.__ob__))return ut("Avoid using observed data object as vnode data: "+JSON.stringify(i)+"\nAlways create fresh vnode data objects in each render!",t),xt();n(i)&&n(i.is)&&(e=i.is);if(!e)return xt();n(i)&&n(i.key)&&!r(i.key)&&ut("Avoid using non-primitive value as key, use string/number value instead.",t);Array.isArray(a)&&"function"==typeof a[0]&&((i=i||{}).scopedSlots={default:a[0]},a.length=0);s===hn?a=De(a):s===dn&&(a=function(t){for(var e=0;e<t.length;e++)if(Array.isArray(t[e]))return Array.prototype.concat.apply([],t);return t}(a));var l,u;if("string"==typeof e){var c;u=t.$vnode&&t.$vnode.ns||$.getTagNamespace(e),$.isReservedTag(e)?(n(i)&&n(i.nativeOn)&&ut("The .native modifier for v-on is only valid on components but it was used on <"+e+">.",t),l=new bt($.parsePlatformTagName(e),i,a,void 0,void 0,t)):l=i&&i.pre||!n(c=Ut(t.$options,"components",e))?new bt(e,i,a,void 0,void 0,t):un(c,i,t,a,e)}else l=un(e,i,t,a);return Array.isArray(l)?l:n(l)?(n(u)&&pn(l,u),n(i)&&function(t){o(t.style)&&Me(t.style);o(t.class)&&Me(t.class)}(i),l):xt()}(t,e,a,s,l)}function pn(t,r,o){if(t.ns=r,"foreignObject"===t.tag&&(r=void 0,o=!0),n(t.children))for(var a=0,s=t.children.length;a<s;a++){var l=t.children[a];n(l.tag)&&(e(l.ns)||i(o)&&"svg"!==l.tag)&&pn(l,r,o)}}var mn,vn=null;function gn(t,e){return(t.__esModule||lt&&"Module"===t[Symbol.toStringTag])&&(t=t.default),o(t)?e.extend(t):t}function _n(t){return t.isComment&&t.asyncFactory}function yn(t){if(Array.isArray(t))for(var e=0;e<t.length;e++){var i=t[e];if(n(i)&&(n(i.componentOptions)||_n(i)))return i}}function bn(t,e){mn.$on(t,e)}function wn(t,e){mn.$off(t,e)}function xn(t,e){var n=mn;return function i(){null!==e.apply(null,arguments)&&n.$off(t,i)}}function kn(t,e,n){mn=t,Ee(e,n||{},bn,wn,xn,t),mn=void 0}var Sn=null,Cn=!1;function Mn(t){var e=Sn;return Sn=t,function(){Sn=e}}function Tn(t){for(;t&&(t=t.$parent);)if(t._inactive)return!0;return!1}function On(t,e){if(e){if(t._directInactive=!1,Tn(t))return}else if(t._directInactive)return;if(t._inactive||null===t._inactive){t._inactive=!1;for(var n=0;n<t.$children.length;n++)On(t.$children[n]);En(t,"activated")}}function An(t,e){if(!(e&&(t._directInactive=!0,Tn(t))||t._inactive)){t._inactive=!0;for(var n=0;n<t.$children.length;n++)An(t.$children[n]);En(t,"deactivated")}}function En(t,e){_t();var n=t.$options[e],i=e+" hook";if(n)for(var r=0,o=n.length;r<o;r++)ee(n[r],t,null,t,i);t._hasHookEvent&&t.$emit("hook:"+e),yt()}var qn=100,Ln=[],Dn=[],Pn={},Rn={},Nn=!1,In=!1,jn=0;var $n=0,Fn=Date.now;if(W&&!K){var Bn=window.performance;Bn&&"function"==typeof Bn.now&&Fn()>document.createEvent("Event").timeStamp&&(Fn=function(){return Bn.now()})}function zn(){var t,e;for($n=Fn(),In=!0,Ln.sort((function(t,e){return t.id-e.id})),jn=0;jn<Ln.length;jn++)if((t=Ln[jn]).before&&t.before(),e=t.id,Pn[e]=null,t.run(),null!=Pn[e]&&(Rn[e]=(Rn[e]||0)+1,Rn[e]>qn)){ut("You may have an infinite update loop "+(t.user?'in watcher with expression "'+t.expression+'"':"in a component render function."),t.vm);break}var n=Dn.slice(),i=Ln.slice();jn=Ln.length=Dn.length=0,Pn={},Rn={},Nn=In=!1,function(t){for(var e=0;e<t.length;e++)t[e]._inactive=!0,On(t[e],!0)}(n),function(t){var e=t.length;for(;e--;){var n=t[e],i=n.vm;i._watcher===n&&i._isMounted&&!i._isDestroyed&&En(i,"updated")}}(i),ot&&$.devtools&&ot.emit("flush")}var Vn=0,Hn=function(t,e,n,i,r){this.vm=t,r&&(t._watcher=this),t._watchers.push(this),i?(this.deep=!!i.deep,this.user=!!i.user,this.lazy=!!i.lazy,this.sync=!!i.sync,this.before=i.before):this.deep=this.user=this.lazy=this.sync=!1,this.cb=n,this.id=++Vn,this.active=!0,this.dirty=this.lazy,this.deps=[],this.newDeps=[],this.depIds=new st,this.newDepIds=new st,this.expression=e.toString(),"function"==typeof e?this.getter=e:(this.getter=function(t){if(!V.test(t)){var e=t.split(".");return function(t){for(var n=0;n<e.length;n++){if(!t)return;t=t[e[n]]}return t}}}(e),this.getter||(this.getter=E,ut('Failed watching path: "'+e+'" Watcher only accepts simple dot-delimited paths. For full control, use a function instead.',t))),this.value=this.lazy?void 0:this.get()};Hn.prototype.get=function(){var t;_t(this);var e=this.vm;try{t=this.getter.call(e,e)}catch(t){if(!this.user)throw t;te(t,e,'getter for watcher "'+this.expression+'"')}finally{this.deep&&Me(t),yt(),this.cleanupDeps()}return t},Hn.prototype.addDep=function(t){var e=t.id;this.newDepIds.has(e)||(this.newDepIds.add(e),this.newDeps.push(t),this.depIds.has(e)||t.addSub(this))},Hn.prototype.cleanupDeps=function(){for(var t=this.deps.length;t--;){var e=this.deps[t];this.newDepIds.has(e.id)||e.removeSub(this)}var n=this.depIds;this.depIds=this.newDepIds,this.newDepIds=n,this.newDepIds.clear(),n=this.deps,this.deps=this.newDeps,this.newDeps=n,this.newDeps.length=0},Hn.prototype.update=function(){this.lazy?this.dirty=!0:this.sync?this.run():function(t){var e=t.id;if(null==Pn[e]){if(Pn[e]=!0,In){for(var n=Ln.length-1;n>jn&&Ln[n].id>t.id;)n--;Ln.splice(n+1,0,t)}else Ln.push(t);if(!Nn){if(Nn=!0,!$.async)return void zn();me(zn)}}}(this)},Hn.prototype.run=function(){if(this.active){var t=this.get();if(t!==this.value||o(t)||this.deep){var e=this.value;if(this.value=t,this.user)try{this.cb.call(this.vm,t,e)}catch(t){te(t,this.vm,'callback for watcher "'+this.expression+'"')}else this.cb.call(this.vm,t,e)}}},Hn.prototype.evaluate=function(){this.value=this.get(),this.dirty=!1},Hn.prototype.depend=function(){for(var t=this.deps.length;t--;)this.deps[t].depend()},Hn.prototype.teardown=function(){if(this.active){this.vm._isBeingDestroyed||g(this.vm._watchers,this);for(var t=this.deps.length;t--;)this.deps[t].removeSub(this);this.active=!1}};var Un={enumerable:!0,configurable:!0,get:E,set:E};function Wn(t,e,n){Un.get=function(){return this[e][n]},Un.set=function(t){this[e][n]=t},Object.defineProperty(t,n,Un)}function Yn(t){t._watchers=[];var e=t.$options;e.props&&function(t,e){var n=t.$options.propsData||{},i=t._props={},r=t.$options._propKeys=[],o=!t.$parent;o||At(!1);var a=function(a){r.push(a);var s=Wt(a,e,n,t),l=C(a);(v(l)||$.isReservedAttr(l))&&ut('"'+l+'" is a reserved attribute and cannot be used as component prop.',t),Lt(i,a,s,(function(){o||Cn||ut("Avoid mutating a prop directly since the value will be overwritten whenever the parent component re-renders. Instead, use a data or computed property based on the prop's value. Prop being mutated: \""+a+'"',t)})),a in t||Wn(t,"_props",a)};for(var s in e)a(s);At(!0)}(t,e.props),e.methods&&function(t,e){var n=t.$options.props;for(var i in e)"function"!=typeof e[i]&&ut('Method "'+i+'" has type "'+typeof e[i]+'" in the component definition. Did you reference the function correctly?',t),n&&y(n,i)&&ut('Method "'+i+'" has already been defined as a prop.',t),i in t&&B(i)&&ut('Method "'+i+'" conflicts with an existing Vue instance method. Avoid defining component methods that start with _ or $.'),t[i]="function"!=typeof e[i]?E:M(e[i],t)}(t,e.methods),e.data?function(t){var e=t.$options.data;e=t._data="function"==typeof e?function(t,e){_t();try{return t.call(e,e)}catch(t){return te(t,e,"data()"),{}}finally{yt()}}(e,t):e||{},l(e)||(e={},ut("data functions should return an object:\nhttps://vuejs.org/v2/guide/components.html#data-Must-Be-a-Function",t));var n=Object.keys(e),i=t.$options.props,r=t.$options.methods,o=n.length;for(;o--;){var a=n[o];r&&y(r,a)&&ut('Method "'+a+'" has already been defined as a data property.',t),i&&y(i,a)?ut('The data property "'+a+'" is already declared as a prop. Use prop default value instead.',t):B(a)||Wn(t,"_data",a)}qt(e,!0)}(t):qt(t._data={},!0),e.computed&&function(t,e){var n=t._computedWatchers=Object.create(null),i=rt();for(var r in e){var o=e[r],a="function"==typeof o?o:o.get;null==a&&ut('Getter is missing for computed property "'+r+'".',t),i||(n[r]=new Hn(t,a||E,E,Qn)),r in t?r in t.$data?ut('The computed property "'+r+'" is already defined in data.',t):t.$options.props&&r in t.$options.props&&ut('The computed property "'+r+'" is already defined as a prop.',t):Gn(t,r,o)}}(t,e.computed),e.watch&&e.watch!==et&&function(t,e){for(var n in e){var i=e[n];if(Array.isArray(i))for(var r=0;r<i.length;r++)Jn(t,n,i[r]);else Jn(t,n,i)}}(t,e.watch)}var Qn={lazy:!0};function Gn(t,e,n){var i=!rt();"function"==typeof n?(Un.get=i?Kn(e):Zn(n),Un.set=E):(Un.get=n.get?i&&!1!==n.cache?Kn(e):Zn(n.get):E,Un.set=n.set||E),Un.set===E&&(Un.set=function(){ut('Computed property "'+e+'" was assigned to but it has no setter.',this)}),Object.defineProperty(t,e,Un)}function Kn(t){return function(){var e=this._computedWatchers&&this._computedWatchers[t];if(e)return e.dirty&&e.evaluate(),vt.target&&e.depend(),e.value}}function Zn(t){return function(){return t.call(this,this)}}function Jn(t,e,n,i){return l(n)&&(i=n,n=n.handler),"string"==typeof n&&(n=t[n]),t.$watch(e,n,i)}var Xn=0;function ti(t){var e=t.options;if(t.super){var n=ti(t.super);if(n!==t.superOptions){t.superOptions=n;var i=function(t){var e,n=t.options,i=t.sealedOptions;for(var r in n)n[r]!==i[r]&&(e||(e={}),e[r]=n[r]);return e}(t);i&&O(t.extendOptions,i),(e=t.options=Ht(n,t.extendOptions)).name&&(e.components[e.name]=t)}}return e}function ei(t){this instanceof ei||ut("Vue is a constructor and should be called with the `new` keyword"),this._init(t)}function ni(t){t.cid=0;var e=1;t.extend=function(t){t=t||{};var n=this,i=n.cid,r=t._Ctor||(t._Ctor={});if(r[i])return r[i];var o=t.name||n.options.name;o&&zt(o);var a=function(t){this._init(t)};return(a.prototype=Object.create(n.prototype)).constructor=a,a.cid=e++,a.options=Ht(n.options,t),a.super=n,a.options.props&&function(t){var e=t.options.props;for(var n in e)Wn(t.prototype,"_props",n)}(a),a.options.computed&&function(t){var e=t.options.computed;for(var n in e)Gn(t.prototype,n,e[n])}(a),a.extend=n.extend,a.mixin=n.mixin,a.use=n.use,I.forEach((function(t){a[t]=n[t]})),o&&(a.options.components[o]=a),a.superOptions=n.options,a.extendOptions=t,a.sealedOptions=O({},a.options),r[i]=a,a}}function ii(t){return t&&(t.Ctor.options.name||t.tag)}function ri(t,e){return Array.isArray(t)?t.indexOf(e)>-1:"string"==typeof t?t.split(",").indexOf(e)>-1:!!u(t)&&t.test(e)}function oi(t,e){var n=t.cache,i=t.keys,r=t._vnode;for(var o in n){var a=n[o];if(a){var s=ii(a.componentOptions);s&&!e(s)&&ai(n,o,i,r)}}}function ai(t,e,n,i){var r=t[e];!r||i&&r.tag===i.tag||r.componentInstance.$destroy(),t[e]=null,g(n,e)}!function(e){e.prototype._init=function(e){var n,i,r=this;r._uid=Xn++,$.performance&&oe&&(n="vue-perf-start:"+r._uid,i="vue-perf-end:"+r._uid,oe(n)),r._isVue=!0,e&&e._isComponent?function(t,e){var n=t.$options=Object.create(t.constructor.options),i=e._parentVnode;n.parent=e.parent,n._parentVnode=i;var r=i.componentOptions;n.propsData=r.propsData,n._parentListeners=r.listeners,n._renderChildren=r.children,n._componentTag=r.tag,e.render&&(n.render=e.render,n.staticRenderFns=e.staticRenderFns)}(r,e):r.$options=Ht(ti(r.constructor),e||{},r),ve(r),r._self=r,function(t){var e=t.$options,n=e.parent;if(n&&!e.abstract){for(;n.$options.abstract&&n.$parent;)n=n.$parent;n.$children.push(t)}t.$parent=n,t.$root=n?n.$root:t,t.$children=[],t.$refs={},t._watcher=null,t._inactive=null,t._directInactive=!1,t._isMounted=!1,t._isDestroyed=!1,t._isBeingDestroyed=!1}(r),function(t){t._events=Object.create(null),t._hasHookEvent=!1;var e=t.$options._parentListeners;e&&kn(t,e)}(r),function(e){e._vnode=null,e._staticTrees=null;var n=e.$options,i=e.$vnode=n._parentVnode,r=i&&i.context;e.$slots=Ie(n._renderChildren,r),e.$scopedSlots=t,e._c=function(t,n,i,r){return fn(e,t,n,i,r,!1)},e.$createElement=function(t,n,i,r){return fn(e,t,n,i,r,!0)};var o=i&&i.data;Lt(e,"$attrs",o&&o.attrs||t,(function(){!Cn&&ut("$attrs is readonly.",e)}),!0),Lt(e,"$listeners",n._parentListeners||t,(function(){!Cn&&ut("$listeners is readonly.",e)}),!0)}(r),En(r,"beforeCreate"),function(t){var e=Ne(t.$options.inject,t);e&&(At(!1),Object.keys(e).forEach((function(n){Lt(t,n,e[n],(function(){ut('Avoid mutating an injected value directly since the changes will be overwritten whenever the provided component re-renders. injection being mutated: "'+n+'"',t)}))})),At(!0))}(r),Yn(r),function(t){var e=t.$options.provide;e&&(t._provided="function"==typeof e?e.call(t):e)}(r),En(r,"created"),$.performance&&oe&&(r._name=ht(r,!1),oe(i),ae("vue "+r._name+" init",n,i)),r.$options.el&&r.$mount(r.$options.el)}}(ei),function(t){var e={get:function(){return this._data}},n={get:function(){return this._props}};e.set=function(){ut("Avoid replacing instance root $data. Use nested data properties instead.",this)},n.set=function(){ut("$props is readonly.",this)},Object.defineProperty(t.prototype,"$data",e),Object.defineProperty(t.prototype,"$props",n),t.prototype.$set=Dt,t.prototype.$delete=Pt,t.prototype.$watch=function(t,e,n){var i=this;if(l(e))return Jn(i,t,e,n);(n=n||{}).user=!0;var r=new Hn(i,t,e,n);if(n.immediate)try{e.call(i,r.value)}catch(t){te(t,i,'callback for immediate watcher "'+r.expression+'"')}return function(){r.teardown()}}}(ei),function(t){var e=/^hook:/;t.prototype.$on=function(t,n){var i=this;if(Array.isArray(t))for(var r=0,o=t.length;r<o;r++)i.$on(t[r],n);else(i._events[t]||(i._events[t]=[])).push(n),e.test(t)&&(i._hasHookEvent=!0);return i},t.prototype.$once=function(t,e){var n=this;function i(){n.$off(t,i),e.apply(n,arguments)}return i.fn=e,n.$on(t,i),n},t.prototype.$off=function(t,e){var n=this;if(!arguments.length)return n._events=Object.create(null),n;if(Array.isArray(t)){for(var i=0,r=t.length;i<r;i++)n.$off(t[i],e);return n}var o,a=n._events[t];if(!a)return n;if(!e)return n._events[t]=null,n;for(var s=a.length;s--;)if((o=a[s])===e||o.fn===e){a.splice(s,1);break}return n},t.prototype.$emit=function(t){var e=this,n=t.toLowerCase();n!==t&&e._events[n]&&ct('Event "'+n+'" is emitted in component '+ht(e)+' but the handler is registered for "'+t+'". Note that HTML attributes are case-insensitive and you cannot use v-on to listen to camelCase events when using in-DOM templates. You should probably use "'+C(t)+'" instead of "'+t+'".');var i=e._events[t];if(i){i=i.length>1?T(i):i;for(var r=T(arguments,1),o='event handler for "'+t+'"',a=0,s=i.length;a<s;a++)ee(i[a],e,r,e,o)}return e}}(ei),function(t){t.prototype._update=function(t,e){var n=this,i=n.$el,r=n._vnode,o=Mn(n);n._vnode=t,n.$el=r?n.__patch__(r,t):n.__patch__(n.$el,t,e,!1),o(),i&&(i.__vue__=null),n.$el&&(n.$el.__vue__=n),n.$vnode&&n.$parent&&n.$vnode===n.$parent._vnode&&(n.$parent.$el=n.$el)},t.prototype.$forceUpdate=function(){this._watcher&&this._watcher.update()},t.prototype.$destroy=function(){var t=this;if(!t._isBeingDestroyed){En(t,"beforeDestroy"),t._isBeingDestroyed=!0;var e=t.$parent;!e||e._isBeingDestroyed||t.$options.abstract||g(e.$children,t),t._watcher&&t._watcher.teardown();for(var n=t._watchers.length;n--;)t._watchers[n].teardown();t._data.__ob__&&t._data.__ob__.vmCount--,t._isDestroyed=!0,t.__patch__(t._vnode,null),En(t,"destroyed"),t.$off(),t.$el&&(t.$el.__vue__=null),t.$vnode&&(t.$vnode.parent=null)}}}(ei),function(t){nn(t.prototype),t.prototype.$nextTick=function(t){return me(t,this)},t.prototype._render=function(){var t,e=this,n=e.$options,i=n.render,r=n._parentVnode;r&&(e.$scopedSlots=$e(r.data.scopedSlots,e.$slots,e.$scopedSlots)),e.$vnode=r;try{vn=e,t=i.call(e._renderProxy,e.$createElement)}catch(n){if(te(n,e,"render"),e.$options.renderError)try{t=e.$options.renderError.call(e._renderProxy,e.$createElement,n)}catch(n){te(n,e,"renderError"),t=e._vnode}else t=e._vnode}finally{vn=null}return Array.isArray(t)&&1===t.length&&(t=t[0]),t instanceof bt||(Array.isArray(t)&&ut("Multiple root nodes returned from render function. Render function should return a single root node.",e),t=xt()),t.parent=r,t}}(ei);var si=[String,RegExp,Array],li={KeepAlive:{name:"keep-alive",abstract:!0,props:{include:si,exclude:si,max:[String,Number]},created:function(){this.cache=Object.create(null),this.keys=[]},destroyed:function(){for(var t in this.cache)ai(this.cache,t,this.keys)},mounted:function(){var t=this;this.$watch("include",(function(e){oi(t,(function(t){return ri(e,t)}))})),this.$watch("exclude",(function(e){oi(t,(function(t){return!ri(e,t)}))}))},render:function(){var t=this.$slots.default,e=yn(t),n=e&&e.componentOptions;if(n){var i=ii(n),r=this.include,o=this.exclude;if(r&&(!i||!ri(r,i))||o&&i&&ri(o,i))return e;var a=this.cache,s=this.keys,l=null==e.key?n.Ctor.cid+(n.tag?"::"+n.tag:""):e.key;a[l]?(e.componentInstance=a[l].componentInstance,g(s,l),s.push(l)):(a[l]=e,s.push(l),this.max&&s.length>parseInt(this.max)&&ai(a,s[0],s,this._vnode)),e.data.keepAlive=!0}return e||t&&t[0]}}};!function(t){var e={get:function(){return $},set:function(){ut("Do not replace the Vue.config object, set individual fields instead.")}};Object.defineProperty(t,"config",e),t.util={warn:ut,extend:O,mergeOptions:Ht,defineReactive:Lt},t.set=Dt,t.delete=Pt,t.nextTick=me,t.observable=function(t){return qt(t),t},t.options=Object.create(null),I.forEach((function(e){t.options[e+"s"]=Object.create(null)})),t.options._base=t,O(t.options.components,li),function(t){t.use=function(t){var e=this._installedPlugins||(this._installedPlugins=[]);if(e.indexOf(t)>-1)return this;var n=T(arguments,1);return n.unshift(this),"function"==typeof t.install?t.install.apply(t,n):"function"==typeof t&&t.apply(null,n),e.push(t),this}}(t),function(t){t.mixin=function(t){return this.options=Ht(this.options,t),this}}(t),ni(t),function(t){I.forEach((function(e){t[e]=function(t,n){return n?("component"===e&&zt(t),"component"===e&&l(n)&&(n.name=n.name||t,n=this.options._base.extend(n)),"directive"===e&&"function"==typeof n&&(n={bind:n,update:n}),this.options[e+"s"][t]=n,n):this.options[e+"s"][t]}}))}(t)}(ei),Object.defineProperty(ei.prototype,"$isServer",{get:rt}),Object.defineProperty(ei.prototype,"$ssrContext",{get:function(){return this.$vnode&&this.$vnode.ssrContext}}),Object.defineProperty(ei,"FunctionalRenderContext",{value:rn}),ei.version="2.6.12";var ui=p("style,class"),ci=p("input,textarea,option,select,progress"),di=function(t,e,n){return"value"===n&&ci(t)&&"button"!==e||"selected"===n&&"option"===t||"checked"===n&&"input"===t||"muted"===n&&"video"===t},hi=p("contenteditable,draggable,spellcheck"),fi=p("events,caret,typing,plaintext-only"),pi=function(t,e){return yi(e)||"false"===e?"false":"contenteditable"===t&&fi(e)?e:"true"},mi=p("allowfullscreen,async,autofocus,autoplay,checked,compact,controls,declare,default,defaultchecked,defaultmuted,defaultselected,defer,disabled,enabled,formnovalidate,hidden,indeterminate,inert,ismap,itemscope,loop,multiple,muted,nohref,noresize,noshade,novalidate,nowrap,open,pauseonexit,readonly,required,reversed,scoped,seamless,selected,sortable,translate,truespeed,typemustmatch,visible"),vi="http://www.w3.org/1999/xlink",gi=function(t){return":"===t.charAt(5)&&"xlink"===t.slice(0,5)},_i=function(t){return gi(t)?t.slice(6,t.length):""},yi=function(t){return null==t||!1===t};function bi(t){for(var e=t.data,i=t,r=t;n(r.componentInstance);)(r=r.componentInstance._vnode)&&r.data&&(e=wi(r.data,e));for(;n(i=i.parent);)i&&i.data&&(e=wi(e,i.data));return function(t,e){if(n(t)||n(e))return xi(t,ki(e));return""}(e.staticClass,e.class)}function wi(t,e){return{staticClass:xi(t.staticClass,e.staticClass),class:n(t.class)?[t.class,e.class]:e.class}}function xi(t,e){return t?e?t+" "+e:t:e||""}function ki(t){return Array.isArray(t)?function(t){for(var e,i="",r=0,o=t.length;r<o;r++)n(e=ki(t[r]))&&""!==e&&(i&&(i+=" "),i+=e);return i}(t):o(t)?function(t){var e="";for(var n in t)t[n]&&(e&&(e+=" "),e+=n);return e}(t):"string"==typeof t?t:""}var Si={svg:"http://www.w3.org/2000/svg",math:"http://www.w3.org/1998/Math/MathML"},Ci=p("html,body,base,head,link,meta,style,title,address,article,aside,footer,header,h1,h2,h3,h4,h5,h6,hgroup,nav,section,div,dd,dl,dt,figcaption,figure,picture,hr,img,li,main,ol,p,pre,ul,a,b,abbr,bdi,bdo,br,cite,code,data,dfn,em,i,kbd,mark,q,rp,rt,rtc,ruby,s,samp,small,span,strong,sub,sup,time,u,var,wbr,area,audio,map,track,video,embed,object,param,source,canvas,script,noscript,del,ins,caption,col,colgroup,table,thead,tbody,td,th,tr,button,datalist,fieldset,form,input,label,legend,meter,optgroup,option,output,progress,select,textarea,details,dialog,menu,menuitem,summary,content,element,shadow,template,blockquote,iframe,tfoot"),Mi=p("svg,animate,circle,clippath,cursor,defs,desc,ellipse,filter,font-face,foreignObject,g,glyph,image,line,marker,mask,missing-glyph,path,pattern,polygon,polyline,rect,switch,symbol,text,textpath,tspan,use,view",!0),Ti=function(t){return Ci(t)||Mi(t)};function Oi(t){return Mi(t)?"svg":"math"===t?"math":void 0}var Ai=Object.create(null);var Ei=p("text,number,password,search,email,tel,url");function qi(t){if("string"==typeof t){var e=document.querySelector(t);return e||(ut("Cannot find element: "+t),document.createElement("div"))}return t}var Li=Object.freeze({createElement:function(t,e){var n=document.createElement(t);return"select"!==t||e.data&&e.data.attrs&&void 0!==e.data.attrs.multiple&&n.setAttribute("multiple","multiple"),n},createElementNS:function(t,e){return document.createElementNS(Si[t],e)},createTextNode:function(t){return document.createTextNode(t)},createComment:function(t){return document.createComment(t)},insertBefore:function(t,e,n){t.insertBefore(e,n)},removeChild:function(t,e){t.removeChild(e)},appendChild:function(t,e){t.appendChild(e)},parentNode:function(t){return t.parentNode},nextSibling:function(t){return t.nextSibling},tagName:function(t){return t.tagName},setTextContent:function(t,e){t.textContent=e},setStyleScope:function(t,e){t.setAttribute(e,"")}}),Di={create:function(t,e){Pi(e)},update:function(t,e){t.data.ref!==e.data.ref&&(Pi(t,!0),Pi(e))},destroy:function(t){Pi(t,!0)}};function Pi(t,e){var i=t.data.ref;if(n(i)){var r=t.context,o=t.componentInstance||t.elm,a=r.$refs;e?Array.isArray(a[i])?g(a[i],o):a[i]===o&&(a[i]=void 0):t.data.refInFor?Array.isArray(a[i])?a[i].indexOf(o)<0&&a[i].push(o):a[i]=[o]:a[i]=o}}var Ri=new bt("",{},[]),Ni=["create","activate","update","remove","destroy"];function Ii(t,r){return t.key===r.key&&(t.tag===r.tag&&t.isComment===r.isComment&&n(t.data)===n(r.data)&&function(t,e){if("input"!==t.tag)return!0;var i,r=n(i=t.data)&&n(i=i.attrs)&&i.type,o=n(i=e.data)&&n(i=i.attrs)&&i.type;return r===o||Ei(r)&&Ei(o)}(t,r)||i(t.isAsyncPlaceholder)&&t.asyncFactory===r.asyncFactory&&e(r.asyncFactory.error))}function ji(t,e,i){var r,o,a={};for(r=e;r<=i;++r)n(o=t[r].key)&&(a[o]=r);return a}var $i={create:Fi,update:Fi,destroy:function(t){Fi(t,Ri)}};function Fi(t,e){(t.data.directives||e.data.directives)&&function(t,e){var n,i,r,o=t===Ri,a=e===Ri,s=zi(t.data.directives,t.context),l=zi(e.data.directives,e.context),u=[],c=[];for(n in l)i=s[n],r=l[n],i?(r.oldValue=i.value,r.oldArg=i.arg,Hi(r,"update",e,t),r.def&&r.def.componentUpdated&&c.push(r)):(Hi(r,"bind",e,t),r.def&&r.def.inserted&&u.push(r));if(u.length){var d=function(){for(var n=0;n<u.length;n++)Hi(u[n],"inserted",e,t)};o?qe(e,"insert",d):d()}c.length&&qe(e,"postpatch",(function(){for(var n=0;n<c.length;n++)Hi(c[n],"componentUpdated",e,t)}));if(!o)for(n in s)l[n]||Hi(s[n],"unbind",t,t,a)}(t,e)}var Bi=Object.create(null);function zi(t,e){var n,i,r=Object.create(null);if(!t)return r;for(n=0;n<t.length;n++)(i=t[n]).modifiers||(i.modifiers=Bi),r[Vi(i)]=i,i.def=Ut(e.$options,"directives",i.name,!0);return r}function Vi(t){return t.rawName||t.name+"."+Object.keys(t.modifiers||{}).join(".")}function Hi(t,e,n,i,r){var o=t.def&&t.def[e];if(o)try{o(n.elm,t,n,i,r)}catch(i){te(i,n.context,"directive "+t.name+" "+e+" hook")}}var Ui=[Di,$i];function Wi(t,i){var r=i.componentOptions;if(!(n(r)&&!1===r.Ctor.options.inheritAttrs||e(t.data.attrs)&&e(i.data.attrs))){var o,a,s=i.elm,l=t.data.attrs||{},u=i.data.attrs||{};for(o in n(u.__ob__)&&(u=i.data.attrs=O({},u)),u)a=u[o],l[o]!==a&&Yi(s,o,a);for(o in(K||J)&&u.value!==l.value&&Yi(s,"value",u.value),l)e(u[o])&&(gi(o)?s.removeAttributeNS(vi,_i(o)):hi(o)||s.removeAttribute(o))}}function Yi(t,e,n){t.tagName.indexOf("-")>-1?Qi(t,e,n):mi(e)?yi(n)?t.removeAttribute(e):(n="allowfullscreen"===e&&"EMBED"===t.tagName?"true":e,t.setAttribute(e,n)):hi(e)?t.setAttribute(e,pi(e,n)):gi(e)?yi(n)?t.removeAttributeNS(vi,_i(e)):t.setAttributeNS(vi,e,n):Qi(t,e,n)}function Qi(t,e,n){if(yi(n))t.removeAttribute(e);else{if(K&&!Z&&"TEXTAREA"===t.tagName&&"placeholder"===e&&""!==n&&!t.__ieph){var i=function(e){e.stopImmediatePropagation(),t.removeEventListener("input",i)};t.addEventListener("input",i),t.__ieph=!0}t.setAttribute(e,n)}}var Gi={create:Wi,update:Wi};function Ki(t,i){var r=i.elm,o=i.data,a=t.data;if(!(e(o.staticClass)&&e(o.class)&&(e(a)||e(a.staticClass)&&e(a.class)))){var s=bi(i),l=r._transitionClasses;n(l)&&(s=xi(s,ki(l))),s!==r._prevClass&&(r.setAttribute("class",s),r._prevClass=s)}}var Zi,Ji,Xi,tr,er,nr,ir,rr={create:Ki,update:Ki},or=/[\w).+\-_$\]]/;function ar(t){var e,n,i,r,o,a=!1,s=!1,l=!1,u=!1,c=0,d=0,h=0,f=0;for(i=0;i<t.length;i++)if(n=e,e=t.charCodeAt(i),a)39===e&&92!==n&&(a=!1);else if(s)34===e&&92!==n&&(s=!1);else if(l)96===e&&92!==n&&(l=!1);else if(u)47===e&&92!==n&&(u=!1);else if(124!==e||124===t.charCodeAt(i+1)||124===t.charCodeAt(i-1)||c||d||h){switch(e){case 34:s=!0;break;case 39:a=!0;break;case 96:l=!0;break;case 40:h++;break;case 41:h--;break;case 91:d++;break;case 93:d--;break;case 123:c++;break;case 125:c--}if(47===e){for(var p=i-1,m=void 0;p>=0&&" "===(m=t.charAt(p));p--);m&&or.test(m)||(u=!0)}}else void 0===r?(f=i+1,r=t.slice(0,i).trim()):v();function v(){(o||(o=[])).push(t.slice(f,i).trim()),f=i+1}if(void 0===r?r=t.slice(0,i).trim():0!==f&&v(),o)for(i=0;i<o.length;i++)r=sr(r,o[i]);return r}function sr(t,e){var n=e.indexOf("(");if(n<0)return'_f("'+e+'")('+t+")";var i=e.slice(0,n),r=e.slice(n+1);return'_f("'+i+'")('+t+(")"!==r?","+r:r)}function lr(t,e){console.error("[Vue compiler]: "+t)}function ur(t,e){return t?t.map((function(t){return t[e]})).filter((function(t){return t})):[]}function cr(t,e,n,i,r){(t.props||(t.props=[])).push(br({name:e,value:n,dynamic:r},i)),t.plain=!1}function dr(t,e,n,i,r){(r?t.dynamicAttrs||(t.dynamicAttrs=[]):t.attrs||(t.attrs=[])).push(br({name:e,value:n,dynamic:r},i)),t.plain=!1}function hr(t,e,n,i){t.attrsMap[e]=n,t.attrsList.push(br({name:e,value:n},i))}function fr(t,e,n,i,r,o,a,s){(t.directives||(t.directives=[])).push(br({name:e,rawName:n,value:i,arg:r,isDynamicArg:o,modifiers:a},s)),t.plain=!1}function pr(t,e,n){return n?"_p("+e+',"'+t+'")':t+e}function mr(e,n,i,r,o,a,s,l){var u;r=r||t,a&&r.prevent&&r.passive&&a("passive and prevent can't be used together. Passive handler can't prevent default event.",s),r.right?l?n="("+n+")==='click'?'contextmenu':("+n+")":"click"===n&&(n="contextmenu",delete r.right):r.middle&&(l?n="("+n+")==='click'?'mouseup':("+n+")":"click"===n&&(n="mouseup")),r.capture&&(delete r.capture,n=pr("!",n,l)),r.once&&(delete r.once,n=pr("~",n,l)),r.passive&&(delete r.passive,n=pr("&",n,l)),r.native?(delete r.native,u=e.nativeEvents||(e.nativeEvents={})):u=e.events||(e.events={});var c=br({value:i.trim(),dynamic:l},s);r!==t&&(c.modifiers=r);var d=u[n];Array.isArray(d)?o?d.unshift(c):d.push(c):u[n]=d?o?[c,d]:[d,c]:c,e.plain=!1}function vr(t,e){return t.rawAttrsMap[":"+e]||t.rawAttrsMap["v-bind:"+e]||t.rawAttrsMap[e]}function gr(t,e,n){var i=_r(t,":"+e)||_r(t,"v-bind:"+e);if(null!=i)return ar(i);if(!1!==n){var r=_r(t,e);if(null!=r)return JSON.stringify(r)}}function _r(t,e,n){var i;if(null!=(i=t.attrsMap[e]))for(var r=t.attrsList,o=0,a=r.length;o<a;o++)if(r[o].name===e){r.splice(o,1);break}return n&&delete t.attrsMap[e],i}function yr(t,e){for(var n=t.attrsList,i=0,r=n.length;i<r;i++){var o=n[i];if(e.test(o.name))return n.splice(i,1),o}}function br(t,e){return e&&(null!=e.start&&(t.start=e.start),null!=e.end&&(t.end=e.end)),t}function wr(t,e,n){var i=n||{},r=i.number,o="$$v",a=o;i.trim&&(a="(typeof $$v === 'string'? $$v.trim(): $$v)"),r&&(a="_n("+a+")");var s=xr(e,a);t.model={value:"("+e+")",expression:JSON.stringify(e),callback:"function ($$v) {"+s+"}"}}function xr(t,e){var n=function(t){if(t=t.trim(),Zi=t.length,t.indexOf("[")<0||t.lastIndexOf("]")<Zi-1)return(tr=t.lastIndexOf("."))>-1?{exp:t.slice(0,tr),key:'"'+t.slice(tr+1)+'"'}:{exp:t,key:null};Ji=t,tr=er=nr=0;for(;!Sr();)Cr(Xi=kr())?Tr(Xi):91===Xi&&Mr(Xi);return{exp:t.slice(0,er),key:t.slice(er+1,nr)}}(t);return null===n.key?t+"="+e:"$set("+n.exp+", "+n.key+", "+e+")"}function kr(){return Ji.charCodeAt(++tr)}function Sr(){return tr>=Zi}function Cr(t){return 34===t||39===t}function Mr(t){var e=1;for(er=tr;!Sr();)if(Cr(t=kr()))Tr(t);else if(91===t&&e++,93===t&&e--,0===e){nr=tr;break}}function Tr(t){for(var e=t;!Sr()&&(t=kr())!==e;);}var Or,Ar="__r",Er="__c";function qr(t,e,n){var i=Or;return function r(){null!==e.apply(null,arguments)&&Pr(t,r,n,i)}}var Lr=se&&!(tt&&Number(tt[1])<=53);function Dr(t,e,n,i){if(Lr){var r=$n,o=e;e=o._wrapper=function(t){if(t.target===t.currentTarget||t.timeStamp>=r||t.timeStamp<=0||t.target.ownerDocument!==document)return o.apply(this,arguments)}}Or.addEventListener(t,e,nt?{capture:n,passive:i}:n)}function Pr(t,e,n,i){(i||Or).removeEventListener(t,e._wrapper||e,n)}function Rr(t,i){if(!e(t.data.on)||!e(i.data.on)){var r=i.data.on||{},o=t.data.on||{};Or=i.elm,function(t){if(n(t[Ar])){var e=K?"change":"input";t[e]=[].concat(t[Ar],t[e]||[]),delete t[Ar]}n(t[Er])&&(t.change=[].concat(t[Er],t.change||[]),delete t[Er])}(r),Ee(r,o,Dr,Pr,qr,i.context),Or=void 0}}var Nr,Ir={create:Rr,update:Rr};function jr(t,i){if(!e(t.data.domProps)||!e(i.data.domProps)){var r,o,a=i.elm,s=t.data.domProps||{},l=i.data.domProps||{};for(r in n(l.__ob__)&&(l=i.data.domProps=O({},l)),s)r in l||(a[r]="");for(r in l){if(o=l[r],"textContent"===r||"innerHTML"===r){if(i.children&&(i.children.length=0),o===s[r])continue;1===a.childNodes.length&&a.removeChild(a.childNodes[0])}if("value"===r&&"PROGRESS"!==a.tagName){a._value=o;var u=e(o)?"":String(o);$r(a,u)&&(a.value=u)}else if("innerHTML"===r&&Mi(a.tagName)&&e(a.innerHTML)){(Nr=Nr||document.createElement("div")).innerHTML="<svg>"+o+"</svg>";for(var c=Nr.firstChild;a.firstChild;)a.removeChild(a.firstChild);for(;c.firstChild;)a.appendChild(c.firstChild)}else if(o!==s[r])try{a[r]=o}catch(t){}}}}function $r(t,e){return!t.composing&&("OPTION"===t.tagName||function(t,e){var n=!0;try{n=document.activeElement!==t}catch(t){}return n&&t.value!==e}(t,e)||function(t,e){var i=t.value,r=t._vModifiers;if(n(r)){if(r.number)return f(i)!==f(e);if(r.trim)return i.trim()!==e.trim()}return i!==e}(t,e))}var Fr={create:jr,update:jr},Br=b((function(t){var e={},n=/:(.+)/;return t.split(/;(?![^(]*\))/g).forEach((function(t){if(t){var i=t.split(n);i.length>1&&(e[i[0].trim()]=i[1].trim())}})),e}));function zr(t){var e=Vr(t.style);return t.staticStyle?O(t.staticStyle,e):e}function Vr(t){return Array.isArray(t)?A(t):"string"==typeof t?Br(t):t}var Hr,Ur=/^--/,Wr=/\s*!important$/,Yr=function(t,e,n){if(Ur.test(e))t.style.setProperty(e,n);else if(Wr.test(n))t.style.setProperty(C(e),n.replace(Wr,""),"important");else{var i=Gr(e);if(Array.isArray(n))for(var r=0,o=n.length;r<o;r++)t.style[i]=n[r];else t.style[i]=n}},Qr=["Webkit","Moz","ms"],Gr=b((function(t){if(Hr=Hr||document.createElement("div").style,"filter"!==(t=x(t))&&t in Hr)return t;for(var e=t.charAt(0).toUpperCase()+t.slice(1),n=0;n<Qr.length;n++){var i=Qr[n]+e;if(i in Hr)return i}}));function Kr(t,i){var r=i.data,o=t.data;if(!(e(r.staticStyle)&&e(r.style)&&e(o.staticStyle)&&e(o.style))){var a,s,l=i.elm,u=o.staticStyle,c=o.normalizedStyle||o.style||{},d=u||c,h=Vr(i.data.style)||{};i.data.normalizedStyle=n(h.__ob__)?O({},h):h;var f=function(t,e){var n,i={};if(e)for(var r=t;r.componentInstance;)(r=r.componentInstance._vnode)&&r.data&&(n=zr(r.data))&&O(i,n);(n=zr(t.data))&&O(i,n);for(var o=t;o=o.parent;)o.data&&(n=zr(o.data))&&O(i,n);return i}(i,!0);for(s in d)e(f[s])&&Yr(l,s,"");for(s in f)(a=f[s])!==d[s]&&Yr(l,s,null==a?"":a)}}var Zr={create:Kr,update:Kr},Jr=/\s+/;function Xr(t,e){if(e&&(e=e.trim()))if(t.classList)e.indexOf(" ")>-1?e.split(Jr).forEach((function(e){return t.classList.add(e)})):t.classList.add(e);else{var n=" "+(t.getAttribute("class")||"")+" ";n.indexOf(" "+e+" ")<0&&t.setAttribute("class",(n+e).trim())}}function to(t,e){if(e&&(e=e.trim()))if(t.classList)e.indexOf(" ")>-1?e.split(Jr).forEach((function(e){return t.classList.remove(e)})):t.classList.remove(e),t.classList.length||t.removeAttribute("class");else{for(var n=" "+(t.getAttribute("class")||"")+" ",i=" "+e+" ";n.indexOf(i)>=0;)n=n.replace(i," ");(n=n.trim())?t.setAttribute("class",n):t.removeAttribute("class")}}function eo(t){if(t){if("object"==typeof t){var e={};return!1!==t.css&&O(e,no(t.name||"v")),O(e,t),e}return"string"==typeof t?no(t):void 0}}var no=b((function(t){return{enterClass:t+"-enter",enterToClass:t+"-enter-to",enterActiveClass:t+"-enter-active",leaveClass:t+"-leave",leaveToClass:t+"-leave-to",leaveActiveClass:t+"-leave-active"}})),io=W&&!Z,ro="transition",oo="animation",ao="transition",so="transitionend",lo="animation",uo="animationend";io&&(void 0===window.ontransitionend&&void 0!==window.onwebkittransitionend&&(ao="WebkitTransition",so="webkitTransitionEnd"),void 0===window.onanimationend&&void 0!==window.onwebkitanimationend&&(lo="WebkitAnimation",uo="webkitAnimationEnd"));var co=W?window.requestAnimationFrame?window.requestAnimationFrame.bind(window):setTimeout:function(t){return t()};function ho(t){co((function(){co(t)}))}function fo(t,e){var n=t._transitionClasses||(t._transitionClasses=[]);n.indexOf(e)<0&&(n.push(e),Xr(t,e))}function po(t,e){t._transitionClasses&&g(t._transitionClasses,e),to(t,e)}function mo(t,e,n){var i=go(t,e),r=i.type,o=i.timeout,a=i.propCount;if(!r)return n();var s=r===ro?so:uo,l=0,u=function(){t.removeEventListener(s,c),n()},c=function(e){e.target===t&&++l>=a&&u()};setTimeout((function(){l<a&&u()}),o+1),t.addEventListener(s,c)}var vo=/\b(transform|all)(,|$)/;function go(t,e){var n,i=window.getComputedStyle(t),r=(i[ao+"Delay"]||"").split(", "),o=(i[ao+"Duration"]||"").split(", "),a=_o(r,o),s=(i[lo+"Delay"]||"").split(", "),l=(i[lo+"Duration"]||"").split(", "),u=_o(s,l),c=0,d=0;return e===ro?a>0&&(n=ro,c=a,d=o.length):e===oo?u>0&&(n=oo,c=u,d=l.length):d=(n=(c=Math.max(a,u))>0?a>u?ro:oo:null)?n===ro?o.length:l.length:0,{type:n,timeout:c,propCount:d,hasTransform:n===ro&&vo.test(i[ao+"Property"])}}function _o(t,e){for(;t.length<e.length;)t=t.concat(t);return Math.max.apply(null,e.map((function(e,n){return yo(e)+yo(t[n])})))}function yo(t){return 1e3*Number(t.slice(0,-1).replace(",","."))}function bo(t,i){var r=t.elm;n(r._leaveCb)&&(r._leaveCb.cancelled=!0,r._leaveCb());var a=eo(t.data.transition);if(!e(a)&&!n(r._enterCb)&&1===r.nodeType){for(var s=a.css,l=a.type,u=a.enterClass,c=a.enterToClass,d=a.enterActiveClass,h=a.appearClass,p=a.appearToClass,m=a.appearActiveClass,v=a.beforeEnter,g=a.enter,_=a.afterEnter,y=a.enterCancelled,b=a.beforeAppear,w=a.appear,x=a.afterAppear,k=a.appearCancelled,S=a.duration,C=Sn,M=Sn.$vnode;M&&M.parent;)C=M.context,M=M.parent;var T=!C._isMounted||!t.isRootInsert;if(!T||w||""===w){var O=T&&h?h:u,A=T&&m?m:d,E=T&&p?p:c,q=T&&b||v,L=T&&"function"==typeof w?w:g,D=T&&x||_,P=T&&k||y,N=f(o(S)?S.enter:S);null!=N&&xo(N,"enter",t);var I=!1!==s&&!Z,j=So(L),$=r._enterCb=R((function(){I&&(po(r,E),po(r,A)),$.cancelled?(I&&po(r,O),P&&P(r)):D&&D(r),r._enterCb=null}));t.data.show||qe(t,"insert",(function(){var e=r.parentNode,n=e&&e._pending&&e._pending[t.key];n&&n.tag===t.tag&&n.elm._leaveCb&&n.elm._leaveCb(),L&&L(r,$)})),q&&q(r),I&&(fo(r,O),fo(r,A),ho((function(){po(r,O),$.cancelled||(fo(r,E),j||(ko(N)?setTimeout($,N):mo(r,l,$)))}))),t.data.show&&(i&&i(),L&&L(r,$)),I||j||$()}}}function wo(t,i){var r=t.elm;n(r._enterCb)&&(r._enterCb.cancelled=!0,r._enterCb());var a=eo(t.data.transition);if(e(a)||1!==r.nodeType)return i();if(!n(r._leaveCb)){var s=a.css,l=a.type,u=a.leaveClass,c=a.leaveToClass,d=a.leaveActiveClass,h=a.beforeLeave,p=a.leave,m=a.afterLeave,v=a.leaveCancelled,g=a.delayLeave,_=a.duration,y=!1!==s&&!Z,b=So(p),w=f(o(_)?_.leave:_);n(w)&&xo(w,"leave",t);var x=r._leaveCb=R((function(){r.parentNode&&r.parentNode._pending&&(r.parentNode._pending[t.key]=null),y&&(po(r,c),po(r,d)),x.cancelled?(y&&po(r,u),v&&v(r)):(i(),m&&m(r)),r._leaveCb=null}));g?g(k):k()}function k(){x.cancelled||(!t.data.show&&r.parentNode&&((r.parentNode._pending||(r.parentNode._pending={}))[t.key]=t),h&&h(r),y&&(fo(r,u),fo(r,d),ho((function(){po(r,u),x.cancelled||(fo(r,c),b||(ko(w)?setTimeout(x,w):mo(r,l,x)))}))),p&&p(r,x),y||b||x())}}function xo(t,e,n){"number"!=typeof t?ut("<transition> explicit "+e+" duration is not a valid number - got "+JSON.stringify(t)+".",n.context):isNaN(t)&&ut("<transition> explicit "+e+" duration is NaN - the duration expression might be incorrect.",n.context)}function ko(t){return"number"==typeof t&&!isNaN(t)}function So(t){if(e(t))return!1;var i=t.fns;return n(i)?So(Array.isArray(i)?i[0]:i):(t._length||t.length)>1}function Co(t,e){!0!==e.data.show&&bo(e)}var Mo=function(t){var o,a,s={},l=t.modules,c=t.nodeOps;for(o=0;o<Ni.length;++o)for(s[Ni[o]]=[],a=0;a<l.length;++a)n(l[a][Ni[o]])&&s[Ni[o]].push(l[a][Ni[o]]);function d(t){var e=c.parentNode(t);n(e)&&c.removeChild(e,t)}function h(t,e){return!e&&!t.ns&&!($.ignoredElements.length&&$.ignoredElements.some((function(e){return u(e)?e.test(t.tag):e===t.tag})))&&$.isUnknownElement(t.tag)}var f=0;function m(t,e,r,o,a,l,u){if(n(t.elm)&&n(l)&&(t=l[u]=St(t)),t.isRootInsert=!a,!function(t,e,r,o){var a=t.data;if(n(a)){var l=n(t.componentInstance)&&a.keepAlive;if(n(a=a.hook)&&n(a=a.init)&&a(t,!1),n(t.componentInstance))return v(t,e),g(r,t.elm,o),i(l)&&function(t,e,i,r){var o,a=t;for(;a.componentInstance;)if(n(o=(a=a.componentInstance._vnode).data)&&n(o=o.transition)){for(o=0;o<s.activate.length;++o)s.activate[o](Ri,a);e.push(a);break}g(i,t.elm,r)}(t,e,r,o),!0}}(t,e,r,o)){var d=t.data,p=t.children,m=t.tag;n(m)?(d&&d.pre&&f++,h(t,f)&&ut("Unknown custom element: <"+m+'> - did you register the component correctly? For recursive components, make sure to provide the "name" option.',t.context),t.elm=t.ns?c.createElementNS(t.ns,m):c.createElement(m,t),w(t),_(t,p,e),n(d)&&b(t,e),g(r,t.elm,o),d&&d.pre&&f--):i(t.isComment)?(t.elm=c.createComment(t.text),g(r,t.elm,o)):(t.elm=c.createTextNode(t.text),g(r,t.elm,o))}}function v(t,e){n(t.data.pendingInsert)&&(e.push.apply(e,t.data.pendingInsert),t.data.pendingInsert=null),t.elm=t.componentInstance.$el,y(t)?(b(t,e),w(t)):(Pi(t),e.push(t))}function g(t,e,i){n(t)&&(n(i)?c.parentNode(i)===t&&c.insertBefore(t,e,i):c.appendChild(t,e))}function _(t,e,n){if(Array.isArray(e)){M(e);for(var i=0;i<e.length;++i)m(e[i],n,t.elm,null,!0,e,i)}else r(t.text)&&c.appendChild(t.elm,c.createTextNode(String(t.text)))}function y(t){for(;t.componentInstance;)t=t.componentInstance._vnode;return n(t.tag)}function b(t,e){for(var i=0;i<s.create.length;++i)s.create[i](Ri,t);n(o=t.data.hook)&&(n(o.create)&&o.create(Ri,t),n(o.insert)&&e.push(t))}function w(t){var e;if(n(e=t.fnScopeId))c.setStyleScope(t.elm,e);else for(var i=t;i;)n(e=i.context)&&n(e=e.$options._scopeId)&&c.setStyleScope(t.elm,e),i=i.parent;n(e=Sn)&&e!==t.context&&e!==t.fnContext&&n(e=e.$options._scopeId)&&c.setStyleScope(t.elm,e)}function x(t,e,n,i,r,o){for(;i<=r;++i)m(n[i],o,t,e,!1,n,i)}function k(t){var e,i,r=t.data;if(n(r))for(n(e=r.hook)&&n(e=e.destroy)&&e(t),e=0;e<s.destroy.length;++e)s.destroy[e](t);if(n(e=t.children))for(i=0;i<t.children.length;++i)k(t.children[i])}function S(t,e,i){for(;e<=i;++e){var r=t[e];n(r)&&(n(r.tag)?(C(r),k(r)):d(r.elm))}}function C(t,e){if(n(e)||n(t.data)){var i,r=s.remove.length+1;for(n(e)?e.listeners+=r:e=function(t,e){function n(){0==--n.listeners&&d(t)}return n.listeners=e,n}(t.elm,r),n(i=t.componentInstance)&&n(i=i._vnode)&&n(i.data)&&C(i,e),i=0;i<s.remove.length;++i)s.remove[i](t,e);n(i=t.data.hook)&&n(i=i.remove)?i(t,e):e()}else d(t.elm)}function M(t){for(var e={},i=0;i<t.length;i++){var r=t[i],o=r.key;n(o)&&(e[o]?ut("Duplicate keys detected: '"+o+"'. This may cause an update error.",r.context):e[o]=!0)}}function T(t,e,i,r){for(var o=i;o<r;o++){var a=e[o];if(n(a)&&Ii(t,a))return o}}function O(t,r,o,a,l,u){if(t!==r){n(r.elm)&&n(a)&&(r=a[l]=St(r));var d=r.elm=t.elm;if(i(t.isAsyncPlaceholder))n(r.asyncFactory.resolved)?L(t.elm,r,o):r.isAsyncPlaceholder=!0;else if(i(r.isStatic)&&i(t.isStatic)&&r.key===t.key&&(i(r.isCloned)||i(r.isOnce)))r.componentInstance=t.componentInstance;else{var h,f=r.data;n(f)&&n(h=f.hook)&&n(h=h.prepatch)&&h(t,r);var p=t.children,v=r.children;if(n(f)&&y(r)){for(h=0;h<s.update.length;++h)s.update[h](t,r);n(h=f.hook)&&n(h=h.update)&&h(t,r)}e(r.text)?n(p)&&n(v)?p!==v&&function(t,i,r,o,a){var s,l,u,d=0,h=0,f=i.length-1,p=i[0],v=i[f],g=r.length-1,_=r[0],y=r[g],b=!a;for(M(r);d<=f&&h<=g;)e(p)?p=i[++d]:e(v)?v=i[--f]:Ii(p,_)?(O(p,_,o,r,h),p=i[++d],_=r[++h]):Ii(v,y)?(O(v,y,o,r,g),v=i[--f],y=r[--g]):Ii(p,y)?(O(p,y,o,r,g),b&&c.insertBefore(t,p.elm,c.nextSibling(v.elm)),p=i[++d],y=r[--g]):Ii(v,_)?(O(v,_,o,r,h),b&&c.insertBefore(t,v.elm,p.elm),v=i[--f],_=r[++h]):(e(s)&&(s=ji(i,d,f)),e(l=n(_.key)?s[_.key]:T(_,i,d,f))?m(_,o,t,p.elm,!1,r,h):Ii(u=i[l],_)?(O(u,_,o,r,h),i[l]=void 0,b&&c.insertBefore(t,u.elm,p.elm)):m(_,o,t,p.elm,!1,r,h),_=r[++h]);d>f?x(t,e(r[g+1])?null:r[g+1].elm,r,h,g,o):h>g&&S(i,d,f)}(d,p,v,o,u):n(v)?(M(v),n(t.text)&&c.setTextContent(d,""),x(d,null,v,0,v.length-1,o)):n(p)?S(p,0,p.length-1):n(t.text)&&c.setTextContent(d,""):t.text!==r.text&&c.setTextContent(d,r.text),n(f)&&n(h=f.hook)&&n(h=h.postpatch)&&h(t,r)}}}function A(t,e,r){if(i(r)&&n(t.parent))t.parent.data.pendingInsert=e;else for(var o=0;o<e.length;++o)e[o].data.hook.insert(e[o])}var E=!1,q=p("attrs,class,staticClass,staticStyle,key");function L(t,e,r,o){var a,s=e.tag,l=e.data,u=e.children;if(o=o||l&&l.pre,e.elm=t,i(e.isComment)&&n(e.asyncFactory))return e.isAsyncPlaceholder=!0,!0;if(!function(t,e,i){return n(e.tag)?0===e.tag.indexOf("vue-component")||!h(e,i)&&e.tag.toLowerCase()===(t.tagName&&t.tagName.toLowerCase()):t.nodeType===(e.isComment?8:3)}(t,e,o))return!1;if(n(l)&&(n(a=l.hook)&&n(a=a.init)&&a(e,!0),n(a=e.componentInstance)))return v(e,r),!0;if(n(s)){if(n(u))if(t.hasChildNodes())if(n(a=l)&&n(a=a.domProps)&&n(a=a.innerHTML)){if(a!==t.innerHTML)return"undefined"==typeof console||E||(E=!0,console.warn("Parent: ",t),console.warn("server innerHTML: ",a),console.warn("client innerHTML: ",t.innerHTML)),!1}else{for(var c=!0,d=t.firstChild,f=0;f<u.length;f++){if(!d||!L(d,u[f],r,o)){c=!1;break}d=d.nextSibling}if(!c||d)return"undefined"==typeof console||E||(E=!0,console.warn("Parent: ",t),console.warn("Mismatching childNodes vs. VNodes: ",t.childNodes,u)),!1}else _(e,u,r);if(n(l)){var p=!1;for(var m in l)if(!q(m)){p=!0,b(e,r);break}!p&&l.class&&Me(l.class)}}else t.data!==e.text&&(t.data=e.text);return!0}return function(t,r,o,a){if(!e(r)){var l,u=!1,d=[];if(e(t))u=!0,m(r,d);else{var h=n(t.nodeType);if(!h&&Ii(t,r))O(t,r,d,null,null,a);else{if(h){if(1===t.nodeType&&t.hasAttribute(N)&&(t.removeAttribute(N),o=!0),i(o)){if(L(t,r,d))return A(r,d,!0),t;ut("The client-side rendered virtual DOM tree is not matching server-rendered content. This is likely caused by incorrect HTML markup, for example nesting block-level elements inside <p>, or missing <tbody>. Bailing hydration and performing full client-side render.")}l=t,t=new bt(c.tagName(l).toLowerCase(),{},[],void 0,l)}var f=t.elm,p=c.parentNode(f);if(m(r,d,f._leaveCb?null:p,c.nextSibling(f)),n(r.parent))for(var v=r.parent,g=y(r);v;){for(var _=0;_<s.destroy.length;++_)s.destroy[_](v);if(v.elm=r.elm,g){for(var b=0;b<s.create.length;++b)s.create[b](Ri,v);var w=v.data.hook.insert;if(w.merged)for(var x=1;x<w.fns.length;x++)w.fns[x]()}else Pi(v);v=v.parent}n(p)?S([t],0,0):n(t.tag)&&k(t)}}return A(r,d,u),r.elm}n(t)&&k(t)}}({nodeOps:Li,modules:[Gi,rr,Ir,Fr,Zr,W?{create:Co,activate:Co,remove:function(t,e){!0!==t.data.show?wo(t,e):e()}}:{}].concat(Ui)});Z&&document.addEventListener("selectionchange",(function(){var t=document.activeElement;t&&t.vmodel&&Po(t,"input")}));var To={inserted:function(t,e,n,i){"select"===n.tag?(i.elm&&!i.elm._vOptions?qe(n,"postpatch",(function(){To.componentUpdated(t,e,n)})):Oo(t,e,n.context),t._vOptions=[].map.call(t.options,qo)):("textarea"===n.tag||Ei(t.type))&&(t._vModifiers=e.modifiers,e.modifiers.lazy||(t.addEventListener("compositionstart",Lo),t.addEventListener("compositionend",Do),t.addEventListener("change",Do),Z&&(t.vmodel=!0)))},componentUpdated:function(t,e,n){if("select"===n.tag){Oo(t,e,n.context);var i=t._vOptions,r=t._vOptions=[].map.call(t.options,qo);if(r.some((function(t,e){return!D(t,i[e])})))(t.multiple?e.value.some((function(t){return Eo(t,r)})):e.value!==e.oldValue&&Eo(e.value,r))&&Po(t,"change")}}};function Oo(t,e,n){Ao(t,e,n),(K||J)&&setTimeout((function(){Ao(t,e,n)}),0)}function Ao(t,e,n){var i=e.value,r=t.multiple;if(!r||Array.isArray(i)){for(var o,a,s=0,l=t.options.length;s<l;s++)if(a=t.options[s],r)o=P(i,qo(a))>-1,a.selected!==o&&(a.selected=o);else if(D(qo(a),i))return void(t.selectedIndex!==s&&(t.selectedIndex=s));r||(t.selectedIndex=-1)}else ut('<select multiple v-model="'+e.expression+'"> expects an Array value for its binding, but got '+Object.prototype.toString.call(i).slice(8,-1),n)}function Eo(t,e){return e.every((function(e){return!D(e,t)}))}function qo(t){return"_value"in t?t._value:t.value}function Lo(t){t.target.composing=!0}function Do(t){t.target.composing&&(t.target.composing=!1,Po(t.target,"input"))}function Po(t,e){var n=document.createEvent("HTMLEvents");n.initEvent(e,!0,!0),t.dispatchEvent(n)}function Ro(t){return!t.componentInstance||t.data&&t.data.transition?t:Ro(t.componentInstance._vnode)}var No={bind:function(t,e,n){var i=e.value,r=(n=Ro(n)).data&&n.data.transition,o=t.__vOriginalDisplay="none"===t.style.display?"":t.style.display;i&&r?(n.data.show=!0,bo(n,(function(){t.style.display=o}))):t.style.display=i?o:"none"},update:function(t,e,n){var i=e.value;!i!=!e.oldValue&&((n=Ro(n)).data&&n.data.transition?(n.data.show=!0,i?bo(n,(function(){t.style.display=t.__vOriginalDisplay})):wo(n,(function(){t.style.display="none"}))):t.style.display=i?t.__vOriginalDisplay:"none")},unbind:function(t,e,n,i,r){r||(t.style.display=t.__vOriginalDisplay)}},Io={model:To,show:No},jo={name:String,appear:Boolean,css:Boolean,mode:String,type:String,enterClass:String,leaveClass:String,enterToClass:String,leaveToClass:String,enterActiveClass:String,leaveActiveClass:String,appearClass:String,appearActiveClass:String,appearToClass:String,duration:[Number,String,Object]};function $o(t){var e=t&&t.componentOptions;return e&&e.Ctor.options.abstract?$o(yn(e.children)):t}function Fo(t){var e={},n=t.$options;for(var i in n.propsData)e[i]=t[i];var r=n._parentListeners;for(var o in r)e[x(o)]=r[o];return e}function Bo(t,e){if(/\d-keep-alive$/.test(e.tag))return t("keep-alive",{props:e.componentOptions.propsData})}var zo=function(t){return t.tag||_n(t)},Vo=function(t){return"show"===t.name},Ho={name:"transition",props:jo,abstract:!0,render:function(t){var e=this,n=this.$slots.default;if(n&&(n=n.filter(zo)).length){n.length>1&&ut("<transition> can only be used on a single element. Use <transition-group> for lists.",this.$parent);var i=this.mode;i&&"in-out"!==i&&"out-in"!==i&&ut("invalid <transition> mode: "+i,this.$parent);var o=n[0];if(function(t){for(;t=t.parent;)if(t.data.transition)return!0}(this.$vnode))return o;var a=$o(o);if(!a)return o;if(this._leaving)return Bo(t,o);var s="__transition-"+this._uid+"-";a.key=null==a.key?a.isComment?s+"comment":s+a.tag:r(a.key)?0===String(a.key).indexOf(s)?a.key:s+a.key:a.key;var l=(a.data||(a.data={})).transition=Fo(this),u=this._vnode,c=$o(u);if(a.data.directives&&a.data.directives.some(Vo)&&(a.data.show=!0),c&&c.data&&!function(t,e){return e.key===t.key&&e.tag===t.tag}(a,c)&&!_n(c)&&(!c.componentInstance||!c.componentInstance._vnode.isComment)){var d=c.data.transition=O({},l);if("out-in"===i)return this._leaving=!0,qe(d,"afterLeave",(function(){e._leaving=!1,e.$forceUpdate()})),Bo(t,o);if("in-out"===i){if(_n(a))return u;var h,f=function(){h()};qe(l,"afterEnter",f),qe(l,"enterCancelled",f),qe(d,"delayLeave",(function(t){h=t}))}}return o}}},Uo=O({tag:String,moveClass:String},jo);delete Uo.mode;var Wo={props:Uo,beforeMount:function(){var t=this,e=this._update;this._update=function(n,i){var r=Mn(t);t.__patch__(t._vnode,t.kept,!1,!0),t._vnode=t.kept,r(),e.call(t,n,i)}},render:function(t){for(var e=this.tag||this.$vnode.data.tag||"span",n=Object.create(null),i=this.prevChildren=this.children,r=this.$slots.default||[],o=this.children=[],a=Fo(this),s=0;s<r.length;s++){var l=r[s];if(l.tag)if(null!=l.key&&0!==String(l.key).indexOf("__vlist"))o.push(l),n[l.key]=l,(l.data||(l.data={})).transition=a;else{var u=l.componentOptions,c=u?u.Ctor.options.name||u.tag||"":l.tag;ut("<transition-group> children must be keyed: <"+c+">")}}if(i){for(var d=[],h=[],f=0;f<i.length;f++){var p=i[f];p.data.transition=a,p.data.pos=p.elm.getBoundingClientRect(),n[p.key]?d.push(p):h.push(p)}this.kept=t(e,null,d),this.removed=h}return t(e,null,o)},updated:function(){var t=this.prevChildren,e=this.moveClass||(this.name||"v")+"-move";t.length&&this.hasMove(t[0].elm,e)&&(t.forEach(Yo),t.forEach(Qo),t.forEach(Go),this._reflow=document.body.offsetHeight,t.forEach((function(t){if(t.data.moved){var n=t.elm,i=n.style;fo(n,e),i.transform=i.WebkitTransform=i.transitionDuration="",n.addEventListener(so,n._moveCb=function t(i){i&&i.target!==n||i&&!/transform$/.test(i.propertyName)||(n.removeEventListener(so,t),n._moveCb=null,po(n,e))})}})))},methods:{hasMove:function(t,e){if(!io)return!1;if(this._hasMove)return this._hasMove;var n=t.cloneNode();t._transitionClasses&&t._transitionClasses.forEach((function(t){to(n,t)})),Xr(n,e),n.style.display="none",this.$el.appendChild(n);var i=go(n);return this.$el.removeChild(n),this._hasMove=i.hasTransform}}};function Yo(t){t.elm._moveCb&&t.elm._moveCb(),t.elm._enterCb&&t.elm._enterCb()}function Qo(t){t.data.newPos=t.elm.getBoundingClientRect()}function Go(t){var e=t.data.pos,n=t.data.newPos,i=e.left-n.left,r=e.top-n.top;if(i||r){t.data.moved=!0;var o=t.elm.style;o.transform=o.WebkitTransform="translate("+i+"px,"+r+"px)",o.transitionDuration="0s"}}var Ko={Transition:Ho,TransitionGroup:Wo};ei.config.mustUseProp=di,ei.config.isReservedTag=Ti,ei.config.isReservedAttr=ui,ei.config.getTagNamespace=Oi,ei.config.isUnknownElement=function(t){if(!W)return!0;if(Ti(t))return!1;if(t=t.toLowerCase(),null!=Ai[t])return Ai[t];var e=document.createElement(t);return t.indexOf("-")>-1?Ai[t]=e.constructor===window.HTMLUnknownElement||e.constructor===window.HTMLElement:Ai[t]=/HTMLUnknownElement/.test(e.toString())},O(ei.options.directives,Io),O(ei.options.components,Ko),ei.prototype.__patch__=W?Mo:E,ei.prototype.$mount=function(t,e){return function(t,e,n){var i;return t.$el=e,t.$options.render||(t.$options.render=xt,t.$options.template&&"#"!==t.$options.template.charAt(0)||t.$options.el||e?ut("You are using the runtime-only build of Vue where the template compiler is not available. Either pre-compile the templates into render functions, or use the compiler-included build.",t):ut("Failed to mount component: template or render function not defined.",t)),En(t,"beforeMount"),i=$.performance&&oe?function(){var e=t._name,i=t._uid,r="vue-perf-start:"+i,o="vue-perf-end:"+i;oe(r);var a=t._render();oe(o),ae("vue "+e+" render",r,o),oe(r),t._update(a,n),oe(o),ae("vue "+e+" patch",r,o)}:function(){t._update(t._render(),n)},new Hn(t,i,E,{before:function(){t._isMounted&&!t._isDestroyed&&En(t,"beforeUpdate")}},!0),n=!1,null==t.$vnode&&(t._isMounted=!0,En(t,"mounted")),t}(this,t=t&&W?qi(t):void 0,e)},W&&setTimeout((function(){$.devtools&&(ot?ot.emit("init",ei):console[console.info?"info":"log"]("Download the Vue Devtools extension for a better development experience:\nhttps://github.com/vuejs/vue-devtools")),!1!==$.productionTip&&"undefined"!=typeof console&&console[console.info?"info":"log"]("You are running Vue in development mode.\nMake sure to turn on production mode when deploying for production.\nSee more tips at https://vuejs.org/guide/deployment.html")}),0);var Zo=/\{\{((?:.|\r?\n)+?)\}\}/g,Jo=/[-.*+?^${}()|[\]\/\\]/g,Xo=b((function(t){var e=t[0].replace(Jo,"\\$&"),n=t[1].replace(Jo,"\\$&");return new RegExp(e+"((?:.|\\n)+?)"+n,"g")}));function ta(t,e){var n=e?Xo(e):Zo;if(n.test(t)){for(var i,r,o,a=[],s=[],l=n.lastIndex=0;i=n.exec(t);){(r=i.index)>l&&(s.push(o=t.slice(l,r)),a.push(JSON.stringify(o)));var u=ar(i[1].trim());a.push("_s("+u+")"),s.push({"@binding":u}),l=r+i[0].length}return l<t.length&&(s.push(o=t.slice(l)),a.push(JSON.stringify(o))),{expression:a.join("+"),tokens:s}}}var ea={staticKeys:["staticClass"],transformNode:function(t,e){var n=e.warn||lr,i=_r(t,"class");i&&ta(i,e.delimiters)&&n('class="'+i+'": Interpolation inside attributes has been removed. Use v-bind or the colon shorthand instead. For example, instead of <div class="{{ val }}">, use <div :class="val">.',t.rawAttrsMap.class),i&&(t.staticClass=JSON.stringify(i));var r=gr(t,"class",!1);r&&(t.classBinding=r)},genData:function(t){var e="";return t.staticClass&&(e+="staticClass:"+t.staticClass+","),t.classBinding&&(e+="class:"+t.classBinding+","),e}};var na,ia={staticKeys:["staticStyle"],transformNode:function(t,e){var n=e.warn||lr,i=_r(t,"style");i&&(ta(i,e.delimiters)&&n('style="'+i+'": Interpolation inside attributes has been removed. Use v-bind or the colon shorthand instead. For example, instead of <div style="{{ val }}">, use <div :style="val">.',t.rawAttrsMap.style),t.staticStyle=JSON.stringify(Br(i)));var r=gr(t,"style",!1);r&&(t.styleBinding=r)},genData:function(t){var e="";return t.staticStyle&&(e+="staticStyle:"+t.staticStyle+","),t.styleBinding&&(e+="style:("+t.styleBinding+"),"),e}},ra=function(t){return(na=na||document.createElement("div")).innerHTML=t,na.textContent},oa=p("area,base,br,col,embed,frame,hr,img,input,isindex,keygen,link,meta,param,source,track,wbr"),aa=p("colgroup,dd,dt,li,options,p,td,tfoot,th,thead,tr,source"),sa=p("address,article,aside,base,blockquote,body,caption,col,colgroup,dd,details,dialog,div,dl,dt,fieldset,figcaption,figure,footer,form,h1,h2,h3,h4,h5,h6,head,header,hgroup,hr,html,legend,li,menuitem,meta,optgroup,option,param,rp,rt,source,style,summary,tbody,td,tfoot,th,thead,title,tr,track"),la=/^\s*([^\s"'<>\/=]+)(?:\s*(=)\s*(?:"([^"]*)"+|'([^']*)'+|([^\s"'=<>`]+)))?/,ua=/^\s*((?:v-[\w-]+:|@|:|#)\[[^=]+\][^\s"'<>\/=]*)(?:\s*(=)\s*(?:"([^"]*)"+|'([^']*)'+|([^\s"'=<>`]+)))?/,ca="[a-zA-Z_][\\-\\.0-9_a-zA-Z"+F.source+"]*",da="((?:"+ca+"\\:)?"+ca+")",ha=new RegExp("^<"+da),fa=/^\s*(\/?)>/,pa=new RegExp("^<\\/"+da+"[^>]*>"),ma=/^<!DOCTYPE [^>]+>/i,va=/^<!\--/,ga=/^<!\[/,_a=p("script,style,textarea",!0),ya={},ba={"&lt;":"<","&gt;":">","&quot;":'"',"&amp;":"&","&#10;":"\n","&#9;":"\t","&#39;":"'"},wa=/&(?:lt|gt|quot|amp|#39);/g,xa=/&(?:lt|gt|quot|amp|#39|#10|#9);/g,ka=p("pre,textarea",!0),Sa=function(t,e){return t&&ka(t)&&"\n"===e[0]};function Ca(t,e){var n=e?xa:wa;return t.replace(n,(function(t){return ba[t]}))}var Ma,Ta,Oa,Aa,Ea,qa,La,Da,Pa,Ra=/^@|^v-on:/,Na=/^v-|^@|^:|^#/,Ia=/([\s\S]*?)\s+(?:in|of)\s+([\s\S]*)/,ja=/,([^,\}\]]*)(?:,([^,\}\]]*))?$/,$a=/^\(|\)$/g,Fa=/^\[.*\]$/,Ba=/:(.*)$/,za=/^:|^\.|^v-bind:/,Va=/\.[^.\]]+(?=[^\]]*$)/g,Ha=/^v-slot(:|$)|^#/,Ua=/[\r\n]/,Wa=/\s+/g,Ya=/[\s"'<>\/=]/,Qa=b(ra),Ga="_empty_";function Ka(t,e,n){return{type:1,tag:t,attrsList:e,attrsMap:is(e),rawAttrsMap:{},parent:n,children:[]}}function Za(t,e){Ma=e.warn||lr,qa=e.isPreTag||q,La=e.mustUseProp||q,Da=e.getTagNamespace||q;var n=e.isReservedTag||q;Pa=function(t){return!!t.component||!n(t.tag)},Oa=ur(e.modules,"transformNode"),Aa=ur(e.modules,"preTransformNode"),Ea=ur(e.modules,"postTransformNode"),Ta=e.delimiters;var i,r,o=[],a=!1!==e.preserveWhitespace,s=e.whitespace,l=!1,u=!1,c=!1;function d(t,e){c||(c=!0,Ma(t,e))}function h(t){if(f(t),l||t.processed||(t=Ja(t,e)),o.length||t===i||(i.if&&(t.elseif||t.else)?(p(t),ts(i,{exp:t.elseif,block:t})):d("Component template should contain exactly one root element. If you are using v-if on multiple elements, use v-else-if to chain them instead.",{start:t.start})),r&&!t.forbidden)if(t.elseif||t.else)a=t,s=function(t){for(var e=t.length;e--;){if(1===t[e].type)return t[e];" "!==t[e].text&&Ma('text "'+t[e].text.trim()+'" between v-if and v-else(-if) will be ignored.',t[e]),t.pop()}}(r.children),s&&s.if?ts(s,{exp:a.elseif,block:a}):Ma("v-"+(a.elseif?'else-if="'+a.elseif+'"':"else")+" used on element <"+a.tag+"> without corresponding v-if.",a.rawAttrsMap[a.elseif?"v-else-if":"v-else"]);else{if(t.slotScope){var n=t.slotTarget||'"default"';(r.scopedSlots||(r.scopedSlots={}))[n]=t}r.children.push(t),t.parent=r}var a,s;t.children=t.children.filter((function(t){return!t.slotScope})),f(t),t.pre&&(l=!1),qa(t.tag)&&(u=!1);for(var c=0;c<Ea.length;c++)Ea[c](t,e)}function f(t){if(!u)for(var e;(e=t.children[t.children.length-1])&&3===e.type&&" "===e.text;)t.children.pop()}function p(t){"slot"!==t.tag&&"template"!==t.tag||d("Cannot use <"+t.tag+"> as component root element because it may contain multiple nodes.",{start:t.start}),t.attrsMap.hasOwnProperty("v-for")&&d("Cannot use v-for on stateful component root element because it renders multiple elements.",t.rawAttrsMap["v-for"])}return function(t,e){for(var n,i,r=[],o=e.expectHTML,a=e.isUnaryTag||q,s=e.canBeLeftOpenTag||q,l=0;t;){if(n=t,i&&_a(i)){var u=0,c=i.toLowerCase(),d=ya[c]||(ya[c]=new RegExp("([\\s\\S]*?)(</"+c+"[^>]*>)","i")),h=t.replace(d,(function(t,n,i){return u=i.length,_a(c)||"noscript"===c||(n=n.replace(/<!\--([\s\S]*?)-->/g,"$1").replace(/<!\[CDATA\[([\s\S]*?)]]>/g,"$1")),Sa(c,n)&&(n=n.slice(1)),e.chars&&e.chars(n),""}));l+=t.length-h.length,t=h,M(c,l-u,l)}else{var f=t.indexOf("<");if(0===f){if(va.test(t)){var p=t.indexOf("--\x3e");if(p>=0){e.shouldKeepComment&&e.comment(t.substring(4,p),l,l+p+3),k(p+3);continue}}if(ga.test(t)){var m=t.indexOf("]>");if(m>=0){k(m+2);continue}}var v=t.match(ma);if(v){k(v[0].length);continue}var g=t.match(pa);if(g){var _=l;k(g[0].length),M(g[1],_,l);continue}var y=S();if(y){C(y),Sa(y.tagName,t)&&k(1);continue}}var b=void 0,w=void 0,x=void 0;if(f>=0){for(w=t.slice(f);!(pa.test(w)||ha.test(w)||va.test(w)||ga.test(w)||(x=w.indexOf("<",1))<0);)f+=x,w=t.slice(f);b=t.substring(0,f)}f<0&&(b=t),b&&k(b.length),e.chars&&b&&e.chars(b,l-b.length,l)}if(t===n){e.chars&&e.chars(t),!r.length&&e.warn&&e.warn('Mal-formatted tag at end of template: "'+t+'"',{start:l+t.length});break}}function k(e){l+=e,t=t.substring(e)}function S(){var e=t.match(ha);if(e){var n,i,r={tagName:e[1],attrs:[],start:l};for(k(e[0].length);!(n=t.match(fa))&&(i=t.match(ua)||t.match(la));)i.start=l,k(i[0].length),i.end=l,r.attrs.push(i);if(n)return r.unarySlash=n[1],k(n[0].length),r.end=l,r}}function C(t){var n=t.tagName,l=t.unarySlash;o&&("p"===i&&sa(n)&&M(i),s(n)&&i===n&&M(n));for(var u=a(n)||!!l,c=t.attrs.length,d=new Array(c),h=0;h<c;h++){var f=t.attrs[h],p=f[3]||f[4]||f[5]||"",m="a"===n&&"href"===f[1]?e.shouldDecodeNewlinesForHref:e.shouldDecodeNewlines;d[h]={name:f[1],value:Ca(p,m)},e.outputSourceRange&&(d[h].start=f.start+f[0].match(/^\s*/).length,d[h].end=f.end)}u||(r.push({tag:n,lowerCasedTag:n.toLowerCase(),attrs:d,start:t.start,end:t.end}),i=n),e.start&&e.start(n,d,u,t.start,t.end)}function M(t,n,o){var a,s;if(null==n&&(n=l),null==o&&(o=l),t)for(s=t.toLowerCase(),a=r.length-1;a>=0&&r[a].lowerCasedTag!==s;a--);else a=0;if(a>=0){for(var u=r.length-1;u>=a;u--)(u>a||!t&&e.warn)&&e.warn("tag <"+r[u].tag+"> has no matching end tag.",{start:r[u].start,end:r[u].end}),e.end&&e.end(r[u].tag,n,o);r.length=a,i=a&&r[a-1].tag}else"br"===s?e.start&&e.start(t,[],!0,n,o):"p"===s&&(e.start&&e.start(t,[],!1,n,o),e.end&&e.end(t,n,o))}M()}(t,{warn:Ma,expectHTML:e.expectHTML,isUnaryTag:e.isUnaryTag,canBeLeftOpenTag:e.canBeLeftOpenTag,shouldDecodeNewlines:e.shouldDecodeNewlines,shouldDecodeNewlinesForHref:e.shouldDecodeNewlinesForHref,shouldKeepComment:e.comments,outputSourceRange:e.outputSourceRange,start:function(t,n,a,s,c){var d=r&&r.ns||Da(t);K&&"svg"===d&&(n=function(t){for(var e=[],n=0;n<t.length;n++){var i=t[n];rs.test(i.name)||(i.name=i.name.replace(os,""),e.push(i))}return e}(n));var f,m=Ka(t,n,r);d&&(m.ns=d),e.outputSourceRange&&(m.start=s,m.end=c,m.rawAttrsMap=m.attrsList.reduce((function(t,e){return t[e.name]=e,t}),{})),n.forEach((function(t){Ya.test(t.name)&&Ma("Invalid dynamic argument expression: attribute names cannot contain spaces, quotes, <, >, / or =.",{start:t.start+t.name.indexOf("["),end:t.start+t.name.length})})),"style"!==(f=m).tag&&("script"!==f.tag||f.attrsMap.type&&"text/javascript"!==f.attrsMap.type)||rt()||(m.forbidden=!0,Ma("Templates should only be responsible for mapping the state to the UI. Avoid placing tags with side-effects in your templates, such as <"+t+">, as they will not be parsed.",{start:m.start}));for(var v=0;v<Aa.length;v++)m=Aa[v](m,e)||m;l||(!function(t){null!=_r(t,"v-pre")&&(t.pre=!0)}(m),m.pre&&(l=!0)),qa(m.tag)&&(u=!0),l?function(t){var e=t.attrsList,n=e.length;if(n)for(var i=t.attrs=new Array(n),r=0;r<n;r++)i[r]={name:e[r].name,value:JSON.stringify(e[r].value)},null!=e[r].start&&(i[r].start=e[r].start,i[r].end=e[r].end);else t.pre||(t.plain=!0)}(m):m.processed||(Xa(m),function(t){var e=_r(t,"v-if");if(e)t.if=e,ts(t,{exp:e,block:t});else{null!=_r(t,"v-else")&&(t.else=!0);var n=_r(t,"v-else-if");n&&(t.elseif=n)}}(m),function(t){var e=_r(t,"v-once");null!=e&&(t.once=!0)}(m)),i||p(i=m),a?h(m):(r=m,o.push(m))},end:function(t,n,i){var a=o[o.length-1];o.length-=1,r=o[o.length-1],e.outputSourceRange&&(a.end=i),h(a)},chars:function(n,i,o){if(r){if(!K||"textarea"!==r.tag||r.attrsMap.placeholder!==n){var c,h,f,p=r.children;if(n=u||n.trim()?"script"===(c=r).tag||"style"===c.tag?n:Qa(n):p.length?s?"condense"===s&&Ua.test(n)?"":" ":a?" ":"":"")u||"condense"!==s||(n=n.replace(Wa," ")),!l&&" "!==n&&(h=ta(n,Ta))?f={type:2,expression:h.expression,tokens:h.tokens,text:n}:" "===n&&p.length&&" "===p[p.length-1].text||(f={type:3,text:n}),f&&(e.outputSourceRange&&(f.start=i,f.end=o),p.push(f))}}else n===t?d("Component template requires a root element, rather than just text.",{start:i}):(n=n.trim())&&d('text "'+n+'" outside root element will be ignored.',{start:i})},comment:function(t,n,i){if(r){var o={type:3,text:t,isComment:!0};e.outputSourceRange&&(o.start=n,o.end=i),r.children.push(o)}}}),i}function Ja(t,e){var n;!function(t){var e=gr(t,"key");if(e){if("template"===t.tag&&Ma("<template> cannot be keyed. Place the key on real elements instead.",vr(t,"key")),t.for){var n=t.iterator2||t.iterator1,i=t.parent;n&&n===e&&i&&"transition-group"===i.tag&&Ma("Do not use v-for index as key on <transition-group> children, this is the same as not using keys.",vr(t,"key"),!0)}t.key=e}}(t),t.plain=!t.key&&!t.scopedSlots&&!t.attrsList.length,function(t){var e=gr(t,"ref");e&&(t.ref=e,t.refInFor=function(t){var e=t;for(;e;){if(void 0!==e.for)return!0;e=e.parent}return!1}(t))}(t),function(t){var e;"template"===t.tag?((e=_r(t,"scope"))&&Ma('the "scope" attribute for scoped slots have been deprecated and replaced by "slot-scope" since 2.5. The new "slot-scope" attribute can also be used on plain elements in addition to <template> to denote scoped slots.',t.rawAttrsMap.scope,!0),t.slotScope=e||_r(t,"slot-scope")):(e=_r(t,"slot-scope"))&&(t.attrsMap["v-for"]&&Ma("Ambiguous combined usage of slot-scope and v-for on <"+t.tag+"> (v-for takes higher priority). Use a wrapper <template> for the scoped slot to make it clearer.",t.rawAttrsMap["slot-scope"],!0),t.slotScope=e);var n=gr(t,"slot");n&&(t.slotTarget='""'===n?'"default"':n,t.slotTargetDynamic=!(!t.attrsMap[":slot"]&&!t.attrsMap["v-bind:slot"]),"template"===t.tag||t.slotScope||dr(t,"slot",n,vr(t,"slot")));if("template"===t.tag){var i=yr(t,Ha);if(i){(t.slotTarget||t.slotScope)&&Ma("Unexpected mixed usage of different slot syntaxes.",t),t.parent&&!Pa(t.parent)&&Ma("<template v-slot> can only appear at the root level inside the receiving component",t);var r=es(i),o=r.name,a=r.dynamic;t.slotTarget=o,t.slotTargetDynamic=a,t.slotScope=i.value||Ga}}else{var s=yr(t,Ha);if(s){Pa(t)||Ma("v-slot can only be used on components or <template>.",s),(t.slotScope||t.slotTarget)&&Ma("Unexpected mixed usage of different slot syntaxes.",t),t.scopedSlots&&Ma("To avoid scope ambiguity, the default slot should also use <template> syntax when there are other named slots.",s);var l=t.scopedSlots||(t.scopedSlots={}),u=es(s),c=u.name,d=u.dynamic,h=l[c]=Ka("template",[],t);h.slotTarget=c,h.slotTargetDynamic=d,h.children=t.children.filter((function(t){if(!t.slotScope)return t.parent=h,!0})),h.slotScope=s.value||Ga,t.children=[],t.plain=!1}}}(t),"slot"===(n=t).tag&&(n.slotName=gr(n,"name"),n.key&&Ma("`key` does not work on <slot> because slots are abstract outlets and can possibly expand into multiple elements. Use the key on a wrapping element instead.",vr(n,"key"))),function(t){var e;(e=gr(t,"is"))&&(t.component=e);null!=_r(t,"inline-template")&&(t.inlineTemplate=!0)}(t);for(var i=0;i<Oa.length;i++)t=Oa[i](t,e)||t;return function(t){var e,n,i,r,o,a,s,l,u=t.attrsList;for(e=0,n=u.length;e<n;e++){if(i=r=u[e].name,o=u[e].value,Na.test(i))if(t.hasBindings=!0,(a=ns(i.replace(Na,"")))&&(i=i.replace(Va,"")),za.test(i))i=i.replace(za,""),o=ar(o),(l=Fa.test(i))&&(i=i.slice(1,-1)),0===o.trim().length&&Ma('The value for a v-bind expression cannot be empty. Found in "v-bind:'+i+'"'),a&&(a.prop&&!l&&"innerHtml"===(i=x(i))&&(i="innerHTML"),a.camel&&!l&&(i=x(i)),a.sync&&(s=xr(o,"$event"),l?mr(t,'"update:"+('+i+")",s,null,!1,Ma,u[e],!0):(mr(t,"update:"+x(i),s,null,!1,Ma,u[e]),C(i)!==x(i)&&mr(t,"update:"+C(i),s,null,!1,Ma,u[e])))),a&&a.prop||!t.component&&La(t.tag,t.attrsMap.type,i)?cr(t,i,o,u[e],l):dr(t,i,o,u[e],l);else if(Ra.test(i))i=i.replace(Ra,""),(l=Fa.test(i))&&(i=i.slice(1,-1)),mr(t,i,o,a,!1,Ma,u[e],l);else{var c=(i=i.replace(Na,"")).match(Ba),d=c&&c[1];l=!1,d&&(i=i.slice(0,-(d.length+1)),Fa.test(d)&&(d=d.slice(1,-1),l=!0)),fr(t,i,r,o,d,l,a,u[e]),"model"===i&&as(t,o)}else ta(o,Ta)&&Ma(i+'="'+o+'": Interpolation inside attributes has been removed. Use v-bind or the colon shorthand instead. For example, instead of <div id="{{ val }}">, use <div :id="val">.',u[e]),dr(t,i,JSON.stringify(o),u[e]),!t.component&&"muted"===i&&La(t.tag,t.attrsMap.type,i)&&cr(t,i,"true",u[e])}}(t),t}function Xa(t){var e;if(e=_r(t,"v-for")){var n=function(t){var e=t.match(Ia);if(!e)return;var n={};n.for=e[2].trim();var i=e[1].trim().replace($a,""),r=i.match(ja);r?(n.alias=i.replace(ja,"").trim(),n.iterator1=r[1].trim(),r[2]&&(n.iterator2=r[2].trim())):n.alias=i;return n}(e);n?O(t,n):Ma("Invalid v-for expression: "+e,t.rawAttrsMap["v-for"])}}function ts(t,e){t.ifConditions||(t.ifConditions=[]),t.ifConditions.push(e)}function es(t){var e=t.name.replace(Ha,"");return e||("#"!==t.name[0]?e="default":Ma("v-slot shorthand syntax requires a slot name.",t)),Fa.test(e)?{name:e.slice(1,-1),dynamic:!0}:{name:'"'+e+'"',dynamic:!1}}function ns(t){var e=t.match(Va);if(e){var n={};return e.forEach((function(t){n[t.slice(1)]=!0})),n}}function is(t){for(var e={},n=0,i=t.length;n<i;n++)!e[t[n].name]||K||J||Ma("duplicate attribute: "+t[n].name,t[n]),e[t[n].name]=t[n].value;return e}var rs=/^xmlns:NS\d+/,os=/^NS\d+:/;function as(t,e){for(var n=t;n;)n.for&&n.alias===e&&Ma("<"+t.tag+' v-model="'+e+'">: You are binding v-model directly to a v-for iteration alias. This will not be able to modify the v-for source array because writing to the alias is like modifying a function local variable. Consider using an array of objects and use v-model on an object property instead.',t.rawAttrsMap["v-model"]),n=n.parent}function ss(t){return Ka(t.tag,t.attrsList.slice(),t.parent)}var ls=[ea,ia,{preTransformNode:function(t,e){if("input"===t.tag){var n,i=t.attrsMap;if(!i["v-model"])return;if((i[":type"]||i["v-bind:type"])&&(n=gr(t,"type")),i.type||n||!i["v-bind"]||(n="("+i["v-bind"]+").type"),n){var r=_r(t,"v-if",!0),o=r?"&&("+r+")":"",a=null!=_r(t,"v-else",!0),s=_r(t,"v-else-if",!0),l=ss(t);Xa(l),hr(l,"type","checkbox"),Ja(l,e),l.processed=!0,l.if="("+n+")==='checkbox'"+o,ts(l,{exp:l.if,block:l});var u=ss(t);_r(u,"v-for",!0),hr(u,"type","radio"),Ja(u,e),ts(l,{exp:"("+n+")==='radio'"+o,block:u});var c=ss(t);return _r(c,"v-for",!0),hr(c,":type",n),Ja(c,e),ts(l,{exp:r,block:c}),a?l.else=!0:s&&(l.elseif=s),l}}}}];var us,cs,ds={model:function(t,e,n){ir=n;var i=e.value,r=e.modifiers,o=t.tag,a=t.attrsMap.type;if("input"===o&&"file"===a&&ir("<"+t.tag+' v-model="'+i+'" type="file">:\nFile inputs are read only. Use a v-on:change listener instead.',t.rawAttrsMap["v-model"]),t.component)return wr(t,i,r),!1;if("select"===o)!function(t,e,n){var i=n&&n.number,r='var $$selectedVal = Array.prototype.filter.call($event.target.options,function(o){return o.selected}).map(function(o){var val = "_value" in o ? o._value : o.value;return '+(i?"_n(val)":"val")+"});";r=r+" "+xr(e,"$event.target.multiple ? $$selectedVal : $$selectedVal[0]"),mr(t,"change",r,null,!0)}(t,i,r);else if("input"===o&&"checkbox"===a)!function(t,e,n){var i=n&&n.number,r=gr(t,"value")||"null",o=gr(t,"true-value")||"true",a=gr(t,"false-value")||"false";cr(t,"checked","Array.isArray("+e+")?_i("+e+","+r+")>-1"+("true"===o?":("+e+")":":_q("+e+","+o+")")),mr(t,"change","var $$a="+e+",$$el=$event.target,$$c=$$el.checked?("+o+"):("+a+");if(Array.isArray($$a)){var $$v="+(i?"_n("+r+")":r)+",$$i=_i($$a,$$v);if($$el.checked){$$i<0&&("+xr(e,"$$a.concat([$$v])")+")}else{$$i>-1&&("+xr(e,"$$a.slice(0,$$i).concat($$a.slice($$i+1))")+")}}else{"+xr(e,"$$c")+"}",null,!0)}(t,i,r);else if("input"===o&&"radio"===a)!function(t,e,n){var i=n&&n.number,r=gr(t,"value")||"null";cr(t,"checked","_q("+e+","+(r=i?"_n("+r+")":r)+")"),mr(t,"change",xr(e,r),null,!0)}(t,i,r);else if("input"===o||"textarea"===o)!function(t,e,n){var i=t.attrsMap.type,r=t.attrsMap["v-bind:value"]||t.attrsMap[":value"],o=t.attrsMap["v-bind:type"]||t.attrsMap[":type"];if(r&&!o){var a=t.attrsMap["v-bind:value"]?"v-bind:value":":value";ir(a+'="'+r+'" conflicts with v-model on the same element because the latter already expands to a value binding internally',t.rawAttrsMap[a])}var s=n||{},l=s.lazy,u=s.number,c=s.trim,d=!l&&"range"!==i,h=l?"change":"range"===i?Ar:"input",f="$event.target.value";c&&(f="$event.target.value.trim()");u&&(f="_n("+f+")");var p=xr(e,f);d&&(p="if($event.target.composing)return;"+p);cr(t,"value","("+e+")"),mr(t,h,p,null,!0),(c||u)&&mr(t,"blur","$forceUpdate()")}(t,i,r);else{if(!$.isReservedTag(o))return wr(t,i,r),!1;ir("<"+t.tag+' v-model="'+i+"\">: v-model is not supported on this element type. If you are working with contenteditable, it's recommended to wrap a library dedicated for that purpose inside a custom component.",t.rawAttrsMap["v-model"])}return!0},text:function(t,e){e.value&&cr(t,"textContent","_s("+e.value+")",e)},html:function(t,e){e.value&&cr(t,"innerHTML","_s("+e.value+")",e)}},hs={expectHTML:!0,modules:ls,directives:ds,isPreTag:function(t){return"pre"===t},isUnaryTag:oa,mustUseProp:di,canBeLeftOpenTag:aa,isReservedTag:Ti,getTagNamespace:Oi,staticKeys:function(t){return t.reduce((function(t,e){return t.concat(e.staticKeys||[])}),[]).join(",")}(ls)},fs=b((function(t){return p("type,tag,attrsList,attrsMap,plain,parent,children,attrs,start,end,rawAttrsMap"+(t?","+t:""))}));function ps(t,e){t&&(us=fs(e.staticKeys||""),cs=e.isReservedTag||q,ms(t),vs(t,!1))}function ms(t){if(t.static=function(t){if(2===t.type)return!1;if(3===t.type)return!0;return!(!t.pre&&(t.hasBindings||t.if||t.for||m(t.tag)||!cs(t.tag)||function(t){for(;t.parent;){if("template"!==(t=t.parent).tag)return!1;if(t.for)return!0}return!1}(t)||!Object.keys(t).every(us)))}(t),1===t.type){if(!cs(t.tag)&&"slot"!==t.tag&&null==t.attrsMap["inline-template"])return;for(var e=0,n=t.children.length;e<n;e++){var i=t.children[e];ms(i),i.static||(t.static=!1)}if(t.ifConditions)for(var r=1,o=t.ifConditions.length;r<o;r++){var a=t.ifConditions[r].block;ms(a),a.static||(t.static=!1)}}}function vs(t,e){if(1===t.type){if((t.static||t.once)&&(t.staticInFor=e),t.static&&t.children.length&&(1!==t.children.length||3!==t.children[0].type))return void(t.staticRoot=!0);if(t.staticRoot=!1,t.children)for(var n=0,i=t.children.length;n<i;n++)vs(t.children[n],e||!!t.for);if(t.ifConditions)for(var r=1,o=t.ifConditions.length;r<o;r++)vs(t.ifConditions[r].block,e)}}var gs=/^([\w$_]+|\([^)]*?\))\s*=>|^function(?:\s+[\w$]+)?\s*\(/,_s=/\([^)]*?\);*$/,ys=/^[A-Za-z_$][\w$]*(?:\.[A-Za-z_$][\w$]*|\['[^']*?']|\["[^"]*?"]|\[\d+]|\[[A-Za-z_$][\w$]*])*$/,bs={esc:27,tab:9,enter:13,space:32,up:38,left:37,right:39,down:40,delete:[8,46]},ws={esc:["Esc","Escape"],tab:"Tab",enter:"Enter",space:[" ","Spacebar"],up:["Up","ArrowUp"],left:["Left","ArrowLeft"],right:["Right","ArrowRight"],down:["Down","ArrowDown"],delete:["Backspace","Delete","Del"]},xs=function(t){return"if("+t+")return null;"},ks={stop:"$event.stopPropagation();",prevent:"$event.preventDefault();",self:xs("$event.target !== $event.currentTarget"),ctrl:xs("!$event.ctrlKey"),shift:xs("!$event.shiftKey"),alt:xs("!$event.altKey"),meta:xs("!$event.metaKey"),left:xs("'button' in $event && $event.button !== 0"),middle:xs("'button' in $event && $event.button !== 1"),right:xs("'button' in $event && $event.button !== 2")};function Ss(t,e){var n=e?"nativeOn:":"on:",i="",r="";for(var o in t){var a=Cs(t[o]);t[o]&&t[o].dynamic?r+=o+","+a+",":i+='"'+o+'":'+a+","}return i="{"+i.slice(0,-1)+"}",r?n+"_d("+i+",["+r.slice(0,-1)+"])":n+i}function Cs(t){if(!t)return"function(){}";if(Array.isArray(t))return"["+t.map((function(t){return Cs(t)})).join(",")+"]";var e=ys.test(t.value),n=gs.test(t.value),i=ys.test(t.value.replace(_s,""));if(t.modifiers){var r="",o="",a=[];for(var s in t.modifiers)if(ks[s])o+=ks[s],bs[s]&&a.push(s);else if("exact"===s){var l=t.modifiers;o+=xs(["ctrl","shift","alt","meta"].filter((function(t){return!l[t]})).map((function(t){return"$event."+t+"Key"})).join("||"))}else a.push(s);return a.length&&(r+=function(t){return"if(!$event.type.indexOf('key')&&"+t.map(Ms).join("&&")+")return null;"}(a)),o&&(r+=o),"function($event){"+r+(e?"return "+t.value+"($event)":n?"return ("+t.value+")($event)":i?"return "+t.value:t.value)+"}"}return e||n?t.value:"function($event){"+(i?"return "+t.value:t.value)+"}"}function Ms(t){var e=parseInt(t,10);if(e)return"$event.keyCode!=="+e;var n=bs[t],i=ws[t];return"_k($event.keyCode,"+JSON.stringify(t)+","+JSON.stringify(n)+",$event.key,"+JSON.stringify(i)+")"}var Ts={on:function(t,e){e.modifiers&&ut("v-on without argument does not support modifiers."),t.wrapListeners=function(t){return"_g("+t+","+e.value+")"}},bind:function(t,e){t.wrapData=function(n){return"_b("+n+",'"+t.tag+"',"+e.value+","+(e.modifiers&&e.modifiers.prop?"true":"false")+(e.modifiers&&e.modifiers.sync?",true":"")+")"}},cloak:E},Os=function(t){this.options=t,this.warn=t.warn||lr,this.transforms=ur(t.modules,"transformCode"),this.dataGenFns=ur(t.modules,"genData"),this.directives=O(O({},Ts),t.directives);var e=t.isReservedTag||q;this.maybeComponent=function(t){return!!t.component||!e(t.tag)},this.onceId=0,this.staticRenderFns=[],this.pre=!1};function As(t,e){var n=new Os(e);return{render:"with(this){return "+(t?Es(t,n):'_c("div")')+"}",staticRenderFns:n.staticRenderFns}}function Es(t,e){if(t.parent&&(t.pre=t.pre||t.parent.pre),t.staticRoot&&!t.staticProcessed)return qs(t,e);if(t.once&&!t.onceProcessed)return Ls(t,e);if(t.for&&!t.forProcessed)return Rs(t,e);if(t.if&&!t.ifProcessed)return Ds(t,e);if("template"!==t.tag||t.slotTarget||e.pre){if("slot"===t.tag)return function(t,e){var n=t.slotName||'"default"',i=$s(t,e),r="_t("+n+(i?","+i:""),o=t.attrs||t.dynamicAttrs?zs((t.attrs||[]).concat(t.dynamicAttrs||[]).map((function(t){return{name:x(t.name),value:t.value,dynamic:t.dynamic}}))):null,a=t.attrsMap["v-bind"];!o&&!a||i||(r+=",null");o&&(r+=","+o);a&&(r+=(o?"":",null")+","+a);return r+")"}(t,e);var n;if(t.component)n=function(t,e,n){var i=e.inlineTemplate?null:$s(e,n,!0);return"_c("+t+","+Ns(e,n)+(i?","+i:"")+")"}(t.component,t,e);else{var i;(!t.plain||t.pre&&e.maybeComponent(t))&&(i=Ns(t,e));var r=t.inlineTemplate?null:$s(t,e,!0);n="_c('"+t.tag+"'"+(i?","+i:"")+(r?","+r:"")+")"}for(var o=0;o<e.transforms.length;o++)n=e.transforms[o](t,n);return n}return $s(t,e)||"void 0"}function qs(t,e){t.staticProcessed=!0;var n=e.pre;return t.pre&&(e.pre=t.pre),e.staticRenderFns.push("with(this){return "+Es(t,e)+"}"),e.pre=n,"_m("+(e.staticRenderFns.length-1)+(t.staticInFor?",true":"")+")"}function Ls(t,e){if(t.onceProcessed=!0,t.if&&!t.ifProcessed)return Ds(t,e);if(t.staticInFor){for(var n="",i=t.parent;i;){if(i.for){n=i.key;break}i=i.parent}return n?"_o("+Es(t,e)+","+e.onceId+++","+n+")":(e.warn("v-once can only be used inside v-for that is keyed. ",t.rawAttrsMap["v-once"]),Es(t,e))}return qs(t,e)}function Ds(t,e,n,i){return t.ifProcessed=!0,Ps(t.ifConditions.slice(),e,n,i)}function Ps(t,e,n,i){if(!t.length)return i||"_e()";var r=t.shift();return r.exp?"("+r.exp+")?"+o(r.block)+":"+Ps(t,e,n,i):""+o(r.block);function o(t){return n?n(t,e):t.once?Ls(t,e):Es(t,e)}}function Rs(t,e,n,i){var r=t.for,o=t.alias,a=t.iterator1?","+t.iterator1:"",s=t.iterator2?","+t.iterator2:"";return e.maybeComponent(t)&&"slot"!==t.tag&&"template"!==t.tag&&!t.key&&e.warn("<"+t.tag+' v-for="'+o+" in "+r+'">: component lists rendered with v-for should have explicit keys. See https://vuejs.org/guide/list.html#key for more info.',t.rawAttrsMap["v-for"],!0),t.forProcessed=!0,(i||"_l")+"(("+r+"),function("+o+a+s+"){return "+(n||Es)(t,e)+"})"}function Ns(t,e){var n="{",i=function(t,e){var n=t.directives;if(!n)return;var i,r,o,a,s="directives:[",l=!1;for(i=0,r=n.length;i<r;i++){o=n[i],a=!0;var u=e.directives[o.name];u&&(a=!!u(t,o,e.warn)),a&&(l=!0,s+='{name:"'+o.name+'",rawName:"'+o.rawName+'"'+(o.value?",value:("+o.value+"),expression:"+JSON.stringify(o.value):"")+(o.arg?",arg:"+(o.isDynamicArg?o.arg:'"'+o.arg+'"'):"")+(o.modifiers?",modifiers:"+JSON.stringify(o.modifiers):"")+"},")}if(l)return s.slice(0,-1)+"]"}(t,e);i&&(n+=i+","),t.key&&(n+="key:"+t.key+","),t.ref&&(n+="ref:"+t.ref+","),t.refInFor&&(n+="refInFor:true,"),t.pre&&(n+="pre:true,"),t.component&&(n+='tag:"'+t.tag+'",');for(var r=0;r<e.dataGenFns.length;r++)n+=e.dataGenFns[r](t);if(t.attrs&&(n+="attrs:"+zs(t.attrs)+","),t.props&&(n+="domProps:"+zs(t.props)+","),t.events&&(n+=Ss(t.events,!1)+","),t.nativeEvents&&(n+=Ss(t.nativeEvents,!0)+","),t.slotTarget&&!t.slotScope&&(n+="slot:"+t.slotTarget+","),t.scopedSlots&&(n+=function(t,e,n){var i=t.for||Object.keys(e).some((function(t){var n=e[t];return n.slotTargetDynamic||n.if||n.for||Is(n)})),r=!!t.if;if(!i)for(var o=t.parent;o;){if(o.slotScope&&o.slotScope!==Ga||o.for){i=!0;break}o.if&&(r=!0),o=o.parent}var a=Object.keys(e).map((function(t){return js(e[t],n)})).join(",");return"scopedSlots:_u(["+a+"]"+(i?",null,true":"")+(!i&&r?",null,false,"+function(t){var e=5381,n=t.length;for(;n;)e=33*e^t.charCodeAt(--n);return e>>>0}(a):"")+")"}(t,t.scopedSlots,e)+","),t.model&&(n+="model:{value:"+t.model.value+",callback:"+t.model.callback+",expression:"+t.model.expression+"},"),t.inlineTemplate){var o=function(t,e){var n=t.children[0];1===t.children.length&&1===n.type||e.warn("Inline-template components must have exactly one child element.",{start:t.start});if(n&&1===n.type){var i=As(n,e.options);return"inlineTemplate:{render:function(){"+i.render+"},staticRenderFns:["+i.staticRenderFns.map((function(t){return"function(){"+t+"}"})).join(",")+"]}"}}(t,e);o&&(n+=o+",")}return n=n.replace(/,$/,"")+"}",t.dynamicAttrs&&(n="_b("+n+',"'+t.tag+'",'+zs(t.dynamicAttrs)+")"),t.wrapData&&(n=t.wrapData(n)),t.wrapListeners&&(n=t.wrapListeners(n)),n}function Is(t){return 1===t.type&&("slot"===t.tag||t.children.some(Is))}function js(t,e){var n=t.attrsMap["slot-scope"];if(t.if&&!t.ifProcessed&&!n)return Ds(t,e,js,"null");if(t.for&&!t.forProcessed)return Rs(t,e,js);var i=t.slotScope===Ga?"":String(t.slotScope),r="function("+i+"){return "+("template"===t.tag?t.if&&n?"("+t.if+")?"+($s(t,e)||"undefined")+":undefined":$s(t,e)||"undefined":Es(t,e))+"}",o=i?"":",proxy:true";return"{key:"+(t.slotTarget||'"default"')+",fn:"+r+o+"}"}function $s(t,e,n,i,r){var o=t.children;if(o.length){var a=o[0];if(1===o.length&&a.for&&"template"!==a.tag&&"slot"!==a.tag){var s=n?e.maybeComponent(a)?",1":",0":"";return""+(i||Es)(a,e)+s}var l=n?function(t,e){for(var n=0,i=0;i<t.length;i++){var r=t[i];if(1===r.type){if(Fs(r)||r.ifConditions&&r.ifConditions.some((function(t){return Fs(t.block)}))){n=2;break}(e(r)||r.ifConditions&&r.ifConditions.some((function(t){return e(t.block)})))&&(n=1)}}return n}(o,e.maybeComponent):0,u=r||Bs;return"["+o.map((function(t){return u(t,e)})).join(",")+"]"+(l?","+l:"")}}function Fs(t){return void 0!==t.for||"template"===t.tag||"slot"===t.tag}function Bs(t,e){return 1===t.type?Es(t,e):3===t.type&&t.isComment?function(t){return"_e("+JSON.stringify(t.text)+")"}(t):function(t){return"_v("+(2===t.type?t.expression:Vs(JSON.stringify(t.text)))+")"}(t)}function zs(t){for(var e="",n="",i=0;i<t.length;i++){var r=t[i],o=Vs(r.value);r.dynamic?n+=r.name+","+o+",":e+='"'+r.name+'":'+o+","}return e="{"+e.slice(0,-1)+"}",n?"_d("+e+",["+n.slice(0,-1)+"])":e}function Vs(t){return t.replace(/\u2028/g,"\\u2028").replace(/\u2029/g,"\\u2029")}var Hs=new RegExp("\\b"+"do,if,for,let,new,try,var,case,else,with,await,break,catch,class,const,super,throw,while,yield,delete,export,import,return,switch,default,extends,finally,continue,debugger,function,arguments".split(",").join("\\b|\\b")+"\\b"),Us=new RegExp("\\b"+"delete,typeof,void".split(",").join("\\s*\\([^\\)]*\\)|\\b")+"\\s*\\([^\\)]*\\)"),Ws=/'(?:[^'\\]|\\.)*'|"(?:[^"\\]|\\.)*"|`(?:[^`\\]|\\.)*\$\{|\}(?:[^`\\]|\\.)*`|`(?:[^`\\]|\\.)*`/g;function Ys(t,e){t&&Qs(t,e)}function Qs(t,e){if(1===t.type){for(var n in t.attrsMap)if(Na.test(n)){var i=t.attrsMap[n];if(i){var r=t.rawAttrsMap[n];"v-for"===n?Ks(t,'v-for="'+i+'"',e,r):"v-slot"===n||"#"===n[0]?Xs(i,n+'="'+i+'"',e,r):Ra.test(n)?Gs(i,n+'="'+i+'"',e,r):Js(i,n+'="'+i+'"',e,r)}}if(t.children)for(var o=0;o<t.children.length;o++)Qs(t.children[o],e)}else 2===t.type&&Js(t.expression,t.text,e,t)}function Gs(t,e,n,i){var r=t.replace(Ws,""),o=r.match(Us);o&&"$"!==r.charAt(o.index-1)&&n('avoid using JavaScript unary operator as property name: "'+o[0]+'" in expression '+e.trim(),i),Js(t,e,n,i)}function Ks(t,e,n,i){Js(t.for||"",e,n,i),Zs(t.alias,"v-for alias",e,n,i),Zs(t.iterator1,"v-for iterator",e,n,i),Zs(t.iterator2,"v-for iterator",e,n,i)}function Zs(t,e,n,i,r){if("string"==typeof t)try{new Function("var "+t+"=_")}catch(o){i("invalid "+e+' "'+t+'" in expression: '+n.trim(),r)}}function Js(t,e,n,i){try{new Function("return "+t)}catch(o){var r=t.replace(Ws,"").match(Hs);n(r?'avoid using JavaScript keyword as property name: "'+r[0]+'"\n  Raw expression: '+e.trim():"invalid expression: "+o.message+" in\n\n    "+t+"\n\n  Raw expression: "+e.trim()+"\n",i)}}function Xs(t,e,n,i){try{new Function(t,"")}catch(r){n("invalid function parameter expression: "+r.message+" in\n\n    "+t+"\n\n  Raw expression: "+e.trim()+"\n",i)}}var tl=2;function el(t,e){var n="";if(e>0)for(;1&e&&(n+=t),!((e>>>=1)<=0);)t+=t;return n}function nl(t,e){try{return new Function(t)}catch(n){return e.push({err:n,code:t}),E}}function il(t){var e=Object.create(null);return function(n,i,r){var o=(i=O({},i)).warn||ut;delete i.warn;try{new Function("return 1")}catch(t){t.toString().match(/unsafe-eval|CSP/)&&o("It seems you are using the standalone build of Vue.js in an environment with Content Security Policy that prohibits unsafe-eval. The template compiler cannot work in this environment. Consider relaxing the policy to allow unsafe-eval or pre-compiling your templates into render functions.")}var a=i.delimiters?String(i.delimiters)+n:n;if(e[a])return e[a];var s=t(n,i);s.errors&&s.errors.length&&(i.outputSourceRange?s.errors.forEach((function(t){o("Error compiling template:\n\n"+t.msg+"\n\n"+function(t,e,n){void 0===e&&(e=0),void 0===n&&(n=t.length);for(var i=t.split(/\r?\n/),r=0,o=[],a=0;a<i.length;a++)if((r+=i[a].length+1)>=e){for(var s=a-tl;s<=a+tl||n>r;s++)if(!(s<0||s>=i.length)){o.push(""+(s+1)+el(" ",3-String(s+1).length)+"|  "+i[s]);var l=i[s].length;if(s===a){var u=e-(r-l)+1,c=n>r?l-u:n-e;o.push("   |  "+el(" ",u)+el("^",c))}else if(s>a){if(n>r){var d=Math.min(n-r,l);o.push("   |  "+el("^",d))}r+=l+1}}break}return o.join("\n")}(n,t.start,t.end),r)})):o("Error compiling template:\n\n"+n+"\n\n"+s.errors.map((function(t){return"- "+t})).join("\n")+"\n",r)),s.tips&&s.tips.length&&(i.outputSourceRange?s.tips.forEach((function(t){return ct(t.msg,r)})):s.tips.forEach((function(t){return ct(t,r)})));var l={},u=[];return l.render=nl(s.render,u),l.staticRenderFns=s.staticRenderFns.map((function(t){return nl(t,u)})),s.errors&&s.errors.length||!u.length||o("Failed to generate render function:\n\n"+u.map((function(t){var e=t.err,n=t.code;return e.toString()+" in\n\n"+n+"\n"})).join("\n"),r),e[a]=l}}var rl,ol,al=(rl=function(t,e){var n=Za(t.trim(),e);!1!==e.optimize&&ps(n,e);var i=As(n,e);return{ast:n,render:i.render,staticRenderFns:i.staticRenderFns}},function(t){function e(e,n){var i=Object.create(t),r=[],o=[],a=function(t,e,n){(n?o:r).push(t)};if(n){if(n.outputSourceRange){var s=e.match(/^\s*/)[0].length;a=function(t,e,n){var i={msg:t};e&&(null!=e.start&&(i.start=e.start+s),null!=e.end&&(i.end=e.end+s)),(n?o:r).push(i)}}for(var l in n.modules&&(i.modules=(t.modules||[]).concat(n.modules)),n.directives&&(i.directives=O(Object.create(t.directives||null),n.directives)),n)"modules"!==l&&"directives"!==l&&(i[l]=n[l])}i.warn=a;var u=rl(e.trim(),i);return Ys(u.ast,a),u.errors=r,u.tips=o,u}return{compile:e,compileToFunctions:il(e)}}),sl=al(hs),ll=(sl.compile,sl.compileToFunctions);function ul(t){return(ol=ol||document.createElement("div")).innerHTML=t?'<a href="\n"/>':'<div a="\n"/>',ol.innerHTML.indexOf("&#10;")>0}var cl=!!W&&ul(!1),dl=!!W&&ul(!0),hl=b((function(t){var e=qi(t);return e&&e.innerHTML})),fl=ei.prototype.$mount;return ei.prototype.$mount=function(t,e){if((t=t&&qi(t))===document.body||t===document.documentElement)return ut("Do not mount Vue to <html> or <body> - mount to normal elements instead."),this;var n=this.$options;if(!n.render){var i=n.template;if(i)if("string"==typeof i)"#"===i.charAt(0)&&((i=hl(i))||ut("Template element not found or is empty: "+n.template,this));else{if(!i.nodeType)return ut("invalid template option:"+i,this),this;i=i.innerHTML}else t&&(i=function(t){if(t.outerHTML)return t.outerHTML;var e=document.createElement("div");return e.appendChild(t.cloneNode(!0)),e.innerHTML}(t));if(i){$.performance&&oe&&oe("compile");var r=ll(i,{outputSourceRange:!0,shouldDecodeNewlines:cl,shouldDecodeNewlinesForHref:dl,delimiters:n.delimiters,comments:n.comments},this),o=r.render,a=r.staticRenderFns;n.render=o,n.staticRenderFns=a,$.performance&&oe&&(oe("compile end"),ae("vue "+this._name+" compile","compile","compile end"))}}return fl.call(this,t,e)},ei.compile=ll,ei})),
/*!
  * vue-router v3.4.3
  * (c) 2020 Evan You
  * @license MIT
  */
function(t,e){"object"==typeof exports&&"undefined"!=typeof module?module.exports=e():"function"==typeof define&&define.amd?define(e):(t=t||self).VueRouter=e()}(this,(function(){"use strict";function t(t,e){if(!t)throw new Error("[vue-router] "+e)}function e(t,e){t||"undefined"!=typeof console&&console.warn("[vue-router] "+e)}function n(t,e){for(var n in e)t[n]=e[n];return t}var i={name:"RouterView",functional:!0,props:{name:{type:String,default:"default"}},render:function(t,e){var i=e.props,o=e.children,a=e.parent,s=e.data;s.routerView=!0;for(var l=a.$createElement,u=i.name,c=a.$route,d=a._routerViewCache||(a._routerViewCache={}),h=0,f=!1;a&&a._routerRoot!==a;){var p=a.$vnode?a.$vnode.data:{};p.routerView&&h++,p.keepAlive&&a._directInactive&&a._inactive&&(f=!0),a=a.$parent}if(s.routerViewDepth=h,f){var m=d[u],v=m&&m.component;return v?(m.configProps&&r(v,s,m.route,m.configProps),l(v,s,o)):l()}var g=c.matched[h],_=g&&g.components[u];if(!g||!_)return d[u]=null,l();d[u]={component:_},s.registerRouteInstance=function(t,e){var n=g.instances[u];(e&&n!==t||!e&&n===t)&&(g.instances[u]=e)},(s.hook||(s.hook={})).prepatch=function(t,e){g.instances[u]=e.componentInstance},s.hook.init=function(t){t.data.keepAlive&&t.componentInstance&&t.componentInstance!==g.instances[u]&&(g.instances[u]=t.componentInstance)};var y=g.props&&g.props[u];return y&&(n(d[u],{route:c,configProps:y}),r(_,s,c,y)),l(_,s,o)}};function r(t,i,r,o){var a=i.props=function(t,n){switch(typeof n){case"undefined":return;case"object":return n;case"function":return n(t);case"boolean":return n?t.params:void 0;default:e(!1,'props in "'+t.path+'" is a '+typeof n+", expecting an object, function or boolean.")}}(r,o);if(a){a=i.props=n({},a);var s=i.attrs=i.attrs||{};for(var l in a)t.props&&l in t.props||(s[l]=a[l],delete a[l])}}var o=/[!'()*]/g,a=function(t){return"%"+t.charCodeAt(0).toString(16)},s=/%2C/g,l=function(t){return encodeURIComponent(t).replace(o,a).replace(s,",")},u=decodeURIComponent;var c=function(t){return null==t||"object"==typeof t?t:String(t)};function d(t){var e={};return(t=t.trim().replace(/^(\?|#|&)/,""))?(t.split("&").forEach((function(t){var n=t.replace(/\+/g," ").split("="),i=u(n.shift()),r=n.length>0?u(n.join("=")):null;void 0===e[i]?e[i]=r:Array.isArray(e[i])?e[i].push(r):e[i]=[e[i],r]})),e):e}function h(t){var e=t?Object.keys(t).map((function(e){var n=t[e];if(void 0===n)return"";if(null===n)return l(e);if(Array.isArray(n)){var i=[];return n.forEach((function(t){void 0!==t&&(null===t?i.push(l(e)):i.push(l(e)+"="+l(t)))})),i.join("&")}return l(e)+"="+l(n)})).filter((function(t){return t.length>0})).join("&"):null;return e?"?"+e:""}var f=/\/?$/;function p(t,e,n,i){var r=i&&i.options.stringifyQuery,o=e.query||{};try{o=m(o)}catch(t){}var a={name:e.name||t&&t.name,meta:t&&t.meta||{},path:e.path||"/",hash:e.hash||"",query:o,params:e.params||{},fullPath:_(e,r),matched:t?g(t):[]};return n&&(a.redirectedFrom=_(n,r)),Object.freeze(a)}function m(t){if(Array.isArray(t))return t.map(m);if(t&&"object"==typeof t){var e={};for(var n in t)e[n]=m(t[n]);return e}return t}var v=p(null,{path:"/"});function g(t){for(var e=[];t;)e.unshift(t),t=t.parent;return e}function _(t,e){var n=t.path,i=t.query;void 0===i&&(i={});var r=t.hash;return void 0===r&&(r=""),(n||"/")+(e||h)(i)+r}function y(t,e){return e===v?t===e:!!e&&(t.path&&e.path?t.path.replace(f,"")===e.path.replace(f,"")&&t.hash===e.hash&&b(t.query,e.query):!(!t.name||!e.name)&&(t.name===e.name&&t.hash===e.hash&&b(t.query,e.query)&&b(t.params,e.params)))}function b(t,e){if(void 0===t&&(t={}),void 0===e&&(e={}),!t||!e)return t===e;var n=Object.keys(t),i=Object.keys(e);return n.length===i.length&&n.every((function(n){var i=t[n],r=e[n];return null==i||null==r?i===r:"object"==typeof i&&"object"==typeof r?b(i,r):String(i)===String(r)}))}function w(t,e,n){var i=t.charAt(0);if("/"===i)return t;if("?"===i||"#"===i)return e+t;var r=e.split("/");n&&r[r.length-1]||r.pop();for(var o=t.replace(/^\//,"").split("/"),a=0;a<o.length;a++){var s=o[a];".."===s?r.pop():"."!==s&&r.push(s)}return""!==r[0]&&r.unshift(""),r.join("/")}function x(t){return t.replace(/\/\//g,"/")}var k=Array.isArray||function(t){return"[object Array]"==Object.prototype.toString.call(t)},S=j,C=E,M=function(t,e){return L(E(t,e),e)},T=L,O=I,A=new RegExp(["(\\\\.)","([\\/.])?(?:(?:\\:(\\w+)(?:\\(((?:\\\\.|[^\\\\()])+)\\))?|\\(((?:\\\\.|[^\\\\()])+)\\))([+*?])?|(\\*))"].join("|"),"g");function E(t,e){for(var n,i=[],r=0,o=0,a="",s=e&&e.delimiter||"/";null!=(n=A.exec(t));){var l=n[0],u=n[1],c=n.index;if(a+=t.slice(o,c),o=c+l.length,u)a+=u[1];else{var d=t[o],h=n[2],f=n[3],p=n[4],m=n[5],v=n[6],g=n[7];a&&(i.push(a),a="");var _=null!=h&&null!=d&&d!==h,y="+"===v||"*"===v,b="?"===v||"*"===v,w=n[2]||s,x=p||m;i.push({name:f||r++,prefix:h||"",delimiter:w,optional:b,repeat:y,partial:_,asterisk:!!g,pattern:x?P(x):g?".*":"[^"+D(w)+"]+?"})}}return o<t.length&&(a+=t.substr(o)),a&&i.push(a),i}function q(t){return encodeURI(t).replace(/[\/?#]/g,(function(t){return"%"+t.charCodeAt(0).toString(16).toUpperCase()}))}function L(t,e){for(var n=new Array(t.length),i=0;i<t.length;i++)"object"==typeof t[i]&&(n[i]=new RegExp("^(?:"+t[i].pattern+")$",N(e)));return function(e,i){for(var r="",o=e||{},a=(i||{}).pretty?q:encodeURIComponent,s=0;s<t.length;s++){var l=t[s];if("string"!=typeof l){var u,c=o[l.name];if(null==c){if(l.optional){l.partial&&(r+=l.prefix);continue}throw new TypeError('Expected "'+l.name+'" to be defined')}if(k(c)){if(!l.repeat)throw new TypeError('Expected "'+l.name+'" to not repeat, but received `'+JSON.stringify(c)+"`");if(0===c.length){if(l.optional)continue;throw new TypeError('Expected "'+l.name+'" to not be empty')}for(var d=0;d<c.length;d++){if(u=a(c[d]),!n[s].test(u))throw new TypeError('Expected all "'+l.name+'" to match "'+l.pattern+'", but received `'+JSON.stringify(u)+"`");r+=(0===d?l.prefix:l.delimiter)+u}}else{if(u=l.asterisk?encodeURI(c).replace(/[?#]/g,(function(t){return"%"+t.charCodeAt(0).toString(16).toUpperCase()})):a(c),!n[s].test(u))throw new TypeError('Expected "'+l.name+'" to match "'+l.pattern+'", but received "'+u+'"');r+=l.prefix+u}}else r+=l}return r}}function D(t){return t.replace(/([.+*?=^!:${}()[\]|\/\\])/g,"\\$1")}function P(t){return t.replace(/([=!:$\/()])/g,"\\$1")}function R(t,e){return t.keys=e,t}function N(t){return t&&t.sensitive?"":"i"}function I(t,e,n){k(e)||(n=e||n,e=[]);for(var i=(n=n||{}).strict,r=!1!==n.end,o="",a=0;a<t.length;a++){var s=t[a];if("string"==typeof s)o+=D(s);else{var l=D(s.prefix),u="(?:"+s.pattern+")";e.push(s),s.repeat&&(u+="(?:"+l+u+")*"),o+=u=s.optional?s.partial?l+"("+u+")?":"(?:"+l+"("+u+"))?":l+"("+u+")"}}var c=D(n.delimiter||"/"),d=o.slice(-c.length)===c;return i||(o=(d?o.slice(0,-c.length):o)+"(?:"+c+"(?=$))?"),o+=r?"$":i&&d?"":"(?="+c+"|$)",R(new RegExp("^"+o,N(n)),e)}function j(t,e,n){return k(e)||(n=e||n,e=[]),n=n||{},t instanceof RegExp?function(t,e){var n=t.source.match(/\((?!\?)/g);if(n)for(var i=0;i<n.length;i++)e.push({name:i,prefix:null,delimiter:null,optional:!1,repeat:!1,partial:!1,asterisk:!1,pattern:null});return R(t,e)}(t,e):k(t)?function(t,e,n){for(var i=[],r=0;r<t.length;r++)i.push(j(t[r],e,n).source);return R(new RegExp("(?:"+i.join("|")+")",N(n)),e)}(t,e,n):function(t,e,n){return I(E(t,n),e,n)}(t,e,n)}S.parse=C,S.compile=M,S.tokensToFunction=T,S.tokensToRegExp=O;var $=Object.create(null);function F(t,n,i){n=n||{};try{var r=$[t]||($[t]=S.compile(t));return"string"==typeof n.pathMatch&&(n[0]=n.pathMatch),r(n,{pretty:!0})}catch(t){return e("string"==typeof n.pathMatch,"missing param for "+i+": "+t.message),""}finally{delete n[0]}}function B(t,i,r,o){var a="string"==typeof t?{path:t}:t;if(a._normalized)return a;if(a.name){var s=(a=n({},t)).params;return s&&"object"==typeof s&&(a.params=n({},s)),a}if(!a.path&&a.params&&i){(a=n({},a))._normalized=!0;var l=n(n({},i.params),a.params);if(i.name)a.name=i.name,a.params=l;else if(i.matched.length){var u=i.matched[i.matched.length-1].path;a.path=F(u,l,"path "+i.path)}else e(!1,"relative params navigation requires a current route.");return a}var h=function(t){var e="",n="",i=t.indexOf("#");i>=0&&(e=t.slice(i),t=t.slice(0,i));var r=t.indexOf("?");return r>=0&&(n=t.slice(r+1),t=t.slice(0,r)),{path:t,query:n,hash:e}}(a.path||""),f=i&&i.path||"/",p=h.path?w(h.path,f,r||a.append):f,m=function(t,n,i){void 0===n&&(n={});var r,o=i||d;try{r=o(t||"")}catch(t){e(!1,t.message),r={}}for(var a in n){var s=n[a];r[a]=Array.isArray(s)?s.map(c):c(s)}return r}(h.query,a.query,o&&o.options.parseQuery),v=a.hash||h.hash;return v&&"#"!==v.charAt(0)&&(v="#"+v),{_normalized:!0,path:p,query:m,hash:v}}var z,V=function(){},H={name:"RouterLink",props:{to:{type:[String,Object],required:!0},tag:{type:String,default:"a"},exact:Boolean,append:Boolean,replace:Boolean,activeClass:String,exactActiveClass:String,ariaCurrentValue:{type:String,default:"page"},event:{type:[String,Array],default:"click"}},render:function(t){var i=this,r=this.$router,o=this.$route,a=r.resolve(this.to,o,this.append),s=a.location,l=a.route,u=a.href,c={},d=r.options.linkActiveClass,h=r.options.linkExactActiveClass,m=null==d?"router-link-active":d,v=null==h?"router-link-exact-active":h,g=null==this.activeClass?m:this.activeClass,_=null==this.exactActiveClass?v:this.exactActiveClass,b=l.redirectedFrom?p(null,B(l.redirectedFrom),null,r):l;c[_]=y(o,b),c[g]=this.exact?c[_]:function(t,e){return 0===t.path.replace(f,"/").indexOf(e.path.replace(f,"/"))&&(!e.hash||t.hash===e.hash)&&function(t,e){for(var n in e)if(!(n in t))return!1;return!0}(t.query,e.query)}(o,b);var w=c[_]?this.ariaCurrentValue:null,x=function(t){U(t)&&(i.replace?r.replace(s,V):r.push(s,V))},k={click:U};Array.isArray(this.event)?this.event.forEach((function(t){k[t]=x})):k[this.event]=x;var S={class:c},C=!this.$scopedSlots.$hasNormal&&this.$scopedSlots.default&&this.$scopedSlots.default({href:u,route:l,navigate:x,isActive:c[g],isExactActive:c[_]});if(C){if(1===C.length)return C[0];if(C.length>1||!C.length)return e(!1,'RouterLink with to="'+this.to+"\" is trying to use a scoped slot but it didn't provide exactly one child. Wrapping the content with a span element."),0===C.length?t():t("span",{},C)}if("a"===this.tag)S.on=k,S.attrs={href:u,"aria-current":w};else{var M=W(this.$slots.default);if(M){M.isStatic=!1;var T=M.data=n({},M.data);for(var O in T.on=T.on||{},T.on){var A=T.on[O];O in k&&(T.on[O]=Array.isArray(A)?A:[A])}for(var E in k)E in T.on?T.on[E].push(k[E]):T.on[E]=x;var q=M.data.attrs=n({},M.data.attrs);q.href=u,q["aria-current"]=w}else S.on=k}return t(this.tag,S,this.$slots.default)}};function U(t){if(!(t.metaKey||t.altKey||t.ctrlKey||t.shiftKey||t.defaultPrevented||void 0!==t.button&&0!==t.button)){if(t.currentTarget&&t.currentTarget.getAttribute){var e=t.currentTarget.getAttribute("target");if(/\b_blank\b/i.test(e))return}return t.preventDefault&&t.preventDefault(),!0}}function W(t){if(t)for(var e,n=0;n<t.length;n++){if("a"===(e=t[n]).tag)return e;if(e.children&&(e=W(e.children)))return e}}function Y(t){if(!Y.installed||z!==t){Y.installed=!0,z=t;var e=function(t){return void 0!==t},n=function(t,n){var i=t.$options._parentVnode;e(i)&&e(i=i.data)&&e(i=i.registerRouteInstance)&&i(t,n)};t.mixin({beforeCreate:function(){e(this.$options.router)?(this._routerRoot=this,this._router=this.$options.router,this._router.init(this),t.util.defineReactive(this,"_route",this._router.history.current)):this._routerRoot=this.$parent&&this.$parent._routerRoot||this,n(this,this)},destroyed:function(){n(this)}}),Object.defineProperty(t.prototype,"$router",{get:function(){return this._routerRoot._router}}),Object.defineProperty(t.prototype,"$route",{get:function(){return this._routerRoot._route}}),t.component("RouterView",i),t.component("RouterLink",H);var r=t.config.optionMergeStrategies;r.beforeRouteEnter=r.beforeRouteLeave=r.beforeRouteUpdate=r.created}}var Q="undefined"!=typeof window;function G(t,n,i,r){var o=n||[],a=i||Object.create(null),s=r||Object.create(null);t.forEach((function(t){K(o,a,s,t)}));for(var l=0,u=o.length;l<u;l++)"*"===o[l]&&(o.push(o.splice(l,1)[0]),u--,l--);var c=o.filter((function(t){return t&&"*"!==t.charAt(0)&&"/"!==t.charAt(0)}));c.length>0&&e(!1,"Non-nested routes must include a leading slash character. Fix the following routes: \n"+c.map((function(t){return"- "+t})).join("\n"));return{pathList:o,pathMap:a,nameMap:s}}function K(n,i,r,o,a,s){var l=o.path,u=o.name;t(null!=l,'"path" is required in a route configuration.'),t("string"!=typeof o.component,'route config "component" for path: '+String(l||u)+" cannot be a string id. Use an actual component instead.");var c=o.pathToRegexpOptions||{},d=function(t,e,n){n||(t=t.replace(/\/$/,""));if("/"===t[0])return t;if(null==e)return t;return x(e.path+"/"+t)}(l,a,c.strict);"boolean"==typeof o.caseSensitive&&(c.sensitive=o.caseSensitive);var h={path:d,regex:Z(d,c),components:o.components||{default:o.component},instances:{},name:u,parent:a,matchAs:s,redirect:o.redirect,beforeEnter:o.beforeEnter,meta:o.meta||{},props:null==o.props?{}:o.components?o.props:{default:o.props}};if(o.children&&(o.name&&!o.redirect&&o.children.some((function(t){return/^\/?$/.test(t.path)}))&&e(!1,"Named Route '"+o.name+"' has a default child route. When navigating to this named route (:to=\"{name: '"+o.name+"'\"), the default child route will not be rendered. Remove the name from this route and use the name of the default child route for named links instead."),o.children.forEach((function(t){var e=s?x(s+"/"+t.path):void 0;K(n,i,r,t,h,e)}))),i[h.path]||(n.push(h.path),i[h.path]=h),void 0!==o.alias)for(var f=Array.isArray(o.alias)?o.alias:[o.alias],p=0;p<f.length;++p){var m=f[p];if(m!==l){var v={path:m,children:o.children};K(n,i,r,v,a,h.path||"/")}else e(!1,'Found an alias with the same value as the path: "'+l+'". You have to remove that alias. It will be ignored in development.')}u&&(r[u]?s||e(!1,'Duplicate named routes definition: { name: "'+u+'", path: "'+h.path+'" }'):r[u]=h)}function Z(t,n){var i=S(t,[],n),r=Object.create(null);return i.keys.forEach((function(n){e(!r[n.name],'Duplicate param keys in route with path: "'+t+'"'),r[n.name]=!0})),i}function J(n,i){var r=G(n),o=r.pathList,a=r.pathMap,s=r.nameMap;function l(t,n,r){var l=B(t,n,!1,i),u=l.name;if(u){var d=s[u];if(e(d,"Route with name '"+u+"' does not exist"),!d)return c(null,l);var h=d.regex.keys.filter((function(t){return!t.optional})).map((function(t){return t.name}));if("object"!=typeof l.params&&(l.params={}),n&&"object"==typeof n.params)for(var f in n.params)!(f in l.params)&&h.indexOf(f)>-1&&(l.params[f]=n.params[f]);return l.path=F(d.path,l.params,'named route "'+u+'"'),c(d,l,r)}if(l.path){l.params={};for(var p=0;p<o.length;p++){var m=o[p],v=a[m];if(X(v.regex,l.path,l.params))return c(v,l,r)}}return c(null,l)}function u(n,r){var o=n.redirect,a="function"==typeof o?o(p(n,r,null,i)):o;if("string"==typeof a&&(a={path:a}),!a||"object"!=typeof a)return e(!1,"invalid redirect option: "+JSON.stringify(a)),c(null,r);var u=a,d=u.name,h=u.path,f=r.query,m=r.hash,v=r.params;if(f=u.hasOwnProperty("query")?u.query:f,m=u.hasOwnProperty("hash")?u.hash:m,v=u.hasOwnProperty("params")?u.params:v,d)return t(s[d],'redirect failed: named route "'+d+'" not found.'),l({_normalized:!0,name:d,query:f,hash:m,params:v},void 0,r);if(h){var g=function(t,e){return w(t,e.parent?e.parent.path:"/",!0)}(h,n);return l({_normalized:!0,path:F(g,v,'redirect route with path "'+g+'"'),query:f,hash:m},void 0,r)}return e(!1,"invalid redirect option: "+JSON.stringify(a)),c(null,r)}function c(t,e,n){return t&&t.redirect?u(t,n||e):t&&t.matchAs?function(t,e,n){var i=l({_normalized:!0,path:F(n,e.params,'aliased route with path "'+n+'"')});if(i){var r=i.matched,o=r[r.length-1];return e.params=i.params,c(o,e)}return c(null,e)}(0,e,t.matchAs):p(t,e,n,i)}return{match:l,addRoutes:function(t){G(t,o,a,s)}}}function X(t,e,n){var i=e.match(t);if(!i)return!1;if(!n)return!0;for(var r=1,o=i.length;r<o;++r){var a=t.keys[r-1],s="string"==typeof i[r]?decodeURIComponent(i[r]):i[r];a&&(n[a.name||"pathMatch"]=s)}return!0}var tt=Q&&window.performance&&window.performance.now?window.performance:Date;function et(){return tt.now().toFixed(3)}var nt=et();function it(){return nt}function rt(t){return nt=t}var ot=Object.create(null);function at(){"scrollRestoration"in window.history&&(window.history.scrollRestoration="manual");var t=window.location.protocol+"//"+window.location.host,e=window.location.href.replace(t,""),i=n({},window.history.state);return i.key=it(),window.history.replaceState(i,"",e),window.addEventListener("popstate",ut),function(){window.removeEventListener("popstate",ut)}}function st(e,n,i,r){if(e.app){var o=e.options.scrollBehavior;o&&(t("function"==typeof o,"scrollBehavior must be a function"),e.app.$nextTick((function(){var a=function(){var t=it();if(t)return ot[t]}(),s=o.call(e,n,i,r?a:null);s&&("function"==typeof s.then?s.then((function(t){pt(t,a)})).catch((function(e){t(!1,e.toString())})):pt(s,a))})))}}function lt(){var t=it();t&&(ot[t]={x:window.pageXOffset,y:window.pageYOffset})}function ut(t){lt(),t.state&&t.state.key&&rt(t.state.key)}function ct(t){return ht(t.x)||ht(t.y)}function dt(t){return{x:ht(t.x)?t.x:window.pageXOffset,y:ht(t.y)?t.y:window.pageYOffset}}function ht(t){return"number"==typeof t}var ft=/^#\d/;function pt(t,e){var n="object"==typeof t;if(n&&"string"==typeof t.selector){var i=ft.test(t.selector)?document.getElementById(t.selector.slice(1)):document.querySelector(t.selector);if(i){var r=t.offset&&"object"==typeof t.offset?t.offset:{};e=function(t,e){var n=document.documentElement.getBoundingClientRect(),i=t.getBoundingClientRect();return{x:i.left-n.left-e.x,y:i.top-n.top-e.y}}(i,r=function(t){return{x:ht(t.x)?t.x:0,y:ht(t.y)?t.y:0}}(r))}else ct(t)&&(e=dt(t))}else n&&ct(t)&&(e=dt(t));e&&window.scrollTo(e.x,e.y)}var mt,vt=Q&&((-1===(mt=window.navigator.userAgent).indexOf("Android 2.")&&-1===mt.indexOf("Android 4.0")||-1===mt.indexOf("Mobile Safari")||-1!==mt.indexOf("Chrome")||-1!==mt.indexOf("Windows Phone"))&&window.history&&"function"==typeof window.history.pushState);function gt(t,e){lt();var i=window.history;try{if(e){var r=n({},i.state);r.key=it(),i.replaceState(r,"",t)}else i.pushState({key:rt(et())},"",t)}catch(n){window.location[e?"replace":"assign"](t)}}function _t(t){gt(t,!0)}function yt(t,e,n){var i=function(r){r>=t.length?n():t[r]?e(t[r],(function(){i(r+1)})):i(r+1)};i(0)}var bt={redirected:2,aborted:4,cancelled:8,duplicated:16};function wt(t,e){return kt(t,e,bt.redirected,'Redirected when going from "'+t.fullPath+'" to "'+function(t){if("string"==typeof t)return t;if("path"in t)return t.path;var e={};return St.forEach((function(n){n in t&&(e[n]=t[n])})),JSON.stringify(e,null,2)}(e)+'" via a navigation guard.')}function xt(t,e){return kt(t,e,bt.cancelled,'Navigation cancelled from "'+t.fullPath+'" to "'+e.fullPath+'" with a new navigation.')}function kt(t,e,n,i){var r=new Error(i);return r._isRouter=!0,r.from=t,r.to=e,r.type=n,r}var St=["params","query","hash"];function Ct(t){return Object.prototype.toString.call(t).indexOf("Error")>-1}function Mt(t,e){return Ct(t)&&t._isRouter&&(null==e||t.type===e)}function Tt(t){return function(n,i,r){var o=!1,a=0,s=null;Ot(t,(function(t,n,i,l){if("function"==typeof t&&void 0===t.cid){o=!0,a++;var u,c=qt((function(e){(function(t){return t.__esModule||Et&&"Module"===t[Symbol.toStringTag]})(e)&&(e=e.default),t.resolved="function"==typeof e?e:z.extend(e),i.components[l]=e,--a<=0&&r()})),d=qt((function(t){var n="Failed to resolve async component "+l+": "+t;e(!1,n),s||(s=Ct(t)?t:new Error(n),r(s))}));try{u=t(c,d)}catch(t){d(t)}if(u)if("function"==typeof u.then)u.then(c,d);else{var h=u.component;h&&"function"==typeof h.then&&h.then(c,d)}}})),o||r()}}function Ot(t,e){return At(t.map((function(t){return Object.keys(t.components).map((function(n){return e(t.components[n],t.instances[n],t,n)}))})))}function At(t){return Array.prototype.concat.apply([],t)}var Et="function"==typeof Symbol&&"symbol"==typeof Symbol.toStringTag;function qt(t){var e=!1;return function(){for(var n=[],i=arguments.length;i--;)n[i]=arguments[i];if(!e)return e=!0,t.apply(this,n)}}var Lt=function(t,e){this.router=t,this.base=function(t){if(!t)if(Q){var e=document.querySelector("base");t=(t=e&&e.getAttribute("href")||"/").replace(/^https?:\/\/[^\/]+/,"")}else t="/";"/"!==t.charAt(0)&&(t="/"+t);return t.replace(/\/$/,"")}(e),this.current=v,this.pending=null,this.ready=!1,this.readyCbs=[],this.readyErrorCbs=[],this.errorCbs=[],this.listeners=[]};function Dt(t,e,n,i){var r=Ot(t,(function(t,i,r,o){var a=function(t,e){"function"!=typeof t&&(t=z.extend(t));return t.options[e]}(t,e);if(a)return Array.isArray(a)?a.map((function(t){return n(t,i,r,o)})):n(a,i,r,o)}));return At(i?r.reverse():r)}function Pt(t,e){if(e)return function(){return t.apply(e,arguments)}}function Rt(t,e,n,i){e[n]&&!e[n]._isBeingDestroyed?t(e[n]):i()&&setTimeout((function(){Rt(t,e,n,i)}),16)}Lt.prototype.listen=function(t){this.cb=t},Lt.prototype.onReady=function(t,e){this.ready?t():(this.readyCbs.push(t),e&&this.readyErrorCbs.push(e))},Lt.prototype.onError=function(t){this.errorCbs.push(t)},Lt.prototype.transitionTo=function(t,e,n){var i,r=this;try{i=this.router.match(t,this.current)}catch(t){throw this.errorCbs.forEach((function(e){e(t)})),t}this.confirmTransition(i,(function(){var t=r.current;r.updateRoute(i),e&&e(i),r.ensureURL(),r.router.afterHooks.forEach((function(e){e&&e(i,t)})),r.ready||(r.ready=!0,r.readyCbs.forEach((function(t){t(i)})))}),(function(t){n&&n(t),t&&!r.ready&&(r.ready=!0,Mt(t,bt.redirected)?r.readyCbs.forEach((function(t){t(i)})):r.readyErrorCbs.forEach((function(e){e(t)})))}))},Lt.prototype.confirmTransition=function(t,n,i){var r,o,a=this,s=this.current,l=function(t){!Mt(t)&&Ct(t)&&(a.errorCbs.length?a.errorCbs.forEach((function(e){e(t)})):(e(!1,"uncaught error during route navigation:"),console.error(t))),i&&i(t)},u=t.matched.length-1,c=s.matched.length-1;if(y(t,s)&&u===c&&t.matched[u]===s.matched[c])return this.ensureURL(),l(((o=kt(r=s,t,bt.duplicated,'Avoided redundant navigation to current location: "'+r.fullPath+'".')).name="NavigationDuplicated",o));var d=function(t,e){var n,i=Math.max(t.length,e.length);for(n=0;n<i&&t[n]===e[n];n++);return{updated:e.slice(0,n),activated:e.slice(n),deactivated:t.slice(n)}}(this.current.matched,t.matched),h=d.updated,f=d.deactivated,p=d.activated,m=[].concat(function(t){return Dt(t,"beforeRouteLeave",Pt,!0)}(f),this.router.beforeHooks,function(t){return Dt(t,"beforeRouteUpdate",Pt)}(h),p.map((function(t){return t.beforeEnter})),Tt(p));this.pending=t;var v=function(e,n){if(a.pending!==t)return l(xt(s,t));try{e(t,s,(function(e){!1===e?(a.ensureURL(!0),l(function(t,e){return kt(t,e,bt.aborted,'Navigation aborted from "'+t.fullPath+'" to "'+e.fullPath+'" via a navigation guard.')}(s,t))):Ct(e)?(a.ensureURL(!0),l(e)):"string"==typeof e||"object"==typeof e&&("string"==typeof e.path||"string"==typeof e.name)?(l(wt(s,t)),"object"==typeof e&&e.replace?a.replace(e):a.push(e)):n(e)}))}catch(t){l(t)}};yt(m,v,(function(){var e=[],i=function(t,e,n){return Dt(t,"beforeRouteEnter",(function(t,i,r,o){return function(t,e,n,i,r){return function(o,a,s){return t(o,a,(function(t){"function"==typeof t&&i.push((function(){Rt(t,e.instances,n,r)})),s(t)}))}}(t,r,o,e,n)}))}(p,e,(function(){return a.current===t}));yt(i.concat(a.router.resolveHooks),v,(function(){if(a.pending!==t)return l(xt(s,t));a.pending=null,n(t),a.router.app&&a.router.app.$nextTick((function(){e.forEach((function(t){t()}))}))}))}))},Lt.prototype.updateRoute=function(t){this.current=t,this.cb&&this.cb(t)},Lt.prototype.setupListeners=function(){},Lt.prototype.teardownListeners=function(){this.listeners.forEach((function(t){t()})),this.listeners=[]};var Nt=function(t){function e(e,n){t.call(this,e,n),this._startLocation=It(this.base)}return t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e,e.prototype.setupListeners=function(){var t=this;if(!(this.listeners.length>0)){var e=this.router,n=e.options.scrollBehavior,i=vt&&n;i&&this.listeners.push(at());var r=function(){var n=t.current,r=It(t.base);t.current===v&&r===t._startLocation||t.transitionTo(r,(function(t){i&&st(e,t,n,!0)}))};window.addEventListener("popstate",r),this.listeners.push((function(){window.removeEventListener("popstate",r)}))}},e.prototype.go=function(t){window.history.go(t)},e.prototype.push=function(t,e,n){var i=this,r=this.current;this.transitionTo(t,(function(t){gt(x(i.base+t.fullPath)),st(i.router,t,r,!1),e&&e(t)}),n)},e.prototype.replace=function(t,e,n){var i=this,r=this.current;this.transitionTo(t,(function(t){_t(x(i.base+t.fullPath)),st(i.router,t,r,!1),e&&e(t)}),n)},e.prototype.ensureURL=function(t){if(It(this.base)!==this.current.fullPath){var e=x(this.base+this.current.fullPath);t?gt(e):_t(e)}},e.prototype.getCurrentLocation=function(){return It(this.base)},e}(Lt);function It(t){var e=decodeURI(window.location.pathname);return t&&0===e.toLowerCase().indexOf(t.toLowerCase())&&(e=e.slice(t.length)),(e||"/")+window.location.search+window.location.hash}var jt=function(t){function e(e,n,i){t.call(this,e,n),i&&function(t){var e=It(t);if(!/^\/#/.test(e))return window.location.replace(x(t+"/#"+e)),!0}(this.base)||$t()}return t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e,e.prototype.setupListeners=function(){var t=this;if(!(this.listeners.length>0)){var e=this.router.options.scrollBehavior,n=vt&&e;n&&this.listeners.push(at());var i=function(){var e=t.current;$t()&&t.transitionTo(Ft(),(function(i){n&&st(t.router,i,e,!0),vt||Vt(i.fullPath)}))},r=vt?"popstate":"hashchange";window.addEventListener(r,i),this.listeners.push((function(){window.removeEventListener(r,i)}))}},e.prototype.push=function(t,e,n){var i=this,r=this.current;this.transitionTo(t,(function(t){zt(t.fullPath),st(i.router,t,r,!1),e&&e(t)}),n)},e.prototype.replace=function(t,e,n){var i=this,r=this.current;this.transitionTo(t,(function(t){Vt(t.fullPath),st(i.router,t,r,!1),e&&e(t)}),n)},e.prototype.go=function(t){window.history.go(t)},e.prototype.ensureURL=function(t){var e=this.current.fullPath;Ft()!==e&&(t?zt(e):Vt(e))},e.prototype.getCurrentLocation=function(){return Ft()},e}(Lt);function $t(){var t=Ft();return"/"===t.charAt(0)||(Vt("/"+t),!1)}function Ft(){var t=window.location.href,e=t.indexOf("#");if(e<0)return"";var n=(t=t.slice(e+1)).indexOf("?");if(n<0){var i=t.indexOf("#");t=i>-1?decodeURI(t.slice(0,i))+t.slice(i):decodeURI(t)}else t=decodeURI(t.slice(0,n))+t.slice(n);return t}function Bt(t){var e=window.location.href,n=e.indexOf("#");return(n>=0?e.slice(0,n):e)+"#"+t}function zt(t){vt?gt(Bt(t)):window.location.hash=t}function Vt(t){vt?_t(Bt(t)):window.location.replace(Bt(t))}var Ht=function(t){function e(e,n){t.call(this,e,n),this.stack=[],this.index=-1}return t&&(e.__proto__=t),e.prototype=Object.create(t&&t.prototype),e.prototype.constructor=e,e.prototype.push=function(t,e,n){var i=this;this.transitionTo(t,(function(t){i.stack=i.stack.slice(0,i.index+1).concat(t),i.index++,e&&e(t)}),n)},e.prototype.replace=function(t,e,n){var i=this;this.transitionTo(t,(function(t){i.stack=i.stack.slice(0,i.index).concat(t),e&&e(t)}),n)},e.prototype.go=function(t){var e=this,n=this.index+t;if(!(n<0||n>=this.stack.length)){var i=this.stack[n];this.confirmTransition(i,(function(){e.index=n,e.updateRoute(i)}),(function(t){Mt(t,bt.duplicated)&&(e.index=n)}))}},e.prototype.getCurrentLocation=function(){var t=this.stack[this.stack.length-1];return t?t.fullPath:"/"},e.prototype.ensureURL=function(){},e}(Lt),Ut=function(e){void 0===e&&(e={}),this.app=null,this.apps=[],this.options=e,this.beforeHooks=[],this.resolveHooks=[],this.afterHooks=[],this.matcher=J(e.routes||[],this);var n=e.mode||"hash";switch(this.fallback="history"===n&&!vt&&!1!==e.fallback,this.fallback&&(n="hash"),Q||(n="abstract"),this.mode=n,n){case"history":this.history=new Nt(this,e.base);break;case"hash":this.history=new jt(this,e.base,this.fallback);break;case"abstract":this.history=new Ht(this,e.base);break;default:t(!1,"invalid mode: "+n)}},Wt={currentRoute:{configurable:!0}};function Yt(t,e){return t.push(e),function(){var n=t.indexOf(e);n>-1&&t.splice(n,1)}}return Ut.prototype.match=function(t,e,n){return this.matcher.match(t,e,n)},Wt.currentRoute.get=function(){return this.history&&this.history.current},Ut.prototype.init=function(e){var n=this;if(t(Y.installed,"not installed. Make sure to call `Vue.use(VueRouter)` before creating root instance."),this.apps.push(e),e.$once("hook:destroyed",(function(){var t=n.apps.indexOf(e);t>-1&&n.apps.splice(t,1),n.app===e&&(n.app=n.apps[0]||null),n.app||n.history.teardownListeners()})),!this.app){this.app=e;var i=this.history;if(i instanceof Nt||i instanceof jt){var r=function(t){i.setupListeners(),function(t){var e=i.current,r=n.options.scrollBehavior;vt&&r&&"fullPath"in t&&st(n,t,e,!1)}(t)};i.transitionTo(i.getCurrentLocation(),r,r)}i.listen((function(t){n.apps.forEach((function(e){e._route=t}))}))}},Ut.prototype.beforeEach=function(t){return Yt(this.beforeHooks,t)},Ut.prototype.beforeResolve=function(t){return Yt(this.resolveHooks,t)},Ut.prototype.afterEach=function(t){return Yt(this.afterHooks,t)},Ut.prototype.onReady=function(t,e){this.history.onReady(t,e)},Ut.prototype.onError=function(t){this.history.onError(t)},Ut.prototype.push=function(t,e,n){var i=this;if(!e&&!n&&"undefined"!=typeof Promise)return new Promise((function(e,n){i.history.push(t,e,n)}));this.history.push(t,e,n)},Ut.prototype.replace=function(t,e,n){var i=this;if(!e&&!n&&"undefined"!=typeof Promise)return new Promise((function(e,n){i.history.replace(t,e,n)}));this.history.replace(t,e,n)},Ut.prototype.go=function(t){this.history.go(t)},Ut.prototype.back=function(){this.go(-1)},Ut.prototype.forward=function(){this.go(1)},Ut.prototype.getMatchedComponents=function(t){var e=t?t.matched?t:this.resolve(t).route:this.currentRoute;return e?[].concat.apply([],e.matched.map((function(t){return Object.keys(t.components).map((function(e){return t.components[e]}))}))):[]},Ut.prototype.resolve=function(t,e,n){var i=B(t,e=e||this.history.current,n,this),r=this.match(i,e),o=r.redirectedFrom||r.fullPath,a=function(t,e,n){var i="hash"===n?"#"+e:e;return t?x(t+"/"+i):i}(this.history.base,o,this.mode);return{location:i,route:r,href:a,normalizedTo:i,resolved:r}},Ut.prototype.addRoutes=function(t){this.matcher.addRoutes(t),this.history.current!==v&&this.history.transitionTo(this.history.getCurrentLocation())},Object.defineProperties(Ut.prototype,Wt),Ut.install=Y,Ut.version="3.4.3",Ut.isNavigationFailure=Mt,Ut.NavigationFailureType=bt,Q&&window.Vue&&window.Vue.use(Ut),Ut})),function(t,e){"object"==typeof exports&&"object"==typeof module?module.exports=e():"function"==typeof define&&define.amd?define([],e):"object"==typeof exports?exports.VueQrcodeReader=e():t.VueQrcodeReader=e()}("undefined"!=typeof self?self:this,(function(){return function(t){var e={};function n(i){if(e[i])return e[i].exports;var r=e[i]={i:i,l:!1,exports:{}};return t[i].call(r.exports,r,r.exports,n),r.l=!0,r.exports}return n.m=t,n.c=e,n.d=function(t,e,i){n.o(t,e)||Object.defineProperty(t,e,{enumerable:!0,get:i})},n.r=function(t){"undefined"!=typeof Symbol&&Symbol.toStringTag&&Object.defineProperty(t,Symbol.toStringTag,{value:"Module"}),Object.defineProperty(t,"__esModule",{value:!0})},n.t=function(t,e){if(1&e&&(t=n(t)),8&e)return t;if(4&e&&"object"==typeof t&&t&&t.__esModule)return t;var i=Object.create(null);if(n.r(i),Object.defineProperty(i,"default",{enumerable:!0,value:t}),2&e&&"string"!=typeof t)for(var r in t)n.d(i,r,function(e){return t[e]}.bind(null,r));return i},n.n=function(t){var e=t&&t.__esModule?function(){return t.default}:function(){return t};return n.d(e,"a",e),e},n.o=function(t,e){return Object.prototype.hasOwnProperty.call(t,e)},n.p="",n(n.s="fb15")}({"00ee":function(t,e,n){var i={};i[n("b622")("toStringTag")]="z",t.exports="[object z]"===String(i)},"0366":function(t,e,n){var i=n("1c0b");t.exports=function(t,e,n){if(i(t),void 0===e)return t;switch(n){case 0:return function(){return t.call(e)};case 1:return function(n){return t.call(e,n)};case 2:return function(n,i){return t.call(e,n,i)};case 3:return function(n,i,r){return t.call(e,n,i,r)}}return function(){return t.apply(e,arguments)}}},"0538":function(t,e,n){"use strict";var i=n("1c0b"),r=n("861d"),o=[].slice,a={};t.exports=Function.bind||function(t){var e=i(this),n=o.call(arguments,1),s=function(){var i=n.concat(o.call(arguments));return this instanceof s?function(t,e,n){if(!(e in a)){for(var i=[],r=0;r<e;r++)i[r]="a["+r+"]";a[e]=Function("C,a","return new C("+i.join(",")+")")}return a[e](t,n)}(e,i.length,i):e.apply(t,i)};return r(e.prototype)&&(s.prototype=e.prototype),s}},"057f":function(t,e,n){var i=n("fc6a"),r=n("241c").f,o={}.toString,a="object"==typeof window&&window&&Object.getOwnPropertyNames?Object.getOwnPropertyNames(window):[];t.exports.f=function(t){return a&&"[object Window]"==o.call(t)?function(t){try{return r(t)}catch(t){return a.slice()}}(t):r(i(t))}},"06c5":function(t,e,n){"use strict";n.d(e,"a",(function(){return r}));n("a630"),n("fb6a"),n("b0c0"),n("d3b7"),n("25f0"),n("3ca3");var i=n("6b75");function r(t,e){if(t){if("string"==typeof t)return Object(i.a)(t,e);var n=Object.prototype.toString.call(t).slice(8,-1);return"Object"===n&&t.constructor&&(n=t.constructor.name),"Map"===n||"Set"===n?Array.from(t):"Arguments"===n||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)?Object(i.a)(t,e):void 0}}},"06cf":function(t,e,n){var i=n("83ab"),r=n("d1e7"),o=n("5c6c"),a=n("fc6a"),s=n("c04e"),l=n("5135"),u=n("0cfb"),c=Object.getOwnPropertyDescriptor;e.f=i?c:function(t,e){if(t=a(t),e=s(e,!0),u)try{return c(t,e)}catch(t){}if(l(t,e))return o(!r.f.call(t,e),t[e])}},"0cfb":function(t,e,n){var i=n("83ab"),r=n("d039"),o=n("cc12");t.exports=!i&&!r((function(){return 7!=Object.defineProperty(o("div"),"a",{get:function(){return 7}}).a}))},"0d0e":function(t,e,n){"use strict";n("caad"),n("d3b7"),n("e6cf"),n("96cf");var i=n("1da1"),r=n("a180");n("4de4"),n("4160"),n("e260"),n("3ca3"),n("159b"),n("ddb0"),n("2b3d"),n("a4d3"),n("e439"),n("dbb4"),n("b64b");function o(t,e,n){return e in t?Object.defineProperty(t,e,{value:n,enumerable:!0,configurable:!0,writable:!0}):t[e]=n,t}function a(t,e){var n=Object.keys(t);if(Object.getOwnPropertySymbols){var i=Object.getOwnPropertySymbols(t);e&&(i=i.filter((function(e){return Object.getOwnPropertyDescriptor(t,e).enumerable}))),n.push.apply(n,i)}return n}function s(t){for(var e=1;e<arguments.length;e++){var n=null!=arguments[e]?arguments[e]:{};e%2?a(Object(n),!0).forEach((function(e){o(t,e,n[e])})):Object.getOwnPropertyDescriptors?Object.defineProperties(t,Object.getOwnPropertyDescriptors(n)):a(Object(n)).forEach((function(e){Object.defineProperty(t,e,Object.getOwnPropertyDescriptor(n,e))}))}return t}n("e01a"),n("d28b");var l=n("06c5");function u(t,e){return function(t){if(Array.isArray(t))return t}(t)||function(t,e){if("undefined"!=typeof Symbol&&Symbol.iterator in Object(t)){var n=[],i=!0,r=!1,o=void 0;try{for(var a,s=t[Symbol.iterator]();!(i=(a=s.next()).done)&&(n.push(a.value),!e||n.length!==e);i=!0);}catch(t){r=!0,o=t}finally{try{i||null==s.return||s.return()}finally{if(r)throw o}}return n}}(t,e)||Object(l.a)(t,e)||function(){throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}()}var c=n("d4ec");function d(t,e){for(var n=0;n<e.length;n++){var i=e[n];i.enumerable=i.enumerable||!1,i.configurable=!0,"value"in i&&(i.writable=!0),Object.defineProperty(t,i.key,i)}}var h=n("1cc0"),f=n("f718"),p=n("c036"),m=(n("99af"),n("7db0"),n("fb6a"),n("45fc"),n("b0c0"),n("2532"),n("53ca")),v=(n("13d5"),n("4ec9"),n("cca6"),n("ac1f"),n("25f0"),n("8a79"),n("466d"),!0),g=!0;function _(t,e,n){var i=t.match(e);return i&&i.length>=n&&parseInt(i[n],10)}function y(t,e){g&&console.warn(t+" is deprecated, please use "+e+" instead.")}function b(t){var e={browser:null,version:null};if(void 0===t||!t.navigator)return e.browser="Not a browser.",e;var n=t.navigator;if(n.mozGetUserMedia)e.browser="firefox",e.version=_(n.userAgent,/Firefox\/(\d+)\./,1);else if(n.webkitGetUserMedia||!1===t.isSecureContext&&t.webkitRTCPeerConnection&&!t.RTCIceGatherer)e.browser="chrome",e.version=_(n.userAgent,/Chrom(e|ium)\/(\d+)\./,2);else if(n.mediaDevices&&n.userAgent.match(/Edge\/(\d+).(\d+)$/))e.browser="edge",e.version=_(n.userAgent,/Edge\/(\d+).(\d+)$/,2);else{if(!t.RTCPeerConnection||!n.userAgent.match(/AppleWebKit\/(\d+)\./))return e.browser="Not a supported browser.",e;e.browser="safari",e.version=_(n.userAgent,/AppleWebKit\/(\d+)\./,1),e.supportsUnifiedPlan=t.RTCRtpTransceiver&&"currentDirection"in t.RTCRtpTransceiver.prototype}return e}function w(t){return"[object Object]"===Object.prototype.toString.call(t)}function x(t){return w(t)?Object.keys(t).reduce((function(e,n){var i=w(t[n]),r=i?x(t[n]):t[n],a=i&&!Object.keys(r).length;return void 0===r||a?e:Object.assign(e,o({},n,r))}),{}):t}var k=function(){if("object"===("undefined"==typeof window?"undefined":Object(m.a)(window))){if(v)return;"undefined"!=typeof console&&"function"==typeof console.log&&console.log.apply(console,arguments)}};n("c975"),n("a434");function S(t){var e=t&&t.navigator;if(e.mediaDevices&&e.mediaDevices.getUserMedia){var n=e.mediaDevices,i=n.getUserMedia.bind(n);e.mediaDevices.getUserMedia=function(t){return i(function(t){if(t&&void 0!==t.video)return Object.assign({},t,{video:x(t.video)});return t}(t))}}!e.getUserMedia&&e.mediaDevices&&e.mediaDevices.getUserMedia&&(e.getUserMedia=function(t,n,i){e.mediaDevices.getUserMedia(t).then(n,i)}.bind(e))}var C,M,T,O=(C=function(){switch(b(window).browser){case"chrome":!function(t){var e=t&&t.navigator;if(e.mediaDevices){var n=b(t),i=function(t){if("object"!==Object(m.a)(t)||t.mandatory||t.optional)return t;var e={};return Object.keys(t).forEach((function(n){if("require"!==n&&"advanced"!==n&&"mediaSource"!==n){var i="object"===Object(m.a)(t[n])?t[n]:{ideal:t[n]};void 0!==i.exact&&"number"==typeof i.exact&&(i.min=i.max=i.exact);var r=function(t,e){return t?t+e.charAt(0).toUpperCase()+e.slice(1):"deviceId"===e?"sourceId":e};if(void 0!==i.ideal){e.optional=e.optional||[];var o={};"number"==typeof i.ideal?(o[r("min",n)]=i.ideal,e.optional.push(o),(o={})[r("max",n)]=i.ideal,e.optional.push(o)):(o[r("",n)]=i.ideal,e.optional.push(o))}void 0!==i.exact&&"number"!=typeof i.exact?(e.mandatory=e.mandatory||{},e.mandatory[r("",n)]=i.exact):["min","max"].forEach((function(t){void 0!==i[t]&&(e.mandatory=e.mandatory||{},e.mandatory[r(t,n)]=i[t])}))}})),t.advanced&&(e.optional=(e.optional||[]).concat(t.advanced)),e},r=function(t,r){if(n.version>=61)return r(t);if((t=JSON.parse(JSON.stringify(t)))&&"object"===Object(m.a)(t.audio)){var o=function(t,e,n){e in t&&!(n in t)&&(t[n]=t[e],delete t[e])};o((t=JSON.parse(JSON.stringify(t))).audio,"autoGainControl","googAutoGainControl"),o(t.audio,"noiseSuppression","googNoiseSuppression"),t.audio=i(t.audio)}if(t&&"object"===Object(m.a)(t.video)){var a=t.video.facingMode;a=a&&("object"===Object(m.a)(a)?a:{ideal:a});var s,l=n.version<66;if(a&&("user"===a.exact||"environment"===a.exact||"user"===a.ideal||"environment"===a.ideal)&&(!e.mediaDevices.getSupportedConstraints||!e.mediaDevices.getSupportedConstraints().facingMode||l)&&(delete t.video.facingMode,"environment"===a.exact||"environment"===a.ideal?s=["back","rear"]:"user"!==a.exact&&"user"!==a.ideal||(s=["front"]),s))return e.mediaDevices.enumerateDevices().then((function(e){var n=(e=e.filter((function(t){return"videoinput"===t.kind}))).find((function(t){return s.some((function(e){return t.label.toLowerCase().includes(e)}))}));return!n&&e.length&&s.includes("back")&&(n=e[e.length-1]),n&&(t.video.deviceId=a.exact?{exact:n.deviceId}:{ideal:n.deviceId}),t.video=i(t.video),k("chrome: "+JSON.stringify(t)),r(t)}));t.video=i(t.video)}return k("chrome: "+JSON.stringify(t)),r(t)},o=function(t){return n.version>=64?t:{name:{PermissionDeniedError:"NotAllowedError",PermissionDismissedError:"NotAllowedError",InvalidStateError:"NotAllowedError",DevicesNotFoundError:"NotFoundError",ConstraintNotSatisfiedError:"OverconstrainedError",TrackStartError:"NotReadableError",MediaDeviceFailedDueToShutdown:"NotAllowedError",MediaDeviceKillSwitchOn:"NotAllowedError",TabCaptureError:"AbortError",ScreenCaptureError:"AbortError",DeviceCaptureError:"AbortError"}[t.name]||t.name,message:t.message,constraint:t.constraint||t.constraintName,toString:function(){return this.name+(this.message&&": ")+this.message}}};if(e.getUserMedia=function(t,n,i){r(t,(function(t){e.webkitGetUserMedia(t,n,(function(t){i&&i(o(t))}))}))}.bind(e),e.mediaDevices.getUserMedia){var a=e.mediaDevices.getUserMedia.bind(e.mediaDevices);e.mediaDevices.getUserMedia=function(t){return r(t,(function(t){return a(t).then((function(e){if(t.audio&&!e.getAudioTracks().length||t.video&&!e.getVideoTracks().length)throw e.getTracks().forEach((function(t){t.stop()})),new DOMException("","NotFoundError");return e}),(function(t){return Promise.reject(o(t))}))}))}}}}(window);break;case"firefox":!function(t){var e=b(t),n=t&&t.navigator,i=t&&t.MediaStreamTrack;if(n.getUserMedia=function(t,e,i){y("navigator.getUserMedia","navigator.mediaDevices.getUserMedia"),n.mediaDevices.getUserMedia(t).then(e,i)},!(e.version>55&&"autoGainControl"in n.mediaDevices.getSupportedConstraints())){var r=function(t,e,n){e in t&&!(n in t)&&(t[n]=t[e],delete t[e])},o=n.mediaDevices.getUserMedia.bind(n.mediaDevices);if(n.mediaDevices.getUserMedia=function(t){return"object"===Object(m.a)(t)&&"object"===Object(m.a)(t.audio)&&(t=JSON.parse(JSON.stringify(t)),r(t.audio,"autoGainControl","mozAutoGainControl"),r(t.audio,"noiseSuppression","mozNoiseSuppression")),o(t)},i&&i.prototype.getSettings){var a=i.prototype.getSettings;i.prototype.getSettings=function(){var t=a.apply(this,arguments);return r(t,"mozAutoGainControl","autoGainControl"),r(t,"mozNoiseSuppression","noiseSuppression"),t}}if(i&&i.prototype.applyConstraints){var s=i.prototype.applyConstraints;i.prototype.applyConstraints=function(t){return"audio"===this.kind&&"object"===Object(m.a)(t)&&(t=JSON.parse(JSON.stringify(t)),r(t,"autoGainControl","mozAutoGainControl"),r(t,"noiseSuppression","mozNoiseSuppression")),s.apply(this,[t])}}}}(window);break;case"edge":!function(t){var e=t&&t.navigator,n=e.mediaDevices.getUserMedia.bind(e.mediaDevices);e.mediaDevices.getUserMedia=function(t){return n(t).catch((function(t){return Promise.reject(function(t){return{name:{PermissionDeniedError:"NotAllowedError"}[t.name]||t.name,message:t.message,constraint:t.constraint,toString:function(){return this.name}}}(t))}))}}(window);break;case"safari":S(window);break;default:throw new h.d}},M=!1,T=void 0,function(){return M||(T=C.apply(void 0,arguments),M=!0),T}),A=function(){function t(e,n){Object(c.a)(this,t),this.videoEl=e,this.stream=n}var e,n,i;return e=t,(n=[{key:"stop",value:function(){var t=this;this.videoEl.srcObject=null,this.stream.getTracks().forEach((function(e){t.stream.removeTrack(e),e.stop()}))}},{key:"captureFrame",value:function(){return Object(f.c)(this.videoEl)}},{key:"getCapabilities",value:function(){var t,e,n=u(this.stream.getVideoTracks(),1)[0];return null!==(t=null==n||null===(e=n.getCapabilities)||void 0===e?void 0:e.call(n))&&void 0!==t?t:{}}}])&&d(e.prototype,n),i&&d(e,i),t}(),E=function(){var t=Object(i.a)(regeneratorRuntime.mark((function t(e){var n,i,r;return regeneratorRuntime.wrap((function(t){for(;;)switch(t.prev=t.next){case 0:return t.next=2,navigator.mediaDevices.enumerateDevices();case 2:if(!((n=t.sent.filter((function(t){return"videoinput"===t.kind}))).length>2)){t.next=15;break}i=n[0],r=n[n.length-1],t.t0=e,t.next="auto"===t.t0?9:"rear"===t.t0?10:"front"===t.t0?11:12;break;case 9:case 10:return t.abrupt("return",{deviceId:{exact:r.deviceId}});case 11:return t.abrupt("return",{deviceId:{exact:i.deviceId}});case 12:case 21:return t.abrupt("return",void 0);case 13:t.next=22;break;case 15:t.t1=e,t.next="auto"===t.t1?18:"rear"===t.t1?19:"front"===t.t1?20:21;break;case 18:return t.abrupt("return",{facingMode:{ideal:"environment"}});case 19:return t.abrupt("return",{facingMode:{exact:"environment"}});case 20:return t.abrupt("return",{facingMode:{exact:"user"}});case 22:case"end":return t.stop()}}),t)})));return function(e){return t.apply(this,arguments)}}(),q=function(t,e){return L.apply(this,arguments)};function L(){return(L=Object(i.a)(regeneratorRuntime.mark((function t(e,n){var i,r,o,a,l,c,d,f,m;return regeneratorRuntime.wrap((function(t){for(;;)switch(t.prev=t.next){case 0:if(o=n.camera,a=n.torch,!0===window.isSecureContext){t.next=3;break}throw new h.c;case 3:if(void 0!==(null===(i=navigator)||void 0===i||null===(r=i.mediaDevices)||void 0===r?void 0:r.getUserMedia)){t.next=5;break}throw new h.d;case 5:return t.next=7,O();case 7:return t.t0=s,t.t1={width:{min:360,ideal:640,max:1920},height:{min:240,ideal:480,max:1080}},t.next=11,E(o);case 11:return t.t2=t.sent,t.t3=(0,t.t0)(t.t1,t.t2),l={audio:!1,video:t.t3},t.next=16,navigator.mediaDevices.getUserMedia(l);case 16:return c=t.sent,void 0!==e.srcObject?e.srcObject=c:void 0!==e.mozSrcObject?e.mozSrcObject=c:window.URL.createObjectURL?e.src=window.URL.createObjectURL(c):window.webkitURL?e.src=window.webkitURL.createObjectURL(c):e.src=c,t.next=20,Object(p.a)(e,"loadeddata");case 20:return t.next=22,Object(p.b)(500);case 22:return a&&(d=c.getVideoTracks(),f=u(d,1),m=f[0],m.getCapabilities().torch?m.applyConstraints({advanced:[{torch:!0}]}):console.warn("device does not support torch capability")),t.abrupt("return",new A(e,c));case 24:case"end":return t.stop()}}),t)})))).apply(this,arguments)}var D=n("b3af"),P=n("3c85"),R={name:"qrcode-stream",mixins:[D.a],props:{camera:{type:String,default:"auto",validator:function(t){return["auto","rear","front","off"].includes(t)}},torch:{type:Boolean,default:!1},track:{type:[Function,Boolean],default:!0},worker:{type:Function,default:P.a}},data:function(){return{cameraInstance:null,destroyed:!1,stopScanning:function(){}}},computed:{shouldStream:function(){return!1===this.destroyed&&"off"!==this.camera},shouldScan:function(){return!0===this.shouldStream&&null!==this.cameraInstance},scanInterval:function(){return!1===this.track?500:40},trackRepaintFunction:function(){return!0===this.track?(t={color:"#ff0000"}.color,function(e,n){var i=e.topLeftCorner,r=e.topRightCorner,o=e.bottomLeftCorner,a=e.bottomRightCorner;n.strokeStyle=t,n.beginPath(),n.moveTo(i.x,i.y),n.lineTo(o.x,o.y),n.lineTo(a.x,a.y),n.lineTo(r.x,r.y),n.lineTo(i.x,i.y),n.closePath(),n.stroke()}):!1===this.track?void 0:this.track;var t}},watch:{shouldStream:function(t){if(!t){var e=this.cameraInstance.captureFrame();this.paintPauseFrame(e)}},shouldScan:function(t){t?(this.clearPauseFrame(),this.clearTrackingLayer(),this.startScanning()):this.stopScanning()},torch:function(){this.init()},camera:function(){this.init()}},mounted:function(){this.init()},beforeDestroy:function(){this.beforeResetCamera(),this.stopScanning(),this.destroyed=!0},methods:{init:function(){var t=this,e=Object(i.a)(regeneratorRuntime.mark((function e(){var n;return regeneratorRuntime.wrap((function(e){for(;;)switch(e.prev=e.next){case 0:if(t.beforeResetCamera(),"off"!==t.camera){e.next=6;break}return t.cameraInstance=null,e.abrupt("return",{capabilities:{}});case 6:return e.next=8,q(t.$refs.video,{camera:t.camera,torch:t.torch});case 8:return t.cameraInstance=e.sent,n=t.cameraInstance.getCapabilities(),t.destroyed&&t.cameraInstance.stop(),e.abrupt("return",{capabilities:n});case 12:case"end":return e.stop()}}),e)})))();this.$emit("init",e)},startScanning:function(){var t=this;this.stopScanning=Object(r.a)(this.worker,this.cameraInstance,{detectHandler:function(e){t.onDetect(Promise.resolve(e))},locateHandler:this.onLocate,minDelay:this.scanInterval})},beforeResetCamera:function(){null!==this.cameraInstance&&(this.cameraInstance.stop(),this.cameraInstance=null)},onLocate:function(t){void 0===this.trackRepaintFunction||null===t?this.clearTrackingLayer():this.repaintTrackingLayer(t)},repaintTrackingLayer:function(t){var e=this,n=this.$refs.video,i=this.$refs.trackingLayer,r=i.getContext("2d"),o=n.offsetWidth,a=n.offsetHeight,s=n.videoWidth,l=n.videoHeight,u=Math.max(o/s,a/l),c=s*u,d=l*u,h=c/s,f=d/l,p=(o-c)/2,m=(a-d)/2,v={};for(var g in t)v[g]={x:Math.floor(t[g].x*h+p),y:Math.floor(t[g].y*f+m)};window.requestAnimationFrame((function(){i.width=o,i.height=a,e.trackRepaintFunction(v,r)}))},clearTrackingLayer:function(){var t=this.$refs.trackingLayer,e=t.getContext("2d");window.requestAnimationFrame((function(){e.clearRect(0,0,t.width,t.height)}))},paintPauseFrame:function(t){var e=this.$refs.pauseFrame,n=e.getContext("2d");window.requestAnimationFrame((function(){e.width=t.width,e.height=t.height,n.putImageData(t,0,0)}))},clearPauseFrame:function(){var t=this.$refs.pauseFrame,e=t.getContext("2d");window.requestAnimationFrame((function(){e.clearRect(0,0,t.width,t.height)}))}}},N=R,I=(n("c244"),n("2877")),j=Object(I.a)(N,(function(){var t=this,e=t.$createElement,n=t._self._c||e;return n("div",{staticClass:"qrcode-stream-wrapper"},[n("video",{directives:[{name:"show",rawName:"v-show",value:t.shouldScan,expression:"shouldScan"}],ref:"video",staticClass:"qrcode-stream-camera",attrs:{autoplay:"",muted:"",playsinline:""},domProps:{muted:!0}}),n("canvas",{directives:[{name:"show",rawName:"v-show",value:!t.shouldScan,expression:"!shouldScan"}],ref:"pauseFrame",staticClass:"qrcode-stream-camera"}),n("canvas",{ref:"trackingLayer",staticClass:"qrcode-stream-overlay"}),n("div",{staticClass:"qrcode-stream-overlay"},[t._t("default")],2)])}),[],!1,null,"7a81005d",null);e.a=j.exports},"0d3b":function(t,e,n){var i=n("d039"),r=n("b622"),o=n("c430"),a=r("iterator");t.exports=!i((function(){var t=new URL("b?a=1&b=2&c=3","http://a"),e=t.searchParams,n="";return t.pathname="c%20d",e.forEach((function(t,i){e.delete("b"),n+=i+t})),o&&!t.toJSON||!e.sort||"http://a/c%20d?a=1&c=3"!==t.href||"3"!==e.get("c")||"a=1"!==String(new URLSearchParams("?a=1"))||!e[a]||"a"!==new URL("https://a@b").username||"b"!==new URLSearchParams(new URLSearchParams("a=b")).get("a")||"xn--e1aybc"!==new URL("http://тест").host||"#%D0%B1"!==new URL("http://a#б").hash||"a1c3"!==n||"x"!==new URL("http://x",void 0).host}))},"131a":function(t,e,n){n("23e7")({target:"Object",stat:!0},{setPrototypeOf:n("d2bb")})},"13d5":function(t,e,n){"use strict";var i=n("23e7"),r=n("d58f").left,o=n("a640"),a=n("ae40"),s=o("reduce"),l=a("reduce",{1:0});i({target:"Array",proto:!0,forced:!s||!l},{reduce:function(t){return r(this,t,arguments.length,arguments.length>1?arguments[1]:void 0)}})},"14c3":function(t,e,n){var i=n("c6b6"),r=n("9263");t.exports=function(t,e){var n=t.exec;if("function"==typeof n){var o=n.call(t,e);if("object"!=typeof o)throw TypeError("RegExp exec method returned something other than an Object or null");return o}if("RegExp"!==i(t))throw TypeError("RegExp#exec called on incompatible receiver");return r.call(t,e)}},"159b":function(t,e,n){var i=n("da84"),r=n("fdbc"),o=n("17c2"),a=n("9112");for(var s in r){var l=i[s],u=l&&l.prototype;if(u&&u.forEach!==o)try{a(u,"forEach",o)}catch(t){u.forEach=o}}},"17c2":function(t,e,n){"use strict";var i=n("b727").forEach,r=n("a640"),o=n("ae40"),a=r("forEach"),s=o("forEach");t.exports=a&&s?[].forEach:function(t){return i(this,t,arguments.length>1?arguments[1]:void 0)}},"19aa":function(t,e){t.exports=function(t,e,n){if(!(t instanceof e))throw TypeError("Incorrect "+(n?n+" ":"")+"invocation");return t}},"1be4":function(t,e,n){var i=n("d066");t.exports=i("document","documentElement")},"1c0b":function(t,e){t.exports=function(t){if("function"!=typeof t)throw TypeError(String(t)+" is not a function");return t}},"1c7e":function(t,e,n){var i=n("b622")("iterator"),r=!1;try{var o=0,a={next:function(){return{done:!!o++}},return:function(){r=!0}};a[i]=function(){return this},Array.from(a,(function(){throw 2}))}catch(t){}t.exports=function(t,e){if(!e&&!r)return!1;var n=!1;try{var o={};o[i]=function(){return{next:function(){return{done:n=!0}}}},t(o)}catch(t){}return n}},"1cc0":function(t,e,n){"use strict";n.d(e,"b",(function(){return f})),n.d(e,"a",(function(){return p})),n.d(e,"d",(function(){return m})),n.d(e,"c",(function(){return v}));n("b0c0");var i=n("d4ec");n("131a");function r(t,e){return r=Object.setPrototypeOf||function(t,e){return t.__proto__=e,t},r(t,e)}function o(t,e){if("function"!=typeof e&&null!==e)throw new TypeError("Super expression must either be null or a function");t.prototype=Object.create(e&&e.prototype,{constructor:{value:t,writable:!0,configurable:!0}}),e&&r(t,e)}n("4ae1"),n("3410");function a(t){return a=Object.setPrototypeOf?Object.getPrototypeOf:function(t){return t.__proto__||Object.getPrototypeOf(t)},a(t)}n("d3b7"),n("25f0");function s(){if("undefined"==typeof Reflect||!Reflect.construct)return!1;if(Reflect.construct.sham)return!1;if("function"==typeof Proxy)return!0;try{return Date.prototype.toString.call(Reflect.construct(Date,[],(function(){}))),!0}catch(t){return!1}}var l=n("53ca");function u(t,e){return!e||"object"!==Object(l.a)(e)&&"function"!=typeof e?function(t){if(void 0===t)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return t}(t):e}function c(t){var e=s();return function(){var n,i=a(t);if(e){var r=a(this).constructor;n=Reflect.construct(i,arguments,r)}else n=i.apply(this,arguments);return u(this,n)}}n("e260"),n("4ec9"),n("3ca3"),n("ddb0"),n("c975");function d(t,e,n){return d=s()?Reflect.construct:function(t,e,n){var i=[null];i.push.apply(i,e);var o=new(Function.bind.apply(t,i));return n&&r(o,n.prototype),o},d.apply(null,arguments)}function h(t){var e="function"==typeof Map?new Map:void 0;return h=function(t){if(null===t||(n=t,-1===Function.toString.call(n).indexOf("[native code]")))return t;var n;if("function"!=typeof t)throw new TypeError("Super expression must either be null or a function");if(void 0!==e){if(e.has(t))return e.get(t);e.set(t,i)}function i(){return d(t,arguments,a(this).constructor)}return i.prototype=Object.create(t.prototype,{constructor:{value:i,enumerable:!1,writable:!0,configurable:!0}}),r(i,t)},h(t)}var f=function(t){o(n,t);var e=c(n);function n(){var t;return Object(i.a)(this,n),(t=e.call(this,"can't process cross-origin image")).name="DropImageFetchError",t}return n}(h(Error)),p=function(t){o(n,t);var e=c(n);function n(){var t;return Object(i.a)(this,n),(t=e.call(this,"drag-and-dropped file is not of type image and can't be decoded")).name="DropImageDecodeError",t}return n}(h(Error)),m=function(t){o(n,t);var e=c(n);function n(){var t;return Object(i.a)(this,n),(t=e.call(this,"this browser has no Stream API support")).name="StreamApiNotSupportedError",t}return n}(h(Error)),v=function(t){o(n,t);var e=c(n);function n(){var t;return Object(i.a)(this,n),(t=e.call(this,"camera access is only permitted in secure context. Use HTTPS or localhost rather than HTTP.")).name="InsecureContextError",t}return n}(h(Error))},"1cdc":function(t,e,n){var i=n("342f");t.exports=/(iphone|ipod|ipad).*applewebkit/i.test(i)},"1d80":function(t,e){t.exports=function(t){if(null==t)throw TypeError("Can't call method on "+t);return t}},"1da1":function(t,e,n){"use strict";n.d(e,"a",(function(){return r}));n("d3b7"),n("e6cf");function i(t,e,n,i,r,o,a){try{var s=t[o](a),l=s.value}catch(t){return void n(t)}s.done?e(l):Promise.resolve(l).then(i,r)}function r(t){return function(){var e=this,n=arguments;return new Promise((function(r,o){var a=t.apply(e,n);function s(t){i(a,r,o,s,l,"next",t)}function l(t){i(a,r,o,s,l,"throw",t)}s(void 0)}))}}},"1dde":function(t,e,n){var i=n("d039"),r=n("b622"),o=n("2d00"),a=r("species");t.exports=function(t){return o>=51||!i((function(){var e=[];return(e.constructor={})[a]=function(){return{foo:1}},1!==e[t](Boolean).foo}))}},2266:function(t,e,n){var i=n("825a"),r=n("e95a"),o=n("50c4"),a=n("0366"),s=n("35a1"),l=n("9bdd"),u=function(t,e){this.stopped=t,this.result=e};(t.exports=function(t,e,n,c,d){var h,f,p,m,v,g,_,y=a(e,n,c?2:1);if(d)h=t;else{if("function"!=typeof(f=s(t)))throw TypeError("Target is not iterable");if(r(f)){for(p=0,m=o(t.length);m>p;p++)if((v=c?y(i(_=t[p])[0],_[1]):y(t[p]))&&v instanceof u)return v;return new u(!1)}h=f.call(t)}for(g=h.next;!(_=g.call(h)).done;)if("object"==typeof(v=l(h,y,_.value,c))&&v&&v instanceof u)return v;return new u(!1)}).stop=function(t){return new u(!0,t)}},"23cb":function(t,e,n){var i=n("a691"),r=Math.max,o=Math.min;t.exports=function(t,e){var n=i(t);return n<0?r(n+e,0):o(n,e)}},"23e7":function(t,e,n){var i=n("da84"),r=n("06cf").f,o=n("9112"),a=n("6eeb"),s=n("ce4e"),l=n("e893"),u=n("94ca");t.exports=function(t,e){var n,c,d,h,f,p=t.target,m=t.global,v=t.stat;if(n=m?i:v?i[p]||s(p,{}):(i[p]||{}).prototype)for(c in e){if(h=e[c],d=t.noTargetGet?(f=r(n,c))&&f.value:n[c],!u(m?c:p+(v?".":"#")+c,t.forced)&&void 0!==d){if(typeof h==typeof d)continue;l(h,d)}(t.sham||d&&d.sham)&&o(h,"sham",!0),a(n,c,h,t)}}},"241c":function(t,e,n){var i=n("ca84"),r=n("7839").concat("length","prototype");e.f=Object.getOwnPropertyNames||function(t){return i(t,r)}},2493:function(t,e,n){var i=n("ede3");"string"==typeof i&&(i=[[t.i,i,""]]),i.locals&&(t.exports=i.locals);(0,n("499e").default)("4c9ea657",i,!0,{sourceMap:!1,shadowMode:!1})},"24fb":function(t,e,n){"use strict";t.exports=function(t){var e=[];return e.toString=function(){return this.map((function(e){var n=function(t,e){var n=t[1]||"",i=t[3];if(!i)return n;if(e&&"function"==typeof btoa){var r=(a=i,s=btoa(unescape(encodeURIComponent(JSON.stringify(a)))),l="sourceMappingURL=data:application/json;charset=utf-8;base64,".concat(s),"/*# ".concat(l," */")),o=i.sources.map((function(t){return"/*# sourceURL=".concat(i.sourceRoot||"").concat(t," */")}));return[n].concat(o).concat([r]).join("\n")}var a,s,l;return[n].join("\n")}(e,t);return e[2]?"@media ".concat(e[2]," {").concat(n,"}"):n})).join("")},e.i=function(t,n,i){"string"==typeof t&&(t=[[null,t,""]]);var r={};if(i)for(var o=0;o<this.length;o++){var a=this[o][0];null!=a&&(r[a]=!0)}for(var s=0;s<t.length;s++){var l=[].concat(t[s]);i&&r[l[0]]||(n&&(l[2]?l[2]="".concat(n," and ").concat(l[2]):l[2]=n),e.push(l))}},e}},2532:function(t,e,n){"use strict";var i=n("23e7"),r=n("5a34"),o=n("1d80");i({target:"String",proto:!0,forced:!n("ab13")("includes")},{includes:function(t){return!!~String(o(this)).indexOf(r(t),arguments.length>1?arguments[1]:void 0)}})},"25f0":function(t,e,n){"use strict";var i=n("6eeb"),r=n("825a"),o=n("d039"),a=n("ad6d"),s="toString",l=RegExp.prototype,u=l[s],c=o((function(){return"/a/b"!=u.call({source:"a",flags:"b"})})),d=u.name!=s;(c||d)&&i(RegExp.prototype,s,(function(){var t=r(this),e=String(t.source),n=t.flags;return"/"+e+"/"+String(void 0===n&&t instanceof RegExp&&!("flags"in l)?a.call(t):n)}),{unsafe:!0})},2626:function(t,e,n){"use strict";var i=n("d066"),r=n("9bf2"),o=n("b622"),a=n("83ab"),s=o("species");t.exports=function(t){var e=i(t),n=r.f;a&&e&&!e[s]&&n(e,s,{configurable:!0,get:function(){return this}})}},2877:function(t,e,n){"use strict";function i(t,e,n,i,r,o,a,s){var l,u="function"==typeof t?t.options:t;if(e&&(u.render=e,u.staticRenderFns=n,u._compiled=!0),i&&(u.functional=!0),o&&(u._scopeId="data-v-"+o),a?(l=function(t){(t=t||this.$vnode&&this.$vnode.ssrContext||this.parent&&this.parent.$vnode&&this.parent.$vnode.ssrContext)||"undefined"==typeof __VUE_SSR_CONTEXT__||(t=__VUE_SSR_CONTEXT__),r&&r.call(this,t),t&&t._registeredComponents&&t._registeredComponents.add(a)},u._ssrRegister=l):r&&(l=s?function(){r.call(this,(u.functional?this.parent:this).$root.$options.shadowRoot)}:r),l)if(u.functional){u._injectStyles=l;var c=u.render;u.render=function(t,e){return l.call(e),c(t,e)}}else{var d=u.beforeCreate;u.beforeCreate=d?[].concat(d,l):[l]}return{exports:t,options:u}}n.d(e,"a",(function(){return i}))},2909:function(t,e,n){"use strict";n.d(e,"a",(function(){return o}));var i=n("6b75");n("a4d3"),n("e01a"),n("d28b"),n("a630"),n("e260"),n("d3b7"),n("3ca3"),n("ddb0");var r=n("06c5");function o(t){return function(t){if(Array.isArray(t))return Object(i.a)(t)}(t)||function(t){if("undefined"!=typeof Symbol&&Symbol.iterator in Object(t))return Array.from(t)}(t)||Object(r.a)(t)||function(){throw new TypeError("Invalid attempt to spread non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}()}},"2b3d":function(t,e,n){"use strict";n("3ca3");var i,r=n("23e7"),o=n("83ab"),a=n("0d3b"),s=n("da84"),l=n("37e8"),u=n("6eeb"),c=n("19aa"),d=n("5135"),h=n("60da"),f=n("4df4"),p=n("6547").codeAt,m=n("5fb2"),v=n("d44e"),g=n("9861"),_=n("69f3"),y=s.URL,b=g.URLSearchParams,w=g.getState,x=_.set,k=_.getterFor("URL"),S=Math.floor,C=Math.pow,M="Invalid scheme",T="Invalid host",O="Invalid port",A=/[A-Za-z]/,E=/[\d+-.A-Za-z]/,q=/\d/,L=/^(0x|0X)/,D=/^[0-7]+$/,P=/^\d+$/,R=/^[\dA-Fa-f]+$/,N=/[\u0000\u0009\u000A\u000D #%/:?@[\\]]/,I=/[\u0000\u0009\u000A\u000D #/:?@[\\]]/,j=/^[\u0000-\u001F ]+|[\u0000-\u001F ]+$/g,$=/[\u0009\u000A\u000D]/g,F=function(t,e){var n,i,r;if("["==e.charAt(0)){if("]"!=e.charAt(e.length-1))return T;if(!(n=z(e.slice(1,-1))))return T;t.host=n}else if(K(t)){if(e=m(e),N.test(e))return T;if(null===(n=B(e)))return T;t.host=n}else{if(I.test(e))return T;for(n="",i=f(e),r=0;r<i.length;r++)n+=Q(i[r],H);t.host=n}},B=function(t){var e,n,i,r,o,a,s,l=t.split(".");if(l.length&&""==l[l.length-1]&&l.pop(),(e=l.length)>4)return t;for(n=[],i=0;i<e;i++){if(""==(r=l[i]))return t;if(o=10,r.length>1&&"0"==r.charAt(0)&&(o=L.test(r)?16:8,r=r.slice(8==o?1:2)),""===r)a=0;else{if(!(10==o?P:8==o?D:R).test(r))return t;a=parseInt(r,o)}n.push(a)}for(i=0;i<e;i++)if(a=n[i],i==e-1){if(a>=C(256,5-e))return null}else if(a>255)return null;for(s=n.pop(),i=0;i<n.length;i++)s+=n[i]*C(256,3-i);return s},z=function(t){var e,n,i,r,o,a,s,l=[0,0,0,0,0,0,0,0],u=0,c=null,d=0,h=function(){return t.charAt(d)};if(":"==h()){if(":"!=t.charAt(1))return;d+=2,c=++u}for(;h();){if(8==u)return;if(":"!=h()){for(e=n=0;n<4&&R.test(h());)e=16*e+parseInt(h(),16),d++,n++;if("."==h()){if(0==n)return;if(d-=n,u>6)return;for(i=0;h();){if(r=null,i>0){if(!("."==h()&&i<4))return;d++}if(!q.test(h()))return;for(;q.test(h());){if(o=parseInt(h(),10),null===r)r=o;else{if(0==r)return;r=10*r+o}if(r>255)return;d++}l[u]=256*l[u]+r,2!=++i&&4!=i||u++}if(4!=i)return;break}if(":"==h()){if(d++,!h())return}else if(h())return;l[u++]=e}else{if(null!==c)return;d++,c=++u}}if(null!==c)for(a=u-c,u=7;0!=u&&a>0;)s=l[u],l[u--]=l[c+a-1],l[c+--a]=s;else if(8!=u)return;return l},V=function(t){var e,n,i,r;if("number"==typeof t){for(e=[],n=0;n<4;n++)e.unshift(t%256),t=S(t/256);return e.join(".")}if("object"==typeof t){for(e="",i=function(t){for(var e=null,n=1,i=null,r=0,o=0;o<8;o++)0!==t[o]?(r>n&&(e=i,n=r),i=null,r=0):(null===i&&(i=o),++r);return r>n&&(e=i,n=r),e}(t),n=0;n<8;n++)r&&0===t[n]||(r&&(r=!1),i===n?(e+=n?":":"::",r=!0):(e+=t[n].toString(16),n<7&&(e+=":")));return"["+e+"]"}return t},H={},U=h({},H,{" ":1,'"':1,"<":1,">":1,"`":1}),W=h({},U,{"#":1,"?":1,"{":1,"}":1}),Y=h({},W,{"/":1,":":1,";":1,"=":1,"@":1,"[":1,"\\":1,"]":1,"^":1,"|":1}),Q=function(t,e){var n=p(t,0);return n>32&&n<127&&!d(e,t)?t:encodeURIComponent(t)},G={ftp:21,file:null,http:80,https:443,ws:80,wss:443},K=function(t){return d(G,t.scheme)},Z=function(t){return""!=t.username||""!=t.password},J=function(t){return!t.host||t.cannotBeABaseURL||"file"==t.scheme},X=function(t,e){var n;return 2==t.length&&A.test(t.charAt(0))&&(":"==(n=t.charAt(1))||!e&&"|"==n)},tt=function(t){var e;return t.length>1&&X(t.slice(0,2))&&(2==t.length||"/"===(e=t.charAt(2))||"\\"===e||"?"===e||"#"===e)},et=function(t){var e=t.path,n=e.length;!n||"file"==t.scheme&&1==n&&X(e[0],!0)||e.pop()},nt=function(t){return"."===t||"%2e"===t.toLowerCase()},it={},rt={},ot={},at={},st={},lt={},ut={},ct={},dt={},ht={},ft={},pt={},mt={},vt={},gt={},_t={},yt={},bt={},wt={},xt={},kt={},St=function(t,e,n,r){var o,a,s,l,u,c=n||it,h=0,p="",m=!1,v=!1,g=!1;for(n||(t.scheme="",t.username="",t.password="",t.host=null,t.port=null,t.path=[],t.query=null,t.fragment=null,t.cannotBeABaseURL=!1,e=e.replace(j,"")),e=e.replace($,""),o=f(e);h<=o.length;){switch(a=o[h],c){case it:if(!a||!A.test(a)){if(n)return M;c=ot;continue}p+=a.toLowerCase(),c=rt;break;case rt:if(a&&(E.test(a)||"+"==a||"-"==a||"."==a))p+=a.toLowerCase();else{if(":"!=a){if(n)return M;p="",c=ot,h=0;continue}if(n&&(K(t)!=d(G,p)||"file"==p&&(Z(t)||null!==t.port)||"file"==t.scheme&&!t.host))return;if(t.scheme=p,n)return void(K(t)&&G[t.scheme]==t.port&&(t.port=null));p="","file"==t.scheme?c=vt:K(t)&&r&&r.scheme==t.scheme?c=at:K(t)?c=ct:"/"==o[h+1]?(c=st,h++):(t.cannotBeABaseURL=!0,t.path.push(""),c=wt)}break;case ot:if(!r||r.cannotBeABaseURL&&"#"!=a)return M;if(r.cannotBeABaseURL&&"#"==a){t.scheme=r.scheme,t.path=r.path.slice(),t.query=r.query,t.fragment="",t.cannotBeABaseURL=!0,c=kt;break}c="file"==r.scheme?vt:lt;continue;case at:if("/"!=a||"/"!=o[h+1]){c=lt;continue}c=dt,h++;break;case st:if("/"==a){c=ht;break}c=bt;continue;case lt:if(t.scheme=r.scheme,a==i)t.username=r.username,t.password=r.password,t.host=r.host,t.port=r.port,t.path=r.path.slice(),t.query=r.query;else if("/"==a||"\\"==a&&K(t))c=ut;else if("?"==a)t.username=r.username,t.password=r.password,t.host=r.host,t.port=r.port,t.path=r.path.slice(),t.query="",c=xt;else{if("#"!=a){t.username=r.username,t.password=r.password,t.host=r.host,t.port=r.port,t.path=r.path.slice(),t.path.pop(),c=bt;continue}t.username=r.username,t.password=r.password,t.host=r.host,t.port=r.port,t.path=r.path.slice(),t.query=r.query,t.fragment="",c=kt}break;case ut:if(!K(t)||"/"!=a&&"\\"!=a){if("/"!=a){t.username=r.username,t.password=r.password,t.host=r.host,t.port=r.port,c=bt;continue}c=ht}else c=dt;break;case ct:if(c=dt,"/"!=a||"/"!=p.charAt(h+1))continue;h++;break;case dt:if("/"!=a&&"\\"!=a){c=ht;continue}break;case ht:if("@"==a){m&&(p="%40"+p),m=!0,s=f(p);for(var _=0;_<s.length;_++){var y=s[_];if(":"!=y||g){var b=Q(y,Y);g?t.password+=b:t.username+=b}else g=!0}p=""}else if(a==i||"/"==a||"?"==a||"#"==a||"\\"==a&&K(t)){if(m&&""==p)return"Invalid authority";h-=f(p).length+1,p="",c=ft}else p+=a;break;case ft:case pt:if(n&&"file"==t.scheme){c=_t;continue}if(":"!=a||v){if(a==i||"/"==a||"?"==a||"#"==a||"\\"==a&&K(t)){if(K(t)&&""==p)return T;if(n&&""==p&&(Z(t)||null!==t.port))return;if(l=F(t,p))return l;if(p="",c=yt,n)return;continue}"["==a?v=!0:"]"==a&&(v=!1),p+=a}else{if(""==p)return T;if(l=F(t,p))return l;if(p="",c=mt,n==pt)return}break;case mt:if(!q.test(a)){if(a==i||"/"==a||"?"==a||"#"==a||"\\"==a&&K(t)||n){if(""!=p){var w=parseInt(p,10);if(w>65535)return O;t.port=K(t)&&w===G[t.scheme]?null:w,p=""}if(n)return;c=yt;continue}return O}p+=a;break;case vt:if(t.scheme="file","/"==a||"\\"==a)c=gt;else{if(!r||"file"!=r.scheme){c=bt;continue}if(a==i)t.host=r.host,t.path=r.path.slice(),t.query=r.query;else if("?"==a)t.host=r.host,t.path=r.path.slice(),t.query="",c=xt;else{if("#"!=a){tt(o.slice(h).join(""))||(t.host=r.host,t.path=r.path.slice(),et(t)),c=bt;continue}t.host=r.host,t.path=r.path.slice(),t.query=r.query,t.fragment="",c=kt}}break;case gt:if("/"==a||"\\"==a){c=_t;break}r&&"file"==r.scheme&&!tt(o.slice(h).join(""))&&(X(r.path[0],!0)?t.path.push(r.path[0]):t.host=r.host),c=bt;continue;case _t:if(a==i||"/"==a||"\\"==a||"?"==a||"#"==a){if(!n&&X(p))c=bt;else if(""==p){if(t.host="",n)return;c=yt}else{if(l=F(t,p))return l;if("localhost"==t.host&&(t.host=""),n)return;p="",c=yt}continue}p+=a;break;case yt:if(K(t)){if(c=bt,"/"!=a&&"\\"!=a)continue}else if(n||"?"!=a)if(n||"#"!=a){if(a!=i&&(c=bt,"/"!=a))continue}else t.fragment="",c=kt;else t.query="",c=xt;break;case bt:if(a==i||"/"==a||"\\"==a&&K(t)||!n&&("?"==a||"#"==a)){if(".."===(u=(u=p).toLowerCase())||"%2e."===u||".%2e"===u||"%2e%2e"===u?(et(t),"/"==a||"\\"==a&&K(t)||t.path.push("")):nt(p)?"/"==a||"\\"==a&&K(t)||t.path.push(""):("file"==t.scheme&&!t.path.length&&X(p)&&(t.host&&(t.host=""),p=p.charAt(0)+":"),t.path.push(p)),p="","file"==t.scheme&&(a==i||"?"==a||"#"==a))for(;t.path.length>1&&""===t.path[0];)t.path.shift();"?"==a?(t.query="",c=xt):"#"==a&&(t.fragment="",c=kt)}else p+=Q(a,W);break;case wt:"?"==a?(t.query="",c=xt):"#"==a?(t.fragment="",c=kt):a!=i&&(t.path[0]+=Q(a,H));break;case xt:n||"#"!=a?a!=i&&("'"==a&&K(t)?t.query+="%27":t.query+="#"==a?"%23":Q(a,H)):(t.fragment="",c=kt);break;case kt:a!=i&&(t.fragment+=Q(a,U))}h++}},Ct=function(t){var e,n,i=c(this,Ct,"URL"),r=arguments.length>1?arguments[1]:void 0,a=String(t),s=x(i,{type:"URL"});if(void 0!==r)if(r instanceof Ct)e=k(r);else if(n=St(e={},String(r)))throw TypeError(n);if(n=St(s,a,null,e))throw TypeError(n);var l=s.searchParams=new b,u=w(l);u.updateSearchParams(s.query),u.updateURL=function(){s.query=String(l)||null},o||(i.href=Tt.call(i),i.origin=Ot.call(i),i.protocol=At.call(i),i.username=Et.call(i),i.password=qt.call(i),i.host=Lt.call(i),i.hostname=Dt.call(i),i.port=Pt.call(i),i.pathname=Rt.call(i),i.search=Nt.call(i),i.searchParams=It.call(i),i.hash=jt.call(i))},Mt=Ct.prototype,Tt=function(){var t=k(this),e=t.scheme,n=t.username,i=t.password,r=t.host,o=t.port,a=t.path,s=t.query,l=t.fragment,u=e+":";return null!==r?(u+="//",Z(t)&&(u+=n+(i?":"+i:"")+"@"),u+=V(r),null!==o&&(u+=":"+o)):"file"==e&&(u+="//"),u+=t.cannotBeABaseURL?a[0]:a.length?"/"+a.join("/"):"",null!==s&&(u+="?"+s),null!==l&&(u+="#"+l),u},Ot=function(){var t=k(this),e=t.scheme,n=t.port;if("blob"==e)try{return new URL(e.path[0]).origin}catch(t){return"null"}return"file"!=e&&K(t)?e+"://"+V(t.host)+(null!==n?":"+n:""):"null"},At=function(){return k(this).scheme+":"},Et=function(){return k(this).username},qt=function(){return k(this).password},Lt=function(){var t=k(this),e=t.host,n=t.port;return null===e?"":null===n?V(e):V(e)+":"+n},Dt=function(){var t=k(this).host;return null===t?"":V(t)},Pt=function(){var t=k(this).port;return null===t?"":String(t)},Rt=function(){var t=k(this),e=t.path;return t.cannotBeABaseURL?e[0]:e.length?"/"+e.join("/"):""},Nt=function(){var t=k(this).query;return t?"?"+t:""},It=function(){return k(this).searchParams},jt=function(){var t=k(this).fragment;return t?"#"+t:""},$t=function(t,e){return{get:t,set:e,configurable:!0,enumerable:!0}};if(o&&l(Mt,{href:$t(Tt,(function(t){var e=k(this),n=String(t),i=St(e,n);if(i)throw TypeError(i);w(e.searchParams).updateSearchParams(e.query)})),origin:$t(Ot),protocol:$t(At,(function(t){var e=k(this);St(e,String(t)+":",it)})),username:$t(Et,(function(t){var e=k(this),n=f(String(t));if(!J(e)){e.username="";for(var i=0;i<n.length;i++)e.username+=Q(n[i],Y)}})),password:$t(qt,(function(t){var e=k(this),n=f(String(t));if(!J(e)){e.password="";for(var i=0;i<n.length;i++)e.password+=Q(n[i],Y)}})),host:$t(Lt,(function(t){var e=k(this);e.cannotBeABaseURL||St(e,String(t),ft)})),hostname:$t(Dt,(function(t){var e=k(this);e.cannotBeABaseURL||St(e,String(t),pt)})),port:$t(Pt,(function(t){var e=k(this);J(e)||(""==(t=String(t))?e.port=null:St(e,t,mt))})),pathname:$t(Rt,(function(t){var e=k(this);e.cannotBeABaseURL||(e.path=[],St(e,t+"",yt))})),search:$t(Nt,(function(t){var e=k(this);""==(t=String(t))?e.query=null:("?"==t.charAt(0)&&(t=t.slice(1)),e.query="",St(e,t,xt)),w(e.searchParams).updateSearchParams(e.query)})),searchParams:$t(It),hash:$t(jt,(function(t){var e=k(this);""!=(t=String(t))?("#"==t.charAt(0)&&(t=t.slice(1)),e.fragment="",St(e,t,kt)):e.fragment=null}))}),u(Mt,"toJSON",(function(){return Tt.call(this)}),{enumerable:!0}),u(Mt,"toString",(function(){return Tt.call(this)}),{enumerable:!0}),y){var Ft=y.createObjectURL,Bt=y.revokeObjectURL;Ft&&u(Ct,"createObjectURL",(function(t){return Ft.apply(y,arguments)})),Bt&&u(Ct,"revokeObjectURL",(function(t){return Bt.apply(y,arguments)}))}v(Ct,"URL"),r({global:!0,forced:!a,sham:!o},{URL:Ct})},"2ca0":function(t,e,n){"use strict";var i,r=n("23e7"),o=n("06cf").f,a=n("50c4"),s=n("5a34"),l=n("1d80"),u=n("ab13"),c=n("c430"),d="".startsWith,h=Math.min,f=u("startsWith");r({target:"String",proto:!0,forced:!!(c||f||(i=o(String.prototype,"startsWith"),!i||i.writable))&&!f},{startsWith:function(t){var e=String(l(this));s(t);var n=a(h(arguments.length>1?arguments[1]:void 0,e.length)),i=String(t);return d?d.call(e,i,n):e.slice(n,n+i.length)===i}})},"2cf4":function(t,e,n){var i,r,o,a=n("da84"),s=n("d039"),l=n("c6b6"),u=n("0366"),c=n("1be4"),d=n("cc12"),h=n("1cdc"),f=a.location,p=a.setImmediate,m=a.clearImmediate,v=a.process,g=a.MessageChannel,_=a.Dispatch,y=0,b={},w="onreadystatechange",x=function(t){if(b.hasOwnProperty(t)){var e=b[t];delete b[t],e()}},k=function(t){return function(){x(t)}},S=function(t){x(t.data)},C=function(t){a.postMessage(t+"",f.protocol+"//"+f.host)};p&&m||(p=function(t){for(var e=[],n=1;arguments.length>n;)e.push(arguments[n++]);return b[++y]=function(){("function"==typeof t?t:Function(t)).apply(void 0,e)},i(y),y},m=function(t){delete b[t]},"process"==l(v)?i=function(t){v.nextTick(k(t))}:_&&_.now?i=function(t){_.now(k(t))}:g&&!h?(o=(r=new g).port2,r.port1.onmessage=S,i=u(o.postMessage,o,1)):!a.addEventListener||"function"!=typeof postMessage||a.importScripts||s(C)||"file:"===f.protocol?i=w in d("script")?function(t){c.appendChild(d("script"))[w]=function(){c.removeChild(this),x(t)}}:function(t){setTimeout(k(t),0)}:(i=C,a.addEventListener("message",S,!1))),t.exports={set:p,clear:m}},"2d00":function(t,e,n){var i,r,o=n("da84"),a=n("342f"),s=o.process,l=s&&s.versions,u=l&&l.v8;u?r=(i=u.split("."))[0]+i[1]:a&&(!(i=a.match(/Edge\/(\d+)/))||i[1]>=74)&&(i=a.match(/Chrome\/(\d+)/))&&(r=i[1]),t.exports=r&&+r},3410:function(t,e,n){var i=n("23e7"),r=n("d039"),o=n("7b0b"),a=n("e163"),s=n("e177");i({target:"Object",stat:!0,forced:r((function(){a(1)})),sham:!s},{getPrototypeOf:function(t){return a(o(t))}})},"342f":function(t,e,n){var i=n("d066");t.exports=i("navigator","userAgent")||""},"35a1":function(t,e,n){var i=n("f5df"),r=n("3f8c"),o=n("b622")("iterator");t.exports=function(t){if(null!=t)return t[o]||t["@@iterator"]||r[i(t)]}},"37e8":function(t,e,n){var i=n("83ab"),r=n("9bf2"),o=n("825a"),a=n("df75");t.exports=i?Object.defineProperties:function(t,e){o(t);for(var n,i=a(e),s=i.length,l=0;s>l;)r.f(t,n=i[l++],e[n]);return t}},"3bbe":function(t,e,n){var i=n("861d");t.exports=function(t){if(!i(t)&&null!==t)throw TypeError("Can't set "+String(t)+" as a prototype");return t}},"3c85":function(t,e,n){"use strict";n("e260"),n("d3b7"),n("ac1f"),n("25f0"),n("3ca3"),n("466d"),n("498a"),n("ddb0"),n("2b3d");e.a=function(){return t=function(){self.importScripts("https://cdn.jsdelivr.net/npm/jsqr@1.3.1/dist/jsQR.min.js"),self.addEventListener("message",(function(t){var e=t.data,n=null;try{n=jsQR(e.data,e.width,e.height)}catch(t){if(!(t instanceof RangeError))throw t}var i=null,r=null;null!==n&&(i=n.data,r=n.location);var o={content:i,location:r,imageData:e};self.postMessage(o,[e.data.buffer])}))}.toString().trim().match(/^function\s*\w*\s*\([\w\s,]*\)\s*{([\w\W]*?)}$/)[1],new Worker(URL.createObjectURL(new Blob([t],{type:"text/javascript"})));var t}},"3ca3":function(t,e,n){"use strict";var i=n("6547").charAt,r=n("69f3"),o=n("7dd0"),a="String Iterator",s=r.set,l=r.getterFor(a);o(String,"String",(function(t){s(this,{type:a,string:String(t),index:0})}),(function(){var t,e=l(this),n=e.string,r=e.index;return r>=n.length?{value:void 0,done:!0}:(t=i(n,r),e.index+=t.length,{value:t,done:!1})}))},"3f8c":function(t,e){t.exports={}},4160:function(t,e,n){"use strict";var i=n("23e7"),r=n("17c2");i({target:"Array",proto:!0,forced:[].forEach!=r},{forEach:r})},"428f":function(t,e,n){var i=n("da84");t.exports=i},"44ad":function(t,e,n){var i=n("d039"),r=n("c6b6"),o="".split;t.exports=i((function(){return!Object("z").propertyIsEnumerable(0)}))?function(t){return"String"==r(t)?o.call(t,""):Object(t)}:Object},"44d2":function(t,e,n){var i=n("b622"),r=n("7c73"),o=n("9bf2"),a=i("unscopables"),s=Array.prototype;null==s[a]&&o.f(s,a,{configurable:!0,value:r(null)}),t.exports=function(t){s[a][t]=!0}},"44de":function(t,e,n){var i=n("da84");t.exports=function(t,e){var n=i.console;n&&n.error&&(1===arguments.length?n.error(t):n.error(t,e))}},"44e7":function(t,e,n){var i=n("861d"),r=n("c6b6"),o=n("b622")("match");t.exports=function(t){var e;return i(t)&&(void 0!==(e=t[o])?!!e:"RegExp"==r(t))}},"45fc":function(t,e,n){"use strict";var i=n("23e7"),r=n("b727").some,o=n("a640"),a=n("ae40"),s=o("some"),l=a("some");i({target:"Array",proto:!0,forced:!s||!l},{some:function(t){return r(this,t,arguments.length>1?arguments[1]:void 0)}})},"466d":function(t,e,n){"use strict";var i=n("d784"),r=n("825a"),o=n("50c4"),a=n("1d80"),s=n("8aa5"),l=n("14c3");i("match",1,(function(t,e,n){return[function(e){var n=a(this),i=null==e?void 0:e[t];return void 0!==i?i.call(e,n):new RegExp(e)[t](String(n))},function(t){var i=n(e,t,this);if(i.done)return i.value;var a=r(t),u=String(this);if(!a.global)return l(a,u);var c=a.unicode;a.lastIndex=0;for(var d,h=[],f=0;null!==(d=l(a,u));){var p=String(d[0]);h[f]=p,""===p&&(a.lastIndex=s(u,o(a.lastIndex),c)),f++}return 0===f?null:h}]}))},4840:function(t,e,n){var i=n("825a"),r=n("1c0b"),o=n("b622")("species");t.exports=function(t,e){var n,a=i(t).constructor;return void 0===a||null==(n=i(a)[o])?e:r(n)}},4930:function(t,e,n){var i=n("d039");t.exports=!!Object.getOwnPropertySymbols&&!i((function(){return!String(Symbol())}))},"498a":function(t,e,n){"use strict";var i=n("23e7"),r=n("58a8").trim;i({target:"String",proto:!0,forced:n("c8d2")("trim")},{trim:function(){return r(this)}})},"499e":function(t,e,n){"use strict";function i(t,e){for(var n=[],i={},r=0;r<e.length;r++){var o=e[r],a=o[0],s={id:t+":"+r,css:o[1],media:o[2],sourceMap:o[3]};i[a]?i[a].parts.push(s):n.push(i[a]={id:a,parts:[s]})}return n}n.r(e),n.d(e,"default",(function(){return p}));var r="undefined"!=typeof document;if("undefined"!=typeof DEBUG&&DEBUG&&!r)throw new Error("vue-style-loader cannot be used in a non-browser environment. Use { target: 'node' } in your Webpack config to indicate a server-rendering environment.");var o={},a=r&&(document.head||document.getElementsByTagName("head")[0]),s=null,l=0,u=!1,c=function(){},d=null,h="data-vue-ssr-id",f="undefined"!=typeof navigator&&/msie [6-9]\b/.test(navigator.userAgent.toLowerCase());function p(t,e,n,r){u=n,d=r||{};var a=i(t,e);return m(a),function(e){for(var n=[],r=0;r<a.length;r++){var s=a[r];(l=o[s.id]).refs--,n.push(l)}e?m(a=i(t,e)):a=[];for(r=0;r<n.length;r++){var l;if(0===(l=n[r]).refs){for(var u=0;u<l.parts.length;u++)l.parts[u]();delete o[l.id]}}}}function m(t){for(var e=0;e<t.length;e++){var n=t[e],i=o[n.id];if(i){i.refs++;for(var r=0;r<i.parts.length;r++)i.parts[r](n.parts[r]);for(;r<n.parts.length;r++)i.parts.push(g(n.parts[r]));i.parts.length>n.parts.length&&(i.parts.length=n.parts.length)}else{var a=[];for(r=0;r<n.parts.length;r++)a.push(g(n.parts[r]));o[n.id]={id:n.id,refs:1,parts:a}}}}function v(){var t=document.createElement("style");return t.type="text/css",a.appendChild(t),t}function g(t){var e,n,i=document.querySelector("style["+h+'~="'+t.id+'"]');if(i){if(u)return c;i.parentNode.removeChild(i)}if(f){var r=l++;i=s||(s=v()),e=b.bind(null,i,r,!1),n=b.bind(null,i,r,!0)}else i=v(),e=w.bind(null,i),n=function(){i.parentNode.removeChild(i)};return e(t),function(i){if(i){if(i.css===t.css&&i.media===t.media&&i.sourceMap===t.sourceMap)return;e(t=i)}else n()}}var _,y=(_=[],function(t,e){return _[t]=e,_.filter(Boolean).join("\n")});function b(t,e,n,i){var r=n?"":i.css;if(t.styleSheet)t.styleSheet.cssText=y(e,r);else{var o=document.createTextNode(r),a=t.childNodes;a[e]&&t.removeChild(a[e]),a.length?t.insertBefore(o,a[e]):t.appendChild(o)}}function w(t,e){var n=e.css,i=e.media,r=e.sourceMap;if(i&&t.setAttribute("media",i),d.ssrId&&t.setAttribute(h,e.id),r&&(n+="\n/*# sourceURL="+r.sources[0]+" */",n+="\n/*# sourceMappingURL=data:application/json;base64,"+btoa(unescape(encodeURIComponent(JSON.stringify(r))))+" */"),t.styleSheet)t.styleSheet.cssText=n;else{for(;t.firstChild;)t.removeChild(t.firstChild);t.appendChild(document.createTextNode(n))}}},"4ae1":function(t,e,n){var i=n("23e7"),r=n("d066"),o=n("1c0b"),a=n("825a"),s=n("861d"),l=n("7c73"),u=n("0538"),c=n("d039"),d=r("Reflect","construct"),h=c((function(){function t(){}return!(d((function(){}),[],t)instanceof t)})),f=!c((function(){d((function(){}))})),p=h||f;i({target:"Reflect",stat:!0,forced:p,sham:p},{construct:function(t,e){o(t),a(e);var n=arguments.length<3?t:o(arguments[2]);if(f&&!h)return d(t,e,n);if(t==n){switch(e.length){case 0:return new t;case 1:return new t(e[0]);case 2:return new t(e[0],e[1]);case 3:return new t(e[0],e[1],e[2]);case 4:return new t(e[0],e[1],e[2],e[3])}var i=[null];return i.push.apply(i,e),new(u.apply(t,i))}var r=n.prototype,c=l(s(r)?r:Object.prototype),p=Function.apply.call(t,c,e);return s(p)?p:c}})},"4d64":function(t,e,n){var i=n("fc6a"),r=n("50c4"),o=n("23cb"),a=function(t){return function(e,n,a){var s,l=i(e),u=r(l.length),c=o(a,u);if(t&&n!=n){for(;u>c;)if((s=l[c++])!=s)return!0}else for(;u>c;c++)if((t||c in l)&&l[c]===n)return t||c||0;return!t&&-1}};t.exports={includes:a(!0),indexOf:a(!1)}},"4de4":function(t,e,n){"use strict";var i=n("23e7"),r=n("b727").filter,o=n("1dde"),a=n("ae40"),s=o("filter"),l=a("filter");i({target:"Array",proto:!0,forced:!s||!l},{filter:function(t){return r(this,t,arguments.length>1?arguments[1]:void 0)}})},"4df4":function(t,e,n){"use strict";var i=n("0366"),r=n("7b0b"),o=n("9bdd"),a=n("e95a"),s=n("50c4"),l=n("8418"),u=n("35a1");t.exports=function(t){var e,n,c,d,h,f,p=r(t),m="function"==typeof this?this:Array,v=arguments.length,g=v>1?arguments[1]:void 0,_=void 0!==g,y=u(p),b=0;if(_&&(g=i(g,v>2?arguments[2]:void 0,2)),null==y||m==Array&&a(y))for(n=new m(e=s(p.length));e>b;b++)f=_?g(p[b],b):p[b],l(n,b,f);else for(h=(d=y.call(p)).next,n=new m;!(c=h.call(d)).done;b++)f=_?o(d,g,[c.value,b],!0):c.value,l(n,b,f);return n.length=b,n}},"4ec9":function(t,e,n){"use strict";var i=n("6d61"),r=n("6566");t.exports=i("Map",(function(t){return function(){return t(this,arguments.length?arguments[0]:void 0)}}),r)},"50c4":function(t,e,n){var i=n("a691"),r=Math.min;t.exports=function(t){return t>0?r(i(t),9007199254740991):0}},5135:function(t,e){var n={}.hasOwnProperty;t.exports=function(t,e){return n.call(t,e)}},"53ca":function(t,e,n){"use strict";n.d(e,"a",(function(){return i}));n("a4d3"),n("e01a"),n("d28b"),n("e260"),n("d3b7"),n("3ca3"),n("ddb0");function i(t){return i="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(t){return typeof t}:function(t){return t&&"function"==typeof Symbol&&t.constructor===Symbol&&t!==Symbol.prototype?"symbol":typeof t},i(t)}},5692:function(t,e,n){var i=n("c430"),r=n("c6cd");(t.exports=function(t,e){return r[t]||(r[t]=void 0!==e?e:{})})("versions",[]).push({version:"3.6.5",mode:i?"pure":"global",copyright:"© 2020 Denis Pushkarev (zloirock.ru)"})},"56ef":function(t,e,n){var i=n("d066"),r=n("241c"),o=n("7418"),a=n("825a");t.exports=i("Reflect","ownKeys")||function(t){var e=r.f(a(t)),n=o.f;return n?e.concat(n(t)):e}},5899:function(t,e){t.exports="\t\n\v\f\r                　\u2028\u2029\ufeff"},"58a8":function(t,e,n){var i=n("1d80"),r="["+n("5899")+"]",o=RegExp("^"+r+r+"*"),a=RegExp(r+r+"*$"),s=function(t){return function(e){var n=String(i(e));return 1&t&&(n=n.replace(o,"")),2&t&&(n=n.replace(a,"")),n}};t.exports={start:s(1),end:s(2),trim:s(3)}},"5a34":function(t,e,n){var i=n("44e7");t.exports=function(t){if(i(t))throw TypeError("The method doesn't accept regular expressions");return t}},"5c0b":function(t,e,n){"use strict";n("4160"),n("d81d"),n("159b"),n("96cf");var i=n("1da1"),r=n("2909"),o=n("a180"),a=n("f718"),s=n("b3af"),l=n("3c85"),u={name:"qrcode-capture",mixins:[s.a],props:{worker:{type:Function,default:l.a}},methods:{onChangeInput:function(t){Object(r.a)(t.target.files).map(this.processFile).forEach(this.onDetect)},processFile:function(t){var e=this;return Object(i.a)(regeneratorRuntime.mark((function n(){var i,r;return regeneratorRuntime.wrap((function(n){for(;;)switch(n.prev=n.next){case 0:return n.next=2,Object(a.a)(t);case 2:return i=n.sent,n.next=5,Object(o.b)(e.worker,i);case 5:return r=n.sent,n.abrupt("return",r);case 7:case"end":return n.stop()}}),n)})))()}}},c=n("2877"),d=Object(c.a)(u,(function(){var t=this,e=t.$createElement;return(t._self._c||e)("input",{attrs:{type:"file",name:"image",accept:"image/*",capture:"environment",multiple:""},on:{change:t.onChangeInput}})}),[],!1,null,null,null);e.a=d.exports},"5c6c":function(t,e){t.exports=function(t,e){return{enumerable:!(1&t),configurable:!(2&t),writable:!(4&t),value:e}}},"5fb2":function(t,e,n){"use strict";var i=2147483647,r=/[^\0-\u007E]/,o=/[.\u3002\uFF0E\uFF61]/g,a="Overflow: input needs wider integers to process",s=Math.floor,l=String.fromCharCode,u=function(t){return t+22+75*(t<26)},c=function(t,e,n){var i=0;for(t=n?s(t/700):t>>1,t+=s(t/e);t>455;i+=36)t=s(t/35);return s(i+36*t/(t+38))},d=function(t){var e=[];t=function(t){for(var e=[],n=0,i=t.length;n<i;){var r=t.charCodeAt(n++);if(r>=55296&&r<=56319&&n<i){var o=t.charCodeAt(n++);56320==(64512&o)?e.push(((1023&r)<<10)+(1023&o)+65536):(e.push(r),n--)}else e.push(r)}return e}(t);var n,r,o=t.length,d=128,h=0,f=72;for(n=0;n<t.length;n++)(r=t[n])<128&&e.push(l(r));var p=e.length,m=p;for(p&&e.push("-");m<o;){var v=i;for(n=0;n<t.length;n++)(r=t[n])>=d&&r<v&&(v=r);var g=m+1;if(v-d>s((i-h)/g))throw RangeError(a);for(h+=(v-d)*g,d=v,n=0;n<t.length;n++){if((r=t[n])<d&&++h>i)throw RangeError(a);if(r==d){for(var _=h,y=36;;y+=36){var b=y<=f?1:y>=f+26?26:y-f;if(_<b)break;var w=_-b,x=36-b;e.push(l(u(b+w%x))),_=s(w/x)}e.push(l(u(_))),f=c(h,g,m==p),h=0,++m}}++h,++d}return e.join("")};t.exports=function(t){var e,n,i=[],a=t.toLowerCase().replace(o,".").split(".");for(e=0;e<a.length;e++)n=a[e],i.push(r.test(n)?"xn--"+d(n):n);return i.join(".")}},"60da":function(t,e,n){"use strict";var i=n("83ab"),r=n("d039"),o=n("df75"),a=n("7418"),s=n("d1e7"),l=n("7b0b"),u=n("44ad"),c=Object.assign,d=Object.defineProperty;t.exports=!c||r((function(){if(i&&1!==c({b:1},c(d({},"a",{enumerable:!0,get:function(){d(this,"b",{value:3,enumerable:!1})}}),{b:2})).b)return!0;var t={},e={},n=Symbol(),r="abcdefghijklmnopqrst";return t[n]=7,r.split("").forEach((function(t){e[t]=t})),7!=c({},t)[n]||o(c({},e)).join("")!=r}))?function(t,e){for(var n=l(t),r=arguments.length,c=1,d=a.f,h=s.f;r>c;)for(var f,p=u(arguments[c++]),m=d?o(p).concat(d(p)):o(p),v=m.length,g=0;v>g;)f=m[g++],i&&!h.call(p,f)||(n[f]=p[f]);return n}:c},6547:function(t,e,n){var i=n("a691"),r=n("1d80"),o=function(t){return function(e,n){var o,a,s=String(r(e)),l=i(n),u=s.length;return l<0||l>=u?t?"":void 0:(o=s.charCodeAt(l))<55296||o>56319||l+1===u||(a=s.charCodeAt(l+1))<56320||a>57343?t?s.charAt(l):o:t?s.slice(l,l+2):a-56320+(o-55296<<10)+65536}};t.exports={codeAt:o(!1),charAt:o(!0)}},6566:function(t,e,n){"use strict";var i=n("9bf2").f,r=n("7c73"),o=n("e2cc"),a=n("0366"),s=n("19aa"),l=n("2266"),u=n("7dd0"),c=n("2626"),d=n("83ab"),h=n("f183").fastKey,f=n("69f3"),p=f.set,m=f.getterFor;t.exports={getConstructor:function(t,e,n,u){var c=t((function(t,i){s(t,c,e),p(t,{type:e,index:r(null),first:void 0,last:void 0,size:0}),d||(t.size=0),null!=i&&l(i,t[u],t,n)})),f=m(e),v=function(t,e,n){var i,r,o=f(t),a=g(t,e);return a?a.value=n:(o.last=a={index:r=h(e,!0),key:e,value:n,previous:i=o.last,next:void 0,removed:!1},o.first||(o.first=a),i&&(i.next=a),d?o.size++:t.size++,"F"!==r&&(o.index[r]=a)),t},g=function(t,e){var n,i=f(t),r=h(e);if("F"!==r)return i.index[r];for(n=i.first;n;n=n.next)if(n.key==e)return n};return o(c.prototype,{clear:function(){for(var t=f(this),e=t.index,n=t.first;n;)n.removed=!0,n.previous&&(n.previous=n.previous.next=void 0),delete e[n.index],n=n.next;t.first=t.last=void 0,d?t.size=0:this.size=0},delete:function(t){var e=this,n=f(e),i=g(e,t);if(i){var r=i.next,o=i.previous;delete n.index[i.index],i.removed=!0,o&&(o.next=r),r&&(r.previous=o),n.first==i&&(n.first=r),n.last==i&&(n.last=o),d?n.size--:e.size--}return!!i},forEach:function(t){for(var e,n=f(this),i=a(t,arguments.length>1?arguments[1]:void 0,3);e=e?e.next:n.first;)for(i(e.value,e.key,this);e&&e.removed;)e=e.previous},has:function(t){return!!g(this,t)}}),o(c.prototype,n?{get:function(t){var e=g(this,t);return e&&e.value},set:function(t,e){return v(this,0===t?0:t,e)}}:{add:function(t){return v(this,t=0===t?0:t,t)}}),d&&i(c.prototype,"size",{get:function(){return f(this).size}}),c},setStrong:function(t,e,n){var i=e+" Iterator",r=m(e),o=m(i);u(t,e,(function(t,e){p(this,{type:i,target:t,state:r(t),kind:e,last:void 0})}),(function(){for(var t=o(this),e=t.kind,n=t.last;n&&n.removed;)n=n.previous;return t.target&&(t.last=n=n?n.next:t.state.first)?"keys"==e?{value:n.key,done:!1}:"values"==e?{value:n.value,done:!1}:{value:[n.key,n.value],done:!1}:(t.target=void 0,{value:void 0,done:!0})}),n?"entries":"values",!n,!0),c(e)}}},"65f0":function(t,e,n){var i=n("861d"),r=n("e8b5"),o=n("b622")("species");t.exports=function(t,e){var n;return r(t)&&("function"!=typeof(n=t.constructor)||n!==Array&&!r(n.prototype)?i(n)&&null===(n=n[o])&&(n=void 0):n=void 0),new(void 0===n?Array:n)(0===e?0:e)}},"69f3":function(t,e,n){var i,r,o,a=n("7f9a"),s=n("da84"),l=n("861d"),u=n("9112"),c=n("5135"),d=n("f772"),h=n("d012"),f=s.WeakMap;if(a){var p=new f,m=p.get,v=p.has,g=p.set;i=function(t,e){return g.call(p,t,e),e},r=function(t){return m.call(p,t)||{}},o=function(t){return v.call(p,t)}}else{var _=d("state");h[_]=!0,i=function(t,e){return u(t,_,e),e},r=function(t){return c(t,_)?t[_]:{}},o=function(t){return c(t,_)}}t.exports={set:i,get:r,has:o,enforce:function(t){return o(t)?r(t):i(t,{})},getterFor:function(t){return function(e){var n;if(!l(e)||(n=r(e)).type!==t)throw TypeError("Incompatible receiver, "+t+" required");return n}}}},"6b75":function(t,e,n){"use strict";function i(t,e){(null==e||e>t.length)&&(e=t.length);for(var n=0,i=new Array(e);n<e;n++)i[n]=t[n];return i}n.d(e,"a",(function(){return i}))},"6d61":function(t,e,n){"use strict";var i=n("23e7"),r=n("da84"),o=n("94ca"),a=n("6eeb"),s=n("f183"),l=n("2266"),u=n("19aa"),c=n("861d"),d=n("d039"),h=n("1c7e"),f=n("d44e"),p=n("7156");t.exports=function(t,e,n){var m=-1!==t.indexOf("Map"),v=-1!==t.indexOf("Weak"),g=m?"set":"add",_=r[t],y=_&&_.prototype,b=_,w={},x=function(t){var e=y[t];a(y,t,"add"==t?function(t){return e.call(this,0===t?0:t),this}:"delete"==t?function(t){return!(v&&!c(t))&&e.call(this,0===t?0:t)}:"get"==t?function(t){return v&&!c(t)?void 0:e.call(this,0===t?0:t)}:"has"==t?function(t){return!(v&&!c(t))&&e.call(this,0===t?0:t)}:function(t,n){return e.call(this,0===t?0:t,n),this})};if(o(t,"function"!=typeof _||!(v||y.forEach&&!d((function(){(new _).entries().next()})))))b=n.getConstructor(e,t,m,g),s.REQUIRED=!0;else if(o(t,!0)){var k=new b,S=k[g](v?{}:-0,1)!=k,C=d((function(){k.has(1)})),M=h((function(t){new _(t)})),T=!v&&d((function(){for(var t=new _,e=5;e--;)t[g](e,e);return!t.has(-0)}));M||((b=e((function(e,n){u(e,b,t);var i=p(new _,e,b);return null!=n&&l(n,i[g],i,m),i}))).prototype=y,y.constructor=b),(C||T)&&(x("delete"),x("has"),m&&x("get")),(T||S)&&x(g),v&&y.clear&&delete y.clear}return w[t]=b,i({global:!0,forced:b!=_},w),f(b,t),v||n.setStrong(b,t,m),b}},"6eeb":function(t,e,n){var i=n("da84"),r=n("9112"),o=n("5135"),a=n("ce4e"),s=n("8925"),l=n("69f3"),u=l.get,c=l.enforce,d=String(String).split("String");(t.exports=function(t,e,n,s){var l=!!s&&!!s.unsafe,u=!!s&&!!s.enumerable,h=!!s&&!!s.noTargetGet;"function"==typeof n&&("string"!=typeof e||o(n,"name")||r(n,"name",e),c(n).source=d.join("string"==typeof e?e:"")),t!==i?(l?!h&&t[e]&&(u=!0):delete t[e],u?t[e]=n:r(t,e,n)):u?t[e]=n:a(e,n)})(Function.prototype,"toString",(function(){return"function"==typeof this&&u(this).source||s(this)}))},7156:function(t,e,n){var i=n("861d"),r=n("d2bb");t.exports=function(t,e,n){var o,a;return r&&"function"==typeof(o=e.constructor)&&o!==n&&i(a=o.prototype)&&a!==n.prototype&&r(t,a),t}},7418:function(t,e){e.f=Object.getOwnPropertySymbols},"746f":function(t,e,n){var i=n("428f"),r=n("5135"),o=n("e538"),a=n("9bf2").f;t.exports=function(t){var e=i.Symbol||(i.Symbol={});r(e,t)||a(e,t,{value:o.f(t)})}},7839:function(t,e){t.exports=["constructor","hasOwnProperty","isPrototypeOf","propertyIsEnumerable","toLocaleString","toString","valueOf"]},"7b0b":function(t,e,n){var i=n("1d80");t.exports=function(t){return Object(i(t))}},"7c73":function(t,e,n){var i,r=n("825a"),o=n("37e8"),a=n("7839"),s=n("d012"),l=n("1be4"),u=n("cc12"),c=n("f772"),d="prototype",h="script",f=c("IE_PROTO"),p=function(){},m=function(t){return"<"+h+">"+t+"</"+h+">"},v=function(){try{i=document.domain&&new ActiveXObject("htmlfile")}catch(t){}var t,e,n;v=i?function(t){t.write(m("")),t.close();var e=t.parentWindow.Object;return t=null,e}(i):(e=u("iframe"),n="java"+h+":",e.style.display="none",l.appendChild(e),e.src=String(n),(t=e.contentWindow.document).open(),t.write(m("document.F=Object")),t.close(),t.F);for(var r=a.length;r--;)delete v[d][a[r]];return v()};s[f]=!0,t.exports=Object.create||function(t,e){var n;return null!==t?(p[d]=r(t),n=new p,p[d]=null,n[f]=t):n=v(),void 0===e?n:o(n,e)}},"7db0":function(t,e,n){"use strict";var i=n("23e7"),r=n("b727").find,o=n("44d2"),a=n("ae40"),s="find",l=!0,u=a(s);s in[]&&Array(1)[s]((function(){l=!1})),i({target:"Array",proto:!0,forced:l||!u},{find:function(t){return r(this,t,arguments.length>1?arguments[1]:void 0)}}),o(s)},"7dd0":function(t,e,n){"use strict";var i=n("23e7"),r=n("9ed3"),o=n("e163"),a=n("d2bb"),s=n("d44e"),l=n("9112"),u=n("6eeb"),c=n("b622"),d=n("c430"),h=n("3f8c"),f=n("ae93"),p=f.IteratorPrototype,m=f.BUGGY_SAFARI_ITERATORS,v=c("iterator"),g="keys",_="values",y="entries",b=function(){return this};t.exports=function(t,e,n,c,f,w,x){r(n,e,c);var k,S,C,M=function(t){if(t===f&&q)return q;if(!m&&t in A)return A[t];switch(t){case g:case _:case y:return function(){return new n(this,t)}}return function(){return new n(this)}},T=e+" Iterator",O=!1,A=t.prototype,E=A[v]||A["@@iterator"]||f&&A[f],q=!m&&E||M(f),L="Array"==e&&A.entries||E;if(L&&(k=o(L.call(new t)),p!==Object.prototype&&k.next&&(d||o(k)===p||(a?a(k,p):"function"!=typeof k[v]&&l(k,v,b)),s(k,T,!0,!0),d&&(h[T]=b))),f==_&&E&&E.name!==_&&(O=!0,q=function(){return E.call(this)}),d&&!x||A[v]===q||l(A,v,q),h[e]=q,f)if(S={values:M(_),keys:w?q:M(g),entries:M(y)},x)for(C in S)(m||O||!(C in A))&&u(A,C,S[C]);else i({target:e,proto:!0,forced:m||O},S);return S}},"7f9a":function(t,e,n){var i=n("da84"),r=n("8925"),o=i.WeakMap;t.exports="function"==typeof o&&/native code/.test(r(o))},"825a":function(t,e,n){var i=n("861d");t.exports=function(t){if(!i(t))throw TypeError(String(t)+" is not an object");return t}},"83ab":function(t,e,n){var i=n("d039");t.exports=!i((function(){return 7!=Object.defineProperty({},1,{get:function(){return 7}})[1]}))},8418:function(t,e,n){"use strict";var i=n("c04e"),r=n("9bf2"),o=n("5c6c");t.exports=function(t,e,n){var a=i(e);a in t?r.f(t,a,o(0,n)):t[a]=n}},"861d":function(t,e){t.exports=function(t){return"object"==typeof t?null!==t:"function"==typeof t}},8875:function(t,e,n){var i,r,o;"undefined"!=typeof self&&self,r=[],void 0===(o="function"==typeof(i=function(){function t(){var e=Object.getOwnPropertyDescriptor(document,"currentScript");if(!e&&"currentScript"in document&&document.currentScript)return document.currentScript;if(e&&e.get!==t&&document.currentScript)return document.currentScript;try{throw new Error}catch(t){var n,i,r,o=/@([^@]*):(\d+):(\d+)\s*$/gi,a=/.*at [^(]*\((.*):(.+):(.+)\)$/gi.exec(t.stack)||o.exec(t.stack),s=a&&a[1]||!1,l=a&&a[2]||!1,u=document.location.href.replace(document.location.hash,""),c=document.getElementsByTagName("script");s===u&&(n=document.documentElement.outerHTML,i=new RegExp("(?:[^\\n]+?\\n){0,"+(l-2)+"}[^<]*<script>([\\d\\D]*?)<\\/script>[\\d\\D]*","i"),r=n.replace(i,"$1").trim());for(var d=0;d<c.length;d++){if("interactive"===c[d].readyState)return c[d];if(c[d].src===s)return c[d];if(s===u&&c[d].innerHTML&&c[d].innerHTML.trim()===r)return c[d]}return null}}return t})?i.apply(e,r):i)||(t.exports=o)},8925:function(t,e,n){var i=n("c6cd"),r=Function.toString;"function"!=typeof i.inspectSource&&(i.inspectSource=function(t){return r.call(t)}),t.exports=i.inspectSource},"8a79":function(t,e,n){"use strict";var i,r=n("23e7"),o=n("06cf").f,a=n("50c4"),s=n("5a34"),l=n("1d80"),u=n("ab13"),c=n("c430"),d="".endsWith,h=Math.min,f=u("endsWith");r({target:"String",proto:!0,forced:!!(c||f||(i=o(String.prototype,"endsWith"),!i||i.writable))&&!f},{endsWith:function(t){var e=String(l(this));s(t);var n=arguments.length>1?arguments[1]:void 0,i=a(e.length),r=void 0===n?i:h(a(n),i),o=String(t);return d?d.call(e,o,r):e.slice(r-o.length,r)===o}})},"8aa5":function(t,e,n){"use strict";var i=n("6547").charAt;t.exports=function(t,e,n){return e+(n?i(t,e).length:1)}},"90e3":function(t,e){var n=0,i=Math.random();t.exports=function(t){return"Symbol("+String(void 0===t?"":t)+")_"+(++n+i).toString(36)}},9112:function(t,e,n){var i=n("83ab"),r=n("9bf2"),o=n("5c6c");t.exports=i?function(t,e,n){return r.f(t,e,o(1,n))}:function(t,e,n){return t[e]=n,t}},9263:function(t,e,n){"use strict";var i,r,o=n("ad6d"),a=n("9f7f"),s=RegExp.prototype.exec,l=String.prototype.replace,u=s,c=(i=/a/,r=/b*/g,s.call(i,"a"),s.call(r,"a"),0!==i.lastIndex||0!==r.lastIndex),d=a.UNSUPPORTED_Y||a.BROKEN_CARET,h=void 0!==/()??/.exec("")[1];(c||h||d)&&(u=function(t){var e,n,i,r,a=this,u=d&&a.sticky,f=o.call(a),p=a.source,m=0,v=t;return u&&(-1===(f=f.replace("y","")).indexOf("g")&&(f+="g"),v=String(t).slice(a.lastIndex),a.lastIndex>0&&(!a.multiline||a.multiline&&"\n"!==t[a.lastIndex-1])&&(p="(?: "+p+")",v=" "+v,m++),n=new RegExp("^(?:"+p+")",f)),h&&(n=new RegExp("^"+p+"$(?!\\s)",f)),c&&(e=a.lastIndex),i=s.call(u?n:a,v),u?i?(i.input=i.input.slice(m),i[0]=i[0].slice(m),i.index=a.lastIndex,a.lastIndex+=i[0].length):a.lastIndex=0:c&&i&&(a.lastIndex=a.global?i.index+i[0].length:e),h&&i&&i.length>1&&l.call(i[0],n,(function(){for(r=1;r<arguments.length-2;r++)void 0===arguments[r]&&(i[r]=void 0)})),i}),t.exports=u},"94ca":function(t,e,n){var i=n("d039"),r=/#|\.prototype\./,o=function(t,e){var n=s[a(t)];return n==u||n!=l&&("function"==typeof e?i(e):!!e)},a=o.normalize=function(t){return String(t).replace(r,".").toLowerCase()},s=o.data={},l=o.NATIVE="N",u=o.POLYFILL="P";t.exports=o},"96cf":function(t,e,n){var i=function(t){"use strict";var e,n=Object.prototype,i=n.hasOwnProperty,r="function"==typeof Symbol?Symbol:{},o=r.iterator||"@@iterator",a=r.asyncIterator||"@@asyncIterator",s=r.toStringTag||"@@toStringTag";function l(t,e,n,i){var r=e&&e.prototype instanceof m?e:m,o=Object.create(r.prototype),a=new T(i||[]);return o._invoke=function(t,e,n){var i=c;return function(r,o){if(i===h)throw new Error("Generator is already running");if(i===f){if("throw"===r)throw o;return A()}for(n.method=r,n.arg=o;;){var a=n.delegate;if(a){var s=S(a,n);if(s){if(s===p)continue;return s}}if("next"===n.method)n.sent=n._sent=n.arg;else if("throw"===n.method){if(i===c)throw i=f,n.arg;n.dispatchException(n.arg)}else"return"===n.method&&n.abrupt("return",n.arg);i=h;var l=u(t,e,n);if("normal"===l.type){if(i=n.done?f:d,l.arg===p)continue;return{value:l.arg,done:n.done}}"throw"===l.type&&(i=f,n.method="throw",n.arg=l.arg)}}}(t,n,a),o}function u(t,e,n){try{return{type:"normal",arg:t.call(e,n)}}catch(t){return{type:"throw",arg:t}}}t.wrap=l;var c="suspendedStart",d="suspendedYield",h="executing",f="completed",p={};function m(){}function v(){}function g(){}var _={};_[o]=function(){return this};var y=Object.getPrototypeOf,b=y&&y(y(O([])));b&&b!==n&&i.call(b,o)&&(_=b);var w=g.prototype=m.prototype=Object.create(_);function x(t){["next","throw","return"].forEach((function(e){t[e]=function(t){return this._invoke(e,t)}}))}function k(t,e){function n(r,o,a,s){var l=u(t[r],t,o);if("throw"!==l.type){var c=l.arg,d=c.value;return d&&"object"==typeof d&&i.call(d,"__await")?e.resolve(d.__await).then((function(t){n("next",t,a,s)}),(function(t){n("throw",t,a,s)})):e.resolve(d).then((function(t){c.value=t,a(c)}),(function(t){return n("throw",t,a,s)}))}s(l.arg)}var r;this._invoke=function(t,i){function o(){return new e((function(e,r){n(t,i,e,r)}))}return r=r?r.then(o,o):o()}}function S(t,n){var i=t.iterator[n.method];if(i===e){if(n.delegate=null,"throw"===n.method){if(t.iterator.return&&(n.method="return",n.arg=e,S(t,n),"throw"===n.method))return p;n.method="throw",n.arg=new TypeError("The iterator does not provide a 'throw' method")}return p}var r=u(i,t.iterator,n.arg);if("throw"===r.type)return n.method="throw",n.arg=r.arg,n.delegate=null,p;var o=r.arg;return o?o.done?(n[t.resultName]=o.value,n.next=t.nextLoc,"return"!==n.method&&(n.method="next",n.arg=e),n.delegate=null,p):o:(n.method="throw",n.arg=new TypeError("iterator result is not an object"),n.delegate=null,p)}function C(t){var e={tryLoc:t[0]};1 in t&&(e.catchLoc=t[1]),2 in t&&(e.finallyLoc=t[2],e.afterLoc=t[3]),this.tryEntries.push(e)}function M(t){var e=t.completion||{};e.type="normal",delete e.arg,t.completion=e}function T(t){this.tryEntries=[{tryLoc:"root"}],t.forEach(C,this),this.reset(!0)}function O(t){if(t){var n=t[o];if(n)return n.call(t);if("function"==typeof t.next)return t;if(!isNaN(t.length)){var r=-1,a=function n(){for(;++r<t.length;)if(i.call(t,r))return n.value=t[r],n.done=!1,n;return n.value=e,n.done=!0,n};return a.next=a}}return{next:A}}function A(){return{value:e,done:!0}}return v.prototype=w.constructor=g,g.constructor=v,g[s]=v.displayName="GeneratorFunction",t.isGeneratorFunction=function(t){var e="function"==typeof t&&t.constructor;return!!e&&(e===v||"GeneratorFunction"===(e.displayName||e.name))},t.mark=function(t){return Object.setPrototypeOf?Object.setPrototypeOf(t,g):(t.__proto__=g,s in t||(t[s]="GeneratorFunction")),t.prototype=Object.create(w),t},t.awrap=function(t){return{__await:t}},x(k.prototype),k.prototype[a]=function(){return this},t.AsyncIterator=k,t.async=function(e,n,i,r,o){void 0===o&&(o=Promise);var a=new k(l(e,n,i,r),o);return t.isGeneratorFunction(n)?a:a.next().then((function(t){return t.done?t.value:a.next()}))},x(w),w[s]="Generator",w[o]=function(){return this},w.toString=function(){return"[object Generator]"},t.keys=function(t){var e=[];for(var n in t)e.push(n);return e.reverse(),function n(){for(;e.length;){var i=e.pop();if(i in t)return n.value=i,n.done=!1,n}return n.done=!0,n}},t.values=O,T.prototype={constructor:T,reset:function(t){if(this.prev=0,this.next=0,this.sent=this._sent=e,this.done=!1,this.delegate=null,this.method="next",this.arg=e,this.tryEntries.forEach(M),!t)for(var n in this)"t"===n.charAt(0)&&i.call(this,n)&&!isNaN(+n.slice(1))&&(this[n]=e)},stop:function(){this.done=!0;var t=this.tryEntries[0].completion;if("throw"===t.type)throw t.arg;return this.rval},dispatchException:function(t){if(this.done)throw t;var n=this;function r(i,r){return s.type="throw",s.arg=t,n.next=i,r&&(n.method="next",n.arg=e),!!r}for(var o=this.tryEntries.length-1;o>=0;--o){var a=this.tryEntries[o],s=a.completion;if("root"===a.tryLoc)return r("end");if(a.tryLoc<=this.prev){var l=i.call(a,"catchLoc"),u=i.call(a,"finallyLoc");if(l&&u){if(this.prev<a.catchLoc)return r(a.catchLoc,!0);if(this.prev<a.finallyLoc)return r(a.finallyLoc)}else if(l){if(this.prev<a.catchLoc)return r(a.catchLoc,!0)}else{if(!u)throw new Error("try statement without catch or finally");if(this.prev<a.finallyLoc)return r(a.finallyLoc)}}}},abrupt:function(t,e){for(var n=this.tryEntries.length-1;n>=0;--n){var r=this.tryEntries[n];if(r.tryLoc<=this.prev&&i.call(r,"finallyLoc")&&this.prev<r.finallyLoc){var o=r;break}}o&&("break"===t||"continue"===t)&&o.tryLoc<=e&&e<=o.finallyLoc&&(o=null);var a=o?o.completion:{};return a.type=t,a.arg=e,o?(this.method="next",this.next=o.finallyLoc,p):this.complete(a)},complete:function(t,e){if("throw"===t.type)throw t.arg;return"break"===t.type||"continue"===t.type?this.next=t.arg:"return"===t.type?(this.rval=this.arg=t.arg,this.method="return",this.next="end"):"normal"===t.type&&e&&(this.next=e),p},finish:function(t){for(var e=this.tryEntries.length-1;e>=0;--e){var n=this.tryEntries[e];if(n.finallyLoc===t)return this.complete(n.completion,n.afterLoc),M(n),p}},catch:function(t){for(var e=this.tryEntries.length-1;e>=0;--e){var n=this.tryEntries[e];if(n.tryLoc===t){var i=n.completion;if("throw"===i.type){var r=i.arg;M(n)}return r}}throw new Error("illegal catch attempt")},delegateYield:function(t,n,i){return this.delegate={iterator:O(t),resultName:n,nextLoc:i},"next"===this.method&&(this.arg=e),p}},t}(t.exports);try{regeneratorRuntime=i}catch(t){Function("r","regeneratorRuntime = r")(i)}},9861:function(t,e,n){"use strict";n("e260");var i=n("23e7"),r=n("d066"),o=n("0d3b"),a=n("6eeb"),s=n("e2cc"),l=n("d44e"),u=n("9ed3"),c=n("69f3"),d=n("19aa"),h=n("5135"),f=n("0366"),p=n("f5df"),m=n("825a"),v=n("861d"),g=n("7c73"),_=n("5c6c"),y=n("9a1f"),b=n("35a1"),w=n("b622"),x=r("fetch"),k=r("Headers"),S=w("iterator"),C="URLSearchParams",M=C+"Iterator",T=c.set,O=c.getterFor(C),A=c.getterFor(M),E=/\+/g,q=Array(4),L=function(t){return q[t-1]||(q[t-1]=RegExp("((?:%[\\da-f]{2}){"+t+"})","gi"))},D=function(t){try{return decodeURIComponent(t)}catch(e){return t}},P=function(t){var e=t.replace(E," "),n=4;try{return decodeURIComponent(e)}catch(t){for(;n;)e=e.replace(L(n--),D);return e}},R=/[!'()~]|%20/g,N={"!":"%21","'":"%27","(":"%28",")":"%29","~":"%7E","%20":"+"},I=function(t){return N[t]},j=function(t){return encodeURIComponent(t).replace(R,I)},$=function(t,e){if(e)for(var n,i,r=e.split("&"),o=0;o<r.length;)(n=r[o++]).length&&(i=n.split("="),t.push({key:P(i.shift()),value:P(i.join("="))}))},F=function(t){this.entries.length=0,$(this.entries,t)},B=function(t,e){if(t<e)throw TypeError("Not enough arguments")},z=u((function(t,e){T(this,{type:M,iterator:y(O(t).entries),kind:e})}),"Iterator",(function(){var t=A(this),e=t.kind,n=t.iterator.next(),i=n.value;return n.done||(n.value="keys"===e?i.key:"values"===e?i.value:[i.key,i.value]),n})),V=function(){d(this,V,C);var t,e,n,i,r,o,a,s,l,u=arguments.length>0?arguments[0]:void 0,c=[];if(T(this,{type:C,entries:c,updateURL:function(){},updateSearchParams:F}),void 0!==u)if(v(u))if("function"==typeof(t=b(u)))for(n=(e=t.call(u)).next;!(i=n.call(e)).done;){if((a=(o=(r=y(m(i.value))).next).call(r)).done||(s=o.call(r)).done||!o.call(r).done)throw TypeError("Expected sequence with length 2");c.push({key:a.value+"",value:s.value+""})}else for(l in u)h(u,l)&&c.push({key:l,value:u[l]+""});else $(c,"string"==typeof u?"?"===u.charAt(0)?u.slice(1):u:u+"")},H=V.prototype;s(H,{append:function(t,e){B(arguments.length,2);var n=O(this);n.entries.push({key:t+"",value:e+""}),n.updateURL()},delete:function(t){B(arguments.length,1);for(var e=O(this),n=e.entries,i=t+"",r=0;r<n.length;)n[r].key===i?n.splice(r,1):r++;e.updateURL()},get:function(t){B(arguments.length,1);for(var e=O(this).entries,n=t+"",i=0;i<e.length;i++)if(e[i].key===n)return e[i].value;return null},getAll:function(t){B(arguments.length,1);for(var e=O(this).entries,n=t+"",i=[],r=0;r<e.length;r++)e[r].key===n&&i.push(e[r].value);return i},has:function(t){B(arguments.length,1);for(var e=O(this).entries,n=t+"",i=0;i<e.length;)if(e[i++].key===n)return!0;return!1},set:function(t,e){B(arguments.length,1);for(var n,i=O(this),r=i.entries,o=!1,a=t+"",s=e+"",l=0;l<r.length;l++)(n=r[l]).key===a&&(o?r.splice(l--,1):(o=!0,n.value=s));o||r.push({key:a,value:s}),i.updateURL()},sort:function(){var t,e,n,i=O(this),r=i.entries,o=r.slice();for(r.length=0,n=0;n<o.length;n++){for(t=o[n],e=0;e<n;e++)if(r[e].key>t.key){r.splice(e,0,t);break}e===n&&r.push(t)}i.updateURL()},forEach:function(t){for(var e,n=O(this).entries,i=f(t,arguments.length>1?arguments[1]:void 0,3),r=0;r<n.length;)i((e=n[r++]).value,e.key,this)},keys:function(){return new z(this,"keys")},values:function(){return new z(this,"values")},entries:function(){return new z(this,"entries")}},{enumerable:!0}),a(H,S,H.entries),a(H,"toString",(function(){for(var t,e=O(this).entries,n=[],i=0;i<e.length;)t=e[i++],n.push(j(t.key)+"="+j(t.value));return n.join("&")}),{enumerable:!0}),l(V,C),i({global:!0,forced:!o},{URLSearchParams:V}),o||"function"!=typeof x||"function"!=typeof k||i({global:!0,enumerable:!0,forced:!0},{fetch:function(t){var e,n,i,r=[t];return arguments.length>1&&(v(e=arguments[1])&&(n=e.body,p(n)===C&&((i=e.headers?new k(e.headers):new k).has("content-type")||i.set("content-type","application/x-www-form-urlencoded;charset=UTF-8"),e=g(e,{body:_(0,String(n)),headers:_(0,i)}))),r.push(e)),x.apply(this,r)}}),t.exports={URLSearchParams:V,getState:O}},"99af":function(t,e,n){"use strict";var i=n("23e7"),r=n("d039"),o=n("e8b5"),a=n("861d"),s=n("7b0b"),l=n("50c4"),u=n("8418"),c=n("65f0"),d=n("1dde"),h=n("b622"),f=n("2d00"),p=h("isConcatSpreadable"),m=9007199254740991,v="Maximum allowed index exceeded",g=f>=51||!r((function(){var t=[];return t[p]=!1,t.concat()[0]!==t})),_=d("concat"),y=function(t){if(!a(t))return!1;var e=t[p];return void 0!==e?!!e:o(t)};i({target:"Array",proto:!0,forced:!g||!_},{concat:function(t){var e,n,i,r,o,a=s(this),d=c(a,0),h=0;for(e=-1,i=arguments.length;e<i;e++)if(y(o=-1===e?a:arguments[e])){if(h+(r=l(o.length))>m)throw TypeError(v);for(n=0;n<r;n++,h++)n in o&&u(d,h,o[n])}else{if(h>=m)throw TypeError(v);u(d,h++,o)}return d.length=h,d}})},"9a1f":function(t,e,n){var i=n("825a"),r=n("35a1");t.exports=function(t){var e=r(t);if("function"!=typeof e)throw TypeError(String(t)+" is not iterable");return i(e.call(t))}},"9bdd":function(t,e,n){var i=n("825a");t.exports=function(t,e,n,r){try{return r?e(i(n)[0],n[1]):e(n)}catch(e){var o=t.return;throw void 0!==o&&i(o.call(t)),e}}},"9bf2":function(t,e,n){var i=n("83ab"),r=n("0cfb"),o=n("825a"),a=n("c04e"),s=Object.defineProperty;e.f=i?s:function(t,e,n){if(o(t),e=a(e,!0),o(n),r)try{return s(t,e,n)}catch(t){}if("get"in n||"set"in n)throw TypeError("Accessors not supported");return"value"in n&&(t[e]=n.value),t}},"9ed3":function(t,e,n){"use strict";var i=n("ae93").IteratorPrototype,r=n("7c73"),o=n("5c6c"),a=n("d44e"),s=n("3f8c"),l=function(){return this};t.exports=function(t,e,n){var u=e+" Iterator";return t.prototype=r(i,{next:o(1,n)}),a(t,u,!1,!0),s[u]=l,t}},"9f7f":function(t,e,n){"use strict";var i=n("d039");function r(t,e){return RegExp(t,e)}e.UNSUPPORTED_Y=i((function(){var t=r("a","y");return t.lastIndex=2,null!=t.exec("abcd")})),e.BROKEN_CARET=i((function(){var t=r("^r","gy");return t.lastIndex=2,null!=t.exec("str")}))},a180:function(t,e,n){"use strict";n.d(e,"b",(function(){return o})),n.d(e,"a",(function(){return a}));n("96cf");var i=n("1da1"),r=n("c036"),o=function(){var t=Object(i.a)(regeneratorRuntime.mark((function t(e,n){var i,o;return regeneratorRuntime.wrap((function(t){for(;;)switch(t.prev=t.next){case 0:return(i=e()).postMessage(n,[n.data.buffer]),t.next=4,Object(r.a)(i,"message");case 4:return o=t.sent,i.terminate(),t.abrupt("return",o.data);case 7:case"end":return t.stop()}}),t)})));return function(e,n){return t.apply(this,arguments)}}(),a=function(t,e,n){var i=n.detectHandler,r=n.locateHandler,o=n.minDelay,a=null,s=null,l=performance.now(),u=t(),c=!1,d=!0;u.onmessage=function(t){c=!1;var e=t.data,n=e.content,o=e.location;null!==n&&n!==a&&i(t.data),o!==s&&r(o),a=n||a,s=o};return function t(n){if(d){if(window.requestAnimationFrame(t),n-l>=o&&(l=n,!1===c)){c=!0;var i=e.captureFrame();u.postMessage(i,[i.data.buffer])}}else u.terminate()}(),function(){d=!1}}},a434:function(t,e,n){"use strict";var i=n("23e7"),r=n("23cb"),o=n("a691"),a=n("50c4"),s=n("7b0b"),l=n("65f0"),u=n("8418"),c=n("1dde"),d=n("ae40"),h=c("splice"),f=d("splice",{ACCESSORS:!0,0:0,1:2}),p=Math.max,m=Math.min;i({target:"Array",proto:!0,forced:!h||!f},{splice:function(t,e){var n,i,c,d,h,f,v=s(this),g=a(v.length),_=r(t,g),y=arguments.length;if(0===y?n=i=0:1===y?(n=0,i=g-_):(n=y-2,i=m(p(o(e),0),g-_)),g+n-i>9007199254740991)throw TypeError("Maximum allowed length exceeded");for(c=l(v,i),d=0;d<i;d++)(h=_+d)in v&&u(c,d,v[h]);if(c.length=i,n<i){for(d=_;d<g-i;d++)f=d+n,(h=d+i)in v?v[f]=v[h]:delete v[f];for(d=g;d>g-i+n;d--)delete v[d-1]}else if(n>i)for(d=g-i;d>_;d--)f=d+n-1,(h=d+i-1)in v?v[f]=v[h]:delete v[f];for(d=0;d<n;d++)v[d+_]=arguments[d+2];return v.length=g-i+n,c}})},a4d3:function(t,e,n){"use strict";var i=n("23e7"),r=n("da84"),o=n("d066"),a=n("c430"),s=n("83ab"),l=n("4930"),u=n("fdbf"),c=n("d039"),d=n("5135"),h=n("e8b5"),f=n("861d"),p=n("825a"),m=n("7b0b"),v=n("fc6a"),g=n("c04e"),_=n("5c6c"),y=n("7c73"),b=n("df75"),w=n("241c"),x=n("057f"),k=n("7418"),S=n("06cf"),C=n("9bf2"),M=n("d1e7"),T=n("9112"),O=n("6eeb"),A=n("5692"),E=n("f772"),q=n("d012"),L=n("90e3"),D=n("b622"),P=n("e538"),R=n("746f"),N=n("d44e"),I=n("69f3"),j=n("b727").forEach,$=E("hidden"),F="Symbol",B="prototype",z=D("toPrimitive"),V=I.set,H=I.getterFor(F),U=Object[B],W=r.Symbol,Y=o("JSON","stringify"),Q=S.f,G=C.f,K=x.f,Z=M.f,J=A("symbols"),X=A("op-symbols"),tt=A("string-to-symbol-registry"),et=A("symbol-to-string-registry"),nt=A("wks"),it=r.QObject,rt=!it||!it[B]||!it[B].findChild,ot=s&&c((function(){return 7!=y(G({},"a",{get:function(){return G(this,"a",{value:7}).a}})).a}))?function(t,e,n){var i=Q(U,e);i&&delete U[e],G(t,e,n),i&&t!==U&&G(U,e,i)}:G,at=function(t,e){var n=J[t]=y(W[B]);return V(n,{type:F,tag:t,description:e}),s||(n.description=e),n},st=u?function(t){return"symbol"==typeof t}:function(t){return Object(t)instanceof W},lt=function(t,e,n){t===U&&lt(X,e,n),p(t);var i=g(e,!0);return p(n),d(J,i)?(n.enumerable?(d(t,$)&&t[$][i]&&(t[$][i]=!1),n=y(n,{enumerable:_(0,!1)})):(d(t,$)||G(t,$,_(1,{})),t[$][i]=!0),ot(t,i,n)):G(t,i,n)},ut=function(t,e){p(t);var n=v(e),i=b(n).concat(ft(n));return j(i,(function(e){s&&!ct.call(n,e)||lt(t,e,n[e])})),t},ct=function(t){var e=g(t,!0),n=Z.call(this,e);return!(this===U&&d(J,e)&&!d(X,e))&&(!(n||!d(this,e)||!d(J,e)||d(this,$)&&this[$][e])||n)},dt=function(t,e){var n=v(t),i=g(e,!0);if(n!==U||!d(J,i)||d(X,i)){var r=Q(n,i);return!r||!d(J,i)||d(n,$)&&n[$][i]||(r.enumerable=!0),r}},ht=function(t){var e=K(v(t)),n=[];return j(e,(function(t){d(J,t)||d(q,t)||n.push(t)})),n},ft=function(t){var e=t===U,n=K(e?X:v(t)),i=[];return j(n,(function(t){!d(J,t)||e&&!d(U,t)||i.push(J[t])})),i};(l||(W=function(){if(this instanceof W)throw TypeError("Symbol is not a constructor");var t=arguments.length&&void 0!==arguments[0]?String(arguments[0]):void 0,e=L(t),n=function(t){this===U&&n.call(X,t),d(this,$)&&d(this[$],e)&&(this[$][e]=!1),ot(this,e,_(1,t))};return s&&rt&&ot(U,e,{configurable:!0,set:n}),at(e,t)},O(W[B],"toString",(function(){return H(this).tag})),O(W,"withoutSetter",(function(t){return at(L(t),t)})),M.f=ct,C.f=lt,S.f=dt,w.f=x.f=ht,k.f=ft,P.f=function(t){return at(D(t),t)},s&&(G(W[B],"description",{configurable:!0,get:function(){return H(this).description}}),a||O(U,"propertyIsEnumerable",ct,{unsafe:!0}))),i({global:!0,wrap:!0,forced:!l,sham:!l},{Symbol:W}),j(b(nt),(function(t){R(t)})),i({target:F,stat:!0,forced:!l},{for:function(t){var e=String(t);if(d(tt,e))return tt[e];var n=W(e);return tt[e]=n,et[n]=e,n},keyFor:function(t){if(!st(t))throw TypeError(t+" is not a symbol");if(d(et,t))return et[t]},useSetter:function(){rt=!0},useSimple:function(){rt=!1}}),i({target:"Object",stat:!0,forced:!l,sham:!s},{create:function(t,e){return void 0===e?y(t):ut(y(t),e)},defineProperty:lt,defineProperties:ut,getOwnPropertyDescriptor:dt}),i({target:"Object",stat:!0,forced:!l},{getOwnPropertyNames:ht,getOwnPropertySymbols:ft}),i({target:"Object",stat:!0,forced:c((function(){k.f(1)}))},{getOwnPropertySymbols:function(t){return k.f(m(t))}}),Y)&&i({target:"JSON",stat:!0,forced:!l||c((function(){var t=W();return"[null]"!=Y([t])||"{}"!=Y({a:t})||"{}"!=Y(Object(t))}))},{stringify:function(t,e,n){for(var i,r=[t],o=1;arguments.length>o;)r.push(arguments[o++]);if(i=e,(f(e)||void 0!==t)&&!st(t))return h(e)||(e=function(t,e){if("function"==typeof i&&(e=i.call(this,t,e)),!st(e))return e}),r[1]=e,Y.apply(null,r)}});W[B][z]||T(W[B],z,W[B].valueOf),N(W,F),q[$]=!0},a630:function(t,e,n){var i=n("23e7"),r=n("4df4");i({target:"Array",stat:!0,forced:!n("1c7e")((function(t){Array.from(t)}))},{from:r})},a640:function(t,e,n){"use strict";var i=n("d039");t.exports=function(t,e){var n=[][t];return!!n&&i((function(){n.call(null,e||function(){throw 1},1)}))}},a691:function(t,e){var n=Math.ceil,i=Math.floor;t.exports=function(t){return isNaN(t=+t)?0:(t>0?i:n)(t)}},ab13:function(t,e,n){var i=n("b622")("match");t.exports=function(t){var e=/./;try{"/./"[t](e)}catch(n){try{return e[i]=!1,"/./"[t](e)}catch(t){}}return!1}},ac1f:function(t,e,n){"use strict";var i=n("23e7"),r=n("9263");i({target:"RegExp",proto:!0,forced:/./.exec!==r},{exec:r})},ad6d:function(t,e,n){"use strict";var i=n("825a");t.exports=function(){var t=i(this),e="";return t.global&&(e+="g"),t.ignoreCase&&(e+="i"),t.multiline&&(e+="m"),t.dotAll&&(e+="s"),t.unicode&&(e+="u"),t.sticky&&(e+="y"),e}},ae40:function(t,e,n){var i=n("83ab"),r=n("d039"),o=n("5135"),a=Object.defineProperty,s={},l=function(t){throw t};t.exports=function(t,e){if(o(s,t))return s[t];e||(e={});var n=[][t],u=!!o(e,"ACCESSORS")&&e.ACCESSORS,c=o(e,0)?e[0]:l,d=o(e,1)?e[1]:void 0;return s[t]=!!n&&!r((function(){if(u&&!i)return!0;var t={length:-1};u?a(t,1,{enumerable:!0,get:l}):t[1]=1,n.call(t,c,d)}))}},ae93:function(t,e,n){"use strict";var i,r,o,a=n("e163"),s=n("9112"),l=n("5135"),u=n("b622"),c=n("c430"),d=u("iterator"),h=!1;[].keys&&("next"in(o=[].keys())?(r=a(a(o)))!==Object.prototype&&(i=r):h=!0),null==i&&(i={}),c||l(i,d)||s(i,d,(function(){return this})),t.exports={IteratorPrototype:i,BUGGY_SAFARI_ITERATORS:h}},b041:function(t,e,n){"use strict";var i=n("00ee"),r=n("f5df");t.exports=i?{}.toString:function(){return"[object "+r(this)+"]"}},b0c0:function(t,e,n){var i=n("83ab"),r=n("9bf2").f,o=Function.prototype,a=o.toString,s=/^\s*function ([^ (]*)/,l="name";i&&!(l in o)&&r(o,l,{configurable:!0,get:function(){try{return a.call(this).match(s)[1]}catch(t){return""}}})},b3af:function(t,e,n){"use strict";n("96cf");var i=n("1da1"),r={methods:{onDetect:function(t){var e=this;return Object(i.a)(regeneratorRuntime.mark((function n(){var i,r;return regeneratorRuntime.wrap((function(n){for(;;)switch(n.prev=n.next){case 0:return e.$emit("detect",t),n.prev=1,n.next=4,t;case 4:i=n.sent,null!==(r=i.content)&&e.$emit("decode",r),n.next=11;break;case 9:n.prev=9,n.t0=n.catch(1);case 11:case"end":return n.stop()}}),n,null,[[1,9]])})))()}}},o=n("2877"),a=Object(o.a)(r,undefined,undefined,!1,null,null,null);e.a=a.exports},b575:function(t,e,n){var i,r,o,a,s,l,u,c,d=n("da84"),h=n("06cf").f,f=n("c6b6"),p=n("2cf4").set,m=n("1cdc"),v=d.MutationObserver||d.WebKitMutationObserver,g=d.process,_=d.Promise,y="process"==f(g),b=h(d,"queueMicrotask"),w=b&&b.value;w||(i=function(){var t,e;for(y&&(t=g.domain)&&t.exit();r;){e=r.fn,r=r.next;try{e()}catch(t){throw r?a():o=void 0,t}}o=void 0,t&&t.enter()},y?a=function(){g.nextTick(i)}:v&&!m?(s=!0,l=document.createTextNode(""),new v(i).observe(l,{characterData:!0}),a=function(){l.data=s=!s}):_&&_.resolve?(u=_.resolve(void 0),c=u.then,a=function(){c.call(u,i)}):a=function(){p.call(d,i)}),t.exports=w||function(t){var e={fn:t,next:void 0};o&&(o.next=e),r||(r=e,a()),o=e}},b622:function(t,e,n){var i=n("da84"),r=n("5692"),o=n("5135"),a=n("90e3"),s=n("4930"),l=n("fdbf"),u=r("wks"),c=i.Symbol,d=l?c:c&&c.withoutSetter||a;t.exports=function(t){return o(u,t)||(s&&o(c,t)?u[t]=c[t]:u[t]=d("Symbol."+t)),u[t]}},b635:function(t,e,n){"use strict";(function(t){n.d(e,"e",(function(){return a}));var i=n("0d0e");n.d(e,"c",(function(){return i.a}));var r=n("5c0b");n.d(e,"a",(function(){return r.a}));var o=n("fe6b");function a(t){t.component("qrcode-stream",i.a),t.component("qrcode-capture",r.a),t.component("qrcode-drop-zone",o.a)}n.d(e,"b",(function(){return o.a}));var s={install:a};e.d=s;var l=null;"undefined"!=typeof window?l=window.Vue:void 0!==t&&(l=t.Vue),l&&l.use(s)}).call(this,n("c8ba"))},b64b:function(t,e,n){var i=n("23e7"),r=n("7b0b"),o=n("df75");i({target:"Object",stat:!0,forced:n("d039")((function(){o(1)}))},{keys:function(t){return o(r(t))}})},b727:function(t,e,n){var i=n("0366"),r=n("44ad"),o=n("7b0b"),a=n("50c4"),s=n("65f0"),l=[].push,u=function(t){var e=1==t,n=2==t,u=3==t,c=4==t,d=6==t,h=5==t||d;return function(f,p,m,v){for(var g,_,y=o(f),b=r(y),w=i(p,m,3),x=a(b.length),k=0,S=v||s,C=e?S(f,x):n?S(f,0):void 0;x>k;k++)if((h||k in b)&&(_=w(g=b[k],k,y),t))if(e)C[k]=_;else if(_)switch(t){case 3:return!0;case 5:return g;case 6:return k;case 2:l.call(C,g)}else if(c)return!1;return d?-1:u||c?c:C}};t.exports={forEach:u(0),map:u(1),filter:u(2),some:u(3),every:u(4),find:u(5),findIndex:u(6)}},bb2f:function(t,e,n){var i=n("d039");t.exports=!i((function(){return Object.isExtensible(Object.preventExtensions({}))}))},c036:function(t,e,n){"use strict";function i(t,e,n){var i,r;void 0===n&&(n="error");var o=new Promise((function(t,e){i=t,r=e}));return t.addEventListener(e,i),t.addEventListener(n,r),o.finally((function(){t.removeEventListener(e,i),t.removeEventListener(n,r)})),o}function r(t){return new Promise((function(e){return setTimeout(e,t)}))}n.d(e,"a",(function(){return i})),n.d(e,"b",(function(){return r}))},c04e:function(t,e,n){var i=n("861d");t.exports=function(t,e){if(!i(t))return t;var n,r;if(e&&"function"==typeof(n=t.toString)&&!i(r=n.call(t)))return r;if("function"==typeof(n=t.valueOf)&&!i(r=n.call(t)))return r;if(!e&&"function"==typeof(n=t.toString)&&!i(r=n.call(t)))return r;throw TypeError("Can't convert object to primitive value")}},c244:function(t,e,n){"use strict";var i=n("2493");n.n(i).a},c430:function(t,e){t.exports=!1},c6b6:function(t,e){var n={}.toString;t.exports=function(t){return n.call(t).slice(8,-1)}},c6cd:function(t,e,n){var i=n("da84"),r=n("ce4e"),o="__core-js_shared__",a=i[o]||r(o,{});t.exports=a},c8ba:function(t,e){var n;n=function(){return this}();try{n=n||new Function("return this")()}catch(t){"object"==typeof window&&(n=window)}t.exports=n},c8d2:function(t,e,n){var i=n("d039"),r=n("5899");t.exports=function(t){return i((function(){return!!r[t]()||"​᠎"!="​᠎"[t]()||r[t].name!==t}))}},c975:function(t,e,n){"use strict";var i=n("23e7"),r=n("4d64").indexOf,o=n("a640"),a=n("ae40"),s=[].indexOf,l=!!s&&1/[1].indexOf(1,-0)<0,u=o("indexOf"),c=a("indexOf",{ACCESSORS:!0,1:0});i({target:"Array",proto:!0,forced:l||!u||!c},{indexOf:function(t){return l?s.apply(this,arguments)||0:r(this,t,arguments.length>1?arguments[1]:void 0)}})},ca84:function(t,e,n){var i=n("5135"),r=n("fc6a"),o=n("4d64").indexOf,a=n("d012");t.exports=function(t,e){var n,s=r(t),l=0,u=[];for(n in s)!i(a,n)&&i(s,n)&&u.push(n);for(;e.length>l;)i(s,n=e[l++])&&(~o(u,n)||u.push(n));return u}},caad:function(t,e,n){"use strict";var i=n("23e7"),r=n("4d64").includes,o=n("44d2");i({target:"Array",proto:!0,forced:!n("ae40")("indexOf",{ACCESSORS:!0,1:0})},{includes:function(t){return r(this,t,arguments.length>1?arguments[1]:void 0)}}),o("includes")},cc12:function(t,e,n){var i=n("da84"),r=n("861d"),o=i.document,a=r(o)&&r(o.createElement);t.exports=function(t){return a?o.createElement(t):{}}},cca6:function(t,e,n){var i=n("23e7"),r=n("60da");i({target:"Object",stat:!0,forced:Object.assign!==r},{assign:r})},cdf9:function(t,e,n){var i=n("825a"),r=n("861d"),o=n("f069");t.exports=function(t,e){if(i(t),r(e)&&e.constructor===t)return e;var n=o.f(t);return(0,n.resolve)(e),n.promise}},ce4e:function(t,e,n){var i=n("da84"),r=n("9112");t.exports=function(t,e){try{r(i,t,e)}catch(n){i[t]=e}return e}},d012:function(t,e){t.exports={}},d039:function(t,e){t.exports=function(t){try{return!!t()}catch(t){return!0}}},d066:function(t,e,n){var i=n("428f"),r=n("da84"),o=function(t){return"function"==typeof t?t:void 0};t.exports=function(t,e){return arguments.length<2?o(i[t])||o(r[t]):i[t]&&i[t][e]||r[t]&&r[t][e]}},d1e7:function(t,e,n){"use strict";var i={}.propertyIsEnumerable,r=Object.getOwnPropertyDescriptor,o=r&&!i.call({1:2},1);e.f=o?function(t){var e=r(this,t);return!!e&&e.enumerable}:i},d28b:function(t,e,n){n("746f")("iterator")},d2bb:function(t,e,n){var i=n("825a"),r=n("3bbe");t.exports=Object.setPrototypeOf||("__proto__"in{}?function(){var t,e=!1,n={};try{(t=Object.getOwnPropertyDescriptor(Object.prototype,"__proto__").set).call(n,[]),e=n instanceof Array}catch(t){}return function(n,o){return i(n),r(o),e?t.call(n,o):n.__proto__=o,n}}():void 0)},d3b7:function(t,e,n){var i=n("00ee"),r=n("6eeb"),o=n("b041");i||r(Object.prototype,"toString",o,{unsafe:!0})},d44e:function(t,e,n){var i=n("9bf2").f,r=n("5135"),o=n("b622")("toStringTag");t.exports=function(t,e,n){t&&!r(t=n?t:t.prototype,o)&&i(t,o,{configurable:!0,value:e})}},d4ec:function(t,e,n){"use strict";function i(t,e){if(!(t instanceof e))throw new TypeError("Cannot call a class as a function")}n.d(e,"a",(function(){return i}))},d58f:function(t,e,n){var i=n("1c0b"),r=n("7b0b"),o=n("44ad"),a=n("50c4"),s=function(t){return function(e,n,s,l){i(n);var u=r(e),c=o(u),d=a(u.length),h=t?d-1:0,f=t?-1:1;if(s<2)for(;;){if(h in c){l=c[h],h+=f;break}if(h+=f,t?h<0:d<=h)throw TypeError("Reduce of empty array with no initial value")}for(;t?h>=0:d>h;h+=f)h in c&&(l=n(l,c[h],h,u));return l}};t.exports={left:s(!1),right:s(!0)}},d784:function(t,e,n){"use strict";n("ac1f");var i=n("6eeb"),r=n("d039"),o=n("b622"),a=n("9263"),s=n("9112"),l=o("species"),u=!r((function(){var t=/./;return t.exec=function(){var t=[];return t.groups={a:"7"},t},"7"!=="".replace(t,"$<a>")})),c="$0"==="a".replace(/./,"$0"),d=o("replace"),h=!!/./[d]&&""===/./[d]("a","$0"),f=!r((function(){var t=/(?:)/,e=t.exec;t.exec=function(){return e.apply(this,arguments)};var n="ab".split(t);return 2!==n.length||"a"!==n[0]||"b"!==n[1]}));t.exports=function(t,e,n,d){var p=o(t),m=!r((function(){var e={};return e[p]=function(){return 7},7!=""[t](e)})),v=m&&!r((function(){var e=!1,n=/a/;return"split"===t&&((n={}).constructor={},n.constructor[l]=function(){return n},n.flags="",n[p]=/./[p]),n.exec=function(){return e=!0,null},n[p](""),!e}));if(!m||!v||"replace"===t&&(!u||!c||h)||"split"===t&&!f){var g=/./[p],_=n(p,""[t],(function(t,e,n,i,r){return e.exec===a?m&&!r?{done:!0,value:g.call(e,n,i)}:{done:!0,value:t.call(n,e,i)}:{done:!1}}),{REPLACE_KEEPS_$0:c,REGEXP_REPLACE_SUBSTITUTES_UNDEFINED_CAPTURE:h}),y=_[0],b=_[1];i(String.prototype,t,y),i(RegExp.prototype,p,2==e?function(t,e){return b.call(t,this,e)}:function(t){return b.call(t,this)})}d&&s(RegExp.prototype[p],"sham",!0)}},d81d:function(t,e,n){"use strict";var i=n("23e7"),r=n("b727").map,o=n("1dde"),a=n("ae40"),s=o("map"),l=a("map");i({target:"Array",proto:!0,forced:!s||!l},{map:function(t){return r(this,t,arguments.length>1?arguments[1]:void 0)}})},da84:function(t,e,n){(function(e){var n=function(t){return t&&t.Math==Math&&t};t.exports=n("object"==typeof globalThis&&globalThis)||n("object"==typeof window&&window)||n("object"==typeof self&&self)||n("object"==typeof e&&e)||Function("return this")()}).call(this,n("c8ba"))},dbb4:function(t,e,n){var i=n("23e7"),r=n("83ab"),o=n("56ef"),a=n("fc6a"),s=n("06cf"),l=n("8418");i({target:"Object",stat:!0,sham:!r},{getOwnPropertyDescriptors:function(t){for(var e,n,i=a(t),r=s.f,u=o(i),c={},d=0;u.length>d;)void 0!==(n=r(i,e=u[d++]))&&l(c,e,n);return c}})},ddb0:function(t,e,n){var i=n("da84"),r=n("fdbc"),o=n("e260"),a=n("9112"),s=n("b622"),l=s("iterator"),u=s("toStringTag"),c=o.values;for(var d in r){var h=i[d],f=h&&h.prototype;if(f){if(f[l]!==c)try{a(f,l,c)}catch(t){f[l]=c}if(f[u]||a(f,u,d),r[d])for(var p in o)if(f[p]!==o[p])try{a(f,p,o[p])}catch(t){f[p]=o[p]}}}},df75:function(t,e,n){var i=n("ca84"),r=n("7839");t.exports=Object.keys||function(t){return i(t,r)}},e01a:function(t,e,n){"use strict";var i=n("23e7"),r=n("83ab"),o=n("da84"),a=n("5135"),s=n("861d"),l=n("9bf2").f,u=n("e893"),c=o.Symbol;if(r&&"function"==typeof c&&(!("description"in c.prototype)||void 0!==c().description)){var d={},h=function(){var t=arguments.length<1||void 0===arguments[0]?void 0:String(arguments[0]),e=this instanceof h?new c(t):void 0===t?c():c(t);return""===t&&(d[e]=!0),e};u(h,c);var f=h.prototype=c.prototype;f.constructor=h;var p=f.toString,m="Symbol(test)"==String(c("test")),v=/^Symbol\((.*)\)[^)]+$/;l(f,"description",{configurable:!0,get:function(){var t=s(this)?this.valueOf():this,e=p.call(t);if(a(d,t))return"";var n=m?e.slice(7,-1):e.replace(v,"$1");return""===n?void 0:n}}),i({global:!0,forced:!0},{Symbol:h})}},e163:function(t,e,n){var i=n("5135"),r=n("7b0b"),o=n("f772"),a=n("e177"),s=o("IE_PROTO"),l=Object.prototype;t.exports=a?Object.getPrototypeOf:function(t){return t=r(t),i(t,s)?t[s]:"function"==typeof t.constructor&&t instanceof t.constructor?t.constructor.prototype:t instanceof Object?l:null}},e177:function(t,e,n){var i=n("d039");t.exports=!i((function(){function t(){}return t.prototype.constructor=null,Object.getPrototypeOf(new t)!==t.prototype}))},e260:function(t,e,n){"use strict";var i=n("fc6a"),r=n("44d2"),o=n("3f8c"),a=n("69f3"),s=n("7dd0"),l="Array Iterator",u=a.set,c=a.getterFor(l);t.exports=s(Array,"Array",(function(t,e){u(this,{type:l,target:i(t),index:0,kind:e})}),(function(){var t=c(this),e=t.target,n=t.kind,i=t.index++;return!e||i>=e.length?(t.target=void 0,{value:void 0,done:!0}):"keys"==n?{value:i,done:!1}:"values"==n?{value:e[i],done:!1}:{value:[i,e[i]],done:!1}}),"values"),o.Arguments=o.Array,r("keys"),r("values"),r("entries")},e2cc:function(t,e,n){var i=n("6eeb");t.exports=function(t,e,n){for(var r in e)i(t,r,e[r],n);return t}},e439:function(t,e,n){var i=n("23e7"),r=n("d039"),o=n("fc6a"),a=n("06cf").f,s=n("83ab"),l=r((function(){a(1)}));i({target:"Object",stat:!0,forced:!s||l,sham:!s},{getOwnPropertyDescriptor:function(t,e){return a(o(t),e)}})},e538:function(t,e,n){var i=n("b622");e.f=i},e667:function(t,e){t.exports=function(t){try{return{error:!1,value:t()}}catch(t){return{error:!0,value:t}}}},e6cf:function(t,e,n){"use strict";var i,r,o,a,s=n("23e7"),l=n("c430"),u=n("da84"),c=n("d066"),d=n("fea9"),h=n("6eeb"),f=n("e2cc"),p=n("d44e"),m=n("2626"),v=n("861d"),g=n("1c0b"),_=n("19aa"),y=n("c6b6"),b=n("8925"),w=n("2266"),x=n("1c7e"),k=n("4840"),S=n("2cf4").set,C=n("b575"),M=n("cdf9"),T=n("44de"),O=n("f069"),A=n("e667"),E=n("69f3"),q=n("94ca"),L=n("b622"),D=n("2d00"),P=L("species"),R="Promise",N=E.get,I=E.set,j=E.getterFor(R),$=d,F=u.TypeError,B=u.document,z=u.process,V=c("fetch"),H=O.f,U=H,W="process"==y(z),Y=!!(B&&B.createEvent&&u.dispatchEvent),Q="unhandledrejection",G=q(R,(function(){if(!(b($)!==String($))){if(66===D)return!0;if(!W&&"function"!=typeof PromiseRejectionEvent)return!0}if(l&&!$.prototype.finally)return!0;if(D>=51&&/native code/.test($))return!1;var t=$.resolve(1),e=function(t){t((function(){}),(function(){}))};return(t.constructor={})[P]=e,!(t.then((function(){}))instanceof e)})),K=G||!x((function(t){$.all(t).catch((function(){}))})),Z=function(t){var e;return!(!v(t)||"function"!=typeof(e=t.then))&&e},J=function(t,e,n){if(!e.notified){e.notified=!0;var i=e.reactions;C((function(){for(var r=e.value,o=1==e.state,a=0;i.length>a;){var s,l,u,c=i[a++],d=o?c.ok:c.fail,h=c.resolve,f=c.reject,p=c.domain;try{d?(o||(2===e.rejection&&nt(t,e),e.rejection=1),!0===d?s=r:(p&&p.enter(),s=d(r),p&&(p.exit(),u=!0)),s===c.promise?f(F("Promise-chain cycle")):(l=Z(s))?l.call(s,h,f):h(s)):f(r)}catch(t){p&&!u&&p.exit(),f(t)}}e.reactions=[],e.notified=!1,n&&!e.rejection&&tt(t,e)}))}},X=function(t,e,n){var i,r;Y?((i=B.createEvent("Event")).promise=e,i.reason=n,i.initEvent(t,!1,!0),u.dispatchEvent(i)):i={promise:e,reason:n},(r=u["on"+t])?r(i):t===Q&&T("Unhandled promise rejection",n)},tt=function(t,e){S.call(u,(function(){var n,i=e.value;if(et(e)&&(n=A((function(){W?z.emit("unhandledRejection",i,t):X(Q,t,i)})),e.rejection=W||et(e)?2:1,n.error))throw n.value}))},et=function(t){return 1!==t.rejection&&!t.parent},nt=function(t,e){S.call(u,(function(){W?z.emit("rejectionHandled",t):X("rejectionhandled",t,e.value)}))},it=function(t,e,n,i){return function(r){t(e,n,r,i)}},rt=function(t,e,n,i){e.done||(e.done=!0,i&&(e=i),e.value=n,e.state=2,J(t,e,!0))},ot=function(t,e,n,i){if(!e.done){e.done=!0,i&&(e=i);try{if(t===n)throw F("Promise can't be resolved itself");var r=Z(n);r?C((function(){var i={done:!1};try{r.call(n,it(ot,t,i,e),it(rt,t,i,e))}catch(n){rt(t,i,n,e)}})):(e.value=n,e.state=1,J(t,e,!1))}catch(n){rt(t,{done:!1},n,e)}}};G&&($=function(t){_(this,$,R),g(t),i.call(this);var e=N(this);try{t(it(ot,this,e),it(rt,this,e))}catch(t){rt(this,e,t)}},(i=function(t){I(this,{type:R,done:!1,notified:!1,parent:!1,reactions:[],rejection:!1,state:0,value:void 0})}).prototype=f($.prototype,{then:function(t,e){var n=j(this),i=H(k(this,$));return i.ok="function"!=typeof t||t,i.fail="function"==typeof e&&e,i.domain=W?z.domain:void 0,n.parent=!0,n.reactions.push(i),0!=n.state&&J(this,n,!1),i.promise},catch:function(t){return this.then(void 0,t)}}),r=function(){var t=new i,e=N(t);this.promise=t,this.resolve=it(ot,t,e),this.reject=it(rt,t,e)},O.f=H=function(t){return t===$||t===o?new r(t):U(t)},l||"function"!=typeof d||(a=d.prototype.then,h(d.prototype,"then",(function(t,e){var n=this;return new $((function(t,e){a.call(n,t,e)})).then(t,e)}),{unsafe:!0}),"function"==typeof V&&s({global:!0,enumerable:!0,forced:!0},{fetch:function(t){return M($,V.apply(u,arguments))}}))),s({global:!0,wrap:!0,forced:G},{Promise:$}),p($,R,!1,!0),m(R),o=c(R),s({target:R,stat:!0,forced:G},{reject:function(t){var e=H(this);return e.reject.call(void 0,t),e.promise}}),s({target:R,stat:!0,forced:l||G},{resolve:function(t){return M(l&&this===o?$:this,t)}}),s({target:R,stat:!0,forced:K},{all:function(t){var e=this,n=H(e),i=n.resolve,r=n.reject,o=A((function(){var n=g(e.resolve),o=[],a=0,s=1;w(t,(function(t){var l=a++,u=!1;o.push(void 0),s++,n.call(e,t).then((function(t){u||(u=!0,o[l]=t,--s||i(o))}),r)})),--s||i(o)}));return o.error&&r(o.value),n.promise},race:function(t){var e=this,n=H(e),i=n.reject,r=A((function(){var r=g(e.resolve);w(t,(function(t){r.call(e,t).then(n.resolve,i)}))}));return r.error&&i(r.value),n.promise}})},e893:function(t,e,n){var i=n("5135"),r=n("56ef"),o=n("06cf"),a=n("9bf2");t.exports=function(t,e){for(var n=r(e),s=a.f,l=o.f,u=0;u<n.length;u++){var c=n[u];i(t,c)||s(t,c,l(e,c))}}},e8b5:function(t,e,n){var i=n("c6b6");t.exports=Array.isArray||function(t){return"Array"==i(t)}},e95a:function(t,e,n){var i=n("b622"),r=n("3f8c"),o=i("iterator"),a=Array.prototype;t.exports=function(t){return void 0!==t&&(r.Array===t||a[o]===t)}},ede3:function(t,e,n){(e=n("24fb")(!1)).push([t.i,".qrcode-stream-wrapper[data-v-7a81005d]{width:100%;height:100%;position:relative;z-index:0}.qrcode-stream-overlay[data-v-7a81005d]{width:100%;height:100%;position:absolute;top:0;left:0}.qrcode-stream-camera[data-v-7a81005d]{width:100%;height:100%;display:block;-o-object-fit:cover;object-fit:cover}",""]),t.exports=e},f069:function(t,e,n){"use strict";var i=n("1c0b"),r=function(t){var e,n;this.promise=new t((function(t,i){if(void 0!==e||void 0!==n)throw TypeError("Bad Promise constructor");e=t,n=i})),this.resolve=i(e),this.reject=i(n)};t.exports.f=function(t){return new r(t)}},f183:function(t,e,n){var i=n("d012"),r=n("861d"),o=n("5135"),a=n("9bf2").f,s=n("90e3"),l=n("bb2f"),u=s("meta"),c=0,d=Object.isExtensible||function(){return!0},h=function(t){a(t,u,{value:{objectID:"O"+ ++c,weakData:{}}})},f=t.exports={REQUIRED:!1,fastKey:function(t,e){if(!r(t))return"symbol"==typeof t?t:("string"==typeof t?"S":"P")+t;if(!o(t,u)){if(!d(t))return"F";if(!e)return"E";h(t)}return t[u].objectID},getWeakData:function(t,e){if(!o(t,u)){if(!d(t))return!0;if(!e)return!1;h(t)}return t[u].weakData},onFreeze:function(t){return l&&f.REQUIRED&&d(t)&&!o(t,u)&&h(t),t}};i[u]=!0},f5df:function(t,e,n){var i=n("00ee"),r=n("c6b6"),o=n("b622")("toStringTag"),a="Arguments"==r(function(){return arguments}());t.exports=i?r:function(t){var e,n,i;return void 0===t?"Undefined":null===t?"Null":"string"==typeof(n=function(t,e){try{return t[e]}catch(t){}}(e=Object(t),o))?n:a?r(e):"Object"==(i=r(e))&&"function"==typeof e.callee?"Arguments":i}},f718:function(t,e,n){"use strict";n.d(e,"c",(function(){return u})),n.d(e,"b",(function(){return c})),n.d(e,"a",(function(){return h}));n("caad"),n("2532"),n("2ca0"),n("96cf");var i=n("1da1"),r=n("1cc0"),o=n("c036"),a=document.createElement("canvas"),s=a.getContext("2d");function l(t,e,n){var i=Math.min(1,a.width/e,a.height/n),r=i*e,o=i*n;return s.drawImage(t,0,0,r,o),s.getImageData(0,0,r,o)}function u(t){return l(t,t.videoWidth,t.videoHeight)}function c(t){return d.apply(this,arguments)}function d(){return(d=Object(i.a)(regeneratorRuntime.mark((function t(e){var n;return regeneratorRuntime.wrap((function(t){for(;;)switch(t.prev=t.next){case 0:if(!e.startsWith("http")||!1!==e.includes(location.host)){t.next=2;break}throw new r.b;case 2:return(n=document.createElement("img")).src=e,t.next=6,Object(o.a)(n,"load");case 6:return t.abrupt("return",l(i=n,i.naturalWidth,i.naturalHeight));case 7:case"end":return t.stop()}var i}),t)})))).apply(this,arguments)}function h(t){return f.apply(this,arguments)}function f(){return(f=Object(i.a)(regeneratorRuntime.mark((function t(e){var n,i,a;return regeneratorRuntime.wrap((function(t){for(;;)switch(t.prev=t.next){case 0:if(!/image.*/.test(e.type)){t.next=10;break}return(n=new FileReader).readAsDataURL(e),t.next=5,Object(o.a)(n,"load");case 5:return i=t.sent,a=i.target.result,t.abrupt("return",c(a));case 10:throw new r.a;case 11:case"end":return t.stop()}}),t)})))).apply(this,arguments)}a.width=1920,a.height=1080},f772:function(t,e,n){var i=n("5692"),r=n("90e3"),o=i("keys");t.exports=function(t){return o[t]||(o[t]=r(t))}},fb15:function(t,e,n){"use strict";if(n.r(e),n.d(e,"install",(function(){return a.e})),n.d(e,"QrcodeStream",(function(){return a.c})),n.d(e,"QrcodeCapture",(function(){return a.a})),n.d(e,"QrcodeDropZone",(function(){return a.b})),"undefined"!=typeof window){var i=window.document.currentScript,r=n("8875");i=r(),"currentScript"in document||Object.defineProperty(document,"currentScript",{get:r});var o=i&&i.src.match(/(.+\/)[^/]+\.js(\?.*)?$/);o&&(n.p=o[1])}var a=n("b635");e.default=a.d},fb6a:function(t,e,n){"use strict";var i=n("23e7"),r=n("861d"),o=n("e8b5"),a=n("23cb"),s=n("50c4"),l=n("fc6a"),u=n("8418"),c=n("b622"),d=n("1dde"),h=n("ae40"),f=d("slice"),p=h("slice",{ACCESSORS:!0,0:0,1:2}),m=c("species"),v=[].slice,g=Math.max;i({target:"Array",proto:!0,forced:!f||!p},{slice:function(t,e){var n,i,c,d=l(this),h=s(d.length),f=a(t,h),p=a(void 0===e?h:e,h);if(o(d)&&("function"!=typeof(n=d.constructor)||n!==Array&&!o(n.prototype)?r(n)&&null===(n=n[m])&&(n=void 0):n=void 0,n===Array||void 0===n))return v.call(d,f,p);for(i=new(void 0===n?Array:n)(g(p-f,0)),c=0;f<p;f++,c++)f in d&&u(i,c,d[f]);return i.length=c,i}})},fc6a:function(t,e,n){var i=n("44ad"),r=n("1d80");t.exports=function(t){return i(r(t))}},fdbc:function(t,e){t.exports={CSSRuleList:0,CSSStyleDeclaration:0,CSSValueList:0,ClientRectList:0,DOMRectList:0,DOMStringList:0,DOMTokenList:1,DataTransferItemList:0,FileList:0,HTMLAllCollection:0,HTMLCollection:0,HTMLFormElement:0,HTMLSelectElement:0,MediaList:0,MimeTypeArray:0,NamedNodeMap:0,NodeList:1,PaintRequestList:0,Plugin:0,PluginArray:0,SVGLengthList:0,SVGNumberList:0,SVGPathSegList:0,SVGPointList:0,SVGStringList:0,SVGTransformList:0,SourceBufferList:0,StyleSheetList:0,TextTrackCueList:0,TextTrackList:0,TouchList:0}},fdbf:function(t,e,n){var i=n("4930");t.exports=i&&!Symbol.sham&&"symbol"==typeof Symbol.iterator},fe6b:function(t,e,n){"use strict";n("4160"),n("159b"),n("96cf");var i=n("1da1"),r=n("2909"),o=n("a180"),a=n("f718"),s=n("b3af"),l=n("3c85"),u={name:"qrcode-drop-zone",mixins:[s.a],props:{worker:{type:Function,default:l.a}},methods:{onDragOver:function(t){this.$emit("dragover",t)},onDrop:function(t){var e=this,n=t.dataTransfer;this.onDragOver(!1);var i=Object(r.a)(n.files),o=n.getData("text/uri-list");i.forEach((function(t){e.onDetect(e.processFile(t))})),""!==o&&this.onDetect(this.processUrl(o))},processFile:function(t){var e=this;return Object(i.a)(regeneratorRuntime.mark((function n(){var i,r;return regeneratorRuntime.wrap((function(n){for(;;)switch(n.prev=n.next){case 0:return n.next=2,Object(a.a)(t);case 2:return i=n.sent,n.next=5,Object(o.b)(e.worker,i);case 5:return r=n.sent,n.abrupt("return",r);case 7:case"end":return n.stop()}}),n)})))()},processUrl:function(t){var e=this;return Object(i.a)(regeneratorRuntime.mark((function n(){var i,r;return regeneratorRuntime.wrap((function(n){for(;;)switch(n.prev=n.next){case 0:return n.next=2,Object(a.b)(t);case 2:return i=n.sent,n.next=5,Object(o.b)(e.worker,i);case 5:return r=n.sent,n.abrupt("return",r);case 7:case"end":return n.stop()}}),n)})))()}}},c=n("2877"),d=Object(c.a)(u,(function(){var t=this,e=t.$createElement;return(t._self._c||e)("div",{on:{drop:function(e){return e.preventDefault(),e.stopPropagation(),t.onDrop(e)},dragenter:function(e){return e.preventDefault(),e.stopPropagation(),t.onDragOver(!0)},dragleave:function(e){return e.preventDefault(),e.stopPropagation(),t.onDragOver(!1)},dragover:function(t){t.preventDefault(),t.stopPropagation()}}},[t._t("default")],2)}),[],!1,null,null,null);e.a=d.exports},fea9:function(t,e,n){var i=n("da84");t.exports=i.Promise}})})),
/*!
 * vue-qrcode v1.0.2
 * https://fengyuanchen.github.io/vue-qrcode
 *
 * Copyright 2018-present Chen Fengyuan
 * Released under the MIT license
 *
 * Date: 2020-01-18T06:04:33.222Z
 */
function(t,e){"object"==typeof exports&&"undefined"!=typeof module?module.exports=e():"function"==typeof define&&define.amd?define(e):(t=t||self).VueQrcode=e()}(this,(function(){"use strict";function t(){throw new Error("Dynamic requires are not currently supported by rollup-plugin-commonjs")}var e=function(t,e){return t(e={exports:{}},e.exports),e.exports}((function(e,n){e.exports=function(){function e(n,i,r){function o(s,l){if(!i[s]){if(!n[s]){if(!l&&t)return t();if(a)return a(s,!0);var u=new Error("Cannot find module '"+s+"'");throw u.code="MODULE_NOT_FOUND",u}var c=i[s]={exports:{}};n[s][0].call(c.exports,(function(t){return o(n[s][1][t]||t)}),c,c.exports,e,n,i,r)}return i[s].exports}for(var a=t,s=0;s<r.length;s++)o(r[s]);return o}return e}()({1:[function(t,e,n){e.exports=function(){return"function"==typeof Promise&&Promise.prototype&&Promise.prototype.then}},{}],2:[function(t,e,n){var i=t("./utils").getSymbolSize;n.getRowColCoords=function(t){if(1===t)return[];for(var e=Math.floor(t/7)+2,n=i(t),r=145===n?26:2*Math.ceil((n-13)/(2*e-2)),o=[n-7],a=1;a<e-1;a++)o[a]=o[a-1]-r;return o.push(6),o.reverse()},n.getPositions=function(t){for(var e=[],i=n.getRowColCoords(t),r=i.length,o=0;o<r;o++)for(var a=0;a<r;a++)0===o&&0===a||0===o&&a===r-1||o===r-1&&0===a||e.push([i[o],i[a]]);return e}},{"./utils":21}],3:[function(t,e,n){var i=t("./mode"),r=["0","1","2","3","4","5","6","7","8","9","A","B","C","D","E","F","G","H","I","J","K","L","M","N","O","P","Q","R","S","T","U","V","W","X","Y","Z"," ","$","%","*","+","-",".","/",":"];function o(t){this.mode=i.ALPHANUMERIC,this.data=t}o.getBitsLength=function(t){return 11*Math.floor(t/2)+t%2*6},o.prototype.getLength=function(){return this.data.length},o.prototype.getBitsLength=function(){return o.getBitsLength(this.data.length)},o.prototype.write=function(t){var e;for(e=0;e+2<=this.data.length;e+=2){var n=45*r.indexOf(this.data[e]);n+=r.indexOf(this.data[e+1]),t.put(n,11)}this.data.length%2&&t.put(r.indexOf(this.data[e]),6)},e.exports=o},{"./mode":14}],4:[function(t,e,n){function i(){this.buffer=[],this.length=0}i.prototype={get:function(t){var e=Math.floor(t/8);return 1==(this.buffer[e]>>>7-t%8&1)},put:function(t,e){for(var n=0;n<e;n++)this.putBit(1==(t>>>e-n-1&1))},getLengthInBits:function(){return this.length},putBit:function(t){var e=Math.floor(this.length/8);this.buffer.length<=e&&this.buffer.push(0),t&&(this.buffer[e]|=128>>>this.length%8),this.length++}},e.exports=i},{}],5:[function(t,e,n){var i=t("../utils/buffer");function r(t){if(!t||t<1)throw new Error("BitMatrix size must be defined and greater than 0");this.size=t,this.data=i.alloc(t*t),this.reservedBit=i.alloc(t*t)}r.prototype.set=function(t,e,n,i){var r=t*this.size+e;this.data[r]=n,i&&(this.reservedBit[r]=!0)},r.prototype.get=function(t,e){return this.data[t*this.size+e]},r.prototype.xor=function(t,e,n){this.data[t*this.size+e]^=n},r.prototype.isReserved=function(t,e){return this.reservedBit[t*this.size+e]},e.exports=r},{"../utils/buffer":28}],6:[function(t,e,n){var i=t("../utils/buffer"),r=t("./mode");function o(t){this.mode=r.BYTE,this.data=i.from(t)}o.getBitsLength=function(t){return 8*t},o.prototype.getLength=function(){return this.data.length},o.prototype.getBitsLength=function(){return o.getBitsLength(this.data.length)},o.prototype.write=function(t){for(var e=0,n=this.data.length;e<n;e++)t.put(this.data[e],8)},e.exports=o},{"../utils/buffer":28,"./mode":14}],7:[function(t,e,n){var i=t("./error-correction-level"),r=[1,1,1,1,1,1,1,1,1,1,2,2,1,2,2,4,1,2,4,4,2,4,4,4,2,4,6,5,2,4,6,6,2,5,8,8,4,5,8,8,4,5,8,11,4,8,10,11,4,9,12,16,4,9,16,16,6,10,12,18,6,10,17,16,6,11,16,19,6,13,18,21,7,14,21,25,8,16,20,25,8,17,23,25,9,17,23,34,9,18,25,30,10,20,27,32,12,21,29,35,12,23,34,37,12,25,34,40,13,26,35,42,14,28,38,45,15,29,40,48,16,31,43,51,17,33,45,54,18,35,48,57,19,37,51,60,19,38,53,63,20,40,56,66,21,43,59,70,22,45,62,74,24,47,65,77,25,49,68,81],o=[7,10,13,17,10,16,22,28,15,26,36,44,20,36,52,64,26,48,72,88,36,64,96,112,40,72,108,130,48,88,132,156,60,110,160,192,72,130,192,224,80,150,224,264,96,176,260,308,104,198,288,352,120,216,320,384,132,240,360,432,144,280,408,480,168,308,448,532,180,338,504,588,196,364,546,650,224,416,600,700,224,442,644,750,252,476,690,816,270,504,750,900,300,560,810,960,312,588,870,1050,336,644,952,1110,360,700,1020,1200,390,728,1050,1260,420,784,1140,1350,450,812,1200,1440,480,868,1290,1530,510,924,1350,1620,540,980,1440,1710,570,1036,1530,1800,570,1064,1590,1890,600,1120,1680,1980,630,1204,1770,2100,660,1260,1860,2220,720,1316,1950,2310,750,1372,2040,2430];n.getBlocksCount=function(t,e){switch(e){case i.L:return r[4*(t-1)+0];case i.M:return r[4*(t-1)+1];case i.Q:return r[4*(t-1)+2];case i.H:return r[4*(t-1)+3];default:return}},n.getTotalCodewordsCount=function(t,e){switch(e){case i.L:return o[4*(t-1)+0];case i.M:return o[4*(t-1)+1];case i.Q:return o[4*(t-1)+2];case i.H:return o[4*(t-1)+3];default:return}}},{"./error-correction-level":8}],8:[function(t,e,n){function i(t){if("string"!=typeof t)throw new Error("Param is not a string");switch(t.toLowerCase()){case"l":case"low":return n.L;case"m":case"medium":return n.M;case"q":case"quartile":return n.Q;case"h":case"high":return n.H;default:throw new Error("Unknown EC Level: "+t)}}n.L={bit:1},n.M={bit:0},n.Q={bit:3},n.H={bit:2},n.isValid=function(t){return t&&void 0!==t.bit&&t.bit>=0&&t.bit<4},n.from=function(t,e){if(n.isValid(t))return t;try{return i(t)}catch(t){return e}}},{}],9:[function(t,e,n){var i=t("./utils").getSymbolSize,r=7;n.getPositions=function(t){var e=i(t);return[[0,0],[e-r,0],[0,e-r]]}},{"./utils":21}],10:[function(t,e,n){var i=t("./utils"),r=1335,o=21522,a=i.getBCHDigit(r);n.getEncodedBits=function(t,e){for(var n=t.bit<<3|e,s=n<<10;i.getBCHDigit(s)-a>=0;)s^=r<<i.getBCHDigit(s)-a;return(n<<10|s)^o}},{"./utils":21}],11:[function(t,e,n){var i=t("../utils/buffer"),r=i.alloc(512),o=i.alloc(256);!function(){for(var t=1,e=0;e<255;e++)r[e]=t,o[t]=e,256&(t<<=1)&&(t^=285);for(e=255;e<512;e++)r[e]=r[e-255]}(),n.log=function(t){if(t<1)throw new Error("log("+t+")");return o[t]},n.exp=function(t){return r[t]},n.mul=function(t,e){return 0===t||0===e?0:r[o[t]+o[e]]}},{"../utils/buffer":28}],12:[function(t,e,n){var i=t("./mode"),r=t("./utils");function o(t){this.mode=i.KANJI,this.data=t}o.getBitsLength=function(t){return 13*t},o.prototype.getLength=function(){return this.data.length},o.prototype.getBitsLength=function(){return o.getBitsLength(this.data.length)},o.prototype.write=function(t){var e;for(e=0;e<this.data.length;e++){var n=r.toSJIS(this.data[e]);if(n>=33088&&n<=40956)n-=33088;else{if(!(n>=57408&&n<=60351))throw new Error("Invalid SJIS character: "+this.data[e]+"\nMake sure your charset is UTF-8");n-=49472}n=192*(n>>>8&255)+(255&n),t.put(n,13)}},e.exports=o},{"./mode":14,"./utils":21}],13:[function(t,e,n){n.Patterns={PATTERN000:0,PATTERN001:1,PATTERN010:2,PATTERN011:3,PATTERN100:4,PATTERN101:5,PATTERN110:6,PATTERN111:7};var i={N1:3,N2:3,N3:40,N4:10};function r(t,e,i){switch(t){case n.Patterns.PATTERN000:return(e+i)%2==0;case n.Patterns.PATTERN001:return e%2==0;case n.Patterns.PATTERN010:return i%3==0;case n.Patterns.PATTERN011:return(e+i)%3==0;case n.Patterns.PATTERN100:return(Math.floor(e/2)+Math.floor(i/3))%2==0;case n.Patterns.PATTERN101:return e*i%2+e*i%3==0;case n.Patterns.PATTERN110:return(e*i%2+e*i%3)%2==0;case n.Patterns.PATTERN111:return(e*i%3+(e+i)%2)%2==0;default:throw new Error("bad maskPattern:"+t)}}n.isValid=function(t){return null!=t&&""!==t&&!isNaN(t)&&t>=0&&t<=7},n.from=function(t){return n.isValid(t)?parseInt(t,10):void 0},n.getPenaltyN1=function(t){for(var e=t.size,n=0,r=0,o=0,a=null,s=null,l=0;l<e;l++){r=o=0,a=s=null;for(var u=0;u<e;u++){var c=t.get(l,u);c===a?r++:(r>=5&&(n+=i.N1+(r-5)),a=c,r=1),(c=t.get(u,l))===s?o++:(o>=5&&(n+=i.N1+(o-5)),s=c,o=1)}r>=5&&(n+=i.N1+(r-5)),o>=5&&(n+=i.N1+(o-5))}return n},n.getPenaltyN2=function(t){for(var e=t.size,n=0,r=0;r<e-1;r++)for(var o=0;o<e-1;o++){var a=t.get(r,o)+t.get(r,o+1)+t.get(r+1,o)+t.get(r+1,o+1);4!==a&&0!==a||n++}return n*i.N2},n.getPenaltyN3=function(t){for(var e=t.size,n=0,r=0,o=0,a=0;a<e;a++){r=o=0;for(var s=0;s<e;s++)r=r<<1&2047|t.get(a,s),s>=10&&(1488===r||93===r)&&n++,o=o<<1&2047|t.get(s,a),s>=10&&(1488===o||93===o)&&n++}return n*i.N3},n.getPenaltyN4=function(t){for(var e=0,n=t.data.length,r=0;r<n;r++)e+=t.data[r];return Math.abs(Math.ceil(100*e/n/5)-10)*i.N4},n.applyMask=function(t,e){for(var n=e.size,i=0;i<n;i++)for(var o=0;o<n;o++)e.isReserved(o,i)||e.xor(o,i,r(t,o,i))},n.getBestMask=function(t,e){for(var i=Object.keys(n.Patterns).length,r=0,o=1/0,a=0;a<i;a++){e(a),n.applyMask(a,t);var s=n.getPenaltyN1(t)+n.getPenaltyN2(t)+n.getPenaltyN3(t)+n.getPenaltyN4(t);n.applyMask(a,t),s<o&&(o=s,r=a)}return r}},{}],14:[function(t,e,n){var i=t("./version-check"),r=t("./regex");function o(t){if("string"!=typeof t)throw new Error("Param is not a string");switch(t.toLowerCase()){case"numeric":return n.NUMERIC;case"alphanumeric":return n.ALPHANUMERIC;case"kanji":return n.KANJI;case"byte":return n.BYTE;default:throw new Error("Unknown mode: "+t)}}n.NUMERIC={id:"Numeric",bit:1,ccBits:[10,12,14]},n.ALPHANUMERIC={id:"Alphanumeric",bit:2,ccBits:[9,11,13]},n.BYTE={id:"Byte",bit:4,ccBits:[8,16,16]},n.KANJI={id:"Kanji",bit:8,ccBits:[8,10,12]},n.MIXED={bit:-1},n.getCharCountIndicator=function(t,e){if(!t.ccBits)throw new Error("Invalid mode: "+t);if(!i.isValid(e))throw new Error("Invalid version: "+e);return e>=1&&e<10?t.ccBits[0]:e<27?t.ccBits[1]:t.ccBits[2]},n.getBestModeForData=function(t){return r.testNumeric(t)?n.NUMERIC:r.testAlphanumeric(t)?n.ALPHANUMERIC:r.testKanji(t)?n.KANJI:n.BYTE},n.toString=function(t){if(t&&t.id)return t.id;throw new Error("Invalid mode")},n.isValid=function(t){return t&&t.bit&&t.ccBits},n.from=function(t,e){if(n.isValid(t))return t;try{return o(t)}catch(t){return e}}},{"./regex":19,"./version-check":22}],15:[function(t,e,n){var i=t("./mode");function r(t){this.mode=i.NUMERIC,this.data=t.toString()}r.getBitsLength=function(t){return 10*Math.floor(t/3)+(t%3?t%3*3+1:0)},r.prototype.getLength=function(){return this.data.length},r.prototype.getBitsLength=function(){return r.getBitsLength(this.data.length)},r.prototype.write=function(t){var e,n,i;for(e=0;e+3<=this.data.length;e+=3)n=this.data.substr(e,3),i=parseInt(n,10),t.put(i,10);var r=this.data.length-e;r>0&&(n=this.data.substr(e),i=parseInt(n,10),t.put(i,3*r+1))},e.exports=r},{"./mode":14}],16:[function(t,e,n){var i=t("../utils/buffer"),r=t("./galois-field");n.mul=function(t,e){for(var n=i.alloc(t.length+e.length-1),o=0;o<t.length;o++)for(var a=0;a<e.length;a++)n[o+a]^=r.mul(t[o],e[a]);return n},n.mod=function(t,e){for(var n=i.from(t);n.length-e.length>=0;){for(var o=n[0],a=0;a<e.length;a++)n[a]^=r.mul(e[a],o);for(var s=0;s<n.length&&0===n[s];)s++;n=n.slice(s)}return n},n.generateECPolynomial=function(t){for(var e=i.from([1]),o=0;o<t;o++)e=n.mul(e,[1,r.exp(o)]);return e}},{"../utils/buffer":28,"./galois-field":11}],17:[function(t,e,n){var i=t("../utils/buffer"),r=t("./utils"),o=t("./error-correction-level"),a=t("./bit-buffer"),s=t("./bit-matrix"),l=t("./alignment-pattern"),u=t("./finder-pattern"),c=t("./mask-pattern"),d=t("./error-correction-code"),h=t("./reed-solomon-encoder"),f=t("./version"),p=t("./format-info"),m=t("./mode"),v=t("./segments"),g=t("isarray");function _(t,e){for(var n=t.size,i=u.getPositions(e),r=0;r<i.length;r++)for(var o=i[r][0],a=i[r][1],s=-1;s<=7;s++)if(!(o+s<=-1||n<=o+s))for(var l=-1;l<=7;l++)a+l<=-1||n<=a+l||(s>=0&&s<=6&&(0===l||6===l)||l>=0&&l<=6&&(0===s||6===s)||s>=2&&s<=4&&l>=2&&l<=4?t.set(o+s,a+l,!0,!0):t.set(o+s,a+l,!1,!0))}function y(t){for(var e=t.size,n=8;n<e-8;n++){var i=n%2==0;t.set(n,6,i,!0),t.set(6,n,i,!0)}}function b(t,e){for(var n=l.getPositions(e),i=0;i<n.length;i++)for(var r=n[i][0],o=n[i][1],a=-2;a<=2;a++)for(var s=-2;s<=2;s++)-2===a||2===a||-2===s||2===s||0===a&&0===s?t.set(r+a,o+s,!0,!0):t.set(r+a,o+s,!1,!0)}function w(t,e){for(var n,i,r,o=t.size,a=f.getEncodedBits(e),s=0;s<18;s++)n=Math.floor(s/3),i=s%3+o-8-3,r=1==(a>>s&1),t.set(n,i,r,!0),t.set(i,n,r,!0)}function x(t,e,n){var i,r,o=t.size,a=p.getEncodedBits(e,n);for(i=0;i<15;i++)r=1==(a>>i&1),i<6?t.set(i,8,r,!0):i<8?t.set(i+1,8,r,!0):t.set(o-15+i,8,r,!0),i<8?t.set(8,o-i-1,r,!0):i<9?t.set(8,15-i-1+1,r,!0):t.set(8,15-i-1,r,!0);t.set(o-8,8,1,!0)}function k(t,e){for(var n=t.size,i=-1,r=n-1,o=7,a=0,s=n-1;s>0;s-=2)for(6===s&&s--;;){for(var l=0;l<2;l++)if(!t.isReserved(r,s-l)){var u=!1;a<e.length&&(u=1==(e[a]>>>o&1)),t.set(r,s-l,u),-1==--o&&(a++,o=7)}if((r+=i)<0||n<=r){r-=i,i=-i;break}}}function S(t,e,n){var i=new a;n.forEach((function(e){i.put(e.mode.bit,4),i.put(e.getLength(),m.getCharCountIndicator(e.mode,t)),e.write(i)}));var o=8*(r.getSymbolTotalCodewords(t)-d.getTotalCodewordsCount(t,e));for(i.getLengthInBits()+4<=o&&i.put(0,4);i.getLengthInBits()%8!=0;)i.putBit(0);for(var s=(o-i.getLengthInBits())/8,l=0;l<s;l++)i.put(l%2?17:236,8);return C(i,t,e)}function C(t,e,n){for(var o=r.getSymbolTotalCodewords(e),a=o-d.getTotalCodewordsCount(e,n),s=d.getBlocksCount(e,n),l=s-o%s,u=Math.floor(o/s),c=Math.floor(a/s),f=c+1,p=u-c,m=new h(p),v=0,g=new Array(s),_=new Array(s),y=0,b=i.from(t.buffer),w=0;w<s;w++){var x=w<l?c:f;g[w]=b.slice(v,v+x),_[w]=m.encode(g[w]),v+=x,y=Math.max(y,x)}var k,S,C=i.alloc(o),M=0;for(k=0;k<y;k++)for(S=0;S<s;S++)k<g[S].length&&(C[M++]=g[S][k]);for(k=0;k<p;k++)for(S=0;S<s;S++)C[M++]=_[S][k];return C}function M(t,e,n,i){var o;if(g(t))o=v.fromArray(t);else{if("string"!=typeof t)throw new Error("Invalid data");var a=e;if(!a){var l=v.rawSplit(t);a=f.getBestVersionForData(l,n)}o=v.fromString(t,a||40)}var u=f.getBestVersionForData(o,n);if(!u)throw new Error("The amount of data is too big to be stored in a QR Code");if(e){if(e<u)throw new Error("\nThe chosen QR Code version cannot contain this amount of data.\nMinimum version required to store current data is: "+u+".\n")}else e=u;var d=S(e,n,o),h=r.getSymbolSize(e),p=new s(h);return _(p,e),y(p),b(p,e),x(p,n,0),e>=7&&w(p,e),k(p,d),isNaN(i)&&(i=c.getBestMask(p,x.bind(null,p,n))),c.applyMask(i,p),x(p,n,i),{modules:p,version:e,errorCorrectionLevel:n,maskPattern:i,segments:o}}n.create=function(t,e){if(void 0===t||""===t)throw new Error("No input text");var n,i,a=o.M;return void 0!==e&&(a=o.from(e.errorCorrectionLevel,o.M),n=f.from(e.version),i=c.from(e.maskPattern),e.toSJISFunc&&r.setToSJISFunction(e.toSJISFunc)),M(t,n,a,i)}},{"../utils/buffer":28,"./alignment-pattern":2,"./bit-buffer":4,"./bit-matrix":5,"./error-correction-code":7,"./error-correction-level":8,"./finder-pattern":9,"./format-info":10,"./mask-pattern":13,"./mode":14,"./reed-solomon-encoder":18,"./segments":20,"./utils":21,"./version":23,isarray:33}],18:[function(t,e,n){var i=t("../utils/buffer"),r=t("./polynomial"),o=t("buffer").Buffer;function a(t){this.genPoly=void 0,this.degree=t,this.degree&&this.initialize(this.degree)}a.prototype.initialize=function(t){this.degree=t,this.genPoly=r.generateECPolynomial(this.degree)},a.prototype.encode=function(t){if(!this.genPoly)throw new Error("Encoder not initialized");var e=i.alloc(this.degree),n=o.concat([t,e],t.length+this.degree),a=r.mod(n,this.genPoly),s=this.degree-a.length;if(s>0){var l=i.alloc(this.degree);return a.copy(l,s),l}return a},e.exports=a},{"../utils/buffer":28,"./polynomial":16,buffer:30}],19:[function(t,e,n){var i="[0-9]+",r="[A-Z $%*+\\-./:]+",o="(?:[u3000-u303F]|[u3040-u309F]|[u30A0-u30FF]|[uFF00-uFFEF]|[u4E00-u9FAF]|[u2605-u2606]|[u2190-u2195]|u203B|[u2010u2015u2018u2019u2025u2026u201Cu201Du2225u2260]|[u0391-u0451]|[u00A7u00A8u00B1u00B4u00D7u00F7])+",a="(?:(?![A-Z0-9 $%*+\\-./:]|"+(o=o.replace(/u/g,"\\u"))+")(?:.|[\r\n]))+";n.KANJI=new RegExp(o,"g"),n.BYTE_KANJI=new RegExp("[^A-Z0-9 $%*+\\-./:]+","g"),n.BYTE=new RegExp(a,"g"),n.NUMERIC=new RegExp(i,"g"),n.ALPHANUMERIC=new RegExp(r,"g");var s=new RegExp("^"+o+"$"),l=new RegExp("^"+i+"$"),u=new RegExp("^[A-Z0-9 $%*+\\-./:]+$");n.testKanji=function(t){return s.test(t)},n.testNumeric=function(t){return l.test(t)},n.testAlphanumeric=function(t){return u.test(t)}},{}],20:[function(t,e,n){var i=t("./mode"),r=t("./numeric-data"),o=t("./alphanumeric-data"),a=t("./byte-data"),s=t("./kanji-data"),l=t("./regex"),u=t("./utils"),c=t("dijkstrajs");function d(t){return unescape(encodeURIComponent(t)).length}function h(t,e,n){for(var i,r=[];null!==(i=t.exec(n));)r.push({data:i[0],index:i.index,mode:e,length:i[0].length});return r}function f(t){var e,n,r=h(l.NUMERIC,i.NUMERIC,t),o=h(l.ALPHANUMERIC,i.ALPHANUMERIC,t);return u.isKanjiModeEnabled()?(e=h(l.BYTE,i.BYTE,t),n=h(l.KANJI,i.KANJI,t)):(e=h(l.BYTE_KANJI,i.BYTE,t),n=[]),r.concat(o,e,n).sort((function(t,e){return t.index-e.index})).map((function(t){return{data:t.data,mode:t.mode,length:t.length}}))}function p(t,e){switch(e){case i.NUMERIC:return r.getBitsLength(t);case i.ALPHANUMERIC:return o.getBitsLength(t);case i.KANJI:return s.getBitsLength(t);case i.BYTE:return a.getBitsLength(t)}}function m(t){return t.reduce((function(t,e){var n=t.length-1>=0?t[t.length-1]:null;return n&&n.mode===e.mode?(t[t.length-1].data+=e.data,t):(t.push(e),t)}),[])}function v(t){for(var e=[],n=0;n<t.length;n++){var r=t[n];switch(r.mode){case i.NUMERIC:e.push([r,{data:r.data,mode:i.ALPHANUMERIC,length:r.length},{data:r.data,mode:i.BYTE,length:r.length}]);break;case i.ALPHANUMERIC:e.push([r,{data:r.data,mode:i.BYTE,length:r.length}]);break;case i.KANJI:e.push([r,{data:r.data,mode:i.BYTE,length:d(r.data)}]);break;case i.BYTE:e.push([{data:r.data,mode:i.BYTE,length:d(r.data)}])}}return e}function g(t,e){for(var n={},r={start:{}},o=["start"],a=0;a<t.length;a++){for(var s=t[a],l=[],u=0;u<s.length;u++){var c=s[u],d=""+a+u;l.push(d),n[d]={node:c,lastCount:0},r[d]={};for(var h=0;h<o.length;h++){var f=o[h];n[f]&&n[f].node.mode===c.mode?(r[f][d]=p(n[f].lastCount+c.length,c.mode)-p(n[f].lastCount,c.mode),n[f].lastCount+=c.length):(n[f]&&(n[f].lastCount=c.length),r[f][d]=p(c.length,c.mode)+4+i.getCharCountIndicator(c.mode,e))}}o=l}for(h=0;h<o.length;h++)r[o[h]].end=0;return{map:r,table:n}}function _(t,e){var n,l=i.getBestModeForData(t);if((n=i.from(e,l))!==i.BYTE&&n.bit<l.bit)throw new Error('"'+t+'" cannot be encoded with mode '+i.toString(n)+".\n Suggested mode is: "+i.toString(l));switch(n!==i.KANJI||u.isKanjiModeEnabled()||(n=i.BYTE),n){case i.NUMERIC:return new r(t);case i.ALPHANUMERIC:return new o(t);case i.KANJI:return new s(t);case i.BYTE:return new a(t)}}n.fromArray=function(t){return t.reduce((function(t,e){return"string"==typeof e?t.push(_(e,null)):e.data&&t.push(_(e.data,e.mode)),t}),[])},n.fromString=function(t,e){for(var i=g(v(f(t,u.isKanjiModeEnabled())),e),r=c.find_path(i.map,"start","end"),o=[],a=1;a<r.length-1;a++)o.push(i.table[r[a]].node);return n.fromArray(m(o))},n.rawSplit=function(t){return n.fromArray(f(t,u.isKanjiModeEnabled()))}},{"./alphanumeric-data":3,"./byte-data":6,"./kanji-data":12,"./mode":14,"./numeric-data":15,"./regex":19,"./utils":21,dijkstrajs:31}],21:[function(t,e,n){var i,r=[0,26,44,70,100,134,172,196,242,292,346,404,466,532,581,655,733,815,901,991,1085,1156,1258,1364,1474,1588,1706,1828,1921,2051,2185,2323,2465,2611,2761,2876,3034,3196,3362,3532,3706];n.getSymbolSize=function(t){if(!t)throw new Error('"version" cannot be null or undefined');if(t<1||t>40)throw new Error('"version" should be in range from 1 to 40');return 4*t+17},n.getSymbolTotalCodewords=function(t){return r[t]},n.getBCHDigit=function(t){for(var e=0;0!==t;)e++,t>>>=1;return e},n.setToSJISFunction=function(t){if("function"!=typeof t)throw new Error('"toSJISFunc" is not a valid function.');i=t},n.isKanjiModeEnabled=function(){return void 0!==i},n.toSJIS=function(t){return i(t)}},{}],22:[function(t,e,n){n.isValid=function(t){return!isNaN(t)&&t>=1&&t<=40}},{}],23:[function(t,e,n){var i=t("./utils"),r=t("./error-correction-code"),o=t("./error-correction-level"),a=t("./mode"),s=t("./version-check"),l=t("isarray"),u=7973,c=i.getBCHDigit(u);function d(t,e,i){for(var r=1;r<=40;r++)if(e<=n.getCapacity(r,i,t))return r}function h(t,e){return a.getCharCountIndicator(t,e)+4}function f(t,e){var n=0;return t.forEach((function(t){var i=h(t.mode,e);n+=i+t.getBitsLength()})),n}function p(t,e){for(var i=1;i<=40;i++)if(f(t,i)<=n.getCapacity(i,e,a.MIXED))return i}n.from=function(t,e){return s.isValid(t)?parseInt(t,10):e},n.getCapacity=function(t,e,n){if(!s.isValid(t))throw new Error("Invalid QR Code version");void 0===n&&(n=a.BYTE);var o=8*(i.getSymbolTotalCodewords(t)-r.getTotalCodewordsCount(t,e));if(n===a.MIXED)return o;var l=o-h(n,t);switch(n){case a.NUMERIC:return Math.floor(l/10*3);case a.ALPHANUMERIC:return Math.floor(l/11*2);case a.KANJI:return Math.floor(l/13);case a.BYTE:default:return Math.floor(l/8)}},n.getBestVersionForData=function(t,e){var n,i=o.from(e,o.M);if(l(t)){if(t.length>1)return p(t,i);if(0===t.length)return 1;n=t[0]}else n=t;return d(n.mode,n.getLength(),i)},n.getEncodedBits=function(t){if(!s.isValid(t)||t<7)throw new Error("Invalid QR Code version");for(var e=t<<12;i.getBCHDigit(e)-c>=0;)e^=u<<i.getBCHDigit(e)-c;return t<<12|e}},{"./error-correction-code":7,"./error-correction-level":8,"./mode":14,"./utils":21,"./version-check":22,isarray:33}],24:[function(t,e,n){var i=t("./can-promise"),r=t("./core/qrcode"),o=t("./renderer/canvas"),a=t("./renderer/svg-tag.js");function s(t,e,n,o,a){var s=[].slice.call(arguments,1),l=s.length,u="function"==typeof s[l-1];if(!u&&!i())throw new Error("Callback required as last argument");if(!u){if(l<1)throw new Error("Too few arguments provided");return 1===l?(n=e,e=o=void 0):2!==l||e.getContext||(o=n,n=e,e=void 0),new Promise((function(i,a){try{var s=r.create(n,o);i(t(s,e,o))}catch(t){a(t)}}))}if(l<2)throw new Error("Too few arguments provided");2===l?(a=n,n=e,e=o=void 0):3===l&&(e.getContext&&void 0===a?(a=o,o=void 0):(a=o,o=n,n=e,e=void 0));try{var c=r.create(n,o);a(null,t(c,e,o))}catch(t){a(t)}}n.create=r.create,n.toCanvas=s.bind(null,o.render),n.toDataURL=s.bind(null,o.renderToDataURL),n.toString=s.bind(null,(function(t,e,n){return a.render(t,n)}))},{"./can-promise":1,"./core/qrcode":17,"./renderer/canvas":25,"./renderer/svg-tag.js":26}],25:[function(t,e,n){var i=t("./utils");function r(t,e,n){t.clearRect(0,0,e.width,e.height),e.style||(e.style={}),e.height=n,e.width=n,e.style.height=n+"px",e.style.width=n+"px"}function o(){try{return document.createElement("canvas")}catch(t){throw new Error("You need to specify a canvas element")}}n.render=function(t,e,n){var a=n,s=e;void 0!==a||e&&e.getContext||(a=e,e=void 0),e||(s=o()),a=i.getOptions(a);var l=i.getImageWidth(t.modules.size,a),u=s.getContext("2d"),c=u.createImageData(l,l);return i.qrToImageData(c.data,t,a),r(u,s,l),u.putImageData(c,0,0),s},n.renderToDataURL=function(t,e,i){var r=i;void 0!==r||e&&e.getContext||(r=e,e=void 0),r||(r={});var o=n.render(t,e,r),a=r.type||"image/png",s=r.rendererOpts||{};return o.toDataURL(a,s.quality)}},{"./utils":27}],26:[function(t,e,n){var i=t("./utils");function r(t,e){var n=t.a/255,i=e+'="'+t.hex+'"';return n<1?i+" "+e+'-opacity="'+n.toFixed(2).slice(1)+'"':i}function o(t,e,n){var i=t+e;return void 0!==n&&(i+=" "+n),i}function a(t,e,n){for(var i="",r=0,a=!1,s=0,l=0;l<t.length;l++){var u=Math.floor(l%e),c=Math.floor(l/e);u||a||(a=!0),t[l]?(s++,l>0&&u>0&&t[l-1]||(i+=a?o("M",u+n,.5+c+n):o("m",r,0),r=0,a=!1),u+1<e&&t[l+1]||(i+=o("h",s),s=0)):r++}return i}n.render=function(t,e,n){var o=i.getOptions(e),s=t.modules.size,l=t.modules.data,u=s+2*o.margin,c=o.color.light.a?"<path "+r(o.color.light,"fill")+' d="M0 0h'+u+"v"+u+'H0z"/>':"",d="<path "+r(o.color.dark,"stroke")+' d="'+a(l,s,o.margin)+'"/>',h='viewBox="0 0 '+u+" "+u+'"',f='<svg xmlns="http://www.w3.org/2000/svg" '+(o.width?'width="'+o.width+'" height="'+o.width+'" ':"")+h+' shape-rendering="crispEdges">'+c+d+"</svg>\n";return"function"==typeof n&&n(null,f),f}},{"./utils":27}],27:[function(t,e,n){function i(t){if("number"==typeof t&&(t=t.toString()),"string"!=typeof t)throw new Error("Color should be defined as hex string");var e=t.slice().replace("#","").split("");if(e.length<3||5===e.length||e.length>8)throw new Error("Invalid hex color: "+t);3!==e.length&&4!==e.length||(e=Array.prototype.concat.apply([],e.map((function(t){return[t,t]})))),6===e.length&&e.push("F","F");var n=parseInt(e.join(""),16);return{r:n>>24&255,g:n>>16&255,b:n>>8&255,a:255&n,hex:"#"+e.slice(0,6).join("")}}n.getOptions=function(t){t||(t={}),t.color||(t.color={});var e=void 0===t.margin||null===t.margin||t.margin<0?4:t.margin,n=t.width&&t.width>=21?t.width:void 0,r=t.scale||4;return{width:n,scale:n?4:r,margin:e,color:{dark:i(t.color.dark||"#000000ff"),light:i(t.color.light||"#ffffffff")},type:t.type,rendererOpts:t.rendererOpts||{}}},n.getScale=function(t,e){return e.width&&e.width>=t+2*e.margin?e.width/(t+2*e.margin):e.scale},n.getImageWidth=function(t,e){var i=n.getScale(t,e);return Math.floor((t+2*e.margin)*i)},n.qrToImageData=function(t,e,i){for(var r=e.modules.size,o=e.modules.data,a=n.getScale(r,i),s=Math.floor((r+2*i.margin)*a),l=i.margin*a,u=[i.color.light,i.color.dark],c=0;c<s;c++)for(var d=0;d<s;d++){var h=4*(c*s+d),f=i.color.light;c>=l&&d>=l&&c<s-l&&d<s-l&&(f=u[o[Math.floor((c-l)/a)*r+Math.floor((d-l)/a)]?1:0]),t[h++]=f.r,t[h++]=f.g,t[h++]=f.b,t[h]=f.a}}},{}],28:[function(t,e,n){var i=t("isarray");function r(){try{var t=new Uint8Array(1);return t.__proto__={__proto__:Uint8Array.prototype,foo:function(){return 42}},42===t.foo()}catch(t){return!1}}a.TYPED_ARRAY_SUPPORT=r();var o=a.TYPED_ARRAY_SUPPORT?2147483647:1073741823;function a(t,e,n){return a.TYPED_ARRAY_SUPPORT||this instanceof a?"number"==typeof t?c(this,t):y(this,t,e,n):new a(t,e,n)}function s(t){if(t>=o)throw new RangeError("Attempt to allocate Buffer larger than maximum size: 0x"+o.toString(16)+" bytes");return 0|t}function l(t){return t!=t}function u(t,e){var n;return a.TYPED_ARRAY_SUPPORT?(n=new Uint8Array(e)).__proto__=a.prototype:(null===(n=t)&&(n=new a(e)),n.length=e),n}function c(t,e){var n=u(t,e<0?0:0|s(e));if(!a.TYPED_ARRAY_SUPPORT)for(var i=0;i<e;++i)n[i]=0;return n}function d(t,e){var n=0|v(e),i=u(t,n),r=i.write(e);return r!==n&&(i=i.slice(0,r)),i}function h(t,e){for(var n=e.length<0?0:0|s(e.length),i=u(t,n),r=0;r<n;r+=1)i[r]=255&e[r];return i}function f(t,e,n,i){if(n<0||e.byteLength<n)throw new RangeError("'offset' is out of bounds");if(e.byteLength<n+(i||0))throw new RangeError("'length' is out of bounds");var r;return r=void 0===n&&void 0===i?new Uint8Array(e):void 0===i?new Uint8Array(e,n):new Uint8Array(e,n,i),a.TYPED_ARRAY_SUPPORT?r.__proto__=a.prototype:r=h(t,r),r}function p(t,e){if(a.isBuffer(e)){var n=0|s(e.length),i=u(t,n);return 0===i.length||e.copy(i,0,0,n),i}if(e){if("undefined"!=typeof ArrayBuffer&&e.buffer instanceof ArrayBuffer||"length"in e)return"number"!=typeof e.length||l(e.length)?u(t,0):h(t,e);if("Buffer"===e.type&&Array.isArray(e.data))return h(t,e.data)}throw new TypeError("First argument must be a string, Buffer, ArrayBuffer, Array, or array-like object.")}function m(t,e){var n;e=e||1/0;for(var i=t.length,r=null,o=[],a=0;a<i;++a){if((n=t.charCodeAt(a))>55295&&n<57344){if(!r){if(n>56319){(e-=3)>-1&&o.push(239,191,189);continue}if(a+1===i){(e-=3)>-1&&o.push(239,191,189);continue}r=n;continue}if(n<56320){(e-=3)>-1&&o.push(239,191,189),r=n;continue}n=65536+(r-55296<<10|n-56320)}else r&&(e-=3)>-1&&o.push(239,191,189);if(r=null,n<128){if((e-=1)<0)break;o.push(n)}else if(n<2048){if((e-=2)<0)break;o.push(n>>6|192,63&n|128)}else if(n<65536){if((e-=3)<0)break;o.push(n>>12|224,n>>6&63|128,63&n|128)}else{if(!(n<1114112))throw new Error("Invalid code point");if((e-=4)<0)break;o.push(n>>18|240,n>>12&63|128,n>>6&63|128,63&n|128)}}return o}function v(t){return a.isBuffer(t)?t.length:"undefined"!=typeof ArrayBuffer&&"function"==typeof ArrayBuffer.isView&&(ArrayBuffer.isView(t)||t instanceof ArrayBuffer)?t.byteLength:("string"!=typeof t&&(t=""+t),0===t.length?0:m(t).length)}function g(t,e,n,i){for(var r=0;r<i&&!(r+n>=e.length||r>=t.length);++r)e[r+n]=t[r];return r}function _(t,e,n,i){return g(m(e,t.length-n),t,n,i)}function y(t,e,n,i){if("number"==typeof e)throw new TypeError('"value" argument must not be a number');return"undefined"!=typeof ArrayBuffer&&e instanceof ArrayBuffer?f(t,e,n,i):"string"==typeof e?d(t,e):p(t,e)}a.TYPED_ARRAY_SUPPORT&&(a.prototype.__proto__=Uint8Array.prototype,a.__proto__=Uint8Array,"undefined"!=typeof Symbol&&Symbol.species&&a[Symbol.species]===a&&Object.defineProperty(a,Symbol.species,{value:null,configurable:!0,enumerable:!1,writable:!1})),a.prototype.write=function(t,e,n){void 0===e||void 0===n&&"string"==typeof e?(n=this.length,e=0):isFinite(e)&&(e|=0,isFinite(n)?n|=0:n=void 0);var i=this.length-e;if((void 0===n||n>i)&&(n=i),t.length>0&&(n<0||e<0)||e>this.length)throw new RangeError("Attempt to write outside buffer bounds");return _(this,t,e,n)},a.prototype.slice=function(t,e){var n,i=this.length;if((t=~~t)<0?(t+=i)<0&&(t=0):t>i&&(t=i),(e=void 0===e?i:~~e)<0?(e+=i)<0&&(e=0):e>i&&(e=i),e<t&&(e=t),a.TYPED_ARRAY_SUPPORT)(n=this.subarray(t,e)).__proto__=a.prototype;else{var r=e-t;n=new a(r,void 0);for(var o=0;o<r;++o)n[o]=this[o+t]}return n},a.prototype.copy=function(t,e,n,i){if(n||(n=0),i||0===i||(i=this.length),e>=t.length&&(e=t.length),e||(e=0),i>0&&i<n&&(i=n),i===n)return 0;if(0===t.length||0===this.length)return 0;if(e<0)throw new RangeError("targetStart out of bounds");if(n<0||n>=this.length)throw new RangeError("sourceStart out of bounds");if(i<0)throw new RangeError("sourceEnd out of bounds");i>this.length&&(i=this.length),t.length-e<i-n&&(i=t.length-e+n);var r,o=i-n;if(this===t&&n<e&&e<i)for(r=o-1;r>=0;--r)t[r+e]=this[r+n];else if(o<1e3||!a.TYPED_ARRAY_SUPPORT)for(r=0;r<o;++r)t[r+e]=this[r+n];else Uint8Array.prototype.set.call(t,this.subarray(n,n+o),e);return o},a.prototype.fill=function(t,e,n){if("string"==typeof t){if("string"==typeof e?(e=0,n=this.length):"string"==typeof n&&(n=this.length),1===t.length){var i=t.charCodeAt(0);i<256&&(t=i)}}else"number"==typeof t&&(t&=255);if(e<0||this.length<e||this.length<n)throw new RangeError("Out of range index");if(n<=e)return this;var r;if(e>>>=0,n=void 0===n?this.length:n>>>0,t||(t=0),"number"==typeof t)for(r=e;r<n;++r)this[r]=t;else{var o=a.isBuffer(t)?t:new a(t),s=o.length;for(r=0;r<n-e;++r)this[r+e]=o[r%s]}return this},a.concat=function(t,e){if(!i(t))throw new TypeError('"list" argument must be an Array of Buffers');if(0===t.length)return u(null,0);var n;if(void 0===e)for(e=0,n=0;n<t.length;++n)e+=t[n].length;var r=c(null,e),o=0;for(n=0;n<t.length;++n){var s=t[n];if(!a.isBuffer(s))throw new TypeError('"list" argument must be an Array of Buffers');s.copy(r,o),o+=s.length}return r},a.byteLength=v,a.prototype._isBuffer=!0,a.isBuffer=function(t){return!(null==t||!t._isBuffer)},e.exports.alloc=function(t){var e=new a(t);return e.fill(0),e},e.exports.from=function(t){return new a(t)}},{isarray:33}],29:[function(t,e,n){n.byteLength=c,n.toByteArray=h,n.fromByteArray=m;for(var i=[],r=[],o="undefined"!=typeof Uint8Array?Uint8Array:Array,a="ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/",s=0,l=a.length;s<l;++s)i[s]=a[s],r[a.charCodeAt(s)]=s;function u(t){var e=t.length;if(e%4>0)throw new Error("Invalid string. Length must be a multiple of 4");var n=t.indexOf("=");return-1===n&&(n=e),[n,n===e?0:4-n%4]}function c(t){var e=u(t),n=e[0],i=e[1];return 3*(n+i)/4-i}function d(t,e,n){return 3*(e+n)/4-n}function h(t){var e,n,i=u(t),a=i[0],s=i[1],l=new o(d(t,a,s)),c=0,h=s>0?a-4:a;for(n=0;n<h;n+=4)e=r[t.charCodeAt(n)]<<18|r[t.charCodeAt(n+1)]<<12|r[t.charCodeAt(n+2)]<<6|r[t.charCodeAt(n+3)],l[c++]=e>>16&255,l[c++]=e>>8&255,l[c++]=255&e;return 2===s&&(e=r[t.charCodeAt(n)]<<2|r[t.charCodeAt(n+1)]>>4,l[c++]=255&e),1===s&&(e=r[t.charCodeAt(n)]<<10|r[t.charCodeAt(n+1)]<<4|r[t.charCodeAt(n+2)]>>2,l[c++]=e>>8&255,l[c++]=255&e),l}function f(t){return i[t>>18&63]+i[t>>12&63]+i[t>>6&63]+i[63&t]}function p(t,e,n){for(var i,r=[],o=e;o<n;o+=3)i=(t[o]<<16&16711680)+(t[o+1]<<8&65280)+(255&t[o+2]),r.push(f(i));return r.join("")}function m(t){for(var e,n=t.length,r=n%3,o=[],a=16383,s=0,l=n-r;s<l;s+=a)o.push(p(t,s,s+a>l?l:s+a));return 1===r?(e=t[n-1],o.push(i[e>>2]+i[e<<4&63]+"==")):2===r&&(e=(t[n-2]<<8)+t[n-1],o.push(i[e>>10]+i[e>>4&63]+i[e<<2&63]+"=")),o.join("")}r["-".charCodeAt(0)]=62,r["_".charCodeAt(0)]=63},{}],30:[function(t,e,n){var i=t("base64-js"),r=t("ieee754"),o="function"==typeof Symbol&&"function"==typeof Symbol.for?Symbol.for("nodejs.util.inspect.custom"):null;n.Buffer=u,n.SlowBuffer=y,n.INSPECT_MAX_BYTES=50;var a=2147483647;function s(){try{var t=new Uint8Array(1),e={foo:function(){return 42}};return Object.setPrototypeOf(e,Uint8Array.prototype),Object.setPrototypeOf(t,e),42===t.foo()}catch(t){return!1}}function l(t){if(t>a)throw new RangeError('The value "'+t+'" is invalid for option "size"');var e=new Uint8Array(t);return Object.setPrototypeOf(e,u.prototype),e}function u(t,e,n){if("number"==typeof t){if("string"==typeof e)throw new TypeError('The "string" argument must be of type string. Received type number');return f(t)}return c(t,e,n)}function c(t,e,n){if("string"==typeof t)return p(t,e);if(ArrayBuffer.isView(t))return m(t);if(null==t)throw new TypeError("The first argument must be one of type string, Buffer, ArrayBuffer, Array, or Array-like Object. Received type "+typeof t);if(Z(t,ArrayBuffer)||t&&Z(t.buffer,ArrayBuffer))return v(t,e,n);if("number"==typeof t)throw new TypeError('The "value" argument must not be of type number. Received type number');var i=t.valueOf&&t.valueOf();if(null!=i&&i!==t)return u.from(i,e,n);var r=g(t);if(r)return r;if("undefined"!=typeof Symbol&&null!=Symbol.toPrimitive&&"function"==typeof t[Symbol.toPrimitive])return u.from(t[Symbol.toPrimitive]("string"),e,n);throw new TypeError("The first argument must be one of type string, Buffer, ArrayBuffer, Array, or Array-like Object. Received type "+typeof t)}function d(t){if("number"!=typeof t)throw new TypeError('"size" argument must be of type number');if(t<0)throw new RangeError('The value "'+t+'" is invalid for option "size"')}function h(t,e,n){return d(t),t<=0?l(t):void 0!==e?"string"==typeof n?l(t).fill(e,n):l(t).fill(e):l(t)}function f(t){return d(t),l(t<0?0:0|_(t))}function p(t,e){if("string"==typeof e&&""!==e||(e="utf8"),!u.isEncoding(e))throw new TypeError("Unknown encoding: "+e);var n=0|b(t,e),i=l(n),r=i.write(t,e);return r!==n&&(i=i.slice(0,r)),i}function m(t){for(var e=t.length<0?0:0|_(t.length),n=l(e),i=0;i<e;i+=1)n[i]=255&t[i];return n}function v(t,e,n){if(e<0||t.byteLength<e)throw new RangeError('"offset" is outside of buffer bounds');if(t.byteLength<e+(n||0))throw new RangeError('"length" is outside of buffer bounds');var i;return i=void 0===e&&void 0===n?new Uint8Array(t):void 0===n?new Uint8Array(t,e):new Uint8Array(t,e,n),Object.setPrototypeOf(i,u.prototype),i}function g(t){if(u.isBuffer(t)){var e=0|_(t.length),n=l(e);return 0===n.length||t.copy(n,0,0,e),n}return void 0!==t.length?"number"!=typeof t.length||J(t.length)?l(0):m(t):"Buffer"===t.type&&Array.isArray(t.data)?m(t.data):void 0}function _(t){if(t>=a)throw new RangeError("Attempt to allocate Buffer larger than maximum size: 0x"+a.toString(16)+" bytes");return 0|t}function y(t){return+t!=t&&(t=0),u.alloc(+t)}function b(t,e){if(u.isBuffer(t))return t.length;if(ArrayBuffer.isView(t)||Z(t,ArrayBuffer))return t.byteLength;if("string"!=typeof t)throw new TypeError('The "string" argument must be one of type string, Buffer, or ArrayBuffer. Received type '+typeof t);var n=t.length,i=arguments.length>2&&!0===arguments[2];if(!i&&0===n)return 0;for(var r=!1;;)switch(e){case"ascii":case"latin1":case"binary":return n;case"utf8":case"utf-8":return W(t).length;case"ucs2":case"ucs-2":case"utf16le":case"utf-16le":return 2*n;case"hex":return n>>>1;case"base64":return G(t).length;default:if(r)return i?-1:W(t).length;e=(""+e).toLowerCase(),r=!0}}function w(t,e,n){var i=!1;if((void 0===e||e<0)&&(e=0),e>this.length)return"";if((void 0===n||n>this.length)&&(n=this.length),n<=0)return"";if((n>>>=0)<=(e>>>=0))return"";for(t||(t="utf8");;)switch(t){case"hex":return I(this,e,n);case"utf8":case"utf-8":return L(this,e,n);case"ascii":return R(this,e,n);case"latin1":case"binary":return N(this,e,n);case"base64":return q(this,e,n);case"ucs2":case"ucs-2":case"utf16le":case"utf-16le":return j(this,e,n);default:if(i)throw new TypeError("Unknown encoding: "+t);t=(t+"").toLowerCase(),i=!0}}function x(t,e,n){var i=t[e];t[e]=t[n],t[n]=i}function k(t,e,n,i,r){if(0===t.length)return-1;if("string"==typeof n?(i=n,n=0):n>2147483647?n=2147483647:n<-2147483648&&(n=-2147483648),J(n=+n)&&(n=r?0:t.length-1),n<0&&(n=t.length+n),n>=t.length){if(r)return-1;n=t.length-1}else if(n<0){if(!r)return-1;n=0}if("string"==typeof e&&(e=u.from(e,i)),u.isBuffer(e))return 0===e.length?-1:S(t,e,n,i,r);if("number"==typeof e)return e&=255,"function"==typeof Uint8Array.prototype.indexOf?r?Uint8Array.prototype.indexOf.call(t,e,n):Uint8Array.prototype.lastIndexOf.call(t,e,n):S(t,[e],n,i,r);throw new TypeError("val must be string, number or Buffer")}function S(t,e,n,i,r){var o,a=1,s=t.length,l=e.length;if(void 0!==i&&("ucs2"===(i=String(i).toLowerCase())||"ucs-2"===i||"utf16le"===i||"utf-16le"===i)){if(t.length<2||e.length<2)return-1;a=2,s/=2,l/=2,n/=2}function u(t,e){return 1===a?t[e]:t.readUInt16BE(e*a)}if(r){var c=-1;for(o=n;o<s;o++)if(u(t,o)===u(e,-1===c?0:o-c)){if(-1===c&&(c=o),o-c+1===l)return c*a}else-1!==c&&(o-=o-c),c=-1}else for(n+l>s&&(n=s-l),o=n;o>=0;o--){for(var d=!0,h=0;h<l;h++)if(u(t,o+h)!==u(e,h)){d=!1;break}if(d)return o}return-1}function C(t,e,n,i){n=Number(n)||0;var r=t.length-n;i?(i=Number(i))>r&&(i=r):i=r;var o=e.length;i>o/2&&(i=o/2);for(var a=0;a<i;++a){var s=parseInt(e.substr(2*a,2),16);if(J(s))return a;t[n+a]=s}return a}function M(t,e,n,i){return K(W(e,t.length-n),t,n,i)}function T(t,e,n,i){return K(Y(e),t,n,i)}function O(t,e,n,i){return T(t,e,n,i)}function A(t,e,n,i){return K(G(e),t,n,i)}function E(t,e,n,i){return K(Q(e,t.length-n),t,n,i)}function q(t,e,n){return 0===e&&n===t.length?i.fromByteArray(t):i.fromByteArray(t.slice(e,n))}function L(t,e,n){n=Math.min(t.length,n);for(var i=[],r=e;r<n;){var o,a,s,l,u=t[r],c=null,d=u>239?4:u>223?3:u>191?2:1;if(r+d<=n)switch(d){case 1:u<128&&(c=u);break;case 2:128==(192&(o=t[r+1]))&&(l=(31&u)<<6|63&o)>127&&(c=l);break;case 3:o=t[r+1],a=t[r+2],128==(192&o)&&128==(192&a)&&(l=(15&u)<<12|(63&o)<<6|63&a)>2047&&(l<55296||l>57343)&&(c=l);break;case 4:o=t[r+1],a=t[r+2],s=t[r+3],128==(192&o)&&128==(192&a)&&128==(192&s)&&(l=(15&u)<<18|(63&o)<<12|(63&a)<<6|63&s)>65535&&l<1114112&&(c=l)}null===c?(c=65533,d=1):c>65535&&(c-=65536,i.push(c>>>10&1023|55296),c=56320|1023&c),i.push(c),r+=d}return P(i)}n.kMaxLength=a,u.TYPED_ARRAY_SUPPORT=s(),u.TYPED_ARRAY_SUPPORT||"undefined"==typeof console||"function"!=typeof console.error||console.error("This browser lacks typed array (Uint8Array) support which is required by `buffer` v5.x. Use `buffer` v4.x if you require old browser support."),Object.defineProperty(u.prototype,"parent",{enumerable:!0,get:function(){if(u.isBuffer(this))return this.buffer}}),Object.defineProperty(u.prototype,"offset",{enumerable:!0,get:function(){if(u.isBuffer(this))return this.byteOffset}}),"undefined"!=typeof Symbol&&null!=Symbol.species&&u[Symbol.species]===u&&Object.defineProperty(u,Symbol.species,{value:null,configurable:!0,enumerable:!1,writable:!1}),u.poolSize=8192,u.from=function(t,e,n){return c(t,e,n)},Object.setPrototypeOf(u.prototype,Uint8Array.prototype),Object.setPrototypeOf(u,Uint8Array),u.alloc=function(t,e,n){return h(t,e,n)},u.allocUnsafe=function(t){return f(t)},u.allocUnsafeSlow=function(t){return f(t)},u.isBuffer=function(t){return null!=t&&!0===t._isBuffer&&t!==u.prototype},u.compare=function(t,e){if(Z(t,Uint8Array)&&(t=u.from(t,t.offset,t.byteLength)),Z(e,Uint8Array)&&(e=u.from(e,e.offset,e.byteLength)),!u.isBuffer(t)||!u.isBuffer(e))throw new TypeError('The "buf1", "buf2" arguments must be one of type Buffer or Uint8Array');if(t===e)return 0;for(var n=t.length,i=e.length,r=0,o=Math.min(n,i);r<o;++r)if(t[r]!==e[r]){n=t[r],i=e[r];break}return n<i?-1:i<n?1:0},u.isEncoding=function(t){switch(String(t).toLowerCase()){case"hex":case"utf8":case"utf-8":case"ascii":case"latin1":case"binary":case"base64":case"ucs2":case"ucs-2":case"utf16le":case"utf-16le":return!0;default:return!1}},u.concat=function(t,e){if(!Array.isArray(t))throw new TypeError('"list" argument must be an Array of Buffers');if(0===t.length)return u.alloc(0);var n;if(void 0===e)for(e=0,n=0;n<t.length;++n)e+=t[n].length;var i=u.allocUnsafe(e),r=0;for(n=0;n<t.length;++n){var o=t[n];if(Z(o,Uint8Array)&&(o=u.from(o)),!u.isBuffer(o))throw new TypeError('"list" argument must be an Array of Buffers');o.copy(i,r),r+=o.length}return i},u.byteLength=b,u.prototype._isBuffer=!0,u.prototype.swap16=function(){var t=this.length;if(t%2!=0)throw new RangeError("Buffer size must be a multiple of 16-bits");for(var e=0;e<t;e+=2)x(this,e,e+1);return this},u.prototype.swap32=function(){var t=this.length;if(t%4!=0)throw new RangeError("Buffer size must be a multiple of 32-bits");for(var e=0;e<t;e+=4)x(this,e,e+3),x(this,e+1,e+2);return this},u.prototype.swap64=function(){var t=this.length;if(t%8!=0)throw new RangeError("Buffer size must be a multiple of 64-bits");for(var e=0;e<t;e+=8)x(this,e,e+7),x(this,e+1,e+6),x(this,e+2,e+5),x(this,e+3,e+4);return this},u.prototype.toString=function(){var t=this.length;return 0===t?"":0===arguments.length?L(this,0,t):w.apply(this,arguments)},u.prototype.toLocaleString=u.prototype.toString,u.prototype.equals=function(t){if(!u.isBuffer(t))throw new TypeError("Argument must be a Buffer");return this===t||0===u.compare(this,t)},u.prototype.inspect=function(){var t="",e=n.INSPECT_MAX_BYTES;return t=this.toString("hex",0,e).replace(/(.{2})/g,"$1 ").trim(),this.length>e&&(t+=" ... "),"<Buffer "+t+">"},o&&(u.prototype[o]=u.prototype.inspect),u.prototype.compare=function(t,e,n,i,r){if(Z(t,Uint8Array)&&(t=u.from(t,t.offset,t.byteLength)),!u.isBuffer(t))throw new TypeError('The "target" argument must be one of type Buffer or Uint8Array. Received type '+typeof t);if(void 0===e&&(e=0),void 0===n&&(n=t?t.length:0),void 0===i&&(i=0),void 0===r&&(r=this.length),e<0||n>t.length||i<0||r>this.length)throw new RangeError("out of range index");if(i>=r&&e>=n)return 0;if(i>=r)return-1;if(e>=n)return 1;if(this===t)return 0;for(var o=(r>>>=0)-(i>>>=0),a=(n>>>=0)-(e>>>=0),s=Math.min(o,a),l=this.slice(i,r),c=t.slice(e,n),d=0;d<s;++d)if(l[d]!==c[d]){o=l[d],a=c[d];break}return o<a?-1:a<o?1:0},u.prototype.includes=function(t,e,n){return-1!==this.indexOf(t,e,n)},u.prototype.indexOf=function(t,e,n){return k(this,t,e,n,!0)},u.prototype.lastIndexOf=function(t,e,n){return k(this,t,e,n,!1)},u.prototype.write=function(t,e,n,i){if(void 0===e)i="utf8",n=this.length,e=0;else if(void 0===n&&"string"==typeof e)i=e,n=this.length,e=0;else{if(!isFinite(e))throw new Error("Buffer.write(string, encoding, offset[, length]) is no longer supported");e>>>=0,isFinite(n)?(n>>>=0,void 0===i&&(i="utf8")):(i=n,n=void 0)}var r=this.length-e;if((void 0===n||n>r)&&(n=r),t.length>0&&(n<0||e<0)||e>this.length)throw new RangeError("Attempt to write outside buffer bounds");i||(i="utf8");for(var o=!1;;)switch(i){case"hex":return C(this,t,e,n);case"utf8":case"utf-8":return M(this,t,e,n);case"ascii":return T(this,t,e,n);case"latin1":case"binary":return O(this,t,e,n);case"base64":return A(this,t,e,n);case"ucs2":case"ucs-2":case"utf16le":case"utf-16le":return E(this,t,e,n);default:if(o)throw new TypeError("Unknown encoding: "+i);i=(""+i).toLowerCase(),o=!0}},u.prototype.toJSON=function(){return{type:"Buffer",data:Array.prototype.slice.call(this._arr||this,0)}};var D=4096;function P(t){var e=t.length;if(e<=D)return String.fromCharCode.apply(String,t);for(var n="",i=0;i<e;)n+=String.fromCharCode.apply(String,t.slice(i,i+=D));return n}function R(t,e,n){var i="";n=Math.min(t.length,n);for(var r=e;r<n;++r)i+=String.fromCharCode(127&t[r]);return i}function N(t,e,n){var i="";n=Math.min(t.length,n);for(var r=e;r<n;++r)i+=String.fromCharCode(t[r]);return i}function I(t,e,n){var i=t.length;(!e||e<0)&&(e=0),(!n||n<0||n>i)&&(n=i);for(var r="",o=e;o<n;++o)r+=X[t[o]];return r}function j(t,e,n){for(var i=t.slice(e,n),r="",o=0;o<i.length;o+=2)r+=String.fromCharCode(i[o]+256*i[o+1]);return r}function $(t,e,n){if(t%1!=0||t<0)throw new RangeError("offset is not uint");if(t+e>n)throw new RangeError("Trying to access beyond buffer length")}function F(t,e,n,i,r,o){if(!u.isBuffer(t))throw new TypeError('"buffer" argument must be a Buffer instance');if(e>r||e<o)throw new RangeError('"value" argument is out of bounds');if(n+i>t.length)throw new RangeError("Index out of range")}function B(t,e,n,i,r,o){if(n+i>t.length)throw new RangeError("Index out of range");if(n<0)throw new RangeError("Index out of range")}function z(t,e,n,i,o){return e=+e,n>>>=0,o||B(t,e,n,4),r.write(t,e,n,i,23,4),n+4}function V(t,e,n,i,o){return e=+e,n>>>=0,o||B(t,e,n,8),r.write(t,e,n,i,52,8),n+8}u.prototype.slice=function(t,e){var n=this.length;(t=~~t)<0?(t+=n)<0&&(t=0):t>n&&(t=n),(e=void 0===e?n:~~e)<0?(e+=n)<0&&(e=0):e>n&&(e=n),e<t&&(e=t);var i=this.subarray(t,e);return Object.setPrototypeOf(i,u.prototype),i},u.prototype.readUIntLE=function(t,e,n){t>>>=0,e>>>=0,n||$(t,e,this.length);for(var i=this[t],r=1,o=0;++o<e&&(r*=256);)i+=this[t+o]*r;return i},u.prototype.readUIntBE=function(t,e,n){t>>>=0,e>>>=0,n||$(t,e,this.length);for(var i=this[t+--e],r=1;e>0&&(r*=256);)i+=this[t+--e]*r;return i},u.prototype.readUInt8=function(t,e){return t>>>=0,e||$(t,1,this.length),this[t]},u.prototype.readUInt16LE=function(t,e){return t>>>=0,e||$(t,2,this.length),this[t]|this[t+1]<<8},u.prototype.readUInt16BE=function(t,e){return t>>>=0,e||$(t,2,this.length),this[t]<<8|this[t+1]},u.prototype.readUInt32LE=function(t,e){return t>>>=0,e||$(t,4,this.length),(this[t]|this[t+1]<<8|this[t+2]<<16)+16777216*this[t+3]},u.prototype.readUInt32BE=function(t,e){return t>>>=0,e||$(t,4,this.length),16777216*this[t]+(this[t+1]<<16|this[t+2]<<8|this[t+3])},u.prototype.readIntLE=function(t,e,n){t>>>=0,e>>>=0,n||$(t,e,this.length);for(var i=this[t],r=1,o=0;++o<e&&(r*=256);)i+=this[t+o]*r;return i>=(r*=128)&&(i-=Math.pow(2,8*e)),i},u.prototype.readIntBE=function(t,e,n){t>>>=0,e>>>=0,n||$(t,e,this.length);for(var i=e,r=1,o=this[t+--i];i>0&&(r*=256);)o+=this[t+--i]*r;return o>=(r*=128)&&(o-=Math.pow(2,8*e)),o},u.prototype.readInt8=function(t,e){return t>>>=0,e||$(t,1,this.length),128&this[t]?-1*(255-this[t]+1):this[t]},u.prototype.readInt16LE=function(t,e){t>>>=0,e||$(t,2,this.length);var n=this[t]|this[t+1]<<8;return 32768&n?4294901760|n:n},u.prototype.readInt16BE=function(t,e){t>>>=0,e||$(t,2,this.length);var n=this[t+1]|this[t]<<8;return 32768&n?4294901760|n:n},u.prototype.readInt32LE=function(t,e){return t>>>=0,e||$(t,4,this.length),this[t]|this[t+1]<<8|this[t+2]<<16|this[t+3]<<24},u.prototype.readInt32BE=function(t,e){return t>>>=0,e||$(t,4,this.length),this[t]<<24|this[t+1]<<16|this[t+2]<<8|this[t+3]},u.prototype.readFloatLE=function(t,e){return t>>>=0,e||$(t,4,this.length),r.read(this,t,!0,23,4)},u.prototype.readFloatBE=function(t,e){return t>>>=0,e||$(t,4,this.length),r.read(this,t,!1,23,4)},u.prototype.readDoubleLE=function(t,e){return t>>>=0,e||$(t,8,this.length),r.read(this,t,!0,52,8)},u.prototype.readDoubleBE=function(t,e){return t>>>=0,e||$(t,8,this.length),r.read(this,t,!1,52,8)},u.prototype.writeUIntLE=function(t,e,n,i){t=+t,e>>>=0,n>>>=0,i||F(this,t,e,n,Math.pow(2,8*n)-1,0);var r=1,o=0;for(this[e]=255&t;++o<n&&(r*=256);)this[e+o]=t/r&255;return e+n},u.prototype.writeUIntBE=function(t,e,n,i){t=+t,e>>>=0,n>>>=0,i||F(this,t,e,n,Math.pow(2,8*n)-1,0);var r=n-1,o=1;for(this[e+r]=255&t;--r>=0&&(o*=256);)this[e+r]=t/o&255;return e+n},u.prototype.writeUInt8=function(t,e,n){return t=+t,e>>>=0,n||F(this,t,e,1,255,0),this[e]=255&t,e+1},u.prototype.writeUInt16LE=function(t,e,n){return t=+t,e>>>=0,n||F(this,t,e,2,65535,0),this[e]=255&t,this[e+1]=t>>>8,e+2},u.prototype.writeUInt16BE=function(t,e,n){return t=+t,e>>>=0,n||F(this,t,e,2,65535,0),this[e]=t>>>8,this[e+1]=255&t,e+2},u.prototype.writeUInt32LE=function(t,e,n){return t=+t,e>>>=0,n||F(this,t,e,4,4294967295,0),this[e+3]=t>>>24,this[e+2]=t>>>16,this[e+1]=t>>>8,this[e]=255&t,e+4},u.prototype.writeUInt32BE=function(t,e,n){return t=+t,e>>>=0,n||F(this,t,e,4,4294967295,0),this[e]=t>>>24,this[e+1]=t>>>16,this[e+2]=t>>>8,this[e+3]=255&t,e+4},u.prototype.writeIntLE=function(t,e,n,i){if(t=+t,e>>>=0,!i){var r=Math.pow(2,8*n-1);F(this,t,e,n,r-1,-r)}var o=0,a=1,s=0;for(this[e]=255&t;++o<n&&(a*=256);)t<0&&0===s&&0!==this[e+o-1]&&(s=1),this[e+o]=(t/a>>0)-s&255;return e+n},u.prototype.writeIntBE=function(t,e,n,i){if(t=+t,e>>>=0,!i){var r=Math.pow(2,8*n-1);F(this,t,e,n,r-1,-r)}var o=n-1,a=1,s=0;for(this[e+o]=255&t;--o>=0&&(a*=256);)t<0&&0===s&&0!==this[e+o+1]&&(s=1),this[e+o]=(t/a>>0)-s&255;return e+n},u.prototype.writeInt8=function(t,e,n){return t=+t,e>>>=0,n||F(this,t,e,1,127,-128),t<0&&(t=255+t+1),this[e]=255&t,e+1},u.prototype.writeInt16LE=function(t,e,n){return t=+t,e>>>=0,n||F(this,t,e,2,32767,-32768),this[e]=255&t,this[e+1]=t>>>8,e+2},u.prototype.writeInt16BE=function(t,e,n){return t=+t,e>>>=0,n||F(this,t,e,2,32767,-32768),this[e]=t>>>8,this[e+1]=255&t,e+2},u.prototype.writeInt32LE=function(t,e,n){return t=+t,e>>>=0,n||F(this,t,e,4,2147483647,-2147483648),this[e]=255&t,this[e+1]=t>>>8,this[e+2]=t>>>16,this[e+3]=t>>>24,e+4},u.prototype.writeInt32BE=function(t,e,n){return t=+t,e>>>=0,n||F(this,t,e,4,2147483647,-2147483648),t<0&&(t=4294967295+t+1),this[e]=t>>>24,this[e+1]=t>>>16,this[e+2]=t>>>8,this[e+3]=255&t,e+4},u.prototype.writeFloatLE=function(t,e,n){return z(this,t,e,!0,n)},u.prototype.writeFloatBE=function(t,e,n){return z(this,t,e,!1,n)},u.prototype.writeDoubleLE=function(t,e,n){return V(this,t,e,!0,n)},u.prototype.writeDoubleBE=function(t,e,n){return V(this,t,e,!1,n)},u.prototype.copy=function(t,e,n,i){if(!u.isBuffer(t))throw new TypeError("argument should be a Buffer");if(n||(n=0),i||0===i||(i=this.length),e>=t.length&&(e=t.length),e||(e=0),i>0&&i<n&&(i=n),i===n)return 0;if(0===t.length||0===this.length)return 0;if(e<0)throw new RangeError("targetStart out of bounds");if(n<0||n>=this.length)throw new RangeError("Index out of range");if(i<0)throw new RangeError("sourceEnd out of bounds");i>this.length&&(i=this.length),t.length-e<i-n&&(i=t.length-e+n);var r=i-n;if(this===t&&"function"==typeof Uint8Array.prototype.copyWithin)this.copyWithin(e,n,i);else if(this===t&&n<e&&e<i)for(var o=r-1;o>=0;--o)t[o+e]=this[o+n];else Uint8Array.prototype.set.call(t,this.subarray(n,i),e);return r},u.prototype.fill=function(t,e,n,i){if("string"==typeof t){if("string"==typeof e?(i=e,e=0,n=this.length):"string"==typeof n&&(i=n,n=this.length),void 0!==i&&"string"!=typeof i)throw new TypeError("encoding must be a string");if("string"==typeof i&&!u.isEncoding(i))throw new TypeError("Unknown encoding: "+i);if(1===t.length){var r=t.charCodeAt(0);("utf8"===i&&r<128||"latin1"===i)&&(t=r)}}else"number"==typeof t?t&=255:"boolean"==typeof t&&(t=Number(t));if(e<0||this.length<e||this.length<n)throw new RangeError("Out of range index");if(n<=e)return this;var o;if(e>>>=0,n=void 0===n?this.length:n>>>0,t||(t=0),"number"==typeof t)for(o=e;o<n;++o)this[o]=t;else{var a=u.isBuffer(t)?t:u.from(t,i),s=a.length;if(0===s)throw new TypeError('The value "'+t+'" is invalid for argument "value"');for(o=0;o<n-e;++o)this[o+e]=a[o%s]}return this};var H=/[^+/0-9A-Za-z-_]/g;function U(t){if((t=(t=t.split("=")[0]).trim().replace(H,"")).length<2)return"";for(;t.length%4!=0;)t+="=";return t}function W(t,e){var n;e=e||1/0;for(var i=t.length,r=null,o=[],a=0;a<i;++a){if((n=t.charCodeAt(a))>55295&&n<57344){if(!r){if(n>56319){(e-=3)>-1&&o.push(239,191,189);continue}if(a+1===i){(e-=3)>-1&&o.push(239,191,189);continue}r=n;continue}if(n<56320){(e-=3)>-1&&o.push(239,191,189),r=n;continue}n=65536+(r-55296<<10|n-56320)}else r&&(e-=3)>-1&&o.push(239,191,189);if(r=null,n<128){if((e-=1)<0)break;o.push(n)}else if(n<2048){if((e-=2)<0)break;o.push(n>>6|192,63&n|128)}else if(n<65536){if((e-=3)<0)break;o.push(n>>12|224,n>>6&63|128,63&n|128)}else{if(!(n<1114112))throw new Error("Invalid code point");if((e-=4)<0)break;o.push(n>>18|240,n>>12&63|128,n>>6&63|128,63&n|128)}}return o}function Y(t){for(var e=[],n=0;n<t.length;++n)e.push(255&t.charCodeAt(n));return e}function Q(t,e){for(var n,i,r,o=[],a=0;a<t.length&&!((e-=2)<0);++a)i=(n=t.charCodeAt(a))>>8,r=n%256,o.push(r),o.push(i);return o}function G(t){return i.toByteArray(U(t))}function K(t,e,n,i){for(var r=0;r<i&&!(r+n>=e.length||r>=t.length);++r)e[r+n]=t[r];return r}function Z(t,e){return t instanceof e||null!=t&&null!=t.constructor&&null!=t.constructor.name&&t.constructor.name===e.name}function J(t){return t!=t}var X=function(){for(var t="0123456789abcdef",e=new Array(256),n=0;n<16;++n)for(var i=16*n,r=0;r<16;++r)e[i+r]=t[n]+t[r];return e}()},{"base64-js":29,ieee754:32}],31:[function(t,e,n){var i={single_source_shortest_paths:function(t,e,n){var r={},o={};o[e]=0;var a,s,l,u,c,d,h,f=i.PriorityQueue.make();for(f.push(e,0);!f.empty();)for(l in s=(a=f.pop()).value,u=a.cost,c=t[s]||{})c.hasOwnProperty(l)&&(d=u+c[l],h=o[l],(void 0===o[l]||h>d)&&(o[l]=d,f.push(l,d),r[l]=s));if(void 0!==n&&void 0===o[n]){var p=["Could not find a path from ",e," to ",n,"."].join("");throw new Error(p)}return r},extract_shortest_path_from_predecessor_list:function(t,e){for(var n=[],i=e;i;)n.push(i),t[i],i=t[i];return n.reverse(),n},find_path:function(t,e,n){var r=i.single_source_shortest_paths(t,e,n);return i.extract_shortest_path_from_predecessor_list(r,n)},PriorityQueue:{make:function(t){var e,n=i.PriorityQueue,r={};for(e in t=t||{},n)n.hasOwnProperty(e)&&(r[e]=n[e]);return r.queue=[],r.sorter=t.sorter||n.default_sorter,r},default_sorter:function(t,e){return t.cost-e.cost},push:function(t,e){var n={value:t,cost:e};this.queue.push(n),this.queue.sort(this.sorter)},pop:function(){return this.queue.shift()},empty:function(){return 0===this.queue.length}}};void 0!==e&&(e.exports=i)},{}],32:[function(t,e,n){n.read=function(t,e,n,i,r){var o,a,s=8*r-i-1,l=(1<<s)-1,u=l>>1,c=-7,d=n?r-1:0,h=n?-1:1,f=t[e+d];for(d+=h,o=f&(1<<-c)-1,f>>=-c,c+=s;c>0;o=256*o+t[e+d],d+=h,c-=8);for(a=o&(1<<-c)-1,o>>=-c,c+=i;c>0;a=256*a+t[e+d],d+=h,c-=8);if(0===o)o=1-u;else{if(o===l)return a?NaN:1/0*(f?-1:1);a+=Math.pow(2,i),o-=u}return(f?-1:1)*a*Math.pow(2,o-i)},n.write=function(t,e,n,i,r,o){var a,s,l,u=8*o-r-1,c=(1<<u)-1,d=c>>1,h=23===r?Math.pow(2,-24)-Math.pow(2,-77):0,f=i?0:o-1,p=i?1:-1,m=e<0||0===e&&1/e<0?1:0;for(e=Math.abs(e),isNaN(e)||e===1/0?(s=isNaN(e)?1:0,a=c):(a=Math.floor(Math.log(e)/Math.LN2),e*(l=Math.pow(2,-a))<1&&(a--,l*=2),(e+=a+d>=1?h/l:h*Math.pow(2,1-d))*l>=2&&(a++,l/=2),a+d>=c?(s=0,a=c):a+d>=1?(s=(e*l-1)*Math.pow(2,r),a+=d):(s=e*Math.pow(2,d-1)*Math.pow(2,r),a=0));r>=8;t[n+f]=255&s,f+=p,s/=256,r-=8);for(a=a<<r|s,u+=r;u>0;t[n+f]=255&a,f+=p,a/=256,u-=8);t[n+f-p]|=128*m}},{}],33:[function(t,e,n){var i={}.toString;e.exports=Array.isArray||function(t){return"[object Array]"==i.call(t)}},{}]},{},[24])(24)}));return{name:"qrcode",props:{value:null,options:Object,tag:{type:String,default:"canvas"}},render:function(t){return t(this.tag,this.$slots.default)},watch:{$props:{deep:!0,immediate:!0,handler:function(){this.$el&&this.generate()}}},methods:{generate:function(){var t=this,n=this.options,i=this.tag,r=String(this.value);"canvas"===i?e.toCanvas(this.$el,r,n,(function(t){if(t)throw t})):"img"===i?e.toDataURL(r,n,(function(e,n){if(e)throw e;t.$el.src=n})):e.toString(r,n,(function(e,n){if(e)throw e;t.$el.innerHTML=n}))}},mounted:function(){this.generate()}}})),
/*!
 * vuex v3.5.1
 * (c) 2020 Evan You
 * @license MIT
 */
function(t,e){"object"==typeof exports&&"undefined"!=typeof module?module.exports=e():"function"==typeof define&&define.amd?define(e):(t=t||self).Vuex=e()}(this,(function(){"use strict";var t=("undefined"!=typeof window?window:"undefined"!=typeof global?global:{}).__VUE_DEVTOOLS_GLOBAL_HOOK__;function e(t,n){if(void 0===n&&(n=[]),null===t||"object"!=typeof t)return t;var i,r=(i=function(e){return e.original===t},n.filter(i)[0]);if(r)return r.copy;var o=Array.isArray(t)?[]:{};return n.push({original:t,copy:o}),Object.keys(t).forEach((function(i){o[i]=e(t[i],n)})),o}function n(t,e){Object.keys(t).forEach((function(n){return e(t[n],n)}))}function i(t){return null!==t&&"object"==typeof t}function r(t,e){if(!t)throw new Error("[vuex] "+e)}var o=function(t,e){this.runtime=e,this._children=Object.create(null),this._rawModule=t;var n=t.state;this.state=("function"==typeof n?n():n)||{}},a={namespaced:{configurable:!0}};a.namespaced.get=function(){return!!this._rawModule.namespaced},o.prototype.addChild=function(t,e){this._children[t]=e},o.prototype.removeChild=function(t){delete this._children[t]},o.prototype.getChild=function(t){return this._children[t]},o.prototype.hasChild=function(t){return t in this._children},o.prototype.update=function(t){this._rawModule.namespaced=t.namespaced,t.actions&&(this._rawModule.actions=t.actions),t.mutations&&(this._rawModule.mutations=t.mutations),t.getters&&(this._rawModule.getters=t.getters)},o.prototype.forEachChild=function(t){n(this._children,t)},o.prototype.forEachGetter=function(t){this._rawModule.getters&&n(this._rawModule.getters,t)},o.prototype.forEachAction=function(t){this._rawModule.actions&&n(this._rawModule.actions,t)},o.prototype.forEachMutation=function(t){this._rawModule.mutations&&n(this._rawModule.mutations,t)},Object.defineProperties(o.prototype,a);var s=function(t){this.register([],t,!1)};function l(t,e,n){if(h(t,n),e.update(n),n.modules)for(var i in n.modules){if(!e.getChild(i))return void console.warn("[vuex] trying to add a new module '"+i+"' on hot reloading, manual reload is needed");l(t.concat(i),e.getChild(i),n.modules[i])}}s.prototype.get=function(t){return t.reduce((function(t,e){return t.getChild(e)}),this.root)},s.prototype.getNamespace=function(t){var e=this.root;return t.reduce((function(t,n){return t+((e=e.getChild(n)).namespaced?n+"/":"")}),"")},s.prototype.update=function(t){l([],this.root,t)},s.prototype.register=function(t,e,i){var r=this;void 0===i&&(i=!0),h(t,e);var a=new o(e,i);0===t.length?this.root=a:this.get(t.slice(0,-1)).addChild(t[t.length-1],a);e.modules&&n(e.modules,(function(e,n){r.register(t.concat(n),e,i)}))},s.prototype.unregister=function(t){var e=this.get(t.slice(0,-1)),n=t[t.length-1],i=e.getChild(n);i?i.runtime&&e.removeChild(n):console.warn("[vuex] trying to unregister module '"+n+"', which is not registered")},s.prototype.isRegistered=function(t){var e=this.get(t.slice(0,-1)),n=t[t.length-1];return e.hasChild(n)};var u,c={assert:function(t){return"function"==typeof t},expected:"function"},d={getters:c,mutations:c,actions:{assert:function(t){return"function"==typeof t||"object"==typeof t&&"function"==typeof t.handler},expected:'function or object with "handler" function'}};function h(t,e){Object.keys(d).forEach((function(i){if(e[i]){var o=d[i];n(e[i],(function(e,n){r(o.assert(e),function(t,e,n,i,r){var o=e+" should be "+r+' but "'+e+"."+n+'"';t.length>0&&(o+=' in module "'+t.join(".")+'"');return o+=" is "+JSON.stringify(i)+".",o}(t,i,n,e,o.expected))}))}}))}var f=function e(n){var i=this;void 0===n&&(n={}),!u&&"undefined"!=typeof window&&window.Vue&&w(window.Vue),r(u,"must call Vue.use(Vuex) before creating a store instance."),r("undefined"!=typeof Promise,"vuex requires a Promise polyfill in this browser."),r(this instanceof e,"store must be called with the new operator.");var o=n.plugins;void 0===o&&(o=[]);var a=n.strict;void 0===a&&(a=!1),this._committing=!1,this._actions=Object.create(null),this._actionSubscribers=[],this._mutations=Object.create(null),this._wrappedGetters=Object.create(null),this._modules=new s(n),this._modulesNamespaceMap=Object.create(null),this._subscribers=[],this._watcherVM=new u,this._makeLocalGettersCache=Object.create(null);var l=this,c=this.dispatch,d=this.commit;this.dispatch=function(t,e){return c.call(l,t,e)},this.commit=function(t,e,n){return d.call(l,t,e,n)},this.strict=a;var h=this._modules.root.state;_(this,h,[],this._modules.root),g(this,h),o.forEach((function(t){return t(i)})),(void 0!==n.devtools?n.devtools:u.config.devtools)&&function(e){t&&(e._devtoolHook=t,t.emit("vuex:init",e),t.on("vuex:travel-to-state",(function(t){e.replaceState(t)})),e.subscribe((function(e,n){t.emit("vuex:mutation",e,n)}),{prepend:!0}),e.subscribeAction((function(e,n){t.emit("vuex:action",e,n)}),{prepend:!0}))}(this)},p={state:{configurable:!0}};function m(t,e,n){return e.indexOf(t)<0&&(n&&n.prepend?e.unshift(t):e.push(t)),function(){var n=e.indexOf(t);n>-1&&e.splice(n,1)}}function v(t,e){t._actions=Object.create(null),t._mutations=Object.create(null),t._wrappedGetters=Object.create(null),t._modulesNamespaceMap=Object.create(null);var n=t.state;_(t,n,[],t._modules.root,!0),g(t,n,e)}function g(t,e,i){var o=t._vm;t.getters={},t._makeLocalGettersCache=Object.create(null);var a=t._wrappedGetters,s={};n(a,(function(e,n){s[n]=function(t,e){return function(){return t(e)}}(e,t),Object.defineProperty(t.getters,n,{get:function(){return t._vm[n]},enumerable:!0})}));var l=u.config.silent;u.config.silent=!0,t._vm=new u({data:{$$state:e},computed:s}),u.config.silent=l,t.strict&&function(t){t._vm.$watch((function(){return this._data.$$state}),(function(){r(t._committing,"do not mutate vuex store state outside mutation handlers.")}),{deep:!0,sync:!0})}(t),o&&(i&&t._withCommit((function(){o._data.$$state=null})),u.nextTick((function(){return o.$destroy()})))}function _(t,e,n,i,r){var o=!n.length,a=t._modules.getNamespace(n);if(i.namespaced&&(t._modulesNamespaceMap[a]&&console.error("[vuex] duplicate namespace "+a+" for the namespaced module "+n.join("/")),t._modulesNamespaceMap[a]=i),!o&&!r){var s=y(e,n.slice(0,-1)),l=n[n.length-1];t._withCommit((function(){l in s&&console.warn('[vuex] state field "'+l+'" was overridden by a module with the same name at "'+n.join(".")+'"'),u.set(s,l,i.state)}))}var c=i.context=function(t,e,n){var i=""===e,r={dispatch:i?t.dispatch:function(n,i,r){var o=b(n,i,r),a=o.payload,s=o.options,l=o.type;if(s&&s.root||(l=e+l,t._actions[l]))return t.dispatch(l,a);console.error("[vuex] unknown local action type: "+o.type+", global type: "+l)},commit:i?t.commit:function(n,i,r){var o=b(n,i,r),a=o.payload,s=o.options,l=o.type;s&&s.root||(l=e+l,t._mutations[l])?t.commit(l,a,s):console.error("[vuex] unknown local mutation type: "+o.type+", global type: "+l)}};return Object.defineProperties(r,{getters:{get:i?function(){return t.getters}:function(){return function(t,e){if(!t._makeLocalGettersCache[e]){var n={},i=e.length;Object.keys(t.getters).forEach((function(r){if(r.slice(0,i)===e){var o=r.slice(i);Object.defineProperty(n,o,{get:function(){return t.getters[r]},enumerable:!0})}})),t._makeLocalGettersCache[e]=n}return t._makeLocalGettersCache[e]}(t,e)}},state:{get:function(){return y(t.state,n)}}}),r}(t,a,n);i.forEachMutation((function(e,n){!function(t,e,n,i){var r=t._mutations[e]||(t._mutations[e]=[]);r.push((function(e){n.call(t,i.state,e)}))}(t,a+n,e,c)})),i.forEachAction((function(e,n){var i=e.root?n:a+n,r=e.handler||e;!function(t,e,n,i){var r=t._actions[e]||(t._actions[e]=[]);r.push((function(e){var r,o=n.call(t,{dispatch:i.dispatch,commit:i.commit,getters:i.getters,state:i.state,rootGetters:t.getters,rootState:t.state},e);return(r=o)&&"function"==typeof r.then||(o=Promise.resolve(o)),t._devtoolHook?o.catch((function(e){throw t._devtoolHook.emit("vuex:error",e),e})):o}))}(t,i,r,c)})),i.forEachGetter((function(e,n){!function(t,e,n,i){if(t._wrappedGetters[e])return void console.error("[vuex] duplicate getter key: "+e);t._wrappedGetters[e]=function(t){return n(i.state,i.getters,t.state,t.getters)}}(t,a+n,e,c)})),i.forEachChild((function(i,o){_(t,e,n.concat(o),i,r)}))}function y(t,e){return e.reduce((function(t,e){return t[e]}),t)}function b(t,e,n){return i(t)&&t.type&&(n=e,e=t,t=t.type),r("string"==typeof t,"expects string as the type, but found "+typeof t+"."),{type:t,payload:e,options:n}}function w(t){u&&t===u?console.error("[vuex] already installed. Vue.use(Vuex) should be called only once."):function(t){if(Number(t.version.split(".")[0])>=2)t.mixin({beforeCreate:n});else{var e=t.prototype._init;t.prototype._init=function(t){void 0===t&&(t={}),t.init=t.init?[n].concat(t.init):n,e.call(this,t)}}function n(){var t=this.$options;t.store?this.$store="function"==typeof t.store?t.store():t.store:t.parent&&t.parent.$store&&(this.$store=t.parent.$store)}}(u=t)}p.state.get=function(){return this._vm._data.$$state},p.state.set=function(t){r(!1,"use store.replaceState() to explicit replace store state.")},f.prototype.commit=function(t,e,n){var i=this,r=b(t,e,n),o=r.type,a=r.payload,s=r.options,l={type:o,payload:a},u=this._mutations[o];u?(this._withCommit((function(){u.forEach((function(t){t(a)}))})),this._subscribers.slice().forEach((function(t){return t(l,i.state)})),s&&s.silent&&console.warn("[vuex] mutation type: "+o+". Silent option has been removed. Use the filter functionality in the vue-devtools")):console.error("[vuex] unknown mutation type: "+o)},f.prototype.dispatch=function(t,e){var n=this,i=b(t,e),r=i.type,o=i.payload,a={type:r,payload:o},s=this._actions[r];if(s){try{this._actionSubscribers.slice().filter((function(t){return t.before})).forEach((function(t){return t.before(a,n.state)}))}catch(t){console.warn("[vuex] error in before action subscribers: "),console.error(t)}var l=s.length>1?Promise.all(s.map((function(t){return t(o)}))):s[0](o);return new Promise((function(t,e){l.then((function(e){try{n._actionSubscribers.filter((function(t){return t.after})).forEach((function(t){return t.after(a,n.state)}))}catch(t){console.warn("[vuex] error in after action subscribers: "),console.error(t)}t(e)}),(function(t){try{n._actionSubscribers.filter((function(t){return t.error})).forEach((function(e){return e.error(a,n.state,t)}))}catch(t){console.warn("[vuex] error in error action subscribers: "),console.error(t)}e(t)}))}))}console.error("[vuex] unknown action type: "+r)},f.prototype.subscribe=function(t,e){return m(t,this._subscribers,e)},f.prototype.subscribeAction=function(t,e){return m("function"==typeof t?{before:t}:t,this._actionSubscribers,e)},f.prototype.watch=function(t,e,n){var i=this;return r("function"==typeof t,"store.watch only accepts a function."),this._watcherVM.$watch((function(){return t(i.state,i.getters)}),e,n)},f.prototype.replaceState=function(t){var e=this;this._withCommit((function(){e._vm._data.$$state=t}))},f.prototype.registerModule=function(t,e,n){void 0===n&&(n={}),"string"==typeof t&&(t=[t]),r(Array.isArray(t),"module path must be a string or an Array."),r(t.length>0,"cannot register the root module by using registerModule."),this._modules.register(t,e),_(this,this.state,t,this._modules.get(t),n.preserveState),g(this,this.state)},f.prototype.unregisterModule=function(t){var e=this;"string"==typeof t&&(t=[t]),r(Array.isArray(t),"module path must be a string or an Array."),this._modules.unregister(t),this._withCommit((function(){var n=y(e.state,t.slice(0,-1));u.delete(n,t[t.length-1])})),v(this)},f.prototype.hasModule=function(t){return"string"==typeof t&&(t=[t]),r(Array.isArray(t),"module path must be a string or an Array."),this._modules.isRegistered(t)},f.prototype.hotUpdate=function(t){this._modules.update(t),v(this,!0)},f.prototype._withCommit=function(t){var e=this._committing;this._committing=!0,t(),this._committing=e},Object.defineProperties(f.prototype,p);var x=O((function(t,e){var n={};return T(e)||console.error("[vuex] mapState: mapper parameter must be either an Array or an Object"),M(e).forEach((function(e){var i=e.key,r=e.val;n[i]=function(){var e=this.$store.state,n=this.$store.getters;if(t){var i=A(this.$store,"mapState",t);if(!i)return;e=i.context.state,n=i.context.getters}return"function"==typeof r?r.call(this,e,n):e[r]},n[i].vuex=!0})),n})),k=O((function(t,e){var n={};return T(e)||console.error("[vuex] mapMutations: mapper parameter must be either an Array or an Object"),M(e).forEach((function(e){var i=e.key,r=e.val;n[i]=function(){for(var e=[],n=arguments.length;n--;)e[n]=arguments[n];var i=this.$store.commit;if(t){var o=A(this.$store,"mapMutations",t);if(!o)return;i=o.context.commit}return"function"==typeof r?r.apply(this,[i].concat(e)):i.apply(this.$store,[r].concat(e))}})),n})),S=O((function(t,e){var n={};return T(e)||console.error("[vuex] mapGetters: mapper parameter must be either an Array or an Object"),M(e).forEach((function(e){var i=e.key,r=e.val;r=t+r,n[i]=function(){if(!t||A(this.$store,"mapGetters",t)){if(r in this.$store.getters)return this.$store.getters[r];console.error("[vuex] unknown getter: "+r)}},n[i].vuex=!0})),n})),C=O((function(t,e){var n={};return T(e)||console.error("[vuex] mapActions: mapper parameter must be either an Array or an Object"),M(e).forEach((function(e){var i=e.key,r=e.val;n[i]=function(){for(var e=[],n=arguments.length;n--;)e[n]=arguments[n];var i=this.$store.dispatch;if(t){var o=A(this.$store,"mapActions",t);if(!o)return;i=o.context.dispatch}return"function"==typeof r?r.apply(this,[i].concat(e)):i.apply(this.$store,[r].concat(e))}})),n}));function M(t){return T(t)?Array.isArray(t)?t.map((function(t){return{key:t,val:t}})):Object.keys(t).map((function(e){return{key:e,val:t[e]}})):[]}function T(t){return Array.isArray(t)||i(t)}function O(t){return function(e,n){return"string"!=typeof e?(n=e,e=""):"/"!==e.charAt(e.length-1)&&(e+="/"),t(e,n)}}function A(t,e,n){var i=t._modulesNamespaceMap[n];return i||console.error("[vuex] module namespace not found in "+e+"(): "+n),i}function E(t,e,n){var i=n?t.groupCollapsed:t.group;try{i.call(t,e)}catch(n){t.log(e)}}function q(t){try{t.groupEnd()}catch(e){t.log("—— log end ——")}}function L(){var t=new Date;return" @ "+D(t.getHours(),2)+":"+D(t.getMinutes(),2)+":"+D(t.getSeconds(),2)+"."+D(t.getMilliseconds(),3)}function D(t,e){return n="0",i=e-t.toString().length,new Array(i+1).join(n)+t;var n,i}return{Store:f,install:w,version:"3.5.1",mapState:x,mapMutations:k,mapGetters:S,mapActions:C,createNamespacedHelpers:function(t){return{mapState:x.bind(null,t),mapGetters:S.bind(null,t),mapMutations:k.bind(null,t),mapActions:C.bind(null,t)}},createLogger:function(t){void 0===t&&(t={});var n=t.collapsed;void 0===n&&(n=!0);var i=t.filter;void 0===i&&(i=function(t,e,n){return!0});var r=t.transformer;void 0===r&&(r=function(t){return t});var o=t.mutationTransformer;void 0===o&&(o=function(t){return t});var a=t.actionFilter;void 0===a&&(a=function(t,e){return!0});var s=t.actionTransformer;void 0===s&&(s=function(t){return t});var l=t.logMutations;void 0===l&&(l=!0);var u=t.logActions;void 0===u&&(u=!0);var c=t.logger;return void 0===c&&(c=console),function(t){var d=e(t.state);void 0!==c&&(l&&t.subscribe((function(t,a){var s=e(a);if(i(t,d,s)){var l=L(),u=o(t),h="mutation "+t.type+l;E(c,h,n),c.log("%c prev state","color: #9E9E9E; font-weight: bold",r(d)),c.log("%c mutation","color: #03A9F4; font-weight: bold",u),c.log("%c next state","color: #4CAF50; font-weight: bold",r(s)),q(c)}d=s})),u&&t.subscribeAction((function(t,e){if(a(t,e)){var i=L(),r=s(t),o="action "+t.type+i;E(c,o,n),c.log("%c action","color: #03A9F4; font-weight: bold",r),q(c)}})))}}}})),function(t){"function"==typeof define&&define.amd?define(t):t()}((function(){"use strict";function t(t){return"function"==typeof t}"undefined"!=typeof window&&function(t){[Element.prototype,CharacterData.prototype,DocumentType.prototype].forEach((function(t){t.hasOwnProperty("remove")||Object.defineProperty(t,"remove",{configurable:!0,enumerable:!0,writable:!0,value:function(){null!==this.parentNode&&this.parentNode.removeChild(this)}})}));try{new MouseEvent("test")}catch(n){var e=function(e,n){n=n||{bubbles:!1,cancelable:!1};var i=document.createEvent("MouseEvent");return i.initMouseEvent(e,n.bubbles,n.cancelable,t,0,n.screenX||0,n.screenY||0,n.clientX||0,n.clientY||0,n.ctrlKey||!1,n.altKey||!1,n.shiftKey||!1,n.metaKey||!1,n.button||0,n.relatedTarget||null),i};e.prototype=Event.prototype,t.MouseEvent=e}"function"!=typeof Object.assign&&Object.defineProperty(Object,"assign",{value:function(t,e){var n=arguments;if(null==t)throw new TypeError("Cannot convert undefined or null to object");for(var i=Object(t),r=1;r<arguments.length;r++){var o=n[r];if(null!=o)for(var a in o)Object.prototype.hasOwnProperty.call(o,a)&&(i[a]=o[a])}return i},writable:!0,configurable:!0}),String.prototype.startsWith||Object.defineProperty(String.prototype,"startsWith",{value:function(t,e){var n=e>0?0|e:0;return this.substring(n,n+t.length)===t}}),String.prototype.endsWith||(String.prototype.endsWith=function(t,e){return(void 0===e||e>this.length)&&(e=this.length),this.substring(e-t.length,e)===t}),Number.isInteger||(Number.isInteger=function(t){return"number"==typeof t&&isFinite(t)&&Math.floor(t)===t}),Array.prototype.includes||(Array.prototype.includes=function(t){return!!~this.indexOf(t)}),Element.prototype.matches||(Element.prototype.matches=Element.prototype.msMatchesSelector||Element.prototype.webkitMatchesSelector),Element.prototype.closest||(Element.prototype.closest=function(t){var e=this;do{if(e.matches(t))return e;e=e.parentElement||e.parentNode}while(null!==e&&1===e.nodeType);return null}),Array.prototype.find||Object.defineProperty(Array.prototype,"find",{value:function(t){if(null==this)throw TypeError('"this" is null or not defined');var e=Object(this),n=e.length>>>0;if("function"!=typeof t)throw TypeError("predicate must be a function");for(var i=arguments[1],r=0;r<n;){var o=e[r];if(t.call(i,o,r,e))return o;r++}},configurable:!0,writable:!0}),Array.prototype.findIndex||Object.defineProperty(Array.prototype,"findIndex",{value:function(t){if(null==this)throw new TypeError("Array.prototype.findIndex called on null or undefined");if("function"!=typeof t)throw new TypeError("predicate must be a function");for(var e=Object(this),n=e.length>>>0,i=arguments[1],r=0;r<n;r++)if(t.call(i,e[r],r,e))return r;return-1}}),"classList"in SVGElement.prototype||Object.defineProperty(SVGElement.prototype,"classList",{get:function(){var t=this;return{contains:function(e){return-1!==t.className.baseVal.split(" ").indexOf(e)},add:function(e){return t.setAttribute("class",t.getAttribute("class")+" "+e)},remove:function(e){var n=t.getAttribute("class").replace(new RegExp("(\\s|^)".concat(e,"(\\s|$)"),"g"),"$2");t.classList.contains(e)&&t.setAttribute("class",n)},toggle:function(t){this.contains(t)?this.remove(t):this.add(t)}}}})}(window);var e=Array.isArray?Array.isArray:function(t){return"[object Array]"===Object.prototype.toString.call(t)},n=0,i=void 0,r=void 0,o=function(t,e){h[n]=t,h[n+1]=e,2===(n+=2)&&(r?r(f):_())},a="undefined"!=typeof window?window:void 0,s=a||{},l=s.MutationObserver||s.WebKitMutationObserver,u="undefined"==typeof self&&"undefined"!=typeof process&&"[object process]"==={}.toString.call(process),c="undefined"!=typeof Uint8ClampedArray&&"undefined"!=typeof importScripts&&"undefined"!=typeof MessageChannel;function d(){var t=setTimeout;return function(){return t(f,1)}}var h=new Array(1e3);function f(){for(var t=0;t<n;t+=2)(0,h[t])(h[t+1]),h[t]=void 0,h[t+1]=void 0;n=0}var p,m,v,g,_=void 0;function y(t,e){var n=this,i=new this.constructor(x);void 0===i[w]&&I(i);var r=n._state;if(r){var a=arguments[r-1];o((function(){return R(r,i,a,n._result)}))}else D(n,i,t,e);return i}function b(t){if(t&&"object"==typeof t&&t.constructor===this)return t;var e=new this(x);return A(e,t),e}u?_=function(){return process.nextTick(f)}:l?(m=0,v=new l(f),g=document.createTextNode(""),v.observe(g,{characterData:!0}),_=function(){g.data=m=++m%2}):c?((p=new MessageChannel).port1.onmessage=f,_=function(){return p.port2.postMessage(0)}):_=void 0===a&&"function"==typeof require?function(){try{var t=Function("return this")().require("vertx");return void 0!==(i=t.runOnLoop||t.runOnContext)?function(){i(f)}:d()}catch(t){return d()}}():d();var w=Math.random().toString(36).substring(2);function x(){}var k=void 0,S=1,C=2,M={error:null};function T(t){try{return t.then}catch(t){return M.error=t,M}}function O(e,n,i){n.constructor===e.constructor&&i===y&&n.constructor.resolve===b?function(t,e){e._state===S?q(t,e._result):e._state===C?L(t,e._result):D(e,void 0,(function(e){return A(t,e)}),(function(e){return L(t,e)}))}(e,n):i===M?(L(e,M.error),M.error=null):void 0===i?q(e,n):t(i)?function(t,e,n){o((function(t){var i=!1,r=function(t,e,n,i){try{t.call(e,n,i)}catch(t){return t}}(n,e,(function(n){i||(i=!0,e!==n?A(t,n):q(t,n))}),(function(e){i||(i=!0,L(t,e))}),t._label);!i&&r&&(i=!0,L(t,r))}),t)}(e,n,i):q(e,n)}function A(t,e){var n,i;t===e?L(t,new TypeError("You cannot resolve a promise with itself")):(i=typeof(n=e),null===n||"object"!==i&&"function"!==i?q(t,e):O(t,e,T(e)))}function E(t){t._onerror&&t._onerror(t._result),P(t)}function q(t,e){t._state===k&&(t._result=e,t._state=S,0!==t._subscribers.length&&o(P,t))}function L(t,e){t._state===k&&(t._state=C,t._result=e,o(E,t))}function D(t,e,n,i){var r=t._subscribers,a=r.length;t._onerror=null,r[a]=e,r[a+S]=n,r[a+C]=i,0===a&&t._state&&o(P,t)}function P(t){var e=t._subscribers,n=t._state;if(0!==e.length){for(var i=void 0,r=void 0,o=t._result,a=0;a<e.length;a+=3)i=e[a],r=e[a+n],i?R(n,i,r,o):r(o);t._subscribers.length=0}}function R(e,n,i,r){var o=t(i),a=void 0,s=void 0,l=void 0,u=void 0;if(o){if((a=function(t,e){try{return t(e)}catch(t){return M.error=t,M}}(i,r))===M?(u=!0,s=a.error,a.error=null):l=!0,n===a)return void L(n,new TypeError("A promises callback cannot return that same promise."))}else a=r,l=!0;n._state!==k||(o&&l?A(n,a):u?L(n,s):e===S?q(n,a):e===C&&L(n,a))}var N=0;function I(t){t[w]=id++,t._state=void 0,t._result=void 0,t._subscribers=[]}var j=function(){function t(t,n){this._instanceConstructor=t,this.promise=new t(x),this.promise[w]||I(this.promise),e(n)?(this.length=n.length,this._remaining=n.length,this._result=new Array(this.length),0===this.length?q(this.promise,this._result):(this.length=this.length||0,this._enumerate(n),0===this._remaining&&q(this.promise,this._result))):L(this.promise,new Error("Array Methods must be provided an Array"))}return t.prototype._enumerate=function(t){for(var e=0;this._state===k&&e<t.length;e++)this._eachEntry(t[e],e)},t.prototype._eachEntry=function(t,e){var n=this._instanceConstructor,i=n.resolve;if(i===b){var r=T(t);if(r===y&&t._state!==k)this._settledAt(t._state,e,t._result);else if("function"!=typeof r)this._remaining--,this._result[e]=t;else if(n===$){var o=new n(x);O(o,t,r),this._willSettleAt(o,e)}else this._willSettleAt(new n((function(e){return e(t)})),e)}else this._willSettleAt(i(t),e)},t.prototype._settledAt=function(t,e,n){var i=this.promise;i._state===k&&(this._remaining--,t===C?L(i,n):this._result[e]=n),0===this._remaining&&q(i,this._result)},t.prototype._willSettleAt=function(t,e){var n=this;D(t,void 0,(function(t){return n._settledAt(S,e,t)}),(function(t){return n._settledAt(C,e,t)}))},t}(),$=function(){function t(e){this[w]=N++,this._result=this._state=void 0,this._subscribers=[],x!==e&&("function"!=typeof e&&function(){throw new TypeError("You must pass a resolver function as the first argument to the promise constructor")}(),this instanceof t?function(t,e){try{e((function(e){A(t,e)}),(function(e){L(t,e)}))}catch(e){L(t,e)}}(this,e):function(){throw new TypeError("Failed to construct 'Promise': Please use the 'new' operator, this object constructor cannot be called as a function.")}())}return t.prototype.catch=function(t){return this.then(null,t)},t.prototype.finally=function(t){var e=this.constructor;return this.then((function(n){return e.resolve(t()).then((function(){return n}))}),(function(n){return e.resolve(t()).then((function(){throw n}))}))},t}();$.prototype.then=y,$.all=function(t){return new j(this,t).promise},$.race=function(t){var n=this;return e(t)?new n((function(e,i){for(var r=t.length,o=0;o<r;o++)n.resolve(t[o]).then(e,i)})):new n((function(t,e){return e(new TypeError("You must pass an array to race."))}))},$.resolve=b,$.reject=function(t){var e=new this(x);return L(e,t),e},$._setScheduler=function(t){r=t},$._setAsap=function(t){o=t},$._asap=o,function(){var t=void 0;if("undefined"!=typeof global)t=global;else if("undefined"!=typeof self)t=self;else try{t=Function("return this")()}catch(t){throw new Error("polyfill failed because global object is unavailable in this environment")}var e=t.Promise;if(e){var n=null;try{n=Object.prototype.toString.call(e.resolve())}catch(t){}if("[object Promise]"===n&&!e.cast)return}t.Promise=$}()})),
/*!
 * Quasar Framework v1.13.2
 * (c) 2015-present Razvan Stoenescu
 * Released under the MIT License.
 */
function(t,e){"object"==typeof exports&&"undefined"!=typeof module?module.exports=e(require("vue")):"function"==typeof define&&define.amd?define(["vue"],e):(t=t||self).Quasar=e(t.Vue)}(this,(function(t){"use strict";t=t&&Object.prototype.hasOwnProperty.call(t,"default")?t.default:t;var e,n="1.13.2",i="undefined"==typeof window,r=!1,o=i,a=!1;var s=!1===i&&("ontouchstart"in window||window.navigator.maxTouchPoints>0);function l(t){var n=t.toLowerCase(),a=function(t){return/(ipad)/.exec(t)||/(ipod)/.exec(t)||/(windows phone)/.exec(t)||/(iphone)/.exec(t)||/(kindle)/.exec(t)||/(silk)/.exec(t)||/(android)/.exec(t)||/(win)/.exec(t)||/(mac)/.exec(t)||/(linux)/.exec(t)||/(cros)/.exec(t)||/(playbook)/.exec(t)||/(bb)/.exec(t)||/(blackberry)/.exec(t)||[]}(n),l=function(t,e){var n=/(edge|edga|edgios)\/([\w.]+)/.exec(t)||/(opr)[\/]([\w.]+)/.exec(t)||/(vivaldi)[\/]([\w.]+)/.exec(t)||/(chrome|crios)[\/]([\w.]+)/.exec(t)||/(iemobile)[\/]([\w.]+)/.exec(t)||/(version)(applewebkit)[\/]([\w.]+).*(safari)[\/]([\w.]+)/.exec(t)||/(webkit)[\/]([\w.]+).*(version)[\/]([\w.]+).*(safari)[\/]([\w.]+)/.exec(t)||/(firefox|fxios)[\/]([\w.]+)/.exec(t)||/(webkit)[\/]([\w.]+)/.exec(t)||/(opera)(?:.*version|)[\/]([\w.]+)/.exec(t)||/(msie) ([\w.]+)/.exec(t)||t.indexOf("trident")>=0&&/(rv)(?::| )([\w.]+)/.exec(t)||t.indexOf("compatible")<0&&/(mozilla)(?:.*? rv:([\w.]+)|)/.exec(t)||[];return{browser:n[5]||n[3]||n[1]||"",version:n[2]||n[4]||"0",versionNumber:n[4]||n[2]||"0",platform:e[0]||""}}(n,a),u={};l.browser&&(u[l.browser]=!0,u.version=l.version,u.versionNumber=parseInt(l.versionNumber,10)),l.platform&&(u[l.platform]=!0);var c=u.android||u.ios||u.bb||u.blackberry||u.ipad||u.iphone||u.ipod||u.kindle||u.playbook||u.silk||u["windows phone"];return!0===c||n.indexOf("mobile")>-1?(u.mobile=!0,u.edga||u.edgios?(u.edge=!0,l.browser="edge"):u.crios?(u.chrome=!0,l.browser="chrome"):u.fxios&&(u.firefox=!0,l.browser="firefox")):u.desktop=!0,(u.ipod||u.ipad||u.iphone)&&(u.ios=!0),u["windows phone"]&&(u.winphone=!0,delete u["windows phone"]),(u.chrome||u.opr||u.safari||u.vivaldi||!0===u.mobile&&!0!==u.ios&&!0!==c)&&(u.webkit=!0),(u.rv||u.iemobile)&&(l.browser="ie",u.ie=!0),(u.safari&&u.blackberry||u.bb)&&(l.browser="blackberry",u.blackberry=!0),u.safari&&u.playbook&&(l.browser="playbook",u.playbook=!0),u.opr&&(l.browser="opera",u.opera=!0),u.safari&&u.android&&(l.browser="android",u.android=!0),u.safari&&u.kindle&&(l.browser="kindle",u.kindle=!0),u.safari&&u.silk&&(l.browser="silk",u.silk=!0),u.vivaldi&&(l.browser="vivaldi",u.vivaldi=!0),u.name=l.browser,u.platform=l.platform,!1===i&&(n.indexOf("electron")>-1?u.electron=!0:document.location.href.indexOf("-extension://")>-1?u.bex=!0:(void 0!==window.Capacitor?(u.capacitor=!0,u.nativeMobile=!0,u.nativeMobileWrapper="capacitor"):void 0===window._cordovaNative&&void 0===window.cordova||(u.cordova=!0,u.nativeMobile=!0,u.nativeMobileWrapper="cordova"),!0===s&&!0===u.mac&&(!0===u.desktop&&!0===u.safari||!0===u.nativeMobile&&!0!==u.android&&!0!==u.ios&&!0!==u.ipad)&&function(t){var n;e={is:Object.assign({},t)},delete t.mac,delete t.desktop;var i=Math.min(window.innerHeight,window.innerWidth)>414?"ipad":"iphone";Object.assign(t,((n={mobile:!0,ios:!0,platform:i})[i]=!0,n))}(u)),!0===(r=void 0===u.nativeMobile&&void 0===u.electron&&null!==document.querySelector("[data-server-rendered]"))&&(o=!0)),u}var u=!0!==i?navigator.userAgent||navigator.vendor||window.opera:"",c={has:{touch:!1,webStorage:!1},within:{iframe:!1}},d=!1===i?{userAgent:u,is:l(u),has:{touch:s,webStorage:function(){try{if(window.localStorage)return!0}catch(t){}return!1}()},within:{iframe:window.self!==window.top}}:c,h={install:function(n,a){var s=this;!0===i?a.server.push((function(t,e){t.platform=s.parseSSR(e.ssr)})):!0===r?(Object.assign(this,d,e,c),a.takeover.push((function(t){o=r=!1,Object.assign(t.platform,d),e=void 0})),t.util.defineReactive(n,"platform",this)):(Object.assign(this,d),n.platform=this)}};!0===i?h.parseSSR=function(t){var e=t.req.headers["user-agent"]||t.req.headers["User-Agent"]||"";return Object.assign({},d,{userAgent:e,is:l(e)})}:a=!0===d.is.ios&&-1===window.navigator.vendor.toLowerCase().indexOf("apple");var f={hasPassive:!1,passiveCapture:!0,notPassiveCapture:!0};try{var p=Object.defineProperty({},"passive",{get:function(){Object.assign(f,{hasPassive:!0,passive:{passive:!0},notPassive:{passive:!1},passiveCapture:{passive:!0,capture:!0},notPassiveCapture:{passive:!1,capture:!0}})}});window.addEventListener("qtest",null,p),window.removeEventListener("qtest",null,p)}catch(t){}function m(){}function v(t){return 0===t.button}function g(t){return t.touches&&t.touches[0]?t=t.touches[0]:t.changedTouches&&t.changedTouches[0]?t=t.changedTouches[0]:t.targetTouches&&t.targetTouches[0]&&(t=t.targetTouches[0]),{top:t.clientY,left:t.clientX}}function _(t){if(t.path)return t.path;if(t.composedPath)return t.composedPath();for(var e=[],n=t.target;n;){if(e.push(n),"HTML"===n.tagName)return e.push(document),e.push(window),e;n=n.parentElement}}function y(t){t.stopPropagation()}function b(t){!1!==t.cancelable&&t.preventDefault()}function w(t){!1!==t.cancelable&&t.preventDefault(),t.stopPropagation()}function x(t,e){if(void 0!==t&&(!0!==e||!0!==t.__dragPrevented)){var n=!0===e?function(t){t.__dragPrevented=!0,t.addEventListener("dragstart",b,f.notPassiveCapture)}:function(t){delete t.__dragPrevented,t.removeEventListener("dragstart",b,f.notPassiveCapture)};t.querySelectorAll("a, img").forEach(n)}}function k(t,e){void 0===e&&(e={});var n=e.bubbles;void 0===n&&(n=!1);var i=e.cancelable;void 0===i&&(i=!1);try{return new Event(t,{bubbles:n,cancelable:i})}catch(e){var r=document.createEvent("Event");return r.initEvent(t,n,i),r}}function S(t,e,n){var i="__q_"+e+"_evt";t[i]=void 0!==t[i]?t[i].concat(n):n,n.forEach((function(e){e[0].addEventListener(e[1],t[e[2]],f[e[3]])}))}function C(t,e){var n="__q_"+e+"_evt";void 0!==t[n]&&(t[n].forEach((function(e){e[0].removeEventListener(e[1],t[e[2]],f[e[3]])})),t[n]=void 0)}var M={listenOpts:f,leftClick:v,middleClick:function(t){return 1===t.button},rightClick:function(t){return 2===t.button},position:g,getEventPath:_,getMouseWheelDistance:function(t){var e,n=t.deltaX,i=t.deltaY;if((n||i)&&t.deltaMode){var r=1===t.deltaMode?40:800;n*=r,i*=r}return t.shiftKey&&!n&&(i=(e=[n,i])[0],n=e[1]),{x:n,y:i}},stop:y,prevent:b,stopAndPrevent:w,preventDraggable:x,create:k};function T(t,e,n){var i;function r(){var r=this,o=arguments;clearTimeout(i),!0===n&&void 0===i&&t.apply(this,o),i=setTimeout((function(){i=void 0,!0!==n&&t.apply(r,o)}),e)}return void 0===e&&(e=250),r.cancel=function(){clearTimeout(i)},r}var O=["sm","md","lg","xl"],A=f.passive,E={width:0,height:0,name:"xs",sizes:{sm:600,md:1024,lg:1440,xl:1920},lt:{sm:!0,md:!0,lg:!0,xl:!0},gt:{xs:!1,sm:!1,md:!1,lg:!1},xs:!0,sm:!1,md:!1,lg:!1,xl:!1,setSizes:m,setDebounce:m,install:function(e,n,o){var a=this;if(!0!==i){var s,l=void 0!==o.screen&&!0===o.screen.bodyClasses,u=function(t){var e=window.innerWidth,n=window.innerHeight;if(n!==a.height&&(a.height=n),e!==a.width)a.width=e;else if(!0!==t)return;var i=a.sizes;a.gt.xs=e>=i.sm,a.gt.sm=e>=i.md,a.gt.md=e>=i.lg,a.gt.lg=e>=i.xl,a.lt.sm=e<i.sm,a.lt.md=e<i.md,a.lt.lg=e<i.lg,a.lt.xl=e<i.xl,a.xs=a.lt.sm,a.sm=!0===a.gt.xs&&!0===a.lt.md,a.md=!0===a.gt.sm&&!0===a.lt.lg,a.lg=!0===a.gt.md&&!0===a.lt.xl,a.xl=a.gt.lg,(i=(!0===a.xs?"xs":!0===a.sm&&"sm")||!0===a.md&&"md"||!0===a.lg&&"lg"||"xl")!==a.name&&(!0===l&&(document.body.classList.remove("screen--"+a.name),document.body.classList.add("screen--"+i)),a.name=i)},c={},d=16;this.setSizes=function(t){O.forEach((function(e){void 0!==t[e]&&(c[e]=t[e])}))},this.setDebounce=function(t){d=t};var h=function(){var t=getComputedStyle(document.body),e=void 0!==window.visualViewport?window.visualViewport:window;t.getPropertyValue("--q-size-sm")&&O.forEach((function(e){a.sizes[e]=parseInt(t.getPropertyValue("--q-size-"+e),10)})),a.setSizes=function(t){O.forEach((function(e){t[e]&&(a.sizes[e]=t[e])})),u(!0)},a.setDebounce=function(t){void 0!==s&&e.removeEventListener("resize",s,A),s=t>0?T(u,t):u,e.addEventListener("resize",s,A)},a.setDebounce(d),Object.keys(c).length>0?(a.setSizes(c),c=void 0):u(),!0===l&&"xs"===a.name&&document.body.classList.add("screen--xs")};!0===r?n.takeover.push(h):h(),t.util.defineReactive(e,"screen",this)}else e.screen=this}},q={isActive:!1,mode:!1,install:function(e,n,o){var a=this,s=o.dark;if(this.isActive=!0===s,!0===i)return n.server.push((function(t,e){t.dark={isActive:!1,mode:!1,set:function(n){e.ssr.Q_BODY_CLASSES=e.ssr.Q_BODY_CLASSES.replace(" body--light","").replace(" body--dark","")+" body--"+(!0===n?"dark":"light"),t.dark.isActive=!0===n,t.dark.mode=n},toggle:function(){t.dark.set(!1===t.dark.isActive)}},t.dark.set(s)})),void(this.set=m);var l=void 0!==s&&s;if(!0===r){var u=function(t){a.__fromSSR=t},c=this.set;this.set=u,u(l),n.takeover.push((function(){a.set=c,a.set(a.__fromSSR)}))}else this.set(l);t.util.defineReactive(this,"isActive",this.isActive),t.util.defineReactive(e,"dark",this)},set:function(t){var e=this;this.mode=t,"auto"===t?(void 0===this.__media&&(this.__media=window.matchMedia("(prefers-color-scheme: dark)"),this.__updateMedia=function(){e.set("auto")},this.__media.addListener(this.__updateMedia)),t=this.__media.matches):void 0!==this.__media&&(this.__media.removeListener(this.__updateMedia),this.__media=void 0),this.isActive=!0===t,document.body.classList.remove("body--"+(!0===t?"light":"dark")),document.body.classList.add("body--"+(!0===t?"dark":"light"))},toggle:function(){q.set(!1===q.isActive)},__media:void 0},L=function(){return!0};function D(t){return"string"==typeof t&&""!==t&&"/"!==t&&"#/"!==t}function P(t){return!0===t.startsWith("#")&&(t=t.substr(1)),!1===t.startsWith("/")&&(t="/"+t),!0===t.endsWith("/")&&(t=t.substr(0,t.length-1)),"#"+t}var R={__history:[],add:m,remove:m,install:function(t){var e=this;if(!0!==i){var n=d.is,r=n.cordova,o=n.capacitor;if(!0===r||!0===o){this.add=function(t){void 0===t.condition&&(t.condition=L),e.__history.push(t)},this.remove=function(t){var n=e.__history.indexOf(t);n>=0&&e.__history.splice(n,1)};var a=function(t){if(!1===t.backButtonExit)return function(){return!1};if("*"===t.backButtonExit)return L;var e=["#/"];return!0===Array.isArray(t.backButtonExit)&&e.push.apply(e,t.backButtonExit.filter(D).map(P)),function(){return e.includes(window.location.hash)}}(Object.assign({backButtonExit:!0},t[!0===r?"cordova":"capacitor"])),s=function(){if(e.__history.length){var t=e.__history[e.__history.length-1];!0===t.condition()&&(e.__history.pop(),t.handler())}else!0===a()?navigator.app.exitApp():window.history.back()};!0===r?document.addEventListener("deviceready",(function(){document.addEventListener("backbutton",s,!1)})):window.Capacitor.Plugins.App.addListener("backButton",s)}}}},N={isoName:"en-us",nativeName:"English (US)",label:{clear:"Clear",ok:"OK",cancel:"Cancel",close:"Close",set:"Set",select:"Select",reset:"Reset",remove:"Remove",update:"Update",create:"Create",search:"Search",filter:"Filter",refresh:"Refresh"},date:{days:"Sunday_Monday_Tuesday_Wednesday_Thursday_Friday_Saturday".split("_"),daysShort:"Sun_Mon_Tue_Wed_Thu_Fri_Sat".split("_"),months:"January_February_March_April_May_June_July_August_September_October_November_December".split("_"),monthsShort:"Jan_Feb_Mar_Apr_May_Jun_Jul_Aug_Sep_Oct_Nov_Dec".split("_"),firstDayOfWeek:0,format24h:!1,pluralDay:"days"},table:{noData:"No data available",noResults:"No matching records found",loading:"Loading...",selectedRecords:function(t){return 1===t?"1 record selected.":(0===t?"No":t)+" records selected."},recordsPerPage:"Records per page:",allRows:"All",pagination:function(t,e,n){return t+"-"+e+" of "+n},columns:"Columns"},editor:{url:"URL",bold:"Bold",italic:"Italic",strikethrough:"Strikethrough",underline:"Underline",unorderedList:"Unordered List",orderedList:"Ordered List",subscript:"Subscript",superscript:"Superscript",hyperlink:"Hyperlink",toggleFullscreen:"Toggle Fullscreen",quote:"Quote",left:"Left align",center:"Center align",right:"Right align",justify:"Justify align",print:"Print",outdent:"Decrease indentation",indent:"Increase indentation",removeFormat:"Remove formatting",formatting:"Formatting",fontSize:"Font Size",align:"Align",hr:"Insert Horizontal Rule",undo:"Undo",redo:"Redo",heading1:"Heading 1",heading2:"Heading 2",heading3:"Heading 3",heading4:"Heading 4",heading5:"Heading 5",heading6:"Heading 6",paragraph:"Paragraph",code:"Code",size1:"Very small",size2:"A bit small",size3:"Normal",size4:"Medium-large",size5:"Big",size6:"Very big",size7:"Maximum",defaultFont:"Default Font",viewSource:"View Source"},tree:{noNodes:"No nodes available",noResults:"No matching nodes found"}};function I(){if(!0!==i){var t=navigator.language||navigator.languages[0]||navigator.browserLanguage||navigator.userLanguage||navigator.systemLanguage;return t?t.toLowerCase():void 0}}var j={getLocale:I,install:function(e,n,o){var a=this,s=o||N;this.set=function(t,n){void 0===t&&(t=N);var o=Object.assign({},t,{rtl:!0===t.rtl,getLocale:I});if(!0===i){if(void 0===n)return void console.error("SSR ERROR: second param required: Quasar.lang.set(lang, ssrContext)");var s=!0===o.rtl?"rtl":"ltr",l="lang="+o.isoName+" dir="+s;o.set=n.$q.lang.set,n.Q_HTML_ATTRS=void 0!==n.Q_PREV_LANG?n.Q_HTML_ATTRS.replace(n.Q_PREV_LANG,l):l,n.Q_PREV_LANG=l,n.$q.lang=o}else{if(!1===r){var u=document.documentElement;u.setAttribute("dir",!0===o.rtl?"rtl":"ltr"),u.setAttribute("lang",o.isoName)}o.set=a.set,e.lang=a.props=o,a.isoName=o.isoName,a.nativeName=o.nativeName}},!0===i?(n.server.push((function(t,e){t.lang={},t.lang.set=function(t){a.set(t,e.ssr)},t.lang.set(s)})),this.isoName=s.isoName,this.nativeName=s.nativeName,this.props=s):(t.util.defineReactive(e,"lang",{}),this.set(s))}},$=/^rgb(a)?\((\d{1,3}),(\d{1,3}),(\d{1,3}),?([01]?\.?\d*?)?\)$/;function F(t){var e=t.r,n=t.g,i=t.b,r=t.a,o=void 0!==r;if(e=Math.round(e),n=Math.round(n),i=Math.round(i),e>255||n>255||i>255||o&&r>100)throw new TypeError("Expected 3 numbers below 256 (and optionally one below 100)");return r=o?(256|Math.round(255*r/100)).toString(16).slice(1):"","#"+(i|n<<8|e<<16|1<<24).toString(16).slice(1)+r}function B(t){var e=t.r,n=t.g,i=t.b,r=t.a;return"rgb"+(void 0!==r?"a":"")+"("+e+","+n+","+i+(void 0!==r?","+r/100:"")+")"}function z(t){if("string"!=typeof t)throw new TypeError("Expected a string");3===(t=t.replace(/^#/,"")).length?t=t[0]+t[0]+t[1]+t[1]+t[2]+t[2]:4===t.length&&(t=t[0]+t[0]+t[1]+t[1]+t[2]+t[2]+t[3]+t[3]);var e=parseInt(t,16);return t.length>6?{r:e>>24&255,g:e>>16&255,b:e>>8&255,a:Math.round((255&e)/2.55)}:{r:e>>16,g:e>>8&255,b:255&e}}function V(t){var e,n,i,r=t.h,o=t.s,a=t.v,s=t.a;o/=100,a/=100,r/=360;var l=Math.floor(6*r),u=6*r-l,c=a*(1-o),d=a*(1-u*o),h=a*(1-(1-u)*o);switch(l%6){case 0:e=a,n=h,i=c;break;case 1:e=d,n=a,i=c;break;case 2:e=c,n=a,i=h;break;case 3:e=c,n=d,i=a;break;case 4:e=h,n=c,i=a;break;case 5:e=a,n=c,i=d}return{r:Math.round(255*e),g:Math.round(255*n),b:Math.round(255*i),a:s}}function H(t){var e,n=t.r,i=t.g,r=t.b,o=t.a,a=Math.max(n,i,r),s=Math.min(n,i,r),l=a-s,u=0===a?0:l/a,c=a/255;switch(a){case s:e=0;break;case n:e=i-r+l*(i<r?6:0),e/=6*l;break;case i:e=r-n+2*l,e/=6*l;break;case r:e=n-i+4*l,e/=6*l}return{h:Math.round(360*e),s:Math.round(100*u),v:Math.round(100*c),a:o}}function U(t){if("string"!=typeof t)throw new TypeError("Expected a string");var e=t.replace(/ /g,""),n=$.exec(e);if(null===n)return z(e);var i={r:Math.min(255,parseInt(n[2],10)),g:Math.min(255,parseInt(n[3],10)),b:Math.min(255,parseInt(n[4],10))};if(n[1]){var r=parseFloat(n[5]);i.a=100*Math.min(1,!0===isNaN(r)?1:r)}return i}function W(t){if("string"!=typeof t&&(!t||void 0===t.r))throw new TypeError("Expected a string or a {r, g, b} object as color");var e="string"==typeof t?U(t):t,n=e.r/255,i=e.g/255,r=e.b/255;return.2126*(n<=.03928?n/12.92:Math.pow((n+.055)/1.055,2.4))+.7152*(i<=.03928?i/12.92:Math.pow((i+.055)/1.055,2.4))+.0722*(r<=.03928?r/12.92:Math.pow((r+.055)/1.055,2.4))}function Y(t,e,n){if(void 0===n&&(n=document.body),"string"!=typeof t)throw new TypeError("Expected a string as color");if("string"!=typeof e)throw new TypeError("Expected a string as value");if(!(n instanceof Element))throw new TypeError("Expected a DOM element");n.style.setProperty("--q-color-"+t,e)}function Q(t,e){if(void 0===e&&(e=document.body),"string"!=typeof t)throw new TypeError("Expected a string as color");if(!(e instanceof Element))throw new TypeError("Expected a DOM element");return getComputedStyle(e).getPropertyValue("--q-color-"+t).trim()||null}var G={rgbToHex:F,hexToRgb:z,hsvToRgb:V,rgbToHsv:H,textToRgb:U,lighten:function(t,e){if("string"!=typeof t)throw new TypeError("Expected a string as color");if("number"!=typeof e)throw new TypeError("Expected a numeric percent");var n=U(t),i=e<0?0:255,r=Math.abs(e)/100,o=n.r,a=n.g,s=n.b;return"#"+(16777216+65536*(Math.round((i-o)*r)+o)+256*(Math.round((i-a)*r)+a)+(Math.round((i-s)*r)+s)).toString(16).slice(1)},luminosity:W,brightness:function(t){if("string"!=typeof t&&(!t||void 0===t.r))throw new TypeError("Expected a string or a {r, g, b} object as color");var e="string"==typeof t?U(t):t;return(299*e.r+587*e.g+114*e.b)/1e3},blend:function(t,e){if("string"!=typeof t&&(!t||void 0===t.r))throw new TypeError("Expected a string or a {r, g, b[, a]} object as fgColor");if("string"!=typeof e&&(!e||void 0===e.r))throw new TypeError("Expected a string or a {r, g, b[, a]} object as bgColor");var n="string"==typeof t?U(t):t,i=n.r/255,r=n.g/255,o=n.b/255,a=void 0!==n.a?n.a/100:1,s="string"==typeof e?U(e):e,l=s.r/255,u=s.g/255,c=s.b/255,d=void 0!==s.a?s.a/100:1,h=a+d*(1-a),f={r:Math.round((i*a+l*d*(1-a))/h*255),g:Math.round((r*a+u*d*(1-a))/h*255),b:Math.round((o*a+c*d*(1-a))/h*255),a:Math.round(100*h)};return"string"==typeof t?F(f):f},changeAlpha:function(t,e){if("string"!=typeof t)throw new TypeError("Expected a string as color");if(void 0===e||e<-1||e>1)throw new TypeError("Expected offset to be between -1 and 1");var n=U(t),i=n.r,r=n.g,o=n.b,a=n.a,s=void 0!==a?a/100:0;return F({r:i,g:r,b:o,a:Math.round(100*Math.min(1,Math.max(0,s+e)))})},setBrand:Y,getBrand:Q,getPaletteColor:function(t){if("string"!=typeof t)throw new TypeError("Expected a string as color");var e=document.createElement("div");e.className="text-"+t+" invisible fixed no-pointer-events",document.body.appendChild(e);var n=getComputedStyle(e).getPropertyValue("color");return e.remove(),F(U(n))}},K=!1;function Z(t){K=!0===t.isComposing}function J(t){return!0===K||t!==Object(t)||!0===t.isComposing||!0===t.qKeyEvent}function X(t,e){return!0!==J(t)&&[].concat(e).includes(t.keyCode)}function tt(t,e){var n=t.is,i=t.has,r=t.within,o=[!0===n.desktop?"desktop":"mobile",(!1===i.touch?"no-":"")+"touch"];if(!0===n.mobile){var a=function(t){return!0===t.ios?"ios":!0===t.android?"android":void 0}(n);void 0!==a&&o.push("platform-"+a)}if(!0===n.nativeMobile){var s=n.nativeMobileWrapper;o.push(s),o.push("native-mobile"),!0!==n.ios||void 0!==e[s]&&!1===e[s].iosStatusBarPadding||o.push("q-ios-padding")}else!0===n.electron?o.push("electron"):!0===n.bex&&o.push("bex");return!0===r.iframe&&o.push("within-iframe"),o}var et=function(t,n){if(!0!==i){if(!0===r)a=document.body.className,s=a,void 0!==e&&(s=s.replace("desktop","platform-ios mobile")),!0===d.has.touch&&(s=s.replace("no-touch","touch")),!0===d.within.iframe&&(s+=" within-iframe"),a!==s&&(document.body.className=s);else{var o=tt(d,n);!0===d.is.ie&&11===d.is.versionNumber?o.forEach((function(t){return document.body.classList.add(t)})):document.body.classList.add.apply(document.body.classList,o)}var a,s;void 0!==n.brand&&function(t){for(var e in t)Y(e,t[e])}(n.brand),!0===d.is.ios&&document.body.addEventListener("touchstart",m),window.addEventListener("keydown",Z,!0)}else t.server.push((function(t,e){var i=tt(t.platform,n),r=e.ssr.setBodyClasses;void 0!==n.screen&&!0===n.screen.bodyClass&&i.push("screen--xs"),"function"==typeof r?r(i):e.ssr.Q_BODY_CLASSES=i.join(" ")}))},nt={name:"material-icons",type:{positive:"check_circle",negative:"warning",info:"info",warning:"priority_high"},arrow:{up:"arrow_upward",right:"arrow_forward",down:"arrow_downward",left:"arrow_back",dropdown:"arrow_drop_down"},chevron:{left:"chevron_left",right:"chevron_right"},colorPicker:{spectrum:"gradient",tune:"tune",palette:"style"},pullToRefresh:{icon:"refresh"},carousel:{left:"chevron_left",right:"chevron_right",up:"keyboard_arrow_up",down:"keyboard_arrow_down",navigationIcon:"lens"},chip:{remove:"cancel",selected:"check"},datetime:{arrowLeft:"chevron_left",arrowRight:"chevron_right",now:"access_time",today:"today"},editor:{bold:"format_bold",italic:"format_italic",strikethrough:"strikethrough_s",underline:"format_underlined",unorderedList:"format_list_bulleted",orderedList:"format_list_numbered",subscript:"vertical_align_bottom",superscript:"vertical_align_top",hyperlink:"link",toggleFullscreen:"fullscreen",quote:"format_quote",left:"format_align_left",center:"format_align_center",right:"format_align_right",justify:"format_align_justify",print:"print",outdent:"format_indent_decrease",indent:"format_indent_increase",removeFormat:"format_clear",formatting:"text_format",fontSize:"format_size",align:"format_align_left",hr:"remove",undo:"undo",redo:"redo",heading:"format_size",code:"code",size:"format_size",font:"font_download",viewSource:"code"},expansionItem:{icon:"keyboard_arrow_down",denseIcon:"arrow_drop_down"},fab:{icon:"add",activeIcon:"close"},field:{clear:"cancel",error:"error"},pagination:{first:"first_page",prev:"keyboard_arrow_left",next:"keyboard_arrow_right",last:"last_page"},rating:{icon:"grade"},stepper:{done:"check",active:"edit",error:"warning"},tabs:{left:"chevron_left",right:"chevron_right",up:"keyboard_arrow_up",down:"keyboard_arrow_down"},table:{arrowUp:"arrow_upward",warning:"warning",firstPage:"first_page",prevPage:"chevron_left",nextPage:"chevron_right",lastPage:"last_page"},tree:{icon:"play_arrow"},uploader:{done:"done",clear:"clear",add:"add_box",upload:"cloud_upload",removeQueue:"clear_all",removeUploaded:"done_all"}},it={install:function(e,n,r){var o=this,a=r||nt;this.set=function(t,n){var r=Object.assign({},t);if(!0===i){if(void 0===n)return void console.error("SSR ERROR: second param required: Quasar.iconSet.set(iconSet, ssrContext)");r.set=n.$q.iconSet.set,n.$q.iconSet=r}else r.set=o.set,e.iconSet=r},!0===i?n.server.push((function(t,e){t.iconSet={},t.iconSet.set=function(t){o.set(t,e.ssr)},t.iconSet.set(a)})):(t.util.defineReactive(e,"iconMapFn",void 0),t.util.defineReactive(e,"iconSet",{}),this.set(a))}},rt=[h,E,q],ot={server:[],takeover:[]},at={version:n,config:{}};var st=["B","KB","MB","GB","TB","PB"];function lt(t){for(var e=0;parseInt(t,10)>=1024&&e<st.length-1;)t/=1024,++e;return""+t.toFixed(1)+st[e]}function ut(t){return t.charAt(0).toUpperCase()+t.slice(1)}function ct(t,e,n){return n<=e?e:Math.min(n,Math.max(e,t))}function dt(t,e,n){if(n<=e)return e;var i=n-e+1,r=e+(t-e)%i;return r<e&&(r=i+r),0===r?0:r}function ht(t,e,n){if(void 0===e&&(e=2),void 0===n&&(n="0"),null==t)return t;var i=""+t;return i.length>=e?i:new Array(e-i.length+1).join(n)+i}var ft={humanStorageSize:lt,capitalize:ut,between:ct,normalizeToInterval:dt,pad:ht};function pt(t,e,n){if(!0===i)return n;var r="__qcache_"+e;return void 0===t[r]?t[r]=n:t[r]}function mt(t,e,n){if(!0===i)return n();var r="__qcache_"+e;return void 0===t[r]?t[r]=n():t[r]}function vt(t,e){var n;return{data:function(){var n,i={},r=this[t];for(var o in r)i[o]=r[o];return(n={})[e]=i,n},watch:(n={},n[t]=function(t,n){var i=this[e];if(void 0!==n)for(var r in n)void 0===t[r]&&this.$delete(i,r);for(var o in t)i[o]!==t[o]&&this.$set(i,o,t[o])},n)}}var gt={"aria-hidden":"true"},_t=vt("$attrs","qAttrs"),yt=i?null:XMLHttpRequest,bt=i?null:yt.prototype.send,wt=[],xt=[],kt=0;var St=t.extend({name:"QAjaxBar",props:{position:{type:String,default:"top",validator:function(t){return["top","right","bottom","left"].includes(t)}},size:{type:String,default:"2px"},color:String,skipHijack:Boolean,reverse:Boolean},data:function(){return{calls:0,progress:0,onScreen:!1,animate:!0}},computed:{classes:function(){return"q-loading-bar q-loading-bar--"+this.position+(void 0!==this.color?" bg-"+this.color:"")+(!0===this.animate?"":" no-transition")},style:function(){var t=this.onScreen,e=function(t){var e=t.p,n=t.pos,i=t.active,r=t.horiz,o=t.reverse,a=t.dir,s=1,l=1;return r?(o&&(s=-1),"bottom"===n&&(l=-1),{transform:"translate3d("+s*(e-100)+"%,"+(i?0:-200*l)+"%,0)"}):(o&&(l=-1),"right"===n&&(s=-1),{transform:"translate3d("+(i?0:a*s*-200)+"%,"+l*(e-100)+"%,0)"})}({p:this.progress,pos:this.position,active:t,horiz:this.horizontal,reverse:!0===this.$q.lang.rtl&&["top","bottom"].includes(this.position)?!this.reverse:this.reverse,dir:!0===this.$q.lang.rtl?-1:1});return e[this.sizeProp]=this.size,e.opacity=t?1:0,e},horizontal:function(){return"top"===this.position||"bottom"===this.position},sizeProp:function(){return this.horizontal?"height":"width"},attrs:function(){return!0===this.onScreen?{role:"progressbar","aria-valuemin":0,"aria-valuemax":100,"aria-valuenow":this.progress}:gt}},methods:{start:function(t){var e=this;void 0===t&&(t=300);var n=this.speed;this.speed=Math.max(0,t)||0,this.calls++,this.calls>1?0===n&&t>0?this.__work():n>0&&t<=0&&clearTimeout(this.timer):(clearTimeout(this.timer),this.$emit("start"),this.progress=0,!0!==this.onScreen&&(this.onScreen=!0,this.animate=!1,this.timer=setTimeout((function(){e.animate=!0,t>0&&e.__work()}),100)))},increment:function(t){this.calls>0&&(this.progress=function(t,e){return"number"!=typeof e&&(e=t<25?3*Math.random()+3:t<65?3*Math.random():t<85?2*Math.random():t<99?.6:0),ct(t+e,0,100)}(this.progress,t))},stop:function(){var t=this;if(this.calls=Math.max(0,this.calls-1),!(this.calls>0)){clearTimeout(this.timer),this.$emit("stop");var e=function(){t.animate=!0,t.progress=100,t.timer=setTimeout((function(){t.onScreen=!1}),1e3)};0===this.progress?this.timer=setTimeout(e,1):e()}},__work:function(){var t=this;this.progress<100&&(this.timer=setTimeout((function(){t.increment(),t.__work()}),this.speed))}},mounted:function(){!0!==this.skipHijack&&(this.hijacked=!0,function(t,e){function n(){xt.forEach((function(t){t()}))}wt.push(t),xt.push(e),++kt>1||(yt.prototype.send=function(){wt.forEach((function(t){t()})),this.addEventListener("loadend",n,!1),bt.apply(this,arguments)})}(this.start,this.stop))},beforeDestroy:function(){clearTimeout(this.timer),!0===this.hijacked&&function(t,e){wt.splice(wt.indexOf(t),1),xt.splice(xt.indexOf(e),1),(kt=Math.max(0,kt-1))||(yt.prototype.send=bt)}(this.start,this.stop)},render:function(t){return t("div",{class:this.classes,style:this.style,attrs:this.attrs})}}),Ct={xs:18,sm:24,md:32,lg:38,xl:46};function Mt(t){return{props:{size:String},computed:{sizeStyle:function(){if(void 0!==this.size)return{fontSize:this.size in t?t[this.size]+"px":this.size}}}}}var Tt=Mt(Ct),Ot={props:{tag:{type:String,default:"div"}}},At=vt("$listeners","qListeners");function Et(t,e,n){return void 0!==t.$scopedSlots[e]?t.$scopedSlots[e]():n}function qt(t,e,n){return void 0!==t.$scopedSlots[e]?t.$scopedSlots[e]().slice():n}function Lt(t,e,n){return void 0!==e.$scopedSlots[n]?t.concat(e.$scopedSlots[n]()):t}function Dt(t,e,n){if(void 0===e.$scopedSlots[n])return t;var i=e.$scopedSlots[n]();return void 0!==t?t.concat(i):i}var Pt=t.extend({name:"QIcon",mixins:[At,Tt,Ot],props:{tag:{default:"i"},name:String,color:String,left:Boolean,right:Boolean},computed:{classes:function(){return"q-icon notranslate"+(!0===this.left?" on-left":"")+(!0===this.right?" on-right":"")+(void 0!==this.color?" text-"+this.color:"")},type:function(){var t,e=this,n=this.name;if(!n)return{none:!0,cls:this.classes};if(void 0!==this.$q.iconMapFn){var i=this.$q.iconMapFn(n);if(void 0!==i){if(void 0===i.icon)return{cls:i.cls+" "+this.classes,content:void 0!==i.content?i.content:" "};n=i.icon}}if(!0===n.startsWith("M")){var r=n.split("|"),o=r[0],a=r[1];return{svg:!0,cls:this.classes,nodes:o.split("&&").map((function(t){var n=t.split("@@"),i=n[0],r=n[1],o=n[2];return e.$createElement("path",{attrs:{d:i,transform:o},style:r})})),viewBox:void 0!==a?a:"0 0 24 24"}}if(!0===n.startsWith("img:"))return{img:!0,cls:this.classes,src:n.substring(4)};if(!0===n.startsWith("svguse:")){var s=n.split("|"),l=s[0],u=s[1];return{svguse:!0,cls:this.classes,src:l.substring(7),viewBox:void 0!==u?u:"0 0 24 24"}}var c=" ";return/^[l|f]a[s|r|l|b|d]{0,1} /.test(n)||!0===n.startsWith("icon-")?t=n:!0===n.startsWith("bt-")?t="bt "+n:!0===n.startsWith("eva-")?t="eva "+n:!0===/^ion-(md|ios|logo)/.test(n)?t="ionicons "+n:!0===n.startsWith("ion-")?t="ionicons ion-"+(!0===this.$q.platform.is.ios?"ios":"md")+n.substr(3):!0===n.startsWith("mdi-")?t="mdi "+n:!0===n.startsWith("iconfont ")?t=""+n:!0===n.startsWith("ti-")?t="themify-icon "+n:(t="material-icons",!0===n.startsWith("o_")?(n=n.substring(2),t+="-outlined"):!0===n.startsWith("r_")?(n=n.substring(2),t+="-round"):!0===n.startsWith("s_")&&(n=n.substring(2),t+="-sharp"),c=n),{cls:t+" "+this.classes,content:c}}},render:function(t){var e={class:this.type.cls,style:this.sizeStyle,on:Object.assign({},this.qListeners),attrs:{"aria-hidden":"true",role:"presentation"}};return!0===this.type.none?t(this.tag,e,Et(this,"default")):!0===this.type.img?(e.attrs.src=this.type.src,t("img",e)):!0===this.type.svg?(e.attrs.focusable="false",e.attrs.viewBox=this.type.viewBox,t("svg",e,Lt(this.type.nodes,this,"default"))):!0===this.type.svguse?(e.attrs.focusable="false",e.attrs.viewBox=this.type.viewBox,t("svg",e,[t("use",{attrs:{"xlink:href":this.type.src}}),Lt(this.type.nodes,this,"default")])):t(this.tag,e,Lt([this.type.content],this,"default"))}}),Rt=t.extend({name:"QAvatar",mixins:[At,Tt],props:{fontSize:String,color:String,textColor:String,icon:String,square:Boolean,rounded:Boolean},computed:{classes:function(){var t;return(t={})["bg-"+this.color]=this.color,t["text-"+this.textColor+" q-chip--colored"]=this.textColor,t["q-avatar--square"]=this.square,t["rounded-borders"]=this.rounded,t},contentStyle:function(){if(this.fontSize)return{fontSize:this.fontSize}}},render:function(t){var e=void 0!==this.icon?[t(Pt,{props:{name:this.icon}})]:void 0;return t("div",{staticClass:"q-avatar",style:this.sizeStyle,class:this.classes,on:Object.assign({},this.qListeners)},[t("div",{staticClass:"q-avatar__content row flex-center overflow-hidden",style:this.contentStyle},Dt(e,this,"default"))])}}),Nt=t.extend({name:"QBadge",mixins:[At],props:{color:String,textColor:String,floating:Boolean,transparent:Boolean,multiLine:Boolean,outline:Boolean,label:[Number,String],align:{type:String,validator:function(t){return["top","middle","bottom"].includes(t)}}},computed:{style:function(){if(void 0!==this.align)return{verticalAlign:this.align}},classes:function(){var t=!0===this.outline&&this.color||this.textColor;return"q-badge flex inline items-center no-wrap q-badge--"+(!0===this.multiLine?"multi":"single")+"-line"+(!0===this.outline?" q-badge--outline":void 0!==this.color?" bg-"+this.color:"")+(void 0!==t?" text-"+t:"")+(!0===this.floating?" q-badge--floating":"")+(!0===this.transparent?" q-badge--transparent":"")},attrs:function(){return{role:"alert","aria-label":this.label}}},render:function(t){return t("div",{style:this.style,class:this.classes,attrs:this.attrs,on:Object.assign({},this.qListeners)},void 0!==this.label?[this.label]:Et(this,"default"))}}),It={props:{dark:{type:Boolean,default:null}},computed:{isDark:function(){return null===this.dark?this.$q.dark.isActive:this.dark}}},jt={role:"alert"},$t=t.extend({name:"QBanner",mixins:[At,It],props:{inlineActions:Boolean,dense:Boolean,rounded:Boolean},render:function(t){var e=Et(this,"action"),n=[t("div",{staticClass:"q-banner__avatar col-auto row items-center self-start"},Et(this,"avatar")),t("div",{staticClass:"q-banner__content col text-body2"},Et(this,"default"))];return void 0!==e&&n.push(t("div",{staticClass:"q-banner__actions row items-center justify-end",class:"col-"+(!0===this.inlineActions?"auto":"all")},e)),t("div",{staticClass:"q-banner row items-center",class:{"q-banner--top-padding":void 0!==e&&!this.inlineActions,"q-banner--dense":this.dense,"q-banner--dark q-dark":this.isDark,"rounded-borders":this.rounded},attrs:jt,on:Object.assign({},this.qListeners)},n)}}),Ft={role:"toolbar"},Bt=t.extend({name:"QBar",mixins:[At,It],props:{dense:Boolean},computed:{classes:function(){return"q-bar--"+(!0===this.dense?"dense":"standard")+" q-bar--"+(!0===this.isDark?"dark":"light")}},render:function(t){return t("div",{staticClass:"q-bar row no-wrap items-center",class:this.classes,attrs:Ft,on:Object.assign({},this.qListeners)},Et(this,"default"))}}),zt={left:"start",center:"center",right:"end",between:"between",around:"around",evenly:"evenly",stretch:"stretch"},Vt=Object.keys(zt),Ht={props:{align:{type:String,validator:function(t){return Vt.includes(t)}}},computed:{alignClass:function(){var t=void 0===this.align?!0===this.vertical?"stretch":"left":this.align;return(!0===this.vertical?"items":"justify")+"-"+zt[t]}}},Ut=t.extend({name:"QBreadcrumbs",mixins:[At,Ht],props:{separator:{type:String,default:"/"},separatorColor:String,activeColor:{type:String,default:"primary"},gutter:{type:String,validator:function(t){return["none","xs","sm","md","lg","xl"].includes(t)},default:"sm"}},computed:{classes:function(){return this.alignClass+("none"===this.gutter?"":" q-gutter-"+this.gutter)},sepClass:function(){if(this.separatorColor)return"text-"+this.separatorColor},activeClass:function(){return"text-"+this.activeColor}},render:function(t){var e=this,n=Et(this,"default");if(void 0!==n){var i=1,r=[],o=n.filter((function(t){return void 0!==t.tag&&t.tag.endsWith("-QBreadcrumbsEl")})).length,a=void 0!==this.$scopedSlots.separator?this.$scopedSlots.separator:function(){return e.separator};return n.forEach((function(n){if(void 0!==n.tag&&n.tag.endsWith("-QBreadcrumbsEl")){var s=i<o;i++,r.push(t("div",{staticClass:"flex items-center",class:s?e.activeClass:"q-breadcrumbs--last"},[n])),s&&r.push(t("div",{staticClass:"q-breadcrumbs__separator",class:e.sepClass},a()))}else r.push(n)})),t("div",{staticClass:"q-breadcrumbs",on:Object.assign({},this.qListeners)},[t("div",{staticClass:"flex items-center",class:this.classes},r)])}}}),Wt={props:{to:[String,Object],exact:Boolean,append:Boolean,replace:Boolean,activeClass:String,exactActiveClass:String,disable:Boolean},computed:{hasRouterLink:function(){return!0!==this.disable&&void 0!==this.to&&null!==this.to&&""!==this.to},routerLinkProps:function(){return{to:this.to,exact:this.exact,append:this.append,replace:this.replace,activeClass:this.activeClass||"q-router-link--active",exactActiveClass:this.exactActiveClass||"q-router-link--exact-active",event:!0===this.disable?"":void 0}}}},Yt=t.extend({name:"QBreadcrumbsEl",mixins:[At,Wt],props:{label:String,icon:String},render:function(t){var e,n=[];return void 0!==this.icon&&n.push(t(Pt,{staticClass:"q-breadcrumbs__el-icon",class:void 0!==this.label?"q-breadcrumbs__el-icon--with-label":null,props:{name:this.icon}})),this.label&&n.push(this.label),t(!0===this.hasRouterLink?"router-link":"span",((e={staticClass:"q-breadcrumbs__el q-link flex inline items-center relative-position",props:!0===this.hasRouterLink?this.routerLinkProps:null})[!0===this.hasRouterLink?"nativeOn":"on"]=Object.assign({},this.qListeners),e),Lt(n,this,"default"))}}),Qt={mixins:[At],props:{color:String,size:{type:[Number,String],default:"1em"}},computed:{cSize:function(){return this.size in Ct?Ct[this.size]+"px":this.size},classes:function(){if(this.color)return"text-"+this.color}}},Gt=t.extend({name:"QSpinner",mixins:[Qt],props:{thickness:{type:Number,default:5}},render:function(t){return t("svg",{staticClass:"q-spinner q-spinner-mat",class:this.classes,on:Object.assign({},this.qListeners),attrs:{focusable:"false",width:this.cSize,height:this.cSize,viewBox:"25 25 50 50"}},[t("circle",{staticClass:"path",attrs:{cx:"50",cy:"50",r:"20",fill:"none",stroke:"currentColor","stroke-width":this.thickness,"stroke-miterlimit":"10"}})])}});function Kt(t){if(t===window)return{top:0,left:0};var e=t.getBoundingClientRect();return{top:e.top,left:e.left}}function Zt(t){return t===window?window.innerHeight:t.getBoundingClientRect().height}function Jt(t,e){var n=t.style;Object.keys(e).forEach((function(t){n[t]=e[t]}))}function Xt(t,e){return!0===t?e===document.documentElement||null===e?document.body:e:document.body}var te={offset:Kt,style:function(t,e){return window.getComputedStyle(t).getPropertyValue(e)},height:Zt,width:function(t){return t===window?window.innerWidth:t.getBoundingClientRect().width},css:Jt,cssBatch:function(t,e){t.forEach((function(t){return Jt(t,e)}))},ready:function(t){if("function"==typeof t)return"loading"!==document.readyState?t():void document.addEventListener("DOMContentLoaded",t,!1)}};function ee(t,e){void 0===e&&(e=250);var n,i=!1;return function(){return!1===i&&(i=!0,setTimeout((function(){i=!1}),e),n=t.apply(this,arguments)),n}}function ne(t,e,n,i){!0===n.modifiers.stop&&y(t);var r=n.modifiers.color,o=n.modifiers.center;o=!0===o||!0===i;var a=document.createElement("span"),s=document.createElement("span"),l=g(t),u=e.getBoundingClientRect(),c=u.left,d=u.top,h=u.width,f=u.height,p=Math.sqrt(h*h+f*f),m=p/2,v=(h-p)/2+"px",_=o?v:l.left-c-m+"px",b=(f-p)/2+"px",w=o?b:l.top-d-m+"px";s.className="q-ripple__inner",Jt(s,{height:p+"px",width:p+"px",transform:"translate3d("+_+","+w+",0) scale3d(.2,.2,1)",opacity:0}),a.className="q-ripple"+(r?" text-"+r:""),a.setAttribute("dir","ltr"),a.appendChild(s),e.appendChild(a);var x=function(){a.remove(),clearTimeout(k)};n.abort.push(x);var k=setTimeout((function(){s.classList.add("q-ripple__inner--enter"),s.style.transform="translate3d("+v+","+b+",0) scale3d(1,1,1)",s.style.opacity=.2,k=setTimeout((function(){s.classList.remove("q-ripple__inner--enter"),s.classList.add("q-ripple__inner--leave"),s.style.opacity=0,k=setTimeout((function(){a.remove(),n.abort.splice(n.abort.indexOf(x),1)}),275)}),250)}),50)}function ie(t,e){var n=e.modifiers,i=e.value,r=e.arg,o=Object.assign({},at.config.ripple,n,i);t.modifiers={early:!0===o.early,stop:!0===o.stop,center:!0===o.center,color:o.color||r,keyCodes:[].concat(o.keyCodes||13)}}function re(t){var e=t.__qripple;void 0!==e&&(e.abort.forEach((function(t){t()})),C(e,"main"),delete t._qripple)}var oe={name:"ripple",inserted:function(t,e){void 0!==t.__qripple&&(re(t),t.__qripple_destroyed=!0);var n={enabled:!1!==e.value,modifiers:{},abort:[],start:function(e){!0===n.enabled&&!0!==e.qSkipRipple&&(!0!==d.is.ie||e.clientX>=0)&&(!0===n.modifiers.early?!0===["mousedown","touchstart"].includes(e.type):"click"===e.type)&&ne(e,t,n,!0===e.qKeyEvent)},keystart:ee((function(e){!0===n.enabled&&!0!==e.qSkipRipple&&!0===X(e,n.modifiers.keyCodes)&&e.type==="key"+(!0===n.modifiers.early?"down":"up")&&ne(e,t,n,!0)}),300)};ie(n,e),t.__qripple=n,S(n,"main",[[t,"mousedown","start","passive"],[t,"touchstart","start","passive"],[t,"click","start","passive"],[t,"keydown","keystart","passive"],[t,"keyup","keystart","passive"]])},update:function(t,e){var n=t.__qripple;void 0!==n&&e.oldValue!==e.value&&(n.enabled=!1!==e.value,!0===n.enabled&&Object(e.value)===e.value&&ie(n,e))},unbind:function(t){void 0===t.__qripple_destroyed?re(t):delete t.__qripple_destroyed}},ae={directives:{Ripple:oe},props:{ripple:{type:[Boolean,Object],default:!0}}},se={none:0,xs:4,sm:8,md:16,lg:24,xl:32},le={mixins:[At,ae,Ht,Mt({xs:8,sm:10,md:14,lg:20,xl:24})],props:{type:String,to:[Object,String],replace:Boolean,append:Boolean,label:[Number,String],icon:String,iconRight:String,round:Boolean,outline:Boolean,flat:Boolean,unelevated:Boolean,rounded:Boolean,push:Boolean,glossy:Boolean,size:String,fab:Boolean,fabMini:Boolean,padding:String,color:String,textColor:String,noCaps:Boolean,noWrap:Boolean,dense:Boolean,tabindex:[Number,String],align:{default:"center"},stack:Boolean,stretch:Boolean,loading:{type:Boolean,default:null},disable:Boolean},computed:{style:function(){if(!1===this.fab&&!1===this.fabMini)return this.sizeStyle},isRounded:function(){return!0===this.rounded||!0===this.fab||!0===this.fabMini},isActionable:function(){return!0!==this.disable&&!0!==this.loading},computedTabIndex:function(){return!0===this.isActionable?this.tabindex||0:-1},hasRouterLink:function(){return!0!==this.disable&&void 0!==this.to&&null!==this.to&&""!==this.to},isLink:function(){return"a"===this.type||!0===this.hasRouterLink},design:function(){return!0===this.flat?"flat":!0===this.outline?"outline":!0===this.push?"push":!0===this.unelevated?"unelevated":"standard"},currentLocation:function(){if(!0===this.hasRouterLink)return!0===this.append?this.$router.resolve(this.to,this.$route,!0):this.$router.resolve(this.to)},attrs:function(){var t={tabindex:this.computedTabIndex};return"a"!==this.type&&(t.type=this.type||"button"),!0===this.hasRouterLink?(t.href=this.currentLocation.href,t.role="link"):t.role="a"===this.type?"link":"button",!0===this.loading&&void 0!==this.percentage&&(t.role="progressbar",t["aria-valuemin"]=0,t["aria-valuemax"]=100,t["aria-valuenow"]=this.percentage),!0===this.disable&&(t.disabled="",t["aria-disabled"]="true"),t},classes:function(){var t;return void 0!==this.color?t=!0===this.flat||!0===this.outline?"text-"+(this.textColor||this.color):"bg-"+this.color+" text-"+(this.textColor||"white"):this.textColor&&(t="text-"+this.textColor),"q-btn--"+this.design+" q-btn--"+(!0===this.round?"round":"rectangle"+(!0===this.isRounded?" q-btn--rounded":""))+(void 0!==t?" "+t:"")+(!0===this.isActionable?" q-btn--actionable q-focusable q-hoverable":!0===this.disable?" disabled":"")+(!0===this.fab?" q-btn--fab":!0===this.fabMini?" q-btn--fab-mini":"")+(!0===this.noCaps?" q-btn--no-uppercase":"")+(!0===this.noWrap?"":" q-btn--wrap")+(!0===this.dense?" q-btn--dense":"")+(!0===this.stretch?" no-border-radius self-stretch":"")+(!0===this.glossy?" glossy":"")},innerClasses:function(){return this.alignClass+(!0===this.stack?" column":" row")+(!0===this.noWrap?" no-wrap text-no-wrap":"")+(!0===this.loading?" q-btn__content--hidden":"")},wrapperStyle:function(){if(void 0!==this.padding)return{padding:this.padding.split(/\s+/).map((function(t){return t in se?se[t]+"px":t})).join(" "),minWidth:"0",minHeight:"0"}}}},ue=["left","right","up","down","horizontal","vertical"],ce={left:!0,right:!0,up:!0,down:!0,horizontal:!0,vertical:!0,all:!0};function de(t){var e={};return ue.forEach((function(n){t[n]&&(e[n]=!0)})),0===Object.keys(e).length?ce:(!0===e.horizontal&&(e.left=e.right=!0),!0===e.vertical&&(e.up=e.down=!0),!0===e.left&&!0===e.right&&(e.horizontal=!0),!0===e.up&&!0===e.down&&(e.vertical=!0),!0===e.horizontal&&!0===e.vertical&&(e.all=!0),e)}var he=!1===i&&!0!==a&&(!0===d.is.ios||window.navigator.vendor.toLowerCase().indexOf("apple")>-1)?function(){return document}:function(t){return t};function fe(t,e){return void 0===e.event&&void 0!==t.target&&!0!==t.target.draggable&&"function"==typeof e.handler&&"INPUT"!==t.target.nodeName.toUpperCase()&&(void 0===t.qClonedBy||-1===t.qClonedBy.indexOf(e.uid))}var pe=f.passiveCapture,me=void 0,ve=void 0,ge=void 0,_e={role:"img","aria-hidden":"true"},ye=t.extend({name:"QBtn",mixins:[le],props:{percentage:Number,darkPercentage:Boolean},computed:{hasLabel:function(){return void 0!==this.label&&null!==this.label&&""!==this.label},computedRipple:function(){return!1!==this.ripple&&Object.assign({},{keyCodes:!0===this.isLink?[13,32]:[13]},!0===this.ripple?{}:this.ripple)},percentageStyle:function(){var t=Math.max(0,Math.min(100,this.percentage));if(t>0)return{transition:"transform 0.6s",transform:"translateX("+(t-100)+"%)"}},onEvents:function(){if(!0===this.loading)return{mousedown:this.__onLoadingEvt,touchstart:this.__onLoadingEvt,click:this.__onLoadingEvt,keydown:this.__onLoadingEvt,keyup:this.__onLoadingEvt};if(!0===this.isActionable){var t=Object.assign({},this.qListeners,{click:this.click,keydown:this.__onKeydown,mousedown:this.__onMousedown});return!0===this.$q.platform.has.touch&&(t.touchstart=this.__onTouchstart),t}return{}},directives:function(){if(!0!==this.disable&&!1!==this.ripple)return[{name:"ripple",value:this.computedRipple,modifiers:{center:this.round}}]}},methods:{click:function(t){var e=this;if(void 0!==t){if(!0===t.defaultPrevented)return;var n=document.activeElement;if("submit"===this.type&&(!0===this.$q.platform.is.ie&&(t.clientX<0||t.clientY<0)||n!==document.body&&!1===this.$el.contains(n)&&!1===n.contains(this.$el))){this.$el.focus();var i=function(){document.removeEventListener("keydown",w,!0),document.removeEventListener("keyup",i,pe),void 0!==e.$el&&e.$el.removeEventListener("blur",i,pe)};document.addEventListener("keydown",w,!0),document.addEventListener("keyup",i,pe),this.$el.addEventListener("blur",i,pe)}if(!0===this.hasRouterLink){if(!0===t.ctrlKey||!0===t.shiftKey||!0===t.altKey||!0===t.metaKey)return;w(t)}}var r=function(){e.$router[!0===e.replace?"replace":"push"](e.currentLocation.route,void 0,m)};this.$emit("click",t,r),!0===this.hasRouterLink&&!1!==t.navigate&&r()},__onKeydown:function(t){!0===X(t,[13,32])&&(w(t),ve!==this.$el&&(void 0!==ve&&this.__cleanup(),this.$el.focus(),ve=this.$el,this.$el.classList.add("q-btn--active"),document.addEventListener("keyup",this.__onPressEnd,!0),this.$el.addEventListener("blur",this.__onPressEnd,pe))),this.$emit("keydown",t)},__onTouchstart:function(t){var e=this;if(me!==this.$el){void 0!==me&&this.__cleanup(),me=this.$el;var n=this.touchTargetEl=he(t.target);n.addEventListener("touchcancel",this.__onPressEnd,pe),n.addEventListener("touchend",this.__onPressEnd,pe)}this.avoidMouseRipple=!0,clearTimeout(this.mouseTimer),this.mouseTimer=setTimeout((function(){e.avoidMouseRipple=!1}),200),this.$emit("touchstart",t)},__onMousedown:function(t){ge!==this.$el&&(void 0!==ge&&this.__cleanup(),ge=this.$el,this.$el.classList.add("q-btn--active"),document.addEventListener("mouseup",this.__onPressEnd,pe)),t.qSkipRipple=!0===this.avoidMouseRipple,this.$emit("mousedown",t)},__onPressEnd:function(t){if(void 0===t||"blur"!==t.type||document.activeElement!==this.$el){if(void 0!==t&&"keyup"===t.type){if(ve===this.$el&&!0===X(t,[13,32])){var e=new MouseEvent("click",t);e.qKeyEvent=!0,!0===t.defaultPrevented&&b(e),!0===t.cancelBubble&&y(e),this.$el.dispatchEvent(e),w(t),t.qKeyEvent=!0}this.$emit("keyup",t)}this.__cleanup()}},__cleanup:function(t){var e=this.$refs.blurTarget;if(!0===t||me!==this.$el&&ge!==this.$el||void 0===e||e===document.activeElement||(e.setAttribute("tabindex",-1),e.focus()),me===this.$el){var n=this.touchTargetEl;n.removeEventListener("touchcancel",this.__onPressEnd,pe),n.removeEventListener("touchend",this.__onPressEnd,pe),me=this.touchTargetEl=void 0}ge===this.$el&&(document.removeEventListener("mouseup",this.__onPressEnd,pe),ge=void 0),ve===this.$el&&(document.removeEventListener("keyup",this.__onPressEnd,!0),void 0!==this.$el&&this.$el.removeEventListener("blur",this.__onPressEnd,pe),ve=void 0),void 0!==this.$el&&this.$el.classList.remove("q-btn--active")},__onLoadingEvt:function(t){w(t),t.qSkipRipple=!0}},beforeDestroy:function(){this.__cleanup(!0)},render:function(t){var e=[];void 0!==this.icon&&e.push(t(Pt,{attrs:_e,props:{name:this.icon,left:!1===this.stack&&!0===this.hasLabel}})),!0===this.hasLabel&&e.push(t("span",{staticClass:"block"},[this.label])),e=Lt(e,this,"default"),void 0!==this.iconRight&&!1===this.round&&e.push(t(Pt,{attrs:_e,props:{name:this.iconRight,right:!1===this.stack&&!0===this.hasLabel}}));var n=[t("span",{staticClass:"q-focus-helper",ref:"blurTarget"})];return!0===this.loading&&void 0!==this.percentage&&n.push(t("span",{staticClass:"q-btn__progress absolute-full overflow-hidden"},[t("span",{staticClass:"q-btn__progress-indicator fit block",class:!0===this.darkPercentage?"q-btn__progress--dark":"",style:this.percentageStyle})])),n.push(t("span",{staticClass:"q-btn__wrapper col row q-anchor--skip",style:this.wrapperStyle},[t("span",{staticClass:"q-btn__content text-center col items-center q-anchor--skip",class:this.innerClasses},e)])),null!==this.loading&&n.push(t("transition",{props:{name:"q-transition--fade"}},!0===this.loading?[t("span",{key:"loading",staticClass:"absolute-full flex flex-center"},void 0!==this.$scopedSlots.loading?this.$scopedSlots.loading():[t(Gt)])]:void 0)),t(!0===this.isLink?"a":"button",{staticClass:"q-btn q-btn-item non-selectable no-outline",class:this.classes,style:this.style,attrs:this.attrs,on:this.onEvents,directives:this.directives},n)}}),be=t.extend({name:"QBtnGroup",mixin:[At],props:{unelevated:Boolean,outline:Boolean,flat:Boolean,rounded:Boolean,push:Boolean,stretch:Boolean,glossy:Boolean,spread:Boolean},computed:{classes:function(){var t=this;return["unelevated","outline","flat","rounded","push","stretch","glossy"].filter((function(e){return!0===t[e]})).map((function(t){return"q-btn-group--"+t})).join(" ")}},render:function(t){return t("div",{staticClass:"q-btn-group row no-wrap "+(!0===this.spread?"q-btn-group--spread":"inline"),class:this.classes,on:Object.assign({},this.qListeners)},Et(this,"default"))}});function we(){if(void 0!==window.getSelection){var t=window.getSelection();void 0!==t.empty?t.empty():void 0!==t.removeAllRanges&&(t.removeAllRanges(),!0!==h.is.mobile&&t.addRange(document.createRange()))}else void 0!==document.selection&&document.selection.empty()}var xe={props:{target:{default:!0},noParentEvent:Boolean,contextMenu:Boolean},watch:{contextMenu:function(t){void 0!==this.anchorEl&&(this.__unconfigureAnchorEl(),this.__configureAnchorEl(t))},target:function(){void 0!==this.anchorEl&&this.__unconfigureAnchorEl(),this.__pickAnchorEl()},noParentEvent:function(t){void 0!==this.anchorEl&&(!0===t?this.__unconfigureAnchorEl():this.__configureAnchorEl())}},methods:{__showCondition:function(t){return void 0!==this.anchorEl&&(void 0===t||(void 0===t.touches||t.touches.length<=1))},__contextClick:function(t){var e=this;this.hide(t),this.$nextTick((function(){e.show(t)})),b(t)},__toggleKey:function(t){!0===X(t,13)&&this.toggle(t)},__mobileCleanup:function(t){this.anchorEl.classList.remove("non-selectable"),clearTimeout(this.touchTimer),!0===this.showing&&void 0!==t&&we()},__mobilePrevent:b,__mobileTouch:function(t){var e=this;if(this.__mobileCleanup(t),!0===this.__showCondition(t)){this.hide(t),this.anchorEl.classList.add("non-selectable");var n=he(t.target);S(this,"anchor",[[n,"touchmove","__mobileCleanup","passive"],[n,"touchend","__mobileCleanup","passive"],[n,"touchcancel","__mobileCleanup","passive"],[this.anchorEl,"contextmenu","__mobilePrevent","notPassive"]]),this.touchTimer=setTimeout((function(){e.show(t)}),300)}},__unconfigureAnchorEl:function(){C(this,"anchor")},__configureAnchorEl:function(t){(void 0===t&&(t=this.contextMenu),!0!==this.noParentEvent&&void 0!==this.anchorEl)&&S(this,"anchor",!0===t?!0===this.$q.platform.is.mobile?[[this.anchorEl,"touchstart","__mobileTouch","passive"]]:[[this.anchorEl,"click","hide","passive"],[this.anchorEl,"contextmenu","__contextClick","notPassive"]]:[[this.anchorEl,"click","toggle","passive"],[this.anchorEl,"keyup","__toggleKey","passive"]])},__setAnchorEl:function(t){for(this.anchorEl=t;this.anchorEl.classList.contains("q-anchor--skip");)this.anchorEl=this.anchorEl.parentNode;this.__configureAnchorEl()},__pickAnchorEl:function(){if(!1===this.target||""===this.target)this.anchorEl=void 0;else if(!0===this.target)this.__setAnchorEl(this.parentEl);else{var t=this.target;if("string"==typeof this.target)try{t=document.querySelector(this.target)}catch(e){t=void 0}null!=t?(this.anchorEl=!0===t._isVue&&void 0!==t.$el?t.$el:t,this.__configureAnchorEl()):(this.anchorEl=void 0,console.error('Anchor: target "'+this.target+'" not found',this))}},__changeScrollEvent:function(t,e){var n=(void 0!==e?"add":"remove")+"EventListener",i=void 0!==e?e:this.__scrollFn;t!==window&&t[n]("scroll",i,f.passive),window[n]("scroll",i,f.passive),this.__scrollFn=e}},created:function(){var t=this;"function"==typeof this.__configureScrollTarget&&"function"==typeof this.__unconfigureScrollTarget&&(this.noParentEventWatcher=this.$watch("noParentEvent",(function(){void 0!==t.__scrollTarget&&(t.__unconfigureScrollTarget(),t.__configureScrollTarget())})))},mounted:function(){this.parentEl=this.$el.parentNode,this.__pickAnchorEl(),!0===this.value&&void 0===this.anchorEl&&this.$emit("input",!1)},beforeDestroy:function(){clearTimeout(this.touchTimer),void 0!==this.noParentEventWatcher&&this.noParentEventWatcher(),void 0!==this.__anchorCleanup&&this.__anchorCleanup(),this.__unconfigureAnchorEl()}},ke={methods:{__nextTick:function(t){this.__tickFn=t},__prepareTick:function(){var t=this;if(void 0!==this.__tickFn){var e=this.__tickFn;this.$nextTick((function(){t.__tickFn===e&&(t.__tickFn(),t.__tickFn=void 0)}))}},__clearTick:function(){this.__tickFn=void 0},__setTimeout:function(t,e){clearTimeout(this.__timer),this.__timer=setTimeout(t,e)},__clearTimeout:function(){clearTimeout(this.__timer)}},beforeDestroy:function(){this.__tickFn=void 0,clearTimeout(this.__timer)}},Se={mixins:[ke,At],props:{value:{type:Boolean,default:void 0}},data:function(){return{showing:!1}},watch:{value:function(t){this.__processModelChange(t)},$route:function(){!0===this.hideOnRouteChange&&!0===this.showing&&this.hide()}},methods:{toggle:function(t){this[!0===this.showing?"hide":"show"](t)},show:function(t){var e=this;!0===this.disable||void 0!==this.__showCondition&&!0!==this.__showCondition(t)||(void 0!==this.qListeners.input&&!1===i&&(this.$emit("input",!0),this.payload=t,this.$nextTick((function(){e.payload===t&&(e.payload=void 0)}))),void 0!==this.value&&void 0!==this.qListeners.input&&!0!==i||this.__processShow(t))},__processShow:function(t){!0!==this.showing&&(void 0!==this.__preparePortal&&this.__preparePortal(),this.showing=!0,this.$emit("before-show",t),void 0!==this.__show?(this.__clearTick(),this.__show(t),this.__prepareTick()):this.$emit("show",t))},hide:function(t){var e=this;!0!==this.disable&&(void 0!==this.qListeners.input&&!1===i&&(this.$emit("input",!1),this.payload=t,this.$nextTick((function(){e.payload===t&&(e.payload=void 0)}))),void 0!==this.value&&void 0!==this.qListeners.input&&!0!==i||this.__processHide(t))},__processHide:function(t){!1!==this.showing&&(this.showing=!1,this.$emit("before-hide",t),void 0!==this.__hide?(this.__clearTick(),this.__hide(t),this.__prepareTick()):this.$emit("hide",t))},__processModelChange:function(t){!0===this.disable&&!0===t?void 0!==this.qListeners.input&&this.$emit("input",!1):!0===t!==this.showing&&this["__process"+(!0===t?"Show":"Hide")](this.payload)}}};function Ce(t,e){do{if("QMenu"===t.$options.name){if(t.hide(e),!0===t.separateClosePopup)return t.$parent}else if(void 0!==t.__renderPortal)return void 0!==t.$parent&&"QPopupProxy"===t.$parent.$options.name?(t.hide(e),t.$parent):t;t=t.$parent}while(void 0!==t)}var Me={inheritAttrs:!1,props:{contentClass:[Array,String,Object],contentStyle:[Array,String,Object]},methods:{__showPortal:function(){var t=this;if(void 0!==this.$q.fullscreen&&!0===this.$q.fullscreen.isCapable){var e=function(e){if(void 0!==t.__portal){var n=Xt(e,t.$q.fullscreen.activeEl);t.__portal.$el.parentElement!==n&&n.contains(t.$el)===(!1===t.__onGlobalDialog)&&n.appendChild(t.__portal.$el)}};this.unwatchFullscreen=this.$watch("$q.fullscreen.isActive",e);var n=this.$q.fullscreen.isActive;!1!==this.__onGlobalDialog&&!0!==n||e(n)}else void 0!==this.__portal&&!1===this.__onGlobalDialog&&document.body.appendChild(this.__portal.$el)},__hidePortal:function(){void 0!==this.__portal&&(void 0!==this.unwatchFullscreen&&(this.unwatchFullscreen(),this.unwatchFullscreen=void 0),!1===this.__onGlobalDialog&&(this.__portal.$destroy(),this.__portal.$el.remove()),this.__portal=void 0)},__preparePortal:function(){var e=this;void 0===this.__portal&&(this.__portal=!0===this.__onGlobalDialog?{$el:this.$el,$refs:this.$refs}:new t({name:"QPortal",parent:this,inheritAttrs:!1,render:function(t){return e.__renderPortal(t)},components:this.$options.components,directives:this.$options.directives}).$mount())}},render:function(t){if(!0===this.__onGlobalDialog)return this.__renderPortal(t);void 0!==this.__portal&&this.__portal.$forceUpdate()},beforeDestroy:function(){this.__hidePortal()}};!1===i&&(Me.created=function(){this.__onGlobalDialog=function(t){for(;void 0!==t;){if("QGlobalDialog"===t.$options.name)return!0;if("QDialog"===t.$options.name)return!1;t=t.$parent}return!1}(this.$parent)});var Te,Oe={props:{transitionShow:{type:String,default:"fade"},transitionHide:{type:String,default:"fade"}},data:function(){return{transitionState:this.showing}},watch:{showing:function(t){var e=this;this.transitionShow!==this.transitionHide&&this.$nextTick((function(){e.transitionState=t}))}},computed:{transition:function(){return"q-transition--"+(!0===this.transitionState?this.transitionHide:this.transitionShow)}}};var Ae=f.notPassiveCapture,Ee=f.passiveCapture,qe={click:[],focus:[]};function Le(t,e){for(var n=t.length-1;n>=0;n--)if(void 0===t[n](e))return}function De(t){clearTimeout(Te),"focusin"===t.type&&!0===t.target.hasAttribute("tabindex")?Te=setTimeout((function(){Le(qe.focus,t)}),200):Le(qe.click,t)}var Pe,Re={name:"click-outside",bind:function(t,e,n){var i=e.value,r=e.arg,o=n.componentInstance||n.context,a={trigger:i,toggleEl:r,handler:function(t){var e=t.target;if(!(void 0===e||8===e.nodeType||e===document.documentElement||!1!==e.classList.contains("no-pointer-events")||void 0!==a.toggleEl&&!1!==a.toggleEl.contains(e)||e!==document.body&&!1!==function(t,e){for(var n=t;void 0!==n;n=n.$parent)if(n===e)return!0;return!1}(function(t){for(var e=t;null!==e;e=e.parentNode){if(null===e.__vue__)return;if(void 0!==e.__vue__)return e.__vue__}}(e),o)))return t.qClickOutside=!0,a.trigger(t)}};t.__qclickoutside&&(t.__qclickoutside_old=t.__qclickoutside),t.__qclickoutside=a,0===qe.click.length&&(document.addEventListener("mousedown",De,Ae),document.addEventListener("touchstart",De,Ae),document.addEventListener("focusin",De,Ee)),qe.click.push(a.handler),a.timerFocusin=setTimeout((function(){qe.focus.push(a.handler)}),500)},update:function(t,e){var n=e.value,i=e.oldValue,r=e.arg,o=t.__qclickoutside;n!==i&&(o.trigger=n),r!==o.arg&&(o.toggleEl=r)},unbind:function(t){var e=t.__qclickoutside_old||t.__qclickoutside;if(void 0!==e){clearTimeout(e.timerFocusin);var n=qe.click.findIndex((function(t){return t===e.handler})),i=qe.focus.findIndex((function(t){return t===e.handler}));n>-1&&qe.click.splice(n,1),i>-1&&qe.focus.splice(i,1),0===qe.click.length&&(clearTimeout(Te),document.removeEventListener("mousedown",De,Ae),document.removeEventListener("touchstart",De,Ae),document.removeEventListener("focusin",De,Ee)),delete t[t.__qclickoutside_old?"__qclickoutside_old":"__qclickoutside"]}}},Ne=!1===i?[null,document,document.body,document.scrollingElement,document.documentElement]:[];function Ie(t,e){if("string"==typeof e)try{e=document.querySelector(e)}catch(t){e=void 0}return null==e?e=t.closest(".scroll,.scroll-y,.overflow-auto"):!0===e._isVue&&void 0!==e.$el&&(e=e.$el),Ne.includes(e)?window:e}function je(t){return(t===window?document.body:t).scrollHeight}function $e(t){return t===window?window.pageYOffset||window.scrollY||document.body.scrollTop||0:t.scrollTop}function Fe(t){return t===window?window.pageXOffset||window.scrollX||document.body.scrollLeft||0:t.scrollLeft}function Be(t,e,n){void 0===n&&(n=0);var i=$e(t);n<=0?i!==e&&Ve(t,e):requestAnimationFrame((function(){var r=i+(e-i)/Math.max(16,n)*16;Ve(t,r),r!==e&&Be(t,e,n-16)}))}function ze(t,e,n){void 0===n&&(n=0);var i=Fe(t);n<=0?i!==e&&He(t,e):requestAnimationFrame((function(){var r=i+(e-i)/Math.max(16,n)*16;He(t,r),r!==e&&ze(t,e,n-16)}))}function Ve(t,e){t!==window?t.scrollTop=e:window.scrollTo(window.pageXOffset||window.scrollX||document.body.scrollLeft||0,e)}function He(t,e){t!==window?t.scrollLeft=e:window.scrollTo(e,window.pageYOffset||window.scrollY||document.body.scrollTop||0)}function Ue(t,e,n){n?Be(t,e,n):Ve(t,e)}function We(t,e,n){n?ze(t,e,n):He(t,e)}function Ye(){if(void 0!==Pe)return Pe;var t=document.createElement("p"),e=document.createElement("div");Jt(t,{width:"100%",height:"200px"}),Jt(e,{position:"absolute",top:"0px",left:"0px",visibility:"hidden",width:"200px",height:"150px",overflow:"hidden"}),e.appendChild(t),document.body.appendChild(e);var n=t.offsetWidth;e.style.overflow="scroll";var i=t.offsetWidth;return n===i&&(i=e.clientWidth),e.remove(),Pe=n-i}function Qe(t,e){return void 0===e&&(e=!0),!(!t||t.nodeType!==Node.ELEMENT_NODE)&&(e?t.scrollHeight>t.clientHeight&&(t.classList.contains("scroll")||t.classList.contains("overflow-auto")||["auto","scroll"].includes(window.getComputedStyle(t)["overflow-y"])):t.scrollWidth>t.clientWidth&&(t.classList.contains("scroll")||t.classList.contains("overflow-auto")||["auto","scroll"].includes(window.getComputedStyle(t)["overflow-x"])))}var Ge,Ke,Ze={getScrollTarget:Ie,getScrollHeight:je,getScrollWidth:function(t){return(t===window?document.body:t).scrollWidth},getScrollPosition:$e,getHorizontalScrollPosition:Fe,animScrollTo:Be,animHorizontalScrollTo:ze,setScrollPosition:Ue,setHorizontalScrollPosition:We,getScrollbarWidth:Ye,hasScrollbar:Qe},Je=[],Xe=!1,tn={__install:function(){this.__installed=!0,window.addEventListener("keydown",(function(t){Xe=27===t.keyCode})),window.addEventListener("blur",(function(){!0===Xe&&(Xe=!1)})),window.addEventListener("keyup",(function(t){!0===Xe&&(Xe=!1,0!==Je.length&&!0===X(t,27)&&Je[Je.length-1].fn(t))}))},register:function(t,e){!0===t.$q.platform.is.desktop&&(!0!==this.__installed&&this.__install(),Je.push({comp:t,fn:e}))},pop:function(t){if(!0===t.$q.platform.is.desktop){var e=Je.findIndex((function(e){return e.comp===t}));e>-1&&Je.splice(e,1)}}};function en(t){var e=t.split(" ");return 2===e.length&&(["top","center","bottom"].includes(e[0])?!!["left","middle","right"].includes(e[1])||(console.error("Anchor/Self position must end with one of left/middle/right"),!1):(console.error("Anchor/Self position must start with one of top/center/bottom"),!1))}function nn(t){return!t||2===t.length&&("number"==typeof t[0]&&"number"==typeof t[1])}function rn(t){var e=t.split(" ");return{vertical:e[0],horizontal:e[1]}}function on(t){if(!0===d.is.ios&&void 0!==window.visualViewport){var e=document.body.style,n=window.visualViewport,i=n.offsetLeft,r=n.offsetTop;i!==Ge&&(e.setProperty("--q-pe-left",i+"px"),Ge=i),r!==Ke&&(e.setProperty("--q-pe-top",r+"px"),Ke=r)}var o,a=t.el,s=a.scrollLeft,l=a.scrollTop;if(void 0===t.absoluteOffset)o=function(t,e){var n=t.getBoundingClientRect(),i=n.top,r=n.left,o=n.right,a=n.bottom,s=n.width,l=n.height;return void 0!==e&&(i-=e[1],r-=e[0],a+=e[1],o+=e[0],s+=e[0],l+=e[1]),{top:i,left:r,right:o,bottom:a,width:s,height:l,middle:r+(o-r)/2,center:i+(a-i)/2}}(t.anchorEl,!0===t.cover?[0,0]:t.offset);else{var u=t.anchorEl.getBoundingClientRect(),c=u.top,h=u.left,f=c+t.absoluteOffset.top,p=h+t.absoluteOffset.left;o={top:f,left:p,width:1,height:1,right:p+1,center:f,middle:p,bottom:f+1}}var m={maxHeight:t.maxHeight,maxWidth:t.maxWidth,visibility:"visible"};!0!==t.fit&&!0!==t.cover||(m.minWidth=o.width+"px",!0===t.cover&&(m.minHeight=o.height+"px")),Object.assign(t.el.style,m);var v=function(t){return{top:0,center:t.offsetHeight/2,bottom:t.offsetHeight,left:0,middle:t.offsetWidth/2,right:t.offsetWidth}}(t.el),g={top:o[t.anchorOrigin.vertical]-v[t.selfOrigin.vertical],left:o[t.anchorOrigin.horizontal]-v[t.selfOrigin.horizontal]};!function(t,e,n,i,r){var o=n.bottom,a=n.right,s=Ye(),l=window.innerHeight-s,u=document.body.clientWidth;if(t.top<0||t.top+o>l)if("center"===r.vertical)t.top=e[i.vertical]>l/2?Math.max(0,l-o):0,t.maxHeight=Math.min(o,l);else if(e[i.vertical]>l/2){var c=Math.min(l,"center"===i.vertical?e.center:i.vertical===r.vertical?e.bottom:e.top);t.maxHeight=Math.min(o,c),t.top=Math.max(0,c-o)}else t.top=Math.max(0,"center"===i.vertical?e.center:i.vertical===r.vertical?e.top:e.bottom),t.maxHeight=Math.min(o,l-t.top);if(t.left<0||t.left+a>u)if(t.maxWidth=Math.min(a,u),"middle"===r.horizontal)t.left=e[i.horizontal]>u/2?Math.max(0,u-a):0;else if(e[i.horizontal]>u/2){var d=Math.min(u,"middle"===i.horizontal?e.middle:i.horizontal===r.horizontal?e.right:e.left);t.maxWidth=Math.min(a,d),t.left=Math.max(0,d-t.maxWidth)}else t.left=Math.max(0,"middle"===i.horizontal?e.middle:i.horizontal===r.horizontal?e.left:e.right),t.maxWidth=Math.min(a,u-t.left)}(g,o,v,t.anchorOrigin,t.selfOrigin),m={top:g.top+"px",left:g.left+"px"},void 0!==g.maxHeight&&(m.maxHeight=g.maxHeight+"px",o.height>g.maxHeight&&(m.minHeight=m.maxHeight)),void 0!==g.maxWidth&&(m.maxWidth=g.maxWidth+"px",o.width>g.maxWidth&&(m.minWidth=m.maxWidth)),Object.assign(t.el.style,m),t.el.scrollTop!==l&&(t.el.scrollTop=l),t.el.scrollLeft!==s&&(t.el.scrollLeft=s)}var an=t.extend({name:"QMenu",mixins:[_t,It,xe,Se,Me,Oe],directives:{ClickOutside:Re},props:{persistent:Boolean,autoClose:Boolean,separateClosePopup:Boolean,noRouteDismiss:Boolean,noRefocus:Boolean,noFocus:Boolean,fit:Boolean,cover:Boolean,square:Boolean,anchor:{type:String,validator:en},self:{type:String,validator:en},offset:{type:Array,validator:nn},scrollTarget:{default:void 0},touchPosition:Boolean,maxHeight:{type:String,default:null},maxWidth:{type:String,default:null}},computed:{horizSide:function(){return!0===this.$q.lang.rtl?"right":"left"},anchorOrigin:function(){return rn(this.anchor||(!0===this.cover?"center middle":"bottom "+this.horizSide))},selfOrigin:function(){return!0===this.cover?this.anchorOrigin:rn(this.self||"top "+this.horizSide)},menuClass:function(){return(!0===this.square?" q-menu--square":"")+(!0===this.isDark?" q-menu--dark q-dark":"")},hideOnRouteChange:function(){return!0!==this.persistent&&!0!==this.noRouteDismiss},onEvents:function(){var t=Object.assign({},this.qListeners,{input:y,"popup-show":y,"popup-hide":y});return!0===this.autoClose&&(t.click=this.__onAutoClose),t},attrs:function(){return Object.assign({},{tabindex:-1},this.qAttrs)}},methods:{focus:function(){var t=void 0!==this.__portal&&void 0!==this.__portal.$refs?this.__portal.$refs.inner:void 0;void 0!==t&&!0!==t.contains(document.activeElement)&&(t=t.querySelector("[autofocus], [data-autofocus]")||t).focus()},__show:function(t){var e=this;if(this.__refocusTarget=!1===this.noRefocus&&null!==document.activeElement?document.activeElement:void 0,tn.register(this,(function(){!0!==e.persistent&&(e.$emit("escape-key"),e.hide())})),this.__showPortal(),this.__configureScrollTarget(),this.absoluteOffset=void 0,void 0!==t&&(this.touchPosition||this.contextMenu)){var n=g(t);if(void 0!==n.left){var i=this.anchorEl.getBoundingClientRect(),r=i.top,o=i.left;this.absoluteOffset={left:n.left-o,top:n.top-r}}}void 0===this.unwatch&&(this.unwatch=this.$watch((function(){return e.$q.screen.width+"|"+e.$q.screen.height+"|"+e.self+"|"+e.anchor}),this.updatePosition)),this.$el.dispatchEvent(k("popup-show",{bubbles:!0})),!0!==this.noFocus&&null!==document.activeElement&&document.activeElement.blur(),this.__nextTick((function(){e.updatePosition(),!0!==e.noFocus&&e.focus()})),this.__setTimeout((function(){!0===e.$q.platform.is.ios&&(e.__avoidAutoClose=e.autoClose,e.__portal.$el.click()),e.updatePosition(),e.$emit("show",t)}),300)},__hide:function(t){var e=this;this.__anchorCleanup(!0),void 0===this.__refocusTarget||null===this.__refocusTarget||void 0!==t&&!0===t.qClickOutside||this.__refocusTarget.focus(),this.$el.dispatchEvent(k("popup-hide",{bubbles:!0})),this.__setTimeout((function(){e.__hidePortal(),e.$emit("hide",t)}),300)},__anchorCleanup:function(t){this.absoluteOffset=void 0,void 0!==this.unwatch&&(this.unwatch(),this.unwatch=void 0),!0!==t&&!0!==this.showing||(tn.pop(this),this.__unconfigureScrollTarget())},__unconfigureScrollTarget:function(){void 0!==this.__scrollTarget&&(this.__changeScrollEvent(this.__scrollTarget),this.__scrollTarget=void 0)},__configureScrollTarget:function(){void 0===this.anchorEl&&void 0===this.scrollTarget||(this.__scrollTarget=Ie(this.anchorEl,this.scrollTarget),this.__changeScrollEvent(this.__scrollTarget,this.updatePosition))},__onAutoClose:function(t){!0!==this.__avoidAutoClose?(Ce(this,t),void 0!==this.qListeners.click&&this.$emit("click",t)):this.__avoidAutoClose=!1},updatePosition:function(){if(void 0!==this.anchorEl&&void 0!==this.__portal){var t=this.__portal.$el;8!==t.nodeType?on({el:t,offset:this.offset,anchorEl:this.anchorEl,anchorOrigin:this.anchorOrigin,selfOrigin:this.selfOrigin,absoluteOffset:this.absoluteOffset,fit:this.fit,cover:this.cover,maxHeight:this.maxHeight,maxWidth:this.maxWidth}):setTimeout(this.updatePosition,25)}},__onClickOutside:function(t){if(!0!==this.persistent&&!0===this.showing){var e=t.target.classList;return this.hide(t),("touchstart"===t.type||e.contains("q-dialog__backdrop"))&&w(t),!0}},__renderPortal:function(t){return t("transition",{props:{name:this.transition}},[!0===this.showing?t("div",{ref:"inner",staticClass:"q-menu q-position-engine scroll"+this.menuClass,class:this.contentClass,style:this.contentStyle,attrs:this.attrs,on:this.onEvents,directives:[{name:"click-outside",value:this.__onClickOutside,arg:this.anchorEl}]},Et(this,"default")):null])}},mounted:function(){this.__processModelChange(this.value)},beforeDestroy:function(){!0===this.showing&&void 0!==this.anchorEl&&this.anchorEl.dispatchEvent(k("popup-hide",{bubbles:!0}))}}),sn=t.extend({name:"QBtnDropdown",mixins:[le],props:{value:Boolean,split:Boolean,dropdownIcon:String,contentClass:[Array,String,Object],contentStyle:[Array,String,Object],cover:Boolean,persistent:Boolean,noRouteDismiss:Boolean,autoClose:Boolean,menuAnchor:{type:String,default:"bottom right"},menuSelf:{type:String,default:"top right"},menuOffset:Array,disableMainBtn:Boolean,disableDropdown:Boolean,noIconAnimation:Boolean},data:function(){return{showing:this.value}},watch:{value:function(t){void 0!==this.$refs.menu&&this.$refs.menu[t?"show":"hide"]()}},render:function(t){var e=this,n=Et(this,"label",[]),i={"aria-expanded":!0===this.showing?"true":"false","aria-haspopup":"true"};(!0===this.disable||!1===this.split&&!0===this.disableMainBtn||!0===this.disableDropdown)&&(i["aria-disabled"]="true");var r=[t(Pt,{props:{name:this.dropdownIcon||this.$q.iconSet.arrow.dropdown},class:"q-btn-dropdown__arrow"+(!0===this.showing&&!1===this.noIconAnimation?" rotate-180":"")+(!1===this.split?" q-btn-dropdown__arrow-container":"")})];if(!0!==this.disableDropdown&&r.push(t(an,{ref:"menu",props:{cover:this.cover,fit:!0,persistent:this.persistent,noRouteDismiss:this.noRouteDismiss,autoClose:this.autoClose,anchor:this.menuAnchor,self:this.menuSelf,offset:this.menuOffset,contentClass:this.contentClass,contentStyle:this.contentStyle,separateClosePopup:!0},on:pt(this,"menu",{"before-show":function(t){e.showing=!0,e.$emit("before-show",t)},show:function(t){e.$emit("show",t),e.$emit("input",!0)},"before-hide":function(t){e.showing=!1,e.$emit("before-hide",t)},hide:function(t){e.$emit("hide",t),e.$emit("input",!1)}})},Et(this,"default"))),!1===this.split)return t(ye,{class:"q-btn-dropdown q-btn-dropdown--simple",props:Object.assign({},this.$props,{disable:!0===this.disable||!0===this.disableMainBtn,noWrap:!0,round:!1}),attrs:i,on:pt(this,"nonSpl",{click:function(t){e.$emit("click",t)}})},n.concat(r));var o=t(ye,{class:"q-btn-dropdown--current",props:Object.assign({},this.$props,{disable:!0===this.disable||!0===this.disableMainBtn,noWrap:!0,iconRight:this.iconRight,round:!1}),on:pt(this,"spl",{click:function(t){e.hide(),e.$emit("click",t)}})},n);return t(be,{props:{outline:this.outline,flat:this.flat,rounded:this.rounded,push:this.push,unelevated:this.unelevated,glossy:this.glossy,stretch:this.stretch},staticClass:"q-btn-dropdown q-btn-dropdown--split no-wrap q-btn-item"},[o,t(ye,{staticClass:"q-btn-dropdown__arrow-container",attrs:i,props:{disable:!0===this.disable||!0===this.disableDropdown,outline:this.outline,flat:this.flat,rounded:this.rounded,push:this.push,size:this.size,color:this.color,textColor:this.textColor,dense:this.dense,ripple:this.ripple}},r)])},methods:{toggle:function(t){this.$refs.menu&&this.$refs.menu.toggle(t)},show:function(t){this.$refs.menu&&this.$refs.menu.show(t)},hide:function(t){this.$refs.menu&&this.$refs.menu.hide(t)}},mounted:function(){!0===this.value&&this.show()}}),ln={props:{name:String},computed:{formAttrs:function(){return{type:"hidden",name:this.name,value:this.value}}},methods:{__injectFormInput:function(t,e,n){t[e](this.$createElement("input",{staticClass:"hidden",class:n,attrs:this.formAttrs,domProps:this.formDomProps}))}}},un={props:{name:String},computed:{nameProp:function(){return this.name||this.for}}},cn=t.extend({name:"QBtnToggle",mixins:[At,ae,ln],props:{value:{required:!0},options:{type:Array,required:!0,validator:function(t){return t.every((function(t){return("label"in t||"icon"in t||"slot"in t)&&"value"in t}))}},color:String,textColor:String,toggleColor:{type:String,default:"primary"},toggleTextColor:String,outline:Boolean,flat:Boolean,unelevated:Boolean,rounded:Boolean,push:Boolean,glossy:Boolean,size:String,padding:String,noCaps:Boolean,noWrap:Boolean,dense:Boolean,readonly:Boolean,disable:Boolean,stack:Boolean,stretch:Boolean,spread:Boolean,clearable:Boolean},computed:{hasActiveValue:function(){var t=this;return void 0!==this.options.find((function(e){return e.value===t.value}))},formAttrs:function(){return{type:"hidden",name:this.name,value:this.value}},btnOptions:function(){var t=this,e=function(e,n){return void 0===e[n]?t[n]:e[n]};return this.options.map((function(n,i){return{slot:n.slot,options:{key:i,class:n.class,style:n.style,on:Object.assign({},t.qListeners,{click:function(e){return t.__set(n.value,n,e)}}),attrs:n.attrs,props:Object.assign({},n,{slot:void 0,class:void 0,style:void 0,value:void 0,attrs:void 0,outline:t.outline,flat:t.flat,rounded:t.rounded,push:t.push,unelevated:t.unelevated,dense:t.dense,disable:!0===t.disable||!0===n.disable,color:n.value===t.value?e(n,"toggleColor"):e(n,"color"),textColor:n.value===t.value?e(n,"toggleTextColor"):e(n,"textColor"),noCaps:!0===e(n,"noCaps"),noWrap:!0===e(n,"noWrap"),size:e(n,"size"),padding:e(n,"padding"),ripple:e(n,"ripple"),stack:!0===e(n,"stack"),stretch:!0===e(n,"stretch")})}}}))}},methods:{__set:function(t,e,n){!0!==this.readonly&&(this.value===t?!0===this.clearable&&(this.$emit("input",null,null),this.$emit("clear")):this.$emit("input",t,e),this.$emit("click",n))}},render:function(t){var e=this,n=this.btnOptions.map((function(n){return t(ye,n.options,void 0!==n.slot?Et(e,n.slot):void 0)}));return void 0!==this.name&&!0!==this.disable&&!0===this.hasActiveValue&&this.__injectFormInput(n,"push"),t(be,{staticClass:"q-btn-toggle",props:{outline:this.outline,flat:this.flat,rounded:this.rounded,push:this.push,stretch:this.stretch,unelevated:this.unelevated,glossy:this.glossy,spread:this.spread}},Lt(n,this,"default"))}}),dn=t.extend({name:"QCard",mixins:[At,It,Ot],props:{square:Boolean,flat:Boolean,bordered:Boolean},computed:{classes:function(){return"q-card"+(!0===this.isDark?" q-card--dark q-dark":"")+(!0===this.bordered?" q-card--bordered":"")+(!0===this.square?" q-card--square no-border-radius":"")+(!0===this.flat?" q-card--flat no-shadow":"")}},render:function(t){return t(this.tag,{class:this.classes,on:Object.assign({},this.qListeners)},Et(this,"default"))}}),hn=t.extend({name:"QCardSection",mixins:[At,Ot],props:{horizontal:Boolean},computed:{classes:function(){return"q-card__section q-card__section--"+(!0===this.horizontal?"horiz row no-wrap":"vert")}},render:function(t){return t(this.tag,{class:this.classes,on:Object.assign({},this.qListeners)},Et(this,"default"))}}),fn=t.extend({name:"QCardActions",mixins:[At,Ht],props:{vertical:Boolean},computed:{classes:function(){return"q-card__actions--"+(!0===this.vertical?"vert column":"horiz row")+" "+this.alignClass}},render:function(t){return t("div",{staticClass:"q-card__actions",class:this.classes,on:Object.assign({},this.qListeners)},Et(this,"default"))}});function pn(t){var e=[.06,6,50];return"string"==typeof t&&t.length&&t.split(":").forEach((function(t,n){var i=parseFloat(t);i&&(e[n]=i)})),e}function mn(t){var e=t.__qtouchswipe;void 0!==e&&(C(e,"main"),C(e,"temp"),!0===d.is.firefox&&x(t,!1),void 0!==e.styleCleanup&&e.styleCleanup(),delete t.__qtouchswipe)}var vn={name:"touch-swipe",bind:function(t,e){var n=e.value,i=e.arg,r=e.modifiers;if(void 0!==t.__qtouchswipe&&(mn(t),t.__qtouchswipe_destroyed=!0),!0===r.mouse||!0===d.has.touch){var o=!0===r.mouseCapture?"Capture":"",a={handler:n,sensitivity:pn(i),modifiers:r,direction:de(r),noop:m,mouseStart:function(t){fe(t,a)&&v(t)&&(S(a,"temp",[[document,"mousemove","move","notPassive"+o],[document,"mouseup","end","notPassiveCapture"]]),a.start(t,!0))},touchStart:function(t){if(fe(t,a)){var e=he(t.target);S(a,"temp",[[e,"touchmove","move","notPassiveCapture"],[e,"touchcancel","end","notPassiveCapture"],[e,"touchend","end","notPassiveCapture"]]),a.start(t)}},start:function(e,n){!0===d.is.firefox&&x(t,!0);var i=g(e);a.event={x:i.left,y:i.top,time:Date.now(),mouse:!0===n,dir:!1}},move:function(t){if(void 0!==a.event)if(!1===a.event.dir){var e=Date.now()-a.event.time;if(0!==e){var n=g(t),i=n.left-a.event.x,r=Math.abs(i),o=n.top-a.event.y,s=Math.abs(o);if(!0!==a.event.mouse){if(r<a.sensitivity[1]&&s<a.sensitivity[1])return void a.end(t)}else if(r<a.sensitivity[2]&&s<a.sensitivity[2])return;var l=r/e,u=s/e;!0===a.direction.vertical&&r<s&&r<100&&u>a.sensitivity[0]&&(a.event.dir=o<0?"up":"down"),!0===a.direction.horizontal&&r>s&&s<100&&l>a.sensitivity[0]&&(a.event.dir=i<0?"left":"right"),!0===a.direction.up&&r<s&&o<0&&r<100&&u>a.sensitivity[0]&&(a.event.dir="up"),!0===a.direction.down&&r<s&&o>0&&r<100&&u>a.sensitivity[0]&&(a.event.dir="down"),!0===a.direction.left&&r>s&&i<0&&s<100&&l>a.sensitivity[0]&&(a.event.dir="left"),!0===a.direction.right&&r>s&&i>0&&s<100&&l>a.sensitivity[0]&&(a.event.dir="right"),!1!==a.event.dir?(w(t),!0===a.event.mouse&&(document.body.classList.add("no-pointer-events--children"),document.body.classList.add("non-selectable"),we(),a.styleCleanup=function(t){a.styleCleanup=void 0,document.body.classList.remove("non-selectable");var e=function(){document.body.classList.remove("no-pointer-events--children")};!0===t?setTimeout(e,50):e()}),a.handler({evt:t,touch:!0!==a.event.mouse,mouse:a.event.mouse,direction:a.event.dir,duration:e,distance:{x:r,y:s}})):a.end(t)}}else w(t)},end:function(e){void 0!==a.event&&(C(a,"temp"),!0===d.is.firefox&&x(t,!1),void 0!==a.styleCleanup&&a.styleCleanup(!0),void 0!==e&&!1!==a.event.dir&&w(e),a.event=void 0)}};t.__qtouchswipe=a,!0===r.mouse&&S(a,"main",[[t,"mousedown","mouseStart","passive"+o]]),!0===d.has.touch&&S(a,"main",[[t,"touchstart","touchStart","passive"+(!0===r.capture?"Capture":"")],[t,"touchmove","noop","notPassiveCapture"]])}},update:function(t,e){var n=e.oldValue,i=e.value,r=t.__qtouchswipe;void 0!==r&&n!==i&&("function"!=typeof i&&r.end(),r.handler=i)},unbind:function(t){void 0===t.__qtouchswipe_destroyed?mn(t):delete t.__qtouchswipe_destroyed}},gn=t.extend({name:"QTabPanelWrapper",render:function(t){return t("div",{staticClass:"q-panel scroll",attrs:{role:"tabpanel"},on:pt(this,"stop",{input:y})},Et(this,"default"))}}),_n={mixins:[At],directives:{TouchSwipe:vn},props:{value:{required:!0},animated:Boolean,infinite:Boolean,swipeable:Boolean,vertical:Boolean,transitionPrev:String,transitionNext:String,keepAlive:Boolean},data:function(){return{panelIndex:null,panelTransition:null}},computed:{panelDirectives:function(){if(!0===this.swipeable)return[{name:"touch-swipe",value:this.__swipe,modifiers:{horizontal:!0!==this.vertical,vertical:this.vertical,mouse:!0}}]},contentKey:function(){return"string"==typeof this.value||"number"==typeof this.value?this.value:String(this.value)},transitionPrevComputed:function(){return this.transitionPrev||"slide-"+(!0===this.vertical?"down":"right")},transitionNextComputed:function(){return this.transitionNext||"slide-"+(!0===this.vertical?"up":"left")}},watch:{value:function(t,e){var n=this,i=!0===this.__isValidPanelName(t)?this.__getPanelIndex(t):-1;!0!==this.__forcedPanelTransition&&this.__updatePanelTransition(-1===i?0:i<this.__getPanelIndex(e)?-1:1),this.panelIndex!==i&&(this.panelIndex=i,this.$emit("before-transition",t,e),this.$nextTick((function(){n.$emit("transition",t,e)})))}},methods:{next:function(){this.__go(1)},previous:function(){this.__go(-1)},goTo:function(t){this.$emit("input",t)},__isValidPanelName:function(t){return null!=t&&""!==t},__getPanelIndex:function(t){return this.panels.findIndex((function(e){var n=e.componentOptions;return n&&n.propsData.name===t&&""!==n.propsData.disable&&!0!==n.propsData.disable}))},__getAllPanels:function(){var t=this;return this.panels.filter((function(e){return void 0!==e.componentOptions&&t.__isValidPanelName(e.componentOptions.propsData.name)}))},__getAvailablePanels:function(){return this.panels.filter((function(t){var e=t.componentOptions;return e&&void 0!==e.propsData.name&&""!==e.propsData.disable&&!0!==e.propsData.disable}))},__updatePanelTransition:function(t){var e=0!==t&&!0===this.animated&&-1!==this.panelIndex?"q-transition--"+(-1===t?this.transitionPrevComputed:this.transitionNextComputed):null;this.panelTransition!==e&&(this.panelTransition=e)},__go:function(t,e){var n=this;void 0===e&&(e=this.panelIndex);for(var i=e+t,r=this.panels;i>-1&&i<r.length;){var o=r[i].componentOptions;if(void 0!==o&&""!==o.propsData.disable&&!0!==o.propsData.disable)return this.__updatePanelTransition(t),this.__forcedPanelTransition=!0,this.$emit("input",r[i].componentOptions.propsData.name),void setTimeout((function(){n.__forcedPanelTransition=!1}));i+=t}!0===this.infinite&&r.length>0&&-1!==e&&e!==r.length&&this.__go(t,-1===t?r.length:-1)},__swipe:function(t){var e=!0===this.vertical?"up":"left";this.__go((!0===this.$q.lang.rtl?-1:1)*(t.direction===e?1:-1))},__updatePanelIndex:function(){var t=this.__getPanelIndex(this.value);return this.panelIndex!==t&&(this.panelIndex=t),!0},__getPanelContent:function(t){if(0!==this.panels.length){var e=this.__isValidPanelName(this.value)&&this.__updatePanelIndex()&&this.panels[this.panelIndex],n=!0===this.keepAlive?[t("keep-alive",[t(gn,{key:this.contentKey},[e])])]:[t("div",{staticClass:"q-panel scroll",key:this.contentKey,attrs:{role:"tabpanel"},on:pt(this,"stop",{input:y})},[e])];return!0===this.animated?[t("transition",{props:{name:this.panelTransition}},n)]:n}}},render:function(t){return this.panels=Et(this,"default",[]),this.__renderPanels(t)}},yn={mixins:[At],props:{name:{required:!0},disable:Boolean}},bn={props:{fullscreen:Boolean,noRouteFullscreenExit:Boolean},data:function(){return{inFullscreen:!1}},watch:{$route:function(){!0!==this.noRouteFullscreenExit&&this.exitFullscreen()},fullscreen:function(t){this.inFullscreen!==t&&this.toggleFullscreen()},inFullscreen:function(t){this.$emit("update:fullscreen",t),this.$emit("fullscreen",t)}},methods:{toggleFullscreen:function(){!0===this.inFullscreen?this.exitFullscreen():this.setFullscreen()},setFullscreen:function(){!0!==this.inFullscreen&&(this.inFullscreen=!0,this.container=this.$el.parentNode,this.container.replaceChild(this.fullscreenFillerNode,this.$el),document.body.appendChild(this.$el),document.body.classList.add("q-body--fullscreen-mixin"),this.__historyFullscreen={handler:this.exitFullscreen},R.add(this.__historyFullscreen))},exitFullscreen:function(){var t=this;!0===this.inFullscreen&&(void 0!==this.__historyFullscreen&&(R.remove(this.__historyFullscreen),this.__historyFullscreen=void 0),this.container.replaceChild(this.$el,this.fullscreenFillerNode),document.body.classList.remove("q-body--fullscreen-mixin"),this.inFullscreen=!1,void 0!==this.$el.scrollIntoView&&setTimeout((function(){t.$el.scrollIntoView()})))}},beforeMount:function(){this.fullscreenFillerNode=document.createElement("span")},mounted:function(){!0===this.fullscreen&&this.setFullscreen()},beforeDestroy:function(){this.exitFullscreen()}},wn="function"==typeof Map,xn="function"==typeof Set,kn="function"==typeof ArrayBuffer;function Sn(t,e){if(t===e)return!0;if(null!==t&&null!==e&&"object"==typeof t&&"object"==typeof e){if(t.constructor!==e.constructor)return!1;var n,i;if(t.constructor===Array){if((n=t.length)!==e.length)return!1;for(i=n;0!=i--;)if(!0!==Sn(t[i],e[i]))return!1;return!0}if(!0===wn&&t.constructor===Map){if(t.size!==e.size)return!1;for(i=t.entries().next();!0!==i.done;){if(!0!==e.has(i.value[0]))return!1;i=i.next()}for(i=t.entries().next();!0!==i.done;){if(!0!==Sn(i.value[1],e.get(i.value[0])))return!1;i=i.next()}return!0}if(!0===xn&&t.constructor===Set){if(t.size!==e.size)return!1;for(i=t.entries().next();!0!==i.done;){if(!0!==e.has(i.value[0]))return!1;i=i.next()}return!0}if(!0===kn&&null!=t.buffer&&t.buffer.constructor===ArrayBuffer){if((n=t.length)!==e.length)return!1;for(i=n;0!=i--;)if(t[i]!==e[i])return!1;return!0}if(t.constructor===RegExp)return t.source===e.source&&t.flags===e.flags;if(t.valueOf!==Object.prototype.valueOf)return t.valueOf()===e.valueOf();if(t.toString!==Object.prototype.toString)return t.toString()===e.toString();var r=Object.keys(t);if((n=r.length)!==Object.keys(e).length)return!1;for(i=n;0!=i--;){var o=r[i];if(!0!==Sn(t[o],e[o]))return!1}return!0}return t!=t&&e!=e}function Cn(t){return"[object Date]"===Object.prototype.toString.call(t)}function Mn(t){return"number"==typeof t&&isFinite(t)}var Tn=t.extend({name:"QCarousel",mixins:[It,_n,bn],props:{height:String,padding:Boolean,controlType:{type:String,validator:function(t){return["regular","flat","outline","push","unelevated"].includes(t)},default:"flat"},controlColor:String,controlTextColor:String,autoplay:[Number,Boolean],arrows:Boolean,prevIcon:String,nextIcon:String,navigation:Boolean,navigationPosition:{type:String,validator:function(t){return["top","right","bottom","left"].includes(t)}},navigationIcon:String,navigationActiveIcon:String,thumbnails:Boolean},computed:{style:function(){if(!0!==this.inFullscreen&&void 0!==this.height)return{height:this.height}},direction:function(){return!0===this.vertical?"vertical":"horizontal"},classes:function(){return"q-carousel q-panel-parent q-carousel--with"+(!0===this.padding?"":"out")+"-padding"+(!0===this.inFullscreen?" fullscreen":"")+(!0===this.isDark?" q-carousel--dark q-dark":"")+(!0===this.arrows?" q-carousel--arrows-"+this.direction:"")+(!0===this.navigation?" q-carousel--navigation-"+this.navigationPositionComputed:"")},arrowIcons:function(){var t=[this.prevIcon||this.$q.iconSet.carousel[!0===this.vertical?"up":"left"],this.nextIcon||this.$q.iconSet.carousel[!0===this.vertical?"down":"right"]];return!1===this.vertical&&!0===this.$q.lang.rtl?t.reverse():t},navIcon:function(){return this.navigationIcon||this.$q.iconSet.carousel.navigationIcon},navActiveIcon:function(){return this.navigationActiveIcon||this.navIcon},navigationPositionComputed:function(){return this.navigationPosition||(!0===this.vertical?"right":"bottom")},controlProps:function(){var t;return(t={color:this.controlColor,textColor:this.controlTextColor,round:!0})[this.controlType]=!0,t.dense=!0,t},transitionPrevComputed:function(){return this.transitionPrev||"fade"},transitionNextComputed:function(){return this.transitionNext||"fade"}},watch:{value:function(){this.autoplay&&(clearInterval(this.timer),this.__startTimer())},autoplay:function(t){t?this.__startTimer():clearInterval(this.timer)}},methods:{__startTimer:function(){this.timer=setTimeout(this.next,Mn(this.autoplay)?this.autoplay:5e3)},__getNavigationContainer:function(t,e,n){return t("div",{class:"q-carousel__control q-carousel__navigation no-wrap absolute flex q-carousel__navigation--"+e+" q-carousel__navigation--"+this.navigationPositionComputed+(void 0!==this.controlColor?" text-"+this.controlColor:"")},[t("div",{staticClass:"q-carousel__navigation-inner flex flex-center no-wrap"},this.__getAvailablePanels().map(n))])},__getContent:function(t){var e=this,n=[];if(!0===this.navigation){var i=void 0!==this.$scopedSlots["navigation-icon"]?this.$scopedSlots["navigation-icon"]:function(n){return t(ye,{key:"nav"+n.name,class:"q-carousel__navigation-icon q-carousel__navigation-icon--"+(!0===n.active?"":"in")+"active",props:n.btnProps,on:pt(e,"nav#"+n.name,{click:n.onClick})})},r=this.panels.length-1;n.push(this.__getNavigationContainer(t,"buttons",(function(t,n){var o=t.componentOptions.propsData.name,a=e.panelIndex===n;return i({index:n,maxIndex:r,name:o,active:a,btnProps:Object.assign({},{icon:!0===a?e.navActiveIcon:e.navIcon,size:"sm"},e.controlProps),onClick:function(){e.goTo(o)}})})))}else if(!0===this.thumbnails){var o=void 0!==this.controlColor?" text-"+this.controlColor:"";n.push(this.__getNavigationContainer(t,"thumbnails",(function(n){var i=n.componentOptions.propsData;return t("img",{class:"q-carousel__thumbnail q-carousel__thumbnail--"+(i.name===e.value?"":"in")+"active"+o,attrs:{src:i.imgSrc},key:"tmb#"+i.name,on:pt(e,"tmb#"+i.name,{click:function(){e.goTo(i.name)}})})})))}return!0===this.arrows&&this.panelIndex>=0&&((!0===this.infinite||this.panelIndex>0)&&n.push(t("div",{key:"prev",staticClass:"q-carousel__control q-carousel__arrow q-carousel__prev-arrow q-carousel__prev-arrow--"+this.direction+" absolute flex flex-center"},[t(ye,{props:Object.assign({},{icon:this.arrowIcons[0]},this.controlProps),on:pt(this,"prev",{click:this.previous})})])),(!0===this.infinite||this.panelIndex<this.panels.length-1)&&n.push(t("div",{key:"next",staticClass:"q-carousel__control q-carousel__arrow q-carousel__next-arrow q-carousel__next-arrow--"+this.direction+" absolute flex flex-center"},[t(ye,{props:Object.assign({},{icon:this.arrowIcons[1]},this.controlProps),on:pt(this,"next",{click:this.next})})]))),Lt(n,this,"control")},__renderPanels:function(t){return t("div",{style:this.style,class:this.classes,on:Object.assign({},this.qListeners)},[t("div",{staticClass:"q-carousel__slides-container",directives:this.panelDirectives},this.__getPanelContent(t))].concat(this.__getContent(t)))}},mounted:function(){this.autoplay&&this.__startTimer()},beforeDestroy:function(){clearInterval(this.timer)}}),On=t.extend({name:"QCarouselSlide",mixins:[yn],props:{imgSrc:String},computed:{style:function(){if(this.imgSrc)return{backgroundImage:'url("'+this.imgSrc+'")'}}},render:function(t){return t("div",{staticClass:"q-carousel__slide",style:this.style,on:Object.assign({},this.qListeners)},Et(this,"default"))}}),An=t.extend({name:"QCarouselControl",mixins:[At],props:{position:{type:String,default:"bottom-right",validator:function(t){return["top-right","top-left","bottom-right","bottom-left","top","right","bottom","left"].includes(t)}},offset:{type:Array,default:function(){return[18,18]},validator:function(t){return 2===t.length}}},computed:{classes:function(){return"absolute-"+this.position},style:function(){return{margin:this.offset[1]+"px "+this.offset[0]+"px"}}},render:function(t){return t("div",{staticClass:"q-carousel__control absolute",style:this.style,class:this.classes,on:Object.assign({},this.qListeners)},Et(this,"default"))}}),En=t.extend({name:"QChatMessage",mixins:[At],props:{sent:Boolean,label:String,bgColor:String,textColor:String,name:String,avatar:String,text:Array,stamp:String,size:String,labelSanitize:Boolean,nameSanitize:Boolean,textSanitize:Boolean,stampSanitize:Boolean},computed:{textClass:function(){return"q-message-text-content q-message-text-content--"+this.op+(void 0!==this.textColor?" text-"+this.textColor:"")},messageClass:function(){return"q-message-text q-message-text--"+this.op+(void 0!==this.bgColor?" text-"+this.bgColor:"")},containerClass:function(){return"q-message-container row items-end no-wrap"+(!0===this.sent?" reverse":"")},sizeClass:function(){if(void 0!==this.size)return"col-"+this.size},op:function(){return!0===this.sent?"sent":"received"}},methods:{__getText:function(t){var e=this,n=!0===this.textSanitize?"textContent":"innerHTML",i=!0===this.stampSanitize?"textContent":"innerHTML";return this.text.map((function(r,o){var a,s;return t("div",{key:o,class:e.messageClass},[t("div",{class:e.textClass},[t("div",{domProps:(a={},a[n]=r,a)}),e.stamp?t("div",{staticClass:"q-message-stamp",domProps:(s={},s[i]=e.stamp,s)}):null])])}))},__getMessage:function(t){var e,n=qt(this,"default",[]);return void 0!==this.stamp&&n.push(t("div",{staticClass:"q-message-stamp",domProps:(e={},e[!0===this.stampSanitize?"textContent":"innerHTML"]=this.stamp,e)})),t("div",{class:this.messageClass},[t("div",{staticClass:"q-message-text-content",class:this.textClass},n)])}},render:function(t){var e,n,i=[];void 0!==this.$scopedSlots.avatar?i.push(this.$scopedSlots.avatar()):void 0!==this.avatar&&i.push(t("img",{class:"q-message-avatar q-message-avatar--"+this.op,attrs:{src:this.avatar,"aria-hidden":"true"}}));var r=[];void 0!==this.name&&r.push(t("div",{class:"q-message-name q-message-name--"+this.op,domProps:(e={},e[!0===this.nameSanitize?"textContent":"innerHTML"]=this.name,e)})),void 0!==this.text&&r.push(this.__getText(t)),void 0!==this.$scopedSlots.default&&r.push(this.__getMessage(t)),i.push(t("div",{class:this.sizeClass},r));var o=[];return this.label&&o.push(t("div",{staticClass:"q-message-label text-center",domProps:(n={},n[!0===this.labelSanitize?"textContent":"innerHTML"]=this.label,n)})),o.push(t("div",{class:this.containerClass},i)),t("div",{class:"q-message q-message-"+this.op,on:Object.assign({},this.qListeners)},o)}}),qn=Mt({xs:30,sm:35,md:40,lg:50,xl:60}),Ln={computed:{__refocusTargetEl:function(){if(!0!==this.disable)return this.$createElement("span",{ref:"refocusTarget",staticClass:"no-outline",attrs:{tabindex:-1}})}},methods:{__refocusTarget:function(t){void 0!==t&&0===t.type.indexOf("key")?document.activeElement!==this.$el&&!0===this.$el.contains(document.activeElement)&&this.$el.focus():void 0!==t&&!0!==this.$el.contains(t.target)||void 0===this.$refs.refocusTarget||this.$refs.refocusTarget.focus()}}},Dn={mixins:[It,qn,ln,Ln],props:{value:{required:!0,default:null},val:{},trueValue:{default:!0},falseValue:{default:!1},indeterminateValue:{default:null},toggleOrder:{type:String,validator:function(t){return"tf"===t||"ft"===t}},toggleIndeterminate:Boolean,label:String,leftLabel:Boolean,fontSize:String,color:String,keepColor:Boolean,dense:Boolean,disable:Boolean,tabindex:[String,Number]},computed:{isTrue:function(){return!0===this.modelIsArray?this.index>-1:this.value===this.trueValue},isFalse:function(){return!0===this.modelIsArray?-1===this.index:this.value===this.falseValue},isIndeterminate:function(){return!1===this.isTrue&&!1===this.isFalse},index:function(){if(!0===this.modelIsArray)return this.value.indexOf(this.val)},modelIsArray:function(){return void 0!==this.val&&Array.isArray(this.value)},computedTabindex:function(){return!0===this.disable?-1:this.tabindex||0},labelStyle:function(){if(void 0!==this.fontSize)return{fontSize:this.fontSize}},classes:function(){return"q-"+this.type+" cursor-pointer no-outline row inline no-wrap items-center"+(!0===this.disable?" disabled":"")+(!0===this.isDark?" q-"+this.type+"--dark":"")+(!0===this.dense?" q-"+this.type+"--dense":"")+(!0===this.leftLabel?" reverse":"")},innerClass:function(){var t=!0===this.isTrue?"truthy":!0===this.isFalse?"falsy":"indet",e=void 0===this.color||!0!==this.keepColor&&("toggle"===this.type?!0!==this.isTrue:!0===this.isFalse)?"":" text-"+this.color;return"q-"+this.type+"__inner--"+t+e},formAttrs:function(){var t={type:"checkbox"};return void 0!==this.name&&Object.assign(t,{checked:this.isTrue,name:this.name,value:!0===this.modelIsArray?this.val:this.trueValue}),t},attrs:function(){var t={tabindex:this.computedTabindex,role:"checkbox","aria-label":this.label,"aria-checked":!0===this.isIndeterminate?"mixed":!0===this.isTrue?"true":"false"};return!0===this.disable&&(t["aria-disabled"]="true"),t}},methods:{toggle:function(t){void 0!==t&&(w(t),this.__refocusTarget(t)),!0!==this.disable&&this.$emit("input",this.__getNextValue(),t)},__getNextValue:function(){if(!0===this.modelIsArray){if(!0===this.isTrue){var t=this.value.slice();return t.splice(this.index,1),t}return this.value.concat([this.val])}if(!0===this.isTrue){if("ft"!==this.toggleOrder||!1===this.toggleIndeterminate)return this.falseValue}else{if(!0!==this.isFalse)return"ft"!==this.toggleOrder?this.trueValue:this.falseValue;if("ft"===this.toggleOrder||!1===this.toggleIndeterminate)return this.trueValue}return this.indeterminateValue},__onKeydown:function(t){13!==t.keyCode&&32!==t.keyCode||w(t)},__onKeyup:function(t){13!==t.keyCode&&32!==t.keyCode||this.toggle(t)}},render:function(t){var e=this.__getInner(t);!0!==this.disable&&this.__injectFormInput(e,"unshift","q-"+this.type+"__native absolute q-ma-none q-pa-none invisible");var n=[t("div",{staticClass:"q-"+this.type+"__inner relative-position no-pointer-events",class:this.innerClass,style:this.sizeStyle},e)];void 0!==this.__refocusTargetEl&&n.push(this.__refocusTargetEl);var i=void 0!==this.label?Lt([this.label],this,"default"):Et(this,"default");return void 0!==i&&n.push(t("div",{staticClass:"q-"+this.type+"__label q-anchor--skip"},i)),t("div",{class:this.classes,attrs:this.attrs,on:pt(this,"inpExt",{click:this.toggle,keydown:this.__onKeydown,keyup:this.__onKeyup})},n)}},Pn=t.extend({name:"QCheckbox",mixins:[Dn],methods:{__getInner:function(t){return[t("div",{staticClass:"q-checkbox__bg absolute"},[t("svg",{staticClass:"q-checkbox__svg fit absolute-full",attrs:{focusable:"false",viewBox:"0 0 24 24","aria-hidden":"true"}},[t("path",{staticClass:"q-checkbox__truthy",attrs:{fill:"none",d:"M1.73,12.91 8.1,19.28 22.79,4.59"}}),t("path",{staticClass:"q-checkbox__indet",attrs:{d:"M4,14H20V10H4"}})])])]}},created:function(){this.type="checkbox"}}),Rn=t.extend({name:"QChip",mixins:[ae,It,Mt({xs:8,sm:10,md:14,lg:20,xl:24})],model:{event:"remove"},props:{dense:Boolean,icon:String,iconRight:String,iconRemove:String,label:[String,Number],color:String,textColor:String,value:{type:Boolean,default:!0},selected:{type:Boolean,default:null},square:Boolean,outline:Boolean,clickable:Boolean,removable:Boolean,tabindex:[String,Number],disable:Boolean},computed:{classes:function(){var t,e=!0===this.outline&&this.color||this.textColor;return(t={})["bg-"+this.color]=!1===this.outline&&void 0!==this.color,t["text-"+e+" q-chip--colored"]=e,t.disabled=this.disable,t["q-chip--dense"]=this.dense,t["q-chip--outline"]=this.outline,t["q-chip--selected"]=this.selected,t["q-chip--clickable cursor-pointer non-selectable q-hoverable"]=this.isClickable,t["q-chip--square"]=this.square,t["q-chip--dark q-dark"]=this.isDark,t},hasLeftIcon:function(){return!0===this.selected||void 0!==this.icon},isClickable:function(){return!1===this.disable&&(!0===this.clickable||null!==this.selected)},attrs:function(){return!0===this.disable?{tabindex:-1,"aria-disabled":"true"}:{tabindex:this.tabindex||0}}},methods:{__onKeyup:function(t){13===t.keyCode&&this.__onClick(t)},__onClick:function(t){this.disable||(this.$emit("update:selected",!this.selected),this.$emit("click",t))},__onRemove:function(t){void 0!==t.keyCode&&13!==t.keyCode||(w(t),!this.disable&&this.$emit("remove",!1))},__getContent:function(t){var e=[];!0===this.isClickable&&e.push(t("div",{staticClass:"q-focus-helper"})),!0===this.hasLeftIcon&&e.push(t(Pt,{staticClass:"q-chip__icon q-chip__icon--left",props:{name:!0===this.selected?this.$q.iconSet.chip.selected:this.icon}}));var n=void 0!==this.label?[t("div",{staticClass:"ellipsis"},[this.label])]:void 0;return e.push(t("div",{staticClass:"q-chip__content col row no-wrap items-center q-anchor--skip"},Dt(n,this,"default"))),this.iconRight&&e.push(t(Pt,{staticClass:"q-chip__icon q-chip__icon--right",props:{name:this.iconRight}})),!0===this.removable&&e.push(t(Pt,{staticClass:"q-chip__icon q-chip__icon--remove cursor-pointer",props:{name:this.iconRemove||this.$q.iconSet.chip.remove},attrs:this.attrs,on:pt(this,"non",{click:this.__onRemove,keyup:this.__onRemove})})),e}},render:function(t){if(!1!==this.value){var e={staticClass:"q-chip row inline no-wrap items-center",class:this.classes,style:this.sizeStyle};return!0===this.isClickable&&Object.assign(e,{attrs:this.attrs,on:pt(this,"click",{click:this.__onClick,keyup:this.__onKeyup}),directives:pt(this,"dir#"+this.ripple,[{name:"ripple",value:this.ripple}])}),t("div",e,this.__getContent(t))}}}),Nn=100*Math.PI,In=Math.round(1e3*Nn)/1e3,jn=t.extend({name:"QCircularProgress",mixins:[At,Tt],props:{value:{type:Number,default:0},min:{type:Number,default:0},max:{type:Number,default:100},color:String,centerColor:String,trackColor:String,fontSize:String,thickness:{type:Number,default:.2,validator:function(t){return t>=0&&t<=1}},angle:{type:Number,default:0},indeterminate:Boolean,showValue:Boolean,reverse:Boolean,instantFeedback:Boolean},computed:{normalizedValue:function(){return ct(this.value,this.min,this.max)},svgStyle:function(){return{transform:"rotate3d(0, 0, 1, "+(this.angle-90)+"deg)"}},circleStyle:function(){if(!0!==this.instantFeedback&&!0!==this.indeterminate)return{transition:"stroke-dashoffset 0.6s ease 0s, stroke 0.6s ease"}},dir:function(){return(!0===this.$q.lang.rtl?-1:1)*(this.reverse?-1:1)},viewBox:function(){return 100/(1-this.thickness/2)},viewBoxAttr:function(){return this.viewBox/2+" "+this.viewBox/2+" "+this.viewBox+" "+this.viewBox},strokeDashOffset:function(){var t=1-(this.normalizedValue-this.min)/(this.max-this.min);return this.dir*t*Nn},strokeWidth:function(){return this.thickness/2*this.viewBox},attrs:function(){return{role:"progressbar","aria-valuemin":this.min,"aria-valuemax":this.max,"aria-valuenow":!0===this.indeterminate?void 0:this.normalizedValue}}},methods:{__getCircle:function(t,e){var n=e.thickness,i=e.offset,r=e.color;return t("circle",{staticClass:"q-circular-progress__"+e.cls,class:void 0!==r?"text-"+r:null,style:this.circleStyle,attrs:{fill:"transparent",stroke:"currentColor","stroke-width":n,"stroke-dasharray":In,"stroke-dashoffset":i,cx:this.viewBox,cy:this.viewBox,r:50}})}},render:function(t){var e=[];void 0!==this.centerColor&&"transparent"!==this.centerColor&&e.push(t("circle",{staticClass:"q-circular-progress__center",class:"text-"+this.centerColor,attrs:{fill:"currentColor",r:50-this.strokeWidth/2,cx:this.viewBox,cy:this.viewBox}})),void 0!==this.trackColor&&"transparent"!==this.trackColor&&e.push(this.__getCircle(t,{cls:"track",thickness:this.strokeWidth,offset:0,color:this.trackColor})),e.push(this.__getCircle(t,{cls:"circle",thickness:this.strokeWidth,offset:this.strokeDashOffset,color:this.color}));var n=[t("svg",{staticClass:"q-circular-progress__svg",style:this.svgStyle,attrs:{focusable:"false",viewBox:this.viewBoxAttr,"aria-hidden":"true"}},e)];return!0===this.showValue&&n.push(t("div",{staticClass:"q-circular-progress__text absolute-full row flex-center content-center",style:{fontSize:this.fontSize}},void 0!==this.$scopedSlots.default?this.$scopedSlots.default():[t("div",[this.normalizedValue])])),t("div",{staticClass:"q-circular-progress",class:"q-circular-progress--"+(!0===this.indeterminate?"in":"")+"determinate",style:this.sizeStyle,on:Object.assign({},this.qListeners),attrs:this.attrs},Dt(n,this,"internal"))}}),$n=/^#[0-9a-fA-F]{3}([0-9a-fA-F]{3})?$/,Fn=/^#[0-9a-fA-F]{4}([0-9a-fA-F]{4})?$/,Bn=/^#([0-9a-fA-F]{3}|[0-9a-fA-F]{4}|[0-9a-fA-F]{6}|[0-9a-fA-F]{8})$/,zn=/^rgb\(((0|[1-9][\d]?|1[\d]{0,2}|2[\d]?|2[0-4][\d]|25[0-5]),){2}(0|[1-9][\d]?|1[\d]{0,2}|2[\d]?|2[0-4][\d]|25[0-5])\)$/,Vn=/^rgba\(((0|[1-9][\d]?|1[\d]{0,2}|2[\d]?|2[0-4][\d]|25[0-5]),){2}(0|[1-9][\d]?|1[\d]{0,2}|2[\d]?|2[0-4][\d]|25[0-5]),(0|0\.[0-9]+[1-9]|0\.[1-9]+|1)\)$/,Hn={date:function(t){return/^-?[\d]+\/[0-1]\d\/[0-3]\d$/.test(t)},time:function(t){return/^([0-1]?\d|2[0-3]):[0-5]\d$/.test(t)},fulltime:function(t){return/^([0-1]?\d|2[0-3]):[0-5]\d:[0-5]\d$/.test(t)},timeOrFulltime:function(t){return/^([0-1]?\d|2[0-3]):[0-5]\d(:[0-5]\d)?$/.test(t)},hexColor:function(t){return $n.test(t)},hexaColor:function(t){return Fn.test(t)},hexOrHexaColor:function(t){return Bn.test(t)},rgbColor:function(t){return zn.test(t)},rgbaColor:function(t){return Vn.test(t)},rgbOrRgbaColor:function(t){return zn.test(t)||Vn.test(t)},hexOrRgbColor:function(t){return $n.test(t)||zn.test(t)},hexaOrRgbaColor:function(t){return Fn.test(t)||Vn.test(t)},anyColor:function(t){return Bn.test(t)||zn.test(t)||Vn.test(t)}},Un={testPattern:Hn};function Wn(t,e,n){var i,r=g(t),o=r.left-e.event.x,a=r.top-e.event.y,s=Math.abs(o),l=Math.abs(a),u=e.direction;!0===u.horizontal&&!0!==u.vertical?i=o<0?"left":"right":!0!==u.horizontal&&!0===u.vertical?i=a<0?"up":"down":!0===u.up&&a<0?(i="up",s>l&&(!0===u.left&&o<0?i="left":!0===u.right&&o>0&&(i="right"))):!0===u.down&&a>0?(i="down",s>l&&(!0===u.left&&o<0?i="left":!0===u.right&&o>0&&(i="right"))):!0===u.left&&o<0?(i="left",s<l&&(!0===u.up&&a<0?i="up":!0===u.down&&a>0&&(i="down"))):!0===u.right&&o>0&&(i="right",s<l&&(!0===u.up&&a<0?i="up":!0===u.down&&a>0&&(i="down")));var c=!1;if(void 0===i&&!1===n){if(!0===e.event.isFirst||void 0===e.event.lastDir)return{};c=!0,"left"===(i=e.event.lastDir)||"right"===i?(r.left-=o,s=0,o=0):(r.top-=a,l=0,a=0)}return{synthetic:c,payload:{evt:t,touch:!0!==e.event.mouse,mouse:!0===e.event.mouse,position:r,direction:i,isFirst:e.event.isFirst,isFinal:!0===n,duration:Date.now()-e.event.time,distance:{x:s,y:l},offset:{x:o,y:a},delta:{x:r.left-e.event.lastX,y:r.top-e.event.lastY}}}}function Yn(t){var e=t.__qtouchpan;void 0!==e&&(void 0!==e.event&&e.end(),C(e,"main"),C(e,"temp"),!0===d.is.firefox&&x(t,!1),void 0!==e.styleCleanup&&e.styleCleanup(),delete t.__qtouchpan)}var Qn=0,Gn={name:"touch-pan",bind:function(t,e){var n=e.value,i=e.modifiers;if(void 0!==t.__qtouchpan&&(Yn(t),t.__qtouchpan_destroyed=!0),!0===i.mouse||!0===d.has.touch){var r={uid:"qvtp_"+Qn++,handler:n,modifiers:i,direction:de(i),noop:m,mouseStart:function(t){fe(t,r)&&v(t)&&(S(r,"temp",[[document,"mousemove","move","notPassiveCapture"],[document,"mouseup","end","passiveCapture"]]),r.start(t,!0))},touchStart:function(t){if(fe(t,r)){var e=he(t.target);S(r,"temp",[[e,"touchmove","move","notPassiveCapture"],[e,"touchcancel","end","passiveCapture"],[e,"touchend","end","passiveCapture"]]),r.start(t)}},start:function(e,n){!0===d.is.firefox&&x(t,!0),r.lastEvt=e;var o=g(e);if(!0===n||!0===i.stop){if(!0!==r.direction.all&&(!0!==n||!0!==r.direction.mouseAllDir)){var a=e.type.indexOf("mouse")>-1?new MouseEvent(e.type,e):new TouchEvent(e.type,e);!0===e.defaultPrevented&&b(a),!0===e.cancelBubble&&y(a),a.qClonedBy=void 0===e.qClonedBy?[r.uid]:e.qClonedBy.concat(r.uid),a.qKeyEvent=e.qKeyEvent,a.qClickOutside=e.qClickOutside,r.initialEvent={target:e.target,event:a}}y(e)}r.event={x:o.left,y:o.top,time:Date.now(),mouse:!0===n,detected:!1,isFirst:!0,isFinal:!1,lastX:o.left,lastY:o.top}},move:function(t){if(void 0!==r.event){r.lastEvt=t;var e=!0===r.event.mouse,n=function(){o(t,e),!0!==i.preserveCursor&&(document.documentElement.style.cursor="grabbing"),!0===e&&document.body.classList.add("no-pointer-events--children"),document.body.classList.add("non-selectable"),we(),r.styleCleanup=function(t){if(r.styleCleanup=void 0,!0!==i.preserveCursor&&(document.documentElement.style.cursor=""),document.body.classList.remove("non-selectable"),!0===e){var n=function(){document.body.classList.remove("no-pointer-events--children")};void 0!==t?setTimeout((function(){n(),t()}),50):n()}else void 0!==t&&t()}};if(!0!==r.event.detected){if(!0===r.direction.all||!0===e&&!0===r.modifiers.mouseAllDir)return n(),r.event.detected=!0,void r.move(t);var a=g(t),s=a.left-r.event.x,l=a.top-r.event.y,u=Math.abs(s),c=Math.abs(l);u!==c&&(!0===r.direction.horizontal&&u>c||!0===r.direction.vertical&&u<c||!0===r.direction.up&&u<c&&l<0||!0===r.direction.down&&u<c&&l>0||!0===r.direction.left&&u>c&&s<0||!0===r.direction.right&&u>c&&s>0?(r.event.detected=!0,r.move(t)):r.end(t,!0))}else{!0!==r.event.isFirst&&o(t,r.event.mouse);var d=Wn(t,r,!1),h=d.payload,f=d.synthetic;void 0!==h&&(!1===r.handler(h)?r.end(t):(void 0===r.styleCleanup&&!0===r.event.isFirst&&n(),r.event.lastX=h.position.left,r.event.lastY=h.position.top,r.event.lastDir=!0===f?void 0:h.direction,r.event.isFirst=!1))}}},end:function(e,n){if(void 0!==r.event){if(C(r,"temp"),!0===d.is.firefox&&x(t,!1),!0===n)void 0!==r.styleCleanup&&r.styleCleanup(),!0!==r.event.detected&&void 0!==r.initialEvent&&r.initialEvent.target.dispatchEvent(r.initialEvent.event);else if(!0===r.event.detected){!0===r.event.isFirst&&r.handler(Wn(void 0===e?r.lastEvt:e,r).payload);var i=Wn(void 0===e?r.lastEvt:e,r,!0).payload,o=function(){r.handler(i)};void 0!==r.styleCleanup?r.styleCleanup(o):o()}r.event=void 0,r.initialEvent=void 0,r.lastEvt=void 0}}};t.__qtouchpan=r,!0===i.mouse&&S(r,"main",[[t,"mousedown","mouseStart","passive"+(!0===i.mouseCapture?"Capture":"")]]),!0===d.has.touch&&S(r,"main",[[t,"touchstart","touchStart","passive"+(!0===i.capture?"Capture":"")],[t,"touchmove","noop","notPassiveCapture"]])}function o(t,e){!0===i.mouse&&!0===e?w(t):(!0===i.stop&&y(t),!0===i.prevent&&b(t))}},update:function(t,e){var n=e.oldValue,i=e.value,r=t.__qtouchpan;void 0!==r&&n!==i&&("function"!=typeof i&&r.end(),r.handler=i)},unbind:function(t){void 0===t.__qtouchpan_destroyed?Yn(t):delete t.__qtouchpan_destroyed}},Kn=[34,37,40,33,39,38];function Zn(t,e,n,i){var r=g(t),o=ct(!0===i?(r.top-e.top)/e.height:(r.left-e.left)/e.width,0,1);return!0===n?1-o:o}function Jn(t,e,n,i,r){var o=e+t*(n-e);if(i>0){var a=(o-e)%i;o+=(Math.abs(a)>=i/2?(a<0?-1:1)*i:0)-a}return r>0&&(o=parseFloat(o.toFixed(r))),ct(o,e,n)}var Xn={mixins:[It,ln],directives:{TouchPan:Gn},props:{min:{type:Number,default:0},max:{type:Number,default:100},step:{type:Number,default:1,validator:function(t){return t>=0}},color:String,labelColor:String,labelTextColor:String,dense:Boolean,label:Boolean,labelAlways:Boolean,markers:Boolean,snap:Boolean,vertical:Boolean,reverse:Boolean,disable:Boolean,readonly:Boolean,tabindex:[String,Number],thumbPath:{type:String,default:"M 4, 10 a 6,6 0 1,0 12,0 a 6,6 0 1,0 -12,0"}},data:function(){return{active:!1,preventFocus:!1,focus:!1}},computed:{axis:function(){return!0===this.vertical?"--v":"--h"},classes:function(){return"q-slider q-slider"+this.axis+" q-slider--"+(!0===this.active?"":"in")+"active"+(!0===this.isReversed?" q-slider--reversed":"")+(void 0!==this.color?" text-"+this.color:"")+(!0===this.disable?" disabled":" q-slider--enabled"+(!0===this.editable?" q-slider--editable":""))+("both"===this.focus?" q-slider--focus":"")+(this.label||!0===this.labelAlways?" q-slider--label":"")+(!0===this.labelAlways?" q-slider--label-always":"")+(!0===this.isDark?" q-slider--dark":"")+(!0===this.dense?" q-slider--dense q-slider--dense"+this.axis:"")},editable:function(){return!0!==this.disable&&!0!==this.readonly},decimals:function(){return(String(this.step).trim("0").split(".")[1]||"").length},computedStep:function(){return 0===this.step?1:this.step},markerStyle:function(){return{backgroundSize:!0===this.vertical?"2px "+100*this.computedStep/(this.max-this.min)+"%":100*this.computedStep/(this.max-this.min)+"% 2px"}},computedTabindex:function(){return!0===this.editable?this.tabindex||0:-1},isReversed:function(){return!0===this.vertical?!0===this.reverse:this.reverse!==(!0===this.$q.lang.rtl)},positionProp:function(){return!0===this.vertical?!0===this.isReversed?"bottom":"top":!0===this.isReversed?"right":"left"},sizeProp:function(){return!0===this.vertical?"height":"width"},orientation:function(){return!0===this.vertical?"vertical":"horizontal"},attrs:function(){var t={role:"slider","aria-valuemin":this.min,"aria-valuemax":this.max,"aria-orientation":this.orientation,"data-step":this.step};return!0===this.disable?t["aria-disabled"]="true":!0===this.readonly&&(t["aria-readonly"]="true"),t},panDirectives:function(){var t;return!0===this.editable?[{name:"touch-pan",value:this.__pan,modifiers:(t={},t[this.orientation]=!0,t.prevent=!0,t.stop=!0,t.mouse=!0,t.mouseAllDir=!0,t)}]:null}},methods:{__getThumbSvg:function(t){return t("svg",{staticClass:"q-slider__thumb absolute",attrs:{focusable:"false",viewBox:"0 0 20 20",width:"20",height:"20","aria-hidden":"true"}},[t("path",{attrs:{d:this.thumbPath}})])},__getPinStyle:function(t,e){var n;if(!0===this.vertical)return{};var i=Math.ceil(20*Math.abs(.5-e))+"px";return{pin:{transformOrigin:(!0===this.$q.lang.rtl?i:!0===this.$q.platform.is.ie?"100%":"calc(100% - "+i+")")+" 50%"},pinTextContainer:(n={},n[!0===this.$q.lang.rtl?"left":"right"]=100*t+"%",n.transform="translateX("+Math.ceil(20*(!0===this.$q.lang.rtl?-1:1)*t)+"px)",n)}},__pan:function(t){t.isFinal?(void 0!==this.dragging&&(this.__updatePosition(t.evt),!0===t.touch&&this.__updateValue(!0),this.dragging=void 0),this.active=!1):t.isFirst?(this.dragging=this.__getDragging(t.evt),this.__updatePosition(t.evt),this.__updateValue(),this.active=!0):(this.__updatePosition(t.evt),this.__updateValue())},__blur:function(){this.focus=!1},__activate:function(t){this.__updatePosition(t,this.__getDragging(t)),this.__updateValue(),this.preventFocus=!0,this.active=!0,document.addEventListener("mouseup",this.__deactivate,!0)},__deactivate:function(){this.preventFocus=!1,void 0===this.dragging&&(this.active=!1),this.__updateValue(!0),this.__blur(),document.removeEventListener("mouseup",this.__deactivate,!0)},__mobileClick:function(t){this.__updatePosition(t,this.__getDragging(t)),this.__updateValue(!0)},__keyup:function(t){Kn.includes(t.keyCode)&&this.__updateValue(!0)}},beforeDestroy:function(){document.removeEventListener("mouseup",this.__deactivate,!0)}},ti=t.extend({name:"QSlider",mixins:[Xn],props:{value:{required:!0,default:null,validator:function(t){return"number"==typeof t||null===t}},labelValue:[String,Number]},data:function(){return{model:null===this.value?this.min:this.value,curRatio:0}},watch:{value:function(t){this.model=null===t?0:ct(t,this.min,this.max)},min:function(t){this.model=ct(this.model,t,this.max)},max:function(t){this.model=ct(this.model,this.min,t)}},computed:{ratio:function(){return!0===this.active?this.curRatio:this.modelRatio},modelRatio:function(){return(this.model-this.min)/(this.max-this.min)},trackStyle:function(){var t;return(t={})[this.positionProp]=0,t[this.sizeProp]=100*this.ratio+"%",t},thumbStyle:function(){var t;return(t={})[this.positionProp]=100*this.ratio+"%",t},thumbClass:function(){if(!1===this.preventFocus&&!0===this.focus)return"q-slider--focus"},pinClass:function(){if(void 0!==this.labelColor)return"text-"+this.labelColor},pinTextClass:function(){return"q-slider__pin-value-marker-text"+(void 0!==this.labelTextColor?" text-"+this.labelTextColor:"")},events:function(){if(!0===this.editable)return!0===this.$q.platform.is.mobile?{click:this.__mobileClick}:{mousedown:this.__activate,focus:this.__focus,blur:this.__blur,keydown:this.__keydown,keyup:this.__keyup}},computedLabel:function(){return void 0!==this.labelValue?this.labelValue:this.model},pinStyle:function(){var t=!0===this.reverse?-this.ratio:this.ratio-1;return this.__getPinStyle(t,this.ratio)}},methods:{__updateValue:function(t){this.model!==this.value&&this.$emit("input",this.model),!0===t&&this.$emit("change",this.model)},__getDragging:function(){return this.$el.getBoundingClientRect()},__updatePosition:function(t,e){void 0===e&&(e=this.dragging);var n=Zn(t,e,this.isReversed,this.vertical);this.model=Jn(n,this.min,this.max,this.step,this.decimals),this.curRatio=!0!==this.snap||0===this.step?n:(this.model-this.min)/(this.max-this.min)},__focus:function(){this.focus=!0},__keydown:function(t){if(Kn.includes(t.keyCode)){w(t);var e=([34,33].includes(t.keyCode)?10:1)*this.computedStep,n=[34,37,40].includes(t.keyCode)?-e:e;this.model=ct(parseFloat((this.model+n).toFixed(this.decimals)),this.min,this.max),this.__updateValue()}}},render:function(t){var e=[this.__getThumbSvg(t),t("div",{staticClass:"q-slider__focus-ring"})];!0!==this.label&&!0!==this.labelAlways||e.push(t("div",{staticClass:"q-slider__pin q-slider__pin"+this.axis+" absolute",style:this.pinStyle.pin,class:this.pinClass},[t("div",{staticClass:"q-slider__pin-text-container q-slider__pin-text-container"+this.axis,style:this.pinStyle.pinTextContainer},[t("span",{staticClass:"q-slider__pin-text",class:this.pinTextClass},[this.computedLabel])])]),t("div",{staticClass:"q-slider__arrow q-slider__arrow"+this.axis,class:this.pinClass})),void 0!==this.name&&!0!==this.disable&&this.__injectFormInput(e,"push");var n=[t("div",{staticClass:"q-slider__track q-slider__track"+this.axis+" absolute",style:this.trackStyle})];return!0===this.markers&&n.push(t("div",{staticClass:"q-slider__track-markers q-slider__track-markers"+this.axis+" absolute-full fit",style:this.markerStyle})),t("div",{staticClass:null===this.value?" q-slider--no-value":"",attrs:Object.assign({},this.attrs,{"aria-valuenow":this.value,tabindex:this.computedTabindex}),class:this.classes,on:this.events,directives:this.panDirectives},[t("div",{staticClass:"q-slider__track-container q-slider__track-container"+this.axis+" absolute"},n),t("div",{staticClass:"q-slider__thumb-container q-slider__thumb-container"+this.axis+" absolute non-selectable",class:this.thumbClass,style:this.thumbStyle},e)])}}),ei={data:function(){return{canRender:!o}},mounted:function(){!1===this.canRender&&(this.canRender=!0)}},ni=t.extend({name:"QResizeObserver",mixins:[ei],props:{debounce:{type:[String,Number],default:100}},data:function(){return!0===this.hasObserver?{}:{url:!0===this.$q.platform.is.ie?null:"about:blank"}},methods:{trigger:function(t){!0===t||0===this.debounce||"0"===this.debounce?this.__onResize():this.timer||(this.timer=setTimeout(this.__onResize,this.debounce))},__onResize:function(){if(this.timer=null,this.$el&&this.$el.parentNode){var t=this.$el.parentNode,e={width:t.offsetWidth,height:t.offsetHeight};e.width===this.size.width&&e.height===this.size.height||(this.size=e,this.$emit("resize",this.size))}},__cleanup:function(){void 0!==this.curDocView&&(void 0!==this.curDocView.removeEventListener&&this.curDocView.removeEventListener("resize",this.trigger,f.passive),this.curDocView=void 0)},__onObjLoad:function(){this.__cleanup(),this.$el.contentDocument&&(this.curDocView=this.$el.contentDocument.defaultView,this.curDocView.addEventListener("resize",this.trigger,f.passive)),this.__onResize()}},render:function(t){if(!1!==this.canRender&&!0!==this.hasObserver)return t("object",{style:this.style,attrs:{tabindex:-1,type:"text/html",data:this.url,"aria-hidden":"true"},on:pt(this,"load",{load:this.__onObjLoad})})},beforeCreate:function(){this.size={width:-1,height:-1},!0!==i&&(this.hasObserver="undefined"!=typeof ResizeObserver,!0!==this.hasObserver&&(this.style=(this.$q.platform.is.ie?"visibility:hidden;":"")+"display:block;position:absolute;top:0;left:0;right:0;bottom:0;height:100%;width:100%;overflow:hidden;pointer-events:none;z-index:-1;"))},mounted:function(){if(!0===this.hasObserver)return this.observer=new ResizeObserver(this.trigger),this.observer.observe(this.$el.parentNode),void this.__onResize();!0===this.$q.platform.is.ie?(this.url="about:blank",this.__onResize()):this.__onObjLoad()},beforeDestroy:function(){clearTimeout(this.timer),!0!==this.hasObserver?this.__cleanup():void 0!==this.observer&&this.$el.parentNode&&this.observer.unobserve(this.$el.parentNode)}});function ii(t,e,n){var i=!0===n?["left","right"]:["top","bottom"];return"absolute-"+(!0===e?i[0]:i[1])+(t?" text-"+t:"")}function ri(t,e){return t.priorityMatched===e.priorityMatched?e.priorityHref-t.priorityHref:e.priorityMatched-t.priorityMatched}function oi(t){return t.selected=!1,t}var ai=[function(t){return!0===t.selected&&!0===t.exact&&!0!==t.redirected},function(t){return!0===t.selected&&!0===t.exact},function(t){return!0===t.selected&&!0!==t.redirected},function(t){return!0===t.selected},function(t){return!0===t.exact&&!0!==t.redirected},function(t){return!0!==t.redirected},function(t){return!0===t.exact},function(t){return!0}],si=ai.length,li=t.extend({name:"QTabs",mixins:[ke,At],provide:function(){return{tabs:this.tabs,__recalculateScroll:this.__recalculateScroll,__activateTab:this.__activateTab,__activateRoute:this.__activateRoute}},props:{value:[Number,String],align:{type:String,default:"center",validator:function(t){return["left","center","right","justify"].includes(t)}},breakpoint:{type:[String,Number],default:600},vertical:Boolean,shrink:Boolean,stretch:Boolean,activeColor:String,activeBgColor:String,indicatorColor:String,leftIcon:String,rightIcon:String,outsideArrows:Boolean,mobileArrows:Boolean,switchIndicator:Boolean,narrowIndicator:Boolean,inlineLabel:Boolean,noCaps:Boolean,dense:Boolean,contentClass:String},data:function(){return{tabs:{current:this.value,activeColor:this.activeColor,activeBgColor:this.activeBgColor,indicatorClass:ii(this.indicatorColor,this.switchIndicator,this.vertical),narrowIndicator:this.narrowIndicator,inlineLabel:this.inlineLabel,noCaps:this.noCaps},scrollable:!1,leftArrow:!0,rightArrow:!1,justify:!1}},watch:{value:function(t){this.__activateTab(t,!0,!0)},activeColor:function(t){this.tabs.activeColor=t},activeBgColor:function(t){this.tabs.activeBgColor=t},vertical:function(t){this.tabs.indicatorClass=ii(this.indicatorColor,this.switchIndicator,t)},indicatorColor:function(t){this.tabs.indicatorClass=ii(t,this.switchIndicator,this.vertical)},switchIndicator:function(t){this.tabs.indicatorClass=ii(this.indicatorColor,t,this.vertical)},narrowIndicator:function(t){this.tabs.narrowIndicator=t},inlineLabel:function(t){this.tabs.inlineLabel=t},noCaps:function(t){this.tabs.noCaps=t},outsideArrows:function(){this.$nextTick(this.__recalculateScroll())},arrowsEnabled:function(t){this.__updateArrows=!0===t?this.__updateArrowsFn:m,this.$nextTick(this.__recalculateScroll())}},computed:{arrowsEnabled:function(){return!0===this.$q.platform.is.desktop||!0===this.mobileArrows},alignClass:function(){return"q-tabs__content--align-"+(!0===this.scrollable?"left":!0===this.justify?"justify":this.align)},classes:function(){return"q-tabs--"+(!0===this.scrollable?"":"not-")+"scrollable q-tabs--"+(!0===this.vertical?"vertical":"horizontal")+" q-tabs__arrows--"+(!0===this.arrowsEnabled&&!0===this.outsideArrows?"outside":"inside")+(!0===this.dense?" q-tabs--dense":"")+(!0===this.shrink?" col-shrink":"")+(!0===this.stretch?" self-stretch":"")},innerClass:function(){return this.alignClass+(void 0!==this.contentClass?" "+this.contentClass:"")},domProps:function(){return!0===this.vertical?{container:"height",content:"scrollHeight",posLeft:"top",posRight:"bottom"}:{container:"width",content:"scrollWidth",posLeft:"left",posRight:"right"}},onEvents:function(){return Object.assign({},{input:y},this.qListeners)}},methods:{__activateTab:function(t,e,n){this.tabs.current!==t&&(!0!==n&&this.$emit("input",t),!0!==e&&void 0!==this.qListeners.input||(this.__animate(this.tabs.current,t),this.tabs.current=t))},__activateRoute:function(t){var e=this;this.bufferRoute!==this.$route&&this.buffer.length>0&&(clearTimeout(this.bufferTimer),this.bufferTimer=void 0,this.buffer.length=0),this.bufferRoute=this.$route,void 0!==t&&(!0===t.remove?this.buffer=this.buffer.filter((function(e){return e.name!==t.name})):this.buffer.push(t)),void 0===this.bufferTimer&&(this.bufferTimer=setTimeout((function(){for(var t=[],n=0;n<si&&0===t.length;n++)t=e.buffer.filter(ai[n]);t.sort(ri),e.__activateTab(0===t.length?null:t[0].name,!0),e.buffer=e.buffer.map(oi),e.bufferTimer=void 0}),1))},__recalculateScroll:function(){var t=this;this.__nextTick((function(){!0!==t._isDestroyed&&t.__updateContainer({width:t.$el.offsetWidth,height:t.$el.offsetHeight})})),this.__prepareTick()},__updateContainer:function(t){var e=this,n=t[this.domProps.container],i=this.$refs.content[this.domProps.content],r=n>0&&i>n;this.scrollable!==r&&(this.scrollable=r),!0===r&&this.$nextTick((function(){return e.__updateArrows()}));var o=n<parseInt(this.breakpoint,10);this.justify!==o&&(this.justify=o)},__animate:function(t,e){var n=this,i=null!=t&&""!==t?this.$children.find((function(e){return e.name===t})):null,r=null!=e&&""!==e?this.$children.find((function(t){return t.name===e})):null;if(i&&r){var o=i.$el.getElementsByClassName("q-tab__indicator")[0],a=r.$el.getElementsByClassName("q-tab__indicator")[0];clearTimeout(this.animateTimer),o.style.transition="none",o.style.transform="none",a.style.transition="none",a.style.transform="none";var s=o.getBoundingClientRect(),l=a.getBoundingClientRect();a.style.transform=!0===this.vertical?"translate3d(0,"+(s.top-l.top)+"px,0) scale3d(1,"+(l.height?s.height/l.height:1)+",1)":"translate3d("+(s.left-l.left)+"px,0,0) scale3d("+(l.width?s.width/l.width:1)+",1,1)",this.$nextTick((function(){n.animateTimer=setTimeout((function(){a.style.transition="transform .25s cubic-bezier(.4, 0, .2, 1)",a.style.transform="none"}),70)}))}if(r&&!0===this.scrollable){var u=this.$refs.content.getBoundingClientRect(),c=u.left,d=u.width,h=u.top,f=u.height,p=r.$el.getBoundingClientRect(),m=!0===this.vertical?p.top-h:p.left-c;if(m<0)return this.$refs.content[!0===this.vertical?"scrollTop":"scrollLeft"]+=Math.floor(m),void this.__updateArrows();(m+=!0===this.vertical?p.height-f:p.width-d)>0&&(this.$refs.content[!0===this.vertical?"scrollTop":"scrollLeft"]+=Math.ceil(m),this.__updateArrows())}},__updateArrowsFn:function(){var t=this.$refs.content,e=t.getBoundingClientRect(),n=!0===this.vertical?t.scrollTop:t.scrollLeft;this.leftArrow=n>0,this.rightArrow=!0===this.vertical?Math.ceil(n+e.height)<t.scrollHeight:Math.ceil(n+e.width)<t.scrollWidth},__animScrollTo:function(t){var e=this;this.__stopAnimScroll(),this.__scrollTowards(t),this.scrollTimer=setInterval((function(){e.__scrollTowards(t)&&e.__stopAnimScroll()}),5)},__scrollToStart:function(){this.__animScrollTo(0)},__scrollToEnd:function(){this.__animScrollTo(9999)},__stopAnimScroll:function(){clearInterval(this.scrollTimer)},__scrollTowards:function(t){var e=this.$refs.content,n=!0===this.vertical?e.scrollTop:e.scrollLeft,i=!1,r=t<n?-1:1;return(n+=5*r)<0?(i=!0,n=0):(-1===r&&n<=t||1===r&&n>=t)&&(i=!0,n=t),e[!0===this.vertical?"scrollTop":"scrollLeft"]=n,this.__updateArrows(),i}},created:function(){this.buffer=[],this.__updateArrows=!0===this.arrowsEnabled?this.__updateArrowsFn:m},beforeDestroy:function(){clearTimeout(this.bufferTimer),clearTimeout(this.animateTimer)},render:function(t){var e=[t(ni,{on:pt(this,"resize",{resize:this.__updateContainer})}),t("div",{ref:"content",staticClass:"q-tabs__content row no-wrap items-center self-stretch hide-scrollbar",class:this.innerClass},Et(this,"default"))];return!0===this.arrowsEnabled&&e.push(t(Pt,{staticClass:"q-tabs__arrow q-tabs__arrow--left absolute q-tab__icon",class:!0===this.leftArrow?"":"q-tabs__arrow--faded",props:{name:this.leftIcon||(!0===this.vertical?this.$q.iconSet.tabs.up:this.$q.iconSet.tabs.left)},on:pt(this,"onL",{mousedown:this.__scrollToStart,touchstart:this.__scrollToStart,mouseup:this.__stopAnimScroll,mouseleave:this.__stopAnimScroll,touchend:this.__stopAnimScroll})}),t(Pt,{staticClass:"q-tabs__arrow q-tabs__arrow--right absolute q-tab__icon",class:!0===this.rightArrow?"":"q-tabs__arrow--faded",props:{name:this.rightIcon||(!0===this.vertical?this.$q.iconSet.tabs.down:this.$q.iconSet.tabs.right)},on:pt(this,"onR",{mousedown:this.__scrollToEnd,touchstart:this.__scrollToEnd,mouseup:this.__stopAnimScroll,mouseleave:this.__stopAnimScroll,touchend:this.__stopAnimScroll})})),t("div",{staticClass:"q-tabs row no-wrap items-center",class:this.classes,on:this.onEvents,attrs:{role:"tablist"}},e)}}),ui=0,ci=t.extend({name:"QTab",mixins:[ae,At],inject:{tabs:{default:function(){console.error("QTab/QRouteTab components need to be child of QTabs")}},__activateTab:{},__recalculateScroll:{}},props:{icon:String,label:[Number,String],alert:[Boolean,String],alertIcon:String,name:{type:[Number,String],default:function(){return"t_"+ui++}},noCaps:Boolean,tabindex:[String,Number],disable:Boolean,contentClass:String},computed:{isActive:function(){return this.tabs.current===this.name},classes:function(){var t;return(t={})["q-tab--"+(this.isActive?"":"in")+"active"]=!0,t["text-"+this.tabs.activeColor]=this.isActive&&this.tabs.activeColor,t["bg-"+this.tabs.activeBgColor]=this.isActive&&this.tabs.activeBgColor,t["q-tab--full"]=this.icon&&this.label&&!this.tabs.inlineLabel,t["q-tab--no-caps"]=!0===this.noCaps||!0===this.tabs.noCaps,t["q-focusable q-hoverable cursor-pointer"]=!this.disable,t.disabled=this.disable,t},innerClass:function(){return(!0===this.tabs.inlineLabel?"row no-wrap q-tab__content--inline":"column")+(void 0!==this.contentClass?" "+this.contentClass:"")},computedTabIndex:function(){return!0===this.disable||!0===this.isActive?-1:this.tabindex||0},onEvents:function(){return Object.assign({},{input:y},this.qListeners,{click:this.__activate,keyup:this.__onKeyup})},attrs:function(){var t={tabindex:this.computedTabIndex,role:"tab","aria-selected":this.isActive};return!0===this.disable&&(t["aria-disabled"]="true"),t}},methods:{__activate:function(t,e){!0!==e&&void 0!==this.$refs.blurTarget&&this.$refs.blurTarget.focus(),!0!==this.disable&&(void 0!==this.qListeners.click&&this.$emit("click",t),this.__activateTab(this.name))},__onKeyup:function(t){!0===X(t,13)&&this.__activate(t,!0)},__getContent:function(t){var e=this.tabs.narrowIndicator,n=[],i=t("div",{staticClass:"q-tab__indicator",class:this.tabs.indicatorClass});void 0!==this.icon&&n.push(t(Pt,{staticClass:"q-tab__icon",props:{name:this.icon}})),void 0!==this.label&&n.push(t("div",{staticClass:"q-tab__label"},[this.label])),!1!==this.alert&&n.push(void 0!==this.alertIcon?t(Pt,{staticClass:"q-tab__alert-icon",props:{color:!0!==this.alert?this.alert:void 0,name:this.alertIcon}}):t("div",{staticClass:"q-tab__alert",class:!0!==this.alert?"text-"+this.alert:null})),!0===e&&n.push(i);var r=[t("div",{staticClass:"q-focus-helper",attrs:{tabindex:-1},ref:"blurTarget"}),t("div",{staticClass:"q-tab__content self-stretch flex-center relative-position q-anchor--skip non-selectable",class:this.innerClass},Lt(n,this,"default"))];return!1===e&&r.push(i),r},__renderTab:function(t,e,n){var i={staticClass:"q-tab relative-position self-stretch flex flex-center text-center",class:this.classes,attrs:this.attrs,directives:!1!==this.ripple&&!0===this.disable?null:[{name:"ripple",value:this.ripple}]};return i["div"===e?"on":"nativeOn"]=this.onEvents,void 0!==n&&(i.props=n),t(e,i,this.__getContent(t))}},mounted:function(){this.__recalculateScroll()},beforeDestroy:function(){this.__recalculateScroll()},render:function(t){return this.__renderTab(t,"div")}}),di=t.extend({name:"QTabPanels",mixins:[It,_n],computed:{classes:function(){return"q-tab-panels q-panel-parent"+(!0===this.isDark?" q-tab-panels--dark q-dark":"")}},methods:{__renderPanels:function(t){return t("div",{class:this.classes,directives:this.panelDirectives,on:Object.assign({},this.qListeners)},this.__getPanelContent(t))}}}),hi=t.extend({name:"QTabPanel",mixins:[yn],render:function(t){return t("div",{staticClass:"q-tab-panel",on:Object.assign({},this.qListeners)},Et(this,"default"))}}),fi=["rgb(255,204,204)","rgb(255,230,204)","rgb(255,255,204)","rgb(204,255,204)","rgb(204,255,230)","rgb(204,255,255)","rgb(204,230,255)","rgb(204,204,255)","rgb(230,204,255)","rgb(255,204,255)","rgb(255,153,153)","rgb(255,204,153)","rgb(255,255,153)","rgb(153,255,153)","rgb(153,255,204)","rgb(153,255,255)","rgb(153,204,255)","rgb(153,153,255)","rgb(204,153,255)","rgb(255,153,255)","rgb(255,102,102)","rgb(255,179,102)","rgb(255,255,102)","rgb(102,255,102)","rgb(102,255,179)","rgb(102,255,255)","rgb(102,179,255)","rgb(102,102,255)","rgb(179,102,255)","rgb(255,102,255)","rgb(255,51,51)","rgb(255,153,51)","rgb(255,255,51)","rgb(51,255,51)","rgb(51,255,153)","rgb(51,255,255)","rgb(51,153,255)","rgb(51,51,255)","rgb(153,51,255)","rgb(255,51,255)","rgb(255,0,0)","rgb(255,128,0)","rgb(255,255,0)","rgb(0,255,0)","rgb(0,255,128)","rgb(0,255,255)","rgb(0,128,255)","rgb(0,0,255)","rgb(128,0,255)","rgb(255,0,255)","rgb(245,0,0)","rgb(245,123,0)","rgb(245,245,0)","rgb(0,245,0)","rgb(0,245,123)","rgb(0,245,245)","rgb(0,123,245)","rgb(0,0,245)","rgb(123,0,245)","rgb(245,0,245)","rgb(214,0,0)","rgb(214,108,0)","rgb(214,214,0)","rgb(0,214,0)","rgb(0,214,108)","rgb(0,214,214)","rgb(0,108,214)","rgb(0,0,214)","rgb(108,0,214)","rgb(214,0,214)","rgb(163,0,0)","rgb(163,82,0)","rgb(163,163,0)","rgb(0,163,0)","rgb(0,163,82)","rgb(0,163,163)","rgb(0,82,163)","rgb(0,0,163)","rgb(82,0,163)","rgb(163,0,163)","rgb(92,0,0)","rgb(92,46,0)","rgb(92,92,0)","rgb(0,92,0)","rgb(0,92,46)","rgb(0,92,92)","rgb(0,46,92)","rgb(0,0,92)","rgb(46,0,92)","rgb(92,0,92)","rgb(255,255,255)","rgb(205,205,205)","rgb(178,178,178)","rgb(153,153,153)","rgb(127,127,127)","rgb(102,102,102)","rgb(76,76,76)","rgb(51,51,51)","rgb(25,25,25)","rgb(0,0,0)"],pi=t.extend({name:"QColor",mixins:[At,It,ln],directives:{TouchPan:Gn},props:{value:String,defaultValue:String,defaultView:{type:String,default:"spectrum",validator:function(t){return["spectrum","tune","palette"].includes(t)}},formatModel:{type:String,default:"auto",validator:function(t){return["auto","hex","rgb","hexa","rgba"].includes(t)}},palette:Array,noHeader:Boolean,noFooter:Boolean,square:Boolean,flat:Boolean,bordered:Boolean,disable:Boolean,readonly:Boolean},data:function(){return{topView:"auto"===this.formatModel?void 0===this.value||null===this.value||""===this.value||this.value.startsWith("#")?"hex":"rgb":this.formatModel.startsWith("hex")?"hex":"rgb",view:this.defaultView,model:this.__parseModel(this.value||this.defaultValue)}},watch:{value:function(t){var e=this.__parseModel(t||this.defaultValue);e.hex!==this.model.hex&&(this.model=e)},defaultValue:function(t){if(!this.value&&t){var e=this.__parseModel(t);e.hex!==this.model.hex&&(this.model=e)}}},computed:{editable:function(){return!0!==this.disable&&!0!==this.readonly},forceHex:function(){return"auto"===this.formatModel?null:this.formatModel.indexOf("hex")>-1},forceAlpha:function(){return"auto"===this.formatModel?null:this.formatModel.indexOf("a")>-1},isHex:function(){return void 0===this.value||null===this.value||""===this.value||this.value.startsWith("#")},isOutputHex:function(){return null!==this.forceHex?this.forceHex:this.isHex},formAttrs:function(){return{type:"hidden",name:this.name,value:this.model[!0===this.isOutputHex?"hex":"rgb"]}},hasAlpha:function(){return null!==this.forceAlpha?this.forceAlpha:void 0!==this.model.a},currentBgColor:function(){return{backgroundColor:this.model.rgb||"#000"}},headerClass:function(){return"q-color-picker__header-content--"+(void 0!==this.model.a&&this.model.a<65||W(this.model)>.4?"light":"dark")},spectrumStyle:function(){return{background:"hsl("+this.model.h+",100%,50%)"}},spectrumPointerStyle:function(){var t;return(t={top:100-this.model.v+"%"})[!0===this.$q.lang.rtl?"right":"left"]=this.model.s+"%",t},inputsArray:function(){var t=["r","g","b"];return!0===this.hasAlpha&&t.push("a"),t},computedPalette:function(){return void 0!==this.palette&&this.palette.length>0?this.palette:fi},classes:function(){return"q-color-picker"+(!0===this.bordered?" q-color-picker--bordered":"")+(!0===this.square?" q-color-picker--square no-border-radius":"")+(!0===this.flat?" q-color-picker--flat no-shadow":"")+(!0===this.disable?" disabled":"")+(!0===this.isDark?" q-color-picker--dark q-dark":"")},attrs:function(){return!0===this.disable?{"aria-disabled":"true"}:!0===this.readonly?{"aria-readonly":"true"}:void 0}},created:function(){this.__spectrumChange=ee(this.__spectrumChange,20)},render:function(t){var e=[this.__getContent(t)];return void 0!==this.name&&!0!==this.disable&&this.__injectFormInput(e,"push"),!0!==this.noHeader&&e.unshift(this.__getHeader(t)),!0!==this.noFooter&&e.push(this.__getFooter(t)),t("div",{class:this.classes,attrs:this.attrs,on:Object.assign({},this.qListeners)},e)},methods:{__getHeader:function(t){var e=this;return t("div",{staticClass:"q-color-picker__header relative-position overflow-hidden"},[t("div",{staticClass:"q-color-picker__header-bg absolute-full"}),t("div",{staticClass:"q-color-picker__header-content absolute-full",class:this.headerClass,style:this.currentBgColor},[t(li,{props:{value:this.topView,dense:!0,align:"justify"},on:pt(this,"topVTab",{input:function(t){e.topView=t}})},[t(ci,{props:{label:"HEX"+(!0===this.hasAlpha?"A":""),name:"hex",ripple:!1}}),t(ci,{props:{label:"RGB"+(!0===this.hasAlpha?"A":""),name:"rgb",ripple:!1}})]),t("div",{staticClass:"q-color-picker__header-banner row flex-center no-wrap"},[t("input",{staticClass:"fit",domProps:{value:this.model[this.topView]},attrs:!0!==this.editable?{readonly:!0}:null,on:pt(this,"topIn",{input:function(t){e.__updateErrorIcon(!0===e.__onEditorChange(t))},change:y,blur:function(t){!0===e.__onEditorChange(t,!0)&&e.$forceUpdate(),e.__updateErrorIcon(!1)}})}),t(Pt,{ref:"errorIcon",staticClass:"q-color-picker__error-icon absolute no-pointer-events",props:{name:this.$q.iconSet.type.negative}})])])])},__getContent:function(t){return t(di,{props:{value:this.view,animated:!0}},[t(hi,{staticClass:"q-color-picker__spectrum-tab overflow-hidden",props:{name:"spectrum"}},this.__getSpectrumTab(t)),t(hi,{staticClass:"q-pa-md q-color-picker__tune-tab",props:{name:"tune"}},this.__getTuneTab(t)),t(hi,{staticClass:"q-color-picker__palette-tab",props:{name:"palette"}},this.__getPaletteTab(t))])},__getFooter:function(t){var e=this;return t("div",{staticClass:"q-color-picker__footer relative-position overflow-hidden"},[t(li,{staticClass:"absolute-full",props:{value:this.view,dense:!0,align:"justify"},on:pt(this,"ftIn",{input:function(t){e.view=t}})},[t(ci,{props:{icon:this.$q.iconSet.colorPicker.spectrum,name:"spectrum",ripple:!1}}),t(ci,{props:{icon:this.$q.iconSet.colorPicker.tune,name:"tune",ripple:!1}}),t(ci,{props:{icon:this.$q.iconSet.colorPicker.palette,name:"palette",ripple:!1}})])])},__getSpectrumTab:function(t){var e=this,n="M5 5 h10 v10 h-10 v-10 z";return[t("div",{ref:"spectrum",staticClass:"q-color-picker__spectrum non-selectable relative-position cursor-pointer",style:this.spectrumStyle,class:{readonly:!0!==this.editable},on:!0===this.editable?pt(this,"spectrT",{click:this.__spectrumClick,mousedown:this.__activate}):null,directives:!0===this.editable?pt(this,"spectrDir",[{name:"touch-pan",modifiers:{prevent:!0,stop:!0,mouse:!0},value:this.__spectrumPan}]):null},[t("div",{style:{paddingBottom:"100%"}}),t("div",{staticClass:"q-color-picker__spectrum-white absolute-full"}),t("div",{staticClass:"q-color-picker__spectrum-black absolute-full"}),t("div",{staticClass:"absolute",style:this.spectrumPointerStyle},[void 0!==this.model.hex?t("div",{staticClass:"q-color-picker__spectrum-circle"}):null])]),t("div",{staticClass:"q-color-picker__sliders"},[t("div",{staticClass:"q-color-picker__hue non-selectable"},[t(ti,{props:{value:this.model.h,min:0,max:360,fillHandleAlways:!0,readonly:!0!==this.editable,thumbPath:n},on:pt(this,"hueSlide",{input:this.__onHueChange,change:function(t){return e.__onHueChange(t,!0)}})})]),!0===this.hasAlpha?t("div",{staticClass:"q-color-picker__alpha non-selectable"},[t(ti,{props:{value:this.model.a,min:0,max:100,fillHandleAlways:!0,readonly:!0!==this.editable,thumbPath:n},on:pt(this,"alphaSlide",{input:function(t){return e.__onNumericChange(t,"a",100)},change:function(t){return e.__onNumericChange(t,"a",100,void 0,!0)}})})]):null])]},__getTuneTab:function(t){var e=this;return[t("div",{staticClass:"row items-center no-wrap"},[t("div",["R"]),t(ti,{props:{value:this.model.r,min:0,max:255,color:"red",dark:this.isDark,readonly:!0!==this.editable},on:pt(this,"rSlide",{input:function(t){return e.__onNumericChange(t,"r",255)},change:function(t){return e.__onNumericChange(t,"r",255,void 0,!0)}})}),t("input",{domProps:{value:this.model.r},attrs:{maxlength:3,readonly:!0!==this.editable},on:pt(this,"rIn",{input:function(t){return e.__onNumericChange(t.target.value,"r",255,t)},change:y,blur:function(t){return e.__onNumericChange(t.target.value,"r",255,t,!0)}})})]),t("div",{staticClass:"row items-center no-wrap"},[t("div",["G"]),t(ti,{props:{value:this.model.g,min:0,max:255,color:"green",dark:this.isDark,readonly:!0!==this.editable},on:pt(this,"gSlide",{input:function(t){return e.__onNumericChange(t,"g",255)},change:function(t){return e.__onNumericChange(t,"g",255,void 0,!0)}})}),t("input",{domProps:{value:this.model.g},attrs:{maxlength:3,readonly:!0!==this.editable},on:pt(this,"gIn",{input:function(t){return e.__onNumericChange(t.target.value,"g",255,t)},change:y,blur:function(t){return e.__onNumericChange(t.target.value,"g",255,t,!0)}})})]),t("div",{staticClass:"row items-center no-wrap"},[t("div",["B"]),t(ti,{props:{value:this.model.b,min:0,max:255,color:"blue",readonly:!0!==this.editable,dark:this.isDark},on:pt(this,"bSlide",{input:function(t){return e.__onNumericChange(t,"b",255)},change:function(t){return e.__onNumericChange(t,"b",255,void 0,!0)}})}),t("input",{domProps:{value:this.model.b},attrs:{maxlength:3,readonly:!0!==this.editable},on:pt(this,"bIn",{input:function(t){return e.__onNumericChange(t.target.value,"b",255,t)},change:y,blur:function(t){return e.__onNumericChange(t.target.value,"b",255,t,!0)}})})]),!0===this.hasAlpha?t("div",{staticClass:"row items-center no-wrap"},[t("div",["A"]),t(ti,{props:{value:this.model.a,color:"grey",readonly:!0!==this.editable,dark:this.isDark},on:pt(this,"aSlide",{input:function(t){return e.__onNumericChange(t,"a",100)},change:function(t){return e.__onNumericChange(t,"a",100,void 0,!0)}})}),t("input",{domProps:{value:this.model.a},attrs:{maxlength:3,readonly:!0!==this.editable},on:pt(this,"aIn",{input:function(t){return e.__onNumericChange(t.target.value,"a",100,t)},change:y,blur:function(t){return e.__onNumericChange(t.target.value,"a",100,t,!0)}})})]):null]},__getPaletteTab:function(t){var e=this;return[t("div",{staticClass:"row items-center q-color-picker__palette-rows",class:!0===this.editable?"q-color-picker__palette-rows--editable":""},this.computedPalette.map((function(n){return t("div",{staticClass:"q-color-picker__cube col-auto",style:{backgroundColor:n},on:!0===e.editable?pt(e,"palette#"+n,{click:function(){e.__onPalettePick(n)}}):null})})))]},__onSpectrumChange:function(t,e,n){var i=this.$refs.spectrum;if(void 0!==i){var r=i.clientWidth,o=i.clientHeight,a=i.getBoundingClientRect(),s=Math.min(r,Math.max(0,t-a.left));!0===this.$q.lang.rtl&&(s=r-s);var l=Math.min(o,Math.max(0,e-a.top)),u=Math.round(100*s/r),c=Math.round(100*Math.max(0,Math.min(1,-l/o+1))),d=V({h:this.model.h,s:u,v:c,a:!0===this.hasAlpha?this.model.a:void 0});this.model.s=u,this.model.v=c,this.__update(d,n)}},__onHueChange:function(t,e){var n=V({h:t=Math.round(t),s:this.model.s,v:this.model.v,a:!0===this.hasAlpha?this.model.a:void 0});this.model.h=t,this.__update(n,e)},__onNumericChange:function(t,e,n,i,r){if(void 0!==i&&y(i),/^[0-9]+$/.test(t)){var o=Math.floor(Number(t));if(o<0||o>n)!0===r&&this.$forceUpdate();else{var a={r:"r"===e?o:this.model.r,g:"g"===e?o:this.model.g,b:"b"===e?o:this.model.b,a:!0===this.hasAlpha?"a"===e?o:this.model.a:void 0};if("a"!==e){var s=H(a);this.model.h=s.h,this.model.s=s.s,this.model.v=s.v}if(this.__update(a,r),void 0!==i&&!0!==r&&void 0!==i.target.selectionEnd){var l=i.target.selectionEnd;this.$nextTick((function(){i.target.setSelectionRange(l,l)}))}}}else r&&this.$forceUpdate()},__onEditorChange:function(t,e){var n,i=t.target.value;if(y(t),"hex"===this.topView){if(i.length!==(!0===this.hasAlpha?9:7)||!/^#[0-9A-Fa-f]+$/.test(i))return!0;n=z(i)}else{var r;if(!i.endsWith(")"))return!0;if(!0!==this.hasAlpha&&i.startsWith("rgb(")){if(3!==(r=i.substring(4,i.length-1).split(",").map((function(t){return parseInt(t,10)}))).length||!/^rgb\([0-9]{1,3},[0-9]{1,3},[0-9]{1,3}\)$/.test(i))return!0}else{if(!0!==this.hasAlpha||!i.startsWith("rgba("))return!0;if(4!==(r=i.substring(5,i.length-1).split(",")).length||!/^rgba\([0-9]{1,3},[0-9]{1,3},[0-9]{1,3},(0|0\.[0-9]+[1-9]|0\.[1-9]+|1)\)$/.test(i))return!0;for(var o=0;o<3;o++){var a=parseInt(r[o],10);if(a<0||a>255)return!0;r[o]=a}var s=parseFloat(r[3]);if(s<0||s>1)return!0;r[3]=s}if(r[0]<0||r[0]>255||r[1]<0||r[1]>255||r[2]<0||r[2]>255||!0===this.hasAlpha&&(r[3]<0||r[3]>1))return!0;n={r:r[0],g:r[1],b:r[2],a:!0===this.hasAlpha?100*r[3]:void 0}}var l=H(n);if(this.model.h=l.h,this.model.s=l.s,this.model.v=l.v,this.__update(n,e),!0!==e){var u=t.target.selectionEnd;this.$nextTick((function(){t.target.setSelectionRange(u,u)}))}},__onPalettePick:function(t){var e=this.__parseModel(t),n={r:e.r,g:e.g,b:e.b,a:e.a};void 0===n.a&&(n.a=this.model.a),this.model.h=e.h,this.model.s=e.s,this.model.v=e.v,this.__update(n,!0)},__update:function(t,e){this.model.hex=F(t),this.model.rgb=B(t),this.model.r=t.r,this.model.g=t.g,this.model.b=t.b,this.model.a=t.a;var n=this.model[!0===this.isOutputHex?"hex":"rgb"];this.$emit("input",n),!0===e&&this.$emit("change",n)},__updateErrorIcon:function(t){void 0!==this.$refs.errorIcon&&(this.$refs.errorIcon.$el.style.opacity=t?1:0)},__parseModel:function(t){var e=void 0!==this.forceAlpha?this.forceAlpha:"auto"===this.formatModel?null:this.formatModel.indexOf("a")>-1;if("string"!=typeof t||0===t.length||!0!==Hn.anyColor(t.replace(/ /g,"")))return{h:0,s:0,v:0,r:0,g:0,b:0,a:!0===e?100:void 0,hex:void 0,rgb:void 0};var n=U(t);return!0===e&&void 0===n.a&&(n.a=100),n.hex=F(n),n.rgb=B(n),Object.assign(n,H(n))},__spectrumPan:function(t){t.isFinal?this.__onSpectrumChange(t.position.left,t.position.top,!0):this.__spectrumChange(t)},__spectrumChange:function(t){this.__onSpectrumChange(t.position.left,t.position.top)},__spectrumClick:function(t){this.__onSpectrumChange(t.pageX-window.pageXOffset,t.pageY-window.pageYOffset,!0)},__activate:function(t){this.__onSpectrumChange(t.pageX-window.pageXOffset,t.pageY-window.pageYOffset)}}}),mi=[-61,9,38,199,426,686,756,818,1111,1181,1210,1635,2060,2097,2192,2262,2324,2394,2456,3178];function vi(t,e,n){return"[object Date]"===Object.prototype.toString.call(t)&&(n=t.getDate(),e=t.getMonth()+1,t=t.getFullYear()),function(t){var e,n,i,r=xi(t).gy,o=r-621,a=bi(o,!1),s=wi(r,3,a.march);if((i=t-s)>=0){if(i<=185)return{jy:o,jm:n=1+ki(i,31),jd:e=Si(i,31)+1};i-=186}else o-=1,i+=179,1===a.leap&&(i+=1);return n=7+ki(i,30),e=Si(i,30)+1,{jy:o,jm:n,jd:e}}(wi(t,e,n))}function gi(t,e,n){return xi(function(t,e,n){var i=bi(t,!0);return wi(i.gy,3,i.march)+31*(e-1)-ki(e,7)*(e-7)+n-1}(t,e,n))}function _i(t){return 0===function(t){var e,n,i,r,o,a=mi.length,s=mi[0];if(t<s||t>=mi[a-1])throw new Error("Invalid Jalaali year "+t);for(o=1;o<a&&(n=(e=mi[o])-s,!(t<e));o+=1)s=e;r=t-s,n-r<6&&(r=r-n+33*ki(n+4,33));-1===(i=Si(Si(r+1,33)-1,4))&&(i=4);return i}(t)}function yi(t,e){return e<=6?31:e<=11||_i(t)?30:29}function bi(t,e){var n,i,r,o,a,s=mi.length,l=t+621,u=-14,c=mi[0];if(t<c||t>=mi[s-1])throw new Error("Invalid Jalaali year "+t);for(a=1;a<s&&(i=(n=mi[a])-c,!(t<n));a+=1)u=u+8*ki(i,33)+ki(Si(i,33),4),c=n;u=u+8*ki(o=t-c,33)+ki(Si(o,33)+3,4),4===Si(i,33)&&i-o==4&&(u+=1);var d=20+u-(ki(l,4)-ki(3*(ki(l,100)+1),4)-150);return e||(i-o<6&&(o=o-i+33*ki(i+4,33)),-1===(r=Si(Si(o+1,33)-1,4))&&(r=4)),{leap:r,gy:l,march:d}}function wi(t,e,n){var i=ki(1461*(t+ki(e-8,6)+100100),4)+ki(153*Si(e+9,12)+2,5)+n-34840408;return i=i-ki(3*ki(t+100100+ki(e-8,6),100),4)+752}function xi(t){var e=4*t+139361631;e=e+4*ki(3*ki(4*t+183187720,146097),4)-3908;var n=5*ki(Si(e,1461),4)+308,i=ki(Si(n,153),5)+1,r=Si(ki(n,153),12)+1;return{gy:ki(e,1461)-100100+ki(8-r,6),gm:r,gd:i}}function ki(t,e){return~~(t/e)}function Si(t,e){return t-~~(t/e)*e}var Ci=["gregorian","persian"],Mi={mixins:[It,ln,At],props:{value:{required:!0},mask:{type:String},locale:Object,calendar:{type:String,validator:function(t){return Ci.includes(t)},default:"gregorian"},landscape:Boolean,color:String,textColor:String,square:Boolean,flat:Boolean,bordered:Boolean,readonly:Boolean,disable:Boolean},computed:{computedMask:function(){return this.__getMask()},computedLocale:function(){return this.__getLocale()},editable:function(){return!0!==this.disable&&!0!==this.readonly},computedColor:function(){return this.color||"primary"},computedTextColor:function(){return this.textColor||"white"},computedTabindex:function(){return!0===this.editable?0:-1},headerClass:function(){var t=[];return void 0!==this.color&&t.push("bg-"+this.color),void 0!==this.textColor&&t.push("text-"+this.textColor),t.join(" ")}},methods:{__getLocale:function(){return this.locale||this.$q.lang.date},__getCurrentDate:function(){var t=new Date;if("persian"===this.calendar){var e=vi(t);return{year:e.jy,month:e.jm,day:e.jd}}return{year:t.getFullYear(),month:t.getMonth()+1,day:t.getDate(),hour:0,minute:0,second:0,millisecond:0}},__getCurrentTime:function(){var t=new Date;return{hour:t.getHours(),minute:t.getMinutes(),second:t.getSeconds(),millisecond:t.getMilliseconds()}}}},Ti=864e5,Oi=36e5,Ai=6e4,Ei="YYYY-MM-DDTHH:mm:ss.SSSZ",qi=/\[((?:[^\]\\]|\\]|\\)*)\]|d{1,4}|M{1,4}|m{1,2}|w{1,2}|Qo|Do|D{1,4}|YY(?:YY)?|H{1,2}|h{1,2}|s{1,2}|S{1,3}|Z{1,2}|a{1,2}|[AQExX]/g,Li=/(\[[^\]]*\])|d{1,4}|M{1,4}|m{1,2}|w{1,2}|Qo|Do|D{1,4}|YY(?:YY)?|H{1,2}|h{1,2}|s{1,2}|S{1,3}|Z{1,2}|a{1,2}|[AQExX]|([.*+:?^,\s${}()|\\]+)/g,Di={};function Pi(t,e,n,i,r){var o={year:null,month:null,day:null,hour:null,minute:null,second:null,millisecond:null,timezoneOffset:null,dateHash:null,timeHash:null};if(void 0!==r&&Object.assign(o,r),null==t||""===t||"string"!=typeof t)return o;void 0===e&&(e=Ei);var a=void 0!==n?n:j.props.date,s=a.months,l=a.monthsShort,u=function(t,e){var n="("+e.days.join("|")+")",i=t+n;if(void 0!==Di[i])return Di[i];var r="("+e.daysShort.join("|")+")",o="("+e.months.join("|")+")",a="("+e.monthsShort.join("|")+")",s={},l=0,u=t.replace(Li,(function(t){switch(l++,t){case"YY":return s.YY=l,"(-?\\d{1,2})";case"YYYY":return s.YYYY=l,"(-?\\d{1,4})";case"M":return s.M=l,"(\\d{1,2})";case"MM":return s.M=l,"(\\d{2})";case"MMM":return s.MMM=l,a;case"MMMM":return s.MMMM=l,o;case"D":return s.D=l,"(\\d{1,2})";case"Do":return s.D=l++,"(\\d{1,2}(st|nd|rd|th))";case"DD":return s.D=l,"(\\d{2})";case"H":return s.H=l,"(\\d{1,2})";case"HH":return s.H=l,"(\\d{2})";case"h":return s.h=l,"(\\d{1,2})";case"hh":return s.h=l,"(\\d{2})";case"m":return s.m=l,"(\\d{1,2})";case"mm":return s.m=l,"(\\d{2})";case"s":return s.s=l,"(\\d{1,2})";case"ss":return s.s=l,"(\\d{2})";case"S":return s.S=l,"(\\d{1})";case"SS":return s.S=l,"(\\d{2})";case"SSS":return s.S=l,"(\\d{3})";case"A":return s.A=l,"(AM|PM)";case"a":return s.a=l,"(am|pm)";case"aa":return s.aa=l,"(a\\.m\\.|p\\.m\\.)";case"ddd":return r;case"dddd":return n;case"Q":case"d":case"E":return"(\\d{1})";case"Qo":return"(1st|2nd|3rd|4th)";case"DDD":case"DDDD":return"(\\d{1,3})";case"w":return"(\\d{1,2})";case"ww":return"(\\d{2})";case"Z":return s.Z=l,"(Z|[+-]\\d{2}:\\d{2})";case"ZZ":return s.ZZ=l,"(Z|[+-]\\d{2}\\d{2})";case"X":return s.X=l,"(-?\\d+)";case"x":return s.x=l,"(-?\\d{4,})";default:return l--,"["===t[0]&&(t=t.substring(1,t.length-1)),t.replace(/[.*+?^${}()|[\]\\]/g,"\\$&")}})),c={map:s,regex:new RegExp("^"+u)};return Di[i]=c,c}(e,a),c=u.regex,d=u.map,h=t.match(c);if(null===h)return o;var f="";if(void 0!==d.X||void 0!==d.x){var p=parseInt(h[void 0!==d.X?d.X:d.x],10);if(!0===isNaN(p)||p<0)return o;var m=new Date(p*(void 0!==d.X?1e3:1));o.year=m.getFullYear(),o.month=m.getMonth()+1,o.day=m.getDate(),o.hour=m.getHours(),o.minute=m.getMinutes(),o.second=m.getSeconds(),o.millisecond=m.getMilliseconds()}else{if(void 0!==d.YYYY)o.year=parseInt(h[d.YYYY],10);else if(void 0!==d.YY){var v=parseInt(h[d.YY],10);o.year=v<0?v:2e3+v}if(void 0!==d.M){if(o.month=parseInt(h[d.M],10),o.month<1||o.month>12)return o}else void 0!==d.MMM?o.month=l.indexOf(h[d.MMM])+1:void 0!==d.MMMM&&(o.month=s.indexOf(h[d.MMMM])+1);if(void 0!==d.D){if(o.day=parseInt(h[d.D],10),null===o.year||null===o.month||o.day<1)return o;var g="persian"!==i?new Date(o.year,o.month,0).getDate():yi(o.year,o.month);if(o.day>g)return o}void 0!==d.H?o.hour=parseInt(h[d.H],10)%24:void 0!==d.h&&(o.hour=parseInt(h[d.h],10)%12,(d.A&&"PM"===h[d.A]||d.a&&"pm"===h[d.a]||d.aa&&"p.m."===h[d.aa])&&(o.hour+=12),o.hour=o.hour%24),void 0!==d.m&&(o.minute=parseInt(h[d.m],10)%60),void 0!==d.s&&(o.second=parseInt(h[d.s],10)%60),void 0!==d.S&&(o.millisecond=parseInt(h[d.S],10)*Math.pow(10,3-h[d.S].length)),void 0===d.Z&&void 0===d.ZZ||(f=void 0!==d.Z?h[d.Z].replace(":",""):h[d.ZZ],o.timezoneOffset=("+"===f[0]?-1:1)*(60*f.slice(1,3)+1*f.slice(3,5)))}return o.dateHash=o.year+"/"+ht(o.month)+"/"+ht(o.day),o.timeHash=ht(o.hour)+":"+ht(o.minute)+":"+ht(o.second)+f,o}function Ri(t,e){void 0===e&&(e="");var n=t>0?"-":"+",i=Math.abs(t),r=i%60;return n+ht(Math.floor(i/60))+e+ht(r)}function Ni(t,e){var n=new Date(t.getFullYear(),e,0,0,0,0,0).getDate();t.setMonth(e-1,Math.min(n,t.getDate()))}function Ii(t,e,n){var i=new Date(t),r=n?1:-1;return Object.keys(e).forEach((function(t){if("month"!==t){var n="year"===t?"FullYear":ut("days"===t?"date":t);i["set"+n](i["get"+n]()+r*e[t])}else Ni(i,i.getMonth()+1+r*e.month)})),i}function ji(t){var e=new Date(t.getFullYear(),t.getMonth(),t.getDate());e.setDate(e.getDate()-(e.getDay()+6)%7+3);var n=new Date(e.getFullYear(),0,4);n.setDate(n.getDate()-(n.getDay()+6)%7+3);var i=e.getTimezoneOffset()-n.getTimezoneOffset();e.setHours(e.getHours()-i);var r=(e-n)/(7*Ti);return 1+Math.floor(r)}function $i(t,e){var n=new Date(t);return!0===e?function(t){return 1e4*t.getFullYear()+100*t.getMonth()+t.getDate()}(n):n.getTime()}function Fi(t,e,n){var i=new Date(t),r="set"+(n?"UTC":"");return Object.keys(e).forEach((function(t){if("month"!==t){var n="year"===t?"FullYear":t.charAt(0).toUpperCase()+t.slice(1);i[""+r+n](e[t])}else Ni(i,e.month)})),i}function Bi(t,e){var n=new Date(t);switch(e){case"year":n.setMonth(0);case"month":n.setDate(1);case"day":n.setHours(0);case"hour":n.setMinutes(0);case"minute":n.setSeconds(0);case"second":n.setMilliseconds(0)}return n}function zi(t,e,n){return(t.getTime()-t.getTimezoneOffset()*Ai-(e.getTime()-e.getTimezoneOffset()*Ai))/n}function Vi(t,e,n){void 0===n&&(n="days");var i=new Date(t),r=new Date(e);switch(n){case"years":return i.getFullYear()-r.getFullYear();case"months":return 12*(i.getFullYear()-r.getFullYear())+i.getMonth()-r.getMonth();case"days":return zi(Bi(i,"day"),Bi(r,"day"),Ti);case"hours":return zi(Bi(i,"hour"),Bi(r,"hour"),Oi);case"minutes":return zi(Bi(i,"minute"),Bi(r,"minute"),Ai);case"seconds":return zi(Bi(i,"second"),Bi(r,"second"),1e3)}}function Hi(t){return Vi(t,Bi(t,"year"),"days")+1}function Ui(t){return new Date(t.getFullYear(),t.getMonth()+1,0).getDate()}function Wi(t){if(t>=11&&t<=13)return t+"th";switch(t%10){case 1:return t+"st";case 2:return t+"nd";case 3:return t+"rd"}return t+"th"}var Yi={YY:function(t,e,n){var i=this.YYYY(t,e,n)%100;return i>0?ht(i):"-"+ht(Math.abs(i))},YYYY:function(t,e,n){return null!=n?n:t.getFullYear()},M:function(t){return t.getMonth()+1},MM:function(t){return ht(t.getMonth()+1)},MMM:function(t,e){return e.monthsShort[t.getMonth()]},MMMM:function(t,e){return e.months[t.getMonth()]},Q:function(t){return Math.ceil((t.getMonth()+1)/3)},Qo:function(t){return Wi(this.Q(t))},D:function(t){return t.getDate()},Do:function(t){return Wi(t.getDate())},DD:function(t){return ht(t.getDate())},DDD:function(t){return Hi(t)},DDDD:function(t){return ht(Hi(t),3)},d:function(t){return t.getDay()},dd:function(t,e){return this.dddd(t,e).slice(0,2)},ddd:function(t,e){return e.daysShort[t.getDay()]},dddd:function(t,e){return e.days[t.getDay()]},E:function(t){return t.getDay()||7},w:function(t){return ji(t)},ww:function(t){return ht(ji(t))},H:function(t){return t.getHours()},HH:function(t){return ht(t.getHours())},h:function(t){var e=t.getHours();return 0===e?12:e>12?e%12:e},hh:function(t){return ht(this.h(t))},m:function(t){return t.getMinutes()},mm:function(t){return ht(t.getMinutes())},s:function(t){return t.getSeconds()},ss:function(t){return ht(t.getSeconds())},S:function(t){return Math.floor(t.getMilliseconds()/100)},SS:function(t){return ht(Math.floor(t.getMilliseconds()/10))},SSS:function(t){return ht(t.getMilliseconds(),3)},A:function(t){return this.H(t)<12?"AM":"PM"},a:function(t){return this.H(t)<12?"am":"pm"},aa:function(t){return this.H(t)<12?"a.m.":"p.m."},Z:function(t,e,n,i){return Ri(null==i?t.getTimezoneOffset():i,":")},ZZ:function(t,e,n,i){return Ri(null==i?t.getTimezoneOffset():i)},X:function(t){return Math.floor(t.getTime()/1e3)},x:function(t){return t.getTime()}};function Qi(t,e,n,i,r){if((0===t||t)&&t!==1/0&&t!==-1/0){var o=new Date(t);if(!isNaN(o)){void 0===e&&(e=Ei);var a=void 0!==n?n:j.props.date;return e.replace(qi,(function(t,e){return t in Yi?Yi[t](o,a,i,r):void 0===e?t:e.split("\\]").join("]")}))}}}var Gi,Ki,Zi,Ji,Xi,tr,er={isValid:function(t){return"number"==typeof t||!1===isNaN(Date.parse(t))},extractDate:function(t,e,n){var i=Pi(t,e,n),r=new Date(i.year,null===i.month?null:i.month-1,i.day,i.hour,i.minute,i.second,i.millisecond),o=r.getTimezoneOffset();return null===i.timezoneOffset||i.timezoneOffset===o?r:Ii(r,{minutes:i.timezoneOffset-o},!0)},buildDate:function(t,e){return Fi(new Date,t,e)},getDayOfWeek:function(t){var e=new Date(t).getDay();return 0===e?7:e},getWeekOfYear:ji,isBetweenDates:function(t,e,n,i){void 0===i&&(i={});var r=$i(e,i.onlyDate),o=$i(n,i.onlyDate),a=$i(t,i.onlyDate);return(a>r||!0===i.inclusiveFrom&&a===r)&&(a<o||!0===i.inclusiveTo&&a===o)},addToDate:function(t,e){return Ii(t,e,!0)},subtractFromDate:function(t,e){return Ii(t,e,!1)},adjustDate:Fi,startOfDate:Bi,endOfDate:function(t,e){var n=new Date(t);switch(e){case"year":n.setMonth(11);case"month":n.setDate(Ui(n));case"day":n.setHours(23);case"hour":n.setMinutes(59);case"minute":n.setSeconds(59);case"second":n.setMilliseconds(59)}return n},getMaxDate:function(t){var e=new Date(t);return Array.prototype.slice.call(arguments,1).forEach((function(t){e=Math.max(e,new Date(t))})),e},getMinDate:function(t){var e=new Date(t);return Array.prototype.slice.call(arguments,1).forEach((function(t){e=Math.min(e,new Date(t))})),e},getDateDiff:Vi,getDayOfYear:Hi,inferDateFormat:function(t){return!0===Cn(t)?"date":"number"==typeof t?"number":"string"},getDateBetween:function(t,e,n){var i=new Date(t);if(e){var r=new Date(e);if(i<r)return r}if(n){var o=new Date(n);if(i>o)return o}return i},isSameDate:function(t,e,n){var i=new Date(t),r=new Date(e);if(void 0===n)return i.getTime()===r.getTime();switch(n){case"second":if(i.getSeconds()!==r.getSeconds())return!1;case"minute":if(i.getMinutes()!==r.getMinutes())return!1;case"hour":if(i.getHours()!==r.getHours())return!1;case"day":if(i.getDate()!==r.getDate())return!1;case"month":if(i.getMonth()!==r.getMonth())return!1;case"year":if(i.getFullYear()!==r.getFullYear())return!1;break;default:throw new Error("date isSameDate unknown unit "+n)}return!0},daysInMonth:Ui,formatDate:Qi,clone:function(t){return!0===Cn(t)?new Date(t.getTime()):t}},nr=20,ir=["Calendar","Years","Months"],rr=function(t){return ir.includes(t)},or=function(t){return/^-?[\d]+\/[0-1]\d$/.test(t)},ar=" — ",sr=t.extend({name:"QDate",mixins:[Mi],props:{multiple:Boolean,range:Boolean,title:String,subtitle:String,mask:{default:"YYYY/MM/DD"},defaultYearMonth:{type:String,validator:or},yearsInMonthView:Boolean,events:[Array,Function],eventColor:[String,Function],emitImmediately:Boolean,options:[Array,Function],navigationMinYearMonth:{type:String,validator:or},navigationMaxYearMonth:{type:String,validator:or},noUnset:Boolean,firstDayOfWeek:[String,Number],todayBtn:Boolean,minimal:Boolean,defaultView:{type:String,default:"Calendar",validator:rr}},data:function(){var t=this.__getMask(),e=this.__getLocale(),n=this.__getViewModel(t,e),i=n.year,r=!0===this.$q.lang.rtl?"right":"left";return{view:this.defaultView,monthDirection:r,yearDirection:r,startYear:i-i%nr-(i<0?nr:0),editRange:void 0,innerMask:t,innerLocale:e,viewModel:n}},watch:{value:function(t){if(this.lastEmitValue===t)this.lastEmitValue=0;else{var e=this.__getViewModel(this.innerMask,this.innerLocale),n=e.year,i=e.month;this.__updateViewModel(n,i)}},view:function(){void 0!==this.$refs.blurTarget&&this.$refs.blurTarget.focus()},"viewModel.year":function(t){this.$emit("navigation",{year:t,month:this.viewModel.month})},"viewModel.month":function(t){this.$emit("navigation",{year:this.viewModel.year,month:t})},computedMask:function(t){this.__updateValue(t,this.innerLocale,"mask"),this.innerMask=t},computedLocale:function(t){this.__updateValue(this.innerMask,t,"locale"),this.innerLocale=t}},computed:{classes:function(){var t=!0===this.landscape?"landscape":"portrait";return"q-date q-date--"+t+" q-date--"+t+"-"+(!0===this.minimal?"minimal":"standard")+(!0===this.isDark?" q-date--dark q-dark":"")+(!0===this.bordered?" q-date--bordered":"")+(!0===this.square?" q-date--square no-border-radius":"")+(!0===this.flat?" q-date--flat no-shadow":"")+(!0===this.disable?" disabled":!0===this.readonly?" q-date--readonly":"")},isImmediate:function(){return!0===this.emitImmediately&&void 0!==this.daysModel[0]&&null!==this.daysModel[0].dateHash},normalizedModel:function(){return!0===Array.isArray(this.value)?this.value:null!==this.value&&void 0!==this.value?[this.value]:[]},daysModel:function(){var t=this;return this.normalizedModel.filter((function(t){return"string"==typeof t})).map((function(e){return t.__decodeString(e,t.innerMask,t.innerLocale)})).filter((function(t){return null!==t.dateHash}))},rangeModel:function(){var t=this,e=function(e){return t.__decodeString(e,t.innerMask,t.innerLocale)};return this.normalizedModel.filter((function(t){return Object(t)===t&&void 0!==t.from&&void 0!==t.to})).map((function(t){return{from:e(t.from),to:e(t.to)}})).filter((function(t){return null!==t.from.dateHash&&null!==t.to.dateHash&&t.from.dateHash<t.to.dateHash}))},getNativeDateFn:function(){return"persian"!==this.calendar?function(t){return new Date(t.year,t.month-1,t.day)}:function(t){var e=gi(t.year,t.month,t.day);return new Date(e.gy,e.gm-1,e.gd)}},encodeObjectFn:function(){var t=this;return"persian"===this.calendar?this.__getDayHash:function(e,n,i){return Qi(new Date(e.year,e.month-1,e.day,e.hour,e.minute,e.second,e.millisecond),void 0===n?t.innerMask:n,void 0===i?t.innerLocale:i,e.year,e.timezoneOffset)}},daysInModel:function(){var t=this;return this.daysModel.length+this.rangeModel.reduce((function(e,n){return e+1+Vi(t.getNativeDateFn(n.to),t.getNativeDateFn(n.from))}),0)},headerTitle:function(){if(void 0!==this.title&&null!==this.title&&this.title.length>0)return this.title;if(void 0!==this.editRange){var t=this.editRange.init,e=this.getNativeDateFn(t);return this.innerLocale.daysShort[e.getDay()]+", "+this.innerLocale.monthsShort[t.month-1]+" "+t.day+ar+"?"}if(0===this.daysInModel)return ar;if(this.daysInModel>1)return this.daysInModel+" "+this.innerLocale.pluralDay;var n=this.daysModel[0],i=this.getNativeDateFn(n);return!0===isNaN(i.valueOf())?ar:void 0!==this.innerLocale.headerTitle?this.innerLocale.headerTitle(i,n):this.innerLocale.daysShort[i.getDay()]+", "+this.innerLocale.monthsShort[n.month-1]+" "+n.day},headerSubtitle:function(){if(void 0!==this.subtitle&&null!==this.subtitle&&this.subtitle.length>0)return this.subtitle;if(0===this.daysInModel)return ar;if(this.daysInModel>1){var t=this.minSelectedModel,e=this.maxSelectedModel,n=this.innerLocale.monthsShort;return n[t.month-1]+(t.year!==e.year?" "+t.year+ar+n[e.month-1]+" ":t.month!==e.month?ar+n[e.month-1]:"")+" "+e.year}return this.daysModel[0].year},minSelectedModel:function(){return this.daysModel.concat(this.rangeModel.map((function(t){return t.from}))).sort((function(t,e){return t.year-e.year||t.month-e.month}))[0]},maxSelectedModel:function(){return this.daysModel.concat(this.rangeModel.map((function(t){return t.to}))).sort((function(t,e){return e.year-t.year||e.month-t.month}))[0]},dateArrow:function(){var t=[this.$q.iconSet.datetime.arrowLeft,this.$q.iconSet.datetime.arrowRight];return!0===this.$q.lang.rtl?t.reverse():t},computedFirstDayOfWeek:function(){return void 0!==this.firstDayOfWeek?Number(this.firstDayOfWeek):this.innerLocale.firstDayOfWeek},daysOfWeek:function(){var t=this.innerLocale.daysShort,e=this.computedFirstDayOfWeek;return e>0?t.slice(e,7).concat(t.slice(0,e)):t},daysInMonth:function(){var t=this.viewModel;return"persian"!==this.calendar?new Date(t.year,t.month,0).getDate():yi(t.year,t.month)},today:function(){return this.__getCurrentDate()},evtColor:function(){var t=this;return"function"==typeof this.eventColor?this.eventColor:function(){return t.eventColor}},minNav:function(){if(void 0!==this.navigationMinYearMonth){var t=this.navigationMinYearMonth.split("/");return{year:parseInt(t[0],10),month:parseInt(t[1],10)}}},maxNav:function(){if(void 0!==this.navigationMaxYearMonth){var t=this.navigationMaxYearMonth.split("/");return{year:parseInt(t[0],10),month:parseInt(t[1],10)}}},navBoundaries:function(){var t={month:{prev:!0,next:!0},year:{prev:!0,next:!0}};return void 0!==this.minNav&&this.minNav.year>=this.viewModel.year&&(t.year.prev=!1,this.minNav.year===this.viewModel.year&&this.minNav.month>=this.viewModel.month&&(t.month.prev=!1)),void 0!==this.maxNav&&this.maxNav.year<=this.viewModel.year&&(t.year.next=!1,this.maxNav.year===this.viewModel.year&&this.maxNav.month<=this.viewModel.month&&(t.month.next=!1)),t},daysMap:function(){var t=this,e={};return this.daysModel.forEach((function(n){var i=t.__getMonthHash(n);void 0===e[i]&&(e[i]=[]),e[i].push(n.day)})),e},rangeMap:function(){var t=this,e={};return this.rangeModel.forEach((function(n){var i=t.__getMonthHash(n.from),r=t.__getMonthHash(n.to);if(void 0===e[i]&&(e[i]=[]),e[i].push({from:n.from.day,to:i===r?n.to.day:void 0,range:n}),i<r)for(var o,a=n.from,s=a.year,l=a.month,u=l<12?{year:s,month:l+1}:{year:s+1,month:1};(o=t.__getMonthHash(u))<=r;)void 0===e[o]&&(e[o]=[]),e[o].push({from:void 0,to:o===r?n.to.day:void 0,range:n}),u.month++,u.month>12&&(u.year++,u.month=1)})),e},rangeView:function(){if(void 0!==this.editRange){var t=this.editRange,e=t.init,n=t.initHash,i=t.final,r=n<=t.finalHash?[e,i]:[i,e],o=r[0],a=r[1],s=this.__getMonthHash(o),l=this.__getMonthHash(a);if(s===this.viewMonthHash||l===this.viewMonthHash){var u={};return s===this.viewMonthHash?(u.from=o.day,u.includeFrom=!0):u.from=1,l===this.viewMonthHash?(u.to=a.day,u.includeTo=!0):u.to=this.daysInMonth,u}}},viewMonthHash:function(){return this.__getMonthHash(this.viewModel)},selectionDaysMap:function(){var t=this,e={};if(void 0===this.options){for(var n=1;n<=this.daysInMonth;n++)e[n]=!0;return e}for(var i="function"==typeof this.options?this.options:function(e){return t.options.includes(e)},r=1;r<=this.daysInMonth;r++){var o=this.viewMonthHash+"/"+ht(r);e[r]=i(o)}return e},eventDaysMap:function(){var t=this,e={};if(void 0===this.events)for(var n=1;n<=this.daysInMonth;n++)e[n]=!1;else for(var i="function"==typeof this.events?this.events:function(e){return t.events.includes(e)},r=1;r<=this.daysInMonth;r++){var o=this.viewMonthHash+"/"+ht(r);e[r]=!0===i(o)&&this.evtColor(o)}return e},viewDays:function(){var t,e,n=this.viewModel,i=n.year,r=n.month;if("persian"!==this.calendar)t=new Date(i,r-1,1),e=new Date(i,r-1,0).getDate();else{var o=gi(i,r,1);t=new Date(o.gy,o.gm-1,o.gd);var a=r-1,s=i;0===a&&(a=12,s--),e=yi(s,a)}return{days:t.getDay()-this.computedFirstDayOfWeek-1,endDay:e}},days:function(){var t=this,e=[],n=this.viewDays,i=n.days,r=n.endDay,o=i<0?i+7:i;if(o<6)for(var a=r-o;a<=r;a++)e.push({i:a,fill:!0});for(var s=e.length,l=1;l<=this.daysInMonth;l++){var u={i:l,event:this.eventDaysMap[l],classes:[]};!0===this.selectionDaysMap[l]&&(u.in=!0,u.flat=!0),e.push(u)}if(void 0!==this.daysMap[this.viewMonthHash]&&this.daysMap[this.viewMonthHash].forEach((function(n){var i=s+n-1;Object.assign(e[i],{selected:!0,unelevated:!0,flat:!1,color:t.computedColor,textColor:t.computedTextColor})})),void 0!==this.rangeMap[this.viewMonthHash]&&this.rangeMap[this.viewMonthHash].forEach((function(n){if(void 0!==n.from){for(var i=s+n.from-1,r=s+(n.to||t.daysInMonth)-1,o=i;o<=r;o++)Object.assign(e[o],{range:n.range,unelevated:!0,color:t.computedColor,textColor:t.computedTextColor});Object.assign(e[i],{rangeFrom:!0,flat:!1}),void 0!==n.to&&Object.assign(e[r],{rangeTo:!0,flat:!1})}else if(void 0!==n.to){for(var a=s+n.to-1,l=s;l<=a;l++)Object.assign(e[l],{range:n.range,unelevated:!0,color:t.computedColor,textColor:t.computedTextColor});Object.assign(e[a],{flat:!1,rangeTo:!0})}else for(var u=s+t.daysInMonth-1,c=s;c<=u;c++)Object.assign(e[c],{range:n.range,unelevated:!0,color:t.computedColor,textColor:t.computedTextColor})})),void 0!==this.rangeView){for(var c=s+this.rangeView.from-1,d=s+this.rangeView.to-1,h=c;h<=d;h++)e[h].color=this.computedColor,e[h].editRange=!0;!0===this.rangeView.includeFrom&&(e[c].editRangeFrom=!0),!0===this.rangeView.includeTo&&(e[d].editRangeTo=!0)}this.viewModel.year===this.today.year&&this.viewModel.month===this.today.month&&(e[s+this.today.day-1].today=!0);var f=e.length%7;if(f>0)for(var p=7-f,m=1;m<=p;m++)e.push({i:m,fill:!0});return e.forEach((function(t){var e="q-date__calendar-item ";!0===t.fill?e+="q-date__calendar-item--fill":(e+="q-date__calendar-item--"+(!0===t.in?"in":"out"),void 0!==t.range&&(e+=" q-date__range"+(!0===t.rangeTo?"-to":!0===t.rangeFrom?"-from":"")),!0===t.editRange&&(e+=" q-date__edit-range"+(!0===t.editRangeFrom?"-from":"")+(!0===t.editRangeTo?"-to":"")),void 0===t.range&&!0!==t.editRange||(e+=" text-"+t.color)),t.classes=e})),e},attrs:function(){return!0===this.disable?{"aria-disabled":"true"}:!0===this.readonly?{"aria-readonly":"true"}:void 0}},methods:{setToday:function(){this.__toggleDate(this.today,this.__getMonthHash(this.today)),this.setCalendarTo(this.today.year,this.today.month)},setView:function(t){!0===rr(t)&&(this.view=t)},offsetCalendar:function(t,e){["month","year"].includes(t)&&this["__goTo"+("month"===t?"Month":"Year")](!0===e?-1:1)},setCalendarTo:function(t,e){this.view="Calendar",this.__updateViewModel(t,e)},setEditingRange:function(t,e){if(!1!==this.range&&t){var n=Object.assign(Object.assign({},this.viewModel),t),i=void 0!==e?Object.assign(Object.assign({},this.viewModel),e):n;this.editRange={init:n,initHash:this.__getDayHash(n),final:i,finalHash:this.__getDayHash(i)},this.setCalendarTo(n.year,n.month)}else this.editRange=void 0},__getMask:function(){return"persian"===this.calendar?"YYYY/MM/DD":this.mask},__decodeString:function(t,e,n){return Pi(t,e,n,this.calendar,{hour:0,minute:0,second:0,millisecond:0})},__getViewModel:function(t,e){var n=!0===Array.isArray(this.value)?this.value:this.value?[this.value]:[];if(0===n.length)return this.__getDefaultViewModel();var i=this.__decodeString(void 0!==n[0].from?n[0].from:n[0],t,e);return null===i.dateHash?this.__getDefaultViewModel():i},__getDefaultViewModel:function(){var t,e;if(void 0!==this.defaultYearMonth){var n=this.defaultYearMonth.split("/");t=parseInt(n[0],10),e=parseInt(n[1],10)}else{var i=void 0!==this.today?this.today:this.__getCurrentDate();t=i.year,e=i.month}return{year:t,month:e,day:1,hour:0,minute:0,second:0,millisecond:0,dateHash:t+"/"+ht(e)+"/01"}},__getHeader:function(t){var e=this;if(!0!==this.minimal)return t("div",{staticClass:"q-date__header",class:this.headerClass},[t("div",{staticClass:"relative-position"},[t("transition",{props:{name:"q-transition--fade"}},[t("div",{key:"h-yr-"+this.headerSubtitle,staticClass:"q-date__header-subtitle q-date__header-link",class:"Years"===this.view?"q-date__header-link--active":"cursor-pointer",attrs:{tabindex:this.computedTabindex},on:pt(this,"vY",{click:function(){e.view="Years"},keyup:function(t){13===t.keyCode&&(e.view="Years")}})},[this.headerSubtitle])])]),t("div",{staticClass:"q-date__header-title relative-position flex no-wrap"},[t("div",{staticClass:"relative-position col"},[t("transition",{props:{name:"q-transition--fade"}},[t("div",{key:"h-sub"+this.headerTitle,staticClass:"q-date__header-title-label q-date__header-link",class:"Calendar"===this.view?"q-date__header-link--active":"cursor-pointer",attrs:{tabindex:this.computedTabindex},on:pt(this,"vC",{click:function(){e.view="Calendar"},keyup:function(t){13===t.keyCode&&(e.view="Calendar")}})},[this.headerTitle])])]),!0===this.todayBtn?t(ye,{staticClass:"q-date__header-today self-start",props:{icon:this.$q.iconSet.datetime.today,flat:!0,size:"sm",round:!0,tabindex:this.computedTabindex},on:pt(this,"today",{click:this.setToday})}):null])])},__getNavigation:function(t,e){var n=this,i=e.label,r=e.view,o=e.key,a=e.dir,s=e.goTo,l=e.boundaries,u=e.cls;return[t("div",{staticClass:"row items-center q-date__arrow"},[t(ye,{props:{round:!0,dense:!0,size:"sm",flat:!0,icon:this.dateArrow[0],tabindex:this.computedTabindex,disable:!1===l.prev},on:pt(this,"go-#"+r,{click:function(){s(-1)}})})]),t("div",{staticClass:"relative-position overflow-hidden flex flex-center"+u},[t("transition",{props:{name:"q-transition--jump-"+a}},[t("div",{key:o},[t(ye,{props:{flat:!0,dense:!0,noCaps:!0,label:i,tabindex:this.computedTabindex},on:pt(this,"view#"+r,{click:function(){n.view=r}})})])])]),t("div",{staticClass:"row items-center q-date__arrow"},[t(ye,{props:{round:!0,dense:!0,size:"sm",flat:!0,icon:this.dateArrow[1],tabindex:this.computedTabindex,disable:!1===l.next},on:pt(this,"go+#"+r,{click:function(){s(1)}})})])]},__getCalendarView:function(t){var e=this;return[t("div",{key:"calendar-view",staticClass:"q-date__view q-date__calendar"},[t("div",{staticClass:"q-date__navigation row items-center no-wrap"},this.__getNavigation(t,{label:this.innerLocale.months[this.viewModel.month-1],view:"Months",key:this.viewModel.month,dir:this.monthDirection,goTo:this.__goToMonth,boundaries:this.navBoundaries.month,cls:" col"}).concat(this.__getNavigation(t,{label:this.viewModel.year,view:"Years",key:this.viewModel.year,dir:this.yearDirection,goTo:this.__goToYear,boundaries:this.navBoundaries.year,cls:""}))),t("div",{staticClass:"q-date__calendar-weekdays row items-center no-wrap"},this.daysOfWeek.map((function(e){return t("div",{staticClass:"q-date__calendar-item"},[t("div",[e])])}))),t("div",{staticClass:"q-date__calendar-days-container relative-position overflow-hidden"},[t("transition",{props:{name:"q-transition--slide-"+this.monthDirection}},[t("div",{key:this.viewMonthHash,staticClass:"q-date__calendar-days fit"},this.days.map((function(n){return t("div",{staticClass:n.classes},[!0===n.in?t(ye,{staticClass:!0===n.today?"q-date__today":null,props:{dense:!0,flat:n.flat,unelevated:n.unelevated,color:n.color,textColor:n.textColor,label:n.i,tabindex:e.computedTabindex},on:pt(e,"day#"+n.i,{click:function(){e.__onDayClick(n.i)},mouseover:function(){e.__onDayMouseover(n.i)}})},!1!==n.event?[t("div",{staticClass:"q-date__event bg-"+n.event})]:null):t("div",[n.i])])})))])])])]},__getMonthsView:function(t){var e=this,n=this.viewModel.year===this.today.year,i=function(t){return void 0!==e.minNav&&e.viewModel.year===e.minNav.year&&e.minNav.month>t||void 0!==e.maxNav&&e.viewModel.year===e.maxNav.year&&e.maxNav.month<t},r=this.innerLocale.monthsShort.map((function(r,o){var a=e.viewModel.month===o+1;return t("div",{staticClass:"q-date__months-item flex flex-center"},[t(ye,{staticClass:!0===n&&e.today.month===o+1?"q-date__today":null,props:{flat:!0!==a,label:r,unelevated:a,color:!0===a?e.computedColor:null,textColor:!0===a?e.computedTextColor:null,tabindex:e.computedTabindex,disable:i(o+1)},on:pt(e,"month#"+o,{click:function(){e.__setMonth(o+1)}})})])}));return!0===this.yearsInMonthView&&r.unshift(t("div",{staticClass:"row no-wrap full-width"},[this.__getNavigation(t,{label:this.viewModel.year,view:"Years",key:this.viewModel.year,dir:this.yearDirection,goTo:this.__goToYear,boundaries:this.navBoundaries.year,cls:" col"})])),t("div",{key:"months-view",staticClass:"q-date__view q-date__months flex flex-center"},r)},__getYearsView:function(t){for(var e=this,n=this.startYear,i=n+nr,r=[],o=function(t){return void 0!==e.minNav&&e.minNav.year>t||void 0!==e.maxNav&&e.maxNav.year<t},a=function(n){var i=e.viewModel.year===n;r.push(t("div",{staticClass:"q-date__years-item flex flex-center"},[t(ye,{key:"yr"+n,staticClass:e.today.year===n?"q-date__today":null,props:{flat:!i,label:n,dense:!0,unelevated:i,color:!0===i?e.computedColor:null,textColor:!0===i?e.computedTextColor:null,tabindex:e.computedTabindex,disable:o(n)},on:pt(e,"yr#"+n,{click:function(){e.__setYear(n)}})})]))},s=n;s<=i;s++)a(s);return t("div",{staticClass:"q-date__view q-date__years flex flex-center"},[t("div",{staticClass:"col-auto"},[t(ye,{props:{round:!0,dense:!0,flat:!0,icon:this.dateArrow[0],tabindex:this.computedTabindex,disable:o(n)},on:pt(this,"y-",{click:function(){e.startYear-=nr}})})]),t("div",{staticClass:"q-date__years-content col self-stretch row items-center"},r),t("div",{staticClass:"col-auto"},[t(ye,{props:{round:!0,dense:!0,flat:!0,icon:this.dateArrow[1],tabindex:this.computedTabindex,disable:o(i)},on:pt(this,"y+",{click:function(){e.startYear+=nr}})})])])},__goToMonth:function(t){var e=this.viewModel.year,n=Number(this.viewModel.month)+t;13===n?(n=1,e++):0===n&&(n=12,e--),this.__updateViewModel(e,n),!0===this.isImmediate&&this.__emitImmediately("month")},__goToYear:function(t){var e=Number(this.viewModel.year)+t;this.__updateViewModel(e,this.viewModel.month),!0===this.isImmediate&&this.__emitImmediately("year")},__setYear:function(t){this.__updateViewModel(t,this.viewModel.month),this.view="Years"===this.defaultView?"Months":"Calendar",!0===this.isImmediate&&this.__emitImmediately("year")},__setMonth:function(t){this.__updateViewModel(this.viewModel.year,t),this.view="Calendar",!0===this.isImmediate&&this.__emitImmediately("month")},__getMonthHash:function(t){return t.year+"/"+ht(t.month)},__getDayHash:function(t){return t.year+"/"+ht(t.month)+"/"+ht(t.day)},__toggleDate:function(t,e){var n=this.daysMap[e];(void 0!==n&&!0===n.includes(t.day)?this.__removeFromModel:this.__addToModel)(t)},__getShortDate:function(t){return{year:t.year,month:t.month,day:t.day}},__onDayClick:function(t){var e=Object.assign({},this.viewModel,{day:t});if(!1!==this.range)if(void 0===this.editRange){var n=this.days.find((function(e){return!0!==e.fill&&e.i===t}));if(void 0!==n.range)return void this.__removeFromModel({target:e,from:n.range.from,to:n.range.to});if(!0===n.selected)return void this.__removeFromModel(e);var i=this.__getDayHash(e);this.editRange={init:e,initHash:i,final:e,finalHash:i},this.$emit("range-start",this.__getShortDate(e))}else{var r=this.editRange.initHash,o=this.__getDayHash(e),a=r<=o?{from:this.editRange.init,to:e}:{from:e,to:this.editRange.init};this.editRange=void 0,this.__addToModel(r===o?e:Object.assign({},{target:e},a)),this.$emit("range-end",{from:this.__getShortDate(a.from),to:this.__getShortDate(a.to)})}else this.__toggleDate(e,this.viewMonthHash)},__onDayMouseover:function(t){if(void 0!==this.editRange){var e=Object.assign({},this.viewModel,{day:t});Object.assign(this.editRange,{final:e,finalHash:this.__getDayHash(e)})}},__updateViewModel:function(t,e){var n=this;void 0!==this.minNav&&t<=this.minNav.year&&(t=this.minNav.year,e<this.minNav.month&&(e=this.minNav.month)),void 0!==this.maxNav&&t>=this.maxNav.year&&(t=this.maxNav.year,e>this.maxNav.month&&(e=this.maxNav.month));var i=t+"/"+ht(e)+"/01";i!==this.viewModel.dateHash&&(this.monthDirection=this.viewModel.dateHash<i==(!0!==this.$q.lang.rtl)?"left":"right",t!==this.viewModel.year&&(this.yearDirection=this.monthDirection),this.$nextTick((function(){n.startYear=t-t%nr-(t<0?nr:0),Object.assign(n.viewModel,{year:t,month:e,day:1,dateHash:i})})))},__emitValue:function(t,e,n){var i=null!==t&&1===t.length&&!1===this.multiple?t[0]:t;this.lastEmitValue=i;var r=this.__getEmitParams(e,n),o=r.reason,a=r.details;this.$emit("input",i,o,a)},__emitImmediately:function(t){var e=this,n=this.daysModel[0];this.$nextTick((function(){n.year=e.viewModel.year,n.month=e.viewModel.month;var i="persian"!==e.calendar?new Date(n.year,n.month,0).getDate():yi(n.year,n.month);n.day=Math.min(Math.max(1,n.day),i);var r=e.__encodeEntry(n);e.lastEmitValue=r;var o=e.__getEmitParams("",n).details;e.$emit("input",r,t,o)}))},__getEmitParams:function(t,e){return void 0!==e.from?{reason:t+"-range",details:Object.assign({},this.__getShortDate(e.target),{from:this.__getShortDate(e.from),to:this.__getShortDate(e.to),changed:!0})}:{reason:t+"-day",details:Object.assign({},this.__getShortDate(e),{changed:!0})}},__encodeEntry:function(t,e,n){return void 0!==t.from?{from:this.encodeObjectFn(t.from,e,n),to:this.encodeObjectFn(t.to,e,n)}:this.encodeObjectFn(t,e,n)},__addToModel:function(t){var e,n=this;if(!0===this.multiple)if(void 0!==t.from){var i=this.__getDayHash(t.from),r=this.__getDayHash(t.to),o=this.daysModel.filter((function(t){return t.dateHash<i||t.dateHash>r})),a=this.rangeModel.filter((function(t){var e=t.from;return t.to.dateHash<i||e.dateHash>r}));e=o.concat(a).concat(t).map((function(t){return n.__encodeEntry(t)}))}else{var s=this.normalizedModel.slice();s.push(this.__encodeEntry(t)),e=s}else e=this.__encodeEntry(t);this.__emitValue(e,"add",t)},__removeFromModel:function(t){if(!0!==this.noUnset){var e=null;if(!0===this.multiple&&!0===Array.isArray(this.value)){var n=this.__encodeEntry(t);e=void 0!==t.from?this.value.filter((function(t){return void 0===t.from||t.from!==n.from&&t.to!==n.to})):this.value.filter((function(t){return t!==n})),0===e.length&&(e=null)}this.__emitValue(e,"remove",t)}},__updateValue:function(t,e,n){var i=this,r=this.daysModel.concat(this.rangeModel).map((function(n){return i.__encodeEntry(n,t,e)})).filter((function(t){return void 0!==t.from?null!==t.from.dateHash&&null!==t.to.dateHash:null!==t.dateHash}));this.$emit("input",(!0===this.multiple?r:r[0])||null,n)}},render:function(t){var e=[t("div",{staticClass:"q-date__content col relative-position"},[t("transition",{props:{name:"q-transition--fade"}},[this["__get"+this.view+"View"](t)])])],n=Et(this,"default");return void 0!==n&&e.push(t("div",{staticClass:"q-date__actions"},n)),void 0!==this.name&&!0!==this.disable&&this.__injectFormInput(e,"push"),t("div",{class:this.classes,attrs:this.attrs,on:Object.assign({},this.qListeners)},[this.__getHeader(t),t("div",{staticClass:"q-date__main col column",attrs:{tabindex:-1},ref:"blurTarget"},e)])}}),lr={methods:{__addHistory:function(){var t=this;this.__historyEntry={condition:function(){return!0===t.hideOnRouteChange},handler:this.hide},R.add(this.__historyEntry)},__removeHistory:function(){void 0!==this.__historyEntry&&(R.remove(this.__historyEntry),this.__historyEntry=void 0)}},beforeDestroy:function(){!0===this.showing&&this.__removeHistory()}},ur=0,cr=!1;function dr(t){(function(t){if(t.target===document.body||t.target.classList.contains("q-layout__backdrop"))return!0;for(var e=_(t),n=t.shiftKey&&!t.deltaX,i=!n&&Math.abs(t.deltaX)<=Math.abs(t.deltaY),r=n||i?t.deltaY:t.deltaX,o=0;o<e.length;o++){var a=e[o];if(Qe(a,i))return i?r<0&&0===a.scrollTop||r>0&&a.scrollTop+a.clientHeight===a.scrollHeight:r<0&&0===a.scrollLeft||r>0&&a.scrollLeft+a.clientWidth===a.scrollWidth}return!0})(t)&&w(t)}function hr(t){t.target===document&&(document.scrollingElement.scrollTop=document.scrollingElement.scrollTop)}function fr(t){!0!==cr&&(cr=!0,requestAnimationFrame((function(){cr=!1;var e=t.target.height,n=document.scrollingElement,i=n.clientHeight,r=n.scrollTop;void 0!==Zi&&e===window.innerHeight||(Zi=i-e,document.scrollingElement.scrollTop=r),r>Zi&&(document.scrollingElement.scrollTop-=Math.ceil((r-Zi)/8))})))}function pr(t){var e=document.body,n=void 0!==window.visualViewport;if("add"===t){var i=window.getComputedStyle(e).overflowY;Gi=Fe(window),Ki=$e(window),Ji=e.style.left,Xi=e.style.top,e.style.left="-"+Gi+"px",e.style.top="-"+Ki+"px","hidden"!==i&&("scroll"===i||e.scrollHeight>window.innerHeight)&&e.classList.add("q-body--force-scrollbar"),e.classList.add("q-body--prevent-scroll"),document.qScrollPrevented=!0,!0===d.is.ios&&(!0===n?(window.scrollTo(0,0),window.visualViewport.addEventListener("resize",fr,f.passiveCapture),window.visualViewport.addEventListener("scroll",fr,f.passiveCapture),window.scrollTo(0,0)):window.addEventListener("scroll",hr,f.passiveCapture))}!0===d.is.desktop&&!0===d.is.mac&&window[t+"EventListener"]("wheel",dr,f.notPassive),"remove"===t&&(!0===d.is.ios&&(!0===n?(window.visualViewport.removeEventListener("resize",fr,f.passiveCapture),window.visualViewport.removeEventListener("scroll",fr,f.passiveCapture)):window.removeEventListener("scroll",hr,f.passiveCapture)),e.classList.remove("q-body--prevent-scroll"),e.classList.remove("q-body--force-scrollbar"),document.qScrollPrevented=!1,e.style.left=Ji,e.style.top=Xi,window.scrollTo(Gi,Ki),Zi=void 0)}function mr(t){var e="add";if(!0===t){if(ur++,void 0!==tr)return clearTimeout(tr),void(tr=void 0);if(ur>1)return}else{if(0===ur)return;if(--ur>0)return;if(e="remove",!0===d.is.ios&&!0===d.is.nativeMobile)return clearTimeout(tr),void(tr=setTimeout((function(){pr(e),tr=void 0}),100))}pr(e)}for(var vr,gr={methods:{__preventScroll:function(t){t===this.preventedScroll||void 0===this.preventedScroll&&!0!==t||(this.preventedScroll=t,mr(t))}}},_r=0,yr={standard:"fixed-full flex-center",top:"fixed-top justify-center",bottom:"fixed-bottom justify-center",right:"fixed-right items-center",left:"fixed-left items-center"},br={standard:["scale","scale"],top:["slide-down","slide-up"],bottom:["slide-up","slide-down"],right:["slide-left","slide-right"],left:["slide-right","slide-left"]},wr=t.extend({name:"QDialog",mixins:[_t,lr,Se,Me,gr],props:{persistent:Boolean,autoClose:Boolean,noEscDismiss:Boolean,noBackdropDismiss:Boolean,noRouteDismiss:Boolean,noRefocus:Boolean,noFocus:Boolean,seamless:Boolean,maximized:Boolean,fullWidth:Boolean,fullHeight:Boolean,square:Boolean,position:{type:String,default:"standard",validator:function(t){return"standard"===t||["top","bottom","left","right"].includes(t)}},transitionShow:String,transitionHide:String},data:function(){return{transitionState:this.showing}},watch:{showing:function(t){var e=this;this.transitionShowComputed!==this.transitionHideComputed&&this.$nextTick((function(){e.transitionState=t}))},maximized:function(t){!0===this.showing&&this.__updateMaximized(t)},useBackdrop:function(t){this.__preventScroll(t),this.__preventFocusout(t)}},computed:{classes:function(){return"q-dialog__inner--"+(!0===this.maximized?"maximized":"minimized")+" q-dialog__inner--"+this.position+" "+yr[this.position]+(!0===this.fullWidth?" q-dialog__inner--fullwidth":"")+(!0===this.fullHeight?" q-dialog__inner--fullheight":"")+(!0===this.square?" q-dialog__inner--square":"")},transitionShowComputed:function(){return"q-transition--"+(void 0===this.transitionShow?br[this.position][0]:this.transitionShow)},transitionHideComputed:function(){return"q-transition--"+(void 0===this.transitionHide?br[this.position][1]:this.transitionHide)},transition:function(){return!0===this.transitionState?this.transitionHideComputed:this.transitionShowComputed},useBackdrop:function(){return!0===this.showing&&!0!==this.seamless},hideOnRouteChange:function(){return!0!==this.persistent&&!0!==this.noRouteDismiss&&!0!==this.seamless},onEvents:function(){var t=Object.assign({},this.qListeners,{input:y,"popup-show":y,"popup-hide":y});return!0===this.autoClose&&(t.click=this.__onAutoClose),t}},methods:{focus:function(){var t=this.__getInnerNode();void 0!==t&&!0!==t.contains(document.activeElement)&&(t=t.querySelector("[autofocus], [data-autofocus]")||t).focus()},shake:function(){this.focus(),this.$emit("shake");var t=this.__getInnerNode();void 0!==t&&(t.classList.remove("q-animate--scale"),t.classList.add("q-animate--scale"),clearTimeout(this.shakeTimeout),this.shakeTimeout=setTimeout((function(){t.classList.remove("q-animate--scale")}),170))},__getInnerNode:function(){return void 0!==this.__portal&&void 0!==this.__portal.$refs?this.__portal.$refs.inner:void 0},__show:function(t){var e=this;this.__addHistory(),this.__refocusTarget=!1===this.noRefocus&&null!==document.activeElement?document.activeElement:void 0,this.$el.dispatchEvent(k("popup-show",{bubbles:!0})),this.__updateMaximized(this.maximized),tn.register(this,(function(){!0!==e.seamless&&(!0===e.persistent||!0===e.noEscDismiss?!0!==e.maximized&&e.shake():(e.$emit("escape-key"),e.hide()))})),this.__showPortal(),!0!==this.noFocus&&(null!==document.activeElement&&document.activeElement.blur(),this.__nextTick(this.focus)),this.__setTimeout((function(){if(!0===e.$q.platform.is.ios){if(!0!==e.seamless&&document.activeElement){var n=document.activeElement.getBoundingClientRect(),i=n.top,r=n.bottom,o=window.innerHeight,a=void 0!==window.visualViewport?window.visualViewport.height:o;if(i>0&&r>a/2){var s=Math.min(document.scrollingElement.scrollHeight-a,r>=o?1/0:Math.ceil(document.scrollingElement.scrollTop+r-a/2)),l=function(){requestAnimationFrame((function(){document.scrollingElement.scrollTop+=Math.ceil((s-document.scrollingElement.scrollTop)/8),document.scrollingElement.scrollTop!==s&&l()}))};l()}document.activeElement.scrollIntoView()}e.__portal.$el.click()}e.$emit("show",t)}),300)},__hide:function(t){var e=this;this.__removeHistory(),this.__cleanup(!0),void 0!==this.__refocusTarget&&null!==this.__refocusTarget&&this.__refocusTarget.focus(),this.$el.dispatchEvent(k("popup-hide",{bubbles:!0})),this.__setTimeout((function(){e.__hidePortal(),e.$emit("hide",t)}),300)},__cleanup:function(t){clearTimeout(this.shakeTimeout),!0!==t&&!0!==this.showing||(tn.pop(this),this.__updateMaximized(!1),!0!==this.seamless&&(this.__preventScroll(!1),this.__preventFocusout(!1)))},__updateMaximized:function(t){!0===t?!0!==this.isMaximized&&(_r<1&&document.body.classList.add("q-body--dialog"),_r++,this.isMaximized=!0):!0===this.isMaximized&&(_r<2&&document.body.classList.remove("q-body--dialog"),_r--,this.isMaximized=!1)},__preventFocusout:function(t){if(!0===this.$q.platform.is.desktop){var e=(!0===t?"add":"remove")+"EventListener";document.body[e]("focusin",this.__onFocusChange)}},__onAutoClose:function(t){this.hide(t),void 0!==this.qListeners.click&&this.$emit("click",t)},__onBackdropClick:function(t){!0!==this.persistent&&!0!==this.noBackdropDismiss?this.hide(t):this.shake()},__onFocusChange:function(t){!0===this.showing&&void 0!==this.__portal&&!0!==function(t,e){if(void 0===t||!0===t.contains(e))return!0;for(var n=t.nextElementSibling;null!==n;n=n.nextElementSibling)if(n.contains(e))return!0;return!1}(this.__portal.$el,t.target)&&this.focus()},__renderPortal:function(t){return t("div",{staticClass:"q-dialog fullscreen no-pointer-events",class:this.contentClass,style:this.contentStyle,attrs:this.qAttrs},[t("transition",{props:{name:"q-transition--fade"}},!0===this.useBackdrop?[t("div",{staticClass:"q-dialog__backdrop fixed-full",attrs:gt,on:pt(this,"bkdrop",{click:this.__onBackdropClick})})]:null),t("transition",{props:{name:this.transition}},[!0===this.showing?t("div",{ref:"inner",staticClass:"q-dialog__inner flex no-pointer-events",class:this.classes,attrs:{tabindex:-1},on:this.onEvents},Et(this,"default")):null])])}},mounted:function(){this.__processModelChange(this.value)},beforeDestroy:function(){this.__cleanup()}}),xr=["mouseover","mouseout","mouseenter","mouseleave"],kr=t.extend({name:"QDrawer",inject:{layout:{default:function(){console.error("QDrawer needs to be child of QLayout")}}},mixins:[It,lr,Se,gr],directives:{TouchPan:Gn},props:{side:{type:String,default:"left",validator:function(t){return["left","right"].includes(t)}},width:{type:Number,default:300},mini:Boolean,miniToOverlay:Boolean,miniWidth:{type:Number,default:57},breakpoint:{type:Number,default:1023},showIfAbove:Boolean,behavior:{type:String,validator:function(t){return["default","desktop","mobile"].includes(t)},default:"default"},bordered:Boolean,elevated:Boolean,contentStyle:[String,Object,Array],contentClass:[String,Object,Array],overlay:Boolean,persistent:Boolean,noSwipeOpen:Boolean,noSwipeClose:Boolean,noSwipeBackdrop:Boolean},data:function(){var t="mobile"===this.behavior||"desktop"!==this.behavior&&this.layout.totalWidth<=this.breakpoint;return{belowBreakpoint:t,showing:!0===this.showIfAbove&&!1===t||!0===this.value}},watch:{belowBreakpoint:function(t){!0===t?(this.lastDesktopState=this.showing,!0===this.showing&&this.hide(!1)):!1===this.overlay&&"mobile"!==this.behavior&&!1!==this.lastDesktopState&&(!0===this.showing?(this.__applyPosition(0),this.__applyBackdrop(0),this.__cleanup()):this.show(!1))},"layout.totalWidth":function(t){this.__updateLocal("belowBreakpoint","mobile"===this.behavior||"desktop"!==this.behavior&&t<=this.breakpoint)},side:function(t,e){this.layout.instances[e]===this&&(this.layout.instances[e]=void 0,this.layout[e].space=!1,this.layout[e].offset=0),this.layout.instances[t]=this,this.layout[t].size=this.size,this.layout[t].space=this.onLayout,this.layout[t].offset=this.offset},behavior:function(t){this.__updateLocal("belowBreakpoint","mobile"===t||"desktop"!==t&&this.layout.totalWidth<=this.breakpoint)},breakpoint:function(t){this.__updateLocal("belowBreakpoint","mobile"===this.behavior||"desktop"!==this.behavior&&this.layout.totalWidth<=t)},"layout.container":function(t){!0===this.showing&&this.__preventScroll(!0!==t)},"layout.scrollbarWidth":function(){this.__applyPosition(!0===this.showing?0:void 0)},offset:function(t){this.__update("offset",t)},onLayout:function(t){this.$emit("on-layout",t),this.__update("space",t)},rightSide:function(){this.__applyPosition()},size:function(t){this.__applyPosition(),this.__updateSizeOnLayout(this.miniToOverlay,t)},miniToOverlay:function(t){this.__updateSizeOnLayout(t,this.size)},"$q.lang.rtl":function(){this.__applyPosition()},mini:function(){!0===this.value&&(this.__animateMini(),this.layout.__animate())},isMini:function(t){this.$emit("mini-state",t)}},computed:{rightSide:function(){return"right"===this.side},otherSide:function(){return!0===this.rightSide?"left":"right"},offset:function(){return!0===this.showing&&!1===this.belowBreakpoint&&!1===this.overlay?!0===this.miniToOverlay?this.miniWidth:this.size:0},size:function(){return!0===this.isMini?this.miniWidth:this.width},fixed:function(){return!0===this.overlay||!0===this.miniToOverlay||this.layout.view.indexOf(this.rightSide?"R":"L")>-1||this.$q.platform.is.ios&&!0===this.layout.container},onLayout:function(){return!0===this.showing&&!1===this.belowBreakpoint&&!1===this.overlay},onScreenOverlay:function(){return!0===this.showing&&!1===this.belowBreakpoint&&!0===this.overlay},backdropClass:function(){return!1===this.showing?"hidden":null},headerSlot:function(){return!0===this.rightSide?"r"===this.layout.rows.top[2]:"l"===this.layout.rows.top[0]},footerSlot:function(){return!0===this.rightSide?"r"===this.layout.rows.bottom[2]:"l"===this.layout.rows.bottom[0]},aboveStyle:function(){var t={};return!0===this.layout.header.space&&!1===this.headerSlot&&(!0===this.fixed?t.top=this.layout.header.offset+"px":!0===this.layout.header.space&&(t.top=this.layout.header.size+"px")),!0===this.layout.footer.space&&!1===this.footerSlot&&(!0===this.fixed?t.bottom=this.layout.footer.offset+"px":!0===this.layout.footer.space&&(t.bottom=this.layout.footer.size+"px")),t},style:function(){var t={width:this.size+"px"};return!0===this.belowBreakpoint?t:Object.assign(t,this.aboveStyle)},classes:function(){return"q-drawer--"+this.side+(!0===this.bordered?" q-drawer--bordered":"")+(!0===this.isDark?" q-drawer--dark q-dark":"")+(!0!==this.showing?" q-layout--prevent-focus":"")+(!0===this.belowBreakpoint?" fixed q-drawer--on-top q-drawer--mobile q-drawer--top-padding":" q-drawer--"+(!0===this.isMini?"mini":"standard")+(!0===this.fixed||!0!==this.onLayout?" fixed":"")+(!0===this.overlay||!0===this.miniToOverlay?" q-drawer--on-top":"")+(!0===this.headerSlot?" q-drawer--top-padding":""))},stateDirection:function(){return(!0===this.$q.lang.rtl?-1:1)*(!0===this.rightSide?1:-1)},isMini:function(){return!0===this.mini&&!0!==this.belowBreakpoint},onNativeEvents:function(){var t=this;if(!0!==this.belowBreakpoint){var e={"!click":function(e){t.$emit("click",e)}};return xr.forEach((function(n){e[n]=function(e){void 0!==t.qListeners[n]&&t.$emit(n,e)}})),e}},hideOnRouteChange:function(){return!0!==this.persistent&&(!0===this.belowBreakpoint||!0===this.onScreenOverlay)},openDirective:function(){var t,e=!0===this.$q.lang.rtl?this.side:this.otherSide;return[{name:"touch-pan",value:this.__openByTouch,modifiers:(t={},t[e]=!0,t.mouse=!0,t)}]},contentCloseDirective:function(){var t;if(!0!==this.noSwipeClose){var e=!0===this.$q.lang.rtl?this.otherSide:this.side;return[{name:"touch-pan",value:this.__closeByTouch,modifiers:(t={},t[e]=!0,t.mouse=!0,t)}]}},backdropCloseDirective:function(){var t;if(!0!==this.noSwipeBackdrop){var e=!0===this.$q.lang.rtl?this.otherSide:this.side;return[{name:"touch-pan",value:this.__closeByTouch,modifiers:(t={},t[e]=!0,t.mouse=!0,t.mouseAllDir=!0,t)}]}}},methods:{__applyPosition:function(t){var e=this;void 0===t?this.$nextTick((function(){t=!0===e.showing?0:e.size,e.__applyPosition(e.stateDirection*t)})):void 0!==this.$refs.content&&(!0!==this.layout.container||!0!==this.rightSide||!0!==this.belowBreakpoint&&Math.abs(t)!==this.size||(t+=this.stateDirection*this.layout.scrollbarWidth),this.__lastPosition!==t&&(this.$refs.content.style.transform="translateX("+t+"px)",this.__lastPosition=t))},__applyBackdrop:function(t,e){var n=this;void 0!==this.$refs.backdrop?this.$refs.backdrop.style.backgroundColor=this.lastBackdropBg="rgba(0,0,0,"+.4*t+")":!0!==e&&this.$nextTick((function(){n.__applyBackdrop(t,!0)}))},__setBackdropVisible:function(t){void 0!==this.$refs.backdrop&&this.$refs.backdrop.classList[!0===t?"remove":"add"]("hidden")},__setScrollable:function(t){var e=!0===t?"remove":!0!==this.layout.container?"add":"";""!==e&&document.body.classList[e]("q-body--drawer-toggle")},__animateMini:function(){var t=this;void 0!==this.timerMini?clearTimeout(this.timerMini):void 0!==this.$el&&this.$el.classList.add("q-drawer--mini-animate"),this.timerMini=setTimeout((function(){void 0!==t.$el&&t.$el.classList.remove("q-drawer--mini-animate"),t.timerMini=void 0}),150)},__openByTouch:function(t){if(!1===this.showing){var e=this.size,n=ct(t.distance.x,0,e);if(!0===t.isFinal){var i=this.$refs.content,r=n>=Math.min(75,e);return i.classList.remove("no-transition"),void(!0===r?this.show():(this.layout.__animate(),this.__applyBackdrop(0),this.__applyPosition(this.stateDirection*e),i.classList.remove("q-drawer--delimiter"),i.classList.add("q-layout--prevent-focus"),this.__setBackdropVisible(!1)))}if(this.__applyPosition((!0===this.$q.lang.rtl?!0!==this.rightSide:this.rightSide)?Math.max(e-n,0):Math.min(0,n-e)),this.__applyBackdrop(ct(n/e,0,1)),!0===t.isFirst){var o=this.$refs.content;o.classList.add("no-transition"),o.classList.add("q-drawer--delimiter"),o.classList.remove("q-layout--prevent-focus"),this.__setBackdropVisible(!0)}}},__closeByTouch:function(t){if(!0===this.showing){var e=this.size,n=t.direction===this.side,i=(!0===this.$q.lang.rtl?!0!==n:n)?ct(t.distance.x,0,e):0;if(!0===t.isFinal){var r=Math.abs(i)<Math.min(75,e);return this.$refs.content.classList.remove("no-transition"),void(!0===r?(this.layout.__animate(),this.__applyBackdrop(1),this.__applyPosition(0)):this.hide())}this.__applyPosition(this.stateDirection*i),this.__applyBackdrop(ct(1-i/e,0,1)),!0===t.isFirst&&this.$refs.content.classList.add("no-transition")}},__show:function(t,e){var n=this;if(this.__addHistory(),this.__setBackdropVisible(!0),!1!==t&&this.layout.__animate(),this.__applyPosition(0),!0===this.belowBreakpoint){var i=this.layout.instances[this.otherSide];void 0!==i&&!0===i.belowBreakpoint&&i.hide(!1),this.__applyBackdrop(1),!0!==this.layout.container&&this.__preventScroll(!0)}else this.__applyBackdrop(0),!1!==t&&this.__setScrollable(!1);this.__setTimeout((function(){!1!==t&&n.__setScrollable(!0),!0!==e&&n.$emit("show",t)}),150)},__hide:function(t,e){var n=this;this.__removeHistory(),!1!==t&&this.layout.__animate(),this.__applyBackdrop(0),this.__applyPosition(this.stateDirection*this.size),this.__setBackdropVisible(!1),this.__cleanup(),!0!==e&&this.__setTimeout((function(){n.$emit("hide",t)}),150)},__cleanup:function(){this.__preventScroll(!1),this.__setScrollable(!0)},__update:function(t,e){this.layout[this.side][t]!==e&&(this.layout[this.side][t]=e)},__updateLocal:function(t,e){this[t]!==e&&(this[t]=e)},__updateSizeOnLayout:function(t,e){this.__update("size",!0===t?this.miniWidth:e)}},created:function(){this.layout.instances[this.side]=this,this.__updateSizeOnLayout(this.miniToOverlay,this.size),this.__update("space",this.onLayout),this.__update("offset",this.offset),!0===this.showIfAbove&&!0!==this.value&&!0===this.showing&&void 0!==this.qListeners.input&&this.$emit("input",!0)},mounted:function(){var t=this;this.$emit("on-layout",this.onLayout),this.$emit("mini-state",this.isMini),this.lastDesktopState=!0===this.showIfAbove;var e=function(){var e=!0===t.showing?"show":"hide";t["__"+e](!1,!0)};0===this.layout.totalWidth?this.watcher=this.$watch("layout.totalWidth",(function(){t.watcher(),t.watcher=void 0,!1===t.showing&&!0===t.showIfAbove&&!1===t.belowBreakpoint?t.show(!1):e()})):this.$nextTick(e)},beforeDestroy:function(){void 0!==this.watcher&&this.watcher(),clearTimeout(this.timerMini),!0===this.showing&&this.__cleanup(),this.layout.instances[this.side]===this&&(this.layout.instances[this.side]=void 0,this.__update("size",0),this.__update("offset",0),this.__update("space",!1))},render:function(t){var e=[];!0===this.belowBreakpoint&&(!0!==this.noSwipeOpen&&e.push(t("div",{staticClass:"q-drawer__opener fixed-"+this.side,attrs:gt,directives:this.openDirective})),e.push(t("div",{ref:"backdrop",staticClass:"fullscreen q-drawer__backdrop",class:this.backdropClass,attrs:gt,style:void 0!==this.lastBackdropBg?{backgroundColor:this.lastBackdropBg}:null,on:pt(this,"bkdrop",{click:this.hide}),directives:!1===this.showing?void 0:this.backdropCloseDirective})));var n=[t("div",{staticClass:"q-drawer__content fit "+(!0===this.layout.container?"overflow-auto":"scroll"),class:this.contentClass,style:this.contentStyle},!0===this.isMini&&void 0!==this.$scopedSlots.mini?this.$scopedSlots.mini():Et(this,"default"))];return!0===this.elevated&&!0===this.showing&&n.push(t("div",{staticClass:"q-layout__shadow absolute-full overflow-hidden no-pointer-events"})),e.push(t("aside",{ref:"content",staticClass:"q-drawer",class:this.classes,style:this.style,on:this.onNativeEvents,directives:!0===this.belowBreakpoint?this.contentCloseDirective:void 0},n)),t("div",{staticClass:"q-drawer-container"},e)}}),Sr=[!0,!1,"ondemand"],Cr={props:{value:{},error:{type:Boolean,default:null},errorMessage:String,noErrorIcon:Boolean,rules:Array,reactiveRules:Boolean,lazyRules:{type:[Boolean,String],validator:function(t){return Sr.includes(t)}}},data:function(){return{isDirty:null,innerError:!1,innerErrorMessage:void 0}},watch:{value:function(){this.__validateIfNeeded()},reactiveRules:{handler:function(t){var e=this;!0===t?void 0===this.unwatchRules&&(this.unwatchRules=this.$watch("rules",(function(){e.__validateIfNeeded(!0)}))):void 0!==this.unwatchRules&&(this.unwatchRules(),this.unwatchRules=void 0)},immediate:!0},focused:function(t){"ondemand"!==this.lazyRules&&(!0===t?null===this.isDirty&&(this.isDirty=!1):!1===this.isDirty&&!0===this.hasRules&&(this.isDirty=!0,this.validate()))}},computed:{hasRules:function(){return void 0!==this.rules&&null!==this.rules&&this.rules.length>0},hasError:function(){return!0===this.error||!0===this.innerError},computedErrorMessage:function(){return"string"==typeof this.errorMessage&&this.errorMessage.length>0?this.errorMessage:this.innerErrorMessage}},mounted:function(){this.validateIndex=0},beforeDestroy:function(){void 0!==this.unwatchRules&&this.unwatchRules()},methods:{resetValidation:function(){this.validateIndex++,this.innerLoading=!1,this.isDirty=null,this.innerError=!1,this.innerErrorMessage=void 0},validate:function(t){var e=this;if(void 0===t&&(t=this.value),!0!==this.hasRules)return!0;this.validateIndex++,!0!==this.innerLoading&&!0!==this.lazyRules&&(this.isDirty=!0);for(var n=function(t,n){e.innerError!==t&&(e.innerError=t);var i=n||void 0;e.innerErrorMessage!==i&&(e.innerErrorMessage=i),!1!==e.innerLoading&&(e.innerLoading=!1)},i=[],r=0;r<this.rules.length;r++){var o=this.rules[r],a=void 0;if("function"==typeof o?a=o(t):"string"==typeof o&&void 0!==Hn[o]&&(a=Hn[o](t)),!1===a||"string"==typeof a)return n(!0,a),!1;!0!==a&&void 0!==a&&i.push(a)}if(0===i.length)return n(!1),!0;!0!==this.innerLoading&&(this.innerLoading=!0);var s=this.validateIndex;return Promise.all(i).then((function(t){if(s!==e.validateIndex)return!0;if(void 0===t||!1===Array.isArray(t)||0===t.length)return n(!1),!0;var i=t.find((function(t){return!1===t||"string"==typeof t}));return n(void 0!==i,i),void 0===i}),(function(t){return s!==e.validateIndex||(console.error(t),n(!0),!1)}))},__validateIfNeeded:function(t){!0===this.hasRules&&"ondemand"!==this.lazyRules&&(!0===this.isDirty||!0!==this.lazyRules&&!0!==t)&&this.validate()}}},Mr=0,Tr=new Array(256),Or=0;Or<256;Or++)Tr[Or]=(Or+256).toString(16).substr(1);var Ar=function(){var t="undefined"!=typeof crypto?crypto:"undefined"!=typeof window?window.msCrypto:void 0;if(void 0!==t){if(void 0!==t.randomBytes)return t.randomBytes;if(void 0!==t.getRandomValues)return function(e){var n=new Uint8Array(e);return t.getRandomValues(n),n}}return function(t){for(var e=[],n=t;n>0;n--)e.push(Math.floor(256*Math.random()));return e}}(),Er=4096;function qr(){(void 0===vr||Mr+16>Er)&&(Mr=0,vr=Ar(Er));var t=Array.prototype.slice.call(vr,Mr,Mr+=16);return t[6]=15&t[6]|64,t[8]=63&t[8]|128,Tr[t[0]]+Tr[t[1]]+Tr[t[2]]+Tr[t[3]]+"-"+Tr[t[4]]+Tr[t[5]]+"-"+Tr[t[6]]+Tr[t[7]]+"-"+Tr[t[8]]+Tr[t[9]]+"-"+Tr[t[10]]+Tr[t[11]]+Tr[t[12]]+Tr[t[13]]+Tr[t[14]]+Tr[t[15]]}function Lr(t){return void 0===t?"f_"+qr():t}var Dr=t.extend({name:"QField",mixins:[It,Cr,_t],inheritAttrs:!1,props:{label:String,stackLabel:Boolean,hint:String,hideHint:Boolean,prefix:String,suffix:String,labelColor:String,color:String,bgColor:String,filled:Boolean,outlined:Boolean,borderless:Boolean,standout:[Boolean,String],square:Boolean,loading:Boolean,labelSlot:Boolean,bottomSlots:Boolean,hideBottomSpace:Boolean,rounded:Boolean,dense:Boolean,itemAligned:Boolean,counter:Boolean,clearable:Boolean,clearIcon:String,disable:Boolean,readonly:Boolean,autofocus:Boolean,for:String,maxlength:[Number,String],maxValues:[Number,String]},data:function(){return{focused:!1,targetUid:Lr(this.for),innerLoading:!1}},watch:{for:function(t){this.targetUid=Lr(t)}},computed:{editable:function(){return!0!==this.disable&&!0!==this.readonly},hasValue:function(){var t=void 0===this.__getControl?this.value:this.innerValue;return null!=t&&(""+t).length>0},computedCounter:function(){if(!1!==this.counter){var t="string"==typeof this.value||"number"==typeof this.value?(""+this.value).length:!0===Array.isArray(this.value)?this.value.length:0,e=void 0!==this.maxlength?this.maxlength:this.maxValues;return t+(void 0!==e?" / "+e:"")}},floatingLabel:function(){return!0===this.stackLabel||!0===this.focused||(void 0!==this.inputValue&&!0===this.hideSelected?this.inputValue.length>0:!0===this.hasValue)||void 0!==this.displayValue&&null!==this.displayValue&&(""+this.displayValue).length>0},shouldRenderBottom:function(){return!0===this.bottomSlots||void 0!==this.hint||!0===this.hasRules||!0===this.counter||null!==this.error},classes:function(){var t;return(t={})[this.fieldClass]=void 0!==this.fieldClass,t["q-field--"+this.styleType]=!0,t["q-field--rounded"]=this.rounded,t["q-field--square"]=this.square,t["q-field--focused"]=!0===this.focused||!0===this.hasError,t["q-field--float"]=this.floatingLabel,t["q-field--labeled"]=this.hasLabel,t["q-field--dense"]=this.dense,t["q-field--item-aligned q-item-type"]=this.itemAligned,t["q-field--dark"]=this.isDark,t["q-field--auto-height"]=void 0===this.__getControl,t["q-field--with-bottom"]=!0!==this.hideBottomSpace&&!0===this.shouldRenderBottom,t["q-field--error"]=this.hasError,t["q-field--readonly"]=!0===this.readonly&&!0!==this.disable,t["q-field--disabled"]=this.disable,t},styleType:function(){return!0===this.filled?"filled":!0===this.outlined?"outlined":!0===this.borderless?"borderless":this.standout?"standout":"standard"},contentClass:function(){var t=[];if(!0===this.hasError)t.push("text-negative");else{if("string"==typeof this.standout&&this.standout.length>0&&!0===this.focused)return this.standout;void 0!==this.color&&t.push("text-"+this.color)}return void 0!==this.bgColor&&t.push("bg-"+this.bgColor),t},hasLabel:function(){return!0===this.labelSlot||void 0!==this.label},labelClass:function(){if(void 0!==this.labelColor&&!0!==this.hasError)return"text-"+this.labelColor},controlSlotScope:function(){return{id:this.targetUid,field:this.$el,editable:this.editable,focused:this.focused,floatingLabel:this.floatingLabel,value:this.value,emitValue:this.__emitValue}},attrs:function(){var t={for:this.targetUid};return!0===this.disable?t["aria-disabled"]="true":!0===this.readonly&&(t["aria-readonly"]="true"),t}},methods:{focus:function(){void 0===this.showPopup||!0!==this.hasDialog?this.__focus():this.showPopup()},blur:function(){var t=document.activeElement;null!==t&&this.$el.contains(t)&&t.blur()},__focus:function(){var t=document.activeElement,e=this.$refs.target;void 0===e||null!==t&&t.id===this.targetUid||(!0===e.hasAttribute("tabindex")||(e=e.querySelector("[tabindex]")),null!==e&&e!==t&&e.focus())},__getContent:function(t){var e=[];return void 0!==this.$scopedSlots.prepend&&e.push(t("div",{staticClass:"q-field__prepend q-field__marginal row no-wrap items-center",key:"prepend",on:this.slotsEvents},this.$scopedSlots.prepend())),e.push(t("div",{staticClass:"q-field__control-container col relative-position row no-wrap q-anchor--skip"},this.__getControlContainer(t))),void 0!==this.$scopedSlots.append&&e.push(t("div",{staticClass:"q-field__append q-field__marginal row no-wrap items-center",key:"append",on:this.slotsEvents},this.$scopedSlots.append())),!0===this.hasError&&!1===this.noErrorIcon&&e.push(this.__getInnerAppendNode(t,"error",[t(Pt,{props:{name:this.$q.iconSet.field.error,color:"negative"}})])),!0===this.loading||!0===this.innerLoading?e.push(this.__getInnerAppendNode(t,"inner-loading-append",void 0!==this.$scopedSlots.loading?this.$scopedSlots.loading():[t(Gt,{props:{color:this.color}})])):!0===this.clearable&&!0===this.hasValue&&!0===this.editable&&e.push(this.__getInnerAppendNode(t,"inner-clearable-append",[t(Pt,{staticClass:"q-field__focusable-action",props:{tag:"button",name:this.clearIcon||this.$q.iconSet.field.clear},attrs:{tabindex:0,type:"button"},on:this.clearableEvents})])),void 0!==this.__getInnerAppend&&e.push(this.__getInnerAppendNode(t,"inner-append",this.__getInnerAppend(t))),void 0!==this.__getControlChild&&e.push(this.__getControlChild(t)),e},__getControlContainer:function(t){var e=[];return void 0!==this.prefix&&null!==this.prefix&&e.push(t("div",{staticClass:"q-field__prefix no-pointer-events row items-center"},[this.prefix])),!0===this.hasShadow&&void 0!==this.__getShadowControl&&e.push(this.__getShadowControl(t)),void 0!==this.__getControl?e.push(this.__getControl(t)):void 0!==this.$scopedSlots.rawControl?e.push(this.$scopedSlots.rawControl()):void 0!==this.$scopedSlots.control&&e.push(t("div",{ref:"target",staticClass:"q-field__native row",attrs:Object.assign({},this.qAttrs,{"data-autofocus":this.autofocus})},this.$scopedSlots.control(this.controlSlotScope))),!0===this.hasLabel&&e.push(t("div",{staticClass:"q-field__label no-pointer-events absolute ellipsis",class:this.labelClass},[Et(this,"label",this.label)])),void 0!==this.suffix&&null!==this.suffix&&e.push(t("div",{staticClass:"q-field__suffix no-pointer-events row items-center"},[this.suffix])),e.concat(void 0!==this.__getDefaultSlot?this.__getDefaultSlot(t):Et(this,"default"))},__getBottom:function(t){var e,n;!0===this.hasError?void 0!==this.computedErrorMessage?(e=[t("div",[this.computedErrorMessage])],n=this.computedErrorMessage):(e=Et(this,"error"),n="q--slot-error"):!0===this.hideHint&&!0!==this.focused||(void 0!==this.hint?(e=[t("div",[this.hint])],n=this.hint):(e=Et(this,"hint"),n="q--slot-hint"));var i=!0===this.counter||void 0!==this.$scopedSlots.counter;if(!0!==this.hideBottomSpace||!1!==i||void 0!==e){var r=t("div",{key:n,staticClass:"q-field__messages col"},e);return t("div",{staticClass:"q-field__bottom row items-start q-field__bottom--"+(!0!==this.hideBottomSpace?"animated":"stale")},[!0===this.hideBottomSpace?r:t("transition",{props:{name:"q-transition--field-message"}},[r]),!0===i?t("div",{staticClass:"q-field__counter"},void 0!==this.$scopedSlots.counter?this.$scopedSlots.counter():[this.computedCounter]):null])}},__getInnerAppendNode:function(t,e,n){return null===n?null:t("div",{staticClass:"q-field__append q-field__marginal row no-wrap items-center q-anchor--skip",key:e},n)},__onControlPopupShow:function(t){void 0!==t&&y(t),this.$emit("popup-show",t),this.hasPopupOpen=!0,this.__onControlFocusin(t)},__onControlPopupHide:function(t){void 0!==t&&y(t),this.$emit("popup-hide",t),this.hasPopupOpen=!1,this.__onControlFocusout(t)},__onControlFocusin:function(t){!0===this.editable&&!1===this.focused&&(this.focused=!0,this.$emit("focus",t))},__onControlFocusout:function(t,e){var n=this;clearTimeout(this.focusoutTimer),this.focusoutTimer=setTimeout((function(){(!0!==document.hasFocus()||!0!==n.hasPopupOpen&&void 0!==n.$refs&&void 0!==n.$refs.control&&!1===n.$refs.control.contains(document.activeElement))&&(!0===n.focused&&(n.focused=!1,n.$emit("blur",t)),void 0!==e&&e())}))},__clearValue:function(t){w(t),(this.$refs.target||this.$el).focus(),"file"===this.type&&(this.$refs.input.value=null),this.$emit("input",null),this.$emit("clear",this.value)},__emitValue:function(t){this.$emit("input",t)}},render:function(t){return void 0!==this.__onPreRender&&this.__onPreRender(),void 0!==this.__onPostRender&&this.$nextTick(this.__onPostRender),t("label",{staticClass:"q-field q-validation-component row no-wrap items-start",class:this.classes,attrs:this.attrs},[void 0!==this.$scopedSlots.before?t("div",{staticClass:"q-field__before q-field__marginal row no-wrap items-center",on:this.slotsEvents},this.$scopedSlots.before()):null,t("div",{staticClass:"q-field__inner relative-position col self-stretch column justify-center"},[t("div",{ref:"control",staticClass:"q-field__control relative-position row no-wrap",class:this.contentClass,attrs:{tabindex:-1},on:this.controlEvents},this.__getContent(t)),!0===this.shouldRenderBottom?this.__getBottom(t):null]),void 0!==this.$scopedSlots.after?t("div",{staticClass:"q-field__after q-field__marginal row no-wrap items-center",on:this.slotsEvents},this.$scopedSlots.after()):null])},created:function(){void 0!==this.__onPreRender&&this.__onPreRender(),this.slotsEvents={click:b},this.clearableEvents={click:this.__clearValue},this.controlEvents=void 0!==this.__getControlEvents?this.__getControlEvents():{focusin:this.__onControlFocusin,focusout:this.__onControlFocusout,"popup-show":this.__onControlPopupShow,"popup-hide":this.__onControlPopupHide}},mounted:function(){!0===r&&void 0===this.for&&(this.targetUid=Lr()),!0===this.autofocus&&this.focus()},beforeDestroy:function(){clearTimeout(this.focusoutTimer)}});function Pr(t,e,n,i){var r=[];return t.forEach((function(t){!0===i(t)?r.push(t):e.push({failedPropValidation:n,file:t})})),r}var Rr={props:{multiple:Boolean,accept:String,capture:String,maxFileSize:[Number,String],maxTotalSize:[Number,String],maxFiles:[Number,String],filter:Function},computed:{extensions:function(){if(void 0!==this.accept)return this.accept.split(",").map((function(t){return"*"===(t=t.trim())?"*/":(t.endsWith("/*")&&(t=t.slice(0,t.length-1)),t.toUpperCase())}))},maxFilesNumber:function(){return parseInt(this.maxFiles,10)},maxTotalSizeNumber:function(){return parseInt(this.maxTotalSize,10)}},methods:{pickFiles:function(t){if(this.editable){var e=this.__getFileInput();e&&e.click(t)}},addFiles:function(t){this.editable&&t&&this.__addFiles(null,t)},__processFiles:function(t,e,n,i){var r=this,o=Array.from(e||t.target.files),a=[],s=function(){a.length>0&&r.$emit("rejected",a)};if(void 0!==this.accept&&-1===this.extensions.indexOf("*/")&&0===(o=Pr(o,a,"accept",(function(t){return r.extensions.some((function(e){return t.type.toUpperCase().startsWith(e)||t.name.toUpperCase().endsWith(e)}))}))).length)return s();if(void 0!==this.maxFileSize){var l=parseInt(this.maxFileSize,10);if(0===(o=Pr(o,a,"max-file-size",(function(t){return t.size<=l}))).length)return s()}if(!0!==this.multiple&&(o=[o[0]]),void 0!==this.maxTotalSize){var u=!0===i?n.reduce((function(t,e){return t+e.size}),0):0;if(0===(o=Pr(o,a,"max-total-size",(function(t){return(u+=t.size)<=r.maxTotalSizeNumber}))).length)return s()}if("function"==typeof this.filter){var c=this.filter(o);o=Pr(o,a,"filter",(function(t){return c.includes(t)}))}if(void 0!==this.maxFiles){var d=!0===i?n.length:0;if(0===(o=Pr(o,a,"max-files",(function(){return++d<=r.maxFilesNumber}))).length)return s()}return s(),o.length>0?o:void 0},__onDragOver:function(t){w(t),this.dnd=!0},__onDragLeave:function(t){w(t),this.dnd=!1},__onDrop:function(t){w(t);var e=t.dataTransfer.files;e.length>0&&this.__addFiles(null,e),this.dnd=!1},__getDnd:function(t,e){if(!0===this.dnd)return t("div",{staticClass:"q-"+e+"__dnd absolute-full",on:pt(this,"dnd",{dragenter:w,dragover:w,dragleave:this.__onDragLeave,drop:this.__onDrop})})}}},Nr={computed:{formDomProps:function(){if("file"===this.type)try{var t="DataTransfer"in window?new DataTransfer:"ClipboardEvent"in window?new ClipboardEvent("").clipboardData:void 0;return Object(this.value)===this.value&&("length"in this.value?Array.from(this.value):[this.value]).forEach((function(e){t.items.add(e)})),{files:t.files}}catch(t){return{files:void 0}}}}},Ir={date:"####/##/##",datetime:"####/##/## ##:##",time:"##:##",fulltime:"##:##:##",phone:"(###) ### - ####",card:"#### #### #### ####"},jr={"#":{pattern:"[\\d]",negate:"[^\\d]"},S:{pattern:"[a-zA-Z]",negate:"[^a-zA-Z]"},N:{pattern:"[0-9a-zA-Z]",negate:"[^0-9a-zA-Z]"},A:{pattern:"[a-zA-Z]",negate:"[^a-zA-Z]",transform:function(t){return t.toLocaleUpperCase()}},a:{pattern:"[a-zA-Z]",negate:"[^a-zA-Z]",transform:function(t){return t.toLocaleLowerCase()}},X:{pattern:"[0-9a-zA-Z]",negate:"[^0-9a-zA-Z]",transform:function(t){return t.toLocaleUpperCase()}},x:{pattern:"[0-9a-zA-Z]",negate:"[^0-9a-zA-Z]",transform:function(t){return t.toLocaleLowerCase()}}},$r=Object.keys(jr);$r.forEach((function(t){jr[t].regex=new RegExp(jr[t].pattern)}));var Fr=new RegExp("\\\\([^.*+?^${}()|([\\]])|([.*+?^${}()|[\\]])|(["+$r.join("")+"])|(.)","g"),Br=/[.*+?^${}()|[\]\\]/g,zr=String.fromCharCode(1),Vr={props:{mask:String,reverseFillMask:Boolean,fillMask:[Boolean,String],unmaskedValue:Boolean},watch:{type:function(){this.__updateMaskInternals()},mask:function(t){if(void 0!==t)this.__updateMaskValue(this.innerValue,!0);else{var e=this.__unmask(this.innerValue);this.__updateMaskInternals(),this.value!==e&&this.$emit("input",e)}},fillMask:function(){!0===this.hasMask&&this.__updateMaskValue(this.innerValue,!0)},reverseFillMask:function(){!0===this.hasMask&&this.__updateMaskValue(this.innerValue,!0)},unmaskedValue:function(){!0===this.hasMask&&this.__updateMaskValue(this.innerValue)}},methods:{__getInitialMaskedValue:function(){if(this.__updateMaskInternals(),!0===this.hasMask){var t=this.__mask(this.__unmask(this.value));return!1!==this.fillMask?this.__fillWithMask(t):t}return this.value},__getPaddedMaskMarked:function(t){if(t<this.maskMarked.length)return this.maskMarked.slice(-t);var e=this.maskMarked,n="",i=e.indexOf(zr);if(i>-1){for(var r=t-e.length;r>0;r--)n+=zr;e=e.slice(0,i)+n+e.slice(i)}return e},__updateMaskInternals:function(){var t=this;if(this.hasMask=void 0!==this.mask&&this.mask.length>0&&["text","search","url","tel","password"].includes(this.type),!1===this.hasMask)return this.computedUnmask=void 0,this.maskMarked="",void(this.maskReplaced="");var e=void 0===Ir[this.mask]?this.mask:Ir[this.mask],n="string"==typeof this.fillMask&&this.fillMask.length>0?this.fillMask.slice(0,1):"_",i=n.replace(Br,"\\$&"),r=[],o=[],a=[],s=!0===this.reverseFillMask,l="",u="";e.replace(Fr,(function(t,e,n,i,c){if(void 0!==i){var d=jr[i];a.push(d),u=d.negate,!0===s&&(o.push("(?:"+u+"+)?("+d.pattern+"+)?(?:"+u+"+)?("+d.pattern+"+)?"),s=!1),o.push("(?:"+u+"+)?("+d.pattern+")?")}else if(void 0!==n)l="\\"+("\\"===n?"":n),a.push(n),r.push("([^"+l+"]+)?"+l+"?");else{var h=void 0!==e?e:c;l="\\"===h?"\\\\\\\\":h.replace(Br,"\\\\$&"),a.push(h),r.push("([^"+l+"]+)?"+l+"?")}}));var c=new RegExp("^"+r.join("")+"("+(""===l?".":"[^"+l+"]")+"+)?$"),d=o.length-1,h=o.map((function(e,n){return 0===n&&!0===t.reverseFillMask?new RegExp("^"+i+"*"+e):n===d?new RegExp("^"+e+"("+(""===u?".":u)+"+)?"+(!0===t.reverseFillMask?"$":i+"*")):new RegExp("^"+e)}));this.computedMask=a,this.computedUnmask=function(t){var e=c.exec(t);null!==e&&(t=e.slice(1).join(""));for(var n=[],i=h.length,r=0,o=t;r<i;r++){var a=h[r].exec(o);if(null===a)break;o=o.slice(a.shift().length),n.push.apply(n,a)}return n.length>0?n.join(""):t},this.maskMarked=a.map((function(t){return"string"==typeof t?t:zr})).join(""),this.maskReplaced=this.maskMarked.split(zr).join(n)},__updateMaskValue:function(t,e,n){var i=this,r=this.$refs.input,o=r.selectionEnd,a=r.value.length-o,s=this.__unmask(t);!0===e&&this.__updateMaskInternals();var l=this.__mask(s),u=!1!==this.fillMask?this.__fillWithMask(l):l,c=this.innerValue!==u;r.value!==u&&(r.value=u),!0===c&&(this.innerValue=u),document.activeElement===r&&this.$nextTick((function(){if(u!==i.maskReplaced)if("insertFromPaste"!==n||!0===i.reverseFillMask)if(["deleteContentBackward","deleteContentForward"].indexOf(n)>-1){var t=!0===i.reverseFillMask?Math.max(0,u.length-(u===i.maskReplaced?0:Math.min(l.length,a)+1))+1:o;r.setSelectionRange(t,t,"forward")}else if(!0===i.reverseFillMask)if(!0===c){var e=Math.max(0,u.length-(u===i.maskReplaced?0:Math.min(l.length,a+1)));i.__moveCursorRightReverse(r,e,e)}else{var s=u.length-a;r.setSelectionRange(s,s,"backward")}else if(!0===c){var d=Math.max(0,i.maskMarked.indexOf(zr),Math.min(l.length,o)-1);i.__moveCursorRight(r,d,d)}else{var h=o-1;i.__moveCursorRight(r,h,h)}else{var f=o-1;i.__moveCursorRight(r,f,f)}else{var p=!0===i.reverseFillMask?i.maskReplaced.length:0;r.setSelectionRange(p,p,"forward")}}));var d=!0===this.unmaskedValue?this.__unmask(u):u;this.value!==d&&this.__emitValue(d,!0)},__moveCursorForPaste:function(t,e,n){var i=this.__mask(this.__unmask(t.value));e=Math.max(0,this.maskMarked.indexOf(zr),Math.min(i.length,e)),t.setSelectionRange(e,n,"forward")},__moveCursorLeft:function(t,e,n,i){for(var r=-1===this.maskMarked.slice(e-1).indexOf(zr),o=Math.max(0,e-1);o>=0;o--)if(this.maskMarked[o]===zr){e=o,!0===r&&e++;break}if(o<0&&void 0!==this.maskMarked[e]&&this.maskMarked[e]!==zr)return this.__moveCursorRight(t,0,0);e>=0&&t.setSelectionRange(e,!0===i?n:e,"backward")},__moveCursorRight:function(t,e,n,i){for(var r=t.value.length,o=Math.min(r,n+1);o<=r;o++){if(this.maskMarked[o]===zr){n=o;break}this.maskMarked[o-1]===zr&&(n=o)}if(o>r&&void 0!==this.maskMarked[n-1]&&this.maskMarked[n-1]!==zr)return this.__moveCursorLeft(t,r,r);t.setSelectionRange(i?e:n,n,"forward")},__moveCursorLeftReverse:function(t,e,n,i){for(var r=this.__getPaddedMaskMarked(t.value.length),o=Math.max(0,e-1);o>=0;o--){if(r[o-1]===zr){e=o;break}if(r[o]===zr&&(e=o,0===o))break}if(o<0&&void 0!==r[e]&&r[e]!==zr)return this.__moveCursorRightReverse(t,0,0);e>=0&&t.setSelectionRange(e,!0===i?n:e,"backward")},__moveCursorRightReverse:function(t,e,n,i){for(var r=t.value.length,o=this.__getPaddedMaskMarked(r),a=-1===o.slice(0,n+1).indexOf(zr),s=Math.min(r,n+1);s<=r;s++)if(o[s-1]===zr){(n=s)>0&&!0===a&&n--;break}if(s>r&&void 0!==o[n-1]&&o[n-1]!==zr)return this.__moveCursorLeftReverse(t,r,r);t.setSelectionRange(!0===i?e:n,n,"forward")},__onMaskedKeydown:function(t){if(!0!==J(t)){var e=this.$refs.input,n=e.selectionStart,i=e.selectionEnd;if(37===t.keyCode||39===t.keyCode){var r=this["__moveCursor"+(39===t.keyCode?"Right":"Left")+(!0===this.reverseFillMask?"Reverse":"")];t.preventDefault(),r(e,n,i,t.shiftKey)}else 8===t.keyCode&&!0!==this.reverseFillMask&&n===i?this.__moveCursorLeft(e,n,i,!0):46===t.keyCode&&!0===this.reverseFillMask&&n===i&&this.__moveCursorRightReverse(e,n,i,!0);this.$emit("keydown",t)}},__mask:function(t){if(null==t||""===t)return"";if(!0===this.reverseFillMask)return this.__maskReverse(t);for(var e=this.computedMask,n=0,i="",r=0;r<e.length;r++){var o=t[n],a=e[r];if("string"==typeof a)i+=a,o===a&&n++;else{if(void 0===o||!a.regex.test(o))return i;i+=void 0!==a.transform?a.transform(o):o,n++}}return i},__maskReverse:function(t){for(var e=this.computedMask,n=this.maskMarked.indexOf(zr),i=t.length-1,r="",o=e.length-1;o>=0;o--){var a=e[o],s=t[i];if("string"==typeof a)r=a+r,s===a&&i--;else{if(void 0===s||!a.regex.test(s))return r;do{r=(void 0!==a.transform?a.transform(s):s)+r,s=t[--i]}while(n===o&&void 0!==s&&a.regex.test(s))}}return r},__unmask:function(t){return"string"!=typeof t||void 0===this.computedUnmask?"number"==typeof t?this.computedUnmask(""+t):t:this.computedUnmask(t)},__fillWithMask:function(t){return this.maskReplaced.length-t.length<=0?t:!0===this.reverseFillMask&&t.length>0?this.maskReplaced.slice(0,-t.length)+t:t+this.maskReplaced.slice(t.length)}}},Hr=/[\u3000-\u303f\u3040-\u309f\u30a0-\u30ff\uff00-\uff9f\u4e00-\u9faf\u3400-\u4dbf]/,Ur=/(?:[\u3300-\u4DBF\u4E00-\u9FFF\uF900-\uFAFF\uFE30-\uFE4F]|[\uD840-\uD868\uD86A-\uD872][\uDC00-\uDFFF]|\uD869[\uDC00-\uDEDF\uDF00-\uDFFF]|\uD873[\uDC00-\uDEAF]|\uD87E[\uDC00-\uDE1F])/,Wr=/[\u3131-\u314e\u314f-\u3163\uac00-\ud7a3]/,Yr={methods:{__onComposition:function(t){if("compositionend"===t.type||"change"===t.type){if(!0!==t.target.composing)return;t.target.composing=!1,this.__onInput(t)}else"compositionupdate"===t.type?"string"==typeof t.data&&!1===Hr.test(t.data)&&!1===Ur.test(t.data)&&!1===Wr.test(t.data)&&(t.target.composing=!1):t.target.composing=!0}}},Qr=t.extend({name:"QInput",mixins:[Dr,Vr,Yr,un,Nr,At],props:{value:{required:!1},shadowText:String,type:{type:String,default:"text"},debounce:[String,Number],autogrow:Boolean,inputClass:[Array,String,Object],inputStyle:[Array,String,Object]},watch:{value:function(t){if(!0===this.hasMask){if(!0===this.stopValueWatcher)return void(this.stopValueWatcher=!1);this.__updateMaskValue(t)}else this.innerValue!==t&&(this.innerValue=t,"number"===this.type&&!0===this.hasOwnProperty("tempValue")&&(!0===this.typedNumber?this.typedNumber=!1:delete this.tempValue));!0===this.autogrow&&this.$nextTick(this.__adjustHeight)},autogrow:function(t){if(!0===t)this.$nextTick(this.__adjustHeight);else if(this.qAttrs.rows>0&&void 0!==this.$refs.input){this.$refs.input.style.height="auto"}},dense:function(){!0===this.autogrow&&this.$nextTick(this.__adjustHeight)}},data:function(){return{innerValue:this.__getInitialMaskedValue()}},computed:{isTextarea:function(){return"textarea"===this.type||!0===this.autogrow},fieldClass:function(){return"q-"+(!0===this.isTextarea?"textarea":"input")+(!0===this.autogrow?" q-textarea--autogrow":"")},hasShadow:function(){return"file"!==this.type&&"string"==typeof this.shadowText&&this.shadowText.length>0},onEvents:function(){var t=Object.assign({},this.qListeners,{input:this.__onInput,paste:this.__onPaste,change:this.__onChange,blur:this.__onFinishEditing,focus:y});return t.compositionstart=t.compositionupdate=t.compositionend=this.__onComposition,!0===this.hasMask&&(t.keydown=this.__onMaskedKeydown),!0===this.autogrow&&(t.animationend=this.__adjustHeight),t},inputAttrs:function(){var t=Object.assign({},{tabindex:0,"data-autofocus":this.autofocus,rows:"textarea"===this.type?6:void 0,"aria-label":this.label,name:this.nameProp},this.qAttrs,{id:this.targetUid,type:this.type,maxlength:this.maxlength,disabled:!0===this.disable,readonly:!0===this.readonly});return!0===this.autogrow&&(t.rows=1),t}},methods:{focus:function(){var t=document.activeElement;void 0===this.$refs.input||this.$refs.input===t||null!==t&&t.id===this.targetUid||this.$refs.input.focus()},select:function(){void 0!==this.$refs.input&&this.$refs.input.select()},__onPaste:function(t){if(!0===this.hasMask&&!0!==this.reverseFillMask){var e=t.target;this.__moveCursorForPaste(e,e.selectionStart,e.selectionEnd)}this.$emit("paste",t)},__onInput:function(t){if(!t||!t.target||!0!==t.target.composing)if("file"!==this.type){var e=t.target.value;!0===this.hasMask?this.__updateMaskValue(e,!1,t.inputType):this.__emitValue(e),!0===this.autogrow&&this.__adjustHeight()}else this.$emit("input",t.target.files)},__emitValue:function(t,e){var n=this;this.emitValueFn=function(){"number"!==n.type&&!0===n.hasOwnProperty("tempValue")&&delete n.tempValue,n.value!==t&&(!0===e&&(n.stopValueWatcher=!0),n.$emit("input",t)),n.emitValueFn=void 0},"number"===this.type&&(this.typedNumber=!0,this.tempValue=t),void 0!==this.debounce?(clearTimeout(this.emitTimer),this.tempValue=t,this.emitTimer=setTimeout(this.emitValueFn,this.debounce)):this.emitValueFn()},__adjustHeight:function(){var t=this.$refs.input;if(void 0!==t){var e=t.parentNode.style;e.marginBottom=t.scrollHeight-1+"px",t.style.height="1px",t.style.height=t.scrollHeight+"px",e.marginBottom=""}},__onChange:function(t){this.__onComposition(t),clearTimeout(this.emitTimer),void 0!==this.emitValueFn&&this.emitValueFn(),this.$emit("change",t)},__onFinishEditing:function(t){var e=this;void 0!==t&&y(t),clearTimeout(this.emitTimer),void 0!==this.emitValueFn&&this.emitValueFn(),this.typedNumber=!1,this.stopValueWatcher=!1,delete this.tempValue,"file"!==this.type&&this.$nextTick((function(){void 0!==e.$refs.input&&(e.$refs.input.value=void 0!==e.innerValue?e.innerValue:"")}))},__getCurValue:function(){return!0===this.hasOwnProperty("tempValue")?this.tempValue:void 0!==this.innerValue?this.innerValue:""},__getShadowControl:function(t){return t("div",{staticClass:"q-field__native q-field__shadow absolute-full no-pointer-events"},[t("span",{staticClass:"invisible"},this.__getCurValue()),t("span",this.shadowText)])},__getControl:function(t){return t(!0===this.isTextarea?"textarea":"input",{ref:"input",staticClass:"q-field__native q-placeholder",style:this.inputStyle,class:this.inputClass,attrs:this.inputAttrs,on:this.onEvents,domProps:"file"!==this.type?{value:this.__getCurValue()}:this.formDomProps})}},mounted:function(){!0===this.autogrow&&this.__adjustHeight()},beforeDestroy:function(){this.__onFinishEditing()}}),Gr=t.extend({name:"QTooltip",mixins:[xe,Se,Me,Oe],props:{maxHeight:{type:String,default:null},maxWidth:{type:String,default:null},transitionShow:{default:"jump-down"},transitionHide:{default:"jump-up"},anchor:{type:String,default:"bottom middle",validator:en},self:{type:String,default:"top middle",validator:en},offset:{type:Array,default:function(){return[14,14]},validator:nn},scrollTarget:{default:void 0},delay:{type:Number,default:0},hideDelay:{type:Number,default:0}},computed:{anchorOrigin:function(){return rn(this.anchor)},selfOrigin:function(){return rn(this.self)},hideOnRouteChange:function(){return!0!==this.persistent}},methods:{__show:function(t){var e=this;this.__showPortal(),this.__nextTick((function(){e.observer=new MutationObserver((function(){return e.updatePosition()})),e.observer.observe(e.__portal.$el,{attributes:!1,childList:!0,characterData:!0,subtree:!0}),e.updatePosition(),e.__configureScrollTarget()})),this.__setTimeout((function(){e.$emit("show",t)}),300)},__hide:function(t){var e=this;this.__anchorCleanup(),this.__setTimeout((function(){e.__hidePortal(),e.$emit("hide",t)}),300)},__anchorCleanup:function(){void 0!==this.observer&&(this.observer.disconnect(),this.observer=void 0),this.__unconfigureScrollTarget(),C(this,"tooltipTemp")},updatePosition:function(){if(void 0!==this.anchorEl&&void 0!==this.__portal){var t=this.__portal.$el;8!==t.nodeType?on({el:t,offset:this.offset,anchorEl:this.anchorEl,anchorOrigin:this.anchorOrigin,selfOrigin:this.selfOrigin,maxHeight:this.maxHeight,maxWidth:this.maxWidth}):setTimeout(this.updatePosition,25)}},__delayShow:function(t){var e=this;if(!0===this.$q.platform.is.mobile){we(),document.body.classList.add("non-selectable");var n=he(this.anchorEl);S(this,"tooltipTemp",["touchmove","touchcancel","touchend","click"].map((function(t){return[n,t,"__delayHide","passiveCapture"]})))}this.__setTimeout((function(){e.show(t)}),this.delay)},__delayHide:function(t){var e=this;this.__clearTimeout(),!0===this.$q.platform.is.mobile&&(C(this,"tooltipTemp"),we(),setTimeout((function(){document.body.classList.remove("non-selectable")}),10)),this.__setTimeout((function(){e.hide(t)}),this.hideDelay)},__configureAnchorEl:function(){!0!==this.noParentEvent&&void 0!==this.anchorEl&&S(this,"anchor",!0===this.$q.platform.is.mobile?[[this.anchorEl,"touchstart","__delayShow","passive"]]:[[this.anchorEl,"mouseenter","__delayShow","passive"],[this.anchorEl,"mouseleave","__delayHide","passive"]])},__unconfigureScrollTarget:function(){void 0!==this.__scrollTarget&&(this.__changeScrollEvent(this.__scrollTarget),this.__scrollTarget=void 0)},__configureScrollTarget:function(){if(void 0!==this.anchorEl||void 0!==this.scrollTarget){this.__scrollTarget=Ie(this.anchorEl,this.scrollTarget);var t=!0===this.noParentEvent?this.updatePosition:this.hide;this.__changeScrollEvent(this.__scrollTarget,t)}},__renderPortal:function(t){return t("transition",{props:{name:this.transition}},[!0===this.showing?t("div",{staticClass:"q-tooltip q-tooltip--style q-position-engine no-pointer-events",class:this.contentClass,style:this.contentStyle,attrs:{role:"complementary"}},Et(this,"default")):null])}},mounted:function(){this.__processModelChange(this.value)}}),Kr=t.extend({name:"QList",mixins:[At,It],props:{bordered:Boolean,dense:Boolean,separator:Boolean,padding:Boolean},computed:{classes:function(){return"q-list"+(!0===this.bordered?" q-list--bordered":"")+(!0===this.dense?" q-list--dense":"")+(!0===this.separator?" q-list--separator":"")+(!0===this.isDark?" q-list--dark":"")+(!0===this.padding?" q-list--padding":"")}},render:function(t){return t("div",{class:this.classes,on:Object.assign({},this.qListeners)},Et(this,"default"))}}),Zr=t.extend({name:"QItem",mixins:[It,Wt,Ot,At],props:{active:Boolean,clickable:Boolean,dense:Boolean,insetLevel:Number,tabindex:[String,Number],focused:Boolean,manualFocus:Boolean},computed:{isActionable:function(){return!0===this.clickable||!0===this.hasRouterLink||"a"===this.tag||"label"===this.tag},isClickable:function(){return!0!==this.disable&&!0===this.isActionable},classes:function(){var t;return(t={"q-item--clickable q-link cursor-pointer":this.isClickable,"q-focusable q-hoverable":!0===this.isClickable&&!1===this.manualFocus,"q-manual-focusable":!0===this.isClickable&&!0===this.manualFocus,"q-manual-focusable--focused":!0===this.isClickable&&!0===this.focused,"q-item--dense":this.dense,"q-item--dark":this.isDark,"q-item--active":this.active})[this.activeClass]=!0===this.active&&!0!==this.hasRouterLink&&void 0!==this.activeClass,t.disabled=this.disable,t},style:function(){var t;if(void 0!==this.insetLevel)return(t={})["padding"+(!0===this.$q.lang.rtl?"Right":"Left")]=16+56*this.insetLevel+"px",t},onEvents:function(){return Object.assign({},this.qListeners,{click:this.__onClick,keyup:this.__onKeyup})}},methods:{__getContent:function(t){var e=qt(this,"default",[]);return!0===this.isClickable&&e.unshift(t("div",{staticClass:"q-focus-helper",attrs:{tabindex:-1},ref:"blurTarget"})),e},__onClick:function(t){!0===this.isClickable&&(void 0!==this.$refs.blurTarget&&(!0!==t.qKeyEvent&&document.activeElement===this.$el?this.$refs.blurTarget.focus():document.activeElement===this.$refs.blurTarget&&this.$el.focus()),this.$emit("click",t))},__onKeyup:function(t){if(!0===this.isClickable&&!0===X(t,13)){w(t),t.qKeyEvent=!0;var e=new MouseEvent("click",t);e.qKeyEvent=!0,this.$el.dispatchEvent(e)}this.$emit("keyup",t)}},render:function(t){var e={staticClass:"q-item q-item-type row no-wrap",class:this.classes,style:this.style};return e[!0===this.hasRouterLink?"nativeOn":"on"]=this.onEvents,!0===this.isClickable?e.attrs={tabindex:this.tabindex||"0"}:!0===this.isActionable&&(e.attrs={"aria-disabled":"true"}),!0===this.hasRouterLink?(e.tag="a",e.props=this.routerLinkProps,t("router-link",e,this.__getContent(t))):t(this.tag,e,this.__getContent(t))}}),Jr=t.extend({name:"QItemSection",mixins:[At],props:{avatar:Boolean,thumbnail:Boolean,side:Boolean,top:Boolean,noWrap:Boolean},computed:{classes:function(){var t,e=this.avatar||this.side||this.thumbnail;return(t={"q-item__section--top":this.top,"q-item__section--avatar":this.avatar,"q-item__section--thumbnail":this.thumbnail,"q-item__section--side":e,"q-item__section--nowrap":this.noWrap,"q-item__section--main":!e})["justify-"+(this.top?"start":"center")]=!0,t}},render:function(t){return t("div",{staticClass:"q-item__section column",class:this.classes,on:Object.assign({},this.qListeners)},Et(this,"default"))}});function Xr(t,e,n){e.handler?e.handler(t,n,n.caret):n.runCmd(e.cmd,e.param)}function to(t,e){return t("div",{staticClass:"q-editor__toolbar-group"},e)}function eo(t,e,n,i,r){void 0===r&&(r=!1);var o=r||"toggle"===n.type&&(n.toggled?n.toggled(e):n.cmd&&e.caret.is(n.cmd,n.param)),a=[],s={click:function(t){i&&i(),Xr(t,n,e)}};if(n.tip&&e.$q.platform.is.desktop){var l=n.key?t("div",[t("small","(CTRL + "+String.fromCharCode(n.key)+")")]):null;a.push(t(Gr,{props:{delay:1e3}},[t("div",{domProps:{innerHTML:n.tip}}),l]))}return t(ye,{props:Object.assign({},e.buttonProps,{icon:n.icon,color:o?n.toggleColor||e.toolbarToggleColor:n.color||e.toolbarColor,textColor:o&&!e.toolbarPush?null:n.textColor||e.toolbarTextColor,label:n.label,disable:!!n.disable&&("function"!=typeof n.disable||n.disable(e)),size:"sm"}),on:s},a)}function no(t,e){if(e.caret)return e.buttons.filter((function(t){return!e.isViewingSource||t.find((function(t){return"viewsource"===t.cmd}))})).map((function(n){return to(t,n.map((function(n){return(!e.isViewingSource||"viewsource"===n.cmd)&&("slot"===n.type?Et(e,n.slot):"dropdown"===n.type?function(t,e,n){var i,r,o="only-icons"===n.list,a=n.label,s=n.icon;function l(){h.componentInstance.hide()}if(o)r=n.options.map((function(n){var i=void 0===n.type&&e.caret.is(n.cmd,n.param);return i&&(a=n.tip,s=n.icon),eo(t,e,n,l,i)})),i=e.toolbarBackgroundClass,r=[to(t,r)];else{var u=void 0!==e.toolbarToggleColor?"text-"+e.toolbarToggleColor:null,c=void 0!==e.toolbarTextColor?"text-"+e.toolbarTextColor:null;r=n.options.map((function(n){var i=!!n.disable&&n.disable(e),r=void 0===n.type&&e.caret.is(n.cmd,n.param);r&&(a=n.tip,s=n.icon);var o=n.htmlTip;return t(Zr,{props:{active:r,activeClass:u,clickable:!0,disable:i,dense:!0},on:{click:function(t){l(),e.$refs.content&&e.$refs.content.focus(),e.caret.restore(),Xr(t,n,e)}}},["no-icons"===n.list?null:t(Jr,{class:r?u:c,props:{side:!0}},[t(Pt,{props:{name:n.icon}})]),t(Jr,[o?t("div",{domProps:{innerHTML:n.htmlTip}}):n.tip?t("div",[n.tip]):null])])})),i=[e.toolbarBackgroundClass,c],r=[t(Kr,[r])]}var d=n.highlight&&a!==n.label,h=t(sn,{props:Object.assign({},e.buttonProps,{noCaps:!0,noWrap:!0,color:d?e.toolbarToggleColor:e.toolbarColor,textColor:d&&!e.toolbarPush?null:e.toolbarTextColor,label:n.fixedLabel?n.label:a,icon:n.fixedIcon?n.icon:s,contentClass:i})},r);return h}(t,e,n):eo(t,e,n))})))}))}function io(t,e){if(e&&t===e)return null;var n=t.nodeName.toLowerCase();if(!0===["div","li","ul","ol","blockquote"].includes(n))return t;var i=(window.getComputedStyle?window.getComputedStyle(t):t.currentStyle).display;return"block"===i||"table"===i?t:io(t.parentNode)}function ro(t,e){return!(!t||t===document.body)&&(e===document?document.body:e).contains(t.parentNode)}function oo(t,e,n){if(n||((n=document.createRange()).selectNode(t),n.setStart(t,0)),0===e.count)n.setEnd(t,e.count);else if(e.count>0)if(t.nodeType===Node.TEXT_NODE)t.textContent.length<e.count?e.count-=t.textContent.length:(n.setEnd(t,e.count),e.count=0);else for(var i=0;0!==e.count&&i<t.childNodes.length;i++)n=oo(t.childNodes[i],e,n);return n}var ao=/^https?:\/\//,so=function(t,e){this.el=t,this.vm=e,this._range=null},lo={selection:{configurable:!0},hasSelection:{configurable:!0},range:{configurable:!0},parent:{configurable:!0},blockParent:{configurable:!0}};lo.selection.get=function(){if(this.el){var t=document.getSelection();if(ro(t.anchorNode,this.el)&&ro(t.focusNode,this.el))return t}return null},lo.hasSelection.get=function(){return null!==this.selection&&this.selection.toString().length>0},lo.range.get=function(){var t=this.selection;return null!==t&&t.rangeCount?t.getRangeAt(0):this._range},lo.parent.get=function(){var t=this.range;if(null!==t){var e=t.startContainer;return e.nodeType===document.ELEMENT_NODE?e:e.parentNode}return null},lo.blockParent.get=function(){var t=this.parent;return null!==t?io(t,this.el):null},so.prototype.save=function(t){void 0===t&&(t=this.range),null!==t&&(this._range=t)},so.prototype.restore=function(t){void 0===t&&(t=this._range);var e=document.createRange(),n=document.getSelection();null!==t?(e.setStart(t.startContainer,t.startOffset),e.setEnd(t.endContainer,t.endOffset),n.removeAllRanges(),n.addRange(e)):(n.selectAllChildren(this.el),n.collapseToEnd())},so.prototype.savePosition=function(){var t,e=-1,n=document.getSelection(),i=this.el.parentNode;if(n.focusNode&&ro(n.focusNode,i))for(t=n.focusNode,e=n.focusOffset;t&&t!==i;)t!==this.el&&t.previousSibling?e+=(t=t.previousSibling).textContent.length:t=t.parentNode;this.savedPos=e},so.prototype.restorePosition=function(){if(this.savedPos>=0){var t=window.getSelection(),e=oo(this.el,{count:this.savedPos});e&&(e.collapse(!1),t.removeAllRanges(),t.addRange(e))}},so.prototype.hasParent=function(t,e){var n=e?this.parent:this.blockParent;return null!==n&&n.nodeName.toLowerCase()===t.toLowerCase()},so.prototype.hasParents=function(t,e,n){return void 0===n&&(n=this.parent),null!==n&&(null!==n&&!0===t.includes(n.nodeName.toLowerCase())||!0===e&&this.hasParents(t,e,n.parentNode))},so.prototype.is=function(t,e){switch(t){case"formatBlock":return"DIV"===e&&this.parent===this.el||this.hasParent(e,"PRE"===e);case"link":return this.hasParent("A",!0);case"fontSize":return document.queryCommandValue(t)===e;case"fontName":var n=document.queryCommandValue(t);return n==='"'+e+'"'||n===e;case"fullscreen":return this.vm.inFullscreen;case"viewsource":return this.vm.isViewingSource;case void 0:return!1;default:var i=document.queryCommandState(t);return void 0!==e?i===e:i}},so.prototype.getParentAttribute=function(t){return null!==this.parent?this.parent.getAttribute(t):null},so.prototype.can=function(t){return"outdent"===t?this.hasParents(["blockquote","li"],!0):"indent"===t?this.hasParents(["li"],!0):"link"===t?null!==this.selection||this.is("link"):void 0},so.prototype.apply=function(t,e,n){if(void 0===n&&(n=m),"formatBlock"===t)["BLOCKQUOTE","H1","H2","H3","H4","H5","H6"].includes(e)&&this.is(t,e)&&(t="outdent",e=null),"PRE"===e&&this.is(t,"PRE")&&(e="P");else{if("print"===t){n();var i=window.open();return i.document.write("\n        <!doctype html>\n        <html>\n          <head>\n            <title>Print - "+document.title+"</title>\n          </head>\n          <body>\n            <div>"+this.el.innerHTML+"</div>\n          </body>\n        </html>\n      "),i.print(),void i.close()}if("link"===t){var r=this.getParentAttribute("href");if(null===r){var o=this.selectWord(this.selection),a=o?o.toString():"";if(!a.length)return;this.vm.editLinkUrl=ao.test(a)?a:"https://",document.execCommand("createLink",!1,this.vm.editLinkUrl),this.save(o.getRangeAt(0))}else this.vm.editLinkUrl=r,this.range.selectNodeContents(this.parent),this.save();return}if("fullscreen"===t)return this.vm.toggleFullscreen(),void n();if("viewsource"===t)return this.vm.isViewingSource=!1===this.vm.isViewingSource,this.vm.__setContent(this.vm.value),void n()}document.execCommand(t,!1,e),n()},so.prototype.selectWord=function(t){if(null===t||!0!==t.isCollapsed||void 0===t.modify)return t;var e=document.createRange();e.setStart(t.anchorNode,t.anchorOffset),e.setEnd(t.focusNode,t.focusOffset);var n=e.collapsed?["backward","forward"]:["forward","backward"];e.detach();var i=t.focusNode,r=t.focusOffset;return t.collapse(t.anchorNode,t.anchorOffset),t.modify("move",n[0],"character"),t.modify("move",n[1],"word"),t.extend(i,r),t.modify("extend",n[1],"character"),t.modify("extend",n[0],"word"),t},Object.defineProperties(so.prototype,lo);var uo=Object.prototype.toString,co=Object.prototype.hasOwnProperty,ho={};function fo(t){return null===t?String(t):ho[uo.call(t)]||"object"}function po(t){if(!t||"object"!==fo(t))return!1;if(t.constructor&&!co.call(t,"constructor")&&!co.call(t.constructor.prototype,"isPrototypeOf"))return!1;var e;for(e in t);return void 0===e||co.call(t,e)}function mo(){var t,e,n,i,r,o,a=arguments,s=arguments[0]||{},l=1,u=!1,c=arguments.length;for("boolean"==typeof s&&(u=s,s=arguments[1]||{},l=2),Object(s)!==s&&"function"!==fo(s)&&(s={}),c===l&&(s=this,l--);l<c;l++)if(null!==(t=a[l]))for(e in t)n=s[e],s!==(i=t[e])&&(u&&i&&(po(i)||(r="array"===fo(i)))?(r?(r=!1,o=n&&"array"===fo(n)?n:[]):o=n&&po(n)?n:{},s[e]=mo(u,o,i)):void 0!==i&&(s[e]=i));return s}"Boolean Number String Function Array Date RegExp Object".split(" ").forEach((function(t){ho["[object "+t+"]"]=t.toLowerCase()}));var vo=t.extend({name:"QEditor",mixins:[At,bn,It],props:{value:{type:String,required:!0},readonly:Boolean,disable:Boolean,minHeight:{type:String,default:"10rem"},maxHeight:String,height:String,definitions:Object,fonts:Object,placeholder:String,toolbar:{type:Array,validator:function(t){return 0===t.length||t.every((function(t){return t.length}))},default:function(){return[["left","center","right","justify"],["bold","italic","underline","strike"],["undo","redo"]]}},toolbarColor:String,toolbarBg:String,toolbarTextColor:String,toolbarToggleColor:{type:String,default:"primary"},toolbarOutline:Boolean,toolbarPush:Boolean,toolbarRounded:Boolean,contentStyle:Object,contentClass:[Object,Array,String],square:Boolean,flat:Boolean,dense:Boolean},computed:{editable:function(){return!this.readonly&&!this.disable},hasToolbar:function(){return this.toolbar&&this.toolbar.length>0},toolbarBackgroundClass:function(){if(this.toolbarBg)return"bg-"+this.toolbarBg},buttonProps:function(){return{type:"a",flat:!0!==this.toolbarOutline&&!0!==this.toolbarPush,noWrap:!0,outline:this.toolbarOutline,push:this.toolbarPush,rounded:this.toolbarRounded,dense:!0,color:this.toolbarColor,disable:!this.editable,size:"sm"}},buttonDef:function(){var t=this.$q.lang.editor,e=this.$q.iconSet.editor;return{bold:{cmd:"bold",icon:e.bold,tip:t.bold,key:66},italic:{cmd:"italic",icon:e.italic,tip:t.italic,key:73},strike:{cmd:"strikeThrough",icon:e.strikethrough,tip:t.strikethrough,key:83},underline:{cmd:"underline",icon:e.underline,tip:t.underline,key:85},unordered:{cmd:"insertUnorderedList",icon:e.unorderedList,tip:t.unorderedList},ordered:{cmd:"insertOrderedList",icon:e.orderedList,tip:t.orderedList},subscript:{cmd:"subscript",icon:e.subscript,tip:t.subscript,htmlTip:"x<subscript>2</subscript>"},superscript:{cmd:"superscript",icon:e.superscript,tip:t.superscript,htmlTip:"x<superscript>2</superscript>"},link:{cmd:"link",disable:function(t){return t.caret&&!t.caret.can("link")},icon:e.hyperlink,tip:t.hyperlink,key:76},fullscreen:{cmd:"fullscreen",icon:e.toggleFullscreen,tip:t.toggleFullscreen,key:70},viewsource:{cmd:"viewsource",icon:e.viewSource,tip:t.viewSource},quote:{cmd:"formatBlock",param:"BLOCKQUOTE",icon:e.quote,tip:t.quote,key:81},left:{cmd:"justifyLeft",icon:e.left,tip:t.left},center:{cmd:"justifyCenter",icon:e.center,tip:t.center},right:{cmd:"justifyRight",icon:e.right,tip:t.right},justify:{cmd:"justifyFull",icon:e.justify,tip:t.justify},print:{type:"no-state",cmd:"print",icon:e.print,tip:t.print,key:80},outdent:{type:"no-state",disable:function(t){return t.caret&&!t.caret.can("outdent")},cmd:"outdent",icon:e.outdent,tip:t.outdent},indent:{type:"no-state",disable:function(t){return t.caret&&!t.caret.can("indent")},cmd:"indent",icon:e.indent,tip:t.indent},removeFormat:{type:"no-state",cmd:"removeFormat",icon:e.removeFormat,tip:t.removeFormat},hr:{type:"no-state",cmd:"insertHorizontalRule",icon:e.hr,tip:t.hr},undo:{type:"no-state",cmd:"undo",icon:e.undo,tip:t.undo,key:90},redo:{type:"no-state",cmd:"redo",icon:e.redo,tip:t.redo,key:89},h1:{cmd:"formatBlock",param:"H1",icon:e.heading1||e.heading,tip:t.heading1,htmlTip:'<h1 class="q-ma-none">'+t.heading1+"</h1>"},h2:{cmd:"formatBlock",param:"H2",icon:e.heading2||e.heading,tip:t.heading2,htmlTip:'<h2 class="q-ma-none">'+t.heading2+"</h2>"},h3:{cmd:"formatBlock",param:"H3",icon:e.heading3||e.heading,tip:t.heading3,htmlTip:'<h3 class="q-ma-none">'+t.heading3+"</h3>"},h4:{cmd:"formatBlock",param:"H4",icon:e.heading4||e.heading,tip:t.heading4,htmlTip:'<h4 class="q-ma-none">'+t.heading4+"</h4>"},h5:{cmd:"formatBlock",param:"H5",icon:e.heading5||e.heading,tip:t.heading5,htmlTip:'<h5 class="q-ma-none">'+t.heading5+"</h5>"},h6:{cmd:"formatBlock",param:"H6",icon:e.heading6||e.heading,tip:t.heading6,htmlTip:'<h6 class="q-ma-none">'+t.heading6+"</h6>"},p:{cmd:"formatBlock",param:"DIV",icon:e.heading,tip:t.paragraph},code:{cmd:"formatBlock",param:"PRE",icon:e.code,htmlTip:"<code>"+t.code+"</code>"},"size-1":{cmd:"fontSize",param:"1",icon:e.size1||e.size,tip:t.size1,htmlTip:'<font size="1">'+t.size1+"</font>"},"size-2":{cmd:"fontSize",param:"2",icon:e.size2||e.size,tip:t.size2,htmlTip:'<font size="2">'+t.size2+"</font>"},"size-3":{cmd:"fontSize",param:"3",icon:e.size3||e.size,tip:t.size3,htmlTip:'<font size="3">'+t.size3+"</font>"},"size-4":{cmd:"fontSize",param:"4",icon:e.size4||e.size,tip:t.size4,htmlTip:'<font size="4">'+t.size4+"</font>"},"size-5":{cmd:"fontSize",param:"5",icon:e.size5||e.size,tip:t.size5,htmlTip:'<font size="5">'+t.size5+"</font>"},"size-6":{cmd:"fontSize",param:"6",icon:e.size6||e.size,tip:t.size6,htmlTip:'<font size="6">'+t.size6+"</font>"},"size-7":{cmd:"fontSize",param:"7",icon:e.size7||e.size,tip:t.size7,htmlTip:'<font size="7">'+t.size7+"</font>"}}},buttons:function(){var t=this,e=this.definitions||{},n=this.definitions||this.fonts?mo(!0,{},this.buttonDef,e,function(t,e,n,i){void 0===i&&(i={});var r=Object.keys(i);if(0===r.length)return{};var o={default_font:{cmd:"fontName",param:t,icon:n,tip:e}};return r.forEach((function(t){var e=i[t];o[t]={cmd:"fontName",param:e,icon:n,tip:e,htmlTip:'<font face="'+e+'">'+e+"</font>"}})),o}(this.defaultFont,this.$q.lang.editor.defaultFont,this.$q.iconSet.editor.font,this.fonts)):this.buttonDef;return this.toolbar.map((function(i){return i.map((function(i){if(i.options)return{type:"dropdown",icon:i.icon,label:i.label,size:"sm",dense:!0,fixedLabel:i.fixedLabel,fixedIcon:i.fixedIcon,highlight:i.highlight,list:i.list,options:i.options.map((function(t){return n[t]}))};var r=n[i];return r?"no-state"===r.type||e[i]&&(void 0===r.cmd||t.buttonDef[r.cmd]&&"no-state"===t.buttonDef[r.cmd].type)?r:Object.assign({type:"toggle"},r):{type:"slot",slot:i}}))}))},keys:function(){var t={},e=function(e){e.key&&(t[e.key]={cmd:e.cmd,param:e.param})};return this.buttons.forEach((function(t){t.forEach((function(t){t.options?t.options.forEach(e):e(t)}))})),t},innerStyle:function(){return this.inFullscreen?this.contentStyle:[{minHeight:this.minHeight,height:this.height,maxHeight:this.maxHeight},this.contentStyle]},classes:function(){return"q-editor q-editor--"+(!0===this.isViewingSource?"source":"default")+(!0===this.disable?" disabled":"")+(!0===this.inFullscreen?" fullscreen column":"")+(!0===this.square?" q-editor--square no-border-radius":"")+(!0===this.flat?" q-editor--flat":"")+(!0===this.dense?" q-editor--dense":"")+(!0===this.isDark?" q-editor--dark q-dark":"")},innerClass:function(){return[this.contentClass,{col:this.inFullscreen,"overflow-auto":this.inFullscreen||this.maxHeight}]},attrs:function(){return!0===this.disable?{"aria-disabled":"true"}:!0===this.readonly?{"aria-readonly":"true"}:void 0}},data:function(){return{lastEmit:this.value,editLinkUrl:null,isViewingSource:!1}},watch:{value:function(t){this.lastEmit!==t&&this.__setContent(t,!0)}},methods:{__onInput:function(){if(void 0!==this.$refs.content){var t=!0===this.isViewingSource?this.$refs.content.innerText:this.$refs.content.innerHTML;t!==this.value&&(this.lastEmit=t,this.$emit("input",t))}},__onKeydown:function(t){if(this.$emit("keydown",t),!0!==t.ctrlKey||!0===J(t))return this.refreshToolbar(),void(this.$q.platform.is.ie&&this.$nextTick(this.__onInput));var e=t.keyCode,n=this.keys[e];if(void 0!==n){var i=n.cmd,r=n.param;w(t),this.runCmd(i,r,!1)}},__onClick:function(t){this.refreshToolbar(),this.$emit("click",t)},__onBlur:function(t){if(void 0!==this.$refs.content){var e=this.$refs.content,n=e.scrollTop,i=e.scrollHeight;this.__offsetBottom=i-n}!0!==this.$q.platform.is.ie&&this.caret.save(),this.$emit("blur",t)},__onFocus:function(t){var e=this;this.$nextTick((function(){void 0!==e.$refs.content&&void 0!==e.__offsetBottom&&(e.$refs.content.scrollTop=e.$refs.content.scrollHeight-e.__offsetBottom)})),this.$emit("focus",t)},__onMouseup:function(t){this.caret.save(),void 0!==this.qListeners.mouseup&&this.$emit("mouseup",t)},__onKeyup:function(t){this.caret.save(),void 0!==this.qListeners.keyup&&this.$emit("keyup",t)},__onTouchend:function(t){this.caret.save(),void 0!==this.qListeners.touchend&&this.$emit("touchend",t)},runCmd:function(t,e,n){var i=this;void 0===n&&(n=!0),this.focus(),this.caret.restore(),this.caret.apply(t,e,(function(){i.focus(),i.caret.save(),!0!==i.$q.platform.is.ie&&!0!==i.$q.platform.is.edge||i.$nextTick(i.__onInput),n&&i.refreshToolbar()}))},refreshToolbar:function(){var t=this;setTimeout((function(){t.editLinkUrl=null,t.$forceUpdate()}),1)},focus:function(){void 0!==this.$refs.content&&this.$refs.content.focus()},getContentEl:function(){return this.$refs.content},__setContent:function(t,e){if(void 0!==this.$refs.content){!0===e&&this.caret.savePosition();var n="inner"+(!0===this.isViewingSource?"Text":"HTML");this.$refs.content[n]=t,!0===e&&(this.caret.restorePosition(),this.refreshToolbar())}}},created:function(){!1===i&&(document.execCommand("defaultParagraphSeparator",!1,"div"),this.defaultFont=window.getComputedStyle(document.body).fontFamily)},mounted:function(){this.caret=new so(this.$refs.content,this),this.__setContent(this.value),this.refreshToolbar()},render:function(t){var e;if(this.hasToolbar){var n=[t("div",{key:"qedt_top",staticClass:"q-editor__toolbar row no-wrap scroll-x",class:this.toolbarBackgroundClass},no(t,this))];null!==this.editLinkUrl&&n.push(t("div",{key:"qedt_btm",staticClass:"q-editor__toolbar row no-wrap items-center scroll-x",class:this.toolbarBackgroundClass},function(t,e,n){if(e.caret){var i=e.toolbarColor||e.toolbarTextColor,r=e.editLinkUrl,o=function(){e.caret.restore(),r!==e.editLinkUrl&&document.execCommand("createLink",!1,""===r?" ":r),e.editLinkUrl=null,!0===n&&e.$nextTick(e.__onInput)};return[t("div",{staticClass:"q-mx-xs",class:"text-"+i},[e.$q.lang.editor.url+": "]),t(Qr,{key:"qedt_btm_input",staticClass:"q-ma-none q-pa-none col q-editor-input",props:{value:r,color:i,autofocus:!0,borderless:!0,dense:!0},on:{input:function(t){r=t},keydown:function(t){if(!0!==J(t))switch(t.keyCode){case 13:return b(t),o();case 27:b(t),e.caret.restore(),e.editLinkUrl&&"https://"!==e.editLinkUrl||document.execCommand("unlink"),e.editLinkUrl=null}}}}),to(t,[t(ye,{key:"qedt_btm_rem",attrs:{tabindex:-1},props:Object.assign({},e.buttonProps,{label:e.$q.lang.label.remove,noCaps:!0}),on:{click:function(){e.caret.restore(),document.execCommand("unlink"),e.editLinkUrl=null,!0===n&&e.$nextTick(e.__onInput)}}}),t(ye,{key:"qedt_btm_upd",props:Object.assign({},e.buttonProps,{label:e.$q.lang.label.update,noCaps:!0}),on:{click:o}})])]}}(t,this,this.$q.platform.is.ie))),e=t("div",{key:"toolbar_ctainer",staticClass:"q-editor__toolbars-container"},n)}var r=Object.assign({},this.qListeners,{input:this.__onInput,keydown:this.__onKeydown,click:this.__onClick,blur:this.__onBlur,focus:this.__onFocus,mouseup:this.__onMouseup,keyup:this.__onKeyup,touchend:this.__onTouchend});return t("div",{style:{height:!0===this.inFullscreen?"100vh":null},class:this.classes,attrs:this.attrs},[e,t("div",{ref:"content",staticClass:"q-editor__content",style:this.innerStyle,class:this.innerClass,attrs:{contenteditable:this.editable,placeholder:this.placeholder},domProps:i?{innerHTML:this.value}:void 0,on:r})])}}),go=t.extend({name:"QItemLabel",mixins:[At],props:{overline:Boolean,caption:Boolean,header:Boolean,lines:[Number,String]},computed:{classes:function(){return{"q-item__label--overline text-overline":this.overline,"q-item__label--caption text-caption":this.caption,"q-item__label--header":this.header,ellipsis:1===parseInt(this.lines,10)}},style:function(){if(void 0!==this.lines&&parseInt(this.lines,10)>1)return{overflow:"hidden",display:"-webkit-box","-webkit-box-orient":"vertical","-webkit-line-clamp":this.lines}}},render:function(t){return t("div",{staticClass:"q-item__label",style:this.style,class:this.classes,on:Object.assign({},this.qListeners)},Et(this,"default"))}}),_o=t.extend({name:"QSlideTransition",props:{appear:Boolean,duration:{type:Number,default:300}},methods:{__begin:function(t,e,n){t.style.overflowY="hidden",void 0!==e&&(t.style.height=e+"px"),t.style.transition="height "+this.duration+"ms cubic-bezier(.25, .8, .50, 1)",this.animating=!0,this.done=n},__end:function(t,e){t.style.overflowY=null,t.style.height=null,t.style.transition=null,this.__cleanup(),e!==this.lastEvent&&this.$emit(e)},__cleanup:function(){this.done&&this.done(),this.done=null,this.animating=!1,clearTimeout(this.timer),clearTimeout(this.timerFallback),void 0!==this.el&&this.el.removeEventListener("transitionend",this.animListener),this.animListener=null}},beforeDestroy:function(){this.animating&&this.__cleanup()},render:function(t){var e=this;return t("transition",{props:{css:!1,appear:this.appear},on:pt(this,"tr",{enter:function(t,n){var i=0;e.el=t,!0===e.animating?(e.__cleanup(),i=t.offsetHeight===t.scrollHeight?0:void 0):e.lastEvent="hide",e.__begin(t,i,n),e.timer=setTimeout((function(){t.style.height=t.scrollHeight+"px",e.animListener=function(n){Object(n)===n&&n.target!==t||e.__end(t,"show")},t.addEventListener("transitionend",e.animListener),e.timerFallback=setTimeout(e.animListener,1.1*e.duration)}),100)},leave:function(t,n){var i;e.el=t,!0===e.animating?e.__cleanup():(e.lastEvent="show",i=t.scrollHeight),e.__begin(t,i,n),e.timer=setTimeout((function(){t.style.height=0,e.animListener=function(n){Object(n)===n&&n.target!==t||e.__end(t,"hide")},t.addEventListener("transitionend",e.animListener),e.timerFallback=setTimeout(e.animListener,1.1*e.duration)}),100)}})},Et(this,"default"))}}),yo={true:"inset",item:"item-inset","item-thumbnail":"item-thumbnail-inset"},bo={xs:2,sm:4,md:8,lg:16,xl:24},wo=t.extend({name:"QSeparator",mixins:[It,At],props:{spaced:[Boolean,String],inset:[Boolean,String],vertical:Boolean,color:String,size:String},computed:{orientation:function(){return!0===this.vertical?"vertical":"horizontal"},classPrefix:function(){return" q-separator--"+this.orientation},insetClass:function(){return!1!==this.inset?this.classPrefix+"-"+yo[this.inset]:""},classes:function(){return"q-separator"+this.classPrefix+this.insetClass+(void 0!==this.color?" bg-"+this.color:"")+(!0===this.isDark?" q-separator--dark":"")},style:function(){var t={};if(void 0!==this.size&&(t[!0===this.vertical?"width":"height"]=this.size),!1!==this.spaced){var e=!0===this.spaced?bo.md+"px":this.spaced in bo?bo[this.spaced]+"px":this.spaced,n=!0===this.vertical?["Left","Right"]:["Top","Bottom"];t["margin"+n[0]]=t["margin"+n[1]]=e}return t},attrs:function(){return{role:"separator","aria-orientation":this.orientation}}},render:function(t){return t("hr",{staticClass:"q-separator",class:this.classes,style:this.style,attrs:this.attrs,on:Object.assign({},this.qListeners)})}}),xo="q:expansion-item:close",ko=t.extend({name:"QExpansionItem",mixins:[It,Wt,Se],props:{icon:String,label:String,labelLines:[Number,String],caption:String,captionLines:[Number,String],dense:Boolean,expandIcon:String,expandedIcon:String,expandIconClass:[Array,String,Object],duration:Number,headerInsetLevel:Number,contentInsetLevel:Number,expandSeparator:Boolean,defaultOpened:Boolean,expandIconToggle:Boolean,switchToggleSide:Boolean,denseToggle:Boolean,group:String,popup:Boolean,headerStyle:[Array,String,Object],headerClass:[Array,String,Object]},data:function(){return{showing:void 0!==this.value?this.value:this.defaultOpened}},watch:{showing:function(t){!0===t&&void 0!==this.group&&this.$root.$emit(xo,this)},group:function(t,e){void 0!==t&&void 0===e?this.$root.$on(xo,this.__eventHandler):void 0===t&&void 0!==e&&this.$root.$off(xo,this.__eventHandler)}},computed:{classes:function(){return"q-expansion-item--"+(!0===this.showing?"expanded":"collapsed")+" q-expansion-item--"+(!0===this.popup?"popup":"standard")},contentStyle:function(){var t;if(void 0!==this.contentInsetLevel)return(t={})["padding"+(!0===this.$q.lang.rtl?"Right":"Left")]=56*this.contentInsetLevel+"px",t},isClickable:function(){return!0===this.hasRouterLink||!0!==this.expandIconToggle},expansionIcon:function(){return void 0!==this.expandedIcon&&!0===this.showing?this.expandedIcon:this.expandIcon||this.$q.iconSet.expansionItem[!0===this.denseToggle?"denseIcon":"icon"]},activeToggleIcon:function(){return!0!==this.disable&&(!0===this.hasRouterLink||!0===this.expandIconToggle)}},methods:{__onHeaderClick:function(t){!0!==this.hasRouterLink&&this.toggle(t),this.$emit("click",t)},__toggleIconKeyboard:function(t){13===t.keyCode&&this.__toggleIcon(t,!0)},__toggleIcon:function(t,e){!0!==e&&void 0!==this.$refs.blurTarget&&this.$refs.blurTarget.focus(),this.toggle(t),w(t)},__eventHandler:function(t){this!==t&&this.group===t.group&&this.hide()},__getToggleIcon:function(t){var e={staticClass:"q-focusable relative-position cursor-pointer"+(!0===this.denseToggle&&!0===this.switchToggleSide?" items-end":""),class:this.expandIconClass,props:{side:!0!==this.switchToggleSide,avatar:this.switchToggleSide}},n=[t(Pt,{staticClass:"q-expansion-item__toggle-icon",class:void 0===this.expandedIcon&&!0===this.showing?"q-expansion-item__toggle-icon--rotated":void 0,props:{name:this.expansionIcon}})];return!0===this.activeToggleIcon&&(Object.assign(e,{attrs:{tabindex:0},on:pt(this,"inpExt",{click:this.__toggleIcon,keyup:this.__toggleIconKeyboard})}),n.unshift(t("div",{ref:"blurTarget",staticClass:"q-expansion-item__toggle-focus q-icon q-focus-helper q-focus-helper--rounded",attrs:{tabindex:-1}}))),t(Jr,e,n)},__getHeader:function(t){var e;void 0!==this.$scopedSlots.header?e=this.$scopedSlots.header().slice():(e=[t(Jr,[t(go,{props:{lines:this.labelLines}},[this.label||""]),this.caption?t(go,{props:{lines:this.captionLines,caption:!0}},[this.caption]):null])],this.icon&&e[!0===this.switchToggleSide?"push":"unshift"](t(Jr,{props:{side:!0===this.switchToggleSide,avatar:!0!==this.switchToggleSide}},[t(Pt,{props:{name:this.icon}})]))),!0!==this.disable&&e[!0===this.switchToggleSide?"unshift":"push"](this.__getToggleIcon(t));var n={ref:"item",style:this.headerStyle,class:this.headerClass,props:{dark:this.isDark,disable:this.disable,dense:this.dense,insetLevel:this.headerInsetLevel}};if(!0===this.isClickable){var i=!0===this.hasRouterLink?"nativeOn":"on";n.props.clickable=!0,n[i]=Object.assign({},this.qListeners,{click:this.__onHeaderClick}),!0===this.hasRouterLink&&Object.assign(n.props,this.routerLinkProps)}return t(Zr,n,e)},__getContent:function(t){var e=this,n=[this.__getHeader(t),t(_o,{props:{duration:this.duration},on:pt(this,"slide",{show:function(){e.$emit("after-show")},hide:function(){e.$emit("after-hide")}})},[t("div",{staticClass:"q-expansion-item__content relative-position",style:this.contentStyle,directives:[{name:"show",value:this.showing}]},Et(this,"default"))])];return this.expandSeparator&&n.push(t(wo,{staticClass:"q-expansion-item__border q-expansion-item__border--top absolute-top",props:{dark:this.isDark}}),t(wo,{staticClass:"q-expansion-item__border q-expansion-item__border--bottom absolute-bottom",props:{dark:this.isDark}})),n}},render:function(t){return t("div",{staticClass:"q-expansion-item q-item-type",class:this.classes},[t("div",{staticClass:"q-expansion-item__container relative-position"},this.__getContent(t))])},created:function(){void 0!==this.group&&this.$root.$on(xo,this.__eventHandler)},beforeDestroy:function(){void 0!==this.group&&this.$root.$off(xo,this.__eventHandler)}}),So=["top","right","bottom","left"],Co={mixins:[At],props:{type:{type:String,default:"a"},outline:Boolean,push:Boolean,flat:Boolean,unelevated:Boolean,color:String,textColor:String,glossy:Boolean,square:Boolean,padding:String,label:{type:[String,Number],default:""},labelPosition:{type:String,default:"right",validator:function(t){return So.includes(t)}},externalLabel:Boolean,hideLabel:{type:Boolean},labelClass:[Array,String,Object],labelStyle:[Array,String,Object],disable:Boolean,tabindex:[Number,String]},computed:{formClass:function(){return"q-fab--form-"+(!0===this.square?"square":"rounded")},stacked:function(){return!1===this.externalLabel&&["top","bottom"].includes(this.labelPosition)},labelProps:function(){if(!0===this.externalLabel){var t=null===this.hideLabel?!1===this.showing:this.hideLabel;return{action:"push",data:{staticClass:"q-fab__label q-tooltip--style q-fab__label--external q-fab__label--external-"+this.labelPosition+(!0===t?" q-fab__label--external-hidden":""),style:this.labelStyle,class:this.labelClass}}}return{action:["left","top"].includes(this.labelPosition)?"unshift":"push",data:{staticClass:"q-fab__label q-fab__label--internal q-fab__label--internal-"+this.labelPosition+(!0===this.hideLabel?" q-fab__label--internal-hidden":""),style:this.labelStyle,class:this.labelClass}}}}},Mo=["up","right","down","left"],To=["left","center","right"],Oo=t.extend({name:"QFab",inheritAttrs:!1,mixins:[Co,_t,Se],provide:function(){return{__qFab:this}},props:{icon:String,activeIcon:String,hideIcon:Boolean,hideLabel:{default:null},direction:{type:String,default:"right",validator:function(t){return Mo.includes(t)}},persistent:Boolean,verticalActionsAlign:{type:String,default:"center",validator:function(t){return To.includes(t)}}},data:function(){return{showing:!0===this.value}},computed:{hideOnRouteChange:function(){return!0!==this.persistent},classes:function(){return"q-fab--align-"+this.verticalActionsAlign+" "+this.formClass+(!0===this.showing?" q-fab--opened":"")},attrs:function(){return Object.assign({},{"aria-expanded":!0===this.showing?"true":"false","aria-haspopup":"true"},this.qAttrs)}},methods:{__onChildClick:function(t){this.hide(t),this.$refs.trigger&&this.$refs.trigger.$el&&this.$refs.trigger.$el.focus()}},render:function(t){var e=[];return!0!==this.hideIcon&&e.push(t("div",{staticClass:"q-fab__icon-holder"},[t(Pt,{staticClass:"q-fab__icon absolute-full",props:{name:this.icon||this.$q.iconSet.fab.icon}}),t(Pt,{staticClass:"q-fab__active-icon absolute-full",props:{name:this.activeIcon||this.$q.iconSet.fab.activeIcon}})])),""!==this.label&&e[this.labelProps.action](t("div",this.labelProps.data,[this.label])),t("div",{staticClass:"q-fab z-fab row inline justify-center",class:this.classes,on:Object.assign({},this.qListeners)},[t(ye,{ref:"trigger",class:this.formClass,props:Object.assign({},this.$props,{noWrap:!0,stack:this.stacked,align:void 0,icon:void 0,label:void 0,noCaps:!0,fab:!0}),attrs:this.attrs,on:pt(this,"tog",{click:this.toggle})},Lt(e,this,"tooltip")),t("div",{staticClass:"q-fab__actions flex no-wrap inline",class:"q-fab__actions--"+this.direction},Et(this,"default"))])}}),Ao={start:"self-end",center:"self-center",end:"self-start"},Eo=Object.keys(Ao),qo=t.extend({name:"QFabAction",mixins:[Co],props:{icon:{type:String,default:""},anchor:{type:String,validator:function(t){return Eo.includes(t)}},to:[String,Object],replace:Boolean},inject:{__qFab:{default:function(){console.error("QFabAction needs to be child of QFab")}}},computed:{classes:function(){var t=Ao[this.anchor];return this.formClass+(void 0!==t?" "+t:"")},onEvents:function(){return Object.assign({},this.qListeners,{click:this.click})},isDisabled:function(){return!0!==this.__qFab.showing||!0===this.disable}},methods:{click:function(t){this.__qFab.__onChildClick(t),this.$emit("click",t)}},render:function(t){var e=[];return""!==this.icon&&e.push(t(Pt,{props:{name:this.icon}})),""!==this.label&&e[this.labelProps.action](t("div",this.labelProps.data,[this.label])),t(ye,{class:this.classes,props:Object.assign({},this.$props,{noWrap:!0,stack:this.stacked,icon:void 0,label:void 0,noCaps:!0,fabMini:!0,disable:this.isDisabled}),on:this.onEvents},Lt(e,this,"default"))}}),Lo=t.extend({name:"QFile",mixins:[Dr,Rr,un,Nr],props:{value:!0===i?{}:[File,FileList,Array],append:Boolean,useChips:Boolean,displayValue:[String,Number],tabindex:{type:[String,Number],default:0},counterLabel:Function,inputClass:[Array,String,Object],inputStyle:[Array,String,Object]},data:function(){return{dnd:!1}},computed:{innerValue:function(){return Object(this.value)===this.value?"length"in this.value?Array.from(this.value):[this.value]:[]},selectedString:function(){return this.innerValue.map((function(t){return t.name})).join(", ")},totalSize:function(){return lt(this.innerValue.reduce((function(t,e){return t+e.size}),0))},counterProps:function(){return{totalSize:this.totalSize,filesNumber:this.innerValue.length,maxFiles:this.maxFiles}},computedCounter:function(){if(void 0!==this.counterLabel)return this.counterLabel(this.counterProps);var t=this.maxFiles;return this.innerValue.length+(void 0!==t?" / "+t:"")+" ("+this.totalSize+")"},inputAttrs:function(){return Object.assign({},{tabindex:-1,type:"file",title:"",accept:this.accept,capture:this.capture,name:this.nameProp},this.qAttrs,{id:this.targetUid,disabled:!0!==this.editable})},isAppending:function(){return!0===this.multiple&&!0===this.append}},methods:{removeAtIndex:function(t){var e=this.innerValue.slice();e.splice(t,1),this.__emitValue(e)},removeFile:function(t){var e=this.innerValue.findIndex(t);e>-1&&this.removeAtIndex(e)},__emitValue:function(t){this.$emit("input",!0===this.multiple?t:t[0])},__onKeyup:function(t){13===t.keyCode&&this.pickFiles(t)},__getFileInput:function(){return this.$refs.input},__addFiles:function(t,e){var n=this.__processFiles(t,e,this.innerValue,this.isAppending);void 0!==n&&this.__emitValue(!0===this.isAppending?this.innerValue.concat(n):n)},__getControl:function(t){var e={ref:"target",staticClass:"q-field__native row items-center cursor-pointer",attrs:{tabindex:this.tabindex}};return!0===this.editable&&(e.on=pt(this,"native",{dragover:this.__onDragOver,keyup:this.__onKeyup})),t("div",e,[this.__getInput(t)].concat(this.__getSelection(t)))},__getControlChild:function(t){return this.__getDnd(t,"file")},__getSelection:function(t){var e=this;return void 0!==this.$scopedSlots.file?this.innerValue.map((function(t,n){return e.$scopedSlots.file({index:n,file:t,ref:e})})):void 0!==this.$scopedSlots.selected?this.$scopedSlots.selected({files:this.innerValue,ref:this}):!0===this.useChips?this.innerValue.map((function(n,i){return t(Rn,{key:"file-"+i,props:{removable:e.editable,dense:!0,textColor:e.color,tabindex:e.tabindex},on:pt(e,"rem#"+i,{remove:function(){e.removeAtIndex(i)}})},[t("span",{staticClass:"ellipsis",domProps:{textContent:n.name}})])})):[t("div",{style:this.inputStyle,class:this.inputClass,domProps:{textContent:void 0!==this.displayValue?this.displayValue:this.selectedString}})]},__getInput:function(t){var e={ref:"input",staticClass:"q-field__input fit absolute-full cursor-pointer",attrs:this.inputAttrs,domProps:this.formDomProps,on:pt(this,"input",{change:this.__addFiles})};return!0===this.multiple&&(e.attrs.multiple=!0),t("input",e)}},created:function(){this.fieldClass="q-file q-field--auto-height",this.type="file"}}),Do=t.extend({name:"QFooter",mixins:[At],inject:{layout:{default:function(){console.error("QFooter needs to be child of QLayout")}}},props:{value:{type:Boolean,default:!0},reveal:Boolean,bordered:Boolean,elevated:Boolean,heightHint:{type:[String,Number],default:50}},data:function(){return{size:parseInt(this.heightHint,10),revealed:!0,windowHeight:o||this.layout.container?0:window.innerHeight}},watch:{value:function(t){this.__update("space",t),this.__updateLocal("revealed",!0),this.layout.__animate()},offset:function(t){this.__update("offset",t)},reveal:function(t){!1===t&&this.__updateLocal("revealed",this.value)},revealed:function(t){this.layout.__animate(),this.$emit("reveal",t)},"layout.scroll":function(){this.__updateRevealed()},"layout.height":function(){this.__updateRevealed()},size:function(){this.__updateRevealed()},"$q.screen.height":function(t){!0!==this.layout.container&&this.__updateLocal("windowHeight",t)}},computed:{fixed:function(){return!0===this.reveal||this.layout.view.indexOf("F")>-1||!0===this.layout.container},containerHeight:function(){return!0===this.layout.container?this.layout.containerHeight:this.windowHeight},offset:function(){if(!0!==this.value)return 0;if(!0===this.fixed)return!0===this.revealed?this.size:0;var t=this.layout.scroll.position+this.containerHeight+this.size-this.layout.height;return t>0?t:0},hidden:function(){return!0!==this.value||!0===this.fixed&&!0!==this.revealed},revealOnFocus:function(){return!0===this.value&&!0===this.hidden&&!0===this.reveal},classes:function(){return(!0===this.fixed?"fixed":"absolute")+"-bottom"+(!0===this.bordered?" q-footer--bordered":"")+(!0===this.hidden?" q-footer--hidden":"")+(!0!==this.value?" q-layout--prevent-focus":"")+(!0!==this.value&&!0!==this.fixed?" hidden":"")},style:function(){var t=this.layout.rows.bottom,e={};return"l"===t[0]&&!0===this.layout.left.space&&(e[!0===this.$q.lang.rtl?"right":"left"]=this.layout.left.size+"px"),"r"===t[2]&&!0===this.layout.right.space&&(e[!0===this.$q.lang.rtl?"left":"right"]=this.layout.right.size+"px"),e},onEvents:function(){return Object.assign({},this.qListeners,{focusin:this.__onFocusin,input:y})}},render:function(t){var e=Lt([t(ni,{props:{debounce:0},on:pt(this,"resize",{resize:this.__onResize})})],this,"default");return!0===this.elevated&&e.push(t("div",{staticClass:"q-layout__shadow absolute-full overflow-hidden no-pointer-events"})),t("footer",{staticClass:"q-footer q-layout__section--marginal",class:this.classes,style:this.style,on:this.onEvents},e)},created:function(){this.layout.instances.footer=this,!0===this.value&&this.__update("size",this.size),this.__update("space",this.value),this.__update("offset",this.offset)},beforeDestroy:function(){this.layout.instances.footer===this&&(this.layout.instances.footer=void 0,this.__update("size",0),this.__update("offset",0),this.__update("space",!1))},methods:{__onResize:function(t){var e=t.height;this.__updateLocal("size",e),this.__update("size",e)},__update:function(t,e){this.layout.footer[t]!==e&&(this.layout.footer[t]=e)},__updateLocal:function(t,e){this[t]!==e&&(this[t]=e)},__updateRevealed:function(){if(!0===this.reveal){var t=this.layout.scroll,e=t.direction,n=t.position,i=t.inflexionPosition;this.__updateLocal("revealed","up"===e||n-i<100||this.layout.height-this.containerHeight-n-this.size<300)}},__onFocusin:function(t){!0===this.revealOnFocus&&this.__updateLocal("revealed",!0),this.$emit("focusin",t)}}}),Po=t.extend({name:"QForm",mixins:[At],props:{autofocus:Boolean,noErrorFocus:Boolean,noResetFocus:Boolean,greedy:Boolean},computed:{onEvents:function(){return Object.assign({},this.qListeners,{submit:this.submit,reset:this.reset})}},mounted:function(){this.validateIndex=0,!0===this.autofocus&&this.focus()},methods:{validate:function(t){var e=this,n=[],i="boolean"==typeof t?t:!0!==this.noErrorFocus;this.validateIndex++;for(var r=this.getValidationComponents(),o=function(t,n){e.$emit("validation-"+(!0===t?"success":"error"),n)},a=function(t){var a=r[t],s=a.validate();if("function"==typeof s.then)n.push(s.then((function(t){return{valid:t,comp:a}}),(function(t){return{valid:!1,comp:a,error:t}})));else if(!0!==s){if(!1===e.greedy)return o(!1,a),!0===i&&"function"==typeof a.focus&&a.focus(),{v:Promise.resolve(!1)};n.push({valid:!1,comp:a})}},s=0;s<r.length;s++){var l=a(s);if(l)return l.v}if(0===n.length)return o(!0),Promise.resolve(!0);var u=this.validateIndex;return Promise.all(n).then((function(t){if(u===e.validateIndex){var n=t.filter((function(t){return!0!==t.valid}));if(0===n.length)return o(!0),!0;var r=n[0],a=r.valid,s=r.comp;return o(!1,s),!0===i&&!0!==a&&"function"==typeof s.focus&&s.focus(),!1}}))},resetValidation:function(){this.validateIndex++,this.getValidationComponents().forEach((function(t){t.resetValidation()}))},submit:function(t){var e=this;void 0!==t&&w(t),this.validate().then((function(n){!0===n&&(void 0!==e.qListeners.submit?e.$emit("submit",t):void 0!==t&&void 0!==t.target&&"function"==typeof t.target.submit&&t.target.submit())}))},reset:function(t){var e=this;void 0!==t&&w(t),this.$emit("reset"),this.$nextTick((function(){e.resetValidation(),!0===e.autofocus&&!0!==e.noResetFocus&&e.focus()}))},focus:function(){var t=this.$el.querySelector("[autofocus], [data-autofocus]")||Array.prototype.find.call(this.$el.querySelectorAll("[tabindex]"),(function(t){return t.tabIndex>-1}));null!=t&&t.focus()},getValidationComponents:function(){return Array.prototype.map.call(this.$el.getElementsByClassName("q-validation-component"),(function(t){return t.__vue__})).filter((function(t){return void 0!==t&&"function"==typeof t.validate}))}},render:function(t){return t("form",{staticClass:"q-form",on:this.onEvents},Et(this,"default"))}}),Ro=t.extend({name:"QHeader",mixins:[At],inject:{layout:{default:function(){console.error("QHeader needs to be child of QLayout")}}},props:{value:{type:Boolean,default:!0},reveal:Boolean,revealOffset:{type:Number,default:250},bordered:Boolean,elevated:Boolean,heightHint:{type:[String,Number],default:50}},data:function(){return{size:parseInt(this.heightHint,10),revealed:!0}},watch:{value:function(t){this.__update("space",t),this.__updateLocal("revealed",!0),this.layout.__animate()},offset:function(t){this.__update("offset",t)},reveal:function(t){!1===t&&this.__updateLocal("revealed",this.value)},revealed:function(t){this.layout.__animate(),this.$emit("reveal",t)},"layout.scroll":function(t){!0===this.reveal&&this.__updateLocal("revealed","up"===t.direction||t.position<=this.revealOffset||t.position-t.inflexionPosition<100)}},computed:{fixed:function(){return!0===this.reveal||this.layout.view.indexOf("H")>-1||!0===this.layout.container},offset:function(){if(!0!==this.value)return 0;if(!0===this.fixed)return!0===this.revealed?this.size:0;var t=this.size-this.layout.scroll.position;return t>0?t:0},hidden:function(){return!0!==this.value||!0===this.fixed&&!0!==this.revealed},revealOnFocus:function(){return!0===this.value&&!0===this.hidden&&!0===this.reveal},classes:function(){return(!0===this.fixed?"fixed":"absolute")+"-top"+(!0===this.bordered?" q-header--bordered":"")+(!0===this.hidden?" q-header--hidden":"")+(!0!==this.value?" q-layout--prevent-focus":"")},style:function(){var t=this.layout.rows.top,e={};return"l"===t[0]&&!0===this.layout.left.space&&(e[!0===this.$q.lang.rtl?"right":"left"]=this.layout.left.size+"px"),"r"===t[2]&&!0===this.layout.right.space&&(e[!0===this.$q.lang.rtl?"left":"right"]=this.layout.right.size+"px"),e},onEvents:function(){return Object.assign({},this.qListeners,{focusin:this.__onFocusin,input:y})}},render:function(t){var e=qt(this,"default",[]);return!0===this.elevated&&e.push(t("div",{staticClass:"q-layout__shadow absolute-full overflow-hidden no-pointer-events"})),e.push(t(ni,{props:{debounce:0},on:pt(this,"resize",{resize:this.__onResize})})),t("header",{staticClass:"q-header q-layout__section--marginal",class:this.classes,style:this.style,on:this.onEvents},e)},created:function(){this.layout.instances.header=this,!0===this.value&&this.__update("size",this.size),this.__update("space",this.value),this.__update("offset",this.offset)},beforeDestroy:function(){this.layout.instances.header===this&&(this.layout.instances.header=void 0,this.__update("size",0),this.__update("offset",0),this.__update("space",!1))},methods:{__onResize:function(t){var e=t.height;this.__updateLocal("size",e),this.__update("size",e)},__update:function(t,e){this.layout.header[t]!==e&&(this.layout.header[t]=e)},__updateLocal:function(t,e){this[t]!==e&&(this[t]=e)},__onFocusin:function(t){!0===this.revealOnFocus&&this.__updateLocal("revealed",!0),this.$emit("focusin",t)}}}),No={props:{ratio:[String,Number]},computed:{ratioStyle:function(){var t=this.ratio||this.naturalRatio;if(void 0!==t)return{paddingBottom:100/t+"%"}}}},Io=t.extend({name:"QImg",mixins:[At,No],props:{src:String,srcset:String,sizes:String,alt:String,width:String,height:String,placeholderSrc:String,basic:Boolean,contain:Boolean,position:{type:String,default:"50% 50%"},transition:{type:String,default:"fade"},imgClass:[Array,String,Object],imgStyle:Object,nativeContextMenu:Boolean,noDefaultSpinner:Boolean,spinnerColor:String,spinnerSize:String},data:function(){return{currentSrc:"",image:null,isLoading:!!this.src,hasError:!1,naturalRatio:void 0}},watch:{src:function(){this.__load()},srcset:function(t){this.__updateWatcher(t)}},computed:{url:function(){return this.currentSrc||this.placeholderSrc||void 0},attrs:function(){var t={role:"img"};return void 0!==this.alt&&(t["aria-label"]=this.alt),t},imgContainerStyle:function(){return Object.assign({backgroundSize:!0===this.contain?"contain":"cover",backgroundPosition:this.position},this.imgStyle,{backgroundImage:'url("'+this.url+'")'})},style:function(){return{width:this.width,height:this.height}},classes:function(){return"q-img overflow-hidden"+(!0===this.nativeContextMenu?" q-img--menu":"")}},methods:{__onLoad:function(t){this.isLoading=!1,this.hasError=!1,this.__computeRatio(t),this.__updateSrc(),this.__updateWatcher(this.srcset),this.$emit("load",this.currentSrc)},__onError:function(t){clearTimeout(this.ratioTimer),this.isLoading=!1,this.hasError=!0,this.currentSrc="",this.$emit("error",t)},__updateSrc:function(){if(void 0!==this.image&&!1===this.isLoading){var t=this.image.currentSrc||this.image.src;this.currentSrc!==t&&(this.currentSrc=t)}},__updateWatcher:function(t){t?void 0===this.unwatch&&(this.unwatch=this.$watch("$q.screen.width",this.__updateSrc)):void 0!==this.unwatch&&(this.unwatch(),this.unwatch=void 0)},__load:function(){var t=this;if(clearTimeout(this.ratioTimer),this.hasError=!1,!this.src)return this.isLoading=!1,this.image=void 0,void(this.currentSrc="");this.isLoading=!0;var e=new Image;this.image=e,e.onerror=function(n){t.image===e&&!0!==t.destroyed&&t.__onError(n)},e.onload=function(){!0!==t.destroyed&&t.image===e&&(void 0!==e.decode?e.decode().catch((function(n){t.image===e&&!0!==t.destroyed&&t.__onError(n)})).then((function(){t.image===e&&!0!==t.destroyed&&t.__onLoad(e)})):t.__onLoad(e))},e.src=this.src,this.srcset&&(e.srcset=this.srcset),void 0!==this.sizes?e.sizes=this.sizes:Object.assign(e,{height:this.height,width:this.width})},__computeRatio:function(t){var e=this,n=t.naturalHeight,i=t.naturalWidth;n||i?this.naturalRatio=0===n?1:i/n:this.ratioTimer=setTimeout((function(){e.image===t&&!0!==e.destroyed&&e.__computeRatio(t)}),100)},__getImage:function(t){var e=!0===this.nativeContextMenu?[t("img",{staticClass:"absolute-full fit",attrs:{src:this.url,"aria-hidden":"true"}})]:void 0,n=void 0!==this.url?t("div",{key:this.url,staticClass:"q-img__image absolute-full",class:this.imgClass,style:this.imgContainerStyle},e):null;return!0===this.basic?n:t("transition",{props:{name:"q-transition--"+this.transition}},[n])},__getContent:function(t){var e=Et(this,!0===this.hasError?"error":"default");if(!0===this.basic)return t("div",{key:"content",staticClass:"q-img__content absolute-full"},e);var n=!0===this.isLoading?t("div",{key:"placeholder",staticClass:"q-img__loading absolute-full flex flex-center"},void 0!==this.$scopedSlots.loading?this.$scopedSlots.loading():!1===this.noDefaultSpinner?[t(Gt,{props:{color:this.spinnerColor,size:this.spinnerSize}})]:void 0):t("div",{key:"content",staticClass:"q-img__content absolute-full"},e);return t("transition",{props:{name:"q-transition--fade"}},[n])}},render:function(t){return t("div",{class:this.classes,style:this.style,attrs:this.attrs,on:Object.assign({},this.qListeners)},[t("div",{style:this.ratioStyle}),this.__getImage(t),this.__getContent(t)])},beforeMount:function(){if(void 0!==this.placeholderSrc&&void 0===this.ratio){var t=new Image;t.src=this.placeholderSrc,this.__computeRatio(t)}!0===this.isLoading&&this.__load()},beforeDestroy:function(){this.destroyed=!0,clearTimeout(this.ratioTimer),void 0!==this.unwatch&&this.unwatch()}}),jo=t.extend({name:"QInfiniteScroll",mixins:[At],props:{offset:{type:Number,default:500},debounce:{type:[String,Number],default:100},scrollTarget:{default:void 0},initialIndex:Number,disable:Boolean,reverse:Boolean},data:function(){return{index:this.initialIndex||0,fetching:!1,working:!0}},watch:{disable:function(t){!0===t?this.stop():this.resume()},scrollTarget:function(){this.updateScrollTarget()},debounce:function(t){this.__setDebounce(t)}},methods:{poll:function(){if(!0!==this.disable&&!0!==this.fetching&&!1!==this.working){var t=je(this.__scrollTarget),e=$e(this.__scrollTarget),n=Zt(this.__scrollTarget);!1===this.reverse?e+n+this.offset>=t&&this.trigger():e<this.offset&&this.trigger()}},trigger:function(){var t=this;if(!0!==this.disable&&!0!==this.fetching&&!1!==this.working){this.index++,this.fetching=!0;var e=je(this.__scrollTarget);this.$emit("load",this.index,(function(n){!0===t.working&&(t.fetching=!1,t.$nextTick((function(){if(!0===t.reverse){var i=je(t.__scrollTarget),r=$e(t.__scrollTarget),o=i-e;Ue(t.__scrollTarget,r+o)}!0===n?t.stop():t.$el.closest("body")&&t.poll()})))}))}},reset:function(){this.index=0},resume:function(){!1===this.working&&(this.working=!0,this.__scrollTarget.addEventListener("scroll",this.poll,f.passive)),this.immediatePoll()},stop:function(){!0===this.working&&(this.working=!1,this.fetching=!1,this.__scrollTarget.removeEventListener("scroll",this.poll,f.passive))},updateScrollTarget:function(){this.__scrollTarget&&!0===this.working&&this.__scrollTarget.removeEventListener("scroll",this.poll,f.passive),this.__scrollTarget=Ie(this.$el,this.scrollTarget),!0===this.working&&this.__scrollTarget.addEventListener("scroll",this.poll,f.passive)},setIndex:function(t){this.index=t},__setDebounce:function(t){t=parseInt(t,10),this.poll=t<=0?this.immediatePoll:T(this.immediatePoll,!0===isNaN(t)?100:t)}},mounted:function(){if(this.immediatePoll=this.poll,this.__setDebounce(this.debounce),this.updateScrollTarget(),this.immediatePoll(),!0===this.reverse){var t=je(this.__scrollTarget),e=Zt(this.__scrollTarget);Ue(this.__scrollTarget,t-e)}},beforeDestroy:function(){!0===this.working&&this.__scrollTarget.removeEventListener("scroll",this.poll,f.passive)},render:function(t){var e=qt(this,"default",[]);return!0!==this.disable&&!0===this.working&&e[!1===this.reverse?"push":"unshift"](t("div",{staticClass:"q-infinite-scroll__loading",class:!0===this.fetching?"":"invisible"},Et(this,"loading"))),t("div",{staticClass:"q-infinite-scroll",on:Object.assign({},this.qListeners)},e)}}),$o=t.extend({name:"QInnerLoading",mixins:[At,It,Oe],props:{showing:Boolean,color:String,size:{type:[String,Number],default:42}},render:function(t){var e=!0===this.showing?[t("div",{staticClass:"q-inner-loading absolute-full column flex-center",class:!0===this.isDark?"q-inner-loading--dark":null,on:Object.assign({},this.qListeners)},void 0!==this.$scopedSlots.default?this.$scopedSlots.default():[t(Gt,{props:{size:this.size,color:this.color}})])]:void 0;return t("transition",{props:{name:this.transition,appear:!0}},e)}}),Fo={threshold:0,root:null,rootMargin:"0px"};function Bo(t,e,n){var i,r,o;"function"==typeof n?(i=n,r=Fo,o=void 0===e.cfg):(i=n.handler,r=Object.assign({},Fo,n.cfg),o=void 0===e.cfg||!1===Sn(e.cfg,r)),e.handler!==i&&(e.handler=i),!0===o&&(e.cfg=r,void 0!==e.observer&&e.observer.unobserve(t),e.observer=new IntersectionObserver((function(n){var i=n[0];if("function"==typeof e.handler){if(null===i.rootBounds&&(void 0!==t.__vue__?!0!==t.__vue__._inactive:!0===document.body.contains(t)))return e.observer.unobserve(t),void e.observer.observe(t);(!1===e.handler(i,e.observer)||!0===e.once&&!0===i.isIntersecting)&&zo(t)}}),r),e.observer.observe(t))}function zo(t){var e=t.__qvisible;void 0!==e&&(void 0!==e.observer&&e.observer.unobserve(t),delete t.__qvisible)}var Vo={name:"intersection",inserted:function(t,e){var n=e.modifiers,i=e.value;void 0!==t.__qvisible&&(zo(t),t.__qvisible_destroyed=!0);var r={once:!0===n.once};Bo(t,r,i),t.__qvisible=r},update:function(t,e){var n=t.__qvisible;void 0!==n&&Bo(t,n,e.value)},unbind:function(t){void 0===t.__qvisible_destroyed?zo(t):delete t.__qvisible_destroyed}},Ho=t.extend({name:"QIntersection",mixins:[Ot,At],directives:{Intersection:Vo},props:{once:Boolean,transition:String,ssrPrerender:Boolean,margin:String,threshold:[Number,Array],disable:Boolean},data:function(){return{showing:!0===o&&this.ssrPrerender}},computed:{value:function(){return void 0!==this.margin||void 0!==this.threshold?{handler:this.__trigger,cfg:{rootMargin:this.margin,threshold:this.threshold}}:this.__trigger},directives:function(){if(!0!==this.disable&&(!0!==o||!0!==this.once||!0!==this.ssrPrerender))return[{name:"intersection",value:this.value,modifiers:{once:this.once}}]}},methods:{__trigger:function(t){this.showing!==t.isIntersecting&&(this.showing=t.isIntersecting,void 0!==this.qListeners.visibility&&this.$emit("visibility",this.showing))}},render:function(t){var e=!0===this.showing?[t("div",{key:"content"},Et(this,"default"))]:void 0;return t(this.tag,{staticClass:"q-intersection",on:Object.assign({},this.qListeners),directives:this.directives},this.transition?[t("transition",{props:{name:"q-transition--"+this.transition}},e)]:e)}}),Uo=[34,37,40,33,39,38],Wo=t.extend({name:"QKnob",mixins:[{props:jn.options.props},ln],directives:{TouchPan:Gn},props:{step:{type:Number,default:1,validator:function(t){return t>=0}},tabindex:{type:[Number,String],default:0},disable:Boolean,readonly:Boolean},data:function(){return{model:this.value,dragging:!1}},watch:{value:function(t){if(t<this.min)this.model=this.min;else{if(!(t>this.max))return void(t!==this.model&&(this.model=t));this.model=this.max}this.model!==this.value&&(this.$emit("input",this.model),this.$emit("change",this.model))}},computed:{classes:function(){return"q-knob non-selectable"+(!0===this.editable?" q-knob--editable":!0===this.disable?" disabled":"")},editable:function(){return!1===this.disable&&!1===this.readonly},decimals:function(){return(String(this.step).trim("0").split(".")[1]||"").length},computedStep:function(){return 0===this.step?1:this.step},computedInstantFeedback:function(){return!0===this.instantFeedback||!0===this.dragging},onEvents:function(){return!0===this.$q.platform.is.mobile?{click:this.__click}:{mousedown:this.__activate,click:this.__click,keydown:this.__keydown,keyup:this.__keyup}},attrs:function(){var t={role:"slider","aria-valuemin":this.min,"aria-valuemax":this.max,"aria-valuenow":this.value};return!0===this.editable?t.tabindex=this.tabindex:t["aria-"+(!0===this.disable?"disabled":"readonly")]="",t}},methods:{__updateCenterPosition:function(){var t=this.$el.getBoundingClientRect(),e=t.top,n=t.left,i=t.width,r=t.height;this.centerPosition={top:e+r/2,left:n+i/2}},__pan:function(t){t.isFinal?(this.__updatePosition(t.evt,!0),this.dragging=!1):t.isFirst?(this.__updateCenterPosition(),this.dragging=!0,this.__updatePosition(t.evt)):this.__updatePosition(t.evt)},__click:function(t){this.__updateCenterPosition(),this.__updatePosition(t,!0)},__keydown:function(t){if(Uo.includes(t.keyCode)){w(t);var e=([34,33].includes(t.keyCode)?10:1)*this.computedStep,n=[34,37,40].includes(t.keyCode)?-e:e;this.model=ct(parseFloat((this.model+n).toFixed(this.decimals)),this.min,this.max),this.__updateValue()}},__keyup:function(t){Uo.includes(t.keyCode)&&this.__updateValue(!0)},__activate:function(t){this.__updateCenterPosition(),this.__updatePosition(t)},__updatePosition:function(t,e){var n=this.centerPosition,i=g(t),r=Math.abs(i.top-n.top),o=Math.sqrt(Math.pow(r,2)+Math.pow(Math.abs(i.left-n.left),2)),a=Math.asin(r/o)*(180/Math.PI);a=i.top<n.top?n.left<i.left?90-a:270+a:n.left<i.left?a+90:270-a,this.angle&&(a=dt(a-this.angle,0,360)),!0===this.$q.lang.rtl&&(a=360-a);var s=this.min+a/360*(this.max-this.min);if(0!==this.step){var l=this.computedStep,u=s%l;s=s-u+(Math.abs(u)>=l/2?(u<0?-1:1)*l:0),s=parseFloat(s.toFixed(this.decimals))}s=ct(s,this.min,this.max),this.$emit("drag-value",s),this.model!==s&&(this.model=s),this.__updateValue(e)},__updateValue:function(t){this.value!==this.model&&this.$emit("input",this.model),!0===t&&this.$emit("change",this.model)},__getNameInput:function(){return this.$createElement("input",{attrs:this.formAttrs})}},render:function(t){var e={class:this.classes,attrs:this.attrs,props:Object.assign({},this.$props,{value:this.model,instantFeedback:this.computedInstantFeedback})};return!0===this.editable&&(e.on=this.onEvents,e.directives=pt(this,"dir",[{name:"touch-pan",value:this.__pan,modifiers:{prevent:!0,stop:!0,mouse:!0}}]),void 0!==this.name&&(e.scopedSlots={internal:this.__getNameInput})),t(jn,e,Et(this,"default"))}}),Yo=f.passive,Qo=t.extend({name:"QScrollObserver",props:{debounce:[String,Number],horizontal:Boolean,scrollTarget:{default:void 0}},render:m,data:function(){return{pos:0,dir:!0===this.horizontal?"right":"down",dirChanged:!1,dirChangePos:0}},watch:{scrollTarget:function(){this.__unconfigureScrollTarget(),this.__configureScrollTarget()}},methods:{getPosition:function(){return{position:this.pos,direction:this.dir,directionChanged:this.dirChanged,inflexionPosition:this.dirChangePos}},trigger:function(t){!0===t||0===this.debounce||"0"===this.debounce?this.__emit():this.timer||(this.timer=this.debounce?setTimeout(this.__emit,this.debounce):requestAnimationFrame(this.__emit))},__emit:function(){var t=!0===this.horizontal?Fe:$e,e=Math.max(0,t(this.__scrollTarget)),n=e-this.pos,i=!0===this.horizontal?n<0?"left":"right":n<0?"up":"down";this.dirChanged=this.dir!==i,this.dirChanged&&(this.dir=i,this.dirChangePos=this.pos),this.timer=null,this.pos=e,this.$emit("scroll",this.getPosition())},__configureScrollTarget:function(){this.__scrollTarget=Ie(this.$el.parentNode,this.scrollTarget),this.__scrollTarget.addEventListener("scroll",this.trigger,Yo),this.trigger(!0)},__unconfigureScrollTarget:function(){void 0!==this.__scrollTarget&&(this.__scrollTarget.removeEventListener("scroll",this.trigger,Yo),this.__scrollTarget=void 0)}},mounted:function(){this.__configureScrollTarget()},beforeDestroy:function(){clearTimeout(this.timer),cancelAnimationFrame(this.timer),this.__unconfigureScrollTarget()}}),Go=t.extend({name:"QLayout",mixins:[At],provide:function(){return{layout:this}},props:{container:Boolean,view:{type:String,default:"hhh lpr fff",validator:function(t){return/^(h|l)h(h|r) lpr (f|l)f(f|r)$/.test(t.toLowerCase())}}},data:function(){return{height:this.$q.screen.height,width:!0===this.container?0:this.$q.screen.width,containerHeight:0,scrollbarWidth:!0===o?0:Ye(),header:{size:0,offset:0,space:!1},right:{size:300,offset:0,space:!1},footer:{size:0,offset:0,space:!1},left:{size:300,offset:0,space:!1},scroll:{position:0,direction:"down"}}},computed:{rows:function(){var t=this.view.toLowerCase().split(" ");return{top:t[0].split(""),middle:t[1].split(""),bottom:t[2].split("")}},style:function(){return!0===this.container?null:{minHeight:this.$q.screen.height+"px"}},targetStyle:function(){var t;if(0!==this.scrollbarWidth)return(t={})[!0===this.$q.lang.rtl?"left":"right"]=this.scrollbarWidth+"px",t},targetChildStyle:function(){var t;if(0!==this.scrollbarWidth)return(t={})[!0===this.$q.lang.rtl?"right":"left"]=0,t[!0===this.$q.lang.rtl?"left":"right"]="-"+this.scrollbarWidth+"px",t.width="calc(100% + "+this.scrollbarWidth+"px)",t},totalWidth:function(){return this.width+this.scrollbarWidth},classes:function(){return"q-layout q-layout--"+(!0===this.container?"containerized":"standard")}},created:function(){this.instances={}},render:function(t){var e=t("div",{class:this.classes,style:this.style,on:Object.assign({},this.qListeners)},Lt([t(Qo,{on:pt(this,"scroll",{scroll:this.__onPageScroll})}),t(ni,{on:pt(this,"resizeOut",{resize:this.__onPageResize})})],this,"default"));return!0===this.container?t("div",{staticClass:"q-layout-container overflow-hidden"},[t(ni,{on:pt(this,"resizeIn",{resize:this.__onContainerResize})}),t("div",{staticClass:"absolute-full",style:this.targetStyle},[t("div",{staticClass:"scroll",style:this.targetChildStyle},[e])])]):e},methods:{__animate:function(){var t=this;void 0!==this.timer?clearTimeout(this.timer):document.body.classList.add("q-body--layout-animate"),this.timer=setTimeout((function(){document.body.classList.remove("q-body--layout-animate"),t.timer=void 0}),150)},__onPageScroll:function(t){!0!==this.container&&!0===document.qScrollPrevented||(this.scroll=t),void 0!==this.qListeners.scroll&&this.$emit("scroll",t)},__onPageResize:function(t){var e=t.height,n=t.width,i=!1;this.height!==e&&(i=!0,this.height=e,void 0!==this.qListeners["scroll-height"]&&this.$emit("scroll-height",e),this.__updateScrollbarWidth()),this.width!==n&&(i=!0,this.width=n),!0===i&&void 0!==this.qListeners.resize&&this.$emit("resize",{height:e,width:n})},__onContainerResize:function(t){var e=t.height;this.containerHeight!==e&&(this.containerHeight=e,this.__updateScrollbarWidth())},__updateScrollbarWidth:function(){if(!0===this.container){var t=this.height>this.containerHeight?Ye():0;this.scrollbarWidth!==t&&(this.scrollbarWidth=t)}}}}),Ko=t.extend({name:"QMarkupTable",mixins:[It,At],props:{dense:Boolean,flat:Boolean,bordered:Boolean,square:Boolean,separator:{type:String,default:"horizontal",validator:function(t){return["horizontal","vertical","cell","none"].includes(t)}},wrapCells:Boolean},computed:{classes:function(){return"q-table--"+this.separator+"-separator"+(!0===this.isDark?" q-table--dark q-table__card--dark q-dark":"")+(!0===this.dense?" q-table--dense":"")+(!0===this.flat?" q-table--flat":"")+(!0===this.bordered?" q-table--bordered":"")+(!0===this.square?" q-table--square":"")+(!1===this.wrapCells?" q-table--no-wrap":"")}},render:function(t){return t("div",{staticClass:"q-markup-table q-table__container q-table__card",class:this.classes,on:Object.assign({},this.qListeners)},[t("table",{staticClass:"q-table"},Et(this,"default"))])}}),Zo=t.extend({name:"QNoSsr",mixins:[ei,Ot,At],props:{placeholder:String},render:function(t){var e={on:Object.assign({},this.qListeners)};if(!0===this.canRender){var n=Et(this,"default");return void 0===n?n:n.length>1?t(this.tag,e,n):n[0]}e.staticClass="q-no-ssr-placeholder";var i=Et(this,"placeholder");return void 0!==i?i.length>1?t(this.tag,e,i):i[0]:void 0!==this.placeholder?t(this.tag,e,[this.placeholder]):void 0}}),Jo=t.extend({name:"QRadio",mixins:[It,qn,ln,Ln],props:{value:{required:!0},val:{required:!0},label:String,leftLabel:Boolean,color:String,keepColor:Boolean,dense:Boolean,disable:Boolean,tabindex:[String,Number]},computed:{isTrue:function(){return this.value===this.val},classes:function(){return"q-radio cursor-pointer no-outline row inline no-wrap items-center"+(!0===this.disable?" disabled":"")+(!0===this.isDark?" q-radio--dark":"")+(!0===this.dense?" q-radio--dense":"")+(!0===this.leftLabel?" reverse":"")},innerClass:function(){var t=void 0===this.color||!0!==this.keepColor&&!0!==this.isTrue?"":" text-"+this.color;return"q-radio__inner--"+(!0===this.isTrue?"truthy":"falsy")+t},computedTabindex:function(){return!0===this.disable?-1:this.tabindex||0},formAttrs:function(){var t={type:"radio"};return void 0!==this.name&&Object.assign(t,{name:this.name,value:this.val}),t},formDomProps:function(){if(void 0!==this.name&&!0===this.isTrue)return{checked:!0}},attrs:function(){var t={tabindex:this.computedTabindex,role:"radio","aria-label":this.label,"aria-checked":!0===this.isTrue?"true":"false"};return!0===this.disable&&(t["aria-disabled"]="true"),t}},methods:{set:function(t){void 0!==t&&(w(t),this.__refocusTarget(t)),!0!==this.disable&&!0!==this.isTrue&&this.$emit("input",this.val,t)}},render:function(t){var e=this,n=[t("svg",{staticClass:"q-radio__bg absolute",attrs:{focusable:"false",viewBox:"0 0 24 24","aria-hidden":"true"}},[t("path",{attrs:{d:"M12,22a10,10 0 0 1 -10,-10a10,10 0 0 1 10,-10a10,10 0 0 1 10,10a10,10 0 0 1 -10,10m0,-22a12,12 0 0 0 -12,12a12,12 0 0 0 12,12a12,12 0 0 0 12,-12a12,12 0 0 0 -12,-12"}}),t("path",{staticClass:"q-radio__check",attrs:{d:"M12,6a6,6 0 0 0 -6,6a6,6 0 0 0 6,6a6,6 0 0 0 6,-6a6,6 0 0 0 -6,-6"}})])];!0!==this.disable&&this.__injectFormInput(n,"unshift","q-radio__native q-ma-none q-pa-none invisible");var i=[t("div",{staticClass:"q-radio__inner relative-position no-pointer-events",class:this.innerClass,style:this.sizeStyle},n)];void 0!==this.__refocusTargetEl&&i.push(this.__refocusTargetEl);var r=void 0!==this.label?Lt([this.label],this,"default"):Et(this,"default");return void 0!==r&&i.push(t("div",{staticClass:"q-radio__label q-anchor--skip"},r)),t("div",{class:this.classes,attrs:this.attrs,on:pt(this,"inpExt",{click:this.set,keydown:function(t){13!==t.keyCode&&32!==t.keyCode||w(t)},keyup:function(t){13!==t.keyCode&&32!==t.keyCode||e.set(t)}})},i)}}),Xo=t.extend({name:"QToggle",mixins:[Dn],props:{icon:String,checkedIcon:String,uncheckedIcon:String,indeterminateIcon:String,iconColor:String},computed:{computedIcon:function(){return(!0===this.isTrue?this.checkedIcon:!0===this.isIndeterminate?this.indeterminateIcon:this.uncheckedIcon)||this.icon},computedIconColor:function(){if(!0===this.isTrue)return this.iconColor}},methods:{__getInner:function(t){return[t("div",{staticClass:"q-toggle__track"}),t("div",{staticClass:"q-toggle__thumb absolute flex flex-center no-wrap"},void 0!==this.computedIcon?[t(Pt,{props:{name:this.computedIcon,color:this.computedIconColor}})]:void 0)]}},created:function(){this.type="toggle"}}),ta={radio:Jo,checkbox:Pn,toggle:Xo},ea=Object.keys(ta),na=t.extend({name:"QOptionGroup",mixins:[It,At],props:{value:{required:!0},options:{type:Array,validator:function(t){return t.every((function(t){return"value"in t&&"label"in t}))}},name:String,type:{default:"radio",validator:function(t){return ea.includes(t)}},color:String,keepColor:Boolean,dense:Boolean,size:String,leftLabel:Boolean,inline:Boolean,disable:Boolean},computed:{component:function(){return ta[this.type]},model:function(){return Array.isArray(this.value)?this.value.slice():this.value},classes:function(){return"q-option-group q-gutter-x-sm"+(!0===this.inline?" q-option-group--inline":"")},attrs:function(){if("radio"===this.type){var t={role:"radiogroup"};return!0===this.disable&&(t["aria-disabled"]="true"),t}}},methods:{__update:function(t){this.$emit("input",t)}},created:function(){var t=Array.isArray(this.value);"radio"===this.type?t&&console.error("q-option-group: model should not be array"):!1===t&&console.error("q-option-group: model should be array in your case")},render:function(t){var e=this;return t("div",{class:this.classes,attrs:this.attrs,on:Object.assign({},this.qListeners)},this.options.map((function(n){return t("div",[t(e.component,{props:{value:e.value,val:n.value,name:e.name||n.name,disable:e.disable||n.disable,label:n.label,leftLabel:e.leftLabel||n.leftLabel,color:n.color||e.color,checkedIcon:n.checkedIcon,uncheckedIcon:n.uncheckedIcon,dark:n.dark||e.isDark,size:n.size||e.size,dense:e.dense,keepColor:n.keepColor||e.keepColor},on:pt(e,"inp",{input:e.__update})})])})))}}),ia=t.extend({name:"QPage",mixins:[At],inject:{pageContainer:{default:function(){console.error("QPage needs to be child of QPageContainer")}},layout:{}},props:{padding:Boolean,styleFn:Function},computed:{style:function(){var t=(!0===this.layout.header.space?this.layout.header.size:0)+(!0===this.layout.footer.space?this.layout.footer.size:0);if("function"==typeof this.styleFn){var e=!0===this.layout.container?this.layout.containerHeight:this.$q.screen.height;return this.styleFn(t,e)}return{minHeight:!0===this.layout.container?this.layout.containerHeight-t+"px":0===this.$q.screen.height?"calc(100vh - "+t+"px)":this.$q.screen.height-t+"px"}},classes:function(){if(!0===this.padding)return"q-layout-padding"}},render:function(t){return t("main",{staticClass:"q-page",style:this.style,class:this.classes,on:Object.assign({},this.qListeners)},Et(this,"default"))}}),ra=t.extend({name:"QPageContainer",mixins:[At],inject:{layout:{default:function(){console.error("QPageContainer needs to be child of QLayout")}}},provide:{pageContainer:!0},computed:{style:function(){var t={};return!0===this.layout.header.space&&(t.paddingTop=this.layout.header.size+"px"),!0===this.layout.right.space&&(t["padding"+(!0===this.$q.lang.rtl?"Left":"Right")]=this.layout.right.size+"px"),!0===this.layout.footer.space&&(t.paddingBottom=this.layout.footer.size+"px"),!0===this.layout.left.space&&(t["padding"+(!0===this.$q.lang.rtl?"Right":"Left")]=this.layout.left.size+"px"),t}},render:function(t){return t("div",{staticClass:"q-page-container",style:this.style,on:Object.assign({},this.qListeners)},Et(this,"default"))}}),oa=t.extend({name:"QPageSticky",mixins:[At],inject:{layout:{default:function(){console.error("QPageSticky needs to be child of QLayout")}}},props:{position:{type:String,default:"bottom-right",validator:function(t){return["top-right","top-left","bottom-right","bottom-left","top","right","bottom","left"].includes(t)}},offset:{type:Array,validator:function(t){return 2===t.length}},expand:Boolean},computed:{attach:function(){var t=this.position;return{top:t.indexOf("top")>-1,right:t.indexOf("right")>-1,bottom:t.indexOf("bottom")>-1,left:t.indexOf("left")>-1,vertical:"top"===t||"bottom"===t,horizontal:"left"===t||"right"===t}},top:function(){return this.layout.header.offset},right:function(){return this.layout.right.offset},bottom:function(){return this.layout.footer.offset},left:function(){return this.layout.left.offset},style:function(){var t=0,e=0,n=this.attach,i=!0===this.$q.lang.rtl?-1:1;!0===n.top&&0!==this.top?e=this.top+"px":!0===n.bottom&&0!==this.bottom&&(e=-this.bottom+"px"),!0===n.left&&0!==this.left?t=i*this.left+"px":!0===n.right&&0!==this.right&&(t=-i*this.right+"px");var r={transform:"translate("+t+", "+e+")"};return this.offset&&(r.margin=this.offset[1]+"px "+this.offset[0]+"px"),!0===n.vertical?(0!==this.left&&(r[!0===this.$q.lang.rtl?"right":"left"]=this.left+"px"),0!==this.right&&(r[!0===this.$q.lang.rtl?"left":"right"]=this.right+"px")):!0===n.horizontal&&(0!==this.top&&(r.top=this.top+"px"),0!==this.bottom&&(r.bottom=this.bottom+"px")),r},classes:function(){return"fixed-"+this.position+" q-page-sticky--"+(!0===this.expand?"expand":"shrink")}},render:function(t){var e=Et(this,"default");return t("div",{staticClass:"q-page-sticky row flex-center",class:this.classes,style:this.style,on:Object.assign({},this.qListeners)},!0===this.expand?e:[t("div",e)])}}),aa=t.extend({name:"QPageScroller",mixins:[oa],props:{scrollOffset:{type:Number,default:1e3},reverse:Boolean,duration:{type:Number,default:300},offset:{default:function(){return[18,18]}}},inject:{layout:{default:function(){console.error("QPageScroller needs to be used within a QLayout")}}},data:function(){return{showing:this.__isVisible()}},computed:{height:function(){return!0===this.layout.container?this.layout.containerHeight:this.layout.height},onEvents:function(){return Object.assign({},this.qListeners,{click:this.__onClick})}},watch:{"layout.scroll.position":function(){this.__updateVisibility()},reverse:{handler:function(t){!0===t?void 0===this.heightWatcher&&(this.heightWatcher=this.$watch("height",this.__updateVisibility)):void 0!==this.heightWatcher&&this.__cleanup()},immediate:!0}},methods:{__isVisible:function(){return!0===this.reverse?this.height-this.layout.scroll.position>this.scrollOffset:this.layout.scroll.position>this.scrollOffset},__onClick:function(t){Ue(!0===this.layout.container?Ie(this.$el):Ie(this.layout.$el),!0===this.reverse?this.layout.height:0,this.duration),this.$emit("click",t)},__updateVisibility:function(){var t=this.__isVisible();this.showing!==t&&(this.showing=t)},__cleanup:function(){this.heightWatcher(),this.heightWatcher=void 0}},render:function(t){return t("transition",{props:{name:"q-transition--fade"}},!0===this.showing?[t("div",{staticClass:"q-page-scroller",on:this.onEvents},[oa.options.render.call(this,t)])]:null)},beforeDestroy:function(){void 0!==this.heightWatcher&&this.__cleanup()}}),sa=t.extend({name:"QPagination",mixins:[It,At],props:{value:{type:Number,required:!0},min:{type:Number,default:1},max:{type:Number,required:!0},color:{type:String,default:"primary"},textColor:String,inputStyle:[Array,String,Object],inputClass:[Array,String,Object],size:String,disable:Boolean,input:Boolean,iconPrev:String,iconNext:String,iconFirst:String,iconLast:String,toFn:Function,boundaryLinks:{type:Boolean,default:null},boundaryNumbers:{type:Boolean,default:null},directionLinks:{type:Boolean,default:null},ellipses:{type:Boolean,default:null},maxPages:{type:Number,default:0,validator:function(t){return t>=0}},ripple:{type:[Boolean,Object],default:null}},data:function(){return{newPage:null}},watch:{min:function(){this.model=this.value},max:function(){this.model=this.value}},computed:{model:{get:function(){return this.value},set:function(t){if(t=parseInt(t,10),!this.disable&&!isNaN(t)&&0!==t){var e=ct(t,this.min,this.max);this.$emit("input",e)}}},inputPlaceholder:function(){return this.model+" / "+this.max},__boundaryLinks:function(){return this.__getBool(this.boundaryLinks,this.input)},__boundaryNumbers:function(){return this.__getBool(this.boundaryNumbers,!this.input)},__directionLinks:function(){return this.__getBool(this.directionLinks,this.input)},__ellipses:function(){return this.__getBool(this.ellipses,!this.input)},icons:function(){var t=[this.iconFirst||this.$q.iconSet.pagination.first,this.iconPrev||this.$q.iconSet.pagination.prev,this.iconNext||this.$q.iconSet.pagination.next,this.iconLast||this.$q.iconSet.pagination.last];return!0===this.$q.lang.rtl?t.reverse():t},attrs:function(){if(!0===this.disable)return{"aria-disabled":"true"}},btnProps:function(){return{color:this.color,flat:!0,size:this.size,ripple:null===this.ripple||this.ripple}}},methods:{set:function(t){this.model=t},setByOffset:function(t){this.model=this.model+t},__update:function(){this.model=this.newPage,this.newPage=null},__getBool:function(t,e){return[!0,!1].includes(t)?t:e},__getBtn:function(t,e,n,i){var r=this;return e.props=Object.assign({},this.btnProps,n),void 0!==i&&(void 0!==this.toFn?e.props.to=this.toFn(i):e.on={click:function(){return r.set(i)}}),t(ye,e)}},render:function(t){var e=this,n=[],i=[],r=[];if(this.__boundaryLinks&&(n.push(this.__getBtn(t,{key:"bls"},{disable:this.disable||this.value<=this.min,icon:this.icons[0]},this.min)),i.unshift(this.__getBtn(t,{key:"ble"},{disable:this.disable||this.value>=this.max,icon:this.icons[3]},this.max))),this.__directionLinks&&(n.push(this.__getBtn(t,{key:"bdp"},{disable:this.disable||this.value<=this.min,icon:this.icons[1]},this.value-1)),i.unshift(this.__getBtn(t,{key:"bdn"},{disable:this.disable||this.value>=this.max,icon:this.icons[2]},this.value+1))),!0===this.input)r.push(t(Qr,{staticClass:"inline",style:{width:this.inputPlaceholder.length/1.5+"em"},props:{type:"number",dense:!0,value:this.newPage,disable:this.disable,dark:this.isDark,borderless:!0,inputClass:this.inputClass,inputStyle:this.inputStyle},attrs:{placeholder:this.inputPlaceholder,min:this.min,max:this.max},on:pt(this,"inp",{input:function(t){e.newPage=t},keyup:function(t){!0===X(t,13)&&e.__update()},blur:this.__update})}));else{var o=Math.max(this.maxPages,1+(this.__ellipses?2:0)+(this.__boundaryNumbers?2:0)),a=this.min,s=this.max,l=!1,u=!1,c=!1,d=!1;this.maxPages&&o<this.max-this.min+1&&(o=1+2*Math.floor(o/2),a=Math.max(this.min,Math.min(this.max-o+1,this.value-Math.floor(o/2))),s=Math.min(this.max,a+o-1),this.__boundaryNumbers&&(c=!0,a+=1),this.__ellipses&&a>this.min+(this.__boundaryNumbers?1:0)&&(l=!0,a+=1),this.__boundaryNumbers&&(d=!0,s-=1),this.__ellipses&&s<this.max-(this.__boundaryNumbers?1:0)&&(u=!0,s-=1));var h={minWidth:Math.max(2,String(this.max).length)+"em"};if(c){var f=this.min===this.value;n.push(this.__getBtn(t,{key:"bns",style:h},{disable:this.disable,flat:!f,textColor:f?this.textColor:null,label:this.min},this.min))}if(d){var p=this.max===this.value;i.unshift(this.__getBtn(t,{key:"bne",style:h},{disable:this.disable,flat:!p,textColor:p?this.textColor:null,label:this.max},this.max))}l&&n.push(this.__getBtn(t,{key:"bes",style:h},{disable:this.disable,label:"…",ripple:!1},a-1)),u&&i.unshift(this.__getBtn(t,{key:"bee",style:h},{disable:this.disable,label:"…",ripple:!1},s+1));for(var m=a;m<=s;m++){var v=m===this.value;r.push(this.__getBtn(t,{key:"bpg"+m,style:h},{disable:this.disable,flat:!v,textColor:v?this.textColor:null,label:m},m))}}return t("div",{staticClass:"q-pagination row no-wrap items-center",class:{disabled:this.disable},attrs:this.attrs,on:Object.assign({},this.qListeners)},[n,t("div",{staticClass:"row justify-center",on:!0===this.input?pt(this,"stop",{input:y}):null},[r]),i])}});function la(t){var e,n,i=!1;function r(){var r=this;n=arguments,!0!==i&&(i=!0,e=requestAnimationFrame((function(){t.apply(r,n),n=void 0,i=!1})))}return r.cancel=function(){window.cancelAnimationFrame(e),i=!1},r}var ua=f.passive,ca=t.extend({name:"QParallax",mixins:[At],props:{src:String,height:{type:Number,default:500},speed:{type:Number,default:1,validator:function(t){return t>=0&&t<=1}},scrollTarget:{default:void 0}},data:function(){return{scrolling:!1,percentScrolled:0}},watch:{height:function(){!0===this.working&&this.__updatePos()},scrollTarget:function(){!0===this.working&&(this.__stop(),this.__start())}},methods:{__update:function(t){this.percentScrolled=t,void 0!==this.qListeners.scroll&&this.$emit("scroll",t)},__updatePos:function(){var t,e,n;this.__scrollTarget===window?(t=0,n=e=window.innerHeight):n=(t=Kt(this.__scrollTarget).top)+(e=Zt(this.__scrollTarget));var i=Kt(this.$el).top,r=i+this.height;if(void 0!==this.observer||r>t&&i<n){var o=(n-i)/(this.height+e);this.__setPos((this.mediaHeight-this.height)*o*this.speed),this.__update(o)}},__setPos:function(t){this.media.style.transform="translate3D(-50%,"+Math.round(t)+"px, 0)"},__onResize:function(){this.mediaHeight=this.media.naturalHeight||this.media.videoHeight||Zt(this.media),!0===this.working&&this.__updatePos()},__start:function(){this.working=!0,this.__scrollTarget=Ie(this.$el,this.scrollTarget),this.__scrollTarget.addEventListener("scroll",this.__updatePos,ua),window.addEventListener("resize",this.__resizeHandler,ua),this.__updatePos()},__stop:function(){!0===this.working&&(this.working=!1,this.__scrollTarget.removeEventListener("scroll",this.__updatePos,ua),window.removeEventListener("resize",this.__resizeHandler,ua),this.__scrollTarget=void 0)}},render:function(t){return t("div",{staticClass:"q-parallax",style:{height:this.height+"px"},on:Object.assign({},this.qListeners)},[t("div",{ref:"mediaParent",staticClass:"q-parallax__media absolute-full"},void 0!==this.$scopedSlots.media?this.$scopedSlots.media():[t("img",{ref:"media",attrs:{src:this.src}})]),t("div",{staticClass:"q-parallax__content absolute-full column flex-center"},void 0!==this.$scopedSlots.content?this.$scopedSlots.content({percentScrolled:this.percentScrolled}):Et(this,"default"))])},mounted:function(){var t=this;this.__setPos=la(this.__setPos),this.__update=la(this.__update),this.__resizeHandler=la(this.__onResize),this.media=void 0!==this.$scopedSlots.media?this.$refs.mediaParent.children[0]:this.$refs.media,this.media.onload=this.media.onloadstart=this.media.loadedmetadata=this.__onResize,this.__onResize(),this.media.style.display="initial",void 0!==window.IntersectionObserver?(this.observer=new IntersectionObserver((function(e){t[!0===e[0].isIntersecting?"__start":"__stop"]()})),this.observer.observe(this.$el)):this.__start()},beforeDestroy:function(){this.__stop(),void 0!==this.observer&&this.observer.disconnect(),this.media.onload=this.media.onloadstart=this.media.loadedmetadata=null}});function da(t){var e=JSON.stringify(t);if(e)return JSON.parse(e)}var ha=t.extend({name:"QPopupEdit",mixins:[_t],props:{value:{required:!0},title:String,buttons:Boolean,labelSet:String,labelCancel:String,color:{type:String,default:"primary"},validate:{type:Function,default:function(){return!0}},autoSave:Boolean,cover:{type:Boolean,default:!0},contentClass:String,disable:Boolean},data:function(){return{initialValue:""}},computed:{classes:function(){return"q-popup-edit"+(void 0!==this.contentClass?" "+this.contentClass:"")},defaultSlotScope:function(){return{initialValue:this.initialValue,value:this.value,emitValue:this.__emitValue,validate:this.validate,set:this.set,cancel:this.cancel}},menuProps:function(){return Object.assign({},this.qAttrs,{cover:this.cover,contentClass:this.classes})}},methods:{set:function(){if(!0===this.__hasChanged()){if(!1===this.validate(this.value))return;this.$emit("save",this.value,this.initialValue)}this.__close()},cancel:function(){!0===this.__hasChanged()&&(this.$emit("input",this.initialValue),this.$emit("cancel",this.value,this.initialValue)),this.__close()},show:function(t){void 0!==this.$refs.menu&&this.$refs.menu.show(t)},hide:function(t){void 0!==this.$refs.menu&&this.$refs.menu.hide(t)},__hasChanged:function(){return!1===Sn(this.value,this.initialValue)},__emitValue:function(t){!0!==this.disable&&this.$emit("input",t)},__close:function(){this.validated=!0,!0===this.$refs.menu.showing&&this.$refs.menu.hide()},__reposition:function(){var t=this;this.$nextTick((function(){t.$refs.menu.updatePosition()}))},__getContent:function(t){var e=Et(this,"title",this.title),n=void 0===this.$scopedSlots.default?[]:this.$scopedSlots.default(this.defaultSlotScope).slice();return e&&n.unshift(t("div",{staticClass:"q-dialog__title q-mt-sm q-mb-sm"},[e])),!0===this.buttons&&n.push(t("div",{staticClass:"q-popup-edit__buttons row justify-center no-wrap"},[t(ye,{props:{flat:!0,color:this.color,label:this.labelCancel||this.$q.lang.label.cancel},on:pt(this,"cancel",{click:this.cancel})}),t(ye,{props:{flat:!0,color:this.color,label:this.labelSet||this.$q.lang.label.set},on:pt(this,"ok",{click:this.set})})])),n}},render:function(t){var e=this;if(!0!==this.disable)return t(an,{ref:"menu",props:this.menuProps,on:pt(this,"menu",{"before-show":function(){e.validated=!1,e.initialValue=da(e.value),e.watcher=e.$watch("value",e.__reposition),e.$emit("before-show")},show:function(){e.$emit("show")},"escape-key":this.cancel,"before-hide":function(){e.watcher(),!1===e.validated&&!0===e.__hasChanged()&&(!0===e.autoSave&&!0===e.validate(e.value)?e.$emit("save",e.value,e.initialValue):(e.$emit("cancel",e.value,e.initialValue),e.$emit("input",e.initialValue))),e.$emit("before-hide")},hide:function(){e.$emit("hide")},keyup:function(t){!0===X(t,13)&&e.set()}})},this.__getContent(t))}}),fa=t.extend({name:"QPopupProxy",mixins:[_t,At,xe],props:{breakpoint:{type:[String,Number],default:450}},data:function(){var t=parseInt(this.breakpoint,10);return{type:this.$q.screen.width<t||this.$q.screen.height<t?"dialog":"menu"}},computed:{parsedBreakpoint:function(){return parseInt(this.breakpoint,10)},onEvents:function(){return Object.assign({},this.qListeners,{hide:this.__onHide})}},watch:{"$q.screen.width":function(t){!0!==this.$refs.popup.showing&&this.__updateType(t,this.$q.screen.height,this.parsedBreakpoint)},"$q.screen.height":function(t){!0!==this.$refs.popup.showing&&this.__updateType(this.$q.screen.width,t,this.parsedBreakpoint)},breakpoint:function(t){!0!==this.$refs.popup.showing&&this.__updateType(this.$q.screen.width,this.$q.screen.height,parseInt(t,10))}},methods:{toggle:function(t){this.$refs.popup.toggle(t)},show:function(t){this.$refs.popup.show(t)},hide:function(t){this.$refs.popup.hide(t)},__onHide:function(t){this.__updateType(this.$q.screen.width,this.$q.screen.height,this.parsedBreakpoint),this.$emit("hide",t)},__updateType:function(t,e,n){var i=t<n||e<n?"dialog":"menu";this.type!==i&&(this.type=i)}},render:function(t){var e,n=Et(this,"default"),i="menu"===this.type&&void 0!==n&&void 0!==n[0]&&void 0!==n[0].componentOptions&&void 0!==n[0].componentOptions.Ctor&&void 0!==n[0].componentOptions.Ctor.sealedOptions&&["QDate","QTime","QCarousel","QColor"].includes(n[0].componentOptions.Ctor.sealedOptions.name)?{cover:!0,maxHeight:"99vh"}:{},r={ref:"popup",props:Object.assign({},i,this.qAttrs),on:this.onEvents};return"dialog"===this.type?e=wr:(e=an,r.props.target=this.target,r.props.contextMenu=this.contextMenu,r.props.noParentEvent=!0,r.props.separateClosePopup=!0),t(e,r,n)}});function pa(t,e){return!0===e?{transform:"translateX(100%) scale3d("+-t+",1,1)"}:{transform:"scale3d("+t+",1,1)"}}var ma=t.extend({name:"QLinearProgress",mixins:[At,It,Mt({xs:2,sm:4,md:6,lg:10,xl:14})],props:{value:{type:Number,default:0},buffer:Number,color:String,trackColor:String,reverse:Boolean,stripe:Boolean,indeterminate:Boolean,query:Boolean,rounded:Boolean,instantFeedback:Boolean},computed:{motion:function(){return!0===this.indeterminate||!0===this.query},classes:function(){return"q-linear-progress"+(void 0!==this.color?" text-"+this.color:"")+(!0===this.reverse||!0===this.query?" q-linear-progress--reverse":"")+(!0===this.rounded?" rounded-borders":"")},trackStyle:function(){return pa(void 0!==this.buffer?this.buffer:1,this.reverse)},trackClass:function(){return"q-linear-progress__track--with"+(!0===this.instantFeedback?"out":"")+"-transition q-linear-progress__track--"+(!0===this.isDark?"dark":"light")+(void 0!==this.trackColor?" bg-"+this.trackColor:"")},modelStyle:function(){return pa(!0===this.motion?1:this.value,this.reverse)},modelClasses:function(){return"q-linear-progress__model--with"+(!0===this.instantFeedback?"out":"")+"-transition q-linear-progress__model--"+(!0===this.motion?"in":"")+"determinate"},stripeStyle:function(){return{width:100*this.value+"%"}},attrs:function(){return{role:"progressbar","aria-valuemin":0,"aria-valuemax":1,"aria-valuenow":!0===this.indeterminate?void 0:this.value}}},render:function(t){var e=[t("div",{staticClass:"q-linear-progress__track absolute-full",style:this.trackStyle,class:this.trackClass}),t("div",{staticClass:"q-linear-progress__model absolute-full",style:this.modelStyle,class:this.modelClasses})];return!0===this.stripe&&!1===this.motion&&e.push(t("div",{staticClass:"q-linear-progress__stripe absolute-full",style:this.stripeStyle})),t("div",{style:this.sizeStyle,class:this.classes,attrs:this.attrs,on:Object.assign({},this.qListeners)},Lt(e,this,"default"))}}),va=40,ga=t.extend({name:"QPullToRefresh",mixins:[At],directives:{TouchPan:Gn},props:{color:String,bgColor:String,icon:String,noMouse:Boolean,disable:Boolean,scrollTarget:{default:void 0}},data:function(){return{state:"pull",pullRatio:0,pulling:!1,pullPosition:-40,animating:!1,positionCSS:{}}},computed:{style:function(){return{opacity:this.pullRatio,transform:"translateY("+this.pullPosition+"px) rotate("+360*this.pullRatio+"deg)"}},classes:function(){return"q-pull-to-refresh__puller row flex-center"+(!0===this.animating?" q-pull-to-refresh__puller--animating":"")+(void 0!==this.bgColor?" bg-"+this.bgColor:"")},directives:function(){if(!0!==this.disable){var t={down:!0,mightPrevent:!0};return!0!==this.noMouse&&(t.mouse=!0),[{name:"touch-pan",modifiers:t,value:this.__pull}]}},contentClass:function(){return"q-pull-to-refresh__content"+(!0===this.pulling?" no-pointer-events":"")}},watch:{scrollTarget:function(){this.updateScrollTarget()}},methods:{trigger:function(){var t=this;this.$emit("refresh",(function(){t.__animateTo({pos:-40,ratio:0},(function(){t.state="pull"}))}))},updateScrollTarget:function(){this.__scrollTarget=Ie(this.$el,this.scrollTarget)},__pull:function(t){if(!0!==t.isFinal){if(!0===this.animating||"refreshing"===this.state)return!1;if(!0===t.isFirst){if(0!==$e(this.__scrollTarget))return!0===this.pulling&&(this.pulling=!1,this.state="pull",this.__animateTo({pos:-40,ratio:0})),!1;this.pulling=!0;var e=this.$el.getBoundingClientRect(),n=e.top,i=e.left;this.positionCSS={top:n+"px",left:i+"px",width:window.getComputedStyle(this.$el).getPropertyValue("width")}}b(t.evt);var r=Math.min(140,Math.max(0,t.distance.y));this.pullPosition=r-va,this.pullRatio=ct(r/60,0,1);var o=this.pullPosition>20?"pulled":"pull";this.state!==o&&(this.state=o)}else!0===this.pulling&&(this.pulling=!1,"pulled"===this.state?(this.state="refreshing",this.__animateTo({pos:20}),this.trigger()):"pull"===this.state&&this.__animateTo({pos:-40,ratio:0}))},__animateTo:function(t,e){var n=this,i=t.pos,r=t.ratio;this.animating=!0,this.pullPosition=i,void 0!==r&&(this.pullRatio=r),clearTimeout(this.timer),this.timer=setTimeout((function(){n.animating=!1,e&&e()}),300)}},mounted:function(){this.updateScrollTarget()},beforeDestroy:function(){clearTimeout(this.timer)},render:function(t){return t("div",{staticClass:"q-pull-to-refresh",on:Object.assign({},this.qListeners),directives:this.directives},[t("div",{class:this.contentClass},Et(this,"default")),t("div",{staticClass:"q-pull-to-refresh__puller-container fixed row flex-center no-pointer-events z-top",style:this.positionCSS},[t("div",{style:this.style,class:this.classes},["refreshing"!==this.state?t(Pt,{props:{name:this.icon||this.$q.iconSet.pullToRefresh.icon,color:this.color,size:"32px"}}):t(Gt,{props:{size:"24px",color:this.color}})])])])}}),_a=0,ya=1,ba=2,wa=t.extend({name:"QRange",mixins:[Xn],props:{value:{type:Object,default:function(){return{min:null,max:null}},validator:function(t){return"min"in t&&"max"in t}},name:String,dragRange:Boolean,dragOnlyRange:Boolean,leftLabelColor:String,leftLabelTextColor:String,rightLabelColor:String,rightLabelTextColor:String,leftLabelValue:[String,Number],rightLabelValue:[String,Number]},data:function(){return{model:{min:null===this.value.min?this.min:this.value.min,max:null===this.value.max?this.max:this.value.max},curMinRatio:0,curMaxRatio:0}},watch:{"value.min":function(t){this.model.min=null===t?this.min:t},"value.max":function(t){this.model.max=null===t?this.max:t},min:function(t){this.model.min<t&&(this.model.min=t),this.model.max<t&&(this.model.max=t)},max:function(t){this.model.min>t&&(this.model.min=t),this.model.max>t&&(this.model.max=t)}},computed:{ratioMin:function(){return!0===this.active?this.curMinRatio:this.modelMinRatio},ratioMax:function(){return!0===this.active?this.curMaxRatio:this.modelMaxRatio},modelMinRatio:function(){return(this.model.min-this.min)/(this.max-this.min)},modelMaxRatio:function(){return(this.model.max-this.min)/(this.max-this.min)},trackStyle:function(){var t;return(t={})[this.positionProp]=100*this.ratioMin+"%",t[this.sizeProp]=100*(this.ratioMax-this.ratioMin)+"%",t},minThumbStyle:function(){var t;return(t={})[this.positionProp]=100*this.ratioMin+"%",t["z-index"]="min"===this.__nextFocus?2:void 0,t},maxThumbStyle:function(){var t;return(t={})[this.positionProp]=100*this.ratioMax+"%",t},minThumbClass:function(){if(!1===this.preventFocus&&"min"===this.focus)return"q-slider--focus"},maxThumbClass:function(){if(!1===this.preventFocus&&"max"===this.focus)return"q-slider--focus"},events:function(){var t=this;if(!0===this.editable){if(!0===this.$q.platform.is.mobile)return{click:this.__mobileClick};var e={mousedown:this.__activate};return!0===this.dragOnlyRange&&Object.assign(e,{focus:function(){t.__focus("both")},blur:this.__blur,keydown:this.__keydown,keyup:this.__keyup}),e}},minEvents:function(){var t=this;if(!0===this.editable&&!0!==this.$q.platform.is.mobile&&!0!==this.dragOnlyRange)return{focus:function(){t.__focus("min")},blur:this.__blur,keydown:this.__keydown,keyup:this.__keyup}},maxEvents:function(){var t=this;if(!0===this.editable&&!0!==this.$q.platform.is.mobile&&!0!==this.dragOnlyRange)return{focus:function(){t.__focus("max")},blur:this.__blur,keydown:this.__keydown,keyup:this.__keyup}},minPinClass:function(){var t=this.leftLabelColor||this.labelColor;if(t)return"text-"+t},minPinTextClass:function(){var t=this.leftLabelTextColor||this.labelTextColor;if(t)return"text-"+t},maxPinClass:function(){var t=this.rightLabelColor||this.labelColor;if(t)return"text-"+t},maxPinTextClass:function(){var t=this.rightLabelTextColor||this.labelTextColor;if(t)return"text-"+t},minLabel:function(){return void 0!==this.leftLabelValue?this.leftLabelValue:this.model.min},maxLabel:function(){return void 0!==this.rightLabelValue?this.rightLabelValue:this.model.max},minPinStyle:function(){var t=!0===this.reverse?-this.ratioMin:this.ratioMin-1;return this.__getPinStyle(t,this.ratioMin)},maxPinStyle:function(){var t=!0===this.reverse?-this.ratioMax:this.ratioMax-1;return this.__getPinStyle(t,this.ratioMax)},formAttrs:function(){return{type:"hidden",name:this.name,value:this.value.min+"|"+this.value.max}}},methods:{__updateValue:function(t){this.model.min===this.value.min&&this.model.max===this.value.max||this.$emit("input",this.model),!0===t&&this.$emit("change",this.model)},__getDragging:function(t){var e,n=this.$el.getBoundingClientRect(),i=n.left,r=n.top,o=n.width,a=n.height,s=!0===this.dragOnlyRange?0:!0===this.vertical?this.$refs.minThumb.offsetHeight/(2*a):this.$refs.minThumb.offsetWidth/(2*o),l=this.max-this.min,u={left:i,top:r,width:o,height:a,valueMin:this.model.min,valueMax:this.model.max,ratioMin:(this.model.min-this.min)/l,ratioMax:(this.model.max-this.min)/l},c=Zn(t,u,this.isReversed,this.vertical);return!0!==this.dragOnlyRange&&c<u.ratioMin+s?e=_a:!0===this.dragOnlyRange||c<u.ratioMax-s?!0===this.dragRange||!0===this.dragOnlyRange?(e=ya,Object.assign(u,{offsetRatio:c,offsetModel:Jn(c,this.min,this.max,this.step,this.decimals),rangeValue:u.valueMax-u.valueMin,rangeRatio:u.ratioMax-u.ratioMin})):e=u.ratioMax-c<c-u.ratioMin?ba:_a:e=ba,u.type=e,this.__nextFocus=void 0,u},__updatePosition:function(t,e){void 0===e&&(e=this.dragging);var n,i=Zn(t,e,this.isReversed,this.vertical),r=Jn(i,this.min,this.max,this.step,this.decimals);switch(e.type){case _a:i<=e.ratioMax?(n={minR:i,maxR:e.ratioMax,min:r,max:e.valueMax},this.__nextFocus="min"):(n={minR:e.ratioMax,maxR:i,min:e.valueMax,max:r},this.__nextFocus="max");break;case ba:i>=e.ratioMin?(n={minR:e.ratioMin,maxR:i,min:e.valueMin,max:r},this.__nextFocus="max"):(n={minR:i,maxR:e.ratioMin,min:r,max:e.valueMin},this.__nextFocus="min");break;case ya:var o=i-e.offsetRatio,a=ct(e.ratioMin+o,0,1-e.rangeRatio),s=r-e.offsetModel,l=ct(e.valueMin+s,this.min,this.max-e.rangeValue);n={minR:a,maxR:a+e.rangeRatio,min:parseFloat(l.toFixed(this.decimals)),max:parseFloat((l+e.rangeValue).toFixed(this.decimals))}}if(this.model={min:n.min,max:n.max},null!==this.model.min&&null!==this.model.max||(this.model.min=n.min||this.min,this.model.max=n.max||this.max),!0!==this.snap||0===this.step)this.curMinRatio=n.minR,this.curMaxRatio=n.maxR;else{var u=this.max-this.min;this.curMinRatio=(this.model.min-this.min)/u,this.curMaxRatio=(this.model.max-this.min)/u}},__focus:function(t){this.focus=t},__keydown:function(t){var e;if(Kn.includes(t.keyCode)){w(t);var n=([34,33].includes(t.keyCode)?10:1)*this.computedStep,i=[34,37,40].includes(t.keyCode)?-n:n;if(this.dragOnlyRange){var r=this.dragOnlyRange?this.model.max-this.model.min:0,o=ct(parseFloat((this.model.min+i).toFixed(this.decimals)),this.min,this.max-r);this.model={min:o,max:parseFloat((o+r).toFixed(this.decimals))}}else{if(!1===this.focus)return;var a=this.focus;this.model=Object.assign({},this.model,((e={})[a]=ct(parseFloat((this.model[a]+i).toFixed(this.decimals)),"min"===a?this.min:this.model.min,"max"===a?this.max:this.model.max),e))}this.__updateValue()}},__getThumb:function(t,e){var n=[this.__getThumbSvg(t),t("div",{staticClass:"q-slider__focus-ring"})];return!0!==this.label&&!0!==this.labelAlways||n.push(t("div",{staticClass:"q-slider__pin q-slider__pin"+this.axis+" absolute",style:this[e+"PinStyle"].pin,class:this[e+"PinClass"]},[t("div",{staticClass:"q-slider__pin-text-container q-slider__pin-text-container"+this.axis,style:this[e+"PinStyle"].pinTextContainer},[t("span",{staticClass:"q-slider__pin-text",class:this[e+"PinTextClass"]},[this[e+"Label"]])])]),t("div",{staticClass:"q-slider__arrow q-slider__arrow"+this.axis,class:this[e+"PinClass"]})),t("div",{ref:e+"Thumb",staticClass:"q-slider__thumb-container q-slider__thumb-container"+this.axis+" absolute non-selectable",style:this[e+"ThumbStyle"],class:this[e+"ThumbClass"],on:this[e+"Events"],attrs:{tabindex:!0!==this.dragOnlyRange?this.computedTabindex:null}},n)}},render:function(t){var e=[t("div",{staticClass:"q-slider__track q-slider__track"+this.axis+" absolute",style:this.trackStyle})];!0===this.markers&&e.push(t("div",{staticClass:"q-slider__track-markers q-slider__track-markers"+this.axis+" absolute-full fit",style:this.markerStyle}));var n=[t("div",{staticClass:"q-slider__track-container q-slider__track-container"+this.axis+" absolute"},e),this.__getThumb(t,"min"),this.__getThumb(t,"max")];return void 0!==this.name&&!0!==this.disable&&this.__injectFormInput(n,"push"),t("div",{staticClass:null===this.value.min||null===this.value.max?"q-slider--no-value":void 0,attrs:Object.assign({},this.attrs,{"aria-valuenow":this.value.min+"|"+this.value.max,tabindex:!0===this.dragOnlyRange&&!0!==this.$q.platform.is.mobile?this.computedTabindex:null}),class:this.classes,on:this.events,directives:this.panDirectives},n)}}),xa=t.extend({name:"QRating",mixins:[Tt,ln,At],props:{value:{type:Number,required:!0},max:{type:[String,Number],default:5},icon:[String,Array],iconHalf:[String,Array],iconSelected:[String,Array],color:[String,Array],colorHalf:[String,Array],colorSelected:[String,Array],noReset:Boolean,noDimming:Boolean,readonly:Boolean,disable:Boolean},data:function(){return{mouseModel:0}},computed:{editable:function(){return!0!==this.readonly&&!0!==this.disable},classes:function(){return"q-rating--"+(!0===this.editable?"":"non-")+"editable"+(!0===this.noDimming?" q-rating--no-dimming":"")+(!0===this.disable?" disabled":"")+(void 0!==this.color&&!1===Array.isArray(this.color)?" text-"+this.color:"")},iconData:function(){var t=!0===Array.isArray(this.icon)?this.icon.length:0,e=!0===Array.isArray(this.iconSelected)?this.iconSelected.length:0,n=!0===Array.isArray(this.iconHalf)?this.iconHalf.length:0,i=!0===Array.isArray(this.color)?this.color.length:0,r=!0===Array.isArray(this.colorSelected)?this.colorSelected.length:0,o=!0===Array.isArray(this.colorHalf)?this.colorHalf.length:0;return{iconLen:t,icon:t>0?this.icon[t-1]:this.icon,selIconLen:e,selIcon:e>0?this.iconSelected[e-1]:this.iconSelected,halfIconLen:n,halfIcon:n>0?this.iconHalf[e-1]:this.iconHalf,colorLen:i,color:i>0?this.color[i-1]:this.color,selColorLen:r,selColor:r>0?this.colorSelected[r-1]:this.colorSelected,halfColorLen:o,halfColor:o>0?this.colorHalf[o-1]:this.colorHalf}},attrs:function(){return!0===this.disable?{"aria-disabled":"true"}:!0===this.readonly?{"aria-readonly":"true"}:void 0}},methods:{__set:function(t){if(!0===this.editable){var e=ct(parseInt(t,10),1,parseInt(this.max,10)),n=!0!==this.noReset&&this.value===e?0:e;n!==this.value&&this.$emit("input",n),this.mouseModel=0}},__setHoverValue:function(t){!0===this.editable&&(this.mouseModel=t)},__keyup:function(t,e){switch(t.keyCode){case 13:case 32:return this.__set(e),w(t);case 37:case 40:return this.$refs["rt"+(e-1)]&&this.$refs["rt"+(e-1)].focus(),w(t);case 39:case 38:return this.$refs["rt"+(e+1)]&&this.$refs["rt"+(e+1)].focus(),w(t)}}},render:function(t){for(var e,n=this,i=[],r=!0===this.editable?0:null,o=this.iconData,a=Math.ceil(this.value),s=void 0===this.iconHalf||a===this.value?-1:a,l=function(l){var u=0===n.mouseModel&&n.value>=l||n.mouseModel>0&&n.mouseModel>=l,c=s===l&&n.mouseModel<l,d=n.mouseModel>0&&(!0===c?a:n.value)>=l&&n.mouseModel<l,h=!0===c?l<=o.halfIconLen?n.iconHalf[l-1]:o.halfIcon:void 0===o.selIcon||!0!==u&&!0!==d?l<=o.iconLen?n.icon[l-1]:o.icon:l<=o.selIconLen?n.iconSelected[l-1]:o.selIcon,f=!0===c?l<=o.halfColorLen?n.colorHalf[l-1]:o.halfColor:void 0!==o.selColor&&!0===u?l<=o.selColorLen?n.colorSelected[l-1]:o.selColor:l<=o.colorLen?n.color[l-1]:o.color;i.push(t(Pt,{key:l,ref:"rt"+l,staticClass:"q-rating__icon",class:(e={"q-rating__icon--active":!0===u||!0===c,"q-rating__icon--exselected":d,"q-rating__icon--hovered":n.mouseModel===l},e["text-"+f]=void 0!==f,e),props:{name:h||n.$q.iconSet.rating.icon},attrs:{tabindex:r},on:pt(n,"i#"+l,{click:function(){n.__set(l)},mouseover:function(){n.__setHoverValue(l)},mouseout:function(){n.mouseModel=0},focus:function(){n.__setHoverValue(l)},blur:function(){n.mouseModel=0},keyup:function(t){n.__keyup(t,l)}})},Et(n,"tip-"+l)))},u=1;u<=n.max;u++)l(u);return void 0!==this.name&&!0!==this.disable&&this.__injectFormInput(i,"push"),t("div",{staticClass:"q-rating row inline items-center",class:this.classes,style:this.sizeStyle,attrs:this.attrs,on:Object.assign({},this.qListeners)},i)}}),ka=t.extend({name:"QResponsive",mixins:[No,At],render:function(t){return t("div",{staticClass:"q-responsive",on:Object.assign({},this.qListeners)},[t("div",{staticClass:"q-responsive__filler overflow-hidden"},[t("div",{style:this.ratioStyle})]),t("div",{staticClass:"q-responsive__content absolute-full fit"},Et(this,"default"))])}}),Sa=t.extend({name:"QScrollArea",mixins:[It],directives:{TouchPan:Gn},props:{barStyle:[Array,String,Object],thumbStyle:Object,contentStyle:[Array,String,Object],contentActiveStyle:[Array,String,Object],delay:{type:[String,Number],default:1e3},visible:{type:Boolean,default:null},horizontal:Boolean},data:function(){return{tempShowing:!1,panning:!1,hover:!1,containerWidth:0,containerHeight:0,scrollPosition:0,scrollSize:0}},computed:{classes:function(){return"q-scrollarea"+(!0===this.isDark?" q-scrollarea--dark":"")},thumbHidden:function(){return!0!==(null===this.visible?this.hover:this.visible)&&!1===this.tempShowing&&!1===this.panning||this.scrollSize<=this.containerSize},thumbSize:function(){return Math.round(ct(this.containerSize*this.containerSize/this.scrollSize,50,this.containerSize))},style:function(){var t=this.scrollPercentage*(this.containerSize-this.thumbSize);return Object.assign({},this.thumbStyle,!0===this.horizontal?{left:t+"px",width:this.thumbSize+"px"}:{top:t+"px",height:this.thumbSize+"px"})},mainStyle:function(){return!0===this.thumbHidden?this.contentStyle:this.contentActiveStyle},scrollPercentage:function(){var t=ct(this.scrollPosition/(this.scrollSize-this.containerSize),0,1);return Math.round(1e4*t)/1e4},containerSize:function(){return this["container"+this.dirProps.suffix]},dirProps:function(){return!0===this.horizontal?{prefix:"horizontal",suffix:"Width",scroll:"scrollLeft",classSuffix:"h absolute-bottom",dir:"right",dist:"x"}:{prefix:"vertical",suffix:"Height",scroll:"scrollTop",classSuffix:"v absolute-right",dir:"down",dist:"y"}},thumbClass:function(){return"q-scrollarea__thumb--"+this.dirProps.classSuffix+(!0===this.thumbHidden?" q-scrollarea__thumb--invisible":"")},barClass:function(){return"q-scrollarea__bar--"+this.dirProps.classSuffix+(!0===this.thumbHidden?" q-scrollarea__bar--invisible":"")},thumbDirectives:function(){var t;return[{name:"touch-pan",modifiers:(t={},t[!0===this.horizontal?"horizontal":"vertical"]=!0,t.prevent=!0,t.mouse=!0,t.mouseAllDir=!0,t),value:this.__panThumb}]}},methods:{getScrollTarget:function(){return this.$refs.target},getScrollPosition:function(){return this.scrollPosition},setScrollPosition:function(t,e){(!0===this.horizontal?We:Ue)(this.$refs.target,t,e)},setScrollPercentage:function(t,e){this.setScrollPosition(t*(this.scrollSize-this.containerSize),e)},__updateContainer:function(t){var e=t.height,n=t.width,i=!1;this.containerWidth!==n&&(this.containerWidth=n,i=!0),this.containerHeight!==e&&(this.containerHeight=e,i=!0),!0===i&&this.__startTimer()},__updateScroll:function(t){this.scrollPosition!==t.position&&(this.scrollPosition=t.position,this.__startTimer())},__updateScrollSize:function(t){var e=t.height,n=t.width;!0===this.horizontal?this.scrollSize!==n&&(this.scrollSize=n,this.__startTimer()):this.scrollSize!==e&&(this.scrollSize=e,this.__startTimer())},__panThumb:function(t){if(!0===t.isFirst){if(!0===this.thumbHidden)return;this.refPos=this.scrollPosition,this.panning=!0}else if(!0!==this.panning)return;!0===t.isFinal&&(this.panning=!1);var e=(this.scrollSize-this.containerSize)/(this.containerSize-this.thumbSize),n=t.distance[this.dirProps.dist],i=this.refPos+(t.direction===this.dirProps.dir?1:-1)*n*e;this.__setScroll(i)},__mouseDown:function(t){if(!0!==this.thumbHidden){var e=t["offset"+(!0===this.horizontal?"X":"Y")]-this.thumbSize/2;this.__setScroll(e/this.containerSize*this.scrollSize),void 0!==this.$refs.thumb&&this.$refs.thumb.dispatchEvent(new MouseEvent(t.type,t))}},__startTimer:function(){var t=this;!0===this.tempShowing?clearTimeout(this.timer):this.tempShowing=!0,this.timer=setTimeout((function(){t.tempShowing=!1}),this.delay),this.__emitScroll()},__setScroll:function(t){this.$refs.target[this.dirProps.scroll]=t}},render:function(t){var e=this;return t("div",{class:this.classes,on:pt(this,"desk",{mouseenter:function(){e.hover=!0},mouseleave:function(){e.hover=!1}})},[t("div",{ref:"target",staticClass:"scroll relative-position fit hide-scrollbar"},[t("div",{staticClass:"absolute",style:this.mainStyle,class:"full-"+(!0===this.horizontal?"height":"width")},Lt([t(ni,{on:pt(this,"resizeIn",{resize:this.__updateScrollSize})})],this,"default")),t(Qo,{props:{horizontal:this.horizontal},on:pt(this,"scroll",{scroll:this.__updateScroll})})]),t(ni,{on:pt(this,"resizeOut",{resize:this.__updateContainer})}),t("div",{staticClass:"q-scrollarea__bar",style:this.barStyle,class:this.barClass,attrs:gt,on:pt(this,"bar",{mousedown:this.__mouseDown})}),t("div",{ref:"thumb",staticClass:"q-scrollarea__thumb",style:this.style,class:this.thumbClass,attrs:gt,directives:this.thumbDirectives})])},created:function(){var t=this;this.__emitScroll=T((function(){if(void 0!==t.$listeners.scroll){var e={ref:t},n=t.dirProps.prefix;e[n+"Position"]=t.scrollPosition,e[n+"Percentage"]=t.scrollPercentage,e[n+"Size"]=t.scrollSize,e[n+"ContainerSize"]=t.containerSize,t.$emit("scroll",e)}}),0)}}),Ca=1e3,Ma=["start","center","end","start-force","center-force","end-force"],Ta=Array.prototype.slice,Oa=void 0;function Aa(t,e){return t+e}function Ea(t,e,n,i,r,o,a,s){var l=t===window?document.scrollingElement||document.documentElement:t,u=!0===r?"offsetWidth":"offsetHeight",c={scrollStart:0,scrollViewSize:-a-s,scrollMaxSize:0,offsetStart:-a,offsetEnd:-s};if(!0===r?(t===window?(c.scrollStart=window.pageXOffset||window.scrollX||document.body.scrollLeft||0,c.scrollViewSize+=window.innerWidth):(c.scrollStart=l.scrollLeft,c.scrollViewSize+=l.clientWidth),c.scrollMaxSize=l.scrollWidth,!0===o&&(c.scrollStart=(!0===Oa?c.scrollMaxSize-c.scrollViewSize:0)-c.scrollStart)):(t===window?(c.scrollStart=window.pageYOffset||window.scrollY||document.body.scrollTop||0,c.scrollViewSize+=window.innerHeight):(c.scrollStart=l.scrollTop,c.scrollViewSize+=l.clientHeight),c.scrollMaxSize=l.scrollHeight),void 0!==n)for(var d=n.previousElementSibling;null!==d;d=d.previousElementSibling)!1===d.classList.contains("q-virtual-scroll--skip")&&(c.offsetStart+=d[u]);if(void 0!==i)for(var h=i.nextElementSibling;null!==h;h=h.nextElementSibling)!1===h.classList.contains("q-virtual-scroll--skip")&&(c.offsetEnd+=h[u]);if(e!==t){var f=l.getBoundingClientRect(),p=e.getBoundingClientRect();!0===r?(c.offsetStart+=p.left-f.left,c.offsetEnd-=p.width):(c.offsetStart+=p.top-f.top,c.offsetEnd-=p.height),t!==window&&(c.offsetStart+=c.scrollStart),c.offsetEnd+=c.scrollMaxSize-c.offsetStart}return c}function qa(t,e,n,i){if(n>=i)return 0;var r=e.length,o=Math.floor(n/Ca),a=Math.floor((i-1)/Ca)+1,s=t.slice(o,a).reduce(Aa,0);return n%Ca!=0&&(s-=e.slice(o*Ca,n).reduce(Aa,0)),i%Ca!=0&&i!==r&&(s-=e.slice(i,a*Ca).reduce(Aa,0)),s}var La={virtualScrollSliceSize:{type:Number,default:null},virtualScrollItemSize:{type:Number,default:24},virtualScrollStickySizeStart:{type:Number,default:0},virtualScrollStickySizeEnd:{type:Number,default:0},tableColspan:[Number,String]},Da=Object.keys(La),Pa={props:Object.assign({},{virtualScrollHorizontal:Boolean},La),data:function(){return{virtualScrollSliceRange:{from:0,to:0}}},watch:{virtualScrollHorizontal:function(){this.__setVirtualScrollSize()},needsReset:function(){this.reset()}},computed:{needsReset:function(){var t=this;return["virtualScrollItemSize","virtualScrollHorizontal"].map((function(e){return t[e]})).join(";")},colspanAttr:function(){return void 0!==this.tableColspan?{colspan:this.tableColspan}:{colspan:100}}},methods:{reset:function(){this.__resetVirtualScroll(this.prevToIndex,!0)},refresh:function(t){this.__resetVirtualScroll(void 0===t?this.prevToIndex:t)},scrollTo:function(t,e){var n=this.__getVirtualScrollTarget();if(null!=n&&8!==n.nodeType){var i=Ea(n,this.__getVirtualScrollEl(),this.$refs.before,this.$refs.after,this.virtualScrollHorizontal,this.$q.lang.rtl,this.virtualScrollStickySizeStart,this.virtualScrollStickySizeEnd);this.__scrollViewSize!==i.scrollViewSize&&this.__setVirtualScrollSize(i.scrollViewSize),this.__setVirtualScrollSliceRange(n,i,Math.min(this.virtualScrollLength-1,Math.max(0,parseInt(t,10)||0)),0,Ma.indexOf(e)>-1?e:this.prevToIndex>-1&&t>this.prevToIndex?"end":"start")}},__onVirtualScrollEvt:function(){var t=this.__getVirtualScrollTarget();if(null!=t&&8!==t.nodeType){var e=Ea(t,this.__getVirtualScrollEl(),this.$refs.before,this.$refs.after,this.virtualScrollHorizontal,this.$q.lang.rtl,this.virtualScrollStickySizeStart,this.virtualScrollStickySizeEnd),n=this.virtualScrollLength-1,i=e.scrollMaxSize-e.offsetStart-e.offsetEnd-this.virtualScrollPaddingAfter;if(this.prevScrollStart!==e.scrollStart)if(this.prevScrollStart=void 0,e.scrollMaxSize<=0)this.__setVirtualScrollSliceRange(t,e,0,0);else{this.__scrollViewSize!==e.scrollViewSize&&this.__setVirtualScrollSize(e.scrollViewSize),this.__updateVirtualScrollSizes(this.virtualScrollSliceRange.from);var r=e.scrollMaxSize-Math.max(e.scrollViewSize,e.offsetEnd)-this.virtualScrollSizes[n];if(r>0&&e.scrollStart>=r)this.__setVirtualScrollSliceRange(t,e,n,e.scrollMaxSize-e.offsetEnd-this.virtualScrollSizesAgg.reduce(Aa,0));else{var o=0,a=e.scrollStart-e.offsetStart,s=a;if(a<=i&&a+e.scrollViewSize>=this.virtualScrollPaddingBefore)a-=this.virtualScrollPaddingBefore,o=this.virtualScrollSliceRange.from,s=a;else for(var l=0;a>=this.virtualScrollSizesAgg[l]&&o<n;l++)a-=this.virtualScrollSizesAgg[l],o+=Ca;for(;a>0&&o<n;)(a-=this.virtualScrollSizes[o])>-e.scrollViewSize?(o++,s=a):s=this.virtualScrollSizes[o]+a;this.__setVirtualScrollSliceRange(t,e,o,s)}}}},__setVirtualScrollSliceRange:function(t,e,n,i,r){var o=this,a="string"==typeof r&&r.indexOf("-force")>-1,s=!0===a?r.replace("-force",""):r,l=Math.max(0,Math.ceil(n-this.virtualScrollSliceSizeComputed/(void 0===s||"center"===s?2:"start"===s?3:1.5))),u=l+this.virtualScrollSliceSizeComputed;u>this.virtualScrollLength&&(u=this.virtualScrollLength,l=Math.max(0,u-this.virtualScrollSliceSizeComputed));var c=l!==this.virtualScrollSliceRange.from||u!==this.virtualScrollSliceRange.to;if(!1!==c||void 0!==s){var d=!0===c&&"function"==typeof t.contains&&t.contains(document.activeElement),h=void 0!==s?this.virtualScrollSizes.slice(l,n).reduce(Aa,0):0;!0===c&&(this.virtualScrollSliceRange={from:l,to:u},this.virtualScrollPaddingBefore=qa(this.virtualScrollSizesAgg,this.virtualScrollSizes,0,l),this.virtualScrollPaddingAfter=qa(this.virtualScrollSizesAgg,this.virtualScrollSizes,u,this.virtualScrollLength)),this.__activeScrollStart=e.scrollStart,requestAnimationFrame((function(){if(!0===d&&!0!==t.contains(document.activeElement)&&t.focus(),o.__activeScrollStart===e.scrollStart){!0===c&&o.__updateVirtualScrollSizes(l);var r=o.virtualScrollSizes.slice(l,n).reduce(Aa,0),u=r+e.offsetStart+o.virtualScrollPaddingBefore,f=u+o.virtualScrollSizes[n],p=!0===o.$q.lang.rtl,m=u+i;if(void 0!==s){var v=r-h,g=e.scrollStart+v;m=!0!==a&&g<u&&f<g+e.scrollViewSize?g:"end"===s?f-e.scrollViewSize:u-("start"===s?0:Math.round((e.scrollViewSize-o.virtualScrollSizes[n])/2))}o.prevScrollStart=m,function(t,e,n,i){t===window?!0===n?(!0===i&&(e=(!0===Oa?document.body.scrollWidth-window.innerWidth:0)-e),window.scrollTo(e,window.pageYOffset||window.scrollY||document.body.scrollTop||0)):window.scrollTo(window.pageXOffset||window.scrollX||document.body.scrollLeft||0,e):!0===n?(!0===i&&(e=(!0===Oa?t.scrollWidth-t.offsetWidth:0)-e),t.scrollLeft=e):t.scrollTop=e}(t,m,o.virtualScrollHorizontal,p),o.__emitScroll(n)}}))}else this.__emitScroll(n)},__updateVirtualScrollSizes:function(t){var e=this.$refs.content;if(void 0!==e)for(var n,i,r=Ta.call(e.children).filter((function(t){return!1===t.classList.contains("q-virtual-scroll--skip")})),o=r.length,a=!0===this.virtualScrollHorizontal?function(t){return t.getBoundingClientRect().width}:function(t){return t.offsetHeight},s=t,l=0;l<o;){for(n=a(r[l]),l++;l<o&&!0===r[l].classList.contains("q-virtual-scroll--with-prev");)n+=a(r[l]),l++;0!==(i=n-this.virtualScrollSizes[s])&&(this.virtualScrollSizes[s]+=i,this.virtualScrollSizesAgg[Math.floor(s/Ca)]+=i),s++}},__resetVirtualScroll:function(t,e){var n=this,i=this.virtualScrollItemSize;!0!==e&&!1!==Array.isArray(this.virtualScrollSizes)||(this.virtualScrollSizes=[]);var r=this.virtualScrollSizes.length;this.virtualScrollSizes.length=this.virtualScrollLength;for(var o=this.virtualScrollLength-1;o>=r;o--)this.virtualScrollSizes[o]=i;var a=Math.floor((this.virtualScrollLength-1)/Ca);this.virtualScrollSizesAgg=[];for(var s=0;s<=a;s++){for(var l=0,u=Math.min((s+1)*Ca,this.virtualScrollLength),c=s*Ca;c<u;c++)l+=this.virtualScrollSizes[c];this.virtualScrollSizesAgg.push(l)}this.prevToIndex=-1,this.prevScrollStart=void 0,t>=0?(this.__updateVirtualScrollSizes(this.virtualScrollSliceRange.from),this.$nextTick((function(){n.scrollTo(t)}))):(this.virtualScrollPaddingBefore=qa(this.virtualScrollSizesAgg,this.virtualScrollSizes,0,this.virtualScrollSliceRange.from),this.virtualScrollPaddingAfter=qa(this.virtualScrollSizesAgg,this.virtualScrollSizes,this.virtualScrollSliceRange.to,this.virtualScrollLength),this.__onVirtualScrollEvt())},__setVirtualScrollSize:function(t){if(this.virtualScrollSliceSize>0)this.virtualScrollSliceSizeComputed=this.virtualScrollSliceSize;else{if(void 0===t&&"undefined"!=typeof window){var e=this.__getVirtualScrollTarget();null!=e&&8!==e.nodeType&&(t=Ea(e,this.__getVirtualScrollEl(),this.$refs.before,this.$refs.after,this.virtualScrollHorizontal,this.$q.lang.rtl,this.virtualScrollStickySizeStart,this.virtualScrollStickySizeEnd).scrollViewSize)}this.__scrollViewSize=t,this.virtualScrollSliceSizeComputed=void 0===t||t<=0?30:Math.ceil(t/this.virtualScrollItemSize*3)}},__padVirtualScroll:function(t,e,n){var i,r,o,a,s=!0===this.virtualScrollHorizontal?"width":"height";return["tbody"===e?t(e,{staticClass:"q-virtual-scroll__padding",key:"before",ref:"before"},[t("tr",[t("td",{style:(i={},i[s]=this.virtualScrollPaddingBefore+"px",i),attrs:this.colspanAttr})])]):t(e,{staticClass:"q-virtual-scroll__padding",key:"before",ref:"before",style:(r={},r[s]=this.virtualScrollPaddingBefore+"px",r)}),t(e,{staticClass:"q-virtual-scroll__content",key:"content",ref:"content"},n),"tbody"===e?t(e,{staticClass:"q-virtual-scroll__padding",key:"after",ref:"after"},[t("tr",[t("td",{style:(o={},o[s]=this.virtualScrollPaddingAfter+"px",o),attrs:this.colspanAttr})])]):t(e,{staticClass:"q-virtual-scroll__padding",key:"after",ref:"after",style:(a={},a[s]=this.virtualScrollPaddingAfter+"px",a)})]},__emitScroll:function(t){this.prevToIndex!==t&&(void 0!==this.qListeners["virtual-scroll"]&&this.$emit("virtual-scroll",{index:t,from:this.virtualScrollSliceRange.from,to:this.virtualScrollSliceRange.to-1,direction:t<this.prevToIndex?"decrease":"increase",ref:this}),this.prevToIndex=t)}},created:function(){this.__setVirtualScrollSize()},beforeMount:function(){var t,e;void 0===Oa&&(t=document.createElement("div"),e=document.createElement("div"),t.setAttribute("dir","rtl"),t.style.width="1px",t.style.height="1px",t.style.overflow="auto",e.style.width="1000px",e.style.height="1px",document.body.appendChild(t),t.appendChild(e),t.scrollLeft=-1e3,Oa=t.scrollLeft>=0,t.remove()),this.__onVirtualScrollEvt=T(this.__onVirtualScrollEvt,!0===this.$q.platform.is.ios?120:70),this.__setVirtualScrollSize()}},Ra=function(t){return["add","add-unique","toggle"].includes(t)},Na=t.extend({name:"QSelect",mixins:[Dr,Pa,Yr,un,At],props:{value:{required:!0},multiple:Boolean,displayValue:[String,Number],displayValueSanitize:Boolean,dropdownIcon:String,options:{type:Array,default:function(){return[]}},optionValue:[Function,String],optionLabel:[Function,String],optionDisable:[Function,String],hideSelected:Boolean,hideDropdownIcon:Boolean,fillInput:Boolean,maxValues:[Number,String],optionsDense:Boolean,optionsDark:{type:Boolean,default:null},optionsSelectedClass:String,optionsSanitize:Boolean,optionsCover:Boolean,menuShrink:Boolean,menuAnchor:String,menuSelf:String,menuOffset:Array,popupContentClass:String,popupContentStyle:[String,Array,Object],useInput:Boolean,useChips:Boolean,newValueMode:{type:String,validator:Ra},mapOptions:Boolean,emitValue:Boolean,inputDebounce:{type:[Number,String],default:500},inputClass:[Array,String,Object],inputStyle:[Array,String,Object],tabindex:{type:[String,Number],default:0},transitionShow:String,transitionHide:String,behavior:{type:String,validator:function(t){return["default","menu","dialog"].includes(t)},default:"default"}},data:function(){return{menu:!1,dialog:!1,optionIndex:-1,inputValue:"",dialogFieldFocused:!1}},watch:{innerValue:{handler:function(t){this.innerValueCache=t,!0===this.useInput&&!0===this.fillInput&&!0!==this.multiple&&!0!==this.innerLoading&&(!0!==this.dialog&&!0!==this.menu||!0!==this.hasValue)&&(!0!==this.userInputValue&&this.__resetInputValue(),!0!==this.dialog&&!0!==this.menu||this.filter(""))},immediate:!0},fillInput:function(){this.__resetInputValue()},menu:function(t){this.__updateMenu(t)}},computed:{isOptionsDark:function(){return null===this.optionsDark?this.isDark:this.optionsDark},virtualScrollLength:function(){return Array.isArray(this.options)?this.options.length:0},fieldClass:function(){return"q-select q-field--auto-height q-select--with"+(!0!==this.useInput?"out":"")+"-input q-select--with"+(!0!==this.useChips?"out":"")+"-chips q-select--"+(!0===this.multiple?"multiple":"single")},computedInputClass:function(){return!0===this.hideSelected||0===this.innerValue.length?this.inputClass:void 0===this.inputClass?"q-field__input--padding":[this.inputClass,"q-field__input--padding"]},menuContentClass:function(){return(!0===this.virtualScrollHorizontal?"q-virtual-scroll--horizontal":"")+(this.popupContentClass?" "+this.popupContentClass:"")},innerValue:function(){var t=this,e=!0===this.mapOptions&&!0!==this.multiple,n=void 0===this.value||null===this.value&&!0!==e?[]:!0===this.multiple&&Array.isArray(this.value)?this.value:[this.value];if(!0===this.mapOptions&&!0===Array.isArray(this.options)){var i=!0===this.mapOptions&&void 0!==this.innerValueCache?this.innerValueCache:[],r=n.map((function(e){return t.__getOption(e,i)}));return null===this.value&&!0===e?r.filter((function(t){return null!==t})):r}return n},noOptions:function(){return 0===this.virtualScrollLength},selectedString:function(){var t=this;return this.innerValue.map((function(e){return t.getOptionLabel(e)})).join(", ")},sanitizeFn:function(){return!0===this.optionsSanitize?function(){return!0}:function(t){return null!=t&&!0===t.sanitize}},displayAsText:function(){return!0===this.displayValueSanitize||void 0===this.displayValue&&(!0===this.optionsSanitize||this.innerValue.some(this.sanitizeFn))},computedTabindex:function(){return!0===this.focused?this.tabindex:-1},selectedScope:function(){var t=this;return this.innerValue.map((function(e,n){return{index:n,opt:e,sanitize:t.sanitizeFn(e),selected:!0,removeAtIndex:t.__removeAtIndexAndFocus,toggleOption:t.toggleOption,tabindex:t.computedTabindex}}))},optionScope:function(){var t=this;if(0===this.virtualScrollLength)return[];var e=this.virtualScrollSliceRange,n=e.from,i=e.to;return this.options.slice(n,i).map((function(e,i){var r=!0===t.isOptionDisabled(e),o=n+i,a={clickable:!0,active:!1,activeClass:t.computedOptionsSelectedClass,manualFocus:!0,focused:!1,disable:r,tabindex:-1,dense:t.optionsDense,dark:t.isOptionsDark};!0!==r&&(!0===t.isOptionSelected(e)&&(a.active=!0),t.optionIndex===o&&(a.focused=!0));var s={click:function(){t.toggleOption(e)}};return!0===t.$q.platform.is.desktop&&(s.mousemove=function(){t.setOptionIndex(o)}),{index:o,opt:e,sanitize:t.sanitizeFn(e),selected:a.active,focused:a.focused,toggleOption:t.toggleOption,setOptionIndex:t.setOptionIndex,itemProps:a,itemEvents:s}}))},dropdownArrowIcon:function(){return void 0!==this.dropdownIcon?this.dropdownIcon:this.$q.iconSet.arrow.dropdown},squaredMenu:function(){return!1===this.optionsCover&&!0!==this.outlined&&!0!==this.standout&&!0!==this.borderless&&!0!==this.rounded},computedOptionsSelectedClass:function(){return void 0!==this.optionsSelectedClass?this.optionsSelectedClass:void 0!==this.color?"text-"+this.color:""},innerOptionsValue:function(){var t=this;return this.innerValue.map((function(e){return t.getOptionValue(e)}))},getOptionValue:function(){return this.__getPropValueFn("optionValue","value")},getOptionLabel:function(){return this.__getPropValueFn("optionLabel","label")},isOptionDisabled:function(){return this.__getPropValueFn("optionDisable","disable")},inputControlEvents:function(){var t=this,e={input:this.__onInput,change:this.__onChange,keydown:this.__onTargetKeydown,keyup:this.__onTargetKeyup,keypress:this.__onTargetKeypress,focus:this.__selectInputText,click:function(e){!0===t.hasDialog&&y(e)}};return e.compositionstart=e.compositionupdate=e.compositionend=this.__onComposition,e}},methods:{getEmittingOptionValue:function(t){return!0===this.emitValue?this.getOptionValue(t):t},removeAtIndex:function(t){if(t>-1&&t<this.innerValue.length)if(!0===this.multiple){var e=this.value.slice();this.$emit("remove",{index:t,value:e.splice(t,1)[0]}),this.$emit("input",e)}else this.$emit("input",null)},__removeAtIndexAndFocus:function(t){this.removeAtIndex(t),this.__focus()},add:function(t,e){var n=this.getEmittingOptionValue(t);if(!0!==this.multiple)return!0===this.fillInput&&this.updateInputValue(this.getOptionLabel(t),!0,!0),void this.$emit("input",n);if(0===this.innerValue.length)return this.$emit("add",{index:0,value:n}),void this.$emit("input",!0===this.multiple?[n]:n);if(!(!0===e&&!0===this.isOptionSelected(t)||void 0!==this.maxValues&&this.value.length>=this.maxValues)){var i=this.value.slice();this.$emit("add",{index:i.length,value:n}),i.push(n),this.$emit("input",i)}},toggleOption:function(t,e){if(!0===this.editable&&void 0!==t&&!0!==this.isOptionDisabled(t)){var n=this.getOptionValue(t);if(!0!==this.multiple)return!0!==e&&(this.updateInputValue(!0===this.fillInput?this.getOptionLabel(t):"",!0,!0),this.hidePopup()),void 0!==this.$refs.target&&this.$refs.target.focus(),void(!0!==Sn(this.getOptionValue(this.innerValue[0]),n)&&this.$emit("input",!0===this.emitValue?n:t));if((!0!==this.hasDialog||!0===this.dialogFieldFocused)&&this.__focus(),this.__selectInputText(),0===this.innerValue.length){var i=!0===this.emitValue?n:t;return this.$emit("add",{index:0,value:i}),void this.$emit("input",!0===this.multiple?[i]:i)}var r=this.value.slice(),o=this.innerOptionsValue.findIndex((function(t){return Sn(t,n)}));if(o>-1)this.$emit("remove",{index:o,value:r.splice(o,1)[0]});else{if(void 0!==this.maxValues&&r.length>=this.maxValues)return;var a=!0===this.emitValue?n:t;this.$emit("add",{index:r.length,value:a}),r.push(a)}this.$emit("input",r)}},setOptionIndex:function(t){if(!0===this.$q.platform.is.desktop){var e=t>-1&&t<this.virtualScrollLength?t:-1;this.optionIndex!==e&&(this.optionIndex=e)}},moveOptionSelection:function(t,e){if(void 0===t&&(t=1),!0===this.menu){var n=this.optionIndex;do{n=dt(n+t,-1,this.virtualScrollLength-1)}while(-1!==n&&n!==this.optionIndex&&!0===this.isOptionDisabled(this.options[n]));this.optionIndex!==n&&(this.setOptionIndex(n),this.scrollTo(n),!0!==e&&!0===this.useInput&&!0===this.fillInput&&this.__setInputValue(n>=0?this.getOptionLabel(this.options[n]):this.defaultInputValue))}},__getOption:function(t,e){var n=this,i=function(e){return Sn(n.getOptionValue(e),t)};return this.options.find(i)||e.find(i)||t},__getPropValueFn:function(t,e){var n=void 0!==this[t]?this[t]:e;return"function"==typeof n?n:function(t){return Object(t)===t&&n in t?t[n]:t}},isOptionSelected:function(t){var e=this.getOptionValue(t);return void 0!==this.innerOptionsValue.find((function(t){return Sn(t,e)}))},__selectInputText:function(){!0===this.useInput&&void 0!==this.$refs.target&&this.$refs.target.select()},__onTargetKeyup:function(t){!0===X(t,27)&&!0===this.menu&&(y(t),this.hidePopup(),this.__resetInputValue()),this.$emit("keyup",t)},__onTargetAutocomplete:function(t){var e=this,n=t.target.value;if(t.target.value="",void 0===t.keyCode){if("string"==typeof n&&n.length>0){var i=n.toLocaleLowerCase(),r=function(t){return e.getOptionValue(t).toLocaleLowerCase()===i},o=this.options.find(r);null!==o?-1===this.innerValue.indexOf(o)&&this.toggleOption(o):(r=function(t){return e.getOptionLabel(t).toLocaleLowerCase()===i},null!==(o=this.options.find(r))&&-1===this.innerValue.indexOf(o)&&this.toggleOption(o))}}else this.__onTargetKeyup(t)},__onTargetKeypress:function(t){this.$emit("keypress",t)},__onTargetKeydown:function(t){var e=this;if(this.$emit("keydown",t),!0!==J(t)){var n=this.inputValue.length>0&&(void 0!==this.newValueMode||void 0!==this.qListeners["new-value"]),i=!0!==t.shiftKey&&!0!==this.multiple&&(this.optionIndex>-1||!0===n);if(27!==t.keyCode)if(9!==t.keyCode||!1!==i){if(void 0!==t.target&&t.target.id===this.targetUid){if(40===t.keyCode&&!0!==this.innerLoading&&!1===this.menu)return w(t),void this.showPopup();if(8===t.keyCode&&!0===this.multiple&&!0!==this.hideSelected&&0===this.inputValue.length&&Array.isArray(this.value))this.removeAtIndex(this.value.length-1);else{38!==t.keyCode&&40!==t.keyCode||(w(t),this.moveOptionSelection(38===t.keyCode?-1:1,this.multiple));var r=this.virtualScrollLength;if((void 0===this.searchBuffer||this.searchBufferExp<Date.now())&&(this.searchBuffer=""),r>0&&!0!==this.useInput&&1===t.key.length&&t.altKey===t.ctrlKey&&(32!==t.keyCode||this.searchBuffer.length>0)){!0!==this.menu&&this.showPopup(t);var o=t.key.toLocaleLowerCase(),a=1===this.searchBuffer.length&&this.searchBuffer[0]===o;this.searchBufferExp=Date.now()+1500,!1===a&&(w(t),this.searchBuffer+=o);var s=new RegExp("^"+this.searchBuffer.split("").map((function(t){return".*+?^${}()|[]\\".indexOf(t)>-1?"\\"+t:t})).join(".*"),"i"),l=this.optionIndex;if(!0===a||l<0||!0!==s.test(this.getOptionLabel(this.options[l])))do{l=dt(l+1,-1,r-1)}while(l!==this.optionIndex&&(!0===this.isOptionDisabled(this.options[l])||!0!==s.test(this.getOptionLabel(this.options[l]))));this.optionIndex!==l&&this.$nextTick((function(){e.setOptionIndex(l),e.scrollTo(l),l>=0&&!0===e.useInput&&!0===e.fillInput&&e.__setInputValue(e.getOptionLabel(e.options[l]))}))}else if(13===t.keyCode||32===t.keyCode&&!0!==this.useInput&&""===this.searchBuffer||9===t.keyCode&&!1!==i)if(9!==t.keyCode&&w(t),this.optionIndex>-1&&this.optionIndex<r)this.toggleOption(this.options[this.optionIndex]);else{if(!0===n){var u=function(t,n){if(n){if(!0!==Ra(n))return}else n=e.newValueMode;null!=t&&(e.updateInputValue("",!0!==e.multiple,!0),e["toggle"===n?"toggleOption":"add"](t,"add-unique"===n),!0!==e.multiple&&(void 0!==e.$refs.target&&e.$refs.target.focus(),e.hidePopup()))};if(void 0!==this.qListeners["new-value"]?this.$emit("new-value",this.inputValue,u):u(this.inputValue),!0!==this.multiple)return}!0===this.menu?this.__closeMenu():!0!==this.innerLoading&&this.showPopup()}}}}else this.__closeMenu();else b(t)}},__getVirtualScrollEl:function(){return!0===this.hasDialog?this.$refs.menuContent:void 0!==this.$refs.menu&&void 0!==this.$refs.menu.__portal?this.$refs.menu.__portal.$el:void 0},__getVirtualScrollTarget:function(){return this.__getVirtualScrollEl()},__getSelection:function(t,e){var n,i=this;return!0===this.hideSelected?!0===e||!0!==this.dialog||!0!==this.hasDialog?[]:[t("span",{domProps:{textContent:this.inputValue}})]:void 0!==this.$scopedSlots["selected-item"]?this.selectedScope.map((function(t){return i.$scopedSlots["selected-item"](t)})).slice():void 0!==this.$scopedSlots.selected?this.$scopedSlots.selected().slice():!0===this.useChips?this.selectedScope.map((function(e,n){var r;return t(Rn,{key:"option-"+n,props:{removable:!0===i.editable&&!0!==i.isOptionDisabled(e.opt),dense:!0,textColor:i.color,tabindex:i.computedTabindex},on:pt(i,"rem#"+n,{remove:function(){e.removeAtIndex(n)}})},[t("span",{staticClass:"ellipsis",domProps:(r={},r[!0===e.sanitize?"textContent":"innerHTML"]=i.getOptionLabel(e.opt),r)})])})):[t("span",{domProps:(n={},n[this.displayAsText?"textContent":"innerHTML"]=void 0!==this.displayValue?this.displayValue:this.selectedString,n)})]},__getControl:function(t,e){var n=this.__getSelection(t,e),i=!0===e||!0!==this.dialog||!0!==this.hasDialog;if(!0===i&&!0===this.useInput?n.push(this.__getInput(t,e)):!0===this.editable&&(!0===i&&n.push(t("div",{ref:"target",key:"d_t",staticClass:"no-outline",attrs:{id:this.targetUid,tabindex:this.tabindex},on:pt(this,"f-tget",{keydown:this.__onTargetKeydown,keyup:this.__onTargetKeyup,keypress:this.__onTargetKeypress})})),void 0!==this.qAttrs.autocomplete&&n.push(t("input",{staticClass:"q-select__autocomplete-input no-outline",attrs:{autocomplete:this.qAttrs.autocomplete},on:pt(this,"autoinp",{keyup:this.__onTargetAutocomplete})}))),void 0!==this.nameProp&&!0!==this.disable&&this.innerOptionsValue.length>0){var r=this.innerOptionsValue.map((function(e){return t("option",{attrs:{value:e,selected:!0}})}));n.push(t("select",{staticClass:"hidden",attrs:{name:this.nameProp,multiple:this.multiple}},r))}return t("div",{staticClass:"q-field__native row items-center",attrs:this.qAttrs},n)},__getOptions:function(t){var e=this;if(!0===this.menu){var n=void 0!==this.$scopedSlots.option?this.$scopedSlots.option:function(n){var i;return t(Zr,{key:n.index,props:n.itemProps,on:n.itemEvents},[t(Jr,[t(go,{domProps:(i={},i[!0===n.sanitize?"textContent":"innerHTML"]=e.getOptionLabel(n.opt),i)})])])},i=this.__padVirtualScroll(t,"div",this.optionScope.map(n));return void 0!==this.$scopedSlots["before-options"]&&(i=this.$scopedSlots["before-options"]().concat(i)),Lt(i,this,"after-options")}},__getInnerAppend:function(t){return!0!==this.loading&&!0!==this.innerLoading&&!0!==this.hideDropdownIcon?[t(Pt,{staticClass:"q-select__dropdown-icon",props:{name:this.dropdownArrowIcon}})]:null},__getInput:function(t,e){var n={ref:"target",key:"i_t",staticClass:"q-field__input q-placeholder col",style:this.inputStyle,class:this.computedInputClass,domProps:{value:void 0!==this.inputValue?this.inputValue:""},attrs:Object.assign({},{type:"search"},this.qAttrs,{id:this.targetUid,maxlength:this.maxlength,tabindex:this.tabindex,"data-autofocus":!0!==e&&this.autofocus,disabled:!0===this.disable,readonly:!0===this.readonly}),on:this.inputControlEvents};return!0!==e&&!0===this.hasDialog&&(n.staticClass+=" no-pointer-events",n.attrs.readonly=!0),t("input",n)},__onChange:function(t){this.__onComposition(t)},__onInput:function(t){var e=this;clearTimeout(this.inputTimer),t&&t.target&&!0===t.target.composing||(this.__setInputValue(t.target.value||""),this.userInputValue=!0,this.defaultInputValue=this.inputValue,!0===this.focused||!0===this.hasDialog&&!0!==this.dialogFieldFocused||this.__focus(),void 0!==this.qListeners.filter&&(this.inputTimer=setTimeout((function(){e.filter(e.inputValue)}),this.inputDebounce)))},__setInputValue:function(t){this.inputValue!==t&&(this.inputValue=t,this.$emit("input-value",t))},updateInputValue:function(t,e,n){this.userInputValue=!0!==n,!0===this.useInput&&(this.__setInputValue(t),!0!==e&&!0===n||(this.defaultInputValue=t),!0!==e&&this.filter(t))},filter:function(t){var e=this;if(void 0!==this.qListeners.filter&&!0===this.focused){!0===this.innerLoading?this.$emit("filter-abort"):this.innerLoading=!0,""!==t&&!0!==this.multiple&&this.innerValue.length>0&&!0!==this.userInputValue&&t===this.getOptionLabel(this.innerValue[0])&&(t="");var n=setTimeout((function(){!0===e.menu&&(e.menu=!1)}),10);clearTimeout(this.filterId),this.filterId=n,this.$emit("filter",t,(function(t,i){!0===e.focused&&e.filterId===n&&(clearTimeout(e.filterId),"function"==typeof t&&t(),e.$nextTick((function(){e.innerLoading=!1,!0===e.editable&&(!0===e.menu?e.__updateMenu(!0):e.menu=!0),"function"==typeof i&&e.$nextTick((function(){i(e)}))})))}),(function(){!0===e.focused&&e.filterId===n&&(clearTimeout(e.filterId),e.innerLoading=!1),!0===e.menu&&(e.menu=!1)}))}},__getControlEvents:function(){var t=this,e=function(e){t.__onControlFocusout(e,(function(){t.__resetInputValue(),t.__closeMenu()}))};return{focusin:this.__onControlFocusin,focusout:e,"popup-show":this.__onControlPopupShow,"popup-hide":function(n){void 0!==n&&y(n),t.$emit("popup-hide",n),t.hasPopupOpen=!1,e(n)},click:function(e){if(!0!==t.hasDialog){if(!0===t.useInput&&!0!==e.target.classList.contains("q-field__input")||!0!==t.useInput&&!0===e.target.classList.contains("no-outline"))return;if(!0===t.menu)return t.__closeMenu(),void(void 0!==t.$refs.target&&t.$refs.target.focus())}t.showPopup(e)}}},__getControlChild:function(t){if(!1!==this.editable&&(!0===this.dialog||!0!==this.noOptions||void 0!==this.$scopedSlots["no-option"]))return this["__get"+(!0===this.hasDialog?"Dialog":"Menu")](t)},__getMenu:function(t){var e=!0===this.noOptions?void 0!==this.$scopedSlots["no-option"]?this.$scopedSlots["no-option"]({inputValue:this.inputValue}):null:this.__getOptions(t);return t(an,{ref:"menu",props:{value:this.menu,fit:!0!==this.menuShrink,cover:!0===this.optionsCover&&!0!==this.noOptions&&!0!==this.useInput,anchor:this.menuAnchor,self:this.menuSelf,offset:this.menuOffset,contentClass:this.menuContentClass,contentStyle:this.popupContentStyle,dark:this.isOptionsDark,noParentEvent:!0,noRefocus:!0,noFocus:!0,square:this.squaredMenu,transitionShow:this.transitionShow,transitionHide:this.transitionHide,separateClosePopup:!0},on:pt(this,"menu",{"&scroll":this.__onVirtualScrollEvt,"before-hide":this.__closeMenu})},e)},__onDialogFieldFocus:function(t){y(t),void 0!==this.$refs.target&&this.$refs.target.focus(),this.dialogFieldFocused=!0,window.scrollTo(window.pageXOffset||window.scrollX||document.body.scrollLeft||0,0)},__onDialogFieldBlur:function(t){var e=this;y(t),this.$nextTick((function(){e.dialogFieldFocused=!1}))},__getDialog:function(t){var e=this,n=[t(Dr,{staticClass:"col-auto "+this.fieldClass,props:Object.assign({},this.$props,{for:this.targetUid,dark:this.isOptionsDark,square:!0,loading:this.innerLoading,filled:!0,stackLabel:this.inputValue.length>0}),on:Object.assign({},this.qListeners,{focus:this.__onDialogFieldFocus,blur:this.__onDialogFieldBlur}),scopedSlots:Object.assign({},this.$scopedSlots,{rawControl:function(){return e.__getControl(t,!0)},before:void 0,after:void 0})})];return!0===this.menu&&n.push(t("div",{ref:"menuContent",staticClass:"scroll",class:this.menuContentClass,style:this.popupContentStyle,on:pt(this,"virtMenu",{click:b,"&scroll":this.__onVirtualScrollEvt})},!0===this.noOptions?void 0!==this.$scopedSlots["no-option"]?this.$scopedSlots["no-option"]({inputValue:this.inputValue}):null:this.__getOptions(t))),t(wr,{ref:"dialog",props:{value:this.dialog,dark:this.isOptionsDark,position:!0===this.useInput?"top":void 0,transitionShow:this.transitionShowComputed,transitionHide:this.transitionHide},on:pt(this,"dialog",{"before-hide":this.__onDialogBeforeHide,hide:this.__onDialogHide,show:this.__onDialogShow})},[t("div",{staticClass:"q-select__dialog"+(!0===this.isOptionsDark?" q-select__dialog--dark q-dark":"")+(!0===this.dialogFieldFocused?" q-select__dialog--focused":"")},n)])},__onDialogBeforeHide:function(){this.$refs.dialog.__refocusTarget=this.$el.querySelector(".q-field__native > [tabindex]:last-child"),this.focused=!1},__onDialogHide:function(t){this.hidePopup(),!1===this.focused&&this.$emit("blur",t),this.__resetInputValue()},__onDialogShow:function(){var t=document.activeElement;null!==t&&t.id===this.targetUid||this.$refs.target===t||void 0===this.$refs.target||this.$refs.target.focus()},__closeMenu:function(){!0!==this.dialog&&(this.optionIndex=-1,!0===this.menu&&(this.menu=!1),!1===this.focused&&(clearTimeout(this.filterId),this.filterId=void 0,!0===this.innerLoading&&(this.$emit("filter-abort"),this.innerLoading=!1)))},showPopup:function(t){var e=this;!0===this.editable&&(!0===this.hasDialog?(this.__onControlFocusin(t),this.dialog=!0,this.$nextTick((function(){e.__focus()}))):this.__focus(),void 0!==this.qListeners.filter?this.filter(this.inputValue):!0===this.noOptions&&void 0===this.$scopedSlots["no-option"]||(this.menu=!0))},hidePopup:function(){this.dialog=!1,this.__closeMenu()},__resetInputValue:function(){!0===this.useInput&&this.updateInputValue(!0!==this.multiple&&!0===this.fillInput&&this.innerValue.length>0&&this.getOptionLabel(this.innerValue[0])||"",!0,!0)},__updateMenu:function(t){var e=this,n=-1;if(!0===t){if(this.innerValue.length>0){var i=this.getOptionValue(this.innerValue[0]);n=this.options.findIndex((function(t){return Sn(e.getOptionValue(t),i)}))}this.__resetVirtualScroll(n)}this.setOptionIndex(n)},__onPreRender:function(){this.hasDialog=(!0===this.$q.platform.is.mobile||"dialog"===this.behavior)&&("menu"!==this.behavior&&(!0!==this.useInput||(void 0!==this.$scopedSlots["no-option"]||void 0!==this.qListeners.filter||!1===this.noOptions))),this.transitionShowComputed=!0===this.hasDialog&&!0===this.useInput&&!0===this.$q.platform.is.ios?"fade":this.transitionShow},__onPostRender:function(){!1===this.dialog&&void 0!==this.$refs.menu&&this.$refs.menu.updatePosition()},updateMenuPosition:function(){this.__onPostRender()}},beforeDestroy:function(){clearTimeout(this.inputTimer)}}),Ia=["text","rect","circle","QBtn","QBadge","QChip","QToolbar","QCheckbox","QRadio","QToggle","QSlider","QRange","QInput","QAvatar"],ja=["wave","pulse","pulse-x","pulse-y","fade","blink","none"],$a=t.extend({name:"QSkeleton",mixins:[It,Ot,At],props:{type:{type:String,validator:function(t){return Ia.includes(t)},default:"rect"},animation:{type:String,validator:function(t){return ja.includes(t)},default:"wave"},square:Boolean,bordered:Boolean,size:String,width:String,height:String},computed:{style:function(){return void 0!==this.size?{width:this.size,height:this.size}:{width:this.width,height:this.height}},classes:function(){return"q-skeleton--"+(!0===this.isDark?"dark":"light")+" q-skeleton--type-"+this.type+("none"!==this.animation?" q-skeleton--anim q-skeleton--anim-"+this.animation:"")+(!0===this.square?" q-skeleton--square":"")+(!0===this.bordered?" q-skeleton--bordered":"")}},render:function(t){return t(this.tag,{staticClass:"q-skeleton",class:this.classes,style:this.style,on:Object.assign({},this.qListeners)},Et(this,"default"))}}),Fa=[["left","center","start","width"],["right","center","end","width"],["top","start","center","height"],["bottom","end","center","height"]],Ba=t.extend({name:"QSlideItem",mixins:[It,At],props:{leftColor:String,rightColor:String,topColor:String,bottomColor:String},directives:{TouchPan:Gn},computed:{langDir:function(){return!0===this.$q.lang.rtl?{left:"right",right:"left"}:{left:"left",right:"right"}}},methods:{reset:function(){this.$refs.content.style.transform="translate(0,0)"},__pan:function(t){var e,n,i,r=this,o=this.$refs.content;if(t.isFirst)this.__dir=null,this.__size={left:0,right:0,top:0,bottom:0},this.__scale=0,o.classList.add("no-transition"),Fa.forEach((function(t){if(void 0!==r.$scopedSlots[t[0]]){var e=r.$refs[t[0]+"Content"];e.style.transform="scale(1)",r.__size[t[0]]=e.getBoundingClientRect()[t[3]]}})),this.__axis="up"===t.direction||"down"===t.direction?"Y":"X";else{if(t.isFinal)return o.classList.remove("no-transition"),void(1===this.__scale?(o.style.transform="translate"+this.__axis+"("+100*this.__dir+"%)",this.timer=setTimeout((function(){r.$emit(r.__showing,{reset:r.reset}),r.$emit("action",{side:r.__showing,reset:r.reset})}),230)):o.style.transform="translate(0,0)");t.direction="X"===this.__axis?t.offset.x<0?"left":"right":t.offset.y<0?"up":"down"}void 0===this.$scopedSlots.left&&t.direction===this.langDir.right||void 0===this.$scopedSlots.right&&t.direction===this.langDir.left||void 0===this.$scopedSlots.top&&"down"===t.direction||void 0===this.$scopedSlots.bottom&&"up"===t.direction?o.style.transform="translate(0,0)":("X"===this.__axis?(n="left"===t.direction?-1:1,e=1===n?this.langDir.left:this.langDir.right,i=t.distance.x):(n="up"===t.direction?-2:2,e=2===n?"top":"bottom",i=t.distance.y),null!==this.__dir&&Math.abs(n)!==Math.abs(this.__dir)||(this.__dir!==n&&(["left","right","top","bottom"].forEach((function(t){void 0!==r.$refs[t]&&(r.$refs[t].style.visibility=e===t?"visible":"hidden")})),this.__showing=e,this.__dir=n),this.__scale=Math.max(0,Math.min(1,(i-40)/this.__size[e])),o.style.transform="translate"+this.__axis+"("+i*n/Math.abs(n)+"px)",this.$refs[e+"Content"].style.transform="scale("+this.__scale+")"))}},render:function(t){var e=this,n=[],i={left:void 0!==this.$scopedSlots[this.langDir.right],right:void 0!==this.$scopedSlots[this.langDir.left],up:void 0!==this.$scopedSlots.bottom,down:void 0!==this.$scopedSlots.top},r=Object.keys(i).filter((function(t){return!0===i[t]}));return Fa.forEach((function(i){var r=i[0];void 0!==e.$scopedSlots[r]&&n.push(t("div",{ref:r,class:"q-slide-item__"+r+" absolute-full row no-wrap items-"+i[1]+" justify-"+i[2]+(void 0!==e[r+"Color"]?" bg-"+e[r+"Color"]:"")},[t("div",{ref:r+"Content"},e.$scopedSlots[r]())]))})),n.push(t("div",{ref:"content",key:"content",staticClass:"q-slide-item__content",directives:r.length>0?mt(this,"dir#"+r.join(""),(function(){var t={prevent:!0,stop:!0,mouse:!0};return r.forEach((function(e){t[e]=!0})),[{name:"touch-pan",value:e.__pan,modifiers:t}]})):null},Et(this,"default"))),t("div",{staticClass:"q-slide-item q-item-type overflow-hidden",class:!0===this.isDark?"q-slide-item--dark q-dark":"",on:Object.assign({},this.qListeners)},n)},beforeDestroy:function(){clearTimeout(this.timer)}}),za=t.extend({name:"QSpace",mixins:[At],render:function(t){return t("div",{staticClass:"q-space",on:Object.assign({},this.qListeners)})}}),Va=t.extend({name:"QSpinnerAudio",mixins:[Qt],render:function(t){return t("svg",{staticClass:"q-spinner",class:this.classes,on:Object.assign({},this.qListeners),attrs:{focusable:"false",fill:"currentColor",width:this.cSize,height:this.cSize,viewBox:"0 0 55 80",xmlns:"http://www.w3.org/2000/svg"}},[t("g",{attrs:{transform:"matrix(1 0 0 -1 0 80)"}},[t("rect",{attrs:{width:"10",height:"20",rx:"3"}},[t("animate",{attrs:{attributeName:"height",begin:"0s",dur:"4.3s",values:"20;45;57;80;64;32;66;45;64;23;66;13;64;56;34;34;2;23;76;79;20",calcMode:"linear",repeatCount:"indefinite"}})]),t("rect",{attrs:{x:"15",width:"10",height:"80",rx:"3"}},[t("animate",{attrs:{attributeName:"height",begin:"0s",dur:"2s",values:"80;55;33;5;75;23;73;33;12;14;60;80",calcMode:"linear",repeatCount:"indefinite"}})]),t("rect",{attrs:{x:"30",width:"10",height:"50",rx:"3"}},[t("animate",{attrs:{attributeName:"height",begin:"0s",dur:"1.4s",values:"50;34;78;23;56;23;34;76;80;54;21;50",calcMode:"linear",repeatCount:"indefinite"}})]),t("rect",{attrs:{x:"45",width:"10",height:"30",rx:"3"}},[t("animate",{attrs:{attributeName:"height",begin:"0s",dur:"2s",values:"30;45;13;80;56;72;45;76;34;23;67;30",calcMode:"linear",repeatCount:"indefinite"}})])])])}}),Ha=t.extend({name:"QSpinnerBall",mixins:[Qt],render:function(t){return t("svg",{staticClass:"q-spinner",class:this.classes,on:Object.assign({},this.qListeners),attrs:{focusable:"false",stroke:"currentColor",width:this.cSize,height:this.cSize,viewBox:"0 0 57 57",xmlns:"http://www.w3.org/2000/svg"}},[t("g",{attrs:{transform:"translate(1 1)","stroke-width":"2",fill:"none","fill-rule":"evenodd"}},[t("circle",{attrs:{cx:"5",cy:"50",r:"5"}},[t("animate",{attrs:{attributeName:"cy",begin:"0s",dur:"2.2s",values:"50;5;50;50",calcMode:"linear",repeatCount:"indefinite"}}),t("animate",{attrs:{attributeName:"cx",begin:"0s",dur:"2.2s",values:"5;27;49;5",calcMode:"linear",repeatCount:"indefinite"}})]),t("circle",{attrs:{cx:"27",cy:"5",r:"5"}},[t("animate",{attrs:{attributeName:"cy",begin:"0s",dur:"2.2s",from:"5",to:"5",values:"5;50;50;5",calcMode:"linear",repeatCount:"indefinite"}}),t("animate",{attrs:{attributeName:"cx",begin:"0s",dur:"2.2s",from:"27",to:"27",values:"27;49;5;27",calcMode:"linear",repeatCount:"indefinite"}})]),t("circle",{attrs:{cx:"49",cy:"50",r:"5"}},[t("animate",{attrs:{attributeName:"cy",begin:"0s",dur:"2.2s",values:"50;50;5;50",calcMode:"linear",repeatCount:"indefinite"}}),t("animate",{attrs:{attributeName:"cx",from:"49",to:"49",begin:"0s",dur:"2.2s",values:"49;5;27;49",calcMode:"linear",repeatCount:"indefinite"}})])])])}}),Ua=t.extend({name:"QSpinnerBars",mixins:[Qt],render:function(t){return t("svg",{staticClass:"q-spinner",class:this.classes,on:Object.assign({},this.qListeners),attrs:{focusable:"false",fill:"currentColor",width:this.cSize,height:this.cSize,viewBox:"0 0 135 140",xmlns:"http://www.w3.org/2000/svg"}},[t("rect",{attrs:{y:"10",width:"15",height:"120",rx:"6"}},[t("animate",{attrs:{attributeName:"height",begin:"0.5s",dur:"1s",values:"120;110;100;90;80;70;60;50;40;140;120",calcMode:"linear",repeatCount:"indefinite"}}),t("animate",{attrs:{attributeName:"y",begin:"0.5s",dur:"1s",values:"10;15;20;25;30;35;40;45;50;0;10",calcMode:"linear",repeatCount:"indefinite"}})]),t("rect",{attrs:{x:"30",y:"10",width:"15",height:"120",rx:"6"}},[t("animate",{attrs:{attributeName:"height",begin:"0.25s",dur:"1s",values:"120;110;100;90;80;70;60;50;40;140;120",calcMode:"linear",repeatCount:"indefinite"}}),t("animate",{attrs:{attributeName:"y",begin:"0.25s",dur:"1s",values:"10;15;20;25;30;35;40;45;50;0;10",calcMode:"linear",repeatCount:"indefinite"}})]),t("rect",{attrs:{x:"60",width:"15",height:"140",rx:"6"}},[t("animate",{attrs:{attributeName:"height",begin:"0s",dur:"1s",values:"120;110;100;90;80;70;60;50;40;140;120",calcMode:"linear",repeatCount:"indefinite"}}),t("animate",{attrs:{attributeName:"y",begin:"0s",dur:"1s",values:"10;15;20;25;30;35;40;45;50;0;10",calcMode:"linear",repeatCount:"indefinite"}})]),t("rect",{attrs:{x:"90",y:"10",width:"15",height:"120",rx:"6"}},[t("animate",{attrs:{attributeName:"height",begin:"0.25s",dur:"1s",values:"120;110;100;90;80;70;60;50;40;140;120",calcMode:"linear",repeatCount:"indefinite"}}),t("animate",{attrs:{attributeName:"y",begin:"0.25s",dur:"1s",values:"10;15;20;25;30;35;40;45;50;0;10",calcMode:"linear",repeatCount:"indefinite"}})]),t("rect",{attrs:{x:"120",y:"10",width:"15",height:"120",rx:"6"}},[t("animate",{attrs:{attributeName:"height",begin:"0.5s",dur:"1s",values:"120;110;100;90;80;70;60;50;40;140;120",calcMode:"linear",repeatCount:"indefinite"}}),t("animate",{attrs:{attributeName:"y",begin:"0.5s",dur:"1s",values:"10;15;20;25;30;35;40;45;50;0;10",calcMode:"linear",repeatCount:"indefinite"}})])])}}),Wa=t.extend({name:"QSpinnerComment",mixins:[Qt],render:function(t){return t("svg",{staticClass:"q-spinner",class:this.classes,on:Object.assign({},this.qListeners),attrs:{focusable:"false",width:this.cSize,height:this.cSize,xmlns:"http://www.w3.org/2000/svg",viewBox:"0 0 100 100",preserveAspectRatio:"xMidYMid"}},[t("rect",{attrs:{x:"0",y:"0",width:"100",height:"100",fill:"none"}}),t("path",{attrs:{d:"M78,19H22c-6.6,0-12,5.4-12,12v31c0,6.6,5.4,12,12,12h37.2c0.4,3,1.8,5.6,3.7,7.6c2.4,2.5,5.1,4.1,9.1,4 c-1.4-2.1-2-7.2-2-10.3c0-0.4,0-0.8,0-1.3h8c6.6,0,12-5.4,12-12V31C90,24.4,84.6,19,78,19z",fill:"currentColor"}}),t("circle",{attrs:{cx:"30",cy:"47",r:"5",fill:"#fff"}},[t("animate",{attrs:{attributeName:"opacity",from:"0",to:"1",values:"0;1;1",keyTimes:"0;0.2;1",dur:"1s",repeatCount:"indefinite"}})]),t("circle",{attrs:{cx:"50",cy:"47",r:"5",fill:"#fff"}},[t("animate",{attrs:{attributeName:"opacity",from:"0",to:"1",values:"0;0;1;1",keyTimes:"0;0.2;0.4;1",dur:"1s",repeatCount:"indefinite"}})]),t("circle",{attrs:{cx:"70",cy:"47",r:"5",fill:"#fff"}},[t("animate",{attrs:{attributeName:"opacity",from:"0",to:"1",values:"0;0;1;1",keyTimes:"0;0.4;0.6;1",dur:"1s",repeatCount:"indefinite"}})])])}}),Ya=t.extend({name:"QSpinnerCube",mixins:[Qt],render:function(t){return t("svg",{staticClass:"q-spinner",class:this.classes,on:Object.assign({},this.qListeners),attrs:{focusable:"false",width:this.cSize,height:this.cSize,xmlns:"http://www.w3.org/2000/svg",viewBox:"0 0 100 100",preserveAspectRatio:"xMidYMid"}},[t("rect",{attrs:{x:"0",y:"0",width:"100",height:"100",fill:"none"}}),t("g",{attrs:{transform:"translate(25 25)"}},[t("rect",{attrs:{x:"-20",y:"-20",width:"40",height:"40",fill:"currentColor",opacity:"0.9"}},[t("animateTransform",{attrs:{attributeName:"transform",type:"scale",from:"1.5",to:"1",repeatCount:"indefinite",begin:"0s",dur:"1s",calcMode:"spline",keySplines:"0.2 0.8 0.2 0.8",keyTimes:"0;1"}})])]),t("g",{attrs:{transform:"translate(75 25)"}},[t("rect",{attrs:{x:"-20",y:"-20",width:"40",height:"40",fill:"currentColor",opacity:"0.8"}},[t("animateTransform",{attrs:{attributeName:"transform",type:"scale",from:"1.5",to:"1",repeatCount:"indefinite",begin:"0.1s",dur:"1s",calcMode:"spline",keySplines:"0.2 0.8 0.2 0.8",keyTimes:"0;1"}})])]),t("g",{attrs:{transform:"translate(25 75)"}},[t("rect",{staticClass:"cube",attrs:{x:"-20",y:"-20",width:"40",height:"40",fill:"currentColor",opacity:"0.7"}},[t("animateTransform",{attrs:{attributeName:"transform",type:"scale",from:"1.5",to:"1",repeatCount:"indefinite",begin:"0.3s",dur:"1s",calcMode:"spline",keySplines:"0.2 0.8 0.2 0.8",keyTimes:"0;1"}})])]),t("g",{attrs:{transform:"translate(75 75)"}},[t("rect",{staticClass:"cube",attrs:{x:"-20",y:"-20",width:"40",height:"40",fill:"currentColor",opacity:"0.6"}},[t("animateTransform",{attrs:{attributeName:"transform",type:"scale",from:"1.5",to:"1",repeatCount:"indefinite",begin:"0.2s",dur:"1s",calcMode:"spline",keySplines:"0.2 0.8 0.2 0.8",keyTimes:"0;1"}})])])])}}),Qa=t.extend({name:"QSpinnerDots",mixins:[Qt],render:function(t){return t("svg",{staticClass:"q-spinner",class:this.classes,on:Object.assign({},this.qListeners),attrs:{focusable:"false",fill:"currentColor",width:this.cSize,height:this.cSize,viewBox:"0 0 120 30",xmlns:"http://www.w3.org/2000/svg"}},[t("circle",{attrs:{cx:"15",cy:"15",r:"15"}},[t("animate",{attrs:{attributeName:"r",from:"15",to:"15",begin:"0s",dur:"0.8s",values:"15;9;15",calcMode:"linear",repeatCount:"indefinite"}}),t("animate",{attrs:{attributeName:"fill-opacity",from:"1",to:"1",begin:"0s",dur:"0.8s",values:"1;.5;1",calcMode:"linear",repeatCount:"indefinite"}})]),t("circle",{attrs:{cx:"60",cy:"15",r:"9","fill-opacity":".3"}},[t("animate",{attrs:{attributeName:"r",from:"9",to:"9",begin:"0s",dur:"0.8s",values:"9;15;9",calcMode:"linear",repeatCount:"indefinite"}}),t("animate",{attrs:{attributeName:"fill-opacity",from:".5",to:".5",begin:"0s",dur:"0.8s",values:".5;1;.5",calcMode:"linear",repeatCount:"indefinite"}})]),t("circle",{attrs:{cx:"105",cy:"15",r:"15"}},[t("animate",{attrs:{attributeName:"r",from:"15",to:"15",begin:"0s",dur:"0.8s",values:"15;9;15",calcMode:"linear",repeatCount:"indefinite"}}),t("animate",{attrs:{attributeName:"fill-opacity",from:"1",to:"1",begin:"0s",dur:"0.8s",values:"1;.5;1",calcMode:"linear",repeatCount:"indefinite"}})])])}}),Ga=t.extend({name:"QSpinnerFacebook",mixins:[Qt],render:function(t){return t("svg",{staticClass:"q-spinner",class:this.classes,on:Object.assign({},this.qListeners),attrs:{focusable:"false",width:this.cSize,height:this.cSize,viewBox:"0 0 100 100",xmlns:"http://www.w3.org/2000/svg",preserveAspectRatio:"xMidYMid"}},[t("g",{attrs:{transform:"translate(20 50)"}},[t("rect",{attrs:{x:"-10",y:"-30",width:"20",height:"60",fill:"currentColor",opacity:"0.6"}},[t("animateTransform",{attrs:{attributeName:"transform",type:"scale",from:"2",to:"1",begin:"0s",repeatCount:"indefinite",dur:"1s",calcMode:"spline",keySplines:"0.1 0.9 0.4 1",keyTimes:"0;1",values:"2;1"}})])]),t("g",{attrs:{transform:"translate(50 50)"}},[t("rect",{attrs:{x:"-10",y:"-30",width:"20",height:"60",fill:"currentColor",opacity:"0.8"}},[t("animateTransform",{attrs:{attributeName:"transform",type:"scale",from:"2",to:"1",begin:"0.1s",repeatCount:"indefinite",dur:"1s",calcMode:"spline",keySplines:"0.1 0.9 0.4 1",keyTimes:"0;1",values:"2;1"}})])]),t("g",{attrs:{transform:"translate(80 50)"}},[t("rect",{attrs:{x:"-10",y:"-30",width:"20",height:"60",fill:"currentColor",opacity:"0.9"}},[t("animateTransform",{attrs:{attributeName:"transform",type:"scale",from:"2",to:"1",begin:"0.2s",repeatCount:"indefinite",dur:"1s",calcMode:"spline",keySplines:"0.1 0.9 0.4 1",keyTimes:"0;1",values:"2;1"}})])])])}}),Ka=t.extend({name:"QSpinnerGears",mixins:[Qt],render:function(t){return t("svg",{staticClass:"q-spinner",class:this.classes,on:Object.assign({},this.qListeners),attrs:{focusable:"false",width:this.cSize,height:this.cSize,viewBox:"0 0 100 100",preserveAspectRatio:"xMidYMid",xmlns:"http://www.w3.org/2000/svg"}},[t("g",{attrs:{transform:"translate(-20,-20)"}},[t("path",{attrs:{d:"M79.9,52.6C80,51.8,80,50.9,80,50s0-1.8-0.1-2.6l-5.1-0.4c-0.3-2.4-0.9-4.6-1.8-6.7l4.2-2.9c-0.7-1.6-1.6-3.1-2.6-4.5 L70,35c-1.4-1.9-3.1-3.5-4.9-4.9l2.2-4.6c-1.4-1-2.9-1.9-4.5-2.6L59.8,27c-2.1-0.9-4.4-1.5-6.7-1.8l-0.4-5.1C51.8,20,50.9,20,50,20 s-1.8,0-2.6,0.1l-0.4,5.1c-2.4,0.3-4.6,0.9-6.7,1.8l-2.9-4.1c-1.6,0.7-3.1,1.6-4.5,2.6l2.1,4.6c-1.9,1.4-3.5,3.1-5,4.9l-4.5-2.1 c-1,1.4-1.9,2.9-2.6,4.5l4.1,2.9c-0.9,2.1-1.5,4.4-1.8,6.8l-5,0.4C20,48.2,20,49.1,20,50s0,1.8,0.1,2.6l5,0.4 c0.3,2.4,0.9,4.7,1.8,6.8l-4.1,2.9c0.7,1.6,1.6,3.1,2.6,4.5l4.5-2.1c1.4,1.9,3.1,3.5,5,4.9l-2.1,4.6c1.4,1,2.9,1.9,4.5,2.6l2.9-4.1 c2.1,0.9,4.4,1.5,6.7,1.8l0.4,5.1C48.2,80,49.1,80,50,80s1.8,0,2.6-0.1l0.4-5.1c2.3-0.3,4.6-0.9,6.7-1.8l2.9,4.2 c1.6-0.7,3.1-1.6,4.5-2.6L65,69.9c1.9-1.4,3.5-3,4.9-4.9l4.6,2.2c1-1.4,1.9-2.9,2.6-4.5L73,59.8c0.9-2.1,1.5-4.4,1.8-6.7L79.9,52.6 z M50,65c-8.3,0-15-6.7-15-15c0-8.3,6.7-15,15-15s15,6.7,15,15C65,58.3,58.3,65,50,65z",fill:"currentColor"}},[t("animateTransform",{attrs:{attributeName:"transform",type:"rotate",from:"90 50 50",to:"0 50 50",dur:"1s",repeatCount:"indefinite"}})])]),t("g",{attrs:{transform:"translate(20,20) rotate(15 50 50)"}},[t("path",{attrs:{d:"M79.9,52.6C80,51.8,80,50.9,80,50s0-1.8-0.1-2.6l-5.1-0.4c-0.3-2.4-0.9-4.6-1.8-6.7l4.2-2.9c-0.7-1.6-1.6-3.1-2.6-4.5 L70,35c-1.4-1.9-3.1-3.5-4.9-4.9l2.2-4.6c-1.4-1-2.9-1.9-4.5-2.6L59.8,27c-2.1-0.9-4.4-1.5-6.7-1.8l-0.4-5.1C51.8,20,50.9,20,50,20 s-1.8,0-2.6,0.1l-0.4,5.1c-2.4,0.3-4.6,0.9-6.7,1.8l-2.9-4.1c-1.6,0.7-3.1,1.6-4.5,2.6l2.1,4.6c-1.9,1.4-3.5,3.1-5,4.9l-4.5-2.1 c-1,1.4-1.9,2.9-2.6,4.5l4.1,2.9c-0.9,2.1-1.5,4.4-1.8,6.8l-5,0.4C20,48.2,20,49.1,20,50s0,1.8,0.1,2.6l5,0.4 c0.3,2.4,0.9,4.7,1.8,6.8l-4.1,2.9c0.7,1.6,1.6,3.1,2.6,4.5l4.5-2.1c1.4,1.9,3.1,3.5,5,4.9l-2.1,4.6c1.4,1,2.9,1.9,4.5,2.6l2.9-4.1 c2.1,0.9,4.4,1.5,6.7,1.8l0.4,5.1C48.2,80,49.1,80,50,80s1.8,0,2.6-0.1l0.4-5.1c2.3-0.3,4.6-0.9,6.7-1.8l2.9,4.2 c1.6-0.7,3.1-1.6,4.5-2.6L65,69.9c1.9-1.4,3.5-3,4.9-4.9l4.6,2.2c1-1.4,1.9-2.9,2.6-4.5L73,59.8c0.9-2.1,1.5-4.4,1.8-6.7L79.9,52.6 z M50,65c-8.3,0-15-6.7-15-15c0-8.3,6.7-15,15-15s15,6.7,15,15C65,58.3,58.3,65,50,65z",fill:"currentColor"}},[t("animateTransform",{attrs:{attributeName:"transform",type:"rotate",from:"0 50 50",to:"90 50 50",dur:"1s",repeatCount:"indefinite"}})])])])}}),Za=t.extend({name:"QSpinnerGrid",mixins:[Qt],render:function(t){return t("svg",{staticClass:"q-spinner",class:this.classes,on:Object.assign({},this.qListeners),attrs:{focusable:"false",fill:"currentColor",width:this.cSize,height:this.cSize,viewBox:"0 0 105 105",xmlns:"http://www.w3.org/2000/svg"}},[t("circle",{attrs:{cx:"12.5",cy:"12.5",r:"12.5"}},[t("animate",{attrs:{attributeName:"fill-opacity",begin:"0s",dur:"1s",values:"1;.2;1",calcMode:"linear",repeatCount:"indefinite"}})]),t("circle",{attrs:{cx:"12.5",cy:"52.5",r:"12.5","fill-opacity":".5"}},[t("animate",{attrs:{attributeName:"fill-opacity",begin:"100ms",dur:"1s",values:"1;.2;1",calcMode:"linear",repeatCount:"indefinite"}})]),t("circle",{attrs:{cx:"52.5",cy:"12.5",r:"12.5"}},[t("animate",{attrs:{attributeName:"fill-opacity",begin:"300ms",dur:"1s",values:"1;.2;1",calcMode:"linear",repeatCount:"indefinite"}})]),t("circle",{attrs:{cx:"52.5",cy:"52.5",r:"12.5"}},[t("animate",{attrs:{attributeName:"fill-opacity",begin:"600ms",dur:"1s",values:"1;.2;1",calcMode:"linear",repeatCount:"indefinite"}})]),t("circle",{attrs:{cx:"92.5",cy:"12.5",r:"12.5"}},[t("animate",{attrs:{attributeName:"fill-opacity",begin:"800ms",dur:"1s",values:"1;.2;1",calcMode:"linear",repeatCount:"indefinite"}})]),t("circle",{attrs:{cx:"92.5",cy:"52.5",r:"12.5"}},[t("animate",{attrs:{attributeName:"fill-opacity",begin:"400ms",dur:"1s",values:"1;.2;1",calcMode:"linear",repeatCount:"indefinite"}})]),t("circle",{attrs:{cx:"12.5",cy:"92.5",r:"12.5"}},[t("animate",{attrs:{attributeName:"fill-opacity",begin:"700ms",dur:"1s",values:"1;.2;1",calcMode:"linear",repeatCount:"indefinite"}})]),t("circle",{attrs:{cx:"52.5",cy:"92.5",r:"12.5"}},[t("animate",{attrs:{attributeName:"fill-opacity",begin:"500ms",dur:"1s",values:"1;.2;1",calcMode:"linear",repeatCount:"indefinite"}})]),t("circle",{attrs:{cx:"92.5",cy:"92.5",r:"12.5"}},[t("animate",{attrs:{attributeName:"fill-opacity",begin:"200ms",dur:"1s",values:"1;.2;1",calcMode:"linear",repeatCount:"indefinite"}})])])}}),Ja=t.extend({name:"QSpinnerHearts",mixins:[Qt],render:function(t){return t("svg",{staticClass:"q-spinner",class:this.classes,on:Object.assign({},this.qListeners),attrs:{focusable:"false",fill:"currentColor",width:this.cSize,height:this.cSize,viewBox:"0 0 140 64",xmlns:"http://www.w3.org/2000/svg"}},[t("path",{attrs:{d:"M30.262 57.02L7.195 40.723c-5.84-3.976-7.56-12.06-3.842-18.063 3.715-6 11.467-7.65 17.306-3.68l4.52 3.76 2.6-5.274c3.716-6.002 11.47-7.65 17.304-3.68 5.84 3.97 7.56 12.054 3.842 18.062L34.49 56.118c-.897 1.512-2.793 1.915-4.228.9z","fill-opacity":".5"}},[t("animate",{attrs:{attributeName:"fill-opacity",begin:"0s",dur:"1.4s",values:"0.5;1;0.5",calcMode:"linear",repeatCount:"indefinite"}})]),t("path",{attrs:{d:"M105.512 56.12l-14.44-24.272c-3.716-6.008-1.996-14.093 3.843-18.062 5.835-3.97 13.588-2.322 17.306 3.68l2.6 5.274 4.52-3.76c5.84-3.97 13.593-2.32 17.308 3.68 3.718 6.003 1.998 14.088-3.842 18.064L109.74 57.02c-1.434 1.014-3.33.61-4.228-.9z","fill-opacity":".5"}},[t("animate",{attrs:{attributeName:"fill-opacity",begin:"0.7s",dur:"1.4s",values:"0.5;1;0.5",calcMode:"linear",repeatCount:"indefinite"}})]),t("path",{attrs:{d:"M67.408 57.834l-23.01-24.98c-5.864-6.15-5.864-16.108 0-22.248 5.86-6.14 15.37-6.14 21.234 0L70 16.168l4.368-5.562c5.863-6.14 15.375-6.14 21.235 0 5.863 6.14 5.863 16.098 0 22.247l-23.007 24.98c-1.43 1.556-3.757 1.556-5.188 0z"}})])}}),Xa=t.extend({name:"QSpinnerHourglass",mixins:[Qt],render:function(t){return t("svg",{staticClass:"q-spinner",class:this.classes,on:Object.assign({},this.qListeners),attrs:{focusable:"false",width:this.cSize,height:this.cSize,viewBox:"0 0 100 100",preserveAspectRatio:"xMidYMid",xmlns:"http://www.w3.org/2000/svg"}},[t("g",[t("path",{staticClass:"glass",attrs:{fill:"none",stroke:"currentColor","stroke-width":"5","stroke-miterlimit":"10",d:"M58.4,51.7c-0.9-0.9-1.4-2-1.4-2.3s0.5-0.4,1.4-1.4 C70.8,43.8,79.8,30.5,80,15.5H70H30H20c0.2,15,9.2,28.1,21.6,32.3c0.9,0.9,1.4,1.2,1.4,1.5s-0.5,1.6-1.4,2.5 C29.2,56.1,20.2,69.5,20,85.5h10h40h10C79.8,69.5,70.8,55.9,58.4,51.7z"}}),t("clipPath",{attrs:{id:"uil-hourglass-clip1"}},[t("rect",{staticClass:"clip",attrs:{x:"15",y:"20",width:"70",height:"25"}},[t("animate",{attrs:{attributeName:"height",from:"25",to:"0",dur:"1s",repeatCount:"indefinite",values:"25;0;0",keyTimes:"0;0.5;1"}}),t("animate",{attrs:{attributeName:"y",from:"20",to:"45",dur:"1s",repeatCount:"indefinite",values:"20;45;45",keyTimes:"0;0.5;1"}})])]),t("clipPath",{attrs:{id:"uil-hourglass-clip2"}},[t("rect",{staticClass:"clip",attrs:{x:"15",y:"55",width:"70",height:"25"}},[t("animate",{attrs:{attributeName:"height",from:"0",to:"25",dur:"1s",repeatCount:"indefinite",values:"0;25;25",keyTimes:"0;0.5;1"}}),t("animate",{attrs:{attributeName:"y",from:"80",to:"55",dur:"1s",repeatCount:"indefinite",values:"80;55;55",keyTimes:"0;0.5;1"}})])]),t("path",{staticClass:"sand",attrs:{d:"M29,23c3.1,11.4,11.3,19.5,21,19.5S67.9,34.4,71,23H29z","clip-path":"url(#uil-hourglass-clip1)",fill:"currentColor"}}),t("path",{staticClass:"sand",attrs:{d:"M71.6,78c-3-11.6-11.5-20-21.5-20s-18.5,8.4-21.5,20H71.6z","clip-path":"url(#uil-hourglass-clip2)",fill:"currentColor"}}),t("animateTransform",{attrs:{attributeName:"transform",type:"rotate",from:"0 50 50",to:"180 50 50",repeatCount:"indefinite",dur:"1s",values:"0 50 50;0 50 50;180 50 50",keyTimes:"0;0.7;1"}})])])}}),ts=t.extend({name:"QSpinnerInfinity",mixins:[Qt],render:function(t){return t("svg",{staticClass:"q-spinner",class:this.classes,on:Object.assign({},this.qListeners),attrs:{focusable:"false",width:this.cSize,height:this.cSize,viewBox:"0 0 100 100",preserveAspectRatio:"xMidYMid"}},[t("path",{attrs:{d:"M24.3,30C11.4,30,5,43.3,5,50s6.4,20,19.3,20c19.3,0,32.1-40,51.4-40C88.6,30,95,43.3,95,50s-6.4,20-19.3,20C56.4,70,43.6,30,24.3,30z",fill:"none",stroke:"currentColor","stroke-width":"8","stroke-dasharray":"10.691205342610678 10.691205342610678","stroke-dashoffset":"0"}},[t("animate",{attrs:{attributeName:"stroke-dashoffset",from:"0",to:"21.382410685221355",begin:"0",dur:"2s",repeatCount:"indefinite",fill:"freeze"}})])])}}),es=t.extend({name:"QSpinnerIos",mixins:[Qt],render:function(t){return t("svg",{staticClass:"q-spinner",class:this.classes,on:Object.assign({},this.qListeners),attrs:{focusable:"false",width:this.cSize,height:this.cSize,stroke:"currentColor",fill:"currentColor",viewBox:"0 0 64 64"}},[t("g",{attrs:{"stroke-width":"4","stroke-linecap":"round"}},[t("line",{attrs:{y1:"17",y2:"29",transform:"translate(32,32) rotate(180)"}},[t("animate",{attrs:{attributeName:"stroke-opacity",dur:"750ms",values:"1;.85;.7;.65;.55;.45;.35;.25;.15;.1;0;1",repeatCount:"indefinite"}})]),t("line",{attrs:{y1:"17",y2:"29",transform:"translate(32,32) rotate(210)"}},[t("animate",{attrs:{attributeName:"stroke-opacity",dur:"750ms",values:"0;1;.85;.7;.65;.55;.45;.35;.25;.15;.1;0",repeatCount:"indefinite"}})]),t("line",{attrs:{y1:"17",y2:"29",transform:"translate(32,32) rotate(240)"}},[t("animate",{attrs:{attributeName:"stroke-opacity",dur:"750ms",values:".1;0;1;.85;.7;.65;.55;.45;.35;.25;.15;.1",repeatCount:"indefinite"}})]),t("line",{attrs:{y1:"17",y2:"29",transform:"translate(32,32) rotate(270)"}},[t("animate",{attrs:{attributeName:"stroke-opacity",dur:"750ms",values:".15;.1;0;1;.85;.7;.65;.55;.45;.35;.25;.15",repeatCount:"indefinite"}})]),t("line",{attrs:{y1:"17",y2:"29",transform:"translate(32,32) rotate(300)"}},[t("animate",{attrs:{attributeName:"stroke-opacity",dur:"750ms",values:".25;.15;.1;0;1;.85;.7;.65;.55;.45;.35;.25",repeatCount:"indefinite"}})]),t("line",{attrs:{y1:"17",y2:"29",transform:"translate(32,32) rotate(330)"}},[t("animate",{attrs:{attributeName:"stroke-opacity",dur:"750ms",values:".35;.25;.15;.1;0;1;.85;.7;.65;.55;.45;.35",repeatCount:"indefinite"}})]),t("line",{attrs:{y1:"17",y2:"29",transform:"translate(32,32) rotate(0)"}},[t("animate",{attrs:{attributeName:"stroke-opacity",dur:"750ms",values:".45;.35;.25;.15;.1;0;1;.85;.7;.65;.55;.45",repeatCount:"indefinite"}})]),t("line",{attrs:{y1:"17",y2:"29",transform:"translate(32,32) rotate(30)"}},[t("animate",{attrs:{attributeName:"stroke-opacity",dur:"750ms",values:".55;.45;.35;.25;.15;.1;0;1;.85;.7;.65;.55",repeatCount:"indefinite"}})]),t("line",{attrs:{y1:"17",y2:"29",transform:"translate(32,32) rotate(60)"}},[t("animate",{attrs:{attributeName:"stroke-opacity",dur:"750ms",values:".65;.55;.45;.35;.25;.15;.1;0;1;.85;.7;.65",repeatCount:"indefinite"}})]),t("line",{attrs:{y1:"17",y2:"29",transform:"translate(32,32) rotate(90)"}},[t("animate",{attrs:{attributeName:"stroke-opacity",dur:"750ms",values:".7;.65;.55;.45;.35;.25;.15;.1;0;1;.85;.7",repeatCount:"indefinite"}})]),t("line",{attrs:{y1:"17",y2:"29",transform:"translate(32,32) rotate(120)"}},[t("animate",{attrs:{attributeName:"stroke-opacity",dur:"750ms",values:".85;.7;.65;.55;.45;.35;.25;.15;.1;0;1;.85",repeatCount:"indefinite"}})]),t("line",{attrs:{y1:"17",y2:"29",transform:"translate(32,32) rotate(150)"}},[t("animate",{attrs:{attributeName:"stroke-opacity",dur:"750ms",values:"1;.85;.7;.65;.55;.45;.35;.25;.15;.1;0;1",repeatCount:"indefinite"}})])])])}}),ns=t.extend({name:"QSpinnerOval",mixins:[Qt],render:function(t){return t("svg",{staticClass:"q-spinner",class:this.classes,on:Object.assign({},this.qListeners),attrs:{focusable:"false",stroke:"currentColor",width:this.cSize,height:this.cSize,viewBox:"0 0 38 38",xmlns:"http://www.w3.org/2000/svg"}},[t("g",{attrs:{transform:"translate(1 1)","stroke-width":"2",fill:"none","fill-rule":"evenodd"}},[t("circle",{attrs:{"stroke-opacity":".5",cx:"18",cy:"18",r:"18"}}),t("path",{attrs:{d:"M36 18c0-9.94-8.06-18-18-18"}},[t("animateTransform",{attrs:{attributeName:"transform",type:"rotate",from:"0 18 18",to:"360 18 18",dur:"1s",repeatCount:"indefinite"}})])])])}}),is=t.extend({name:"QSpinnerPie",mixins:[Qt],render:function(t){return t("svg",{staticClass:"q-spinner",class:this.classes,on:Object.assign({},this.qListeners),attrs:{focusable:"false",width:this.cSize,height:this.cSize,viewBox:"0 0 100 100",preserveAspectRatio:"xMidYMid",xmlns:"http://www.w3.org/2000/svg"}},[t("path",{attrs:{d:"M0 50A50 50 0 0 1 50 0L50 50L0 50",fill:"currentColor",opacity:"0.5"}},[t("animateTransform",{attrs:{attributeName:"transform",type:"rotate",from:"0 50 50",to:"360 50 50",dur:"0.8s",repeatCount:"indefinite"}})]),t("path",{attrs:{d:"M50 0A50 50 0 0 1 100 50L50 50L50 0",fill:"currentColor",opacity:"0.5"}},[t("animateTransform",{attrs:{attributeName:"transform",type:"rotate",from:"0 50 50",to:"360 50 50",dur:"1.6s",repeatCount:"indefinite"}})]),t("path",{attrs:{d:"M100 50A50 50 0 0 1 50 100L50 50L100 50",fill:"currentColor",opacity:"0.5"}},[t("animateTransform",{attrs:{attributeName:"transform",type:"rotate",from:"0 50 50",to:"360 50 50",dur:"2.4s",repeatCount:"indefinite"}})]),t("path",{attrs:{d:"M50 100A50 50 0 0 1 0 50L50 50L50 100",fill:"currentColor",opacity:"0.5"}},[t("animateTransform",{attrs:{attributeName:"transform",type:"rotate",from:"0 50 50",to:"360 50 50",dur:"3.2s",repeatCount:"indefinite"}})])])}}),rs=t.extend({name:"QSpinnerPuff",mixins:[Qt],render:function(t){return t("svg",{staticClass:"q-spinner",class:this.classes,on:Object.assign({},this.qListeners),attrs:{focusable:"false",stroke:"currentColor",width:this.cSize,height:this.cSize,viewBox:"0 0 44 44",xmlns:"http://www.w3.org/2000/svg"}},[t("g",{attrs:{fill:"none","fill-rule":"evenodd","stroke-width":"2"}},[t("circle",{attrs:{cx:"22",cy:"22",r:"1"}},[t("animate",{attrs:{attributeName:"r",begin:"0s",dur:"1.8s",values:"1; 20",calcMode:"spline",keyTimes:"0; 1",keySplines:"0.165, 0.84, 0.44, 1",repeatCount:"indefinite"}}),t("animate",{attrs:{attributeName:"stroke-opacity",begin:"0s",dur:"1.8s",values:"1; 0",calcMode:"spline",keyTimes:"0; 1",keySplines:"0.3, 0.61, 0.355, 1",repeatCount:"indefinite"}})]),t("circle",{attrs:{cx:"22",cy:"22",r:"1"}},[t("animate",{attrs:{attributeName:"r",begin:"-0.9s",dur:"1.8s",values:"1; 20",calcMode:"spline",keyTimes:"0; 1",keySplines:"0.165, 0.84, 0.44, 1",repeatCount:"indefinite"}}),t("animate",{attrs:{attributeName:"stroke-opacity",begin:"-0.9s",dur:"1.8s",values:"1; 0",calcMode:"spline",keyTimes:"0; 1",keySplines:"0.3, 0.61, 0.355, 1",repeatCount:"indefinite"}})])])])}}),os=t.extend({name:"QSpinnerRadio",mixins:[Qt],render:function(t){return t("svg",{staticClass:"q-spinner",class:this.classes,on:Object.assign({},this.qListeners),attrs:{focusable:"false",width:this.cSize,height:this.cSize,viewBox:"0 0 100 100",preserveAspectRatio:"xMidYMid",xmlns:"http://www.w3.org/2000/svg"}},[t("g",{attrs:{transform:"scale(0.55)"}},[t("circle",{attrs:{cx:"30",cy:"150",r:"30",fill:"currentColor"}},[t("animate",{attrs:{attributeName:"opacity",from:"0",to:"1",dur:"1s",begin:"0",repeatCount:"indefinite",keyTimes:"0;0.5;1",values:"0;1;1"}})]),t("path",{attrs:{d:"M90,150h30c0-49.7-40.3-90-90-90v30C63.1,90,90,116.9,90,150z",fill:"currentColor"}},[t("animate",{attrs:{attributeName:"opacity",from:"0",to:"1",dur:"1s",begin:"0.1",repeatCount:"indefinite",keyTimes:"0;0.5;1",values:"0;1;1"}})]),t("path",{attrs:{d:"M150,150h30C180,67.2,112.8,0,30,0v30C96.3,30,150,83.7,150,150z",fill:"currentColor"}},[t("animate",{attrs:{attributeName:"opacity",from:"0",to:"1",dur:"1s",begin:"0.2",repeatCount:"indefinite",keyTimes:"0;0.5;1",values:"0;1;1"}})])])])}}),as=t.extend({name:"QSpinnerRings",mixins:[Qt],render:function(t){return t("svg",{staticClass:"q-spinner",class:this.classes,on:Object.assign({},this.qListeners),attrs:{focusable:"false",stroke:"currentColor",width:this.cSize,height:this.cSize,viewBox:"0 0 45 45",xmlns:"http://www.w3.org/2000/svg"}},[t("g",{attrs:{fill:"none","fill-rule":"evenodd",transform:"translate(1 1)","stroke-width":"2"}},[t("circle",{attrs:{cx:"22",cy:"22",r:"6"}},[t("animate",{attrs:{attributeName:"r",begin:"1.5s",dur:"3s",values:"6;22",calcMode:"linear",repeatCount:"indefinite"}}),t("animate",{attrs:{attributeName:"stroke-opacity",begin:"1.5s",dur:"3s",values:"1;0",calcMode:"linear",repeatCount:"indefinite"}}),t("animate",{attrs:{attributeName:"stroke-width",begin:"1.5s",dur:"3s",values:"2;0",calcMode:"linear",repeatCount:"indefinite"}})]),t("circle",{attrs:{cx:"22",cy:"22",r:"6"}},[t("animate",{attrs:{attributeName:"r",begin:"3s",dur:"3s",values:"6;22",calcMode:"linear",repeatCount:"indefinite"}}),t("animate",{attrs:{attributeName:"stroke-opacity",begin:"3s",dur:"3s",values:"1;0",calcMode:"linear",repeatCount:"indefinite"}}),t("animate",{attrs:{attributeName:"stroke-width",begin:"3s",dur:"3s",values:"2;0",calcMode:"linear",repeatCount:"indefinite"}})]),t("circle",{attrs:{cx:"22",cy:"22",r:"8"}},[t("animate",{attrs:{attributeName:"r",begin:"0s",dur:"1.5s",values:"6;1;2;3;4;5;6",calcMode:"linear",repeatCount:"indefinite"}})])])])}}),ss=t.extend({name:"QSpinnerTail",mixins:[Qt],render:function(t){return t("svg",{staticClass:"q-spinner",class:this.classes,on:Object.assign({},this.qListeners),attrs:{focusable:"false",width:this.cSize,height:this.cSize,viewBox:"0 0 38 38",xmlns:"http://www.w3.org/2000/svg"}},[t("defs",[t("linearGradient",{attrs:{x1:"8.042%",y1:"0%",x2:"65.682%",y2:"23.865%",id:"a"}},[t("stop",{attrs:{"stop-color":"currentColor","stop-opacity":"0",offset:"0%"}}),t("stop",{attrs:{"stop-color":"currentColor","stop-opacity":".631",offset:"63.146%"}}),t("stop",{attrs:{"stop-color":"currentColor",offset:"100%"}})])]),t("g",{attrs:{transform:"translate(1 1)",fill:"none","fill-rule":"evenodd"}},[t("path",{attrs:{d:"M36 18c0-9.94-8.06-18-18-18",stroke:"url(#a)","stroke-width":"2"}},[t("animateTransform",{attrs:{attributeName:"transform",type:"rotate",from:"0 18 18",to:"360 18 18",dur:"0.9s",repeatCount:"indefinite"}})]),t("circle",{attrs:{fill:"currentColor",cx:"36",cy:"18",r:"1"}},[t("animateTransform",{attrs:{attributeName:"transform",type:"rotate",from:"0 18 18",to:"360 18 18",dur:"0.9s",repeatCount:"indefinite"}})])])])}}),ls=t.extend({name:"QSplitter",mixins:[It,At],directives:{TouchPan:Gn},props:{value:{type:Number,required:!0},reverse:Boolean,unit:{type:String,default:"%",validator:function(t){return["%","px"].includes(t)}},limits:{type:Array,validator:function(t){return 2===t.length&&("number"==typeof t[0]&&"number"==typeof t[1]&&(t[0]>=0&&t[0]<=t[1]))}},emitImmediately:Boolean,horizontal:Boolean,disable:Boolean,beforeClass:[Array,String,Object],afterClass:[Array,String,Object],separatorClass:[Array,String,Object],separatorStyle:[Array,String,Object]},watch:{value:{immediate:!0,handler:function(t){this.__normalize(t,this.computedLimits)}},limits:{deep:!0,handler:function(){var t=this;this.$nextTick((function(){t.__normalize(t.value,t.computedLimits)}))}}},computed:{classes:function(){return(!0===this.horizontal?"column":"row")+" q-splitter--"+(!0===this.horizontal?"horizontal":"vertical")+" q-splitter--"+(!0===this.disable?"disabled":"workable")+(!0===this.isDark?" q-splitter--dark":"")},prop:function(){return!0===this.horizontal?"height":"width"},side:function(){return!0!==this.reverse?"before":"after"},computedLimits:function(){return void 0!==this.limits?this.limits:"%"===this.unit?[10,90]:[50,1/0]},styles:function(){var t,e;return(e={})[this.side]=((t={})[this.prop]=this.__getCSSValue(this.value),t),e},separatorDirectives:function(){var t;if(!0!==this.disable)return[{name:"touch-pan",value:this.__pan,modifiers:(t={},t[!0===this.horizontal?"vertical":"horizontal"]=!0,t.prevent=!0,t.stop=!0,t.mouse=!0,t.mouseAllDir=!0,t)}]}},methods:{__pan:function(t){if(!0===t.isFirst){var e=this.$el.getBoundingClientRect()[this.prop];return this.__dir=!0===this.horizontal?"up":"left",this.__maxValue="%"===this.unit?100:e,this.__value=Math.min(this.__maxValue,this.computedLimits[1],Math.max(this.computedLimits[0],this.value)),this.__multiplier=(!0!==this.reverse?1:-1)*(!0===this.horizontal?1:!0===this.$q.lang.rtl?-1:1)*("%"===this.unit?0===e?0:100/e:1),void this.$el.classList.add("q-splitter--active")}if(!0===t.isFinal)return this.__normalized!==this.value&&this.$emit("input",this.__normalized),void this.$el.classList.remove("q-splitter--active");var n=this.__value+this.__multiplier*(t.direction===this.__dir?-1:1)*t.distance[!0===this.horizontal?"y":"x"];this.__normalized=Math.min(this.__maxValue,this.computedLimits[1],Math.max(this.computedLimits[0],n)),this.$refs[this.side].style[this.prop]=this.__getCSSValue(this.__normalized),!0===this.emitImmediately&&this.value!==this.__normalized&&this.$emit("input",this.__normalized)},__normalize:function(t,e){t<e[0]?this.$emit("input",e[0]):t>e[1]&&this.$emit("input",e[1])},__getCSSValue:function(t){return("%"===this.unit?t:Math.round(t))+this.unit}},render:function(t){var e=!0===this.disable?{"aria-disabled":"true"}:void 0,n=[t("div",{ref:"before",staticClass:"q-splitter__panel q-splitter__before"+(!0===this.reverse?" col":""),style:this.styles.before,class:this.beforeClass,on:pt(this,"stop",{input:y})},Et(this,"before")),t("div",{staticClass:"q-splitter__separator",style:this.separatorStyle,class:this.separatorClass,attrs:e},[t("div",{staticClass:"absolute-full q-splitter__separator-area",directives:this.separatorDirectives},Et(this,"separator"))]),t("div",{ref:"after",staticClass:"q-splitter__panel q-splitter__after"+(!0===this.reverse?"":" col"),style:this.styles.after,class:this.afterClass,on:pt(this,"stop",{input:y})},Et(this,"after"))];return t("div",{staticClass:"q-splitter no-wrap",class:this.classes,on:Object.assign({},this.qListeners)},Lt(n,this,"default"))}}),us=t.extend({name:"StepHeader",mixins:[_t],directives:{Ripple:oe},props:{stepper:{},step:{}},computed:{isActive:function(){return this.stepper.value===this.step.name},isDisable:function(){var t=this.step.disable;return!0===t||""===t},isError:function(){var t=this.step.error;return!0===t||""===t},isDone:function(){var t=this.step.done;return!1===this.isDisable&&(!0===t||""===t)},headerNav:function(){var t=this.step.headerNav,e=!0===t||""===t||void 0===t;return!1===this.isDisable&&this.stepper.headerNav&&e},hasPrefix:function(){return this.step.prefix&&!1===this.isActive&&!1===this.isError&&!1===this.isDone},icon:function(){return!0===this.isActive?this.step.activeIcon||this.stepper.activeIcon||this.$q.iconSet.stepper.active:!0===this.isError?this.step.errorIcon||this.stepper.errorIcon||this.$q.iconSet.stepper.error:!1===this.isDisable&&!0===this.isDone?this.step.doneIcon||this.stepper.doneIcon||this.$q.iconSet.stepper.done:this.step.icon||this.stepper.inactiveIcon},color:function(){var t=!0===this.isError?this.step.errorColor||this.stepper.errorColor:void 0;if(!0===this.isActive){var e=this.step.activeColor||this.stepper.activeColor||this.step.color;return void 0!==e?e:t}return void 0!==t?t:!1===this.isDisable&&!0===this.isDone?this.step.doneColor||this.stepper.doneColor||this.step.color||this.stepper.inactiveColor:this.step.color||this.stepper.inactiveColor},classes:function(){return"q-stepper__tab col-grow flex items-center no-wrap relative-position"+(void 0!==this.color?" text-"+this.color:"")+(!0===this.isError?" q-stepper__tab--error":"")+(!0===this.isActive?" q-stepper__tab--active":"")+(!0===this.isDone?" q-stepper__tab--done":"")+(!0===this.headerNav?" q-stepper__tab--navigation q-focusable q-hoverable":"")+(!0===this.isDisable?" q-stepper__tab--disabled":"")}},methods:{activate:function(){void 0!==this.$refs.blurTarget&&this.$refs.blurTarget.focus(),!1===this.isActive&&this.stepper.goTo(this.step.name)},keyup:function(t){13===t.keyCode&&!1===this.isActive&&this.stepper.goTo(this.step.name)}},render:function(t){var e={class:this.classes};!0===this.stepper.headerNav&&(e.directives=[{name:"ripple",value:this.headerNav}]),!0===this.headerNav&&Object.assign(e,{on:pt(this,"headnavon",{click:this.activate,keyup:this.keyup}),attrs:!0===this.isDisable?{tabindex:-1,"aria-disabled":"true"}:{tabindex:this.qAttrs.tabindex||0}});var n=[t("div",{staticClass:"q-focus-helper",attrs:{tabindex:-1},ref:"blurTarget"}),t("div",{staticClass:"q-stepper__dot row flex-center q-stepper__line relative-position"},[t("span",{staticClass:"row flex-center"},[!0===this.hasPrefix?this.step.prefix:t(Pt,{props:{name:this.icon}})])])];if(void 0!==this.step.title&&null!==this.step.title){var i=[t("div",{staticClass:"q-stepper__title"},[this.step.title])];void 0!==this.step.caption&&null!==this.step.caption&&i.push(t("div",{staticClass:"q-stepper__caption"},[this.step.caption])),n.push(t("div",{staticClass:"q-stepper__label q-stepper__line relative-position"},i))}return t("div",e,n)}}),cs=t.extend({name:"QStepWrapper",render:function(t){return t("div",{staticClass:"q-stepper__step-content"},[t("div",{staticClass:"q-stepper__step-inner"},Et(this,"default"))])}}),ds=t.extend({name:"QStep",inject:{stepper:{default:function(){console.error("QStep needs to be child of QStepper")}}},mixins:[yn],props:{icon:String,color:String,title:{type:String,required:!0},caption:String,prefix:[String,Number],doneIcon:String,doneColor:String,activeIcon:String,activeColor:String,errorIcon:String,errorColor:String,headerNav:{type:Boolean,default:!0},done:Boolean,error:Boolean},computed:{isActive:function(){return this.stepper.value===this.name}},watch:{isActive:function(t){var e=this;!0===t&&!0===this.stepper.vertical&&this.$nextTick((function(){void 0!==e.$el&&(e.$el.scrollTop=0)}))}},render:function(t){var e=this.stepper.vertical,n=!0===e&&!0===this.stepper.keepAlive?t("keep-alive",!0===this.isActive?[t(cs,{key:this.name},Et(this,"default"))]:void 0):!0!==e||!0===this.isActive?cs.options.render.call(this,t):void 0;return t("div",{staticClass:"q-stepper__step",on:Object.assign({},this.qListeners)},!0===e?[t(us,{props:{stepper:this.stepper,step:this}}),!0===this.stepper.animated?t(_o,[n]):n]:[n])}}),hs=t.extend({name:"QStepper",provide:function(){return{stepper:this}},mixins:[It,_n],props:{flat:Boolean,bordered:Boolean,alternativeLabels:Boolean,headerNav:Boolean,contracted:Boolean,headerClass:String,inactiveColor:String,inactiveIcon:String,doneIcon:String,doneColor:String,activeIcon:String,activeColor:String,errorIcon:String,errorColor:String},computed:{classes:function(){return"q-stepper q-stepper--"+(!0===this.vertical?"vertical":"horizontal")+(!0===this.flat||!0===this.isDark?" q-stepper--flat no-shadow":"")+(!0===this.bordered||!0===this.isDark&&!1===this.flat?" q-stepper--bordered":"")+(!0===this.contracted?" q-stepper--contracted":"")+(!0===this.isDark?" q-stepper--dark q-dark":"")},headerClasses:function(){return"q-stepper__header row items-stretch justify-between q-stepper__header--"+(!0===this.alternativeLabels?"alternative":"standard")+"-labels"+(!1===this.flat||!0===this.bordered?" q-stepper__header--border":"")+(void 0!==this.headerClass?" "+this.headerClass:"")}},methods:{__getContent:function(t){var e=this,n=Et(this,"message",[]);if(!0===this.vertical){this.__isValidPanelName(this.value)&&this.__updatePanelIndex();var i=t("div",{staticClass:"q-stepper__content",on:pt(this,"stop",{input:y})},Et(this,"default"));return void 0===n?[i]:n.concat(i)}return[t("div",{class:this.headerClasses},this.__getAllPanels().map((function(n){var i=n.componentOptions.propsData;return t(us,{key:i.name,props:{stepper:e,step:i}})})))].concat(n,t("div",{staticClass:"q-stepper__content q-panel-parent",directives:this.panelDirectives},this.__getPanelContent(t)))},__renderPanels:function(t){return t("div",{class:this.classes,on:Object.assign({},this.qListeners)},Lt(this.__getContent(t),this,"navigation"))}}}),fs=t.extend({name:"QStepperNavigation",mixins:[At],render:function(t){return t("div",{staticClass:"q-stepper__nav",on:Object.assign({},this.qListeners)},Et(this,"default"))}}),ps=t.extend({name:"QTh",mixins:[At],props:{props:Object,autoWidth:Boolean},render:function(t){var e,n,i=this,r=Object.assign({},this.qListeners);if(void 0===this.props)return t("th",{on:r,class:!0===this.autoWidth?"q-table--col-auto-width":null},Et(this,"default"));var o=this.$vnode.key;if(o){if(void 0===(e=this.props.colsMap[o]))return}else e=this.props.col;if(!0===e.sortable){var a="right"===e.align?"unshift":"push";(n=qt(this,"default",[]))[a](t(Pt,{props:{name:this.$q.iconSet.table.arrowUp},staticClass:e.__iconClass}))}else n=Et(this,"default");var s=!0===e.sortable?{click:function(t){i.props.sort(e),i.$emit("click",t)}}:{};return t("th",{on:Object.assign({},r,s),style:e.headerStyle,class:e.__thClass+(!0===this.autoWidth?" q-table--col-auto-width":"")},n)}}),ms={methods:{getTableHeader:function(t){var e=this.getTableHeaderRow(t);return!0===this.loading&&void 0===this.$scopedSlots.loading&&e.push(t("tr",{staticClass:"q-table__progress"},[t("th",{staticClass:"relative-position",attrs:{colspan:this.computedColspan}},this.__getProgress(t))])),t("thead",e)},getTableHeaderRow:function(t){var e=this,n=this.$scopedSlots.header,i=this.$scopedSlots["header-cell"];if(void 0!==n)return n(this.addTableHeaderRowMeta({header:!0,cols:this.computedCols,sort:this.sort,colsMap:this.computedColsMap})).slice();var r=this.computedCols.map((function(n){var r=e.$scopedSlots["header-cell-"+n.name],o=void 0!==r?r:i,a={col:n,cols:e.computedCols,sort:e.sort,colsMap:e.computedColsMap};return void 0!==o?o(a):t(ps,{key:n.name,props:{props:a},style:n.headerStyle,class:n.headerClasses},n.label)}));return!0===this.singleSelection&&!0!==this.grid?r.unshift(t("th",{staticClass:"q-table--col-auto-width"},[" "])):!0===this.multipleSelection&&r.unshift(t("th",{staticClass:"q-table--col-auto-width"},[t(Pn,{props:{color:this.color,value:!0===this.someRowsSelected?null:this.allRowsSelected,dark:this.isDark,dense:this.dense},on:pt(this,"inp",{input:function(t){!0===e.someRowsSelected&&(t=!1),e.__updateSelection(e.computedRows.map(e.getRowKey),e.computedRows,t)}})})])),[t("tr",{style:this.tableHeaderStyle,class:this.tableHeaderClass},r)]},addTableHeaderRowMeta:function(t){var e=this;return!0===this.multipleSelection&&(Object.defineProperty(t,"selected",{get:function(){return!0===e.someRowsSelected?"some":e.allRowsSelected},set:function(t){!0===e.someRowsSelected&&(t=!1),e.__updateSelection(e.computedRows.map(e.getRowKey),e.computedRows,t)},configurable:!0,enumerable:!0}),t.partialSelected=this.someRowsSelected,t.multipleSelect=!0),t}}},vs={methods:{getTableRowBody:function(t,e,n){var i=this.getRowKey(t),r=this.isRowSelected(i);return e(this.addBodyRowMeta({key:i,row:t,pageIndex:n,cols:this.computedCols,colsMap:this.computedColsMap,__trClass:r?"selected":""}))},getTableRow:function(t,e,n){var i=this,r=this.$scopedSlots["body-cell"],o=this.getRowKey(e),a=this.isRowSelected(o),s=this.computedCols.map((function(o){var a=i.$scopedSlots["body-cell-"+o.name],s=void 0!==a?a:r;return void 0!==s?s(i.addBodyCellMetaData({row:e,pageIndex:n,col:o})):t("td",{class:o.__tdClass,style:o.style},i.getCellValue(o,e))}));!0===this.hasSelectionMode&&s.unshift(t("td",{staticClass:"q-table--col-auto-width"},[t(Pn,{props:{value:a,color:this.color,dark:this.isDark,dense:this.dense},on:{input:function(t,n){i.__updateSelection([o],[e],t,n)}}})]));var l={key:o,class:{selected:a},on:{}};return void 0!==this.qListeners["row-click"]&&(l.class["cursor-pointer"]=!0,l.on.click=function(t){i.$emit("row-click",t,e,n)}),void 0!==this.qListeners["row-dblclick"]&&(l.class["cursor-pointer"]=!0,l.on.dblclick=function(t){i.$emit("row-dblclick",t,e,n)}),t("tr",l,s)},getTableBody:function(t){var e=this,n=this.$scopedSlots.body,i=this.$scopedSlots["top-row"],r=this.$scopedSlots["bottom-row"],o=void 0!==n?function(t,i){return e.getTableRowBody(t,n,i)}:function(n,i){return e.getTableRow(t,n,i)},a=this.computedRows.map(o);return void 0!==i&&(a=i({cols:this.computedCols}).concat(a)),void 0!==r&&(a=a.concat(r({cols:this.computedCols}))),t("tbody",a)},getTableRowVirtual:function(t){var e=this,n=this.$scopedSlots.body;return void 0!==n?function(t){return e.getTableRowBody(t.item,n,t.index)}:function(n){return e.getTableRow(t,n.item,n.index)}},addBodyRowMeta:function(t){var e=this;return t.rowIndex=this.firstRowIndex+t.pageIndex,!0===this.hasSelectionMode&&Object.defineProperty(t,"selected",{get:function(){return e.isRowSelected(t.key)},set:function(n){e.__updateSelection([t.key],[t.row],n)},configurable:!0,enumerable:!0}),Object.defineProperty(t,"expand",{get:function(){return e.isRowExpanded(t.key)},set:function(n){e.__updateExpanded(t.key,n)},configurable:!0,enumerable:!0}),t.cols=t.cols.map((function(n){var i=Object.assign({},n);return Object.defineProperty(i,"value",{get:function(){return e.getCellValue(n,t.row)},configurable:!0,enumerable:!0}),i})),t},addBodyCellMetaData:function(t){var e=this;return t.rowIndex=this.firstRowIndex+t.pageIndex,Object.defineProperty(t,"value",{get:function(){return e.getCellValue(t.col,t.row)},configurable:!0,enumerable:!0}),t},getCellValue:function(t,e){var n="function"==typeof t.field?t.field(e):e[t.field];return void 0!==t.format?t.format(n,e):n}}},gs="q-table__bottom row items-center",_s={props:{hideBottom:Boolean,hideSelectedBanner:Boolean,hideNoData:Boolean,hidePagination:Boolean},computed:{navIcon:function(){var t=[this.iconFirstPage||this.$q.iconSet.table.firstPage,this.iconPrevPage||this.$q.iconSet.table.prevPage,this.iconNextPage||this.$q.iconSet.table.nextPage,this.iconLastPage||this.$q.iconSet.table.lastPage];return!0===this.$q.lang.rtl?t.reverse():t}},methods:{getBottom:function(t){if(!0!==this.hideBottom){if(!0===this.nothingToDisplay){if(!0===this.hideNoData)return;var e=!0===this.loading?this.loadingLabel||this.$q.lang.table.loading:this.filter?this.noResultsLabel||this.$q.lang.table.noResults:this.noDataLabel||this.$q.lang.table.noData,n=this.$scopedSlots["no-data"],i=void 0!==n?[n({message:e,icon:this.$q.iconSet.table.warning,filter:this.filter})]:[t(Pt,{staticClass:"q-table__bottom-nodata-icon",props:{name:this.$q.iconSet.table.warning}}),e];return t("div",{staticClass:gs+" q-table__bottom--nodata"},i)}var r=this.$scopedSlots.bottom;if(void 0!==r)return t("div",{staticClass:gs},[r(this.marginalsProps)]);var o=!0!==this.hideSelectedBanner&&!0===this.hasSelectionMode&&this.rowsSelectedNumber>0?[t("div",{staticClass:"q-table__control"},[t("div",[(this.selectedRowsLabel||this.$q.lang.table.selectedRecords)(this.rowsSelectedNumber)])])]:[];return!0!==this.hidePagination?t("div",{staticClass:gs+" justify-end"},this.getPaginationRow(t,o)):o.length>0?t("div",{staticClass:gs},o):void 0}},getPaginationRow:function(t,e){var n,i=this,r=this.computedPagination.rowsPerPage,o=this.paginationLabel||this.$q.lang.table.pagination,a=this.$scopedSlots.pagination,s=this.rowsPerPageOptions.length>1;if(e.push(t("div",{staticClass:"q-table__separator col"})),!0===s&&e.push(t("div",{staticClass:"q-table__control"},[t("span",{staticClass:"q-table__bottom-item"},[this.rowsPerPageLabel||this.$q.lang.table.recordsPerPage]),t(Na,{staticClass:"q-table__select inline q-table__bottom-item",props:{color:this.color,value:r,options:this.computedRowsPerPageOptions,displayValue:0===r?this.$q.lang.table.allRows:r,dark:this.isDark,borderless:!0,dense:!0,optionsDense:!0,optionsCover:!0},on:pt(this,"pgSize",{input:function(t){i.setPagination({page:1,rowsPerPage:t.value})}})})])),void 0!==a)n=a(this.marginalsProps);else if(n=[t("span",0!==r?{staticClass:"q-table__bottom-item"}:{},[r?o(this.firstRowIndex+1,Math.min(this.lastRowIndex,this.computedRowsNumber),this.computedRowsNumber):o(1,this.filteredSortedRowsNumber,this.computedRowsNumber)])],0!==r&&this.pagesNumber>1){var l={color:this.color,round:!0,dense:!0,flat:!0};!0===this.dense&&(l.size="sm"),this.pagesNumber>2&&n.push(t(ye,{key:"pgFirst",props:Object.assign({},l,{icon:this.navIcon[0],disable:this.isFirstPage}),on:pt(this,"pgFirst",{click:this.firstPage})})),n.push(t(ye,{key:"pgPrev",props:Object.assign({},l,{icon:this.navIcon[1],disable:this.isFirstPage}),on:pt(this,"pgPrev",{click:this.prevPage})}),t(ye,{key:"pgNext",props:Object.assign({},l,{icon:this.navIcon[2],disable:this.isLastPage}),on:pt(this,"pgNext",{click:this.nextPage})})),this.pagesNumber>2&&n.push(t(ye,{key:"pgLast",props:Object.assign({},l,{icon:this.navIcon[3],disable:this.isLastPage}),on:pt(this,"pgLast",{click:this.lastPage})}))}return e.push(t("div",{staticClass:"q-table__control"},n)),e}}},ys={methods:{getGridBody:function(t){var e=this,n=void 0!==this.$scopedSlots.item?this.$scopedSlots.item:function(n){var i=n.cols.map((function(e){return t("div",{staticClass:"q-table__grid-item-row"},[t("div",{staticClass:"q-table__grid-item-title"},[e.label]),t("div",{staticClass:"q-table__grid-item-value"},[e.value])])}));!0===e.hasSelectionMode&&i.unshift(t("div",{staticClass:"q-table__grid-item-row"},[t(Pn,{props:{value:n.selected,color:e.color,dark:e.isDark,dense:!0},on:{input:function(t,i){e.__updateSelection([n.key],[n.row],t,i)}}})]),t(wo,{props:{dark:e.isDark}}));var r={staticClass:"q-table__grid-item-card"+e.cardDefaultClass,class:e.cardClass,style:e.cardStyle,on:{}};return void 0===e.qListeners["row-click"]&&void 0===e.qListeners["row-dblclick"]||(r.staticClass+=" cursor-pointer"),void 0!==e.qListeners["row-click"]&&(r.on.click=function(t){e.$emit("row-click",t,n.row,n.pageIndex)}),void 0!==e.qListeners["row-dblclick"]&&(r.on.dblclick=function(t){e.$emit("row-dblclick",t,n.row,n.pageIndex)}),t("div",{staticClass:"q-table__grid-item col-xs-12 col-sm-6 col-md-4 col-lg-3",class:!0===n.selected?"q-table__grid-item--selected":""},[t("div",r,i)])};return t("div",{staticClass:"q-table__grid-content row",class:this.cardContainerClass,style:this.cardContainerStyle},this.computedRows.map((function(t,i){var r=e.getRowKey(t),o=e.isRowSelected(r);return n(e.addBodyRowMeta({key:r,row:t,pageIndex:i,cols:e.computedCols,colsMap:e.computedColsMap,__trClass:o?"selected":""}))})))},getGridHeader:function(t){var e=!0===this.gridHeader?[t("table",{staticClass:"q-table"},[this.getTableHeader(t)])]:!0===this.loading&&void 0===this.$scopedSlots.loading?this.__getProgress(t):void 0;return t("div",{staticClass:"q-table__middle"},e)}}};function bs(t,e,n){return t("div",Object.assign({},e,{staticClass:"q-table__middle"+(void 0!==e.staticClass?" "+e.staticClass:"")}),[t("table",{staticClass:"q-table"},n)])}var ws={list:Kr,table:Ko},xs=t.extend({name:"QVirtualScroll",mixins:[_t,At,Pa],props:{type:{type:String,default:"list",validator:function(t){return["list","table","__qtable"].includes(t)}},items:{type:Array,default:function(){return[]}},itemsFn:Function,itemsSize:Number,scrollTarget:{default:void 0}},computed:{virtualScrollLength:function(){return this.itemsSize>=0&&void 0!==this.itemsFn?parseInt(this.itemsSize,10):Array.isArray(this.items)?this.items.length:0},virtualScrollScope:function(){var t=this;if(0===this.virtualScrollLength)return[];var e=function(e,n){return{index:t.virtualScrollSliceRange.from+n,item:e}};return void 0===this.itemsFn?this.items.slice(this.virtualScrollSliceRange.from,this.virtualScrollSliceRange.to).map(e):this.itemsFn(this.virtualScrollSliceRange.from,this.virtualScrollSliceRange.to-this.virtualScrollSliceRange.from).map(e)},classes:function(){return"q-virtual-scroll q-virtual-scroll"+(!0===this.virtualScrollHorizontal?"--horizontal":"--vertical")+(void 0!==this.scrollTarget?"":" scroll")},attrs:function(){return void 0!==this.scrollTarget?void 0:{tabindex:0}}},watch:{virtualScrollLength:function(){this.__resetVirtualScroll()},scrollTarget:function(){this.__unconfigureScrollTarget(),this.__configureScrollTarget()}},methods:{__getVirtualScrollEl:function(){return this.$el},__getVirtualScrollTarget:function(){return this.__scrollTarget},__configureScrollTarget:function(){this.__scrollTarget=Ie(this.$el,this.scrollTarget),this.__scrollTarget.addEventListener("scroll",this.__onVirtualScrollEvt,f.passive)},__unconfigureScrollTarget:function(){void 0!==this.__scrollTarget&&(this.__scrollTarget.removeEventListener("scroll",this.__onVirtualScrollEvt,f.passive),this.__scrollTarget=void 0)}},beforeMount:function(){this.__resetVirtualScroll()},mounted:function(){this.__configureScrollTarget()},beforeDestroy:function(){this.__unconfigureScrollTarget()},render:function(t){if(void 0!==this.$scopedSlots.default){var e=this.__padVirtualScroll(t,"list"===this.type?"div":"tbody",this.virtualScrollScope.map(this.$scopedSlots.default));return void 0!==this.$scopedSlots.before&&(e=this.$scopedSlots.before().concat(e)),e=Lt(e,this,"after"),"__qtable"===this.type?bs(t,{staticClass:this.classes},e):t(ws[this.type],{class:this.classes,attrs:this.attrs,props:this.qAttrs,on:Object.assign({},this.qListeners)},e)}console.error("QVirtualScroll: default scoped slot is required for rendering",this)}});var ks={props:{sortMethod:{type:Function,default:function(t,e,n){var i=this.colList.find((function(t){return t.name===e}));if(void 0===i||void 0===i.field)return t;var r=!0===n?-1:1,o="function"==typeof i.field?function(t){return i.field(t)}:function(t){return t[i.field]};return t.sort((function(t,e){var n,a=o(t),s=o(e);return null==a?-1*r:null==s?1*r:void 0!==i.sort?i.sort(a,s,t,e)*r:!0===Mn(a)&&!0===Mn(s)?(a-s)*r:!0===Cn(a)&&!0===Cn(s)?function(t,e){return new Date(t)-new Date(e)}(a,s)*r:"boolean"==typeof a&&"boolean"==typeof s?(a-s)*r:(n=[a,s].map((function(t){return(t+"").toLocaleString().toLowerCase()})),(a=n[0])<(s=n[1])?-1*r:a===s?0:r)}))}}},computed:{columnToSort:function(){var t=this.computedPagination.sortBy;if(t)return this.colList.find((function(e){return e.name===t}))||null}},methods:{sort:function(t){t===Object(t)&&(t=t.name);var e=this.computedPagination,n=e.sortBy,i=e.descending;n!==t?(n=t,i=!1):!0===this.binaryStateSort?i=!i:!0===i?n=null:i=!0,this.setPagination({sortBy:n,descending:i,page:1})}}},Ss={props:{filter:[String,Object],filterMethod:{type:Function,default:function(t,e,n,i){void 0===n&&(n=this.computedCols),void 0===i&&(i=this.getCellValue);var r=e?e.toLowerCase():"";return t.filter((function(t){return n.some((function(e){var n=i(e,t)+"";return-1!==("undefined"===n||"null"===n?"":n.toLowerCase()).indexOf(r)}))}))}}},watch:{filter:{handler:function(){var t=this;this.$nextTick((function(){t.setPagination({page:1},!0)}))},deep:!0}}};function Cs(t){return t.page<1&&(t.page=1),void 0!==t.rowsPerPage&&t.rowsPerPage<1&&(t.rowsPerPage=0),t}var Ms={props:{pagination:Object,rowsPerPageOptions:{type:Array,default:function(){return[5,7,10,15,20,25,50,0]}}},computed:{computedPagination:function(){return Cs(void 0!==this.qListeners["update:pagination"]?Object.assign({},this.innerPagination,this.pagination):this.innerPagination)},firstRowIndex:function(){var t=this.computedPagination;return(t.page-1)*t.rowsPerPage},lastRowIndex:function(){var t=this.computedPagination;return t.page*t.rowsPerPage},isFirstPage:function(){return 1===this.computedPagination.page},pagesNumber:function(){return 0===this.computedPagination.rowsPerPage?1:Math.max(1,Math.ceil(this.computedRowsNumber/this.computedPagination.rowsPerPage))},isLastPage:function(){return 0===this.lastRowIndex||this.computedPagination.page>=this.pagesNumber},computedRowsPerPageOptions:function(){var t=this;return(this.rowsPerPageOptions.includes(this.innerPagination.rowsPerPage)?this.rowsPerPageOptions:[this.innerPagination.rowsPerPage].concat(this.rowsPerPageOptions)).map((function(e){return{label:0===e?t.$q.lang.table.allRows:""+e,value:e}}))}},watch:{pagesNumber:function(t,e){if(t!==e){var n=this.computedPagination.page;t&&!n?this.setPagination({page:1}):t<n&&this.setPagination({page:t})}}},methods:{__sendServerRequest:function(t){this.requestServerInteraction({pagination:t,filter:this.filter})},setPagination:function(t,e){var n=Cs(Object.assign({},this.computedPagination,t));!function(t,e){for(var n in e)if(e[n]!==t[n])return!1;return!0}(this.computedPagination,n)?!0!==this.isServerSide?void 0!==this.pagination&&void 0!==this.qListeners["update:pagination"]?this.$emit("update:pagination",n):this.innerPagination=n:this.__sendServerRequest(n):!0===this.isServerSide&&!0===e&&this.__sendServerRequest(n)},firstPage:function(){this.setPagination({page:1})},prevPage:function(){var t=this.computedPagination.page;t>1&&this.setPagination({page:t-1})},nextPage:function(){var t=this.computedPagination,e=t.page,n=t.rowsPerPage;this.lastRowIndex>0&&e*n<this.computedRowsNumber&&this.setPagination({page:e+1})},lastPage:function(){this.setPagination({page:this.pagesNumber})}},created:function(){void 0!==this.qListeners["update:pagination"]&&this.$emit("update:pagination",Object.assign({},this.computedPagination))}},Ts={props:{selection:{type:String,default:"none",validator:function(t){return["single","multiple","none"].includes(t)}},selected:{type:Array,default:function(){return[]}}},computed:{selectedKeys:function(){var t={};return this.selected.map(this.getRowKey).forEach((function(e){t[e]=!0})),t},hasSelectionMode:function(){return"none"!==this.selection},singleSelection:function(){return"single"===this.selection},multipleSelection:function(){return"multiple"===this.selection},allRowsSelected:function(){var t=this;return this.computedRows.length>0&&this.computedRows.every((function(e){return!0===t.selectedKeys[t.getRowKey(e)]}))},someRowsSelected:function(){var t=this;return!0!==this.allRowsSelected&&this.computedRows.some((function(e){return!0===t.selectedKeys[t.getRowKey(e)]}))},rowsSelectedNumber:function(){return this.selected.length}},methods:{isRowSelected:function(t){return!0===this.selectedKeys[t]},clearSelection:function(){this.$emit("update:selected",[])},__updateSelection:function(t,e,n,i){var r=this;this.$emit("selection",{rows:e,added:n,keys:t,evt:i});var o=!0===this.singleSelection?!0===n?e:[]:!0===n?this.selected.concat(e):this.selected.filter((function(e){return!1===t.includes(r.getRowKey(e))}));this.$emit("update:selected",o)}}};function Os(t){return Array.isArray(t)?t.slice():[]}var As={props:{expanded:Array},data:function(){return{innerExpanded:Os(this.expanded)}},watch:{expanded:function(t){this.innerExpanded=Os(t)}},methods:{isRowExpanded:function(t){return this.innerExpanded.includes(t)},setExpanded:function(t){void 0!==this.expanded?this.$emit("update:expanded",t):this.innerExpanded=t},__updateExpanded:function(t,e){var n=this.innerExpanded.slice(),i=n.indexOf(t);!0===e?-1===i&&(n.push(t),this.setExpanded(n)):-1!==i&&(n.splice(i,1),this.setExpanded(n))}}},Es={props:{visibleColumns:Array},computed:{colList:function(){if(void 0!==this.columns)return this.columns;var t=this.data[0];return void 0!==t?Object.keys(t).map((function(e){return{name:e,label:e.toUpperCase(),field:e,align:Mn(t[e])?"right":"left",sortable:!0}})):[]},computedCols:function(){var t=this,e=this.computedPagination,n=e.sortBy,i=e.descending;return(void 0!==this.visibleColumns?this.colList.filter((function(e){return!0===e.required||!0===t.visibleColumns.includes(e.name)})):this.colList).map((function(t){var e=t.align||"right";return Object.assign({},t,{align:e,__iconClass:"q-table__sort-icon q-table__sort-icon--"+e,__thClass:"text-"+e+(void 0!==t.headerClasses?" "+t.headerClasses:"")+(!0===t.sortable?" sortable":"")+(t.name===n?" sorted "+(!0===i?"sort-desc":""):""),__tdClass:"text-"+e+(void 0!==t.classes?" "+t.classes:"")})}))},computedColsMap:function(){var t={};return this.computedCols.forEach((function(e){t[e.name]=e})),t},computedColspan:function(){return void 0!==this.tableColspan?this.tableColspan:this.computedCols.length+(!0===this.hasSelectionMode?1:0)}}},qs={};Da.forEach((function(t){qs[t]={}}));var Ls=t.extend({name:"QTable",mixins:[It,At,bn,{computed:{marginalsProps:function(){return{pagination:this.computedPagination,pagesNumber:this.pagesNumber,isFirstPage:this.isFirstPage,isLastPage:this.isLastPage,firstPage:this.firstPage,prevPage:this.prevPage,nextPage:this.nextPage,lastPage:this.lastPage,inFullscreen:this.inFullscreen,toggleFullscreen:this.toggleFullscreen}}},methods:{getTop:function(t){var e,n=this.$scopedSlots.top,i=this.$scopedSlots["top-left"],r=this.$scopedSlots["top-right"],o=this.$scopedSlots["top-selection"],a=!0===this.hasSelectionMode&&void 0!==o&&this.rowsSelectedNumber>0,s="q-table__top relative-position row items-center";return void 0!==n?t("div",{staticClass:s},[n(this.marginalsProps)]):(!0===a?e=o(this.marginalsProps).slice():(e=[],void 0!==i?e.push(t("div",{staticClass:"q-table-control"},[i(this.marginalsProps)])):this.title&&e.push(t("div",{staticClass:"q-table__control"},[t("div",{staticClass:"q-table__title",class:this.titleClass},this.title)]))),void 0!==r&&(e.push(t("div",{staticClass:"q-table__separator col"})),e.push(t("div",{staticClass:"q-table__control"},[r(this.marginalsProps)]))),0!==e.length?t("div",{staticClass:s},e):void 0)}}},ms,vs,_s,ys,ks,Ss,Ms,Ts,As,Es],props:Object.assign({},{data:{type:Array,default:function(){return[]}},rowKey:{type:[String,Function],default:"id"},columns:Array,loading:Boolean,binaryStateSort:Boolean,iconFirstPage:String,iconPrevPage:String,iconNextPage:String,iconLastPage:String,title:String,hideHeader:Boolean,grid:Boolean,gridHeader:Boolean,dense:Boolean,flat:Boolean,bordered:Boolean,square:Boolean,separator:{type:String,default:"horizontal",validator:function(t){return["horizontal","vertical","cell","none"].includes(t)}},wrapCells:Boolean,virtualScroll:Boolean},qs,{noDataLabel:String,noResultsLabel:String,loadingLabel:String,selectedRowsLabel:Function,rowsPerPageLabel:String,paginationLabel:Function,color:{type:String,default:"grey-8"},titleClass:[String,Array,Object],tableStyle:[String,Array,Object],tableClass:[String,Array,Object],tableHeaderStyle:[String,Array,Object],tableHeaderClass:[String,Array,Object],cardContainerClass:[String,Array,Object],cardContainerStyle:[String,Array,Object],cardStyle:[String,Array,Object],cardClass:[String,Array,Object]}),data:function(){return{innerPagination:Object.assign({sortBy:null,descending:!1,page:1,rowsPerPage:this.rowsPerPageOptions.length>0?this.rowsPerPageOptions[0]:5},this.pagination)}},watch:{needsReset:function(){!0===this.hasVirtScroll&&void 0!==this.$refs.virtScroll&&this.$refs.virtScroll.reset()}},computed:{getRowKey:function(){var t=this;return"function"==typeof this.rowKey?this.rowKey:function(e){return e[t.rowKey]}},hasVirtScroll:function(){return!0!==this.grid&&!0===this.virtualScroll},needsReset:function(){var t=this;return["tableStyle","tableClass","tableHeaderStyle","tableHeaderClass","containerClass"].map((function(e){return t[e]})).join(";")},filteredSortedRows:function(){var t=this.data;if(!0===this.isServerSide||0===t.length)return t;var e=this.computedPagination,n=e.sortBy,i=e.descending;return this.filter&&(t=this.filterMethod(t,this.filter,this.computedCols,this.getCellValue)),void 0!==this.columnToSort&&(t=this.sortMethod(this.data===t?t.slice():t,n,i)),t},filteredSortedRowsNumber:function(){return this.filteredSortedRows.length},computedRows:function(){var t=this.filteredSortedRows;return!0===this.isServerSide||0!==this.computedPagination.rowsPerPage&&(0===this.firstRowIndex&&this.data!==t?t.length>this.lastRowIndex&&(t.length=this.lastRowIndex):t=t.slice(this.firstRowIndex,this.lastRowIndex)),t},computedRowsNumber:function(){return!0===this.isServerSide?this.computedPagination.rowsNumber||0:this.filteredSortedRowsNumber},nothingToDisplay:function(){return 0===this.computedRows.length},isServerSide:function(){return void 0!==this.computedPagination.rowsNumber},cardDefaultClass:function(){return" q-table__card"+(!0===this.isDark?" q-table__card--dark q-dark":"")+(!0===this.square?" q-table--square":"")+(!0===this.flat?" q-table--flat":"")+(!0===this.bordered?" q-table--bordered":"")},containerClass:function(){return"q-table__container q-table--"+this.separator+"-separator column no-wrap"+(!0===this.loading?" q-table--loading":"")+(!0===this.grid?" q-table--grid":this.cardDefaultClass)+(!0===this.isDark?" q-table--dark":"")+(!0===this.dense?" q-table--dense":"")+(!1===this.wrapCells?" q-table--no-wrap":"")+(!0===this.inFullscreen?" fullscreen scroll":"")},virtProps:function(){var t=this,e={};return Da.forEach((function(n){e[n]=t[n]})),void 0===e.virtualScrollItemSize&&(e.virtualScrollItemSize=!0===this.dense?28:48),e}},render:function(t){var e=[this.getTop(t)],n={staticClass:this.containerClass};return!0===this.grid?e.push(this.getGridHeader(t)):Object.assign(n,{class:this.cardClass,style:this.cardStyle}),e.push(this.getBody(t),this.getBottom(t)),!0===this.loading&&void 0!==this.$scopedSlots.loading&&e.push(this.$scopedSlots.loading()),t("div",n,e)},methods:{requestServerInteraction:function(t){var e=this;void 0===t&&(t={}),this.$nextTick((function(){e.$emit("request",{pagination:t.pagination||e.computedPagination,filter:t.filter||e.filter,getCellValue:e.getCellValue})}))},resetVirtualScroll:function(){!0===this.hasVirtScroll&&this.$refs.virtScroll.reset()},getBody:function(t){if(!0===this.grid)return this.getGridBody(t);var e=!0!==this.hideHeader?this.getTableHeader(t):null;return!0===this.hasVirtScroll?t(xs,{ref:"virtScroll",props:Object.assign({},this.virtProps,{items:this.computedRows,type:"__qtable",tableColspan:this.computedColspan}),on:pt(this,"vs",{"virtual-scroll":this.__onVScroll}),class:this.tableClass,style:this.tableStyle,scopedSlots:{before:null===e?void 0:function(){return e},default:this.getTableRowVirtual(t)}}):bs(t,{staticClass:"scroll",class:this.tableClass,style:this.tableStyle},[e,this.getTableBody(t)])},scrollTo:function(t){if(void 0===this.$refs.virtScroll){t=parseInt(t,10);var e=this.$el.querySelector("tbody tr:nth-of-type("+(t+1)+")");if(null!==e){var n=this.$el.querySelector(".q-table__middle.scroll"),i=e.offsetTop,r=i<n.scrollTop?"decrease":"increase";n.scrollTop=i,this.$emit("virtual-scroll",{index:t,from:0,to:this.pagination.rowsPerPage-1,direction:r})}}else this.$refs.virtScroll.scrollTo(t)},__onVScroll:function(t){this.$emit("virtual-scroll",t)},__getProgress:function(t){return[t(ma,{staticClass:"q-table__linear-progress",props:{color:this.color,dark:this.isDark,indeterminate:!0,trackColor:"transparent"}})]}}}),Ds=t.extend({name:"QTr",mixins:[At],props:{props:Object,noHover:Boolean},computed:{classes:function(){return"q-tr"+(void 0===this.props||!0===this.props.header?"":" "+this.props.__trClass)+(!0===this.noHover?" q-tr--no-hover":"")}},render:function(t){return t("tr",{on:Object.assign({},this.qListeners),class:this.classes},Et(this,"default"))}}),Ps=t.extend({name:"QTd",mixins:[At],props:{props:Object,autoWidth:Boolean,noHover:Boolean},computed:{classes:function(){return"q-td"+(!0===this.autoWidth?" q-table--col-auto-width":"")+(!0===this.noHover?" q-td--no-hover":"")}},render:function(t){var e=this.qListeners;if(void 0===this.props)return t("td",{on:e,class:this.classes},Et(this,"default"));var n=this.$vnode.key,i=void 0!==this.props.colsMap&&n?this.props.colsMap[n]:this.props.col;return void 0!==i?t("td",{on:e,style:i.style,class:this.classes+" "+i.__tdClass},Et(this,"default")):void 0}}),Rs=/\/?$/;function Ns(t,e){return!!e&&(t.path&&e.path?t.path.replace(Rs,"")===e.path.replace(Rs,"")&&t.hash===e.hash&&Sn(t.query,e.query):!(!t.name||!e.name)&&(t.name===e.name&&t.hash===e.hash&&Sn(t.query,e.query)&&Sn(t.params,e.params)))}function Is(t,e){return 0===t.path.replace(Rs,"/").indexOf(e.path.replace(Rs,"/"))&&(!e.hash||t.hash===e.hash)&&function(t,e){for(var n in e)if(!(n in t))return!1;return!0}(t.query,e.query)}var js=t.extend({name:"QRouteTab",mixins:[ci,Wt],props:{to:{required:!0}},inject:{__activateRoute:{},__recalculateScroll:{}},watch:{$route:function(){this.__checkActivation()}},computed:{onEvents:function(){return Object.assign({},{input:y},this.qListeners,{"!click":this.__activate,keyup:this.__onKeyup})}},methods:{__activate:function(t,e){var n=this;if(!0!==this.disable)if(void 0===t||!0!==t.ctrlKey&&!0!==t.shiftKey&&!0!==t.altKey&&!0!==t.metaKey){void 0!==t&&w(t);var i=function(t,e,i){void 0===t&&(t=n.to),void 0===e&&(e=n.append),void 0===i&&(i=n.replace);var r=n.$router.resolve(t,n.$route,e).route,o=t===n.to&&e===n.append&&i===n.replace?n.__checkActivation:m;n.$router[!0===i?"replace":"push"](r,(function(){o(!0)}),(function(t){t&&"NavigationDuplicated"===t.name&&o(!0)}))};void 0!==this.qListeners.click&&this.$emit("click",t,i),!1!==t.navigate&&i()}else this.__checkActivation(!0);!0===e?this.$el.focus(t):void 0!==this.$refs.blurTarget&&this.$refs.blurTarget.focus(t)},__checkActivation:function(t){void 0===t&&(t=!1);var e=this.$route,n=this.$router.resolve(this.to,e,this.append),i=n.href,r=n.location,o=n.route,a=void 0!==o.redirectedFrom,s=Ns(e,o),l=!0===this.exact?Ns:Is,u={name:this.name,selected:t,exact:this.exact,priorityMatched:o.matched.length,priorityHref:i.length};(!0===s||!0!==this.exact&&!0===Is(e,o))&&this.__activateRoute(Object.assign({},u,{redirected:a,exact:!0===this.exact||!0===s})),!0===a&&!0===l(e,Object.assign({},{path:o.redirectedFrom},r))&&this.__activateRoute(u),!0===this.isActive&&this.__activateRoute()}},mounted:function(){this.__recalculateScroll(),void 0!==this.$router&&this.__checkActivation()},beforeDestroy:function(){this.__recalculateScroll(),this.__activateRoute({remove:!0,name:this.name})},render:function(t){return this.__renderTab(t,"router-link",this.routerLinkProps)}}),$s=t.extend({name:"QTime",mixins:[Mi],directives:{TouchPan:Gn},props:{mask:{default:null},format24h:{type:Boolean,default:null},defaultDate:{type:String,validator:function(t){return/^-?[\d]+\/[0-1]\d\/[0-3]\d$/.test(t)}},options:Function,hourOptions:Array,minuteOptions:Array,secondOptions:Array,withSeconds:Boolean,nowBtn:Boolean},data:function(){var t=Pi(this.value,this.__getMask(),this.__getLocale(),this.calendar,this.__getDefaultDateModel()),e="Hour";return null!==t.hour&&(null===t.minute?e="Minute":!0===this.withSeconds&&null===t.second&&(e="Second")),{view:e,isAM:null===t.hour||t.hour<12,innerModel:t}},watch:{value:function(t){var e=Pi(t,this.computedMask,this.computedLocale,this.calendar,this.defaultDateModel);e.dateHash===this.innerModel.dateHash&&e.timeHash===this.innerModel.timeHash||(this.innerModel=e,null===e.hour?this.view="Hour":this.isAM=e.hour<12)},computedMask:function(){var t=this;this.$nextTick((function(){t.__updateValue()}))},computedLocale:function(){var t=this;this.$nextTick((function(){t.__updateValue()}))}},computed:{classes:function(){return"q-time q-time--"+(!0===this.landscape?"landscape":"portrait")+(!0===this.isDark?" q-time--dark q-dark":"")+(!0===this.disable?" disabled":!0===this.readonly?" q-time--readonly":"")+(!0===this.bordered?" q-time--bordered":"")+(!0===this.square?" q-time--square no-border-radius":"")+(!0===this.flat?" q-time--flat no-shadow":"")},stringModel:function(){var t=this.innerModel;return{hour:null===t.hour?"--":!0===this.computedFormat24h?ht(t.hour):String(!0===this.isAM?0===t.hour?12:t.hour:t.hour>12?t.hour-12:t.hour),minute:null===t.minute?"--":ht(t.minute),second:null===t.second?"--":ht(t.second)}},defaultDateModel:function(){return this.__getDefaultDateModel()},computedFormat24h:function(){return null!==this.format24h?this.format24h:this.$q.lang.date.format24h},pointerStyle:function(){var t="Hour"===this.view,e=!0===t?12:60,n=this.innerModel[this.view.toLowerCase()],i="rotate("+(Math.round(n*(360/e))-180)+"deg) translateX(-50%)";return!0===t&&!0===this.computedFormat24h&&this.innerModel.hour>=12&&(i+=" scale(.7)"),{transform:i}},minLink:function(){return null!==this.innerModel.hour},secLink:function(){return!0===this.minLink&&null!==this.innerModel.minute},hourInSelection:function(){var t=this;return void 0!==this.hourOptions?function(e){return t.hourOptions.includes(e)}:void 0!==this.options?function(e){return t.options(e,null,null)}:void 0},minuteInSelection:function(){var t=this;return void 0!==this.minuteOptions?function(e){return t.minuteOptions.includes(e)}:void 0!==this.options?function(e){return t.options(t.innerModel.hour,e,null)}:void 0},secondInSelection:function(){var t=this;return void 0!==this.secondOptions?function(e){return t.secondOptions.includes(e)}:void 0!==this.options?function(e){return t.options(t.innerModel.hour,t.innerModel.minute,e)}:void 0},hourSnappingGrid:function(){return this.__getSnapGrid(this.hourInSelection,24)},minuteSnappingGrid:function(){return this.__getSnapGrid(this.minuteInSelection,60)},secondSnappingGrid:function(){return this.__getSnapGrid(this.secondInSelection,60)},positions:function(){var t,e,n,i=0,r=1;"Hour"===this.view?(n=this.hourInSelection,!0===this.computedFormat24h?(t=0,e=23):(t=0,e=11,!1===this.isAM&&(i=12))):(t=0,e=55,r=5,n="Minute"===this.view?this.minuteInSelection:this.secondInSelection);for(var o=[],a=t,s=t;a<=e;a+=r,s++){var l=a+i,u=void 0!==n&&!1===n(l),c="Hour"===this.view&&0===a?!0===this.format24h?"00":"12":a;o.push({val:l,index:s,disable:u,label:c})}return o}},methods:{setNow:function(){this.__updateValue(Object.assign({},this.__getCurrentDate(),this.__getCurrentTime())),this.view="Hour"},__getSnapGrid:function(t,e){if(void 0!==t){var n=[].concat(Array(e).keys()).map(t),i=e-1-n.lastIndexOf(!0);if(-1!==i){for(var r=0;r<e;r++)if(!0===n[r]){if(i){if(i>1){for(var o=Math.floor(i/2),a=(r-i-1+e)%e,s=(r-i+e)%e,l=0,u=s;l<o;u=(s+ ++l+e)%e)n[u]=a;for(var c=r,d=(r-o+e)%e,h=0,f=d;h<o;f=(d+ ++h+e)%e)n[f]=c}else{var p=(r-1+e)%e;n[p]=p}i=0}n[r]=r}else!1===n[r]&&i++;return n}}},__getMask:function(){return"persian"!==this.calendar&&null!==this.mask?this.mask:"HH:mm"+(!0===this.withSeconds?":ss":"")},__getDefaultDateModel:function(){if("string"!=typeof this.defaultDate){var t=this.__getCurrentDate();return t.dateHash=t.year+"/"+ht(t.month)+"/"+ht(t.day),t}return Pi(this.defaultDate,"YYYY/MM/DD",void 0,this.calendar)},__click:function(t){!0!==this._isBeingDestroyed&&!0!==this._isDestroyed&&(!0!==this.$q.platform.is.desktop&&this.__updateClock(t,this.__getClockRect()),this.__goToNextView())},__activate:function(t){!0!==this._isBeingDestroyed&&!0!==this._isDestroyed&&this.__updateClock(t,this.__getClockRect())},__getClockRect:function(){var t=this.$refs.clock.getBoundingClientRect(),e=t.top,n=t.left,i=t.width/2;return{top:e+i,left:n+i,dist:.7*i}},__goToNextView:function(){"Hour"===this.view?this.view="Minute":this.withSeconds&&"Minute"===this.view&&(this.view="Second")},__drag:function(t){if(!0!==this._isBeingDestroyed&&!0!==this._isDestroyed){if(!0===t.isFirst)return this.draggingClockRect=this.__getClockRect(),void(this.dragCache=this.__updateClock(t.evt,this.draggingClockRect));this.dragCache=this.__updateClock(t.evt,this.draggingClockRect,this.dragCache),!0===t.isFinal&&(this.draggingClockRect=!1,this.dragCache=null,this.__goToNextView())}},__updateClock:function(t,e,n){var i,r=g(t),o=Math.abs(r.top-e.top),a=Math.sqrt(Math.pow(Math.abs(r.top-e.top),2)+Math.pow(Math.abs(r.left-e.left),2)),s=Math.asin(o/a)*(180/Math.PI);if(s=r.top<e.top?e.left<r.left?90-s:270+s:e.left<r.left?s+90:270-s,"Hour"===this.view?(i=Math.round(s/30),!0===this.computedFormat24h?(a<e.dist?i<12&&(i+=12):12===i&&(i=0),this.isAM=i<12):!0===this.isAM&&12===i?i=0:!1===this.isAM&&12!==i&&(i+=12),void 0!==this.hourSnappingGrid&&(i=this.hourSnappingGrid[i])):(i=Math.round(s/6)%60,"Minute"===this.view&&void 0!==this.minuteSnappingGrid?i=this.minuteSnappingGrid[i]:"Second"===this.view&&void 0!==this.secondSnappingGrid&&(i=this.secondSnappingGrid[i])),n===i)return i;var l=this[this.view.toLowerCase()+"InSelection"];return void 0===l||!0===l(i)?(this["__set"+this.view](i),i):void 0},__onKeyupHour:function(t){if(13===t.keyCode)this.view="Hour";else{var e=!0===this.computedFormat24h?24:12,n=!0!==this.computedFormat24h&&!1===this.isAM?12:0;37===t.keyCode?this.__setHour(n+(24+this.innerModel.hour-1)%e):39===t.keyCode&&this.__setHour(n+(24+this.innerModel.hour+1)%e)}},__onKeyupMinute:function(t){13===t.keyCode?this.view="Minute":37===t.keyCode?this.__setMinute((60+this.innerModel.minute-1)%60):39===t.keyCode&&this.__setMinute((60+this.innerModel.minute+1)%60)},__onKeyupSecond:function(t){13===t.keyCode?this.view="Second":37===t.keyCode?this.__setSecond((60+this.innerModel.second-1)%60):39===t.keyCode&&this.__setSecond((60+this.innerModel.second+1)%60)},__getHeader:function(t){var e=this,n=[t("div",{staticClass:"q-time__link",class:"Hour"===this.view?"q-time__link--active":"cursor-pointer",attrs:{tabindex:this.computedTabindex},on:pt(this,"vH",{click:function(){e.view="Hour"},keyup:this.__onKeyupHour})},[this.stringModel.hour]),t("div",[":"]),t("div",!0===this.minLink?{staticClass:"q-time__link",class:"Minute"===this.view?"q-time__link--active":"cursor-pointer",attrs:{tabindex:this.computedTabindex},on:pt(this,"vM",{click:function(){e.view="Minute"},keyup:this.__onKeyupMinute})}:{staticClass:"q-time__link"},[this.stringModel.minute])];return!0===this.withSeconds&&n.push(t("div",[":"]),t("div",!0===this.secLink?{staticClass:"q-time__link",class:"Second"===this.view?"q-time__link--active":"cursor-pointer",attrs:{tabindex:this.computedTabindex},on:pt(this,"vS",{click:function(){e.view="Second"},keyup:this.__onKeyupSecond})}:{staticClass:"q-time__link"},[this.stringModel.second])),t("div",{staticClass:"q-time__header flex flex-center no-wrap",class:this.headerClass},[t("div",{staticClass:"q-time__header-label row items-center no-wrap",attrs:{dir:"ltr"}},n),!1===this.computedFormat24h?t("div",{staticClass:"q-time__header-ampm column items-between no-wrap"},[t("div",{staticClass:"q-time__link",class:!0===this.isAM?"q-time__link--active":"cursor-pointer",attrs:{tabindex:this.computedTabindex},on:pt(this,"AM",{click:this.__setAm,keyup:function(t){13===t.keyCode&&e.__setAm()}})},["AM"]),t("div",{staticClass:"q-time__link",class:!0!==this.isAM?"q-time__link--active":"cursor-pointer",attrs:{tabindex:this.computedTabindex},on:pt(this,"PM",{click:this.__setPm,keyup:function(t){13===t.keyCode&&e.__setPm()}})},["PM"])]):null])},__getClock:function(t){var e=this,n=this.view.toLowerCase(),i=this.innerModel[n];return t("div",{staticClass:"q-time__content col relative-position"},[t("transition",{props:{name:"q-transition--scale"}},[t("div",{key:"clock"+this.view,staticClass:"q-time__container-parent absolute-full"},[t("div",{ref:"clock",staticClass:"q-time__container-child fit overflow-hidden"},[t("div",{staticClass:"q-time__clock cursor-pointer non-selectable",on:pt(this,"click",{click:this.__click,mousedown:this.__activate}),directives:pt(this,"touch",[{name:"touch-pan",value:this.__drag,modifiers:{stop:!0,prevent:!0,mouse:!0}}])},[t("div",{staticClass:"q-time__clock-circle fit"},[t("div",{staticClass:"q-time__clock-pointer",style:this.pointerStyle,class:null===this.innerModel[n]?"hidden":void 0!==this.color?"text-"+this.color:""}),this.positions.map((function(n){return t("div",{staticClass:"q-time__clock-position row flex-center q-time__clock-pos-"+n.index,class:n.val===i?e.headerClass.concat(" q-time__clock-position--active"):!0===n.disable?"q-time__clock-position--disable":null},[t("span",[n.label])])}))])])])])]),!0===this.nowBtn?t(ye,{staticClass:"q-time__now-button absolute",props:{icon:this.$q.iconSet.datetime.now,unelevated:!0,size:"sm",round:!0,color:this.color,textColor:this.textColor,tabindex:this.computedTabindex},on:pt(this,"now",{click:this.setNow})}):null])},__setHour:function(t){this.innerModel.hour!==t&&(this.innerModel.hour=t,this.innerModel.minute=null,this.innerModel.second=null)},__setMinute:function(t){this.innerModel.minute!==t&&(this.innerModel.minute=t,this.innerModel.second=null,!0!==this.withSeconds&&this.__updateValue({minute:t}))},__setSecond:function(t){this.innerModel.second!==t&&this.__updateValue({second:t})},__setAm:function(){this.isAM||(this.isAM=!0,null!==this.innerModel.hour&&(this.innerModel.hour-=12,this.__verifyAndUpdate()))},__setPm:function(){this.isAM&&(this.isAM=!1,null!==this.innerModel.hour&&(this.innerModel.hour+=12,this.__verifyAndUpdate()))},__verifyAndUpdate:function(){return void 0!==this.hourInSelection&&!0!==this.hourInSelection(this.innerModel.hour)?(this.innerModel=Pi(),this.isAM=!0,void(this.view="Hour")):void 0!==this.minuteInSelection&&!0!==this.minuteInSelection(this.innerModel.minute)?(this.innerModel.minute=null,this.innerModel.second=null,void(this.view="Minute")):!0===this.withSeconds&&void 0!==this.secondInSelection&&!0!==this.secondInSelection(this.innerModel.second)?(this.innerModel.second=null,void(this.view="Second")):void(null===this.innerModel.hour||null===this.innerModel.minute||!0===this.withSeconds&&null===this.innerModel.second||this.__updateValue())},__updateValue:function(t){var e=Object.assign(Object.assign({},this.innerModel),t),n="persian"===this.calendar?ht(e.hour)+":"+ht(e.minute)+(!0===this.withSeconds?":"+ht(e.second):""):Qi(new Date(e.year,null===e.month?null:e.month-1,e.day,e.hour,e.minute,e.second,e.millisecond),this.computedMask,this.computedLocale,e.year,e.timezoneOffset);e.changed=n!==this.value,this.$emit("input",n,e)}},render:function(t){var e=[this.__getClock(t)],n=Et(this,"default");return void 0!==n&&e.push(t("div",{staticClass:"q-time__actions"},n)),void 0!==this.name&&!0!==this.disable&&this.__injectFormInput(e,"push"),t("div",{class:this.classes,on:Object.assign({},this.qListeners),attrs:{tabindex:-1}},[this.__getHeader(t),t("div",{staticClass:"q-time__main col overflow-auto"},e)])}}),Fs=t.extend({name:"QTimeline",mixins:[It,At],provide:function(){return{__timeline:this}},props:{color:{type:String,default:"primary"},side:{type:String,default:"right",validator:function(t){return["left","right"].includes(t)}},layout:{type:String,default:"dense",validator:function(t){return["dense","comfortable","loose"].includes(t)}}},computed:{classes:function(){return"q-timeline--"+this.layout+" q-timeline--"+this.layout+"--"+this.side+(!0===this.isDark?" q-timeline--dark":"")}},render:function(t){return t("ul",{staticClass:"q-timeline",class:this.classes,on:Object.assign({},this.qListeners)},Et(this,"default"))}}),Bs=t.extend({name:"QTimelineEntry",inject:{__timeline:{default:function(){console.error("QTimelineEntry needs to be child of QTimeline")}}},mixins:[At],props:{heading:Boolean,tag:{type:String,default:"h3"},side:{type:String,default:"right",validator:function(t){return["left","right"].includes(t)}},icon:String,avatar:String,color:String,title:String,subtitle:String,body:String},computed:{colorClass:function(){return"text-"+(this.color||this.__timeline.color)},classes:function(){return"q-timeline__entry--"+this.side+(void 0!==this.icon||void 0!==this.avatar?" q-timeline__entry--icon":"")},reverse:function(){return"comfortable"===this.__timeline.layout&&"left"===this.__timeline.side}},render:function(t){var e,n=qt(this,"default",[]);if(void 0!==this.body&&n.unshift(this.body),!0===this.heading){var i=[t("div"),t("div"),t(this.tag,{staticClass:"q-timeline__heading-title"},n)];return t("div",{staticClass:"q-timeline__heading",on:Object.assign({},this.qListeners)},!0===this.reverse?i.reverse():i)}void 0!==this.icon?e=[t(Pt,{staticClass:"row items-center justify-center",props:{name:this.icon}})]:void 0!==this.avatar&&(e=[t("img",{staticClass:"q-timeline__dot-img",domProps:{src:this.avatar}})]);var r=[t("div",{staticClass:"q-timeline__subtitle"},[t("span",Et(this,"subtitle",[this.subtitle]))]),t("div",{staticClass:"q-timeline__dot",class:this.colorClass},e),t("div",{staticClass:"q-timeline__content"},[t("h6",{staticClass:"q-timeline__title"},Et(this,"title",[this.title]))].concat(n))];return t("li",{staticClass:"q-timeline__entry",class:this.classes,on:Object.assign({},this.qListeners)},!0===this.reverse?r.reverse():r)}}),zs=t.extend({name:"QToolbar",mixins:[At],props:{inset:Boolean},render:function(t){return t("div",{staticClass:"q-toolbar row no-wrap items-center",class:this.inset?"q-toolbar--inset":null,on:Object.assign({},this.qListeners)},Et(this,"default"))}}),Vs=t.extend({name:"QToolbarTitle",mixins:[At],props:{shrink:Boolean},computed:{classes:function(){return"q-toolbar__title ellipsis"+(!0===this.shrink?" col-shrink":"")}},render:function(t){return t("div",{class:this.classes,on:Object.assign({},this.qListeners)},Et(this,"default"))}}),Hs=t.extend({name:"QTree",mixins:[It],props:{nodes:{type:Array,required:!0},nodeKey:{type:String,required:!0},labelKey:{type:String,default:"label"},childrenKey:{type:String,default:"children"},color:String,controlColor:String,textColor:String,selectedColor:String,icon:String,tickStrategy:{type:String,default:"none",validator:function(t){return["none","strict","leaf","leaf-filtered"].includes(t)}},ticked:Array,expanded:Array,selected:{},defaultExpandAll:Boolean,accordion:Boolean,filter:String,filterMethod:{type:Function,default:function(t,e){var n=e.toLowerCase();return t[this.labelKey]&&t[this.labelKey].toLowerCase().indexOf(n)>-1}},duration:Number,noConnectors:Boolean,noNodesLabel:String,noResultsLabel:String},computed:{classes:function(){return"q-tree"+(!0===this.noConnectors?" q-tree--no-connectors":"")+(!0===this.isDark?" q-tree--dark":"")+(void 0!==this.color?" text-"+this.color:"")},hasSelection:function(){return void 0!==this.selected},computedIcon:function(){return this.icon||this.$q.iconSet.tree.icon},computedControlColor:function(){return this.controlColor||this.color},textColorClass:function(){if(void 0!==this.textColor)return"text-"+this.textColor},selectedColorClass:function(){var t=this.selectedColor||this.color;if(t)return"text-"+t},meta:function(){var t=this,e={},n=function(i,r){var o=i.tickStrategy||(r?r.tickStrategy:t.tickStrategy),a=i[t.nodeKey],s=i[t.childrenKey]&&i[t.childrenKey].length>0,l=!0!==s,u=!0!==i.disabled&&!0===t.hasSelection&&!1!==i.selectable,c=!0!==i.disabled&&!1!==i.expandable,d="none"!==o,h="strict"===o,f="leaf-filtered"===o,p="leaf"===o||"leaf-filtered"===o,m=!0!==i.disabled&&!1!==i.tickable;!0===p&&!0===m&&r&&!0!==r.tickable&&(m=!1);var v=i.lazy;v&&t.lazy[a]&&(v=t.lazy[a]);var g={key:a,parent:r,isParent:s,isLeaf:l,lazy:v,disabled:i.disabled,link:!0!==i.disabled&&(!0===u||!0===c&&(!0===s||!0===v)),children:[],matchesFilter:!t.filter||t.filterMethod(i,t.filter),selected:a===t.selected&&!0===u,selectable:u,expanded:!0===s&&t.innerExpanded.includes(a),expandable:c,noTick:!0===i.noTick||!0!==h&&v&&"loaded"!==v,tickable:m,tickStrategy:o,hasTicking:d,strictTicking:h,leafFilteredTicking:f,leafTicking:p,ticked:(!0===h||!0===l)&&t.innerTicked.includes(a)};if(e[a]=g,!0===s&&(g.children=i[t.childrenKey].map((function(t){return n(t,g)})),t.filter&&(!0!==g.matchesFilter?g.matchesFilter=g.children.some((function(t){return t.matchesFilter})):!0!==g.noTick&&!0!==g.disabled&&!0===g.tickable&&!0===f&&!0===g.children.every((function(t){return!0!==t.matchesFilter||!0===t.noTick||!0!==t.tickable}))&&(g.tickable=!1)),!0===g.matchesFilter&&(!0!==g.noTick&&!0!==h&&!0===g.children.every((function(t){return t.noTick}))&&(g.noTick=!0),p))){if(g.ticked=!1,g.indeterminate=g.children.some((function(t){return!0===t.indeterminate})),g.tickable=!0===g.tickable&&g.children.some((function(t){return t.tickable})),!0!==g.indeterminate){var _=g.children.reduce((function(t,e){return!0===e.ticked?t+1:t}),0);_===g.children.length?g.ticked=!0:_>0&&(g.indeterminate=!0)}!0===g.indeterminate&&(g.indeterminateNextState=g.children.every((function(t){return!0!==t.tickable||!0!==t.ticked})))}return g};return this.nodes.forEach((function(t){return n(t,null)})),e}},data:function(){return{lazy:{},innerTicked:this.ticked||[],innerExpanded:this.expanded||[]}},watch:{ticked:function(t){this.innerTicked=t},expanded:function(t){this.innerExpanded=t}},methods:{getNodeByKey:function(t){var e=this,n=[].reduce,i=function(r,o){return r||!o?r:!0===Array.isArray(o)?n.call(Object(o),i,r):o[e.nodeKey]===t?o:o[e.childrenKey]?i(null,o[e.childrenKey]):void 0};return i(null,this.nodes)},getTickedNodes:function(){var t=this;return this.innerTicked.map((function(e){return t.getNodeByKey(e)}))},getExpandedNodes:function(){var t=this;return this.innerExpanded.map((function(e){return t.getNodeByKey(e)}))},isExpanded:function(t){return!(!t||!this.meta[t])&&this.meta[t].expanded},collapseAll:function(){void 0!==this.expanded?this.$emit("update:expanded",[]):this.innerExpanded=[]},expandAll:function(){var t=this,e=this.innerExpanded,n=function(i){i[t.childrenKey]&&i[t.childrenKey].length>0&&!1!==i.expandable&&!0!==i.disabled&&(e.push(i[t.nodeKey]),i[t.childrenKey].forEach(n))};this.nodes.forEach(n),void 0!==this.expanded?this.$emit("update:expanded",e):this.innerExpanded=e},setExpanded:function(t,e,n,i){var r=this;if(void 0===n&&(n=this.getNodeByKey(t)),void 0===i&&(i=this.meta[t]),i.lazy&&"loaded"!==i.lazy){if("loading"===i.lazy)return;this.$set(this.lazy,t,"loading"),this.$emit("lazy-load",{node:n,key:t,done:function(e){r.lazy[t]="loaded",e&&r.$set(n,r.childrenKey,e),r.$nextTick((function(){var e=r.meta[t];e&&!0===e.isParent&&r.__setExpanded(t,!0)}))},fail:function(){r.$delete(r.lazy,t)}})}else!0===i.isParent&&!0===i.expandable&&this.__setExpanded(t,e)},__setExpanded:function(t,e){var n=this,i=this.innerExpanded,r=void 0!==this.expanded;if(!0===r&&(i=i.slice()),e){if(this.accordion&&this.meta[t]){var o=[];this.meta[t].parent?this.meta[t].parent.children.forEach((function(e){e.key!==t&&!0===e.expandable&&o.push(e.key)})):this.nodes.forEach((function(e){var i=e[n.nodeKey];i!==t&&o.push(i)})),o.length>0&&(i=i.filter((function(t){return!1===o.includes(t)})))}i=i.concat([t]).filter((function(t,e,n){return n.indexOf(t)===e}))}else i=i.filter((function(e){return e!==t}));!0===r?this.$emit("update:expanded",i):this.innerExpanded=i},isTicked:function(t){return!(!t||!this.meta[t])&&this.meta[t].ticked},setTicked:function(t,e){var n=this.innerTicked,i=void 0!==this.ticked;!0===i&&(n=n.slice()),n=e?n.concat(t).filter((function(t,e,n){return n.indexOf(t)===e})):n.filter((function(e){return!1===t.includes(e)})),!0===i&&this.$emit("update:ticked",n)},__getSlotScope:function(t,e,n){var i=this,r={tree:this,node:t,key:n,color:this.color,dark:this.isDark};return Object.defineProperty(r,"expanded",{get:function(){return e.expanded},set:function(t){t!==e.expanded&&i.setExpanded(n,t)},configurable:!0,enumerable:!0}),Object.defineProperty(r,"ticked",{get:function(){return e.ticked},set:function(t){t!==e.ticked&&i.setTicked([n],t)},configurable:!0,enumerable:!0}),r},__getChildren:function(t,e){var n=this;return(this.filter?e.filter((function(t){return n.meta[t[n.nodeKey]].matchesFilter})):e).map((function(e){return n.__getNode(t,e)}))},__getNodeMedia:function(t,e){if(void 0!==e.icon)return t(Pt,{staticClass:"q-tree__icon q-mr-sm",props:{name:e.icon,color:e.iconColor}});var n=e.img||e.avatar;return n?t("img",{staticClass:"q-tree__"+(e.img?"img":"avatar")+" q-mr-sm",attrs:{src:n}}):void 0},__getNode:function(t,e){var n=this,i=e[this.nodeKey],r=this.meta[i],o=e.header&&this.$scopedSlots["header-"+e.header]||this.$scopedSlots["default-header"],a=!0===r.isParent?this.__getChildren(t,e[this.childrenKey]):[],s=a.length>0||r.lazy&&"loaded"!==r.lazy,l=e.body&&this.$scopedSlots["body-"+e.body]||this.$scopedSlots["default-body"],u=void 0!==o||void 0!==l?this.__getSlotScope(e,r,i):null;return void 0!==l&&(l=t("div",{staticClass:"q-tree__node-body relative-position"},[t("div",{class:this.textColorClass},[l(u)])])),t("div",{key:i,staticClass:"q-tree__node relative-position",class:{"q-tree__node--parent":s,"q-tree__node--child":!s}},[t("div",{staticClass:"q-tree__node-header relative-position row no-wrap items-center",class:{"q-tree__node--link q-hoverable q-focusable":r.link,"q-tree__node--selected":r.selected,"q-tree__node--disabled":r.disabled},attrs:{tabindex:r.link?0:-1},on:{click:function(t){n.__onClick(e,r,t)},keypress:function(t){!0!==J(t)&&(13===t.keyCode?n.__onClick(e,r,t,!0):32===t.keyCode&&n.__onExpandClick(e,r,t,!0))}}},[t("div",{staticClass:"q-focus-helper",attrs:{tabindex:-1},ref:"blurTarget_"+r.key}),"loading"===r.lazy?t(Gt,{staticClass:"q-tree__spinner q-mr-xs",props:{color:this.computedControlColor}}):!0===s?t(Pt,{staticClass:"q-tree__arrow q-mr-xs",class:{"q-tree__arrow--rotate":r.expanded},props:{name:this.computedIcon},on:{click:function(t){n.__onExpandClick(e,r,t)}}}):null,!0===r.hasTicking&&!0!==r.noTick?t(Pn,{staticClass:"q-mr-xs",props:{value:!0===r.indeterminate?null:r.ticked,color:this.computedControlColor,dark:this.isDark,dense:!0,keepColor:!0,disable:!0!==r.tickable},on:{keydown:w,input:function(t){n.__onTickedClick(r,t)}}}):null,t("div",{staticClass:"q-tree__node-header-content col row no-wrap items-center",class:r.selected?this.selectedColorClass:this.textColorClass},[o?o(u):[this.__getNodeMedia(t,e),t("div",e[this.labelKey])]])]),!0===s?t(_o,{props:{duration:this.duration},on:pt(this,"slide",{show:function(){n.$emit("after-show")},hide:function(){n.$emit("after-hide")}})},[t("div",{staticClass:"q-tree__node-collapsible",class:this.textColorClass,directives:[{name:"show",value:r.expanded}]},[l,t("div",{staticClass:"q-tree__children",class:{"q-tree__node--disabled":r.disabled}},a)])]):l])},__blur:function(t){var e=this.$refs["blurTarget_"+t];void 0!==e&&e.focus()},__onClick:function(t,e,n,i){!0!==i&&this.__blur(e.key),this.hasSelection?e.selectable&&this.$emit("update:selected",e.key!==this.selected?e.key:null):this.__onExpandClick(t,e,n,i),"function"==typeof t.handler&&t.handler(t)},__onExpandClick:function(t,e,n,i){void 0!==n&&w(n),!0!==i&&this.__blur(e.key),this.setExpanded(e.key,!e.expanded,t,e)},__onTickedClick:function(t,e){if(!0===t.indeterminate&&(e=t.indeterminateNextState),t.strictTicking)this.setTicked([t.key],e);else if(t.leafTicking){var n=[],i=function(t){t.isParent?(!0!==e&&!0!==t.noTick&&!0===t.tickable&&n.push(t.key),!0===t.leafTicking&&t.children.forEach(i)):!0===t.noTick||!0!==t.tickable||!0===t.leafFilteredTicking&&!0!==t.matchesFilter||n.push(t.key)};i(t),this.setTicked(n,e)}}},render:function(t){var e=this.__getChildren(t,this.nodes);return t("div",{class:this.classes},0===e.length?this.filter?this.noResultsLabel||this.$q.lang.tree.noResults:this.noNodesLabel||this.$q.lang.tree.noNodes:e)},created:function(){!0===this.defaultExpandAll&&this.expandAll()}}),Us=t.extend({name:"QUploaderBase",mixins:[It,Rr],props:{label:String,color:String,textColor:String,square:Boolean,flat:Boolean,bordered:Boolean,noThumbnails:Boolean,autoUpload:Boolean,hideUploadBtn:Boolean,disable:Boolean,readonly:Boolean},provide:function(){return{__qUploaderGetInput:this.__getInputControl}},data:function(){return{files:[],queuedFiles:[],uploadedFiles:[],dnd:!1,expanded:!1,uploadSize:0,uploadedSize:0}},watch:{isUploading:function(t,e){!1===e&&!0===t?this.$emit("start"):!0===e&&!1===t&&this.$emit("finish")}},computed:{canUpload:function(){return!0===this.editable&&!0!==this.isBusy&&!0!==this.isUploading&&this.queuedFiles.length>0},canAddFiles:function(){return!0===this.editable&&!0!==this.isUploading&&(!0===this.multiple||0===this.queuedFiles.length)&&(void 0===this.maxFiles||this.files.length<this.maxFilesNumber)&&(void 0===this.maxTotalSize||this.uploadSize<this.maxTotalSizeNumber)},uploadProgress:function(){return 0===this.uploadSize?0:this.uploadedSize/this.uploadSize},uploadProgressLabel:function(){return this.__getProgressLabel(this.uploadProgress)},uploadedSizeLabel:function(){return lt(this.uploadedSize)},uploadSizeLabel:function(){return lt(this.uploadSize)},colorClass:function(){var t=[];return void 0!==this.color&&t.push("bg-"+this.color),void 0!==this.textColor&&t.push("text-"+this.textColor),t.join(" ")},editable:function(){return!0!==this.disable&&!0!==this.readonly}},methods:{reset:function(){this.disable||(this.abort(),this.uploadedSize=0,this.uploadSize=0,this.__revokeImgURLs(),this.files=[],this.queuedFiles=[],this.uploadedFiles=[])},removeUploadedFiles:function(){this.disable||(this.files=this.files.filter((function(t){return"uploaded"!==t.__status||(void 0!==t._img&&window.URL.revokeObjectURL(t._img.src),!1)})),this.uploadedFiles=[])},removeQueuedFiles:function(){var t=this;if(!this.disable){var e=[],n=this.files.filter((function(n){return"idle"!==n.__status&&"failed"!==n.__status||(t.uploadSize-=n.size,e.push(n),void 0!==n._img&&window.URL.revokeObjectURL(n._img.src),!1)}));e.length>0&&(this.files=n,this.queuedFiles=[],this.$emit("removed",e))}},removeFile:function(t){this.disable||("uploaded"===t.__status?this.uploadedFiles=this.uploadedFiles.filter((function(e){return e.name!==t.name})):"uploading"===t.__status?t.__abort():this.uploadSize-=t.size,this.files=this.files.filter((function(e){return e.name!==t.name||(void 0!==e._img&&window.URL.revokeObjectURL(e._img.src),!1)})),this.queuedFiles=this.queuedFiles.filter((function(e){return e.name!==t.name})),this.$emit("removed",[t]))},__revokeImgURLs:function(){this.files.forEach((function(t){void 0!==t._img&&window.URL.revokeObjectURL(t._img.src)}))},__getFileInput:function(){return this.$refs.input||this.$el.getElementsByClassName("q-uploader__input")[0]},__getProgressLabel:function(t){return(100*t).toFixed(2)+"%"},__updateFile:function(t,e,n){if(t.__status=e,"idle"===e)return t.__uploaded=0,t.__progress=0,t.__sizeLabel=lt(t.size),void(t.__progressLabel="0.00%");"failed"!==e?(t.__uploaded="uploaded"===e?t.size:n,t.__progress="uploaded"===e?1:Math.min(.9999,t.__uploaded/t.size),t.__progressLabel=this.__getProgressLabel(t.__progress),this.$forceUpdate()):this.$forceUpdate()},__addFiles:function(t,e){var n=this,i=this.__processFiles(t,e,this.files,!0);if(void 0!==i){var r=i.filter((function(t){return-1===n.files.findIndex((function(e){return t.name===e.name}))}));this.__getFileInput().value="",void 0!==r&&(r.forEach((function(t){if(n.__updateFile(t,"idle"),n.uploadSize+=t.size,!0!==n.noThumbnails&&t.type.toUpperCase().startsWith("IMAGE")){var e=new Image;e.src=window.URL.createObjectURL(t),t.__img=e}})),this.files=this.files.concat(r),this.queuedFiles=this.queuedFiles.concat(r),this.$emit("added",r),!0===this.autoUpload&&this.upload())}},__getBtn:function(t,e,n,i){if(!0===e)return t(ye,{props:{type:"a",icon:this.$q.iconSet.uploader[n],flat:!0,dense:!0},on:"add"===n?null:{click:i}},"add"===n?this.__getInputControl(t):null)},__getInputControl:function(t){return[t("input",{ref:"input",staticClass:"q-uploader__input overflow-hidden absolute-full",attrs:Object.assign({},{tabindex:-1,type:"file",title:"",accept:this.accept,capture:this.capture},!0===this.multiple?{multiple:!0}:{}),on:pt(this,"input",{mousedown:y,change:this.__addFiles})})]},__getHeader:function(t){return void 0!==this.$scopedSlots.header?this.$scopedSlots.header(this):[t("div",{staticClass:"q-uploader__header-content flex flex-center no-wrap q-gutter-xs"},[this.__getBtn(t,this.queuedFiles.length>0,"removeQueue",this.removeQueuedFiles),this.__getBtn(t,this.uploadedFiles.length>0,"removeUploaded",this.removeUploadedFiles),!0===this.isUploading?t(Gt,{staticClass:"q-uploader__spinner"}):null,t("div",{staticClass:"col column justify-center"},[void 0!==this.label?t("div",{staticClass:"q-uploader__title"},[this.label]):null,t("div",{staticClass:"q-uploader__subtitle"},[this.uploadSizeLabel+" / "+this.uploadProgressLabel])]),this.__getBtn(t,this.canAddFiles,"add",this.pickFiles),this.__getBtn(t,!1===this.hideUploadBtn&&!0===this.canUpload,"upload",this.upload),this.__getBtn(t,this.isUploading,"clear",this.abort)])]},__getList:function(t){var e=this;return void 0!==this.$scopedSlots.list?this.$scopedSlots.list(this):this.files.map((function(n){return t("div",{key:n.name,staticClass:"q-uploader__file relative-position",class:{"q-uploader__file--img":!0!==e.noThumbnails&&void 0!==n.__img,"q-uploader__file--failed":"failed"===n.__status,"q-uploader__file--uploaded":"uploaded"===n.__status},style:!0!==e.noThumbnails&&void 0!==n.__img?{backgroundImage:'url("'+n.__img.src+'")'}:null},[t("div",{staticClass:"q-uploader__file-header row flex-center no-wrap"},["failed"===n.__status?t(Pt,{staticClass:"q-uploader__file-status",props:{name:e.$q.iconSet.type.negative,color:"negative"}}):null,t("div",{staticClass:"q-uploader__file-header-content col"},[t("div",{staticClass:"q-uploader__title"},[n.name]),t("div",{staticClass:"q-uploader__subtitle row items-center no-wrap"},[n.__sizeLabel+" / "+n.__progressLabel])]),"uploading"===n.__status?t(jn,{props:{value:n.__progress,min:0,max:1,indeterminate:0===n.__progress}}):t(ye,{props:{round:!0,dense:!0,flat:!0,icon:e.$q.iconSet.uploader["uploaded"===n.__status?"done":"clear"]},on:{click:function(){e.removeFile(n)}}})])])}))}},beforeDestroy:function(){!0===this.isUploading&&this.abort(),this.files.length>0&&this.__revokeImgURLs()},render:function(t){var e=[t("div",{staticClass:"q-uploader__header",class:this.colorClass},this.__getHeader(t)),t("div",{staticClass:"q-uploader__list scroll"},this.__getList(t)),this.__getDnd(t,"uploader")];return!0===this.isBusy&&e.push(t("div",{staticClass:"q-uploader__overlay absolute-full flex flex-center"},[t(Gt)])),t("div",{staticClass:"q-uploader column no-wrap",class:{"q-uploader--dark q-dark":this.isDark,"q-uploader--bordered":this.bordered,"q-uploader--square no-border-radius":this.square,"q-uploader--flat no-shadow":this.flat,"disabled q-uploader--disable":this.disable},on:!0===this.canAddFiles?pt(this,"drag",{dragover:this.__onDragOver}):null},e)}});function Ws(t){return"function"==typeof t?t:function(){return t}}var Ys={props:{url:[Function,String],method:{type:[Function,String],default:"POST"},fieldName:{type:[Function,String],default:function(t){return t.name}},headers:[Function,Array],formFields:[Function,Array],withCredentials:[Function,Boolean],sendRaw:[Function,Boolean],batch:[Function,Boolean],factory:Function},data:function(){return{xhrs:[],promises:[],workingThreads:0}},computed:{xhrProps:function(){return{url:Ws(this.url),method:Ws(this.method),headers:Ws(this.headers),formFields:Ws(this.formFields),fieldName:Ws(this.fieldName),withCredentials:Ws(this.withCredentials),sendRaw:Ws(this.sendRaw),batch:Ws(this.batch)}},isUploading:function(){return this.workingThreads>0},isBusy:function(){return this.promises.length>0}},methods:{abort:function(){this.xhrs.forEach((function(t){t.abort()})),this.promises.length>0&&(this.abortPromises=!0)},upload:function(){var t=this;if(!1!==this.canUpload){var e=this.queuedFiles.slice(0);this.queuedFiles=[],this.xhrProps.batch(e)?this.__runFactory(e):e.forEach((function(e){t.__runFactory([e])}))}},__runFactory:function(t){var e=this;if(this.workingThreads++,"function"==typeof this.factory){var n=this.factory(t);if(n)if("function"==typeof n.catch&&"function"==typeof n.then){this.promises.push(n);var i=function(i){!0!==e._isBeingDestroyed&&!0!==e._isDestroyed&&(e.promises=e.promises.filter((function(t){return t!==n})),0===e.promises.length&&(e.abortPromises=!1),e.queuedFiles=e.queuedFiles.concat(t),t.forEach((function(t){e.__updateFile(t,"failed")})),e.$emit("factory-failed",i,t),e.workingThreads--)};n.then((function(r){!0===e.abortPromises?i(new Error("Aborted")):!0!==e._isBeingDestroyed&&!0!==e._isDestroyed&&(e.promises=e.promises.filter((function(t){return t!==n})),e.__uploadFiles(t,r))})).catch(i)}else this.__uploadFiles(t,n||{});else this.$emit("factory-failed",new Error("QUploader: factory() does not return properly"),t),this.workingThreads--}else this.__uploadFiles(t,{})},__uploadFiles:function(t,e){var n=this,i=new FormData,r=new XMLHttpRequest,o=function(t,i){return void 0!==e[t]?Ws(e[t])(i):n.xhrProps[t](i)},a=o("url",t);if(!a)return console.error("q-uploader: invalid or no URL specified"),void this.workingThreads--;var s=o("formFields",t);void 0!==s&&s.forEach((function(t){i.append(t.name,t.value)}));var l,u=0,c=0,d=0,h=0;r.upload.addEventListener("progress",(function(e){if(!0!==l){var i=Math.min(h,e.loaded);n.uploadedSize+=i-d;for(var r=(d=i)-c,o=u;r>0&&o<t.length;o++){var a=t[o];if(!(r>a.size))return void n.__updateFile(a,"uploading",r);r-=a.size,u++,c+=a.size,n.__updateFile(a,"uploading",a.size)}}}),!1),r.onreadystatechange=function(){r.readyState<4||(r.status&&r.status<400?(n.uploadedFiles=n.uploadedFiles.concat(t),t.forEach((function(t){n.__updateFile(t,"uploaded")})),n.$emit("uploaded",{files:t,xhr:r})):(l=!0,n.uploadedSize-=d,n.queuedFiles=n.queuedFiles.concat(t),t.forEach((function(t){n.__updateFile(t,"failed")})),n.$emit("failed",{files:t,xhr:r})),n.workingThreads--,n.xhrs=n.xhrs.filter((function(t){return t!==r})))},r.open(o("method",t),a),!0===o("withCredentials",t)&&(r.withCredentials=!0);var f=o("headers",t);void 0!==f&&f.forEach((function(t){r.setRequestHeader(t.name,t.value)}));var p=o("sendRaw",t);t.forEach((function(t){n.__updateFile(t,"uploading",0),!0!==p&&i.append(o("fieldName",t),t,t.name),t.xhr=r,t.__abort=function(){r.abort()},h+=t.size})),this.$emit("uploading",{files:t,xhr:r}),this.xhrs.push(r),!0===p?r.send(new Blob(t)):r.send(i)}}},Qs=t.extend({name:"QUploader",mixins:[Us,Ys]}),Gs=t.extend({name:"QUploaderAddTrigger",inject:{__qUploaderGetInput:{default:function(){console.error("QUploaderAddTrigger needs to be child of QUploader")}}},render:function(t){return this.__qUploaderGetInput(t)}}),Ks=t.extend({name:"QVideo",mixins:[No,At],props:{src:{type:String,required:!0}},computed:{iframeData:function(){return{attrs:{src:this.src,frameborder:"0",allowfullscreen:!0}}},classes:function(){return"q-video"+(void 0!==this.ratio?" q-video--responsive":"")}},render:function(t){return t("div",{class:this.classes,style:this.ratioStyle,on:Object.assign({},this.qListeners)},[t("iframe",this.iframeData)])}}),Zs=Object.freeze({__proto__:null,QAjaxBar:St,QAvatar:Rt,QBadge:Nt,QBanner:$t,QBar:Bt,QBreadcrumbs:Ut,QBreadcrumbsEl:Yt,QBtn:ye,QBtnDropdown:sn,QBtnGroup:be,QBtnToggle:cn,QCard:dn,QCardSection:hn,QCardActions:fn,QCarousel:Tn,QCarouselSlide:On,QCarouselControl:An,QChatMessage:En,QCheckbox:Pn,QChip:Rn,QCircularProgress:jn,QColor:pi,QDate:sr,QDialog:wr,QDrawer:kr,QEditor:vo,QExpansionItem:ko,QFab:Oo,QFabAction:qo,QField:Dr,QFile:Lo,QFooter:Do,QForm:Po,QHeader:Ro,QIcon:Pt,QImg:Io,QInfiniteScroll:jo,QInnerLoading:$o,QInput:Qr,QIntersection:Ho,QList:Kr,QItem:Zr,QItemSection:Jr,QItemLabel:go,QKnob:Wo,QLayout:Go,QMarkupTable:Ko,QMenu:an,QNoSsr:Zo,QOptionGroup:na,QPage:ia,QPageContainer:ra,QPageScroller:aa,QPageSticky:oa,QPagination:sa,QParallax:ca,QPopupEdit:ha,QPopupProxy:fa,QLinearProgress:ma,QPullToRefresh:ga,QRadio:Jo,QRange:wa,QRating:xa,QResizeObserver:ni,QResponsive:ka,QScrollArea:Sa,QScrollObserver:Qo,QSelect:Na,QSeparator:wo,QSkeleton:$a,QSlideItem:Ba,QSlideTransition:_o,QSlider:ti,QSpace:za,QSpinner:Gt,QSpinnerAudio:Va,QSpinnerBall:Ha,QSpinnerBars:Ua,QSpinnerComment:Wa,QSpinnerCube:Ya,QSpinnerDots:Qa,QSpinnerFacebook:Ga,QSpinnerGears:Ka,QSpinnerGrid:Za,QSpinnerHearts:Ja,QSpinnerHourglass:Xa,QSpinnerInfinity:ts,QSpinnerIos:es,QSpinnerOval:ns,QSpinnerPie:is,QSpinnerPuff:rs,QSpinnerRadio:os,QSpinnerRings:as,QSpinnerTail:ss,QSplitter:ls,QStep:ds,QStepper:hs,QStepperNavigation:fs,QTabPanels:di,QTabPanel:hi,QTable:Ls,QTh:ps,QTr:Ds,QTd:Ps,QTabs:li,QTab:ci,QRouteTab:js,QTime:$s,QTimeline:Fs,QTimelineEntry:Bs,QToggle:Xo,QToolbar:zs,QToolbarTitle:Vs,QTooltip:Gr,QTree:Hs,QUploader:Qs,QUploaderBase:Us,QUploaderAddTrigger:Gs,QVideo:Ks,QVirtualScroll:xs});function Js(t){if(!1===t)return 0;if(!0===t||void 0===t)return 1;var e=parseInt(t,10);return isNaN(e)?0:e}function Xs(t){var e=t.__qclosepopup;void 0!==e&&(t.removeEventListener("click",e.handler),t.removeEventListener("keyup",e.handlerKey),delete t.__qclosepopup)}var tl={name:"close-popup",bind:function(t,e,n){var i=e.value;void 0!==t.__qclosepopup&&(Xs(t),t.__qclosepopup_destroyed=!0);var r={depth:Js(i),handler:function(t){0!==r.depth&&setTimeout((function(){!function(t,e,n){for(;0!==n&&void 0!==t;){if(void 0!==t.__renderPortal){if(n--,"QMenu"===t.$options.name){t=Ce(t,e);continue}t.hide(e)}t=t.$parent}}(n.componentInstance||n.context,t,r.depth)}))},handlerKey:function(t){!0===X(t,13)&&r.handler(t)}};t.__qclosepopup=r,t.addEventListener("click",r.handler),t.addEventListener("keyup",r.handlerKey)},update:function(t,e){var n=e.value,i=e.oldValue;void 0!==t.__qclosepopup&&n!==i&&(t.__qclosepopup.depth=Js(n))},unbind:function(t){void 0===t.__qclosepopup_destroyed?Xs(t):delete t.__qclosepopup_destroyed}};function el(t){var e=t.__qgoback;void 0!==e&&(t.removeEventListener("click",e.goBack),t.removeEventListener("keyup",e.goBackKey),delete t.__qgoback)}var nl={name:"go-back",bind:function(t,e,n){var i=e.value,r=e.modifiers;void 0!==t.__qgoback&&(el(t),t.__qgoback_destroyed=!0);var o={value:i,position:window.history.length-1,single:r.single,goBack:function(){var t=n.context.$router;!0===o.single?t.go(-1):!0===d.is.nativeMobile?t.go(o.position-window.history.length):t.replace(o.value)},goBackKey:function(t){!0===X(t,13)&&o.goBack()}};t.__qgoback=o,t.addEventListener("click",o.goBack),t.addEventListener("keyup",o.goBackKey)},update:function(t,e){var n=e.value,i=e.oldValue,r=t.__qgoback;void 0!==r&&n!==i&&(r.value=n)},unbind:function(t){void 0===t.__qgoback_destroyed?el(t):delete t.__qgoback_destroyed}},il=0,rl=void 0;function ol(t,e){void 0===rl&&((rl=document.createElement("div")).style.cssText="position: absolute; left: 0; top: 0",document.body.appendChild(rl));var n=t.getBoundingClientRect(),i=rl.getBoundingClientRect(),r=window.getComputedStyle(t),o=r.marginLeft,a=r.marginRight,s=r.marginTop,l=r.marginBottom,u=parseInt(o,10)+parseInt(a,10),c=parseInt(s,10)+parseInt(l,10);return{left:n.left-i.left,top:n.top-i.top,width:n.right-n.left,height:n.bottom-n.top,widthM:n.right-n.left+(!0===e?0:u),heightM:n.bottom-n.top+(!0===e?0:c),marginH:!0===e?u:0,marginV:!0===e?c:0}}function al(t){return{width:t.scrollWidth,height:t.scrollHeight}}var sl=["Top","Right","Bottom","Left"],ll=["borderTopLeftRadius","borderTopRightRadius","borderBottomRightRadius","borderBottomLeftRadius"];function ul(t,e){for(var n=window.getComputedStyle(t),i={},r=0;r<e.length;r++){var o=e[r];if(""===n[o])if("cssText"===o){for(var a=n.length,s="",l=0;l<a;l++)s+=n[l]+": "+n[n[l]]+"; ";i[o]=s}else if(["borderWidth","borderStyle","borderColor"].indexOf(o)>-1){for(var u=o.replace("border",""),c="",d=0;d<sl.length;d++){c+=n["border"+sl[d]+u]+" "}i[o]=c}else if("borderRadius"===o){for(var h="",f="",p=0;p<ll.length;p++){var m=n[ll[p]].split(" ");h+=m[0]+" ",f+=(void 0===m[1]?m[0]:m[1])+" "}i[o]=h+"/ "+f}else i[o]=n[o];else i[o]=n[o]}return i}function cl(t){var e=typeof t;return"function"===e?t():"string"===e?document.querySelector(t):t}function dl(t){return t&&t.ownerDocument===document&&null!==t.parentNode}function hl(t){var e=function(){return!1},n=!1,i=!0,r=function(t){return{from:t.from,to:void 0!==t.to?t.to:t.from}}(t),o=function(t){return"number"==typeof t?t={duration:t}:"function"==typeof t&&(t={onEnd:t}),Object.assign({},t,{waitFor:void 0===t.waitFor?0:t.waitFor,duration:!0===isNaN(t.duration)?300:parseInt(t.duration,10),easing:"string"==typeof t.easing&&t.easing.length>0?t.easing:"ease-in-out",delay:!0===isNaN(t.delay)?0:parseInt(t.delay,10),fill:"string"==typeof t.fill&&t.fill.length>0?t.fill:"none",resize:!0===t.resize,useCSS:!0===t.useCSS,hideFromClone:!0===t.hideFromClone,keepToClone:!0===t.keepToClone,tween:!0===t.tween,tweenFromOpacity:!0===isNaN(t.tweenFromOpacity)?.6:parseFloat(t.tweenFromOpacity),tweenToOpacity:!0===isNaN(t.tweenToOpacity)?.5:parseFloat(t.tweenToOpacity)})}(t),a=cl(r.from);if(!0!==dl(a))return e;"function"==typeof a.qMorphCancel&&a.qMorphCancel();var s=void 0,l=void 0,u=void 0,c=void 0,d=a.parentNode,h=a.nextElementSibling,f=ol(a,o.resize),p=al(d),m=p.width,v=p.height,g=ul(a,["borderWidth","borderStyle","borderColor","borderRadius","backgroundColor","transform","position","cssText"]),_=g.borderWidth,y=g.borderStyle,b=g.borderColor,w=g.borderRadius,x=g.backgroundColor,k=g.transform,S=g.position,C=g.cssText,M=a.classList.toString(),T=a.style.cssText,O=a.cloneNode(!0),A=!0===o.tween?a.cloneNode(!0):void 0;void 0!==A&&(A.className=A.classList.toString().split(" ").filter((function(t){return!1===/^bg-/.test(t)})).join(" ")),!0===o.hideFromClone&&O.classList.add("q-morph--internal"),O.setAttribute("aria-hidden","true"),O.style.transition="none",O.style.animation="none",O.style.pointerEvents="none",d.insertBefore(O,h),a.qMorphCancel=function(){n=!0,O.remove(),void 0!==A&&A.remove(),!0===o.hideFromClone&&O.classList.remove("q-morph--internal"),a.qMorphCancel=void 0};return"function"==typeof t.onToggle&&t.onToggle(),requestAnimationFrame((function(){var t=cl(r.to);if(!0!==n&&!0===dl(t)){a!==t&&"function"==typeof t.qMorphCancel&&t.qMorphCancel(),!0!==o.keepToClone&&t.classList.add("q-morph--internal"),O.classList.add("q-morph--internal");var h=al(d),p=h.width,g=h.height,E=al(t.parentNode),q=E.width,L=E.height;!0!==o.hideFromClone&&O.classList.remove("q-morph--internal"),t.qMorphCancel=function(){n=!0,O.remove(),void 0!==A&&A.remove(),!0===o.hideFromClone&&O.classList.remove("q-morph--internal"),!0!==o.keepToClone&&t.classList.remove("q-morph--internal"),a.qMorphCancel=void 0,t.qMorphCancel=void 0};var D=function(){if(!0!==n){!0!==o.hideFromClone&&(O.classList.add("q-morph--internal"),O.innerHTML="",O.style.left=0,O.style.right="unset",O.style.top=0,O.style.bottom="unset",O.style.transform="none"),!0!==o.keepToClone&&t.classList.remove("q-morph--internal");var r=t.parentNode,h=al(r),E=h.width,D=h.height,P=t.cloneNode(o.keepToClone);P.setAttribute("aria-hidden","true"),!0!==o.keepToClone&&(P.style.left=0,P.style.right="unset",P.style.top=0,P.style.bottom="unset",P.style.transform="none",P.style.pointerEvents="none"),P.classList.add("q-morph--internal");var R=t===a&&d===r?O:t.nextElementSibling;r.insertBefore(P,R);var N=ul(t,["borderWidth","borderStyle","borderColor","borderRadius","backgroundColor","transform","position","cssText"]),I=N.borderWidth,j=N.borderStyle,$=N.borderColor,F=N.borderRadius,B=N.backgroundColor,z=N.transform,V=N.position,H=N.cssText,U=t.classList.toString(),W=t.style.cssText;t.style.cssText=H,t.style.transform="none",t.style.animation="none",t.style.transition="none",t.className=U.split(" ").filter((function(t){return!1===/^bg-/.test(t)})).join(" ");for(var Y=ol(t,o.resize),Q=f.left-Y.left,G=f.top-Y.top,K=f.width/(Y.width>0?Y.width:10),Z=f.height/(Y.height>0?Y.height:100),J=m-p,X=v-g,tt=E-q,et=D-L,nt=Math.max(f.widthM,J),it=Math.max(f.heightM,X),rt=Math.max(Y.widthM,tt),ot=Math.max(Y.heightM,et),at=a===t&&!1===["absolute","fixed"].includes(V)&&!1===["absolute","fixed"].includes(S),st="fixed"===V,lt=r;!0!==st&&lt!==document;)st="fixed"===window.getComputedStyle(lt).position,lt=lt.parentNode;if(!0!==o.hideFromClone&&(O.style.display="block",O.style.flex="0 0 auto",O.style.opacity=0,O.style.minWidth="unset",O.style.maxWidth="unset",O.style.minHeight="unset",O.style.maxHeight="unset",O.classList.remove("q-morph--internal")),!0!==o.keepToClone&&(P.style.display="block",P.style.flex="0 0 auto",P.style.opacity=0,P.style.minWidth="unset",P.style.maxWidth="unset",P.style.minHeight="unset",P.style.maxHeight="unset"),P.classList.remove("q-morph--internal"),"string"==typeof o.classes&&(t.className+=" "+o.classes),"string"==typeof o.style)t.style.cssText+=" "+o.style;else if(o.style===Object(o.style))for(var ut in o.style)t.style[ut]=o.style[ut];var ct=!0===st?document.documentElement:{scrollLeft:0,scrollTop:0};t.style.position=!0===st?"fixed":"absolute",t.style.left=Y.left-ct.scrollLeft+"px",t.style.right="unset",t.style.top=Y.top-ct.scrollTop+"px",t.style.margin=0,!0===o.resize&&(t.style.minWidth="unset",t.style.maxWidth="unset",t.style.minHeight="unset",t.style.maxHeight="unset",t.style.overflow="hidden",t.style.overflowX="hidden",t.style.overflowY="hidden"),document.body.appendChild(t),void 0!==A&&(A.style.cssText=C,A.style.transform="none",A.style.animation="none",A.style.transition="none",A.style.position=t.style.position,A.style.left=f.left-ct.scrollLeft+"px",A.style.right="unset",A.style.top=f.top-ct.scrollTop+"px",A.style.margin=0,A.style.pointerEvents="none",!0===o.resize&&(A.style.minWidth="unset",A.style.maxWidth="unset",A.style.minHeight="unset",A.style.maxHeight="unset",A.style.overflow="hidden",A.style.overflowX="hidden",A.style.overflowY="hidden"),document.body.appendChild(A));var dt=function(n){a===t&&!0!==i?(t.style.cssText=T,t.className=M):(t.style.cssText=W,t.className=U),P.parentNode===r&&r.insertBefore(t,P),O.remove(),P.remove(),void 0!==A&&A.remove(),e=function(){return!1},a.qMorphCancel=void 0,t.qMorphCancel=void 0,"function"==typeof o.onEnd&&o.onEnd(!0===i?"to":"from",!0===n)};if(!0!==o.useCSS&&"function"==typeof t.animate){var ht=!0===o.resize?{transform:"translate("+Q+"px, "+G+"px)",width:nt+"px",height:it+"px"}:{transform:"translate("+Q+"px, "+G+"px) scale("+K+", "+Z+")"},ft=!0===o.resize?{width:rt+"px",height:ot+"px"}:{},pt=!0===o.resize?{width:nt+"px",height:it+"px"}:{},mt=!0===o.resize?{transform:"translate("+-1*Q+"px, "+-1*G+"px)",width:rt+"px",height:ot+"px"}:{transform:"translate("+-1*Q+"px, "+-1*G+"px) scale("+1/K+", "+1/Z+")"},vt=void 0!==A?{opacity:o.tweenToOpacity}:{backgroundColor:x},gt=void 0!==A?{opacity:1}:{backgroundColor:B};c=t.animate([Object.assign({},{margin:0,borderWidth:_,borderStyle:y,borderColor:b,borderRadius:w,transformOrigin:"0 0"},ht,vt),Object.assign({},{margin:0,borderWidth:I,borderStyle:j,borderColor:$,borderRadius:F,transformOrigin:"0 0",transform:z},ft,gt)],{duration:o.duration,easing:o.easing,fill:o.fill,delay:o.delay}),l=void 0===A?void 0:A.animate([Object.assign({},{opacity:o.tweenFromOpacity,margin:0,borderWidth:_,borderStyle:y,borderColor:b,borderRadius:w,transformOrigin:"0 0",transform:k},pt),Object.assign({},{opacity:0,margin:0,borderWidth:I,borderStyle:j,borderColor:$,borderRadius:F,transformOrigin:"0 0"},mt)],{duration:o.duration,easing:o.easing,fill:o.fill,delay:o.delay}),s=!0===o.hideFromClone||!0===at?void 0:O.animate([{margin:(X<0?X/2:0)+"px "+(J<0?J/2:0)+"px",width:nt+f.marginH+"px",height:it+f.marginV+"px"},{margin:0,width:0,height:0}],{duration:o.duration,easing:o.easing,fill:o.fill,delay:o.delay}),u=!0===o.keepToClone?void 0:P.animate([!0===at?{margin:(X<0?X/2:0)+"px "+(J<0?J/2:0)+"px",width:nt+f.marginH+"px",height:it+f.marginV+"px"}:{margin:0,width:0,height:0},{margin:(et<0?et/2:0)+"px "+(tt<0?tt/2:0)+"px",width:rt+Y.marginH+"px",height:ot+Y.marginV+"px"}],{duration:o.duration,easing:o.easing,fill:o.fill,delay:o.delay});var _t=function(t){void 0!==s&&s.cancel(),void 0!==l&&l.cancel(),void 0!==u&&u.cancel(),c.cancel(),c.removeEventListener("finish",_t),c.removeEventListener("cancel",_t),dt(t),s=void 0,l=void 0,u=void 0,c=void 0};a.qMorphCancel=function(){a.qMorphCancel=void 0,n=!0,_t()},t.qMorphCancel=function(){t.qMorphCancel=void 0,n=!0,_t()},c.addEventListener("finish",_t),c.addEventListener("cancel",_t),e=function(t){return!0!==n&&void 0!==c&&(!0===t?(_t(!0),!0):(i=!0!==i,void 0!==s&&s.reverse(),void 0!==l&&l.reverse(),void 0!==u&&u.reverse(),c.reverse(),!0))}}else{var yt="q-morph-anim-"+ ++il,bt=document.createElement("style"),wt=!0===o.resize?"\n            transform: translate("+Q+"px, "+G+"px);\n            width: "+nt+"px;\n            height: "+it+"px;\n          ":"transform: translate("+Q+"px, "+G+"px) scale("+K+", "+Z+");",xt=!0===o.resize?"\n            width: "+rt+"px;\n            height: "+ot+"px;\n          ":"",kt=!0===o.resize?"\n            width: "+nt+"px;\n            height: "+it+"px;\n          ":"",St=!0===o.resize?"\n            transform: translate("+-1*Q+"px, "+-1*G+"px);\n            width: "+rt+"px;\n            height: "+ot+"px;\n          ":"transform: translate("+-1*Q+"px, "+-1*G+"px) scale("+1/K+", "+1/Z+");",Ct=void 0!==A?"opacity: "+o.tweenToOpacity+";":"background-color: "+x+";",Mt=void 0!==A?"opacity: 1;":"background-color: "+B+";",Tt=void 0===A?"":"\n            @keyframes "+yt+"-from-tween {\n              0% {\n                opacity: "+o.tweenFromOpacity+";\n                margin: 0;\n                border-width: "+_+";\n                border-style: "+y+";\n                border-color: "+b+";\n                border-radius: "+w+";\n                transform-origin: 0 0;\n                transform: "+k+";\n                "+kt+"\n              }\n\n              100% {\n                opacity: 0;\n                margin: 0;\n                border-width: "+I+";\n                border-style: "+j+";\n                border-color: "+$+";\n                border-radius: "+F+";\n                transform-origin: 0 0;\n                "+St+"\n              }\n            }\n          ",Ot=!0===o.hideFromClone||!0===at?"":"\n            @keyframes "+yt+"-from {\n              0% {\n                margin: "+(X<0?X/2:0)+"px "+(J<0?J/2:0)+"px;\n                width: "+(nt+f.marginH)+"px;\n                height: "+(it+f.marginV)+"px;\n              }\n\n              100% {\n                margin: 0;\n                width: 0;\n                height: 0;\n              }\n            }\n          ",At=!0===at?"\n            margin: "+(X<0?X/2:0)+"px "+(J<0?J/2:0)+"px;\n            width: "+(nt+f.marginH)+"px;\n            height: "+(it+f.marginV)+"px;\n          ":"\n            margin: 0;\n            width: 0;\n            height: 0;\n          ",Et=!0===o.keepToClone?"":"\n            @keyframes "+yt+"-to {\n              0% {\n                "+At+"\n              }\n\n              100% {\n                margin: "+(et<0?et/2:0)+"px "+(tt<0?tt/2:0)+"px;\n                width: "+(rt+Y.marginH)+"px;\n                height: "+(ot+Y.marginV)+"px;\n              }\n            }\n          ";bt.innerHTML="\n          @keyframes "+yt+" {\n            0% {\n              margin: 0;\n              border-width: "+_+";\n              border-style: "+y+";\n              border-color: "+b+";\n              border-radius: "+w+";\n              background-color: "+x+";\n              transform-origin: 0 0;\n              "+wt+"\n              "+Ct+"\n            }\n\n            100% {\n              margin: 0;\n              border-width: "+I+";\n              border-style: "+j+";\n              border-color: "+$+";\n              border-radius: "+F+";\n              background-color: "+B+";\n              transform-origin: 0 0;\n              transform: "+z+";\n              "+xt+"\n              "+Mt+"\n            }\n          }\n\n          "+Ot+"\n\n          "+Tt+"\n\n          "+Et+"\n        ",document.head.appendChild(bt);var qt="normal";O.style.animation=o.duration+"ms "+o.easing+" "+o.delay+"ms "+qt+" "+o.fill+" "+yt+"-from",void 0!==A&&(A.style.animation=o.duration+"ms "+o.easing+" "+o.delay+"ms "+qt+" "+o.fill+" "+yt+"-from-tween"),P.style.animation=o.duration+"ms "+o.easing+" "+o.delay+"ms "+qt+" "+o.fill+" "+yt+"-to",t.style.animation=o.duration+"ms "+o.easing+" "+o.delay+"ms "+qt+" "+o.fill+" "+yt;var Lt=function(e){e===Object(e)&&e.animationName!==yt||(t.removeEventListener("animationend",Lt),t.removeEventListener("animationcancel",Lt),dt(),bt.remove())};a.qMorphCancel=function(){a.qMorphCancel=void 0,n=!0,Lt()},t.qMorphCancel=function(){t.qMorphCancel=void 0,n=!0,Lt()},t.addEventListener("animationend",Lt),t.addEventListener("animationcancel",Lt),e=function(e){return!!(!0!==n&&t&&O&&P)&&(!0===e?(Lt(),!0):(i=!0!==i,qt="normal"===qt?"reverse":"normal",O.style.animationDirection=qt,A.style.animationDirection=qt,P.style.animationDirection=qt,t.style.animationDirection=qt,!0))}}}else"function"==typeof t.qMorphCancel&&t.qMorphCancel()};if(o.waitFor>0||"transitionend"===o.waitFor||o.waitFor===Object(o.waitFor)&&"function"==typeof o.waitFor.then){var P=o.waitFor>0?new Promise((function(t){return setTimeout(t,o.waitFor)})):"transitionend"===o.waitFor?new Promise((function(e){var n=setTimeout((function(){i()}),400),i=function(r){clearTimeout(n),t&&(t.removeEventListener("transitionend",i),t.removeEventListener("transitioncancel",i)),e()};t.addEventListener("transitionend",i),t.addEventListener("transitioncancel",i)})):o.waitFor;P.then(D).catch((function(){"function"==typeof t.qMorphCancel&&t.qMorphCancel()}))}else D()}else"function"==typeof a.qMorphCancel&&a.qMorphCancel()})),function(t){return e(t)}}var fl={},pl=["duration","delay","easing","fill","classes","style","duration","resize","useCSS","hideFromClone","keepToClone","tween","tweenFromOpacity","tweenToOpacity","waitFor","onEnd"],ml=["resize","useCSS","hideFromClone","keepToClone","tween"];function vl(t,e){t.clsAction!==e&&(t.clsAction=e,t.el.classList[e]("q-morph--invisible"))}function gl(t){if(!(!0===t.animating||t.queue.length<2)){var e=t.queue,n=e[0],i=e[1];t.animating=!0,n.animating=!0,i.animating=!0,vl(n,"remove"),vl(i,"remove");var r=hl(Object.assign({},{from:n.el,to:i.el,onToggle:function(){vl(n,"add"),vl(i,"remove")}},i.opts,{onEnd:function(e,r){void 0!==i.opts.onEnd&&i.opts.onEnd(e,r),!0!==r&&(n.animating=!1,i.animating=!1,t.animating=!1,t.cancel=void 0,t.queue.shift(),gl(t))}}));t.cancel=function(){r(!0),t.cancel=void 0}}}function _l(t,e){var n=e.opts;ml.forEach((function(e){n[e]=!0===t[e]}))}function yl(t,e){if(e.name!==t)!1===e.animating&&vl(e,"add");else{var n=fl[e.group];void 0===n?(fl[e.group]={name:e.group,model:t,queue:[e],animating:!1},vl(e,"remove")):n.model!==t&&(n.model=t,n.queue.push(e),!1===n.animating&&2===n.queue.length&&gl(n))}}function bl(t,e){var n;Object(e)===e?(n=""+e.model,function(t,e){void 0!==t.group&&(e.group=t.group),void 0!==t.name&&(e.name=t.name);var n=e.opts;pl.forEach((function(e){void 0!==t[e]&&(n[e]=t[e])}))}(e,t),_l(e,t)):n=""+e,n!==t.model?(t.model=n,yl(n,t)):!1===t.animating&&void 0!==t.clsAction&&t.el.classList[t.clsAction]("q-morph--invisible")}function wl(t){var e=t.__qmorph;if(void 0!==e){var n=fl[e.group];if(void 0!==n)-1!==n.queue.indexOf(e)&&(n.queue=n.queue.filter((function(t){return t!==e})),0===n.queue.length&&(void 0!==n.cancel&&n.cancel(),delete fl[e.group]));"add"===e.clsAction&&t.classList.remove("q-morph--invisible"),delete t.__qmorph}}var xl={name:"morph",inserted:function(t,e){void 0!==t.__qmorph&&(wl(t),t.__qmorph_destroyed=!0);var n={el:t,animating:!1,opts:{}};_l(e.modifiers,n),function(t,e){var n="string"==typeof t&&t.length>0?t.split(":"):[];e.name=n[0],e.group=n[1],Object.assign(e.opts,{duration:!0===isNaN(n[2])?300:parseFloat(n[2]),waitFor:n[3]})}(e.arg,n),bl(n,e.value),t.__qmorph=n},update:function(t,e){var n=t.__qmorph;void 0!==n&&bl(n,e.value)},unbind:function(t){void 0===t.__qmorph_destroyed?wl(t):delete t.__qmorph_destroyed}};var kl={childList:!0,subtree:!0,attributes:!0,characterData:!0,attributeOldValue:!0,characterDataOldValue:!0};function Sl(t,e,n){e.handler=n,void 0!==e.observer&&e.observer.disconnect(),e.observer=new MutationObserver((function(n){"function"==typeof e.handler&&(!1!==e.handler(n)&&!0!==e.once||Cl(t))})),e.observer.observe(t,e.opts)}function Cl(t){var e=t.__qmutation;void 0!==e&&(void 0!==e.observer&&e.observer.disconnect(),delete t.__qmutation)}var Ml={name:"mutation",inserted:function(t,e){var n=e.modifiers,i=n.once,r=function(t,e){var n={};for(var i in t)Object.prototype.hasOwnProperty.call(t,i)&&-1===e.indexOf(i)&&(n[i]=t[i]);return n}(n,["once"]),o=e.value;void 0!==t.__qmutation&&(Cl(t),t.__qmutation_destroyed=!0);var a={once:i,opts:0===Object.keys(r).length?kl:r};Sl(t,a,o),t.__qmutation=a},update:function(t,e){var n=e.oldValue,i=e.value,r=t.__qmutation;void 0!==r&&n!==i&&Sl(t,r,i)},unbind:function(t){void 0===t.__qmutation_destroyed?Cl(t):delete t.__qmutation_destroyed}};function Tl(t,e){var n=e.value,i=e.oldValue;"function"==typeof n?(t.handler=n,"function"!=typeof i&&(t.scrollTarget.addEventListener("scroll",t.scroll,f.passive),t.scroll())):t.scrollTarget.removeEventListener("scroll",t.scroll)}function Ol(t){var e=t.__qscrollfire;void 0!==e&&(e.scrollTarget.removeEventListener("scroll",e.scroll,f.passive),delete t.__qscrollfire)}var Al={name:"scroll-fire",inserted:function(t,e){void 0!==t.__qscrollfire&&(Ol(t),t.__qscrollfire_destroyed=!0);var n={scrollTarget:Ie(t),scroll:T((function(){var e,i;n.scrollTarget===window?(i=t.getBoundingClientRect().bottom,e=window.innerHeight):(i=Kt(t).top+Zt(t),e=Kt(n.scrollTarget).top+Zt(n.scrollTarget)),i>0&&i<e&&(n.scrollTarget.removeEventListener("scroll",n.scroll,f.passive),n.handler(t))}),25)};Tl(n,e),t.__qscrollfire=n},update:function(t,e){void 0!==t.__qscrollfire&&e.value!==e.oldValue&&Tl(t.__qscrollfire,e)},unbind:function(t){void 0===t.__qscrollfire_destroyed?Ol(t):delete t.__qscrollfire_destroyed}};function El(t,e){var n=e.value,i=e.oldValue;"function"==typeof n?(t.handler=n,"function"!=typeof i&&t.scrollTarget.addEventListener("scroll",t.scroll,f.passive)):t.scrollTarget.removeEventListener("scroll",t.scroll,f.passive)}function ql(t){var e=t.__qscroll;void 0!==e&&(e.scrollTarget.removeEventListener("scroll",e.scroll,f.passive),delete t.__qscroll)}var Ll={name:"scroll",inserted:function(t,e){void 0!==t.__qscroll&&(ql(t),t.__qscroll_destroyed=!0);var n={scrollTarget:Ie(t),scroll:function(){n.handler($e(n.scrollTarget),Fe(n.scrollTarget))}};El(n,e),t.__qscroll=n},update:function(t,e){void 0!==t.__qscroll&&e.oldValue!==e.value&&El(t.__qscroll,e)},unbind:function(t){void 0===t.__qscroll_destroyed?ql(t):delete t.__qscroll_destroyed}};function Dl(t){var e=t.__qtouchhold;void 0!==e&&(C(e,"main"),C(e,"temp"),clearTimeout(e.timer),void 0!==e.styleCleanup&&e.styleCleanup(),delete t.__qtouchhold)}var Pl={name:"touch-hold",bind:function(t,e){var n;void 0!==t.__qtouchhold&&(Dl(t),t.__qtouchhold_destroyed=!0);var i=e.modifiers;if(!0===i.mouse||!0===d.has.touch){var r={handler:e.value,noop:m,mouseStart:function(t){"function"==typeof r.handler&&!0===v(t)&&(S(r,"temp",[[document,"mousemove","move","passiveCapture"],[document,"click","end","notPassiveCapture"]]),r.start(t,!0))},touchStart:function(t){if(void 0!==t.target&&"function"==typeof r.handler){var e=he(t.target);S(r,"temp",[[e,"touchmove","move","passiveCapture"],[e,"touchcancel","end","notPassiveCapture"],[e,"touchend","end","notPassiveCapture"]]),r.start(t)}},start:function(t,e){r.origin=g(t);var n=Date.now();!0===d.is.mobile&&(document.body.classList.add("non-selectable"),we(),r.styleCleanup=function(t){r.styleCleanup=void 0;var e=function(){document.body.classList.remove("non-selectable")};!0===t?(we(),setTimeout(e,10)):e()}),r.triggered=!1,r.sensitivity=!0===e?r.mouseSensitivity:r.touchSensitivity,r.timer=setTimeout((function(){we(),r.triggered=!0,r.handler({evt:t,touch:!0!==e,mouse:!0===e,position:r.origin,duration:Date.now()-n})}),r.duration)},move:function(t){var e=g(t),n=e.top,i=e.left;(Math.abs(i-r.origin.left)>=r.sensitivity||Math.abs(n-r.origin.top)>=r.sensitivity)&&clearTimeout(r.timer)},end:function(t){C(r,"temp"),void 0!==r.styleCleanup&&r.styleCleanup(r.triggered),!0===r.triggered?void 0!==t&&w(t):clearTimeout(r.timer)}},o=[600,5,7];"string"==typeof e.arg&&e.arg.length>0&&e.arg.split(":").forEach((function(t,e){var n=parseInt(t,10);n&&(o[e]=n)})),n=o,r.duration=n[0],r.touchSensitivity=n[1],r.mouseSensitivity=n[2],t.__qtouchhold=r,!0===i.mouse&&S(r,"main",[[t,"mousedown","mouseStart","passive"+(!0===i.mouseCapture?"Capture":"")]]),!0===d.has.touch&&S(r,"main",[[t,"touchstart","touchStart","passive"+(!0===i.capture?"Capture":"")],[t,"touchend","noop","notPassiveCapture"]])}},update:function(t,e){var n=t.__qtouchhold;void 0!==n&&e.oldValue!==e.value&&("function"!=typeof e.value&&n.end(),n.handler=e.value)},unbind:function(t){void 0===t.__qtouchhold_destroyed?Dl(t):delete t.__qtouchhold_destroyed}},Rl={esc:27,tab:9,enter:13,space:32,up:38,left:37,right:39,down:40,delete:[8,46]},Nl=new RegExp("^([\\d+]+|"+Object.keys(Rl).join("|")+")$","i");function Il(t){var e=t.__qtouchrepeat;void 0!==e&&(clearTimeout(e.timer),C(e,"main"),C(e,"temp"),void 0!==e.styleCleanup&&e.styleCleanup(),delete t.__qtouchrepeat)}var jl,$l={name:"touch-repeat",bind:function(t,e){var n=e.modifiers,i=e.value,r=e.arg;void 0!==t.__qtouchrepeat&&(Il(t),t.__qtouchrepeat_destroyed=!0);var o=Object.keys(n).reduce((function(t,e){if(!0===Nl.test(e)){var n=isNaN(parseInt(e,10))?Rl[e.toLowerCase()]:parseInt(e,10);n>=0&&t.push(n)}return t}),[]);if(!0===n.mouse||!0===d.has.touch||0!==o.length){var a="string"==typeof r&&r.length>0?r.split(":").map((function(t){return parseInt(t,10)})):[0,600,300],s=a.length-1,l={keyboard:o,handler:i,noop:m,mouseStart:function(t){void 0===l.event&&"function"==typeof l.handler&&!0===v(t)&&(S(l,"temp",[[document,"mousemove","move","passiveCapture"],[document,"click","end","notPassiveCapture"]]),l.start(t,!0))},keyboardStart:function(e){if("function"==typeof l.handler&&!0===X(e,o)){if((0===a[0]||void 0!==l.event)&&(w(e),t.focus(),void 0!==l.event))return;S(l,"temp",[[document,"keyup","end","notPassiveCapture"],[document,"click","end","notPassiveCapture"]]),l.start(e,!1,!0)}},touchStart:function(t){if(void 0!==t.target&&"function"==typeof l.handler){var e=he(t.target);S(l,"temp",[[e,"touchmove","move","passiveCapture"],[e,"touchcancel","end","notPassiveCapture"],[e,"touchend","end","notPassiveCapture"]]),l.start(t)}},start:function(t,e,n){function i(t){l.styleCleanup=void 0,document.documentElement.style.cursor="";var e=function(){document.body.classList.remove("non-selectable")};!0===t?(we(),setTimeout(e,10)):e()}!0!==n&&(l.origin=g(t)),!0===d.is.mobile&&(document.body.classList.add("non-selectable"),we(),l.styleCleanup=i),l.event={touch:!0!==e&&!0!==n,mouse:!0===e,keyboard:!0===n,startTime:Date.now(),repeatCount:0};var r=function(){if(void 0!==l.event){0===l.event.repeatCount&&(l.event.evt=t,!0===n?l.event.keyCode=t.keyCode:l.event.position=g(t),!0!==d.is.mobile&&(document.documentElement.style.cursor="pointer",document.body.classList.add("non-selectable"),we(),l.styleCleanup=i)),l.event.duration=Date.now()-l.event.startTime,l.event.repeatCount+=1,l.handler(l.event);var e=s<l.event.repeatCount?s:l.event.repeatCount;l.timer=setTimeout(r,a[e])}};0===a[0]?r():l.timer=setTimeout(r,a[0])},move:function(t){void 0!==l.event&&!0===function(t,e){var n=g(t),i=n.top,r=n.left;return Math.abs(r-e.left)>=7||Math.abs(i-e.top)>=7}(t,l.origin)&&clearTimeout(l.timer)},end:function(t){void 0!==l.event&&(void 0!==l.styleCleanup&&l.styleCleanup(!0),void 0!==t&&l.event.repeatCount>0&&w(t),C(l,"temp"),clearTimeout(l.timer),l.event=void 0)}};t.__qtouchrepeat=l,!0===n.mouse&&S(l,"main",[[t,"mousedown","mouseStart","passive"+(!0===n.mouseCapture?"Capture":"")]]),!0===d.has.touch&&S(l,"main",[[t,"touchstart","touchStart","passive"+(!0===n.capture?"Capture":"")],[t,"touchend","noop","notPassiveCapture"]]),o.length>0&&S(l,"main",[[t,"keydown","keyboardStart","notPassive"+(!0===n.keyCapture?"Capture":"")]])}},update:function(t,e){var n=e.oldValue,i=e.value,r=t.__qtouchrepeat;void 0!==r&&n!==i&&("function"!=typeof i&&r.end(),r.handler=i)},unbind:function(t){void 0===t.__qtouchrepeat_destroyed?Il(t):delete t.__qtouchrepeat_destroyed}},Fl=Object.freeze({__proto__:null,ClosePopup:tl,GoBack:nl,Intersection:Vo,Morph:xl,Mutation:Ml,Ripple:oe,ScrollFire:Al,Scroll:Ll,TouchHold:Pl,TouchPan:Gn,TouchRepeat:$l,TouchSwipe:vn});function Bl(t){void 0===jl&&(jl=h.is.winphone?"msapplication-navbutton-color":h.is.safari?"apple-mobile-web-app-status-bar-style":"theme-color");var e=function(t){var e=document.getElementsByTagName("META");for(var n in e)if(e[n].name===t)return e[n]}(jl),n=void 0===e;n&&(e=document.createElement("meta")).setAttribute("name",jl),e.setAttribute("content",t),n&&document.head.appendChild(e)}var zl={install:function(t){var e=t.$q,n=t.cfg;this.set=!1!==i||!0!==h.is.mobile||!0!==h.is.nativeMobile&&!0!==h.is.winphone&&!0!==h.is.safari&&!0!==h.is.webkit&&!0!==h.is.vivaldi?m:function(t){var e=t||Q("primary");!0===h.is.nativeMobile&&window.StatusBar?window.StatusBar.backgroundColorByHexString(e):Bl(e)},e.addressbarColor=this,n.addressbarColor&&this.set(n.addressbarColor)}},Vl={};function Hl(t,e){try{var n=t[e]();return void 0===n?Promise.resolve():n}catch(t){return Promise.reject(t)}}var Ul={isCapable:!1,isActive:!1,activeEl:null,request:function(t){var e=this;if(!0===this.isCapable&&!1===this.isActive){var n=t||document.documentElement;return Hl(n,Vl.request).then((function(){e.activeEl=n}))}return this.__getErr()},exit:function(){var t=this;return!0===this.isCapable&&!0===this.isActive?Hl(document,Vl.exit).then((function(){t.activeEl=null})):this.__getErr()},toggle:function(t){return!0===this.isActive?this.exit():this.request(t)},install:function(e){var n=this;e.$q.fullscreen=this,!0!==i&&(Vl.request=["requestFullscreen","msRequestFullscreen","mozRequestFullScreen","webkitRequestFullscreen"].find((function(t){return void 0!==document.documentElement[t]})),this.isCapable=void 0!==Vl.request,!1!==this.isCapable?(this.__getErr=function(){return Promise.resolve()},Vl.exit=["exitFullscreen","msExitFullscreen","mozCancelFullScreen","webkitExitFullscreen"].find((function(t){return document[t]})),this.isActive=!!(document.fullscreenElement||document.mozFullScreenElement||document.webkitFullscreenElement||document.msFullscreenElement),["onfullscreenchange","onmsfullscreenchange","onwebkitfullscreenchange"].forEach((function(t){document[t]=function(){n.isActive=!1===n.isActive}})),t.util.defineReactive(this,"isActive",this.isActive),t.util.defineReactive(this,"activeEl",this.activeEl)):this.__getErr=function(){return Promise.reject("Not capable")})}},Wl={appVisible:!1,install:function(e){var n=this,r=e.$q;if(!0!==i){var o,a;void 0!==document.hidden?(o="hidden",a="visibilitychange"):void 0!==document.msHidden?(o="msHidden",a="msvisibilitychange"):void 0!==document.webkitHidden&&(o="webkitHidden",a="webkitvisibilitychange");var s=function(){n.appVisible=r.appVisible=!document[o]};s(),a&&void 0!==document[o]&&(t.util.defineReactive(r,"appVisible",this.appVisible),document.addEventListener(a,s,!1))}else this.appVisible=r.appVisible=!0}},Yl=t.extend({name:"BottomSheetPlugin",mixins:[It,_t],inheritAttrs:!1,props:{title:String,message:String,actions:Array,grid:Boolean,cardClass:[String,Array,Object],cardStyle:[String,Array,Object]},computed:{dialogProps:function(){return Object.assign({},this.qAttrs,{position:"bottom"})}},methods:{show:function(){this.$refs.dialog.show()},hide:function(){this.$refs.dialog.hide()},onOk:function(t){this.$emit("ok",t),this.hide()},__getGrid:function(t){var e=this;return this.actions.map((function(n){var i=n.avatar||n.img;return void 0===n.label?t(wo,{staticClass:"col-all",props:{dark:e.isDark}}):t("div",{staticClass:"q-bottom-sheet__item q-hoverable q-focusable cursor-pointer relative-position",class:n.classes,attrs:{tabindex:0},on:{click:function(){return e.onOk(n)},keyup:function(t){13===t.keyCode&&e.onOk(n)}}},[t("div",{staticClass:"q-focus-helper"}),n.icon?t(Pt,{props:{name:n.icon,color:n.color}}):i?t("img",{attrs:{src:i},staticClass:n.avatar?"q-bottom-sheet__avatar":null}):t("div",{staticClass:"q-bottom-sheet__empty-icon"}),t("div",[n.label])])}))},__getList:function(t){var e=this;return this.actions.map((function(n){var i=n.avatar||n.img;return void 0===n.label?t(wo,{props:{spaced:!0,dark:e.isDark}}):t(Zr,{staticClass:"q-bottom-sheet__item",class:n.classes,props:{tabindex:0,clickable:!0,dark:e.isDark},on:{click:function(){return e.onOk(n)},keyup:function(t){13===t.keyCode&&e.onOk(n)}}},[t(Jr,{props:{avatar:!0}},[n.icon?t(Pt,{props:{name:n.icon,color:n.color}}):i?t("img",{attrs:{src:i},staticClass:n.avatar?"q-bottom-sheet__avatar":null}):null]),t(Jr,[n.label])])}))}},render:function(t){var e=this,n=[];return this.title&&n.push(t(hn,{staticClass:"q-dialog__title"},[this.title])),this.message&&n.push(t(hn,{staticClass:"q-dialog__message"},[this.message])),n.push(!0===this.grid?t("div",{staticClass:"row items-stretch justify-start"},this.__getGrid(t)):t("div",this.__getList(t))),t(wr,{ref:"dialog",props:this.dialogProps,on:pt(this,"hide",{hide:function(){e.$emit("hide")}})},[t(dn,{staticClass:"q-bottom-sheet q-bottom-sheet--"+(!0===this.grid?"grid":"list")+(!0===this.isDark?" q-bottom-sheet--dark q-dark":""),style:this.cardStyle,class:this.cardClass},n)])}});var Ql={onOk:function(){return Ql},okCancel:function(){return Ql},hide:function(){return Ql}};function Gl(e){return function(n){n.className;var r=n.class,o=n.style,a=n.component,s=n.root,l=n.parent,u=function(t,e){var n={};for(var i in t)Object.prototype.hasOwnProperty.call(t,i)&&-1===e.indexOf(i)&&(n[i]=t[i]);return n}(n,["className","class","style","component","root","parent"]);if(!0===i)return Ql;void 0!==r&&(u.cardClass=r),void 0!==o&&(u.cardStyle=o);var c=[],d=[],h={onOk:function(t){return c.push(t),h},onCancel:function(t){return d.push(t),h},onDismiss:function(t){return c.push(t),d.push(t),h},hide:function(){return _.$refs.dialog.hide(),h}},f=document.createElement("div");document.body.appendChild(f);var p=!1,m={ok:function(t){p=!0,c.forEach((function(e){e(t)}))},hide:function(){_.$destroy(),_.$el.remove(),_=null,!0!==p&&d.forEach((function(t){t()}))}};t.observable(u);var v=void 0!==a?a:e,g=void 0===a?u:void 0,_=new t({name:"QGlobalDialog",el:f,parent:void 0===l?s:l,render:function(t){return t(v,{ref:"dialog",props:u,attrs:g,on:m})},mounted:function(){this.$refs.dialog.show()}});return h}}var Kl={install:function(t){var e=t.$q;this.create=e.bottomSheet=Gl(Yl)}};function Zl(t){return encodeURIComponent(t)}function Jl(t){return decodeURIComponent(t)}function Xl(t){if(""===t)return t;0===t.indexOf('"')&&(t=t.slice(1,-1).replace(/\\"/g,'"').replace(/\\\\/g,"\\")),t=Jl(t.replace(/\+/g," "));try{t=JSON.parse(t)}catch(t){}return t}function tu(t){var e=new Date;return e.setMilliseconds(e.getMilliseconds()+t),e.toUTCString()}function eu(t,e,n,i){var r,o,a,s,l,u,c,d;void 0===n&&(n={}),void 0!==n.expires&&("[object Date]"===Object.prototype.toString.call(n.expires)?r=n.expires.toUTCString():"string"==typeof n.expires?(a=n.expires,s=0,l=a.match(/(\d+)d/),u=a.match(/(\d+)h/),c=a.match(/(\d+)m/),d=a.match(/(\d+)s/),l&&(s+=864e5*l[1]),u&&(s+=36e5*u[1]),c&&(s+=6e4*c[1]),d&&(s+=1e3*d[1]),r=0===s?a:tu(s)):(o=parseFloat(n.expires),r=!1===isNaN(o)?tu(864e5*o):n.expires));var h,f=Zl(t)+"="+Zl((h=e)===Object(h)?JSON.stringify(h):""+h),p=[f,void 0!==r?"; Expires="+r:"",n.path?"; Path="+n.path:"",n.domain?"; Domain="+n.domain:"",n.sameSite?"; SameSite="+n.sameSite:"",n.httpOnly?"; HttpOnly":"",n.secure?"; Secure":"",n.other?"; "+n.other:""].join("");if(i){i.req.qCookies?i.req.qCookies.push(p):i.req.qCookies=[p],i.res.setHeader("Set-Cookie",i.req.qCookies);var m=i.req.headers.cookie||"";if(void 0!==r&&o<0){var v=nu(t,i);void 0!==v&&(m=m.replace(t+"="+v+"; ","").replace("; "+t+"="+v,"").replace(t+"="+v,""))}else m=m?f+"; "+m:p;i.req.headers.cookie=m}else document.cookie=p}function nu(t,e){for(var n,i,r,o=e?e.req.headers:document,a=o.cookie?o.cookie.split("; "):[],s=a.length,l=t?null:{},u=0;u<s;u++)if(i=Jl((n=a[u].split("=")).shift()),r=n.join("="),t){if(t===i){l=Xl(r);break}}else l[i]=r;return l}function iu(t){return{get:function(e){return nu(e,t)},set:function(e,n,i){return eu(e,n,i,t)},has:function(e){return function(t,e){return null!==nu(t,e)}(e,t)},remove:function(e,n){return function(t,e,n){eu(t,"",Object.assign({},{expires:-1},e),n)}(e,n,t)},getAll:function(){return nu(null,t)}}}var ru,ou,au,su,lu={parseSSR:function(t){return void 0!==t?iu(t):this},install:function(t){var e=t.$q,n=t.queues;!0===i?n.server.push((function(t,e){t.cookies=iu(e.ssr)})):(Object.assign(this,iu()),e.cookies=this)}},uu=t.extend({name:"DialogPlugin",mixins:[It,_t],inheritAttrs:!1,props:{title:String,message:String,prompt:Object,options:Object,html:Boolean,ok:{type:[String,Object,Boolean],default:!0},cancel:[String,Object,Boolean],focus:{type:String,default:"ok",validator:function(t){return["ok","cancel","none"].includes(t)}},stackButtons:Boolean,color:String,cardClass:[String,Array,Object],cardStyle:[String,Array,Object]},computed:{hasForm:function(){return void 0!==this.prompt||void 0!==this.options},okLabel:function(){return Object(this.ok)===this.ok||!0===this.ok?this.$q.lang.label.ok:this.ok},cancelLabel:function(){return Object(this.cancel)===this.cancel||!0===this.cancel?this.$q.lang.label.cancel:this.cancel},vmColor:function(){return this.color||(!0===this.isDark?"amber":"primary")},okDisabled:function(){return void 0!==this.prompt?void 0!==this.prompt.isValid&&!0!==this.prompt.isValid(this.prompt.model):void 0!==this.options?void 0!==this.options.isValid&&!0!==this.options.isValid(this.options.model):void 0},okProps:function(){return Object.assign({},{color:this.vmColor,label:this.okLabel,ripple:!1},Object(this.ok)===this.ok?this.ok:{flat:!0},{disable:this.okDisabled})},cancelProps:function(){return Object.assign({},{color:this.vmColor,label:this.cancelLabel,ripple:!1},Object(this.cancel)===this.cancel?this.cancel:{flat:!0})}},methods:{show:function(){this.$refs.dialog.show()},hide:function(){this.$refs.dialog.hide()},getPrompt:function(t){var e=this;return[t(Qr,{props:{value:this.prompt.model,type:this.prompt.type,label:this.prompt.label,stackLabel:this.prompt.stackLabel,outlined:this.prompt.outlined,filled:this.prompt.filled,standout:this.prompt.standout,rounded:this.prompt.rounded,square:this.prompt.square,counter:this.prompt.counter,maxlength:this.prompt.maxlength,prefix:this.prompt.prefix,suffix:this.prompt.suffix,color:this.vmColor,dense:!0,autofocus:!0,dark:this.isDark},attrs:this.prompt.attrs,on:pt(this,"prompt",{input:function(t){e.prompt.model=t},keyup:function(t){!0!==e.okDisabled&&"textarea"!==e.prompt.type&&!0===X(t,13)&&e.onOk()}})})]},getOptions:function(t){var e=this;return[t(na,{props:{value:this.options.model,type:this.options.type,color:this.vmColor,inline:this.options.inline,options:this.options.items,dark:this.isDark},on:pt(this,"opts",{input:function(t){e.options.model=t}})})]},getButtons:function(t){var e=[];if(this.cancel&&e.push(t(ye,{props:this.cancelProps,attrs:{"data-autofocus":"cancel"===this.focus&&!0!==this.hasForm},on:pt(this,"cancel",{click:this.onCancel})})),this.ok&&e.push(t(ye,{props:this.okProps,attrs:{"data-autofocus":"ok"===this.focus&&!0!==this.hasForm},on:pt(this,"ok",{click:this.onOk})})),e.length>0)return t(fn,{staticClass:!0===this.stackButtons?"items-end":null,props:{vertical:this.stackButtons,align:"right"}},e)},onOk:function(){this.$emit("ok",da(this.getData())),this.hide()},onCancel:function(){this.hide()},getData:function(){return void 0!==this.prompt?this.prompt.model:void 0!==this.options?this.options.model:void 0},getSection:function(t,e,n){return!0===this.html?t(hn,{staticClass:e,domProps:{innerHTML:n}}):t(hn,{staticClass:e},[n])}},render:function(t){var e=this,n=[];return this.title&&n.push(this.getSection(t,"q-dialog__title",this.title)),this.message&&n.push(this.getSection(t,"q-dialog__message",this.message)),void 0!==this.prompt?n.push(t(hn,{staticClass:"scroll q-dialog-plugin__form"},this.getPrompt(t))):void 0!==this.options&&n.push(t(wo,{props:{dark:this.isDark}}),t(hn,{staticClass:"scroll q-dialog-plugin__form"},this.getOptions(t)),t(wo,{props:{dark:this.isDark}})),(this.ok||this.cancel)&&n.push(this.getButtons(t)),t(wr,{ref:"dialog",props:Object.assign({},this.qAttrs,{value:this.value}),on:pt(this,"hide",{hide:function(){e.$emit("hide")}})},[t(dn,{staticClass:"q-dialog-plugin"+(!0===this.isDark?" q-dialog-plugin--dark q-dark":""),style:this.cardStyle,class:this.cardClass,props:{dark:this.isDark}},n)])}}),cu={install:function(t){var e=t.$q;this.create=e.dialog=Gl(uu)}},du={isActive:!1,start:m,stop:m,increment:m,setDefaults:m,install:function(e){var n=this,r=e.$q,o=e.cfg;if(!0!==i){var a=void 0!==o.loadingBar?Object.assign({},o.loadingBar):{},s=r.loadingBar=new t({name:"LoadingBar",render:function(t){return t(St,{ref:"bar",props:a})}}).$mount().$refs.bar;Object.assign(this,{start:function(t){s.start(t),n.isActive=s.isActive=s.calls>0},stop:function(){s.stop(),n.isActive=s.isActive=s.calls>0},increment:s.increment,setDefaults:function(t){t===Object(t)&&Object.assign(a,t),s.$parent.$forceUpdate()}}),t.util.defineReactive(this,"isActive",this.isActive),t.util.defineReactive(s,"isActive",this.isActive),s.setDefaults=this.setDefaults,document.body.appendChild(s.$parent.$el)}else r.loadingBar=this}},hu=0,fu={},pu={delay:0,message:!1,spinnerSize:80,spinnerColor:"white",messageColor:"white",backgroundColor:"black",spinner:Gt,customClass:""},mu=Object.assign({},pu),vu={isActive:!1,show:function(e){var n=this;!0!==i&&((fu=e===Object(e)&&!0===e.ignoreDefaults?Object.assign({},pu,e):Object.assign({},mu,e)).customClass+=" text-"+fu.backgroundColor,fu.uid="l_"+hu++,this.isActive=!0,void 0===ru?(clearTimeout(ou),ou=setTimeout((function(){ou=void 0;var e=document.createElement("div");document.body.appendChild(e),ru=new t({name:"QLoading",el:e,mounted:function(){mr(!0)},render:function(t){var e;return t("transition",{props:{name:"q-transition--fade",appear:!0},on:pt(n,"tr",{"after-leave":function(){!0!==n.isActive&&void 0!==ru&&(mr(!1),ru.$destroy(),ru.$el.remove(),ru=void 0)}})},[!0===n.isActive?t("div",{staticClass:"q-loading fullscreen column flex-center z-max",key:fu.uid,class:fu.customClass.trim()},[t(fu.spinner,{props:{color:fu.spinnerColor,size:fu.spinnerSize}}),fu.message&&t("div",{class:"text-"+fu.messageColor,domProps:(e={},e[!0===fu.sanitize?"textContent":"innerHTML"]=fu.message,e)})||void 0]):null])}})}),fu.delay)):ru.$forceUpdate())},hide:function(){!0===this.isActive&&(void 0!==ou&&(clearTimeout(ou),ou=void 0),this.isActive=!1)},setDefaults:function(t){t===Object(t)&&Object.assign(mu,t)},install:function(t){var e=t.$q,n=t.cfg.loading;this.setDefaults(n),e.loading=this}};function gu(t){t.title&&(t.title=t.titleTemplate?t.titleTemplate(t.title):t.title,delete t.titleTemplate),[["meta","content"],["link","href"]].forEach((function(e){var n=t[e[0]],i=e[1];for(var r in n){var o=n[r];o.template&&(1===Object.keys(o).length?delete n[r]:(o[i]=o.template(o[i]||""),delete o.template))}}))}function _u(t,e){if(Object.keys(t).length!==Object.keys(e).length)return!0;for(var n in t)if(t[n]!==e[n])return!0}function yu(t){return!1===["class","style"].includes(t)}function bu(t){return!1===["lang","dir"].includes(t)}function wu(t,e){!0!==t._inactive&&(!0===Mu(t)&&(mo(!0,e,t.__qMeta),!0===t.$options.meta.stopPropagation)||t.$children.forEach((function(t){wu(t,e)})))}function xu(){!0===su&&(su=!1,this.$root.__currentMeta=window.__Q_META__);var t={title:"",titleTemplate:null,meta:{},link:{},script:{},htmlAttr:{},bodyAttr:{}};wu(this.$root,t),gu(t),function(t){var e=t.add,n=t.remove;e.title&&(document.title=e.title),Object.keys(n).length>0&&(["meta","link","script"].forEach((function(t){n[t].forEach((function(e){document.head.querySelector(t+'[data-qmeta="'+e+'"]').remove()}))})),n.htmlAttr.filter(bu).forEach((function(t){document.documentElement.removeAttribute(t)})),n.bodyAttr.filter(yu).forEach((function(t){document.body.removeAttribute(t)}))),["meta","link","script"].forEach((function(t){var n=e[t];for(var i in n){var r=document.createElement(t);for(var o in n[i])"innerHTML"!==o&&r.setAttribute(o,n[i][o]);r.setAttribute("data-qmeta",i),"script"===t&&(r.innerHTML=n[i].innerHTML||""),document.head.appendChild(r)}})),Object.keys(e.htmlAttr).filter(bu).forEach((function(t){document.documentElement.setAttribute(t,e.htmlAttr[t]||"")})),Object.keys(e.bodyAttr).filter(yu).forEach((function(t){document.body.setAttribute(t,e.bodyAttr[t]||"")}))}(function(t,e){var n={},i={};return void 0===t?{add:e,remove:i}:(t.title!==e.title&&(n.title=e.title),["meta","link","script","htmlAttr","bodyAttr"].forEach((function(r){var o=t[r],a=e[r];if(i[r]=[],null!=o){for(var s in n[r]={},o)!1===a.hasOwnProperty(s)&&i[r].push(s);for(var l in a)!1===o.hasOwnProperty(l)?n[r][l]=a[l]:!0===_u(o[l],a[l])&&(i[r].push(l),n[r][l]=a[l])}else n[r]=a})),{add:n,remove:i})}(this.$root.__currentMeta,t)),this.$root.__currentMeta=t}function ku(t){return function(e){var n=t[e];return e+(void 0!==n?'="'+n+'"':"")}}function Su(t){var e="";return t.title&&(e+="<title>"+t.title+"</title>"),["meta","link","script"].forEach((function(n){var i=t[n];for(var r in i){var o=Object.keys(i[r]).filter((function(t){return"innerHTML"!==t})).map(ku(i[r]));e+="<"+n+" "+o.join(" ")+' data-qmeta="'+r+'">',"script"===n&&(e+=(i[r].innerHTML||"")+"<\/script>")}})),e}function Cu(){"function"==typeof this.$options.meta?(void 0===this.$options.computed&&(this.$options.computed={}),this.$options.computed.__qMeta=this.$options.meta):!0===Mu(this)&&(this.__qMeta=this.$options.meta)}function Mu(t){return void 0!==t.$options.meta&&null!==t.$options.meta}function Tu(){!0===Mu(this)&&this.__qMetaUpdate()}!1===i&&t.util.defineReactive(vu,"isActive",vu.isActive);var Ou={install:function(e){var n=e.queues;!0===i?(t.prototype.$getMetaHTML=function(t){return function(e,n){return function(t,e,n){var i={title:"",titleTemplate:null,meta:{},link:{},htmlAttr:{},bodyAttr:{},noscript:{}};wu(t,i),gu(i);var r=void 0!==n&&void 0!==n.nonce?' nonce="'+n.nonce+'"':"",o={"%%Q_HTML_ATTRS%%":Object.keys(i.htmlAttr).filter(bu).map(ku(i.htmlAttr)).join(" "),"%%Q_HEAD_TAGS%%":Su(i),"%%Q_BODY_ATTRS%%":Object.keys(i.bodyAttr).filter(yu).map(ku(i.bodyAttr)).join(" "),"%%Q_BODY_TAGS%%":Object.keys(i.noscript).map((function(t){return'<noscript data-qmeta="'+t+'">'+i.noscript[t]+"</noscript>"})).join("")+"<script"+r+">window.__Q_META__="+(delete i.noscript&&JSON.stringify(i))+"<\/script>"};return Object.keys(o).forEach((function(t){e=e.replace(t,o[t])})),e}(t,e,n)}},t.mixin({beforeCreate:Cu}),n.server.push((function(t,e){e.ssr.Q_HTML_ATTRS+=" %%Q_HTML_ATTRS%%",Object.assign(e.ssr,{Q_HEAD_TAGS:"%%Q_HEAD_TAGS%%",Q_BODY_ATTRS:"%%Q_BODY_ATTRS%%",Q_BODY_TAGS:"%%Q_BODY_TAGS%%"})}))):(su=r,t.mixin({beforeCreate:Cu,created:function(){!0===Mu(this)&&(this.__qMetaUnwatch=this.$watch("__qMeta",this.__qMetaUpdate))},activated:Tu,deactivated:Tu,beforeMount:Tu,destroyed:function(){!0===Mu(this)&&(this.__qMetaUnwatch(),this.__qMetaUpdate())},methods:{__qMetaUpdate:function(){clearTimeout(au),au=setTimeout(xu.bind(this),50)}}}))}};var Au=0,Eu={},qu=["top-left","top-right","bottom-left","bottom-right","top","bottom","left","right","center"],Lu=["top-left","top-right","bottom-left","bottom-right"],Du={positive:{icon:function(){return this.$q.iconSet.type.positive},color:"positive"},negative:{icon:function(){return this.$q.iconSet.type.negative},color:"negative"},warning:{icon:function(){return this.$q.iconSet.type.warning},color:"warning",textColor:"dark"},info:{icon:function(){return this.$q.iconSet.type.info},color:"info"}},Pu={},Ru={},Nu={name:"QNotifications",created:function(){var t=this;this.notifs={},qu.forEach((function(e){t.notifs[e]=[];var n=!0===["left","center","right"].includes(e)?"center":e.indexOf("top")>-1?"top":"bottom",i=e.indexOf("left")>-1?"start":e.indexOf("right")>-1?"end":"center",r=["left","right"].includes(e)?"items-"+("left"===e?"start":"end")+" justify-center":"center"===e?"flex-center":"items-"+i;Ru[e]="q-notifications__list q-notifications__list--"+n+" fixed column no-wrap "+r}))},methods:{add:function(t){var e=this;if(!t)return console.error("Notify: parameter required"),!1;var n={textColor:"white"};if("string"!=typeof t&&!0===t.ignoreDefaults||Object.assign(n,Eu),Object(t)===t?(Object.assign(n,Du[t.type],t),"function"==typeof n.icon&&(n.icon=n.icon.call(this))):n.message=t,n.meta={hasMedia:Boolean(n.icon||n.avatar)},n.position){if(!1===qu.includes(n.position))return console.error("Notify: wrong position: "+n.position),!1}else n.position="bottom";if(void 0===n.timeout)n.timeout=5e3;else{var i=parseInt(n.timeout,10);if(isNaN(i)||i<0)return console.error("Notify: wrong timeout: "+n.timeout),!1;n.timeout=i}0===n.timeout?n.progress=!1:!0===n.progress&&(n.meta.progressStyle={animationDuration:n.timeout+1e3+"ms"});var r=(!0===Array.isArray(t.actions)?t.actions:[]).concat(!0!==t.ignoreDefaults&&!0===Array.isArray(Eu.actions)?Eu.actions:[]).concat(void 0!==Du[t.type]&&!0===Array.isArray(Du[t.type].actions)?Du[t.type].actions:[]);n.closeBtn&&r.push({label:"string"==typeof n.closeBtn?n.closeBtn:this.$q.lang.label.close}),n.actions=r.map((function(t){var e=t.handler,i=t.noDismiss,r=t.attrs,o=function(t,e){var n={};for(var i in t)Object.prototype.hasOwnProperty.call(t,i)&&-1===e.indexOf(i)&&(n[i]=t[i]);return n}(t,["handler","noDismiss","attrs"]);return{props:Object.assign({},{flat:!0},o),attrs:r,on:{click:"function"==typeof e?function(){e(),!0!==i&&n.meta.close()}:function(){n.meta.close()}}}})),void 0===n.multiLine&&(n.multiLine=n.actions.length>1),Object.assign(n.meta,{staticClass:"q-notification row items-stretch q-notification--"+(!0===n.multiLine?"multi-line":"standard")+(void 0!==n.color?" bg-"+n.color:"")+(void 0!==n.textColor?" text-"+n.textColor:"")+(void 0!==n.classes?" "+n.classes:""),wrapperClass:"q-notification__wrapper col relative-position border-radius-inherit "+(!0===n.multiLine?"column no-wrap justify-center":"row items-center"),contentClass:"q-notification__content row items-center"+(!0===n.multiLine?"":" col"),attrs:Object.assign({},{role:"alert"},n.attrs)}),!1===n.group?n.group=void 0:(void 0!==n.group&&!0!==n.group||(n.group=[n.message,n.caption,n.multiline].concat(n.actions.map((function(t){return t.props.label+"*"+t.props.icon}))).join("|")),n.group+="|"+n.position),0===n.actions.length?n.actions=void 0:n.meta.actionsClass="q-notification__actions row items-center "+(!0===n.multiLine?"justify-end":"col-auto")+(!0===n.meta.hasMedia?" q-notification__actions--with-media":"");var o=Pu[n.group];if(void 0===o){if(n.meta.uid=Au++,n.meta.badge=1,-1!==["left","right","center"].indexOf(n.position))this.notifs[n.position].splice(Math.floor(this.notifs[n.position].length/2),0,n);else{var a=n.position.indexOf("top")>-1?"unshift":"push";this.notifs[n.position][a](n)}void 0!==n.group&&(Pu[n.group]=n)}else{void 0!==o.meta.timer&&clearTimeout(o.meta.timer);var s=Pu[n.group];if(void 0!==n.badgePosition){if(!1===Lu.includes(n.badgePosition))return console.error("Notify - wrong badgePosition specified: "+n.badgePosition),!1}else n.badgePosition="top-"+(n.position.indexOf("left")>-1?"right":"left");n.meta.uid=s.meta.uid,n.meta.badge=s.meta.badge+1,n.meta.badgeStaticClass="q-notification__badge q-notification__badge--"+n.badgePosition+(void 0!==n.badgeColor?" bg-"+n.badgeColor:"")+(void 0!==n.badgeTextColor?" text-"+n.badgeTextColor:"");var l=this.notifs[n.position].indexOf(s);this.notifs[n.position][l]=Pu[n.group]=n}return n.meta.close=function(){e.remove(n)},this.$forceUpdate(),n.timeout>0&&(n.meta.timer=setTimeout((function(){n.meta.close()}),n.timeout+1e3)),n.meta.close},remove:function(t){clearTimeout(t.meta.timer);var e=this.notifs[t.position].indexOf(t);if(-1!==e){void 0!==t.group&&delete Pu[t.group];var n=this.$refs["notif_"+t.meta.uid];if(n){var i=getComputedStyle(n),r=i.width,o=i.height;n.style.left=n.offsetLeft+"px",n.style.width=r,n.style.height=o}this.notifs[t.position].splice(e,1),this.$forceUpdate(),"function"==typeof t.onDismiss&&t.onDismiss()}}},render:function(t){var e=this;return t("div",{staticClass:"q-notifications"},qu.map((function(n){return t("transition-group",{key:n,staticClass:Ru[n],tag:"div",props:{name:"q-notification--"+n,mode:"out-in"}},e.notifs[n].map((function(e){var n,i=e.meta,r={staticClass:"q-notification__message col"};if(!0===e.html)r.domProps={innerHTML:e.caption?"<div>"+e.message+'</div><div class="q-notification__caption">'+e.caption+"</div>":e.message};else{var o=[e.message];n=e.caption?[t("div",o),t("div",{staticClass:"q-notification__caption"},[e.caption])]:o}var a=[];!0===i.hasMedia&&(e.icon?a.push(t(Pt,{staticClass:"q-notification__icon",attrs:{role:"img"},props:{name:e.icon}})):e.avatar&&a.push(t(Rt,{staticClass:"q-notification__avatar col-auto"},[t("img",{attrs:{src:e.avatar,"aria-hidden":"true"}})]))),a.push(t("div",r,n));var s=[t("div",{staticClass:i.contentClass},a)];return!0===e.progress&&s.push(t("div",{key:i.uid+"|p|"+i.badge,staticClass:"q-notification__progress",style:i.progressStyle,class:e.progressClass})),void 0!==e.actions&&s.push(t("div",{staticClass:i.actionsClass},e.actions.map((function(e){return t(ye,{props:e.props,attrs:e.attrs,on:e.on})})))),i.badge>1&&s.push(t("div",{key:i.uid+"|"+i.badge,staticClass:i.badgeStaticClass,style:e.badgeStyle,class:e.badgeClass},[i.badge])),t("div",{ref:"notif_"+i.uid,key:i.uid,staticClass:i.staticClass,attrs:i.attrs},[t("div",{staticClass:i.wrapperClass},s)])})))})))},mounted:function(){var t=this;if(void 0!==this.$q.fullscreen&&!0===this.$q.fullscreen.isCapable){var e=function(e){var n=Xt(e,t.$q.fullscreen.activeEl);t.$el.parentElement!==n&&n.appendChild(t.$el)};this.unwatchFullscreen=this.$watch("$q.fullscreen.isActive",e),!0===this.$q.fullscreen.isActive&&e(!0)}},beforeDestroy:function(){void 0!==this.unwatchFullscreen&&this.unwatchFullscreen()}},Iu={create:function(t){return!0===i?m:this.__vm.add(t)},setDefaults:function(t){t===Object(t)&&Object.assign(Eu,t)},registerType:function(t,e){!0!==i&&e===Object(e)&&(Du[t]=e)},install:function(e){var n=e.cfg,r=e.$q;if(!0===i)return r.notify=m,void(r.notify.setDefaults=m);this.setDefaults(n.notify),r.notify=this.create.bind(this),r.notify.setDefaults=this.setDefaults,r.notify.registerType=this.registerType;var o=document.createElement("div");document.body.appendChild(o),this.__vm=new t(Nu),this.__vm.$mount(o)}};function ju(){return{has:m,getLength:m,getItem:m,getIndex:m,getAll:m,set:m,remove:m,clear:m,isEmpty:m}}function $u(t){var e=window[t+"Storage"],n=function(t){var n=e.getItem(t);return n?function(t){if(t.length<9)return t;var e=t.substr(0,8),n=t.substring(9);switch(e){case"__q_date":return new Date(n);case"__q_expr":return new RegExp(n);case"__q_numb":return Number(n);case"__q_bool":return Boolean("1"===n);case"__q_strn":return""+n;case"__q_objt":return JSON.parse(n);default:return t}}(n):null};return{has:function(t){return null!==e.getItem(t)},getLength:function(){return e.length},getItem:n,getIndex:function(t){return t<e.length?n(e.key(t)):null},getKey:function(t){return t<e.length?e.key(t):null},getAll:function(){for(var t,i={},r=e.length,o=0;o<r;o++)i[t=e.key(o)]=n(t);return i},getAllKeys:function(){for(var t=[],n=e.length,i=0;i<n;i++)t.push(e.key(i));return t},set:function(t,n){e.setItem(t,function(t){return"[object Date]"===Object.prototype.toString.call(t)?"__q_date|"+t.toUTCString():"[object RegExp]"===Object.prototype.toString.call(t)?"__q_expr|"+t.source:"number"==typeof t?"__q_numb|"+t:"boolean"==typeof t?"__q_bool|"+(t?"1":"0"):"string"==typeof t?"__q_strn|"+t:"function"==typeof t?"__q_strn|"+t.toString():t===Object(t)?"__q_objt|"+JSON.stringify(t):t}(n))},remove:function(t){e.removeItem(t)},clear:function(){e.clear()},isEmpty:function(){return 0===e.length}}}var Fu={install:function(t){var e=t.$q,n=!0===i||!1===d.has.webStorage?ju():$u("local");e.localStorage=n,Object.assign(this,n)}},Bu={install:function(t){var e=t.$q,n=!0===i||!1===d.has.webStorage?ju():$u("session");e.sessionStorage=n,Object.assign(this,n)}},zu=Object.freeze({__proto__:null,AddressbarColor:zl,AppFullscreen:Ul,AppVisibility:Wl,BottomSheet:Kl,Cookies:lu,Dark:q,Dialog:cu,LoadingBar:du,Loading:vu,Meta:Ou,Notify:Iu,Platform:h,Screen:E,LocalStorage:Fu,SessionStorage:Bu});function Vu(t){setTimeout((function(){window.URL.revokeObjectURL(t.href)}),1e4),t.remove()}function Hu(e,n,i){var r=window.open;if(!0===h.is.cordova){if(void 0!==cordova&&void 0!==cordova.InAppBrowser&&void 0!==cordova.InAppBrowser.open)r=cordova.InAppBrowser.open;else if(void 0!==navigator&&void 0!==navigator.app)return navigator.app.loadUrl(e,{openExternal:!0})}else if(void 0!==t.prototype.$q.electron)return t.prototype.$q.electron.shell.openExternal(e);var o,a,s,l=r(e,"_blank",(o=i,a=Object.assign({noopener:!0},o),s=[],Object.keys(a).forEach((function(t){!0===a[t]&&s.push(t)})),s.join(",")));if(l)return h.is.desktop&&l.focus(),l;n&&n()}var Uu=Object.freeze({__proto__:null,clone:da,colors:G,copyToClipboard:function(t){return void 0!==navigator.clipboard?navigator.clipboard.writeText(t):new Promise((function(e,n){var i=function(t){var e=document.createElement("textarea");e.value=t,e.contentEditable=!0,e.style.position="fixed",document.body.appendChild(e),e.focus(),e.select();var n=document.execCommand("copy");return e.remove(),n}(t);i?e(!0):n(i)}))},date:er,debounce:T,dom:te,event:M,exportFile:function(t,e,n){var i=new Blob([e],{type:n||"text/plain"});if(window.navigator.msSaveOrOpenBlob)return window.navigator.msSaveOrOpenBlob(i,t);var r=document.createElement("a");r.download=t,r.href=window.URL.createObjectURL(i),r.classList.add("hidden"),r.style.position="fixed",document.body.appendChild(r);try{return r.click(),Vu(r),!0}catch(t){return Vu(r),t}},extend:mo,format:ft,frameDebounce:la,noop:m,openURL:function(t,e,n){if(!0!==h.is.ios||void 0===window.SafariViewController)return Hu(t,e,n);window.SafariViewController.isAvailable((function(i){i?window.SafariViewController.show({url:t},m,e):Hu(t,e,n)}))},morph:hl,patterns:Un,scroll:Ze,throttle:ee,uid:qr});return t.use({install:function(t,e){if(void 0===e&&(e={}),!0!==this.__qInstalled){this.__qInstalled=!0;var n=at.config=Object.freeze(e.config||{});if(h.install(at,ot),et(ot,n),q.install(at,ot,n),E.install(at,ot,n),R.install(n),j.install(at,ot,e.lang),it.install(at,ot,e.iconSet),!0===i?t.mixin({beforeCreate:function(){this.$q=this.$root.$options.$q}}):t.prototype.$q=at,e.components&&Object.keys(e.components).forEach((function(n){var i=e.components[n];"function"==typeof i&&t.component(i.options.name,i)})),e.directives&&Object.keys(e.directives).forEach((function(n){var i=e.directives[n];void 0!==i.name&&void 0!==i.unbind&&t.directive(i.name,i)})),e.plugins){var r={$q:at,queues:ot,cfg:n};Object.keys(e.plugins).forEach((function(t){var n=e.plugins[t];"function"==typeof n.install&&!1===rt.includes(n)&&n.install(r)}))}}}},{components:Zs,directives:Fl,plugins:zu,config:window.quasarConfig||{}}),Object.assign({},{version:n,lang:j,iconSet:it,components:Zs,directives:Fl,plugins:zu,utils:Uu},Zs,Fl,zu,Uu)})),
/*!
 * Chart.js v2.9.4
 * https://www.chartjs.org
 * (c) 2020 Chart.js Contributors
 * Released under the MIT License
 */
function(t,e){"object"==typeof exports&&"undefined"!=typeof module?module.exports=e():"function"==typeof define&&define.amd?define(e):(t=t||self).Chart=e()}(this,(function(){"use strict";"undefined"!=typeof globalThis?globalThis:"undefined"!=typeof window?window:"undefined"!=typeof global?global:"undefined"!=typeof self&&self;function t(){throw new Error("Dynamic requires are not currently supported by rollup-plugin-commonjs")}function e(t,e){return t(e={exports:{}},e.exports),e.exports}var n={aliceblue:[240,248,255],antiquewhite:[250,235,215],aqua:[0,255,255],aquamarine:[127,255,212],azure:[240,255,255],beige:[245,245,220],bisque:[255,228,196],black:[0,0,0],blanchedalmond:[255,235,205],blue:[0,0,255],blueviolet:[138,43,226],brown:[165,42,42],burlywood:[222,184,135],cadetblue:[95,158,160],chartreuse:[127,255,0],chocolate:[210,105,30],coral:[255,127,80],cornflowerblue:[100,149,237],cornsilk:[255,248,220],crimson:[220,20,60],cyan:[0,255,255],darkblue:[0,0,139],darkcyan:[0,139,139],darkgoldenrod:[184,134,11],darkgray:[169,169,169],darkgreen:[0,100,0],darkgrey:[169,169,169],darkkhaki:[189,183,107],darkmagenta:[139,0,139],darkolivegreen:[85,107,47],darkorange:[255,140,0],darkorchid:[153,50,204],darkred:[139,0,0],darksalmon:[233,150,122],darkseagreen:[143,188,143],darkslateblue:[72,61,139],darkslategray:[47,79,79],darkslategrey:[47,79,79],darkturquoise:[0,206,209],darkviolet:[148,0,211],deeppink:[255,20,147],deepskyblue:[0,191,255],dimgray:[105,105,105],dimgrey:[105,105,105],dodgerblue:[30,144,255],firebrick:[178,34,34],floralwhite:[255,250,240],forestgreen:[34,139,34],fuchsia:[255,0,255],gainsboro:[220,220,220],ghostwhite:[248,248,255],gold:[255,215,0],goldenrod:[218,165,32],gray:[128,128,128],green:[0,128,0],greenyellow:[173,255,47],grey:[128,128,128],honeydew:[240,255,240],hotpink:[255,105,180],indianred:[205,92,92],indigo:[75,0,130],ivory:[255,255,240],khaki:[240,230,140],lavender:[230,230,250],lavenderblush:[255,240,245],lawngreen:[124,252,0],lemonchiffon:[255,250,205],lightblue:[173,216,230],lightcoral:[240,128,128],lightcyan:[224,255,255],lightgoldenrodyellow:[250,250,210],lightgray:[211,211,211],lightgreen:[144,238,144],lightgrey:[211,211,211],lightpink:[255,182,193],lightsalmon:[255,160,122],lightseagreen:[32,178,170],lightskyblue:[135,206,250],lightslategray:[119,136,153],lightslategrey:[119,136,153],lightsteelblue:[176,196,222],lightyellow:[255,255,224],lime:[0,255,0],limegreen:[50,205,50],linen:[250,240,230],magenta:[255,0,255],maroon:[128,0,0],mediumaquamarine:[102,205,170],mediumblue:[0,0,205],mediumorchid:[186,85,211],mediumpurple:[147,112,219],mediumseagreen:[60,179,113],mediumslateblue:[123,104,238],mediumspringgreen:[0,250,154],mediumturquoise:[72,209,204],mediumvioletred:[199,21,133],midnightblue:[25,25,112],mintcream:[245,255,250],mistyrose:[255,228,225],moccasin:[255,228,181],navajowhite:[255,222,173],navy:[0,0,128],oldlace:[253,245,230],olive:[128,128,0],olivedrab:[107,142,35],orange:[255,165,0],orangered:[255,69,0],orchid:[218,112,214],palegoldenrod:[238,232,170],palegreen:[152,251,152],paleturquoise:[175,238,238],palevioletred:[219,112,147],papayawhip:[255,239,213],peachpuff:[255,218,185],peru:[205,133,63],pink:[255,192,203],plum:[221,160,221],powderblue:[176,224,230],purple:[128,0,128],rebeccapurple:[102,51,153],red:[255,0,0],rosybrown:[188,143,143],royalblue:[65,105,225],saddlebrown:[139,69,19],salmon:[250,128,114],sandybrown:[244,164,96],seagreen:[46,139,87],seashell:[255,245,238],sienna:[160,82,45],silver:[192,192,192],skyblue:[135,206,235],slateblue:[106,90,205],slategray:[112,128,144],slategrey:[112,128,144],snow:[255,250,250],springgreen:[0,255,127],steelblue:[70,130,180],tan:[210,180,140],teal:[0,128,128],thistle:[216,191,216],tomato:[255,99,71],turquoise:[64,224,208],violet:[238,130,238],wheat:[245,222,179],white:[255,255,255],whitesmoke:[245,245,245],yellow:[255,255,0],yellowgreen:[154,205,50]},i=e((function(t){var e={};for(var i in n)n.hasOwnProperty(i)&&(e[n[i]]=i);var r=t.exports={rgb:{channels:3,labels:"rgb"},hsl:{channels:3,labels:"hsl"},hsv:{channels:3,labels:"hsv"},hwb:{channels:3,labels:"hwb"},cmyk:{channels:4,labels:"cmyk"},xyz:{channels:3,labels:"xyz"},lab:{channels:3,labels:"lab"},lch:{channels:3,labels:"lch"},hex:{channels:1,labels:["hex"]},keyword:{channels:1,labels:["keyword"]},ansi16:{channels:1,labels:["ansi16"]},ansi256:{channels:1,labels:["ansi256"]},hcg:{channels:3,labels:["h","c","g"]},apple:{channels:3,labels:["r16","g16","b16"]},gray:{channels:1,labels:["gray"]}};for(var o in r)if(r.hasOwnProperty(o)){if(!("channels"in r[o]))throw new Error("missing channels property: "+o);if(!("labels"in r[o]))throw new Error("missing channel labels property: "+o);if(r[o].labels.length!==r[o].channels)throw new Error("channel and label counts mismatch: "+o);var a=r[o].channels,s=r[o].labels;delete r[o].channels,delete r[o].labels,Object.defineProperty(r[o],"channels",{value:a}),Object.defineProperty(r[o],"labels",{value:s})}r.rgb.hsl=function(t){var e,n,i=t[0]/255,r=t[1]/255,o=t[2]/255,a=Math.min(i,r,o),s=Math.max(i,r,o),l=s-a;return s===a?e=0:i===s?e=(r-o)/l:r===s?e=2+(o-i)/l:o===s&&(e=4+(i-r)/l),(e=Math.min(60*e,360))<0&&(e+=360),n=(a+s)/2,[e,100*(s===a?0:n<=.5?l/(s+a):l/(2-s-a)),100*n]},r.rgb.hsv=function(t){var e,n,i,r,o,a=t[0]/255,s=t[1]/255,l=t[2]/255,u=Math.max(a,s,l),c=u-Math.min(a,s,l),d=function(t){return(u-t)/6/c+.5};return 0===c?r=o=0:(o=c/u,e=d(a),n=d(s),i=d(l),a===u?r=i-n:s===u?r=1/3+e-i:l===u&&(r=2/3+n-e),r<0?r+=1:r>1&&(r-=1)),[360*r,100*o,100*u]},r.rgb.hwb=function(t){var e=t[0],n=t[1],i=t[2];return[r.rgb.hsl(t)[0],100*(1/255*Math.min(e,Math.min(n,i))),100*(i=1-1/255*Math.max(e,Math.max(n,i)))]},r.rgb.cmyk=function(t){var e,n=t[0]/255,i=t[1]/255,r=t[2]/255;return[100*((1-n-(e=Math.min(1-n,1-i,1-r)))/(1-e)||0),100*((1-i-e)/(1-e)||0),100*((1-r-e)/(1-e)||0),100*e]},r.rgb.keyword=function(t){var i=e[t];if(i)return i;var r,o,a,s=1/0;for(var l in n)if(n.hasOwnProperty(l)){var u=n[l],c=(o=t,a=u,Math.pow(o[0]-a[0],2)+Math.pow(o[1]-a[1],2)+Math.pow(o[2]-a[2],2));c<s&&(s=c,r=l)}return r},r.keyword.rgb=function(t){return n[t]},r.rgb.xyz=function(t){var e=t[0]/255,n=t[1]/255,i=t[2]/255;return[100*(.4124*(e=e>.04045?Math.pow((e+.055)/1.055,2.4):e/12.92)+.3576*(n=n>.04045?Math.pow((n+.055)/1.055,2.4):n/12.92)+.1805*(i=i>.04045?Math.pow((i+.055)/1.055,2.4):i/12.92)),100*(.2126*e+.7152*n+.0722*i),100*(.0193*e+.1192*n+.9505*i)]},r.rgb.lab=function(t){var e=r.rgb.xyz(t),n=e[0],i=e[1],o=e[2];return i/=100,o/=108.883,n=(n/=95.047)>.008856?Math.pow(n,1/3):7.787*n+16/116,[116*(i=i>.008856?Math.pow(i,1/3):7.787*i+16/116)-16,500*(n-i),200*(i-(o=o>.008856?Math.pow(o,1/3):7.787*o+16/116))]},r.hsl.rgb=function(t){var e,n,i,r,o,a=t[0]/360,s=t[1]/100,l=t[2]/100;if(0===s)return[o=255*l,o,o];e=2*l-(n=l<.5?l*(1+s):l+s-l*s),r=[0,0,0];for(var u=0;u<3;u++)(i=a+1/3*-(u-1))<0&&i++,i>1&&i--,o=6*i<1?e+6*(n-e)*i:2*i<1?n:3*i<2?e+(n-e)*(2/3-i)*6:e,r[u]=255*o;return r},r.hsl.hsv=function(t){var e=t[0],n=t[1]/100,i=t[2]/100,r=n,o=Math.max(i,.01);return n*=(i*=2)<=1?i:2-i,r*=o<=1?o:2-o,[e,100*(0===i?2*r/(o+r):2*n/(i+n)),100*((i+n)/2)]},r.hsv.rgb=function(t){var e=t[0]/60,n=t[1]/100,i=t[2]/100,r=Math.floor(e)%6,o=e-Math.floor(e),a=255*i*(1-n),s=255*i*(1-n*o),l=255*i*(1-n*(1-o));switch(i*=255,r){case 0:return[i,l,a];case 1:return[s,i,a];case 2:return[a,i,l];case 3:return[a,s,i];case 4:return[l,a,i];case 5:return[i,a,s]}},r.hsv.hsl=function(t){var e,n,i,r=t[0],o=t[1]/100,a=t[2]/100,s=Math.max(a,.01);return i=(2-o)*a,n=o*s,[r,100*(n=(n/=(e=(2-o)*s)<=1?e:2-e)||0),100*(i/=2)]},r.hwb.rgb=function(t){var e,n,i,r,o,a,s,l=t[0]/360,u=t[1]/100,c=t[2]/100,d=u+c;switch(d>1&&(u/=d,c/=d),i=6*l-(e=Math.floor(6*l)),0!=(1&e)&&(i=1-i),r=u+i*((n=1-c)-u),e){default:case 6:case 0:o=n,a=r,s=u;break;case 1:o=r,a=n,s=u;break;case 2:o=u,a=n,s=r;break;case 3:o=u,a=r,s=n;break;case 4:o=r,a=u,s=n;break;case 5:o=n,a=u,s=r}return[255*o,255*a,255*s]},r.cmyk.rgb=function(t){var e=t[0]/100,n=t[1]/100,i=t[2]/100,r=t[3]/100;return[255*(1-Math.min(1,e*(1-r)+r)),255*(1-Math.min(1,n*(1-r)+r)),255*(1-Math.min(1,i*(1-r)+r))]},r.xyz.rgb=function(t){var e,n,i,r=t[0]/100,o=t[1]/100,a=t[2]/100;return n=-.9689*r+1.8758*o+.0415*a,i=.0557*r+-.204*o+1.057*a,e=(e=3.2406*r+-1.5372*o+-.4986*a)>.0031308?1.055*Math.pow(e,1/2.4)-.055:12.92*e,n=n>.0031308?1.055*Math.pow(n,1/2.4)-.055:12.92*n,i=i>.0031308?1.055*Math.pow(i,1/2.4)-.055:12.92*i,[255*(e=Math.min(Math.max(0,e),1)),255*(n=Math.min(Math.max(0,n),1)),255*(i=Math.min(Math.max(0,i),1))]},r.xyz.lab=function(t){var e=t[0],n=t[1],i=t[2];return n/=100,i/=108.883,e=(e/=95.047)>.008856?Math.pow(e,1/3):7.787*e+16/116,[116*(n=n>.008856?Math.pow(n,1/3):7.787*n+16/116)-16,500*(e-n),200*(n-(i=i>.008856?Math.pow(i,1/3):7.787*i+16/116))]},r.lab.xyz=function(t){var e,n,i,r=t[0];e=t[1]/500+(n=(r+16)/116),i=n-t[2]/200;var o=Math.pow(n,3),a=Math.pow(e,3),s=Math.pow(i,3);return n=o>.008856?o:(n-16/116)/7.787,e=a>.008856?a:(e-16/116)/7.787,i=s>.008856?s:(i-16/116)/7.787,[e*=95.047,n*=100,i*=108.883]},r.lab.lch=function(t){var e,n=t[0],i=t[1],r=t[2];return(e=360*Math.atan2(r,i)/2/Math.PI)<0&&(e+=360),[n,Math.sqrt(i*i+r*r),e]},r.lch.lab=function(t){var e,n=t[0],i=t[1];return e=t[2]/360*2*Math.PI,[n,i*Math.cos(e),i*Math.sin(e)]},r.rgb.ansi16=function(t){var e=t[0],n=t[1],i=t[2],o=1 in arguments?arguments[1]:r.rgb.hsv(t)[2];if(0===(o=Math.round(o/50)))return 30;var a=30+(Math.round(i/255)<<2|Math.round(n/255)<<1|Math.round(e/255));return 2===o&&(a+=60),a},r.hsv.ansi16=function(t){return r.rgb.ansi16(r.hsv.rgb(t),t[2])},r.rgb.ansi256=function(t){var e=t[0],n=t[1],i=t[2];return e===n&&n===i?e<8?16:e>248?231:Math.round((e-8)/247*24)+232:16+36*Math.round(e/255*5)+6*Math.round(n/255*5)+Math.round(i/255*5)},r.ansi16.rgb=function(t){var e=t%10;if(0===e||7===e)return t>50&&(e+=3.5),[e=e/10.5*255,e,e];var n=.5*(1+~~(t>50));return[(1&e)*n*255,(e>>1&1)*n*255,(e>>2&1)*n*255]},r.ansi256.rgb=function(t){if(t>=232){var e=10*(t-232)+8;return[e,e,e]}var n;return t-=16,[Math.floor(t/36)/5*255,Math.floor((n=t%36)/6)/5*255,n%6/5*255]},r.rgb.hex=function(t){var e=(((255&Math.round(t[0]))<<16)+((255&Math.round(t[1]))<<8)+(255&Math.round(t[2]))).toString(16).toUpperCase();return"000000".substring(e.length)+e},r.hex.rgb=function(t){var e=t.toString(16).match(/[a-f0-9]{6}|[a-f0-9]{3}/i);if(!e)return[0,0,0];var n=e[0];3===e[0].length&&(n=n.split("").map((function(t){return t+t})).join(""));var i=parseInt(n,16);return[i>>16&255,i>>8&255,255&i]},r.rgb.hcg=function(t){var e,n=t[0]/255,i=t[1]/255,r=t[2]/255,o=Math.max(Math.max(n,i),r),a=Math.min(Math.min(n,i),r),s=o-a;return e=s<=0?0:o===n?(i-r)/s%6:o===i?2+(r-n)/s:4+(n-i)/s+4,e/=6,[360*(e%=1),100*s,100*(s<1?a/(1-s):0)]},r.hsl.hcg=function(t){var e=t[1]/100,n=t[2]/100,i=1,r=0;return(i=n<.5?2*e*n:2*e*(1-n))<1&&(r=(n-.5*i)/(1-i)),[t[0],100*i,100*r]},r.hsv.hcg=function(t){var e=t[1]/100,n=t[2]/100,i=e*n,r=0;return i<1&&(r=(n-i)/(1-i)),[t[0],100*i,100*r]},r.hcg.rgb=function(t){var e=t[0]/360,n=t[1]/100,i=t[2]/100;if(0===n)return[255*i,255*i,255*i];var r,o=[0,0,0],a=e%1*6,s=a%1,l=1-s;switch(Math.floor(a)){case 0:o[0]=1,o[1]=s,o[2]=0;break;case 1:o[0]=l,o[1]=1,o[2]=0;break;case 2:o[0]=0,o[1]=1,o[2]=s;break;case 3:o[0]=0,o[1]=l,o[2]=1;break;case 4:o[0]=s,o[1]=0,o[2]=1;break;default:o[0]=1,o[1]=0,o[2]=l}return r=(1-n)*i,[255*(n*o[0]+r),255*(n*o[1]+r),255*(n*o[2]+r)]},r.hcg.hsv=function(t){var e=t[1]/100,n=e+t[2]/100*(1-e),i=0;return n>0&&(i=e/n),[t[0],100*i,100*n]},r.hcg.hsl=function(t){var e=t[1]/100,n=t[2]/100*(1-e)+.5*e,i=0;return n>0&&n<.5?i=e/(2*n):n>=.5&&n<1&&(i=e/(2*(1-n))),[t[0],100*i,100*n]},r.hcg.hwb=function(t){var e=t[1]/100,n=e+t[2]/100*(1-e);return[t[0],100*(n-e),100*(1-n)]},r.hwb.hcg=function(t){var e=t[1]/100,n=1-t[2]/100,i=n-e,r=0;return i<1&&(r=(n-i)/(1-i)),[t[0],100*i,100*r]},r.apple.rgb=function(t){return[t[0]/65535*255,t[1]/65535*255,t[2]/65535*255]},r.rgb.apple=function(t){return[t[0]/255*65535,t[1]/255*65535,t[2]/255*65535]},r.gray.rgb=function(t){return[t[0]/100*255,t[0]/100*255,t[0]/100*255]},r.gray.hsl=r.gray.hsv=function(t){return[0,0,t[0]]},r.gray.hwb=function(t){return[0,100,t[0]]},r.gray.cmyk=function(t){return[0,0,0,t[0]]},r.gray.lab=function(t){return[t[0],0,0]},r.gray.hex=function(t){var e=255&Math.round(t[0]/100*255),n=((e<<16)+(e<<8)+e).toString(16).toUpperCase();return"000000".substring(n.length)+n},r.rgb.gray=function(t){return[(t[0]+t[1]+t[2])/3/255*100]}}));i.rgb,i.hsl,i.hsv,i.hwb,i.cmyk,i.xyz,i.lab,i.lch,i.hex,i.keyword,i.ansi16,i.ansi256,i.hcg,i.apple,i.gray;function r(t){var e=function(){for(var t={},e=Object.keys(i),n=e.length,r=0;r<n;r++)t[e[r]]={distance:-1,parent:null};return t}(),n=[t];for(e[t].distance=0;n.length;)for(var r=n.pop(),o=Object.keys(i[r]),a=o.length,s=0;s<a;s++){var l=o[s],u=e[l];-1===u.distance&&(u.distance=e[r].distance+1,u.parent=r,n.unshift(l))}return e}function o(t,e){return function(n){return e(t(n))}}function a(t,e){for(var n=[e[t].parent,t],r=i[e[t].parent][t],a=e[t].parent;e[a].parent;)n.unshift(e[a].parent),r=o(i[e[a].parent][a],r),a=e[a].parent;return r.conversion=n,r}var s={};Object.keys(i).forEach((function(t){s[t]={},Object.defineProperty(s[t],"channels",{value:i[t].channels}),Object.defineProperty(s[t],"labels",{value:i[t].labels});var e=function(t){for(var e=r(t),n={},i=Object.keys(e),o=i.length,s=0;s<o;s++){var l=i[s];null!==e[l].parent&&(n[l]=a(l,e))}return n}(t);Object.keys(e).forEach((function(n){var i=e[n];s[t][n]=function(t){var e=function(e){if(null==e)return e;arguments.length>1&&(e=Array.prototype.slice.call(arguments));var n=t(e);if("object"==typeof n)for(var i=n.length,r=0;r<i;r++)n[r]=Math.round(n[r]);return n};return"conversion"in t&&(e.conversion=t.conversion),e}(i),s[t][n].raw=function(t){var e=function(e){return null==e?e:(arguments.length>1&&(e=Array.prototype.slice.call(arguments)),t(e))};return"conversion"in t&&(e.conversion=t.conversion),e}(i)}))}));var l=s,u={aliceblue:[240,248,255],antiquewhite:[250,235,215],aqua:[0,255,255],aquamarine:[127,255,212],azure:[240,255,255],beige:[245,245,220],bisque:[255,228,196],black:[0,0,0],blanchedalmond:[255,235,205],blue:[0,0,255],blueviolet:[138,43,226],brown:[165,42,42],burlywood:[222,184,135],cadetblue:[95,158,160],chartreuse:[127,255,0],chocolate:[210,105,30],coral:[255,127,80],cornflowerblue:[100,149,237],cornsilk:[255,248,220],crimson:[220,20,60],cyan:[0,255,255],darkblue:[0,0,139],darkcyan:[0,139,139],darkgoldenrod:[184,134,11],darkgray:[169,169,169],darkgreen:[0,100,0],darkgrey:[169,169,169],darkkhaki:[189,183,107],darkmagenta:[139,0,139],darkolivegreen:[85,107,47],darkorange:[255,140,0],darkorchid:[153,50,204],darkred:[139,0,0],darksalmon:[233,150,122],darkseagreen:[143,188,143],darkslateblue:[72,61,139],darkslategray:[47,79,79],darkslategrey:[47,79,79],darkturquoise:[0,206,209],darkviolet:[148,0,211],deeppink:[255,20,147],deepskyblue:[0,191,255],dimgray:[105,105,105],dimgrey:[105,105,105],dodgerblue:[30,144,255],firebrick:[178,34,34],floralwhite:[255,250,240],forestgreen:[34,139,34],fuchsia:[255,0,255],gainsboro:[220,220,220],ghostwhite:[248,248,255],gold:[255,215,0],goldenrod:[218,165,32],gray:[128,128,128],green:[0,128,0],greenyellow:[173,255,47],grey:[128,128,128],honeydew:[240,255,240],hotpink:[255,105,180],indianred:[205,92,92],indigo:[75,0,130],ivory:[255,255,240],khaki:[240,230,140],lavender:[230,230,250],lavenderblush:[255,240,245],lawngreen:[124,252,0],lemonchiffon:[255,250,205],lightblue:[173,216,230],lightcoral:[240,128,128],lightcyan:[224,255,255],lightgoldenrodyellow:[250,250,210],lightgray:[211,211,211],lightgreen:[144,238,144],lightgrey:[211,211,211],lightpink:[255,182,193],lightsalmon:[255,160,122],lightseagreen:[32,178,170],lightskyblue:[135,206,250],lightslategray:[119,136,153],lightslategrey:[119,136,153],lightsteelblue:[176,196,222],lightyellow:[255,255,224],lime:[0,255,0],limegreen:[50,205,50],linen:[250,240,230],magenta:[255,0,255],maroon:[128,0,0],mediumaquamarine:[102,205,170],mediumblue:[0,0,205],mediumorchid:[186,85,211],mediumpurple:[147,112,219],mediumseagreen:[60,179,113],mediumslateblue:[123,104,238],mediumspringgreen:[0,250,154],mediumturquoise:[72,209,204],mediumvioletred:[199,21,133],midnightblue:[25,25,112],mintcream:[245,255,250],mistyrose:[255,228,225],moccasin:[255,228,181],navajowhite:[255,222,173],navy:[0,0,128],oldlace:[253,245,230],olive:[128,128,0],olivedrab:[107,142,35],orange:[255,165,0],orangered:[255,69,0],orchid:[218,112,214],palegoldenrod:[238,232,170],palegreen:[152,251,152],paleturquoise:[175,238,238],palevioletred:[219,112,147],papayawhip:[255,239,213],peachpuff:[255,218,185],peru:[205,133,63],pink:[255,192,203],plum:[221,160,221],powderblue:[176,224,230],purple:[128,0,128],rebeccapurple:[102,51,153],red:[255,0,0],rosybrown:[188,143,143],royalblue:[65,105,225],saddlebrown:[139,69,19],salmon:[250,128,114],sandybrown:[244,164,96],seagreen:[46,139,87],seashell:[255,245,238],sienna:[160,82,45],silver:[192,192,192],skyblue:[135,206,235],slateblue:[106,90,205],slategray:[112,128,144],slategrey:[112,128,144],snow:[255,250,250],springgreen:[0,255,127],steelblue:[70,130,180],tan:[210,180,140],teal:[0,128,128],thistle:[216,191,216],tomato:[255,99,71],turquoise:[64,224,208],violet:[238,130,238],wheat:[245,222,179],white:[255,255,255],whitesmoke:[245,245,245],yellow:[255,255,0],yellowgreen:[154,205,50]},c={getRgba:d,getHsla:h,getRgb:function(t){var e=d(t);return e&&e.slice(0,3)},getHsl:function(t){var e=h(t);return e&&e.slice(0,3)},getHwb:f,getAlpha:function(t){var e=d(t);if(e)return e[3];if(e=h(t))return e[3];if(e=f(t))return e[3]},hexString:function(t,e){e=void 0!==e&&3===t.length?e:t[3];return"#"+_(t[0])+_(t[1])+_(t[2])+(e>=0&&e<1?_(Math.round(255*e)):"")},rgbString:function(t,e){if(e<1||t[3]&&t[3]<1)return p(t,e);return"rgb("+t[0]+", "+t[1]+", "+t[2]+")"},rgbaString:p,percentString:function(t,e){if(e<1||t[3]&&t[3]<1)return m(t,e);var n=Math.round(t[0]/255*100),i=Math.round(t[1]/255*100),r=Math.round(t[2]/255*100);return"rgb("+n+"%, "+i+"%, "+r+"%)"},percentaString:m,hslString:function(t,e){if(e<1||t[3]&&t[3]<1)return v(t,e);return"hsl("+t[0]+", "+t[1]+"%, "+t[2]+"%)"},hslaString:v,hwbString:function(t,e){void 0===e&&(e=void 0!==t[3]?t[3]:1);return"hwb("+t[0]+", "+t[1]+"%, "+t[2]+"%"+(void 0!==e&&1!==e?", "+e:"")+")"},keyword:function(t){return y[t.slice(0,3)]}};function d(t){if(t){var e=[0,0,0],n=1,i=t.match(/^#([a-fA-F0-9]{3,4})$/i),r="";if(i){r=(i=i[1])[3];for(var o=0;o<e.length;o++)e[o]=parseInt(i[o]+i[o],16);r&&(n=Math.round(parseInt(r+r,16)/255*100)/100)}else if(i=t.match(/^#([a-fA-F0-9]{6}([a-fA-F0-9]{2})?)$/i)){r=i[2],i=i[1];for(o=0;o<e.length;o++)e[o]=parseInt(i.slice(2*o,2*o+2),16);r&&(n=Math.round(parseInt(r,16)/255*100)/100)}else if(i=t.match(/^rgba?\(\s*([+-]?\d+)\s*,\s*([+-]?\d+)\s*,\s*([+-]?\d+)\s*(?:,\s*([+-]?[\d\.]+)\s*)?\)$/i)){for(o=0;o<e.length;o++)e[o]=parseInt(i[o+1]);n=parseFloat(i[4])}else if(i=t.match(/^rgba?\(\s*([+-]?[\d\.]+)\%\s*,\s*([+-]?[\d\.]+)\%\s*,\s*([+-]?[\d\.]+)\%\s*(?:,\s*([+-]?[\d\.]+)\s*)?\)$/i)){for(o=0;o<e.length;o++)e[o]=Math.round(2.55*parseFloat(i[o+1]));n=parseFloat(i[4])}else if(i=t.match(/(\w+)/)){if("transparent"==i[1])return[0,0,0,0];if(!(e=u[i[1]]))return}for(o=0;o<e.length;o++)e[o]=g(e[o],0,255);return n=n||0==n?g(n,0,1):1,e[3]=n,e}}function h(t){if(t){var e=t.match(/^hsla?\(\s*([+-]?\d+)(?:deg)?\s*,\s*([+-]?[\d\.]+)%\s*,\s*([+-]?[\d\.]+)%\s*(?:,\s*([+-]?[\d\.]+)\s*)?\)/);if(e){var n=parseFloat(e[4]);return[g(parseInt(e[1]),0,360),g(parseFloat(e[2]),0,100),g(parseFloat(e[3]),0,100),g(isNaN(n)?1:n,0,1)]}}}function f(t){if(t){var e=t.match(/^hwb\(\s*([+-]?\d+)(?:deg)?\s*,\s*([+-]?[\d\.]+)%\s*,\s*([+-]?[\d\.]+)%\s*(?:,\s*([+-]?[\d\.]+)\s*)?\)/);if(e){var n=parseFloat(e[4]);return[g(parseInt(e[1]),0,360),g(parseFloat(e[2]),0,100),g(parseFloat(e[3]),0,100),g(isNaN(n)?1:n,0,1)]}}}function p(t,e){return void 0===e&&(e=void 0!==t[3]?t[3]:1),"rgba("+t[0]+", "+t[1]+", "+t[2]+", "+e+")"}function m(t,e){return"rgba("+Math.round(t[0]/255*100)+"%, "+Math.round(t[1]/255*100)+"%, "+Math.round(t[2]/255*100)+"%, "+(e||t[3]||1)+")"}function v(t,e){return void 0===e&&(e=void 0!==t[3]?t[3]:1),"hsla("+t[0]+", "+t[1]+"%, "+t[2]+"%, "+e+")"}function g(t,e,n){return Math.min(Math.max(e,t),n)}function _(t){var e=t.toString(16).toUpperCase();return e.length<2?"0"+e:e}var y={};for(var b in u)y[u[b]]=b;var w=function(t){return t instanceof w?t:this instanceof w?(this.valid=!1,this.values={rgb:[0,0,0],hsl:[0,0,0],hsv:[0,0,0],hwb:[0,0,0],cmyk:[0,0,0,0],alpha:1},void("string"==typeof t?(e=c.getRgba(t))?this.setValues("rgb",e):(e=c.getHsla(t))?this.setValues("hsl",e):(e=c.getHwb(t))&&this.setValues("hwb",e):"object"==typeof t&&(void 0!==(e=t).r||void 0!==e.red?this.setValues("rgb",e):void 0!==e.l||void 0!==e.lightness?this.setValues("hsl",e):void 0!==e.v||void 0!==e.value?this.setValues("hsv",e):void 0!==e.w||void 0!==e.whiteness?this.setValues("hwb",e):void 0===e.c&&void 0===e.cyan||this.setValues("cmyk",e)))):new w(t);var e};w.prototype={isValid:function(){return this.valid},rgb:function(){return this.setSpace("rgb",arguments)},hsl:function(){return this.setSpace("hsl",arguments)},hsv:function(){return this.setSpace("hsv",arguments)},hwb:function(){return this.setSpace("hwb",arguments)},cmyk:function(){return this.setSpace("cmyk",arguments)},rgbArray:function(){return this.values.rgb},hslArray:function(){return this.values.hsl},hsvArray:function(){return this.values.hsv},hwbArray:function(){var t=this.values;return 1!==t.alpha?t.hwb.concat([t.alpha]):t.hwb},cmykArray:function(){return this.values.cmyk},rgbaArray:function(){var t=this.values;return t.rgb.concat([t.alpha])},hslaArray:function(){var t=this.values;return t.hsl.concat([t.alpha])},alpha:function(t){return void 0===t?this.values.alpha:(this.setValues("alpha",t),this)},red:function(t){return this.setChannel("rgb",0,t)},green:function(t){return this.setChannel("rgb",1,t)},blue:function(t){return this.setChannel("rgb",2,t)},hue:function(t){return t&&(t=(t%=360)<0?360+t:t),this.setChannel("hsl",0,t)},saturation:function(t){return this.setChannel("hsl",1,t)},lightness:function(t){return this.setChannel("hsl",2,t)},saturationv:function(t){return this.setChannel("hsv",1,t)},whiteness:function(t){return this.setChannel("hwb",1,t)},blackness:function(t){return this.setChannel("hwb",2,t)},value:function(t){return this.setChannel("hsv",2,t)},cyan:function(t){return this.setChannel("cmyk",0,t)},magenta:function(t){return this.setChannel("cmyk",1,t)},yellow:function(t){return this.setChannel("cmyk",2,t)},black:function(t){return this.setChannel("cmyk",3,t)},hexString:function(){return c.hexString(this.values.rgb)},rgbString:function(){return c.rgbString(this.values.rgb,this.values.alpha)},rgbaString:function(){return c.rgbaString(this.values.rgb,this.values.alpha)},percentString:function(){return c.percentString(this.values.rgb,this.values.alpha)},hslString:function(){return c.hslString(this.values.hsl,this.values.alpha)},hslaString:function(){return c.hslaString(this.values.hsl,this.values.alpha)},hwbString:function(){return c.hwbString(this.values.hwb,this.values.alpha)},keyword:function(){return c.keyword(this.values.rgb,this.values.alpha)},rgbNumber:function(){var t=this.values.rgb;return t[0]<<16|t[1]<<8|t[2]},luminosity:function(){for(var t=this.values.rgb,e=[],n=0;n<t.length;n++){var i=t[n]/255;e[n]=i<=.03928?i/12.92:Math.pow((i+.055)/1.055,2.4)}return.2126*e[0]+.7152*e[1]+.0722*e[2]},contrast:function(t){var e=this.luminosity(),n=t.luminosity();return e>n?(e+.05)/(n+.05):(n+.05)/(e+.05)},level:function(t){var e=this.contrast(t);return e>=7.1?"AAA":e>=4.5?"AA":""},dark:function(){var t=this.values.rgb;return(299*t[0]+587*t[1]+114*t[2])/1e3<128},light:function(){return!this.dark()},negate:function(){for(var t=[],e=0;e<3;e++)t[e]=255-this.values.rgb[e];return this.setValues("rgb",t),this},lighten:function(t){var e=this.values.hsl;return e[2]+=e[2]*t,this.setValues("hsl",e),this},darken:function(t){var e=this.values.hsl;return e[2]-=e[2]*t,this.setValues("hsl",e),this},saturate:function(t){var e=this.values.hsl;return e[1]+=e[1]*t,this.setValues("hsl",e),this},desaturate:function(t){var e=this.values.hsl;return e[1]-=e[1]*t,this.setValues("hsl",e),this},whiten:function(t){var e=this.values.hwb;return e[1]+=e[1]*t,this.setValues("hwb",e),this},blacken:function(t){var e=this.values.hwb;return e[2]+=e[2]*t,this.setValues("hwb",e),this},greyscale:function(){var t=this.values.rgb,e=.3*t[0]+.59*t[1]+.11*t[2];return this.setValues("rgb",[e,e,e]),this},clearer:function(t){var e=this.values.alpha;return this.setValues("alpha",e-e*t),this},opaquer:function(t){var e=this.values.alpha;return this.setValues("alpha",e+e*t),this},rotate:function(t){var e=this.values.hsl,n=(e[0]+t)%360;return e[0]=n<0?360+n:n,this.setValues("hsl",e),this},mix:function(t,e){var n=this,i=t,r=void 0===e?.5:e,o=2*r-1,a=n.alpha()-i.alpha(),s=((o*a==-1?o:(o+a)/(1+o*a))+1)/2,l=1-s;return this.rgb(s*n.red()+l*i.red(),s*n.green()+l*i.green(),s*n.blue()+l*i.blue()).alpha(n.alpha()*r+i.alpha()*(1-r))},toJSON:function(){return this.rgb()},clone:function(){var t,e,n=new w,i=this.values,r=n.values;for(var o in i)i.hasOwnProperty(o)&&(t=i[o],"[object Array]"===(e={}.toString.call(t))?r[o]=t.slice(0):"[object Number]"===e?r[o]=t:console.error("unexpected color value:",t));return n}},w.prototype.spaces={rgb:["red","green","blue"],hsl:["hue","saturation","lightness"],hsv:["hue","saturation","value"],hwb:["hue","whiteness","blackness"],cmyk:["cyan","magenta","yellow","black"]},w.prototype.maxes={rgb:[255,255,255],hsl:[360,100,100],hsv:[360,100,100],hwb:[360,100,100],cmyk:[100,100,100,100]},w.prototype.getValues=function(t){for(var e=this.values,n={},i=0;i<t.length;i++)n[t.charAt(i)]=e[t][i];return 1!==e.alpha&&(n.a=e.alpha),n},w.prototype.setValues=function(t,e){var n,i,r=this.values,o=this.spaces,a=this.maxes,s=1;if(this.valid=!0,"alpha"===t)s=e;else if(e.length)r[t]=e.slice(0,t.length),s=e[t.length];else if(void 0!==e[t.charAt(0)]){for(n=0;n<t.length;n++)r[t][n]=e[t.charAt(n)];s=e.a}else if(void 0!==e[o[t][0]]){var u=o[t];for(n=0;n<t.length;n++)r[t][n]=e[u[n]];s=e.alpha}if(r.alpha=Math.max(0,Math.min(1,void 0===s?r.alpha:s)),"alpha"===t)return!1;for(n=0;n<t.length;n++)i=Math.max(0,Math.min(a[t][n],r[t][n])),r[t][n]=Math.round(i);for(var c in o)c!==t&&(r[c]=l[t][c](r[t]));return!0},w.prototype.setSpace=function(t,e){var n=e[0];return void 0===n?this.getValues(t):("number"==typeof n&&(n=Array.prototype.slice.call(e)),this.setValues(t,n),this)},w.prototype.setChannel=function(t,e,n){var i=this.values[t];return void 0===n?i[e]:(n===i[e]||(i[e]=n,this.setValues(t,i)),this)},"undefined"!=typeof window&&(window.Color=w);var x=w;function k(t){return-1===["__proto__","prototype","constructor"].indexOf(t)}var S={noop:function(){},uid:function(){var t=0;return function(){return t++}}(),isNullOrUndef:function(t){return null==t},isArray:function(t){if(Array.isArray&&Array.isArray(t))return!0;var e=Object.prototype.toString.call(t);return"[object"===e.substr(0,7)&&"Array]"===e.substr(-6)},isObject:function(t){return null!==t&&"[object Object]"===Object.prototype.toString.call(t)},isFinite:function(t){return("number"==typeof t||t instanceof Number)&&isFinite(t)},valueOrDefault:function(t,e){return void 0===t?e:t},valueAtIndexOrDefault:function(t,e,n){return S.valueOrDefault(S.isArray(t)?t[e]:t,n)},callback:function(t,e,n){if(t&&"function"==typeof t.call)return t.apply(n,e)},each:function(t,e,n,i){var r,o,a;if(S.isArray(t))if(o=t.length,i)for(r=o-1;r>=0;r--)e.call(n,t[r],r);else for(r=0;r<o;r++)e.call(n,t[r],r);else if(S.isObject(t))for(o=(a=Object.keys(t)).length,r=0;r<o;r++)e.call(n,t[a[r]],a[r])},arrayEquals:function(t,e){var n,i,r,o;if(!t||!e||t.length!==e.length)return!1;for(n=0,i=t.length;n<i;++n)if(r=t[n],o=e[n],r instanceof Array&&o instanceof Array){if(!S.arrayEquals(r,o))return!1}else if(r!==o)return!1;return!0},clone:function(t){if(S.isArray(t))return t.map(S.clone);if(S.isObject(t)){for(var e=Object.create(t),n=Object.keys(t),i=n.length,r=0;r<i;++r)e[n[r]]=S.clone(t[n[r]]);return e}return t},_merger:function(t,e,n,i){if(k(t)){var r=e[t],o=n[t];S.isObject(r)&&S.isObject(o)?S.merge(r,o,i):e[t]=S.clone(o)}},_mergerIf:function(t,e,n){if(k(t)){var i=e[t],r=n[t];S.isObject(i)&&S.isObject(r)?S.mergeIf(i,r):e.hasOwnProperty(t)||(e[t]=S.clone(r))}},merge:function(t,e,n){var i,r,o,a,s,l=S.isArray(e)?e:[e],u=l.length;if(!S.isObject(t))return t;for(i=(n=n||{}).merger||S._merger,r=0;r<u;++r)if(e=l[r],S.isObject(e))for(s=0,a=(o=Object.keys(e)).length;s<a;++s)i(o[s],t,e,n);return t},mergeIf:function(t,e){return S.merge(t,e,{merger:S._mergerIf})},extend:Object.assign||function(t){return S.merge(t,[].slice.call(arguments,1),{merger:function(t,e,n){e[t]=n[t]}})},inherits:function(t){var e=this,n=t&&t.hasOwnProperty("constructor")?t.constructor:function(){return e.apply(this,arguments)},i=function(){this.constructor=n};return i.prototype=e.prototype,n.prototype=new i,n.extend=S.inherits,t&&S.extend(n.prototype,t),n.__super__=e.prototype,n},_deprecated:function(t,e,n,i){void 0!==e&&console.warn(t+': "'+n+'" is deprecated. Please use "'+i+'" instead')}},C=S;S.callCallback=S.callback,S.indexOf=function(t,e,n){return Array.prototype.indexOf.call(t,e,n)},S.getValueOrDefault=S.valueOrDefault,S.getValueAtIndexOrDefault=S.valueAtIndexOrDefault;var M={linear:function(t){return t},easeInQuad:function(t){return t*t},easeOutQuad:function(t){return-t*(t-2)},easeInOutQuad:function(t){return(t/=.5)<1?.5*t*t:-.5*(--t*(t-2)-1)},easeInCubic:function(t){return t*t*t},easeOutCubic:function(t){return(t-=1)*t*t+1},easeInOutCubic:function(t){return(t/=.5)<1?.5*t*t*t:.5*((t-=2)*t*t+2)},easeInQuart:function(t){return t*t*t*t},easeOutQuart:function(t){return-((t-=1)*t*t*t-1)},easeInOutQuart:function(t){return(t/=.5)<1?.5*t*t*t*t:-.5*((t-=2)*t*t*t-2)},easeInQuint:function(t){return t*t*t*t*t},easeOutQuint:function(t){return(t-=1)*t*t*t*t+1},easeInOutQuint:function(t){return(t/=.5)<1?.5*t*t*t*t*t:.5*((t-=2)*t*t*t*t+2)},easeInSine:function(t){return 1-Math.cos(t*(Math.PI/2))},easeOutSine:function(t){return Math.sin(t*(Math.PI/2))},easeInOutSine:function(t){return-.5*(Math.cos(Math.PI*t)-1)},easeInExpo:function(t){return 0===t?0:Math.pow(2,10*(t-1))},easeOutExpo:function(t){return 1===t?1:1-Math.pow(2,-10*t)},easeInOutExpo:function(t){return 0===t?0:1===t?1:(t/=.5)<1?.5*Math.pow(2,10*(t-1)):.5*(2-Math.pow(2,-10*--t))},easeInCirc:function(t){return t>=1?t:-(Math.sqrt(1-t*t)-1)},easeOutCirc:function(t){return Math.sqrt(1-(t-=1)*t)},easeInOutCirc:function(t){return(t/=.5)<1?-.5*(Math.sqrt(1-t*t)-1):.5*(Math.sqrt(1-(t-=2)*t)+1)},easeInElastic:function(t){var e=1.70158,n=0,i=1;return 0===t?0:1===t?1:(n||(n=.3),i<1?(i=1,e=n/4):e=n/(2*Math.PI)*Math.asin(1/i),-i*Math.pow(2,10*(t-=1))*Math.sin((t-e)*(2*Math.PI)/n))},easeOutElastic:function(t){var e=1.70158,n=0,i=1;return 0===t?0:1===t?1:(n||(n=.3),i<1?(i=1,e=n/4):e=n/(2*Math.PI)*Math.asin(1/i),i*Math.pow(2,-10*t)*Math.sin((t-e)*(2*Math.PI)/n)+1)},easeInOutElastic:function(t){var e=1.70158,n=0,i=1;return 0===t?0:2==(t/=.5)?1:(n||(n=.45),i<1?(i=1,e=n/4):e=n/(2*Math.PI)*Math.asin(1/i),t<1?i*Math.pow(2,10*(t-=1))*Math.sin((t-e)*(2*Math.PI)/n)*-.5:i*Math.pow(2,-10*(t-=1))*Math.sin((t-e)*(2*Math.PI)/n)*.5+1)},easeInBack:function(t){var e=1.70158;return t*t*((e+1)*t-e)},easeOutBack:function(t){var e=1.70158;return(t-=1)*t*((e+1)*t+e)+1},easeInOutBack:function(t){var e=1.70158;return(t/=.5)<1?t*t*((1+(e*=1.525))*t-e)*.5:.5*((t-=2)*t*((1+(e*=1.525))*t+e)+2)},easeInBounce:function(t){return 1-M.easeOutBounce(1-t)},easeOutBounce:function(t){return t<1/2.75?7.5625*t*t:t<2/2.75?7.5625*(t-=1.5/2.75)*t+.75:t<2.5/2.75?7.5625*(t-=2.25/2.75)*t+.9375:7.5625*(t-=2.625/2.75)*t+.984375},easeInOutBounce:function(t){return t<.5?.5*M.easeInBounce(2*t):.5*M.easeOutBounce(2*t-1)+.5}},T={effects:M};C.easingEffects=M;var O=Math.PI,A=O/180,E=2*O,q=O/2,L=O/4,D=2*O/3,P={clear:function(t){t.ctx.clearRect(0,0,t.width,t.height)},roundedRect:function(t,e,n,i,r,o){if(o){var a=Math.min(o,r/2,i/2),s=e+a,l=n+a,u=e+i-a,c=n+r-a;t.moveTo(e,l),s<u&&l<c?(t.arc(s,l,a,-O,-q),t.arc(u,l,a,-q,0),t.arc(u,c,a,0,q),t.arc(s,c,a,q,O)):s<u?(t.moveTo(s,n),t.arc(u,l,a,-q,q),t.arc(s,l,a,q,O+q)):l<c?(t.arc(s,l,a,-O,0),t.arc(s,c,a,0,O)):t.arc(s,l,a,-O,O),t.closePath(),t.moveTo(e,n)}else t.rect(e,n,i,r)},drawPoint:function(t,e,n,i,r,o){var a,s,l,u,c,d=(o||0)*A;if(e&&"object"==typeof e&&("[object HTMLImageElement]"===(a=e.toString())||"[object HTMLCanvasElement]"===a))return t.save(),t.translate(i,r),t.rotate(d),t.drawImage(e,-e.width/2,-e.height/2,e.width,e.height),void t.restore();if(!(isNaN(n)||n<=0)){switch(t.beginPath(),e){default:t.arc(i,r,n,0,E),t.closePath();break;case"triangle":t.moveTo(i+Math.sin(d)*n,r-Math.cos(d)*n),d+=D,t.lineTo(i+Math.sin(d)*n,r-Math.cos(d)*n),d+=D,t.lineTo(i+Math.sin(d)*n,r-Math.cos(d)*n),t.closePath();break;case"rectRounded":u=n-(c=.516*n),s=Math.cos(d+L)*u,l=Math.sin(d+L)*u,t.arc(i-s,r-l,c,d-O,d-q),t.arc(i+l,r-s,c,d-q,d),t.arc(i+s,r+l,c,d,d+q),t.arc(i-l,r+s,c,d+q,d+O),t.closePath();break;case"rect":if(!o){u=Math.SQRT1_2*n,t.rect(i-u,r-u,2*u,2*u);break}d+=L;case"rectRot":s=Math.cos(d)*n,l=Math.sin(d)*n,t.moveTo(i-s,r-l),t.lineTo(i+l,r-s),t.lineTo(i+s,r+l),t.lineTo(i-l,r+s),t.closePath();break;case"crossRot":d+=L;case"cross":s=Math.cos(d)*n,l=Math.sin(d)*n,t.moveTo(i-s,r-l),t.lineTo(i+s,r+l),t.moveTo(i+l,r-s),t.lineTo(i-l,r+s);break;case"star":s=Math.cos(d)*n,l=Math.sin(d)*n,t.moveTo(i-s,r-l),t.lineTo(i+s,r+l),t.moveTo(i+l,r-s),t.lineTo(i-l,r+s),d+=L,s=Math.cos(d)*n,l=Math.sin(d)*n,t.moveTo(i-s,r-l),t.lineTo(i+s,r+l),t.moveTo(i+l,r-s),t.lineTo(i-l,r+s);break;case"line":s=Math.cos(d)*n,l=Math.sin(d)*n,t.moveTo(i-s,r-l),t.lineTo(i+s,r+l);break;case"dash":t.moveTo(i,r),t.lineTo(i+Math.cos(d)*n,r+Math.sin(d)*n)}t.fill(),t.stroke()}},_isPointInArea:function(t,e){var n=1e-6;return t.x>e.left-n&&t.x<e.right+n&&t.y>e.top-n&&t.y<e.bottom+n},clipArea:function(t,e){t.save(),t.beginPath(),t.rect(e.left,e.top,e.right-e.left,e.bottom-e.top),t.clip()},unclipArea:function(t){t.restore()},lineTo:function(t,e,n,i){var r=n.steppedLine;if(r){if("middle"===r){var o=(e.x+n.x)/2;t.lineTo(o,i?n.y:e.y),t.lineTo(o,i?e.y:n.y)}else"after"===r&&!i||"after"!==r&&i?t.lineTo(e.x,n.y):t.lineTo(n.x,e.y);t.lineTo(n.x,n.y)}else n.tension?t.bezierCurveTo(i?e.controlPointPreviousX:e.controlPointNextX,i?e.controlPointPreviousY:e.controlPointNextY,i?n.controlPointNextX:n.controlPointPreviousX,i?n.controlPointNextY:n.controlPointPreviousY,n.x,n.y):t.lineTo(n.x,n.y)}},R=P;C.clear=P.clear,C.drawRoundedRectangle=function(t){t.beginPath(),P.roundedRect.apply(P,arguments)};var N={_set:function(t,e){return C.merge(this[t]||(this[t]={}),e)}};N._set("global",{defaultColor:"rgba(0,0,0,0.1)",defaultFontColor:"#666",defaultFontFamily:"'Helvetica Neue', 'Helvetica', 'Arial', sans-serif",defaultFontSize:12,defaultFontStyle:"normal",defaultLineHeight:1.2,showLines:!0});var I=N,j=C.valueOrDefault;var $={toLineHeight:function(t,e){var n=(""+t).match(/^(normal|(\d+(?:\.\d+)?)(px|em|%)?)$/);if(!n||"normal"===n[1])return 1.2*e;switch(t=+n[2],n[3]){case"px":return t;case"%":t/=100}return e*t},toPadding:function(t){var e,n,i,r;return C.isObject(t)?(e=+t.top||0,n=+t.right||0,i=+t.bottom||0,r=+t.left||0):e=n=i=r=+t||0,{top:e,right:n,bottom:i,left:r,height:e+i,width:r+n}},_parseFont:function(t){var e=I.global,n=j(t.fontSize,e.defaultFontSize),i={family:j(t.fontFamily,e.defaultFontFamily),lineHeight:C.options.toLineHeight(j(t.lineHeight,e.defaultLineHeight),n),size:n,style:j(t.fontStyle,e.defaultFontStyle),weight:null,string:""};return i.string=function(t){return!t||C.isNullOrUndef(t.size)||C.isNullOrUndef(t.family)?null:(t.style?t.style+" ":"")+(t.weight?t.weight+" ":"")+t.size+"px "+t.family}(i),i},resolve:function(t,e,n,i){var r,o,a,s=!0;for(r=0,o=t.length;r<o;++r)if(void 0!==(a=t[r])&&(void 0!==e&&"function"==typeof a&&(a=a(e),s=!1),void 0!==n&&C.isArray(a)&&(a=a[n],s=!1),void 0!==a))return i&&!s&&(i.cacheable=!1),a}},F={_factorize:function(t){var e,n=[],i=Math.sqrt(t);for(e=1;e<i;e++)t%e==0&&(n.push(e),n.push(t/e));return i===(0|i)&&n.push(i),n.sort((function(t,e){return t-e})).pop(),n},log10:Math.log10||function(t){var e=Math.log(t)*Math.LOG10E,n=Math.round(e);return t===Math.pow(10,n)?n:e}},B=F;C.log10=F.log10;var z={getRtlAdapter:function(t,e,n){return t?function(t,e){return{x:function(n){return t+t+e-n},setWidth:function(t){e=t},textAlign:function(t){return"center"===t?t:"right"===t?"left":"right"},xPlus:function(t,e){return t-e},leftForLtr:function(t,e){return t-e}}}(e,n):{x:function(t){return t},setWidth:function(t){},textAlign:function(t){return t},xPlus:function(t,e){return t+e},leftForLtr:function(t,e){return t}}},overrideTextDirection:function(t,e){var n,i;"ltr"!==e&&"rtl"!==e||(i=[(n=t.canvas.style).getPropertyValue("direction"),n.getPropertyPriority("direction")],n.setProperty("direction",e,"important"),t.prevTextDirection=i)},restoreTextDirection:function(t){var e=t.prevTextDirection;void 0!==e&&(delete t.prevTextDirection,t.canvas.style.setProperty("direction",e[0],e[1]))}},V=C,H=T,U=R,W=$,Y=B,Q=z;V.easing=H,V.canvas=U,V.options=W,V.math=Y,V.rtl=Q;var G=function(t){V.extend(this,t),this.initialize.apply(this,arguments)};V.extend(G.prototype,{_type:void 0,initialize:function(){this.hidden=!1},pivot:function(){var t=this;return t._view||(t._view=V.extend({},t._model)),t._start={},t},transition:function(t){var e=this,n=e._model,i=e._start,r=e._view;return n&&1!==t?(r||(r=e._view={}),i||(i=e._start={}),function(t,e,n,i){var r,o,a,s,l,u,c,d,h,f=Object.keys(n);for(r=0,o=f.length;r<o;++r)if(u=n[a=f[r]],e.hasOwnProperty(a)||(e[a]=u),(s=e[a])!==u&&"_"!==a[0]){if(t.hasOwnProperty(a)||(t[a]=s),(c=typeof u)==typeof(l=t[a]))if("string"===c){if((d=x(l)).valid&&(h=x(u)).valid){e[a]=h.mix(d,i).rgbString();continue}}else if(V.isFinite(l)&&V.isFinite(u)){e[a]=l+(u-l)*i;continue}e[a]=u}}(i,r,n,t),e):(e._view=V.extend({},n),e._start=null,e)},tooltipPosition:function(){return{x:this._model.x,y:this._model.y}},hasValue:function(){return V.isNumber(this._model.x)&&V.isNumber(this._model.y)}}),G.extend=V.inherits;var K=G,Z=K.extend({chart:null,currentStep:0,numSteps:60,easing:"",render:null,onAnimationProgress:null,onAnimationComplete:null}),J=Z;Object.defineProperty(Z.prototype,"animationObject",{get:function(){return this}}),Object.defineProperty(Z.prototype,"chartInstance",{get:function(){return this.chart},set:function(t){this.chart=t}}),I._set("global",{animation:{duration:1e3,easing:"easeOutQuart",onProgress:V.noop,onComplete:V.noop}});var X={animations:[],request:null,addAnimation:function(t,e,n,i){var r,o,a=this.animations;for(e.chart=t,e.startTime=Date.now(),e.duration=n,i||(t.animating=!0),r=0,o=a.length;r<o;++r)if(a[r].chart===t)return void(a[r]=e);a.push(e),1===a.length&&this.requestAnimationFrame()},cancelAnimation:function(t){var e=V.findIndex(this.animations,(function(e){return e.chart===t}));-1!==e&&(this.animations.splice(e,1),t.animating=!1)},requestAnimationFrame:function(){var t=this;null===t.request&&(t.request=V.requestAnimFrame.call(window,(function(){t.request=null,t.startDigest()})))},startDigest:function(){var t=this;t.advance(),t.animations.length>0&&t.requestAnimationFrame()},advance:function(){for(var t,e,n,i,r=this.animations,o=0;o<r.length;)e=(t=r[o]).chart,n=t.numSteps,i=Math.floor((Date.now()-t.startTime)/t.duration*n)+1,t.currentStep=Math.min(i,n),V.callback(t.render,[e,t],e),V.callback(t.onAnimationProgress,[t],e),t.currentStep>=n?(V.callback(t.onAnimationComplete,[t],e),e.animating=!1,r.splice(o,1)):++o}},tt=V.options.resolve,et=["push","pop","shift","splice","unshift"];function nt(t,e){var n=t._chartjs;if(n){var i=n.listeners,r=i.indexOf(e);-1!==r&&i.splice(r,1),i.length>0||(et.forEach((function(e){delete t[e]})),delete t._chartjs)}}var it=function(t,e){this.initialize(t,e)};V.extend(it.prototype,{datasetElementType:null,dataElementType:null,_datasetElementOptions:["backgroundColor","borderCapStyle","borderColor","borderDash","borderDashOffset","borderJoinStyle","borderWidth"],_dataElementOptions:["backgroundColor","borderColor","borderWidth","pointStyle"],initialize:function(t,e){var n=this;n.chart=t,n.index=e,n.linkScales(),n.addElements(),n._type=n.getMeta().type},updateIndex:function(t){this.index=t},linkScales:function(){var t=this,e=t.getMeta(),n=t.chart,i=n.scales,r=t.getDataset(),o=n.options.scales;null!==e.xAxisID&&e.xAxisID in i&&!r.xAxisID||(e.xAxisID=r.xAxisID||o.xAxes[0].id),null!==e.yAxisID&&e.yAxisID in i&&!r.yAxisID||(e.yAxisID=r.yAxisID||o.yAxes[0].id)},getDataset:function(){return this.chart.data.datasets[this.index]},getMeta:function(){return this.chart.getDatasetMeta(this.index)},getScaleForId:function(t){return this.chart.scales[t]},_getValueScaleId:function(){return this.getMeta().yAxisID},_getIndexScaleId:function(){return this.getMeta().xAxisID},_getValueScale:function(){return this.getScaleForId(this._getValueScaleId())},_getIndexScale:function(){return this.getScaleForId(this._getIndexScaleId())},reset:function(){this._update(!0)},destroy:function(){this._data&&nt(this._data,this)},createMetaDataset:function(){var t=this,e=t.datasetElementType;return e&&new e({_chart:t.chart,_datasetIndex:t.index})},createMetaData:function(t){var e=this,n=e.dataElementType;return n&&new n({_chart:e.chart,_datasetIndex:e.index,_index:t})},addElements:function(){var t,e,n=this,i=n.getMeta(),r=n.getDataset().data||[],o=i.data;for(t=0,e=r.length;t<e;++t)o[t]=o[t]||n.createMetaData(t);i.dataset=i.dataset||n.createMetaDataset()},addElementAndReset:function(t){var e=this.createMetaData(t);this.getMeta().data.splice(t,0,e),this.updateElement(e,t,!0)},buildOrUpdateElements:function(){var t,e,n=this,i=n.getDataset(),r=i.data||(i.data=[]);n._data!==r&&(n._data&&nt(n._data,n),r&&Object.isExtensible(r)&&(e=n,(t=r)._chartjs?t._chartjs.listeners.push(e):(Object.defineProperty(t,"_chartjs",{configurable:!0,enumerable:!1,value:{listeners:[e]}}),et.forEach((function(e){var n="onData"+e.charAt(0).toUpperCase()+e.slice(1),i=t[e];Object.defineProperty(t,e,{configurable:!0,enumerable:!1,value:function(){var e=Array.prototype.slice.call(arguments),r=i.apply(this,e);return V.each(t._chartjs.listeners,(function(t){"function"==typeof t[n]&&t[n].apply(t,e)})),r}})})))),n._data=r),n.resyncElements()},_configure:function(){var t=this;t._config=V.merge(Object.create(null),[t.chart.options.datasets[t._type],t.getDataset()],{merger:function(t,e,n){"_meta"!==t&&"data"!==t&&V._merger(t,e,n)}})},_update:function(t){var e=this;e._configure(),e._cachedDataOpts=null,e.update(t)},update:V.noop,transition:function(t){for(var e=this.getMeta(),n=e.data||[],i=n.length,r=0;r<i;++r)n[r].transition(t);e.dataset&&e.dataset.transition(t)},draw:function(){var t=this.getMeta(),e=t.data||[],n=e.length,i=0;for(t.dataset&&t.dataset.draw();i<n;++i)e[i].draw()},getStyle:function(t){var e,n=this,i=n.getMeta(),r=i.dataset;return n._configure(),r&&void 0===t?e=n._resolveDatasetElementOptions(r||{}):(t=t||0,e=n._resolveDataElementOptions(i.data[t]||{},t)),!1!==e.fill&&null!==e.fill||(e.backgroundColor=e.borderColor),e},_resolveDatasetElementOptions:function(t,e){var n,i,r,o,a=this,s=a.chart,l=a._config,u=t.custom||{},c=s.options.elements[a.datasetElementType.prototype._type]||{},d=a._datasetElementOptions,h={},f={chart:s,dataset:a.getDataset(),datasetIndex:a.index,hover:e};for(n=0,i=d.length;n<i;++n)r=d[n],o=e?"hover"+r.charAt(0).toUpperCase()+r.slice(1):r,h[r]=tt([u[o],l[o],c[o]],f);return h},_resolveDataElementOptions:function(t,e){var n=this,i=t&&t.custom,r=n._cachedDataOpts;if(r&&!i)return r;var o,a,s,l,u=n.chart,c=n._config,d=u.options.elements[n.dataElementType.prototype._type]||{},h=n._dataElementOptions,f={},p={chart:u,dataIndex:e,dataset:n.getDataset(),datasetIndex:n.index},m={cacheable:!i};if(i=i||{},V.isArray(h))for(a=0,s=h.length;a<s;++a)f[l=h[a]]=tt([i[l],c[l],d[l]],p,e,m);else for(a=0,s=(o=Object.keys(h)).length;a<s;++a)f[l=o[a]]=tt([i[l],c[h[l]],c[l],d[l]],p,e,m);return m.cacheable&&(n._cachedDataOpts=Object.freeze(f)),f},removeHoverStyle:function(t){V.merge(t._model,t.$previousStyle||{}),delete t.$previousStyle},setHoverStyle:function(t){var e=this.chart.data.datasets[t._datasetIndex],n=t._index,i=t.custom||{},r=t._model,o=V.getHoverColor;t.$previousStyle={backgroundColor:r.backgroundColor,borderColor:r.borderColor,borderWidth:r.borderWidth},r.backgroundColor=tt([i.hoverBackgroundColor,e.hoverBackgroundColor,o(r.backgroundColor)],void 0,n),r.borderColor=tt([i.hoverBorderColor,e.hoverBorderColor,o(r.borderColor)],void 0,n),r.borderWidth=tt([i.hoverBorderWidth,e.hoverBorderWidth,r.borderWidth],void 0,n)},_removeDatasetHoverStyle:function(){var t=this.getMeta().dataset;t&&this.removeHoverStyle(t)},_setDatasetHoverStyle:function(){var t,e,n,i,r,o,a=this.getMeta().dataset,s={};if(a){for(o=a._model,r=this._resolveDatasetElementOptions(a,!0),t=0,e=(i=Object.keys(r)).length;t<e;++t)s[n=i[t]]=o[n],o[n]=r[n];a.$previousStyle=s}},resyncElements:function(){var t=this,e=t.getMeta(),n=t.getDataset().data,i=e.data.length,r=n.length;r<i?e.data.splice(r,i-r):r>i&&t.insertElements(i,r-i)},insertElements:function(t,e){for(var n=0;n<e;++n)this.addElementAndReset(t+n)},onDataPush:function(){var t=arguments.length;this.insertElements(this.getDataset().data.length-t,t)},onDataPop:function(){this.getMeta().data.pop()},onDataShift:function(){this.getMeta().data.shift()},onDataSplice:function(t,e){this.getMeta().data.splice(t,e),this.insertElements(t,arguments.length-2)},onDataUnshift:function(){this.insertElements(0,arguments.length)}}),it.extend=V.inherits;var rt=it,ot=2*Math.PI;function at(t,e){var n=e.startAngle,i=e.endAngle,r=e.pixelMargin,o=r/e.outerRadius,a=e.x,s=e.y;t.beginPath(),t.arc(a,s,e.outerRadius,n-o,i+o),e.innerRadius>r?(o=r/e.innerRadius,t.arc(a,s,e.innerRadius-r,i+o,n-o,!0)):t.arc(a,s,r,i+Math.PI/2,n-Math.PI/2),t.closePath(),t.clip()}function st(t,e,n){var i="inner"===e.borderAlign;i?(t.lineWidth=2*e.borderWidth,t.lineJoin="round"):(t.lineWidth=e.borderWidth,t.lineJoin="bevel"),n.fullCircles&&function(t,e,n,i){var r,o=n.endAngle;for(i&&(n.endAngle=n.startAngle+ot,at(t,n),n.endAngle=o,n.endAngle===n.startAngle&&n.fullCircles&&(n.endAngle+=ot,n.fullCircles--)),t.beginPath(),t.arc(n.x,n.y,n.innerRadius,n.startAngle+ot,n.startAngle,!0),r=0;r<n.fullCircles;++r)t.stroke();for(t.beginPath(),t.arc(n.x,n.y,e.outerRadius,n.startAngle,n.startAngle+ot),r=0;r<n.fullCircles;++r)t.stroke()}(t,e,n,i),i&&at(t,n),t.beginPath(),t.arc(n.x,n.y,e.outerRadius,n.startAngle,n.endAngle),t.arc(n.x,n.y,n.innerRadius,n.endAngle,n.startAngle,!0),t.closePath(),t.stroke()}I._set("global",{elements:{arc:{backgroundColor:I.global.defaultColor,borderColor:"#fff",borderWidth:2,borderAlign:"center"}}});var lt=K.extend({_type:"arc",inLabelRange:function(t){var e=this._view;return!!e&&Math.pow(t-e.x,2)<Math.pow(e.radius+e.hoverRadius,2)},inRange:function(t,e){var n=this._view;if(n){for(var i=V.getAngleFromPoint(n,{x:t,y:e}),r=i.angle,o=i.distance,a=n.startAngle,s=n.endAngle;s<a;)s+=ot;for(;r>s;)r-=ot;for(;r<a;)r+=ot;var l=r>=a&&r<=s,u=o>=n.innerRadius&&o<=n.outerRadius;return l&&u}return!1},getCenterPoint:function(){var t=this._view,e=(t.startAngle+t.endAngle)/2,n=(t.innerRadius+t.outerRadius)/2;return{x:t.x+Math.cos(e)*n,y:t.y+Math.sin(e)*n}},getArea:function(){var t=this._view;return Math.PI*((t.endAngle-t.startAngle)/(2*Math.PI))*(Math.pow(t.outerRadius,2)-Math.pow(t.innerRadius,2))},tooltipPosition:function(){var t=this._view,e=t.startAngle+(t.endAngle-t.startAngle)/2,n=(t.outerRadius-t.innerRadius)/2+t.innerRadius;return{x:t.x+Math.cos(e)*n,y:t.y+Math.sin(e)*n}},draw:function(){var t,e=this._chart.ctx,n=this._view,i="inner"===n.borderAlign?.33:0,r={x:n.x,y:n.y,innerRadius:n.innerRadius,outerRadius:Math.max(n.outerRadius-i,0),pixelMargin:i,startAngle:n.startAngle,endAngle:n.endAngle,fullCircles:Math.floor(n.circumference/ot)};if(e.save(),e.fillStyle=n.backgroundColor,e.strokeStyle=n.borderColor,r.fullCircles){for(r.endAngle=r.startAngle+ot,e.beginPath(),e.arc(r.x,r.y,r.outerRadius,r.startAngle,r.endAngle),e.arc(r.x,r.y,r.innerRadius,r.endAngle,r.startAngle,!0),e.closePath(),t=0;t<r.fullCircles;++t)e.fill();r.endAngle=r.startAngle+n.circumference%ot}e.beginPath(),e.arc(r.x,r.y,r.outerRadius,r.startAngle,r.endAngle),e.arc(r.x,r.y,r.innerRadius,r.endAngle,r.startAngle,!0),e.closePath(),e.fill(),n.borderWidth&&st(e,n,r),e.restore()}}),ut=V.valueOrDefault,ct=I.global.defaultColor;I._set("global",{elements:{line:{tension:.4,backgroundColor:ct,borderWidth:3,borderColor:ct,borderCapStyle:"butt",borderDash:[],borderDashOffset:0,borderJoinStyle:"miter",capBezierPoints:!0,fill:!0}}});var dt=K.extend({_type:"line",draw:function(){var t,e,n,i=this,r=i._view,o=i._chart.ctx,a=r.spanGaps,s=i._children.slice(),l=I.global,u=l.elements.line,c=-1,d=i._loop;if(s.length){if(i._loop){for(t=0;t<s.length;++t)if(e=V.previousItem(s,t),!s[t]._view.skip&&e._view.skip){s=s.slice(t).concat(s.slice(0,t)),d=a;break}d&&s.push(s[0])}for(o.save(),o.lineCap=r.borderCapStyle||u.borderCapStyle,o.setLineDash&&o.setLineDash(r.borderDash||u.borderDash),o.lineDashOffset=ut(r.borderDashOffset,u.borderDashOffset),o.lineJoin=r.borderJoinStyle||u.borderJoinStyle,o.lineWidth=ut(r.borderWidth,u.borderWidth),o.strokeStyle=r.borderColor||l.defaultColor,o.beginPath(),(n=s[0]._view).skip||(o.moveTo(n.x,n.y),c=0),t=1;t<s.length;++t)n=s[t]._view,e=-1===c?V.previousItem(s,t):s[c],n.skip||(c!==t-1&&!a||-1===c?o.moveTo(n.x,n.y):V.canvas.lineTo(o,e._view,n),c=t);d&&o.closePath(),o.stroke(),o.restore()}}}),ht=V.valueOrDefault,ft=I.global.defaultColor;function pt(t){var e=this._view;return!!e&&Math.abs(t-e.x)<e.radius+e.hitRadius}I._set("global",{elements:{point:{radius:3,pointStyle:"circle",backgroundColor:ft,borderColor:ft,borderWidth:1,hitRadius:1,hoverRadius:4,hoverBorderWidth:1}}});var mt=K.extend({_type:"point",inRange:function(t,e){var n=this._view;return!!n&&Math.pow(t-n.x,2)+Math.pow(e-n.y,2)<Math.pow(n.hitRadius+n.radius,2)},inLabelRange:pt,inXRange:pt,inYRange:function(t){var e=this._view;return!!e&&Math.abs(t-e.y)<e.radius+e.hitRadius},getCenterPoint:function(){var t=this._view;return{x:t.x,y:t.y}},getArea:function(){return Math.PI*Math.pow(this._view.radius,2)},tooltipPosition:function(){var t=this._view;return{x:t.x,y:t.y,padding:t.radius+t.borderWidth}},draw:function(t){var e=this._view,n=this._chart.ctx,i=e.pointStyle,r=e.rotation,o=e.radius,a=e.x,s=e.y,l=I.global,u=l.defaultColor;e.skip||(void 0===t||V.canvas._isPointInArea(e,t))&&(n.strokeStyle=e.borderColor||u,n.lineWidth=ht(e.borderWidth,l.elements.point.borderWidth),n.fillStyle=e.backgroundColor||u,V.canvas.drawPoint(n,i,o,a,s,r))}}),vt=I.global.defaultColor;function gt(t){return t&&void 0!==t.width}function _t(t){var e,n,i,r,o;return gt(t)?(o=t.width/2,e=t.x-o,n=t.x+o,i=Math.min(t.y,t.base),r=Math.max(t.y,t.base)):(o=t.height/2,e=Math.min(t.x,t.base),n=Math.max(t.x,t.base),i=t.y-o,r=t.y+o),{left:e,top:i,right:n,bottom:r}}function yt(t,e,n){return t===e?n:t===n?e:t}function bt(t,e,n){var i,r,o,a,s=t.borderWidth,l=function(t){var e=t.borderSkipped,n={};return e?(t.horizontal?t.base>t.x&&(e=yt(e,"left","right")):t.base<t.y&&(e=yt(e,"bottom","top")),n[e]=!0,n):n}(t);return V.isObject(s)?(i=+s.top||0,r=+s.right||0,o=+s.bottom||0,a=+s.left||0):i=r=o=a=+s||0,{t:l.top||i<0?0:i>n?n:i,r:l.right||r<0?0:r>e?e:r,b:l.bottom||o<0?0:o>n?n:o,l:l.left||a<0?0:a>e?e:a}}function wt(t,e,n){var i=null===e,r=null===n,o=!(!t||i&&r)&&_t(t);return o&&(i||e>=o.left&&e<=o.right)&&(r||n>=o.top&&n<=o.bottom)}I._set("global",{elements:{rectangle:{backgroundColor:vt,borderColor:vt,borderSkipped:"bottom",borderWidth:0}}});var xt=K.extend({_type:"rectangle",draw:function(){var t=this._chart.ctx,e=this._view,n=function(t){var e=_t(t),n=e.right-e.left,i=e.bottom-e.top,r=bt(t,n/2,i/2);return{outer:{x:e.left,y:e.top,w:n,h:i},inner:{x:e.left+r.l,y:e.top+r.t,w:n-r.l-r.r,h:i-r.t-r.b}}}(e),i=n.outer,r=n.inner;t.fillStyle=e.backgroundColor,t.fillRect(i.x,i.y,i.w,i.h),i.w===r.w&&i.h===r.h||(t.save(),t.beginPath(),t.rect(i.x,i.y,i.w,i.h),t.clip(),t.fillStyle=e.borderColor,t.rect(r.x,r.y,r.w,r.h),t.fill("evenodd"),t.restore())},height:function(){var t=this._view;return t.base-t.y},inRange:function(t,e){return wt(this._view,t,e)},inLabelRange:function(t,e){var n=this._view;return gt(n)?wt(n,t,null):wt(n,null,e)},inXRange:function(t){return wt(this._view,t,null)},inYRange:function(t){return wt(this._view,null,t)},getCenterPoint:function(){var t,e,n=this._view;return gt(n)?(t=n.x,e=(n.y+n.base)/2):(t=(n.x+n.base)/2,e=n.y),{x:t,y:e}},getArea:function(){var t=this._view;return gt(t)?t.width*Math.abs(t.y-t.base):t.height*Math.abs(t.x-t.base)},tooltipPosition:function(){var t=this._view;return{x:t.x,y:t.y}}}),kt={},St=lt,Ct=dt,Mt=mt,Tt=xt;kt.Arc=St,kt.Line=Ct,kt.Point=Mt,kt.Rectangle=Tt;var Ot=V._deprecated,At=V.valueOrDefault;function Et(t,e,n){var i,r,o=n.barThickness,a=e.stackCount,s=e.pixels[t],l=V.isNullOrUndef(o)?function(t,e){var n,i,r,o,a=t._length;for(r=1,o=e.length;r<o;++r)a=Math.min(a,Math.abs(e[r]-e[r-1]));for(r=0,o=t.getTicks().length;r<o;++r)i=t.getPixelForTick(r),a=r>0?Math.min(a,Math.abs(i-n)):a,n=i;return a}(e.scale,e.pixels):-1;return V.isNullOrUndef(o)?(i=l*n.categoryPercentage,r=n.barPercentage):(i=o*a,r=1),{chunk:i/a,ratio:r,start:s-i/2}}I._set("bar",{hover:{mode:"label"},scales:{xAxes:[{type:"category",offset:!0,gridLines:{offsetGridLines:!0}}],yAxes:[{type:"linear"}]}}),I._set("global",{datasets:{bar:{categoryPercentage:.8,barPercentage:.9}}});var qt=rt.extend({dataElementType:kt.Rectangle,_dataElementOptions:["backgroundColor","borderColor","borderSkipped","borderWidth","barPercentage","barThickness","categoryPercentage","maxBarThickness","minBarLength"],initialize:function(){var t,e,n=this;rt.prototype.initialize.apply(n,arguments),(t=n.getMeta()).stack=n.getDataset().stack,t.bar=!0,e=n._getIndexScale().options,Ot("bar chart",e.barPercentage,"scales.[x/y]Axes.barPercentage","dataset.barPercentage"),Ot("bar chart",e.barThickness,"scales.[x/y]Axes.barThickness","dataset.barThickness"),Ot("bar chart",e.categoryPercentage,"scales.[x/y]Axes.categoryPercentage","dataset.categoryPercentage"),Ot("bar chart",n._getValueScale().options.minBarLength,"scales.[x/y]Axes.minBarLength","dataset.minBarLength"),Ot("bar chart",e.maxBarThickness,"scales.[x/y]Axes.maxBarThickness","dataset.maxBarThickness")},update:function(t){var e,n,i=this,r=i.getMeta().data;for(i._ruler=i.getRuler(),e=0,n=r.length;e<n;++e)i.updateElement(r[e],e,t)},updateElement:function(t,e,n){var i=this,r=i.getMeta(),o=i.getDataset(),a=i._resolveDataElementOptions(t,e);t._xScale=i.getScaleForId(r.xAxisID),t._yScale=i.getScaleForId(r.yAxisID),t._datasetIndex=i.index,t._index=e,t._model={backgroundColor:a.backgroundColor,borderColor:a.borderColor,borderSkipped:a.borderSkipped,borderWidth:a.borderWidth,datasetLabel:o.label,label:i.chart.data.labels[e]},V.isArray(o.data[e])&&(t._model.borderSkipped=null),i._updateElementGeometry(t,e,n,a),t.pivot()},_updateElementGeometry:function(t,e,n,i){var r=this,o=t._model,a=r._getValueScale(),s=a.getBasePixel(),l=a.isHorizontal(),u=r._ruler||r.getRuler(),c=r.calculateBarValuePixels(r.index,e,i),d=r.calculateBarIndexPixels(r.index,e,u,i);o.horizontal=l,o.base=n?s:c.base,o.x=l?n?s:c.head:d.center,o.y=l?d.center:n?s:c.head,o.height=l?d.size:void 0,o.width=l?void 0:d.size},_getStacks:function(t){var e,n,i=this._getIndexScale(),r=i._getMatchingVisibleMetas(this._type),o=i.options.stacked,a=r.length,s=[];for(e=0;e<a&&(n=r[e],(!1===o||-1===s.indexOf(n.stack)||void 0===o&&void 0===n.stack)&&s.push(n.stack),n.index!==t);++e);return s},getStackCount:function(){return this._getStacks().length},getStackIndex:function(t,e){var n=this._getStacks(t),i=void 0!==e?n.indexOf(e):-1;return-1===i?n.length-1:i},getRuler:function(){var t,e,n=this,i=n._getIndexScale(),r=[];for(t=0,e=n.getMeta().data.length;t<e;++t)r.push(i.getPixelForValue(null,t,n.index));return{pixels:r,start:i._startPixel,end:i._endPixel,stackCount:n.getStackCount(),scale:i}},calculateBarValuePixels:function(t,e,n){var i,r,o,a,s,l,u,c=this,d=c.chart,h=c._getValueScale(),f=h.isHorizontal(),p=d.data.datasets,m=h._getMatchingVisibleMetas(c._type),v=h._parseValue(p[t].data[e]),g=n.minBarLength,_=h.options.stacked,y=c.getMeta().stack,b=void 0===v.start?0:v.max>=0&&v.min>=0?v.min:v.max,w=void 0===v.start?v.end:v.max>=0&&v.min>=0?v.max-v.min:v.min-v.max,x=m.length;if(_||void 0===_&&void 0!==y)for(i=0;i<x&&(r=m[i]).index!==t;++i)r.stack===y&&(o=void 0===(u=h._parseValue(p[r.index].data[e])).start?u.end:u.min>=0&&u.max>=0?u.max:u.min,(v.min<0&&o<0||v.max>=0&&o>0)&&(b+=o));return a=h.getPixelForValue(b),l=(s=h.getPixelForValue(b+w))-a,void 0!==g&&Math.abs(l)<g&&(l=g,s=w>=0&&!f||w<0&&f?a-g:a+g),{size:l,base:a,head:s,center:s+l/2}},calculateBarIndexPixels:function(t,e,n,i){var r="flex"===i.barThickness?function(t,e,n){var i,r=e.pixels,o=r[t],a=t>0?r[t-1]:null,s=t<r.length-1?r[t+1]:null,l=n.categoryPercentage;return null===a&&(a=o-(null===s?e.end-e.start:s-o)),null===s&&(s=o+o-a),i=o-(o-Math.min(a,s))/2*l,{chunk:Math.abs(s-a)/2*l/e.stackCount,ratio:n.barPercentage,start:i}}(e,n,i):Et(e,n,i),o=this.getStackIndex(t,this.getMeta().stack),a=r.start+r.chunk*o+r.chunk/2,s=Math.min(At(i.maxBarThickness,1/0),r.chunk*r.ratio);return{base:a-s/2,head:a+s/2,center:a,size:s}},draw:function(){var t=this,e=t.chart,n=t._getValueScale(),i=t.getMeta().data,r=t.getDataset(),o=i.length,a=0;for(V.canvas.clipArea(e.ctx,e.chartArea);a<o;++a){var s=n._parseValue(r.data[a]);isNaN(s.min)||isNaN(s.max)||i[a].draw()}V.canvas.unclipArea(e.ctx)},_resolveDataElementOptions:function(){var t=this,e=V.extend({},rt.prototype._resolveDataElementOptions.apply(t,arguments)),n=t._getIndexScale().options,i=t._getValueScale().options;return e.barPercentage=At(n.barPercentage,e.barPercentage),e.barThickness=At(n.barThickness,e.barThickness),e.categoryPercentage=At(n.categoryPercentage,e.categoryPercentage),e.maxBarThickness=At(n.maxBarThickness,e.maxBarThickness),e.minBarLength=At(i.minBarLength,e.minBarLength),e}}),Lt=V.valueOrDefault,Dt=V.options.resolve;I._set("bubble",{hover:{mode:"single"},scales:{xAxes:[{type:"linear",position:"bottom",id:"x-axis-0"}],yAxes:[{type:"linear",position:"left",id:"y-axis-0"}]},tooltips:{callbacks:{title:function(){return""},label:function(t,e){var n=e.datasets[t.datasetIndex].label||"",i=e.datasets[t.datasetIndex].data[t.index];return n+": ("+t.xLabel+", "+t.yLabel+", "+i.r+")"}}}});var Pt=rt.extend({dataElementType:kt.Point,_dataElementOptions:["backgroundColor","borderColor","borderWidth","hoverBackgroundColor","hoverBorderColor","hoverBorderWidth","hoverRadius","hitRadius","pointStyle","rotation"],update:function(t){var e=this,n=e.getMeta().data;V.each(n,(function(n,i){e.updateElement(n,i,t)}))},updateElement:function(t,e,n){var i=this,r=i.getMeta(),o=t.custom||{},a=i.getScaleForId(r.xAxisID),s=i.getScaleForId(r.yAxisID),l=i._resolveDataElementOptions(t,e),u=i.getDataset().data[e],c=i.index,d=n?a.getPixelForDecimal(.5):a.getPixelForValue("object"==typeof u?u:NaN,e,c),h=n?s.getBasePixel():s.getPixelForValue(u,e,c);t._xScale=a,t._yScale=s,t._options=l,t._datasetIndex=c,t._index=e,t._model={backgroundColor:l.backgroundColor,borderColor:l.borderColor,borderWidth:l.borderWidth,hitRadius:l.hitRadius,pointStyle:l.pointStyle,rotation:l.rotation,radius:n?0:l.radius,skip:o.skip||isNaN(d)||isNaN(h),x:d,y:h},t.pivot()},setHoverStyle:function(t){var e=t._model,n=t._options,i=V.getHoverColor;t.$previousStyle={backgroundColor:e.backgroundColor,borderColor:e.borderColor,borderWidth:e.borderWidth,radius:e.radius},e.backgroundColor=Lt(n.hoverBackgroundColor,i(n.backgroundColor)),e.borderColor=Lt(n.hoverBorderColor,i(n.borderColor)),e.borderWidth=Lt(n.hoverBorderWidth,n.borderWidth),e.radius=n.radius+n.hoverRadius},_resolveDataElementOptions:function(t,e){var n=this,i=n.chart,r=n.getDataset(),o=t.custom||{},a=r.data[e]||{},s=rt.prototype._resolveDataElementOptions.apply(n,arguments),l={chart:i,dataIndex:e,dataset:r,datasetIndex:n.index};return n._cachedDataOpts===s&&(s=V.extend({},s)),s.radius=Dt([o.radius,a.r,n._config.radius,i.options.elements.point.radius],l,e),s}}),Rt=V.valueOrDefault,Nt=Math.PI,It=2*Nt,jt=Nt/2;I._set("doughnut",{animation:{animateRotate:!0,animateScale:!1},hover:{mode:"single"},legendCallback:function(t){var e,n,i,r=document.createElement("ul"),o=t.data,a=o.datasets,s=o.labels;if(r.setAttribute("class",t.id+"-legend"),a.length)for(e=0,n=a[0].data.length;e<n;++e)(i=r.appendChild(document.createElement("li"))).appendChild(document.createElement("span")).style.backgroundColor=a[0].backgroundColor[e],s[e]&&i.appendChild(document.createTextNode(s[e]));return r.outerHTML},legend:{labels:{generateLabels:function(t){var e=t.data;return e.labels.length&&e.datasets.length?e.labels.map((function(n,i){var r=t.getDatasetMeta(0),o=r.controller.getStyle(i);return{text:n,fillStyle:o.backgroundColor,strokeStyle:o.borderColor,lineWidth:o.borderWidth,hidden:isNaN(e.datasets[0].data[i])||r.data[i].hidden,index:i}})):[]}},onClick:function(t,e){var n,i,r,o=e.index,a=this.chart;for(n=0,i=(a.data.datasets||[]).length;n<i;++n)(r=a.getDatasetMeta(n)).data[o]&&(r.data[o].hidden=!r.data[o].hidden);a.update()}},cutoutPercentage:50,rotation:-jt,circumference:It,tooltips:{callbacks:{title:function(){return""},label:function(t,e){var n=e.labels[t.index],i=": "+e.datasets[t.datasetIndex].data[t.index];return V.isArray(n)?(n=n.slice())[0]+=i:n+=i,n}}}});var $t=rt.extend({dataElementType:kt.Arc,linkScales:V.noop,_dataElementOptions:["backgroundColor","borderColor","borderWidth","borderAlign","hoverBackgroundColor","hoverBorderColor","hoverBorderWidth"],getRingIndex:function(t){for(var e=0,n=0;n<t;++n)this.chart.isDatasetVisible(n)&&++e;return e},update:function(t){var e,n,i,r,o=this,a=o.chart,s=a.chartArea,l=a.options,u=1,c=1,d=0,h=0,f=o.getMeta(),p=f.data,m=l.cutoutPercentage/100||0,v=l.circumference,g=o._getRingWeight(o.index);if(v<It){var _=l.rotation%It,y=(_+=_>=Nt?-It:_<-Nt?It:0)+v,b=Math.cos(_),w=Math.sin(_),x=Math.cos(y),k=Math.sin(y),S=_<=0&&y>=0||y>=It,C=_<=jt&&y>=jt||y>=It+jt,M=_<=-jt&&y>=-jt||y>=Nt+jt,T=_===-Nt||y>=Nt?-1:Math.min(b,b*m,x,x*m),O=M?-1:Math.min(w,w*m,k,k*m),A=S?1:Math.max(b,b*m,x,x*m),E=C?1:Math.max(w,w*m,k,k*m);u=(A-T)/2,c=(E-O)/2,d=-(A+T)/2,h=-(E+O)/2}for(i=0,r=p.length;i<r;++i)p[i]._options=o._resolveDataElementOptions(p[i],i);for(a.borderWidth=o.getMaxBorderWidth(),e=(s.right-s.left-a.borderWidth)/u,n=(s.bottom-s.top-a.borderWidth)/c,a.outerRadius=Math.max(Math.min(e,n)/2,0),a.innerRadius=Math.max(a.outerRadius*m,0),a.radiusLength=(a.outerRadius-a.innerRadius)/(o._getVisibleDatasetWeightTotal()||1),a.offsetX=d*a.outerRadius,a.offsetY=h*a.outerRadius,f.total=o.calculateTotal(),o.outerRadius=a.outerRadius-a.radiusLength*o._getRingWeightOffset(o.index),o.innerRadius=Math.max(o.outerRadius-a.radiusLength*g,0),i=0,r=p.length;i<r;++i)o.updateElement(p[i],i,t)},updateElement:function(t,e,n){var i=this,r=i.chart,o=r.chartArea,a=r.options,s=a.animation,l=(o.left+o.right)/2,u=(o.top+o.bottom)/2,c=a.rotation,d=a.rotation,h=i.getDataset(),f=n&&s.animateRotate||t.hidden?0:i.calculateCircumference(h.data[e])*(a.circumference/It),p=n&&s.animateScale?0:i.innerRadius,m=n&&s.animateScale?0:i.outerRadius,v=t._options||{};V.extend(t,{_datasetIndex:i.index,_index:e,_model:{backgroundColor:v.backgroundColor,borderColor:v.borderColor,borderWidth:v.borderWidth,borderAlign:v.borderAlign,x:l+r.offsetX,y:u+r.offsetY,startAngle:c,endAngle:d,circumference:f,outerRadius:m,innerRadius:p,label:V.valueAtIndexOrDefault(h.label,e,r.data.labels[e])}});var g=t._model;n&&s.animateRotate||(g.startAngle=0===e?a.rotation:i.getMeta().data[e-1]._model.endAngle,g.endAngle=g.startAngle+g.circumference),t.pivot()},calculateTotal:function(){var t,e=this.getDataset(),n=this.getMeta(),i=0;return V.each(n.data,(function(n,r){t=e.data[r],isNaN(t)||n.hidden||(i+=Math.abs(t))})),i},calculateCircumference:function(t){var e=this.getMeta().total;return e>0&&!isNaN(t)?It*(Math.abs(t)/e):0},getMaxBorderWidth:function(t){var e,n,i,r,o,a,s,l,u=0,c=this.chart;if(!t)for(e=0,n=c.data.datasets.length;e<n;++e)if(c.isDatasetVisible(e)){t=(i=c.getDatasetMeta(e)).data,e!==this.index&&(o=i.controller);break}if(!t)return 0;for(e=0,n=t.length;e<n;++e)r=t[e],o?(o._configure(),a=o._resolveDataElementOptions(r,e)):a=r._options,"inner"!==a.borderAlign&&(s=a.borderWidth,u=(l=a.hoverBorderWidth)>(u=s>u?s:u)?l:u);return u},setHoverStyle:function(t){var e=t._model,n=t._options,i=V.getHoverColor;t.$previousStyle={backgroundColor:e.backgroundColor,borderColor:e.borderColor,borderWidth:e.borderWidth},e.backgroundColor=Rt(n.hoverBackgroundColor,i(n.backgroundColor)),e.borderColor=Rt(n.hoverBorderColor,i(n.borderColor)),e.borderWidth=Rt(n.hoverBorderWidth,n.borderWidth)},_getRingWeightOffset:function(t){for(var e=0,n=0;n<t;++n)this.chart.isDatasetVisible(n)&&(e+=this._getRingWeight(n));return e},_getRingWeight:function(t){return Math.max(Rt(this.chart.data.datasets[t].weight,1),0)},_getVisibleDatasetWeightTotal:function(){return this._getRingWeightOffset(this.chart.data.datasets.length)}});I._set("horizontalBar",{hover:{mode:"index",axis:"y"},scales:{xAxes:[{type:"linear",position:"bottom"}],yAxes:[{type:"category",position:"left",offset:!0,gridLines:{offsetGridLines:!0}}]},elements:{rectangle:{borderSkipped:"left"}},tooltips:{mode:"index",axis:"y"}}),I._set("global",{datasets:{horizontalBar:{categoryPercentage:.8,barPercentage:.9}}});var Ft=qt.extend({_getValueScaleId:function(){return this.getMeta().xAxisID},_getIndexScaleId:function(){return this.getMeta().yAxisID}}),Bt=V.valueOrDefault,zt=V.options.resolve,Vt=V.canvas._isPointInArea;function Ht(t,e){var n=t&&t.options.ticks||{},i=n.reverse,r=void 0===n.min?e:0,o=void 0===n.max?e:0;return{start:i?o:r,end:i?r:o}}I._set("line",{showLines:!0,spanGaps:!1,hover:{mode:"label"},scales:{xAxes:[{type:"category",id:"x-axis-0"}],yAxes:[{type:"linear",id:"y-axis-0"}]}});var Ut=rt.extend({datasetElementType:kt.Line,dataElementType:kt.Point,_datasetElementOptions:["backgroundColor","borderCapStyle","borderColor","borderDash","borderDashOffset","borderJoinStyle","borderWidth","cubicInterpolationMode","fill"],_dataElementOptions:{backgroundColor:"pointBackgroundColor",borderColor:"pointBorderColor",borderWidth:"pointBorderWidth",hitRadius:"pointHitRadius",hoverBackgroundColor:"pointHoverBackgroundColor",hoverBorderColor:"pointHoverBorderColor",hoverBorderWidth:"pointHoverBorderWidth",hoverRadius:"pointHoverRadius",pointStyle:"pointStyle",radius:"pointRadius",rotation:"pointRotation"},update:function(t){var e,n,i=this,r=i.getMeta(),o=r.dataset,a=r.data||[],s=i.chart.options,l=i._config,u=i._showLine=Bt(l.showLine,s.showLines);for(i._xScale=i.getScaleForId(r.xAxisID),i._yScale=i.getScaleForId(r.yAxisID),u&&(void 0!==l.tension&&void 0===l.lineTension&&(l.lineTension=l.tension),o._scale=i._yScale,o._datasetIndex=i.index,o._children=a,o._model=i._resolveDatasetElementOptions(o),o.pivot()),e=0,n=a.length;e<n;++e)i.updateElement(a[e],e,t);for(u&&0!==o._model.tension&&i.updateBezierControlPoints(),e=0,n=a.length;e<n;++e)a[e].pivot()},updateElement:function(t,e,n){var i,r,o=this,a=o.getMeta(),s=t.custom||{},l=o.getDataset(),u=o.index,c=l.data[e],d=o._xScale,h=o._yScale,f=a.dataset._model,p=o._resolveDataElementOptions(t,e);i=d.getPixelForValue("object"==typeof c?c:NaN,e,u),r=n?h.getBasePixel():o.calculatePointY(c,e,u),t._xScale=d,t._yScale=h,t._options=p,t._datasetIndex=u,t._index=e,t._model={x:i,y:r,skip:s.skip||isNaN(i)||isNaN(r),radius:p.radius,pointStyle:p.pointStyle,rotation:p.rotation,backgroundColor:p.backgroundColor,borderColor:p.borderColor,borderWidth:p.borderWidth,tension:Bt(s.tension,f?f.tension:0),steppedLine:!!f&&f.steppedLine,hitRadius:p.hitRadius}},_resolveDatasetElementOptions:function(t){var e,n,i,r,o,a,s,l,u,c,d,h=this,f=h._config,p=t.custom||{},m=h.chart.options,v=m.elements.line,g=rt.prototype._resolveDatasetElementOptions.apply(h,arguments);return g.spanGaps=Bt(f.spanGaps,m.spanGaps),g.tension=Bt(f.lineTension,v.tension),g.steppedLine=zt([p.steppedLine,f.steppedLine,v.stepped]),g.clip=(e=Bt(f.clip,(a=h._xScale,s=h._yScale,l=g.borderWidth,c=Ht(a,u=l/2),{top:(d=Ht(s,u)).end,right:c.end,bottom:d.start,left:c.start})),V.isObject(e)?(n=e.top,i=e.right,r=e.bottom,o=e.left):n=i=r=o=e,{top:n,right:i,bottom:r,left:o}),g},calculatePointY:function(t,e,n){var i,r,o,a,s,l,u,c=this.chart,d=this._yScale,h=0,f=0;if(d.options.stacked){for(s=+d.getRightValue(t),u=(l=c._getSortedVisibleDatasetMetas()).length,i=0;i<u&&(o=l[i]).index!==n;++i)r=c.data.datasets[o.index],"line"===o.type&&o.yAxisID===d.id&&((a=+d.getRightValue(r.data[e]))<0?f+=a||0:h+=a||0);return s<0?d.getPixelForValue(f+s):d.getPixelForValue(h+s)}return d.getPixelForValue(t)},updateBezierControlPoints:function(){var t,e,n,i,r=this.chart,o=this.getMeta(),a=o.dataset._model,s=r.chartArea,l=o.data||[];function u(t,e,n){return Math.max(Math.min(t,n),e)}if(a.spanGaps&&(l=l.filter((function(t){return!t._model.skip}))),"monotone"===a.cubicInterpolationMode)V.splineCurveMonotone(l);else for(t=0,e=l.length;t<e;++t)n=l[t]._model,i=V.splineCurve(V.previousItem(l,t)._model,n,V.nextItem(l,t)._model,a.tension),n.controlPointPreviousX=i.previous.x,n.controlPointPreviousY=i.previous.y,n.controlPointNextX=i.next.x,n.controlPointNextY=i.next.y;if(r.options.elements.line.capBezierPoints)for(t=0,e=l.length;t<e;++t)n=l[t]._model,Vt(n,s)&&(t>0&&Vt(l[t-1]._model,s)&&(n.controlPointPreviousX=u(n.controlPointPreviousX,s.left,s.right),n.controlPointPreviousY=u(n.controlPointPreviousY,s.top,s.bottom)),t<l.length-1&&Vt(l[t+1]._model,s)&&(n.controlPointNextX=u(n.controlPointNextX,s.left,s.right),n.controlPointNextY=u(n.controlPointNextY,s.top,s.bottom)))},draw:function(){var t,e=this,n=e.chart,i=e.getMeta(),r=i.data||[],o=n.chartArea,a=n.canvas,s=0,l=r.length;for(e._showLine&&(t=i.dataset._model.clip,V.canvas.clipArea(n.ctx,{left:!1===t.left?0:o.left-t.left,right:!1===t.right?a.width:o.right+t.right,top:!1===t.top?0:o.top-t.top,bottom:!1===t.bottom?a.height:o.bottom+t.bottom}),i.dataset.draw(),V.canvas.unclipArea(n.ctx));s<l;++s)r[s].draw(o)},setHoverStyle:function(t){var e=t._model,n=t._options,i=V.getHoverColor;t.$previousStyle={backgroundColor:e.backgroundColor,borderColor:e.borderColor,borderWidth:e.borderWidth,radius:e.radius},e.backgroundColor=Bt(n.hoverBackgroundColor,i(n.backgroundColor)),e.borderColor=Bt(n.hoverBorderColor,i(n.borderColor)),e.borderWidth=Bt(n.hoverBorderWidth,n.borderWidth),e.radius=Bt(n.hoverRadius,n.radius)}}),Wt=V.options.resolve;I._set("polarArea",{scale:{type:"radialLinear",angleLines:{display:!1},gridLines:{circular:!0},pointLabels:{display:!1},ticks:{beginAtZero:!0}},animation:{animateRotate:!0,animateScale:!0},startAngle:-.5*Math.PI,legendCallback:function(t){var e,n,i,r=document.createElement("ul"),o=t.data,a=o.datasets,s=o.labels;if(r.setAttribute("class",t.id+"-legend"),a.length)for(e=0,n=a[0].data.length;e<n;++e)(i=r.appendChild(document.createElement("li"))).appendChild(document.createElement("span")).style.backgroundColor=a[0].backgroundColor[e],s[e]&&i.appendChild(document.createTextNode(s[e]));return r.outerHTML},legend:{labels:{generateLabels:function(t){var e=t.data;return e.labels.length&&e.datasets.length?e.labels.map((function(n,i){var r=t.getDatasetMeta(0),o=r.controller.getStyle(i);return{text:n,fillStyle:o.backgroundColor,strokeStyle:o.borderColor,lineWidth:o.borderWidth,hidden:isNaN(e.datasets[0].data[i])||r.data[i].hidden,index:i}})):[]}},onClick:function(t,e){var n,i,r,o=e.index,a=this.chart;for(n=0,i=(a.data.datasets||[]).length;n<i;++n)(r=a.getDatasetMeta(n)).data[o].hidden=!r.data[o].hidden;a.update()}},tooltips:{callbacks:{title:function(){return""},label:function(t,e){return e.labels[t.index]+": "+t.yLabel}}}});var Yt=rt.extend({dataElementType:kt.Arc,linkScales:V.noop,_dataElementOptions:["backgroundColor","borderColor","borderWidth","borderAlign","hoverBackgroundColor","hoverBorderColor","hoverBorderWidth"],_getIndexScaleId:function(){return this.chart.scale.id},_getValueScaleId:function(){return this.chart.scale.id},update:function(t){var e,n,i,r=this,o=r.getDataset(),a=r.getMeta(),s=r.chart.options.startAngle||0,l=r._starts=[],u=r._angles=[],c=a.data;for(r._updateRadius(),a.count=r.countVisibleElements(),e=0,n=o.data.length;e<n;e++)l[e]=s,i=r._computeAngle(e),u[e]=i,s+=i;for(e=0,n=c.length;e<n;++e)c[e]._options=r._resolveDataElementOptions(c[e],e),r.updateElement(c[e],e,t)},_updateRadius:function(){var t=this,e=t.chart,n=e.chartArea,i=e.options,r=Math.min(n.right-n.left,n.bottom-n.top);e.outerRadius=Math.max(r/2,0),e.innerRadius=Math.max(i.cutoutPercentage?e.outerRadius/100*i.cutoutPercentage:1,0),e.radiusLength=(e.outerRadius-e.innerRadius)/e.getVisibleDatasetCount(),t.outerRadius=e.outerRadius-e.radiusLength*t.index,t.innerRadius=t.outerRadius-e.radiusLength},updateElement:function(t,e,n){var i=this,r=i.chart,o=i.getDataset(),a=r.options,s=a.animation,l=r.scale,u=r.data.labels,c=l.xCenter,d=l.yCenter,h=a.startAngle,f=t.hidden?0:l.getDistanceFromCenterForValue(o.data[e]),p=i._starts[e],m=p+(t.hidden?0:i._angles[e]),v=s.animateScale?0:l.getDistanceFromCenterForValue(o.data[e]),g=t._options||{};V.extend(t,{_datasetIndex:i.index,_index:e,_scale:l,_model:{backgroundColor:g.backgroundColor,borderColor:g.borderColor,borderWidth:g.borderWidth,borderAlign:g.borderAlign,x:c,y:d,innerRadius:0,outerRadius:n?v:f,startAngle:n&&s.animateRotate?h:p,endAngle:n&&s.animateRotate?h:m,label:V.valueAtIndexOrDefault(u,e,u[e])}}),t.pivot()},countVisibleElements:function(){var t=this.getDataset(),e=this.getMeta(),n=0;return V.each(e.data,(function(e,i){isNaN(t.data[i])||e.hidden||n++})),n},setHoverStyle:function(t){var e=t._model,n=t._options,i=V.getHoverColor,r=V.valueOrDefault;t.$previousStyle={backgroundColor:e.backgroundColor,borderColor:e.borderColor,borderWidth:e.borderWidth},e.backgroundColor=r(n.hoverBackgroundColor,i(n.backgroundColor)),e.borderColor=r(n.hoverBorderColor,i(n.borderColor)),e.borderWidth=r(n.hoverBorderWidth,n.borderWidth)},_computeAngle:function(t){var e=this,n=this.getMeta().count,i=e.getDataset(),r=e.getMeta();if(isNaN(i.data[t])||r.data[t].hidden)return 0;var o={chart:e.chart,dataIndex:t,dataset:i,datasetIndex:e.index};return Wt([e.chart.options.elements.arc.angle,2*Math.PI/n],o,t)}});I._set("pie",V.clone(I.doughnut)),I._set("pie",{cutoutPercentage:0});var Qt=$t,Gt=V.valueOrDefault;I._set("radar",{spanGaps:!1,scale:{type:"radialLinear"},elements:{line:{fill:"start",tension:0}}});var Kt=rt.extend({datasetElementType:kt.Line,dataElementType:kt.Point,linkScales:V.noop,_datasetElementOptions:["backgroundColor","borderWidth","borderColor","borderCapStyle","borderDash","borderDashOffset","borderJoinStyle","fill"],_dataElementOptions:{backgroundColor:"pointBackgroundColor",borderColor:"pointBorderColor",borderWidth:"pointBorderWidth",hitRadius:"pointHitRadius",hoverBackgroundColor:"pointHoverBackgroundColor",hoverBorderColor:"pointHoverBorderColor",hoverBorderWidth:"pointHoverBorderWidth",hoverRadius:"pointHoverRadius",pointStyle:"pointStyle",radius:"pointRadius",rotation:"pointRotation"},_getIndexScaleId:function(){return this.chart.scale.id},_getValueScaleId:function(){return this.chart.scale.id},update:function(t){var e,n,i=this,r=i.getMeta(),o=r.dataset,a=r.data||[],s=i.chart.scale,l=i._config;for(void 0!==l.tension&&void 0===l.lineTension&&(l.lineTension=l.tension),o._scale=s,o._datasetIndex=i.index,o._children=a,o._loop=!0,o._model=i._resolveDatasetElementOptions(o),o.pivot(),e=0,n=a.length;e<n;++e)i.updateElement(a[e],e,t);for(i.updateBezierControlPoints(),e=0,n=a.length;e<n;++e)a[e].pivot()},updateElement:function(t,e,n){var i=this,r=t.custom||{},o=i.getDataset(),a=i.chart.scale,s=a.getPointPositionForValue(e,o.data[e]),l=i._resolveDataElementOptions(t,e),u=i.getMeta().dataset._model,c=n?a.xCenter:s.x,d=n?a.yCenter:s.y;t._scale=a,t._options=l,t._datasetIndex=i.index,t._index=e,t._model={x:c,y:d,skip:r.skip||isNaN(c)||isNaN(d),radius:l.radius,pointStyle:l.pointStyle,rotation:l.rotation,backgroundColor:l.backgroundColor,borderColor:l.borderColor,borderWidth:l.borderWidth,tension:Gt(r.tension,u?u.tension:0),hitRadius:l.hitRadius}},_resolveDatasetElementOptions:function(){var t=this,e=t._config,n=t.chart.options,i=rt.prototype._resolveDatasetElementOptions.apply(t,arguments);return i.spanGaps=Gt(e.spanGaps,n.spanGaps),i.tension=Gt(e.lineTension,n.elements.line.tension),i},updateBezierControlPoints:function(){var t,e,n,i,r=this.getMeta(),o=this.chart.chartArea,a=r.data||[];function s(t,e,n){return Math.max(Math.min(t,n),e)}for(r.dataset._model.spanGaps&&(a=a.filter((function(t){return!t._model.skip}))),t=0,e=a.length;t<e;++t)n=a[t]._model,i=V.splineCurve(V.previousItem(a,t,!0)._model,n,V.nextItem(a,t,!0)._model,n.tension),n.controlPointPreviousX=s(i.previous.x,o.left,o.right),n.controlPointPreviousY=s(i.previous.y,o.top,o.bottom),n.controlPointNextX=s(i.next.x,o.left,o.right),n.controlPointNextY=s(i.next.y,o.top,o.bottom)},setHoverStyle:function(t){var e=t._model,n=t._options,i=V.getHoverColor;t.$previousStyle={backgroundColor:e.backgroundColor,borderColor:e.borderColor,borderWidth:e.borderWidth,radius:e.radius},e.backgroundColor=Gt(n.hoverBackgroundColor,i(n.backgroundColor)),e.borderColor=Gt(n.hoverBorderColor,i(n.borderColor)),e.borderWidth=Gt(n.hoverBorderWidth,n.borderWidth),e.radius=Gt(n.hoverRadius,n.radius)}});I._set("scatter",{hover:{mode:"single"},scales:{xAxes:[{id:"x-axis-1",type:"linear",position:"bottom"}],yAxes:[{id:"y-axis-1",type:"linear",position:"left"}]},tooltips:{callbacks:{title:function(){return""},label:function(t){return"("+t.xLabel+", "+t.yLabel+")"}}}}),I._set("global",{datasets:{scatter:{showLine:!1}}});var Zt={bar:qt,bubble:Pt,doughnut:$t,horizontalBar:Ft,line:Ut,polarArea:Yt,pie:Qt,radar:Kt,scatter:Ut};function Jt(t,e){return t.native?{x:t.x,y:t.y}:V.getRelativePosition(t,e)}function Xt(t,e){var n,i,r,o,a,s,l=t._getSortedVisibleDatasetMetas();for(i=0,o=l.length;i<o;++i)for(r=0,a=(n=l[i].data).length;r<a;++r)(s=n[r])._view.skip||e(s)}function te(t,e){var n=[];return Xt(t,(function(t){t.inRange(e.x,e.y)&&n.push(t)})),n}function ee(t,e,n,i){var r=Number.POSITIVE_INFINITY,o=[];return Xt(t,(function(t){if(!n||t.inRange(e.x,e.y)){var a=t.getCenterPoint(),s=i(e,a);s<r?(o=[t],r=s):s===r&&o.push(t)}})),o}function ne(t){var e=-1!==t.indexOf("x"),n=-1!==t.indexOf("y");return function(t,i){var r=e?Math.abs(t.x-i.x):0,o=n?Math.abs(t.y-i.y):0;return Math.sqrt(Math.pow(r,2)+Math.pow(o,2))}}function ie(t,e,n){var i=Jt(e,t);n.axis=n.axis||"x";var r=ne(n.axis),o=n.intersect?te(t,i):ee(t,i,!1,r),a=[];return o.length?(t._getSortedVisibleDatasetMetas().forEach((function(t){var e=t.data[o[0]._index];e&&!e._view.skip&&a.push(e)})),a):[]}var re={modes:{single:function(t,e){var n=Jt(e,t),i=[];return Xt(t,(function(t){if(t.inRange(n.x,n.y))return i.push(t),i})),i.slice(0,1)},label:ie,index:ie,dataset:function(t,e,n){var i=Jt(e,t);n.axis=n.axis||"xy";var r=ne(n.axis),o=n.intersect?te(t,i):ee(t,i,!1,r);return o.length>0&&(o=t.getDatasetMeta(o[0]._datasetIndex).data),o},"x-axis":function(t,e){return ie(t,e,{intersect:!1})},point:function(t,e){return te(t,Jt(e,t))},nearest:function(t,e,n){var i=Jt(e,t);n.axis=n.axis||"xy";var r=ne(n.axis);return ee(t,i,n.intersect,r)},x:function(t,e,n){var i=Jt(e,t),r=[],o=!1;return Xt(t,(function(t){t.inXRange(i.x)&&r.push(t),t.inRange(i.x,i.y)&&(o=!0)})),n.intersect&&!o&&(r=[]),r},y:function(t,e,n){var i=Jt(e,t),r=[],o=!1;return Xt(t,(function(t){t.inYRange(i.y)&&r.push(t),t.inRange(i.x,i.y)&&(o=!0)})),n.intersect&&!o&&(r=[]),r}}},oe=V.extend;function ae(t,e){return V.where(t,(function(t){return t.pos===e}))}function se(t,e){return t.sort((function(t,n){var i=e?n:t,r=e?t:n;return i.weight===r.weight?i.index-r.index:i.weight-r.weight}))}function le(t,e,n,i){return Math.max(t[n],e[n])+Math.max(t[i],e[i])}function ue(t,e,n){var i,r,o=n.box,a=t.maxPadding;if(n.size&&(t[n.pos]-=n.size),n.size=n.horizontal?o.height:o.width,t[n.pos]+=n.size,o.getPadding){var s=o.getPadding();a.top=Math.max(a.top,s.top),a.left=Math.max(a.left,s.left),a.bottom=Math.max(a.bottom,s.bottom),a.right=Math.max(a.right,s.right)}if(i=e.outerWidth-le(a,t,"left","right"),r=e.outerHeight-le(a,t,"top","bottom"),i!==t.w||r!==t.h){t.w=i,t.h=r;var l=n.horizontal?[i,t.w]:[r,t.h];return!(l[0]===l[1]||isNaN(l[0])&&isNaN(l[1]))}}function ce(t,e){var n=e.maxPadding;function i(t){var i={left:0,top:0,right:0,bottom:0};return t.forEach((function(t){i[t]=Math.max(e[t],n[t])})),i}return i(t?["left","right"]:["top","bottom"])}function de(t,e,n){var i,r,o,a,s,l,u=[];for(i=0,r=t.length;i<r;++i)(a=(o=t[i]).box).update(o.width||e.w,o.height||e.h,ce(o.horizontal,e)),ue(e,n,o)&&(l=!0,u.length&&(s=!0)),a.fullWidth||u.push(o);return s&&de(u,e,n)||l}function he(t,e,n){var i,r,o,a,s=n.padding,l=e.x,u=e.y;for(i=0,r=t.length;i<r;++i)a=(o=t[i]).box,o.horizontal?(a.left=a.fullWidth?s.left:e.left,a.right=a.fullWidth?n.outerWidth-s.right:e.left+e.w,a.top=u,a.bottom=u+a.height,a.width=a.right-a.left,u=a.bottom):(a.left=l,a.right=l+a.width,a.top=e.top,a.bottom=e.top+e.h,a.height=a.bottom-a.top,l=a.right);e.x=l,e.y=u}I._set("global",{layout:{padding:{top:0,right:0,bottom:0,left:0}}});var fe,pe={defaults:{},addBox:function(t,e){t.boxes||(t.boxes=[]),e.fullWidth=e.fullWidth||!1,e.position=e.position||"top",e.weight=e.weight||0,e._layers=e._layers||function(){return[{z:0,draw:function(){e.draw.apply(e,arguments)}}]},t.boxes.push(e)},removeBox:function(t,e){var n=t.boxes?t.boxes.indexOf(e):-1;-1!==n&&t.boxes.splice(n,1)},configure:function(t,e,n){for(var i,r=["fullWidth","position","weight"],o=r.length,a=0;a<o;++a)i=r[a],n.hasOwnProperty(i)&&(e[i]=n[i])},update:function(t,e,n){if(t){var i=t.options.layout||{},r=V.options.toPadding(i.padding),o=e-r.width,a=n-r.height,s=function(t){var e=function(t){var e,n,i,r=[];for(e=0,n=(t||[]).length;e<n;++e)i=t[e],r.push({index:e,box:i,pos:i.position,horizontal:i.isHorizontal(),weight:i.weight});return r}(t),n=se(ae(e,"left"),!0),i=se(ae(e,"right")),r=se(ae(e,"top"),!0),o=se(ae(e,"bottom"));return{leftAndTop:n.concat(r),rightAndBottom:i.concat(o),chartArea:ae(e,"chartArea"),vertical:n.concat(i),horizontal:r.concat(o)}}(t.boxes),l=s.vertical,u=s.horizontal,c=Object.freeze({outerWidth:e,outerHeight:n,padding:r,availableWidth:o,vBoxMaxWidth:o/2/l.length,hBoxMaxHeight:a/2}),d=oe({maxPadding:oe({},r),w:o,h:a,x:r.left,y:r.top},r);!function(t,e){var n,i,r;for(n=0,i=t.length;n<i;++n)(r=t[n]).width=r.horizontal?r.box.fullWidth&&e.availableWidth:e.vBoxMaxWidth,r.height=r.horizontal&&e.hBoxMaxHeight}(l.concat(u),c),de(l,d,c),de(u,d,c)&&de(l,d,c),function(t){var e=t.maxPadding;function n(n){var i=Math.max(e[n]-t[n],0);return t[n]+=i,i}t.y+=n("top"),t.x+=n("left"),n("right"),n("bottom")}(d),he(s.leftAndTop,d,c),d.x+=d.w,d.y+=d.h,he(s.rightAndBottom,d,c),t.chartArea={left:d.left,top:d.top,right:d.left+d.w,bottom:d.top+d.h},V.each(s.chartArea,(function(e){var n=e.box;oe(n,t.chartArea),n.update(d.w,d.h)}))}}},me=(fe=Object.freeze({__proto__:null,default:"/*\r\n * DOM element rendering detection\r\n * https://davidwalsh.name/detect-node-insertion\r\n */\r\n@keyframes chartjs-render-animation {\r\n\tfrom { opacity: 0.99; }\r\n\tto { opacity: 1; }\r\n}\r\n\r\n.chartjs-render-monitor {\r\n\tanimation: chartjs-render-animation 0.001s;\r\n}\r\n\r\n/*\r\n * DOM element resizing detection\r\n * https://github.com/marcj/css-element-queries\r\n */\r\n.chartjs-size-monitor,\r\n.chartjs-size-monitor-expand,\r\n.chartjs-size-monitor-shrink {\r\n\tposition: absolute;\r\n\tdirection: ltr;\r\n\tleft: 0;\r\n\ttop: 0;\r\n\tright: 0;\r\n\tbottom: 0;\r\n\toverflow: hidden;\r\n\tpointer-events: none;\r\n\tvisibility: hidden;\r\n\tz-index: -1;\r\n}\r\n\r\n.chartjs-size-monitor-expand > div {\r\n\tposition: absolute;\r\n\twidth: 1000000px;\r\n\theight: 1000000px;\r\n\tleft: 0;\r\n\ttop: 0;\r\n}\r\n\r\n.chartjs-size-monitor-shrink > div {\r\n\tposition: absolute;\r\n\twidth: 200%;\r\n\theight: 200%;\r\n\tleft: 0;\r\n\ttop: 0;\r\n}\r\n"}))&&fe.default||fe,ve="$chartjs",ge="chartjs-",_e=ge+"size-monitor",ye=ge+"render-monitor",be=ge+"render-animation",we=["animationstart","webkitAnimationStart"],xe={touchstart:"mousedown",touchmove:"mousemove",touchend:"mouseup",pointerenter:"mouseenter",pointerdown:"mousedown",pointermove:"mousemove",pointerup:"mouseup",pointerleave:"mouseout",pointerout:"mouseout"};function ke(t,e){var n=V.getStyle(t,e),i=n&&n.match(/^(\d+)(\.\d+)?px$/);return i?Number(i[1]):void 0}var Se=function(){var t=!1;try{var e=Object.defineProperty({},"passive",{get:function(){t=!0}});window.addEventListener("e",null,e)}catch(t){}return t}(),Ce=!!Se&&{passive:!0};function Me(t,e,n){t.addEventListener(e,n,Ce)}function Te(t,e,n){t.removeEventListener(e,n,Ce)}function Oe(t,e,n,i,r){return{type:t,chart:e,native:r||null,x:void 0!==n?n:null,y:void 0!==i?i:null}}function Ae(t){var e=document.createElement("div");return e.className=t||"",e}function Ee(t,e,n){var i,r,o,a,s=t[ve]||(t[ve]={}),l=s.resizer=function(t){var e=1e6,n=Ae(_e),i=Ae(_e+"-expand"),r=Ae(_e+"-shrink");i.appendChild(Ae()),r.appendChild(Ae()),n.appendChild(i),n.appendChild(r),n._reset=function(){i.scrollLeft=e,i.scrollTop=e,r.scrollLeft=e,r.scrollTop=e};var o=function(){n._reset(),t()};return Me(i,"scroll",o.bind(i,"expand")),Me(r,"scroll",o.bind(r,"shrink")),n}((i=function(){if(s.resizer){var i=n.options.maintainAspectRatio&&t.parentNode,r=i?i.clientWidth:0;e(Oe("resize",n)),i&&i.clientWidth<r&&n.canvas&&e(Oe("resize",n))}},o=!1,a=[],function(){a=Array.prototype.slice.call(arguments),r=r||this,o||(o=!0,V.requestAnimFrame.call(window,(function(){o=!1,i.apply(r,a)})))}));!function(t,e){var n=t[ve]||(t[ve]={}),i=n.renderProxy=function(t){t.animationName===be&&e()};V.each(we,(function(e){Me(t,e,i)})),n.reflow=!!t.offsetParent,t.classList.add(ye)}(t,(function(){if(s.resizer){var e=t.parentNode;e&&e!==l.parentNode&&e.insertBefore(l,e.firstChild),l._reset()}}))}function qe(t){var e=t[ve]||{},n=e.resizer;delete e.resizer,function(t){var e=t[ve]||{},n=e.renderProxy;n&&(V.each(we,(function(e){Te(t,e,n)})),delete e.renderProxy),t.classList.remove(ye)}(t),n&&n.parentNode&&n.parentNode.removeChild(n)}var Le={disableCSSInjection:!1,_enabled:"undefined"!=typeof window&&"undefined"!=typeof document,_ensureLoaded:function(t){if(!this.disableCSSInjection){var e=t.getRootNode?t.getRootNode():document;!function(t,e){var n=t[ve]||(t[ve]={});if(!n.containsStyles){n.containsStyles=!0,e="/* Chart.js */\n"+e;var i=document.createElement("style");i.setAttribute("type","text/css"),i.appendChild(document.createTextNode(e)),t.appendChild(i)}}(e.host?e:document.head,me)}},acquireContext:function(t,e){"string"==typeof t?t=document.getElementById(t):t.length&&(t=t[0]),t&&t.canvas&&(t=t.canvas);var n=t&&t.getContext&&t.getContext("2d");return n&&n.canvas===t?(this._ensureLoaded(t),function(t,e){var n=t.style,i=t.getAttribute("height"),r=t.getAttribute("width");if(t[ve]={initial:{height:i,width:r,style:{display:n.display,height:n.height,width:n.width}}},n.display=n.display||"block",null===r||""===r){var o=ke(t,"width");void 0!==o&&(t.width=o)}if(null===i||""===i)if(""===t.style.height)t.height=t.width/(e.options.aspectRatio||2);else{var a=ke(t,"height");void 0!==o&&(t.height=a)}}(t,e),n):null},releaseContext:function(t){var e=t.canvas;if(e[ve]){var n=e[ve].initial;["height","width"].forEach((function(t){var i=n[t];V.isNullOrUndef(i)?e.removeAttribute(t):e.setAttribute(t,i)})),V.each(n.style||{},(function(t,n){e.style[n]=t})),e.width=e.width,delete e[ve]}},addEventListener:function(t,e,n){var i=t.canvas;if("resize"!==e){var r=n[ve]||(n[ve]={}),o=(r.proxies||(r.proxies={}))[t.id+"_"+e]=function(e){n(function(t,e){var n=xe[t.type]||t.type,i=V.getRelativePosition(t,e);return Oe(n,e,i.x,i.y,t)}(e,t))};Me(i,e,o)}else Ee(i,n,t)},removeEventListener:function(t,e,n){var i=t.canvas;if("resize"!==e){var r=((n[ve]||{}).proxies||{})[t.id+"_"+e];r&&Te(i,e,r)}else qe(i)}};V.addEvent=Me,V.removeEvent=Te;var De=Le._enabled?Le:{acquireContext:function(t){return t&&t.canvas&&(t=t.canvas),t&&t.getContext("2d")||null}},Pe=V.extend({initialize:function(){},acquireContext:function(){},releaseContext:function(){},addEventListener:function(){},removeEventListener:function(){}},De);I._set("global",{plugins:{}});var Re={_plugins:[],_cacheId:0,register:function(t){var e=this._plugins;[].concat(t).forEach((function(t){-1===e.indexOf(t)&&e.push(t)})),this._cacheId++},unregister:function(t){var e=this._plugins;[].concat(t).forEach((function(t){var n=e.indexOf(t);-1!==n&&e.splice(n,1)})),this._cacheId++},clear:function(){this._plugins=[],this._cacheId++},count:function(){return this._plugins.length},getAll:function(){return this._plugins},notify:function(t,e,n){var i,r,o,a,s,l=this.descriptors(t),u=l.length;for(i=0;i<u;++i)if("function"==typeof(s=(o=(r=l[i]).plugin)[e])&&((a=[t].concat(n||[])).push(r.options),!1===s.apply(o,a)))return!1;return!0},descriptors:function(t){var e=t.$plugins||(t.$plugins={});if(e.id===this._cacheId)return e.descriptors;var n=[],i=[],r=t&&t.config||{},o=r.options&&r.options.plugins||{};return this._plugins.concat(r.plugins||[]).forEach((function(t){if(-1===n.indexOf(t)){var e=t.id,r=o[e];!1!==r&&(!0===r&&(r=V.clone(I.global.plugins[e])),n.push(t),i.push({plugin:t,options:r||{}}))}})),e.descriptors=i,e.id=this._cacheId,i},_invalidate:function(t){delete t.$plugins}},Ne={constructors:{},defaults:{},registerScaleType:function(t,e,n){this.constructors[t]=e,this.defaults[t]=V.clone(n)},getScaleConstructor:function(t){return this.constructors.hasOwnProperty(t)?this.constructors[t]:void 0},getScaleDefaults:function(t){return this.defaults.hasOwnProperty(t)?V.merge(Object.create(null),[I.scale,this.defaults[t]]):{}},updateScaleDefaults:function(t,e){var n=this;n.defaults.hasOwnProperty(t)&&(n.defaults[t]=V.extend(n.defaults[t],e))},addScalesToLayout:function(t){V.each(t.scales,(function(e){e.fullWidth=e.options.fullWidth,e.position=e.options.position,e.weight=e.options.weight,pe.addBox(t,e)}))}},Ie=V.valueOrDefault,je=V.rtl.getRtlAdapter;I._set("global",{tooltips:{enabled:!0,custom:null,mode:"nearest",position:"average",intersect:!0,backgroundColor:"rgba(0,0,0,0.8)",titleFontStyle:"bold",titleSpacing:2,titleMarginBottom:6,titleFontColor:"#fff",titleAlign:"left",bodySpacing:2,bodyFontColor:"#fff",bodyAlign:"left",footerFontStyle:"bold",footerSpacing:2,footerMarginTop:6,footerFontColor:"#fff",footerAlign:"left",yPadding:6,xPadding:6,caretPadding:2,caretSize:5,cornerRadius:6,multiKeyBackground:"#fff",displayColors:!0,borderColor:"rgba(0,0,0,0)",borderWidth:0,callbacks:{beforeTitle:V.noop,title:function(t,e){var n="",i=e.labels,r=i?i.length:0;if(t.length>0){var o=t[0];o.label?n=o.label:o.xLabel?n=o.xLabel:r>0&&o.index<r&&(n=i[o.index])}return n},afterTitle:V.noop,beforeBody:V.noop,beforeLabel:V.noop,label:function(t,e){var n=e.datasets[t.datasetIndex].label||"";return n&&(n+=": "),V.isNullOrUndef(t.value)?n+=t.yLabel:n+=t.value,n},labelColor:function(t,e){var n=e.getDatasetMeta(t.datasetIndex).data[t.index]._view;return{borderColor:n.borderColor,backgroundColor:n.backgroundColor}},labelTextColor:function(){return this._options.bodyFontColor},afterLabel:V.noop,afterBody:V.noop,beforeFooter:V.noop,footer:V.noop,afterFooter:V.noop}}});var $e={average:function(t){if(!t.length)return!1;var e,n,i=0,r=0,o=0;for(e=0,n=t.length;e<n;++e){var a=t[e];if(a&&a.hasValue()){var s=a.tooltipPosition();i+=s.x,r+=s.y,++o}}return{x:i/o,y:r/o}},nearest:function(t,e){var n,i,r,o=e.x,a=e.y,s=Number.POSITIVE_INFINITY;for(n=0,i=t.length;n<i;++n){var l=t[n];if(l&&l.hasValue()){var u=l.getCenterPoint(),c=V.distanceBetweenPoints(e,u);c<s&&(s=c,r=l)}}if(r){var d=r.tooltipPosition();o=d.x,a=d.y}return{x:o,y:a}}};function Fe(t,e){return e&&(V.isArray(e)?Array.prototype.push.apply(t,e):t.push(e)),t}function Be(t){return("string"==typeof t||t instanceof String)&&t.indexOf("\n")>-1?t.split("\n"):t}function ze(t){var e=I.global;return{xPadding:t.xPadding,yPadding:t.yPadding,xAlign:t.xAlign,yAlign:t.yAlign,rtl:t.rtl,textDirection:t.textDirection,bodyFontColor:t.bodyFontColor,_bodyFontFamily:Ie(t.bodyFontFamily,e.defaultFontFamily),_bodyFontStyle:Ie(t.bodyFontStyle,e.defaultFontStyle),_bodyAlign:t.bodyAlign,bodyFontSize:Ie(t.bodyFontSize,e.defaultFontSize),bodySpacing:t.bodySpacing,titleFontColor:t.titleFontColor,_titleFontFamily:Ie(t.titleFontFamily,e.defaultFontFamily),_titleFontStyle:Ie(t.titleFontStyle,e.defaultFontStyle),titleFontSize:Ie(t.titleFontSize,e.defaultFontSize),_titleAlign:t.titleAlign,titleSpacing:t.titleSpacing,titleMarginBottom:t.titleMarginBottom,footerFontColor:t.footerFontColor,_footerFontFamily:Ie(t.footerFontFamily,e.defaultFontFamily),_footerFontStyle:Ie(t.footerFontStyle,e.defaultFontStyle),footerFontSize:Ie(t.footerFontSize,e.defaultFontSize),_footerAlign:t.footerAlign,footerSpacing:t.footerSpacing,footerMarginTop:t.footerMarginTop,caretSize:t.caretSize,cornerRadius:t.cornerRadius,backgroundColor:t.backgroundColor,opacity:0,legendColorBackground:t.multiKeyBackground,displayColors:t.displayColors,borderColor:t.borderColor,borderWidth:t.borderWidth}}function Ve(t,e){return"center"===e?t.x+t.width/2:"right"===e?t.x+t.width-t.xPadding:t.x+t.xPadding}function He(t){return Fe([],Be(t))}var Ue=K.extend({initialize:function(){this._model=ze(this._options),this._lastActive=[]},getTitle:function(){var t=this,e=t._options.callbacks,n=e.beforeTitle.apply(t,arguments),i=e.title.apply(t,arguments),r=e.afterTitle.apply(t,arguments),o=[];return o=Fe(o,Be(n)),o=Fe(o,Be(i)),o=Fe(o,Be(r))},getBeforeBody:function(){return He(this._options.callbacks.beforeBody.apply(this,arguments))},getBody:function(t,e){var n=this,i=n._options.callbacks,r=[];return V.each(t,(function(t){var o={before:[],lines:[],after:[]};Fe(o.before,Be(i.beforeLabel.call(n,t,e))),Fe(o.lines,i.label.call(n,t,e)),Fe(o.after,Be(i.afterLabel.call(n,t,e))),r.push(o)})),r},getAfterBody:function(){return He(this._options.callbacks.afterBody.apply(this,arguments))},getFooter:function(){var t=this,e=t._options.callbacks,n=e.beforeFooter.apply(t,arguments),i=e.footer.apply(t,arguments),r=e.afterFooter.apply(t,arguments),o=[];return o=Fe(o,Be(n)),o=Fe(o,Be(i)),o=Fe(o,Be(r))},update:function(t){var e,n,i,r,o,a,s,l,u,c,d=this,h=d._options,f=d._model,p=d._model=ze(h),m=d._active,v=d._data,g={xAlign:f.xAlign,yAlign:f.yAlign},_={x:f.x,y:f.y},y={width:f.width,height:f.height},b={x:f.caretX,y:f.caretY};if(m.length){p.opacity=1;var w=[],x=[];b=$e[h.position].call(d,m,d._eventPosition);var k=[];for(e=0,n=m.length;e<n;++e)k.push((i=m[e],r=void 0,o=void 0,a=void 0,s=void 0,l=void 0,u=void 0,c=void 0,r=i._xScale,o=i._yScale||i._scale,a=i._index,s=i._datasetIndex,l=i._chart.getDatasetMeta(s).controller,u=l._getIndexScale(),c=l._getValueScale(),{xLabel:r?r.getLabelForIndex(a,s):"",yLabel:o?o.getLabelForIndex(a,s):"",label:u?""+u.getLabelForIndex(a,s):"",value:c?""+c.getLabelForIndex(a,s):"",index:a,datasetIndex:s,x:i._model.x,y:i._model.y}));h.filter&&(k=k.filter((function(t){return h.filter(t,v)}))),h.itemSort&&(k=k.sort((function(t,e){return h.itemSort(t,e,v)}))),V.each(k,(function(t){w.push(h.callbacks.labelColor.call(d,t,d._chart)),x.push(h.callbacks.labelTextColor.call(d,t,d._chart))})),p.title=d.getTitle(k,v),p.beforeBody=d.getBeforeBody(k,v),p.body=d.getBody(k,v),p.afterBody=d.getAfterBody(k,v),p.footer=d.getFooter(k,v),p.x=b.x,p.y=b.y,p.caretPadding=h.caretPadding,p.labelColors=w,p.labelTextColors=x,p.dataPoints=k,y=function(t,e){var n=t._chart.ctx,i=2*e.yPadding,r=0,o=e.body,a=o.reduce((function(t,e){return t+e.before.length+e.lines.length+e.after.length}),0);a+=e.beforeBody.length+e.afterBody.length;var s=e.title.length,l=e.footer.length,u=e.titleFontSize,c=e.bodyFontSize,d=e.footerFontSize;i+=s*u,i+=s?(s-1)*e.titleSpacing:0,i+=s?e.titleMarginBottom:0,i+=a*c,i+=a?(a-1)*e.bodySpacing:0,i+=l?e.footerMarginTop:0,i+=l*d,i+=l?(l-1)*e.footerSpacing:0;var h=0,f=function(t){r=Math.max(r,n.measureText(t).width+h)};return n.font=V.fontString(u,e._titleFontStyle,e._titleFontFamily),V.each(e.title,f),n.font=V.fontString(c,e._bodyFontStyle,e._bodyFontFamily),V.each(e.beforeBody.concat(e.afterBody),f),h=e.displayColors?c+2:0,V.each(o,(function(t){V.each(t.before,f),V.each(t.lines,f),V.each(t.after,f)})),h=0,n.font=V.fontString(d,e._footerFontStyle,e._footerFontFamily),V.each(e.footer,f),{width:r+=2*e.xPadding,height:i}}(this,p),g=function(t,e){var n,i,r,o,a,s=t._model,l=t._chart,u=t._chart.chartArea,c="center",d="center";s.y<e.height?d="top":s.y>l.height-e.height&&(d="bottom");var h=(u.left+u.right)/2,f=(u.top+u.bottom)/2;"center"===d?(n=function(t){return t<=h},i=function(t){return t>h}):(n=function(t){return t<=e.width/2},i=function(t){return t>=l.width-e.width/2}),r=function(t){return t+e.width+s.caretSize+s.caretPadding>l.width},o=function(t){return t-e.width-s.caretSize-s.caretPadding<0},a=function(t){return t<=f?"top":"bottom"},n(s.x)?(c="left",r(s.x)&&(c="center",d=a(s.y))):i(s.x)&&(c="right",o(s.x)&&(c="center",d=a(s.y)));var p=t._options;return{xAlign:p.xAlign?p.xAlign:c,yAlign:p.yAlign?p.yAlign:d}}(this,y),_=function(t,e,n,i){var r=t.x,o=t.y,a=t.caretSize,s=t.caretPadding,l=t.cornerRadius,u=n.xAlign,c=n.yAlign,d=a+s,h=l+s;return"right"===u?r-=e.width:"center"===u&&((r-=e.width/2)+e.width>i.width&&(r=i.width-e.width),r<0&&(r=0)),"top"===c?o+=d:o-="bottom"===c?e.height+d:e.height/2,"center"===c?"left"===u?r+=d:"right"===u&&(r-=d):"left"===u?r-=h:"right"===u&&(r+=h),{x:r,y:o}}(p,y,g,d._chart)}else p.opacity=0;return p.xAlign=g.xAlign,p.yAlign=g.yAlign,p.x=_.x,p.y=_.y,p.width=y.width,p.height=y.height,p.caretX=b.x,p.caretY=b.y,d._model=p,t&&h.custom&&h.custom.call(d,p),d},drawCaret:function(t,e){var n=this._chart.ctx,i=this._view,r=this.getCaretPosition(t,e,i);n.lineTo(r.x1,r.y1),n.lineTo(r.x2,r.y2),n.lineTo(r.x3,r.y3)},getCaretPosition:function(t,e,n){var i,r,o,a,s,l,u=n.caretSize,c=n.cornerRadius,d=n.xAlign,h=n.yAlign,f=t.x,p=t.y,m=e.width,v=e.height;if("center"===h)s=p+v/2,"left"===d?(r=(i=f)-u,o=i,a=s+u,l=s-u):(r=(i=f+m)+u,o=i,a=s-u,l=s+u);else if("left"===d?(i=(r=f+c+u)-u,o=r+u):"right"===d?(i=(r=f+m-c-u)-u,o=r+u):(i=(r=n.caretX)-u,o=r+u),"top"===h)s=(a=p)-u,l=a;else{s=(a=p+v)+u,l=a;var g=o;o=i,i=g}return{x1:i,x2:r,x3:o,y1:a,y2:s,y3:l}},drawTitle:function(t,e,n){var i,r,o,a=e.title,s=a.length;if(s){var l=je(e.rtl,e.x,e.width);for(t.x=Ve(e,e._titleAlign),n.textAlign=l.textAlign(e._titleAlign),n.textBaseline="middle",i=e.titleFontSize,r=e.titleSpacing,n.fillStyle=e.titleFontColor,n.font=V.fontString(i,e._titleFontStyle,e._titleFontFamily),o=0;o<s;++o)n.fillText(a[o],l.x(t.x),t.y+i/2),t.y+=i+r,o+1===s&&(t.y+=e.titleMarginBottom-r)}},drawBody:function(t,e,n){var i,r,o,a,s,l,u,c,d=e.bodyFontSize,h=e.bodySpacing,f=e._bodyAlign,p=e.body,m=e.displayColors,v=0,g=m?Ve(e,"left"):0,_=je(e.rtl,e.x,e.width),y=function(e){n.fillText(e,_.x(t.x+v),t.y+d/2),t.y+=d+h},b=_.textAlign(f);for(n.textAlign=f,n.textBaseline="middle",n.font=V.fontString(d,e._bodyFontStyle,e._bodyFontFamily),t.x=Ve(e,b),n.fillStyle=e.bodyFontColor,V.each(e.beforeBody,y),v=m&&"right"!==b?"center"===f?d/2+1:d+2:0,s=0,u=p.length;s<u;++s){for(i=p[s],r=e.labelTextColors[s],o=e.labelColors[s],n.fillStyle=r,V.each(i.before,y),l=0,c=(a=i.lines).length;l<c;++l){if(m){var w=_.x(g);n.fillStyle=e.legendColorBackground,n.fillRect(_.leftForLtr(w,d),t.y,d,d),n.lineWidth=1,n.strokeStyle=o.borderColor,n.strokeRect(_.leftForLtr(w,d),t.y,d,d),n.fillStyle=o.backgroundColor,n.fillRect(_.leftForLtr(_.xPlus(w,1),d-2),t.y+1,d-2,d-2),n.fillStyle=r}y(a[l])}V.each(i.after,y)}v=0,V.each(e.afterBody,y),t.y-=h},drawFooter:function(t,e,n){var i,r,o=e.footer,a=o.length;if(a){var s=je(e.rtl,e.x,e.width);for(t.x=Ve(e,e._footerAlign),t.y+=e.footerMarginTop,n.textAlign=s.textAlign(e._footerAlign),n.textBaseline="middle",i=e.footerFontSize,n.fillStyle=e.footerFontColor,n.font=V.fontString(i,e._footerFontStyle,e._footerFontFamily),r=0;r<a;++r)n.fillText(o[r],s.x(t.x),t.y+i/2),t.y+=i+e.footerSpacing}},drawBackground:function(t,e,n,i){n.fillStyle=e.backgroundColor,n.strokeStyle=e.borderColor,n.lineWidth=e.borderWidth;var r=e.xAlign,o=e.yAlign,a=t.x,s=t.y,l=i.width,u=i.height,c=e.cornerRadius;n.beginPath(),n.moveTo(a+c,s),"top"===o&&this.drawCaret(t,i),n.lineTo(a+l-c,s),n.quadraticCurveTo(a+l,s,a+l,s+c),"center"===o&&"right"===r&&this.drawCaret(t,i),n.lineTo(a+l,s+u-c),n.quadraticCurveTo(a+l,s+u,a+l-c,s+u),"bottom"===o&&this.drawCaret(t,i),n.lineTo(a+c,s+u),n.quadraticCurveTo(a,s+u,a,s+u-c),"center"===o&&"left"===r&&this.drawCaret(t,i),n.lineTo(a,s+c),n.quadraticCurveTo(a,s,a+c,s),n.closePath(),n.fill(),e.borderWidth>0&&n.stroke()},draw:function(){var t=this._chart.ctx,e=this._view;if(0!==e.opacity){var n={width:e.width,height:e.height},i={x:e.x,y:e.y},r=Math.abs(e.opacity<.001)?0:e.opacity,o=e.title.length||e.beforeBody.length||e.body.length||e.afterBody.length||e.footer.length;this._options.enabled&&o&&(t.save(),t.globalAlpha=r,this.drawBackground(i,e,t,n),i.y+=e.yPadding,V.rtl.overrideTextDirection(t,e.textDirection),this.drawTitle(i,e,t),this.drawBody(i,e,t),this.drawFooter(i,e,t),V.rtl.restoreTextDirection(t,e.textDirection),t.restore())}},handleEvent:function(t){var e,n=this,i=n._options;return n._lastActive=n._lastActive||[],"mouseout"===t.type?n._active=[]:(n._active=n._chart.getElementsAtEventForMode(t,i.mode,i),i.reverse&&n._active.reverse()),(e=!V.arrayEquals(n._active,n._lastActive))&&(n._lastActive=n._active,(i.enabled||i.custom)&&(n._eventPosition={x:t.x,y:t.y},n.update(!0),n.pivot())),e}}),We=$e,Ye=Ue;Ye.positioners=We;var Qe=V.valueOrDefault;function Ge(){return V.merge(Object.create(null),[].slice.call(arguments),{merger:function(t,e,n,i){if("xAxes"===t||"yAxes"===t){var r,o,a,s=n[t].length;for(e[t]||(e[t]=[]),r=0;r<s;++r)a=n[t][r],o=Qe(a.type,"xAxes"===t?"category":"linear"),r>=e[t].length&&e[t].push({}),!e[t][r].type||a.type&&a.type!==e[t][r].type?V.merge(e[t][r],[Ne.getScaleDefaults(o),a]):V.merge(e[t][r],a)}else V._merger(t,e,n,i)}})}function Ke(){return V.merge(Object.create(null),[].slice.call(arguments),{merger:function(t,e,n,i){var r=e[t]||Object.create(null),o=n[t];"scales"===t?e[t]=Ge(r,o):"scale"===t?e[t]=V.merge(r,[Ne.getScaleDefaults(o.type),o]):V._merger(t,e,n,i)}})}function Ze(t,e,n){var i,r=function(t){return t.id===i};do{i=e+n++}while(V.findIndex(t,r)>=0);return i}function Je(t){return"top"===t||"bottom"===t}function Xe(t,e){return function(n,i){return n[t]===i[t]?n[e]-i[e]:n[t]-i[t]}}I._set("global",{elements:{},events:["mousemove","mouseout","click","touchstart","touchmove"],hover:{onHover:null,mode:"nearest",intersect:!0,animationDuration:400},onClick:null,maintainAspectRatio:!0,responsive:!0,responsiveAnimationDuration:0});var tn=function(t,e){return this.construct(t,e),this};V.extend(tn.prototype,{construct:function(t,e){var n=this;e=function(t){var e=(t=t||Object.create(null)).data=t.data||{};return e.datasets=e.datasets||[],e.labels=e.labels||[],t.options=Ke(I.global,I[t.type],t.options||{}),t}(e);var i=Pe.acquireContext(t,e),r=i&&i.canvas,o=r&&r.height,a=r&&r.width;n.id=V.uid(),n.ctx=i,n.canvas=r,n.config=e,n.width=a,n.height=o,n.aspectRatio=o?a/o:null,n.options=e.options,n._bufferedRender=!1,n._layers=[],n.chart=n,n.controller=n,tn.instances[n.id]=n,Object.defineProperty(n,"data",{get:function(){return n.config.data},set:function(t){n.config.data=t}}),i&&r?(n.initialize(),n.update()):console.error("Failed to create chart: can't acquire context from the given item")},initialize:function(){var t=this;return Re.notify(t,"beforeInit"),V.retinaScale(t,t.options.devicePixelRatio),t.bindEvents(),t.options.responsive&&t.resize(!0),t.initToolTip(),Re.notify(t,"afterInit"),t},clear:function(){return V.canvas.clear(this),this},stop:function(){return X.cancelAnimation(this),this},resize:function(t){var e=this,n=e.options,i=e.canvas,r=n.maintainAspectRatio&&e.aspectRatio||null,o=Math.max(0,Math.floor(V.getMaximumWidth(i))),a=Math.max(0,Math.floor(r?o/r:V.getMaximumHeight(i)));if((e.width!==o||e.height!==a)&&(i.width=e.width=o,i.height=e.height=a,i.style.width=o+"px",i.style.height=a+"px",V.retinaScale(e,n.devicePixelRatio),!t)){var s={width:o,height:a};Re.notify(e,"resize",[s]),n.onResize&&n.onResize(e,s),e.stop(),e.update({duration:n.responsiveAnimationDuration})}},ensureScalesHaveIDs:function(){var t=this.options,e=t.scales||{},n=t.scale;V.each(e.xAxes,(function(t,n){t.id||(t.id=Ze(e.xAxes,"x-axis-",n))})),V.each(e.yAxes,(function(t,n){t.id||(t.id=Ze(e.yAxes,"y-axis-",n))})),n&&(n.id=n.id||"scale")},buildOrUpdateScales:function(){var t=this,e=t.options,n=t.scales||{},i=[],r=Object.keys(n).reduce((function(t,e){return t[e]=!1,t}),{});e.scales&&(i=i.concat((e.scales.xAxes||[]).map((function(t){return{options:t,dtype:"category",dposition:"bottom"}})),(e.scales.yAxes||[]).map((function(t){return{options:t,dtype:"linear",dposition:"left"}})))),e.scale&&i.push({options:e.scale,dtype:"radialLinear",isDefault:!0,dposition:"chartArea"}),V.each(i,(function(e){var i=e.options,o=i.id,a=Qe(i.type,e.dtype);Je(i.position)!==Je(e.dposition)&&(i.position=e.dposition),r[o]=!0;var s=null;if(o in n&&n[o].type===a)(s=n[o]).options=i,s.ctx=t.ctx,s.chart=t;else{var l=Ne.getScaleConstructor(a);if(!l)return;s=new l({id:o,type:a,options:i,ctx:t.ctx,chart:t}),n[s.id]=s}s.mergeTicksOptions(),e.isDefault&&(t.scale=s)})),V.each(r,(function(t,e){t||delete n[e]})),t.scales=n,Ne.addScalesToLayout(this)},buildOrUpdateControllers:function(){var t,e,n=this,i=[],r=n.data.datasets;for(t=0,e=r.length;t<e;t++){var o=r[t],a=n.getDatasetMeta(t),s=o.type||n.config.type;if(a.type&&a.type!==s&&(n.destroyDatasetMeta(t),a=n.getDatasetMeta(t)),a.type=s,a.order=o.order||0,a.index=t,a.controller)a.controller.updateIndex(t),a.controller.linkScales();else{var l=Zt[a.type];if(void 0===l)throw new Error('"'+a.type+'" is not a chart type.');a.controller=new l(n,t),i.push(a.controller)}}return i},resetElements:function(){var t=this;V.each(t.data.datasets,(function(e,n){t.getDatasetMeta(n).controller.reset()}),t)},reset:function(){this.resetElements(),this.tooltip.initialize()},update:function(t){var e,n,i,r,o=this;if(t&&"object"==typeof t||(t={duration:t,lazy:arguments[1]}),r=(i=o).options,V.each(i.scales,(function(t){pe.removeBox(i,t)})),r=Ke(I.global,I[i.config.type],r),i.options=i.config.options=r,i.ensureScalesHaveIDs(),i.buildOrUpdateScales(),i.tooltip._options=r.tooltips,i.tooltip.initialize(),Re._invalidate(o),!1!==Re.notify(o,"beforeUpdate")){o.tooltip._data=o.data;var a=o.buildOrUpdateControllers();for(e=0,n=o.data.datasets.length;e<n;e++)o.getDatasetMeta(e).controller.buildOrUpdateElements();o.updateLayout(),o.options.animation&&o.options.animation.duration&&V.each(a,(function(t){t.reset()})),o.updateDatasets(),o.tooltip.initialize(),o.lastActive=[],Re.notify(o,"afterUpdate"),o._layers.sort(Xe("z","_idx")),o._bufferedRender?o._bufferedRequest={duration:t.duration,easing:t.easing,lazy:t.lazy}:o.render(t)}},updateLayout:function(){var t=this;!1!==Re.notify(t,"beforeLayout")&&(pe.update(this,this.width,this.height),t._layers=[],V.each(t.boxes,(function(e){e._configure&&e._configure(),t._layers.push.apply(t._layers,e._layers())}),t),t._layers.forEach((function(t,e){t._idx=e})),Re.notify(t,"afterScaleUpdate"),Re.notify(t,"afterLayout"))},updateDatasets:function(){var t=this;if(!1!==Re.notify(t,"beforeDatasetsUpdate")){for(var e=0,n=t.data.datasets.length;e<n;++e)t.updateDataset(e);Re.notify(t,"afterDatasetsUpdate")}},updateDataset:function(t){var e=this,n=e.getDatasetMeta(t),i={meta:n,index:t};!1!==Re.notify(e,"beforeDatasetUpdate",[i])&&(n.controller._update(),Re.notify(e,"afterDatasetUpdate",[i]))},render:function(t){var e=this;t&&"object"==typeof t||(t={duration:t,lazy:arguments[1]});var n=e.options.animation,i=Qe(t.duration,n&&n.duration),r=t.lazy;if(!1!==Re.notify(e,"beforeRender")){var o=function(t){Re.notify(e,"afterRender"),V.callback(n&&n.onComplete,[t],e)};if(n&&i){var a=new J({numSteps:i/16.66,easing:t.easing||n.easing,render:function(t,e){var n=V.easing.effects[e.easing],i=e.currentStep,r=i/e.numSteps;t.draw(n(r),r,i)},onAnimationProgress:n.onProgress,onAnimationComplete:o});X.addAnimation(e,a,i,r)}else e.draw(),o(new J({numSteps:0,chart:e}));return e}},draw:function(t){var e,n,i=this;if(i.clear(),V.isNullOrUndef(t)&&(t=1),i.transition(t),!(i.width<=0||i.height<=0)&&!1!==Re.notify(i,"beforeDraw",[t])){for(n=i._layers,e=0;e<n.length&&n[e].z<=0;++e)n[e].draw(i.chartArea);for(i.drawDatasets(t);e<n.length;++e)n[e].draw(i.chartArea);i._drawTooltip(t),Re.notify(i,"afterDraw",[t])}},transition:function(t){for(var e=this,n=0,i=(e.data.datasets||[]).length;n<i;++n)e.isDatasetVisible(n)&&e.getDatasetMeta(n).controller.transition(t);e.tooltip.transition(t)},_getSortedDatasetMetas:function(t){var e,n,i=this,r=[];for(e=0,n=(i.data.datasets||[]).length;e<n;++e)t&&!i.isDatasetVisible(e)||r.push(i.getDatasetMeta(e));return r.sort(Xe("order","index")),r},_getSortedVisibleDatasetMetas:function(){return this._getSortedDatasetMetas(!0)},drawDatasets:function(t){var e,n,i=this;if(!1!==Re.notify(i,"beforeDatasetsDraw",[t])){for(n=(e=i._getSortedVisibleDatasetMetas()).length-1;n>=0;--n)i.drawDataset(e[n],t);Re.notify(i,"afterDatasetsDraw",[t])}},drawDataset:function(t,e){var n={meta:t,index:t.index,easingValue:e};!1!==Re.notify(this,"beforeDatasetDraw",[n])&&(t.controller.draw(e),Re.notify(this,"afterDatasetDraw",[n]))},_drawTooltip:function(t){var e=this,n=e.tooltip,i={tooltip:n,easingValue:t};!1!==Re.notify(e,"beforeTooltipDraw",[i])&&(n.draw(),Re.notify(e,"afterTooltipDraw",[i]))},getElementAtEvent:function(t){return re.modes.single(this,t)},getElementsAtEvent:function(t){return re.modes.label(this,t,{intersect:!0})},getElementsAtXAxis:function(t){return re.modes["x-axis"](this,t,{intersect:!0})},getElementsAtEventForMode:function(t,e,n){var i=re.modes[e];return"function"==typeof i?i(this,t,n):[]},getDatasetAtEvent:function(t){return re.modes.dataset(this,t,{intersect:!0})},getDatasetMeta:function(t){var e=this,n=e.data.datasets[t];n._meta||(n._meta={});var i=n._meta[e.id];return i||(i=n._meta[e.id]={type:null,data:[],dataset:null,controller:null,hidden:null,xAxisID:null,yAxisID:null,order:n.order||0,index:t}),i},getVisibleDatasetCount:function(){for(var t=0,e=0,n=this.data.datasets.length;e<n;++e)this.isDatasetVisible(e)&&t++;return t},isDatasetVisible:function(t){var e=this.getDatasetMeta(t);return"boolean"==typeof e.hidden?!e.hidden:!this.data.datasets[t].hidden},generateLegend:function(){return this.options.legendCallback(this)},destroyDatasetMeta:function(t){var e=this.id,n=this.data.datasets[t],i=n._meta&&n._meta[e];i&&(i.controller.destroy(),delete n._meta[e])},destroy:function(){var t,e,n=this,i=n.canvas;for(n.stop(),t=0,e=n.data.datasets.length;t<e;++t)n.destroyDatasetMeta(t);i&&(n.unbindEvents(),V.canvas.clear(n),Pe.releaseContext(n.ctx),n.canvas=null,n.ctx=null),Re.notify(n,"destroy"),delete tn.instances[n.id]},toBase64Image:function(){return this.canvas.toDataURL.apply(this.canvas,arguments)},initToolTip:function(){var t=this;t.tooltip=new Ye({_chart:t,_chartInstance:t,_data:t.data,_options:t.options.tooltips},t)},bindEvents:function(){var t=this,e=t._listeners={},n=function(){t.eventHandler.apply(t,arguments)};V.each(t.options.events,(function(i){Pe.addEventListener(t,i,n),e[i]=n})),t.options.responsive&&(n=function(){t.resize()},Pe.addEventListener(t,"resize",n),e.resize=n)},unbindEvents:function(){var t=this,e=t._listeners;e&&(delete t._listeners,V.each(e,(function(e,n){Pe.removeEventListener(t,n,e)})))},updateHoverStyle:function(t,e,n){var i,r,o,a=n?"set":"remove";for(r=0,o=t.length;r<o;++r)(i=t[r])&&this.getDatasetMeta(i._datasetIndex).controller[a+"HoverStyle"](i);"dataset"===e&&this.getDatasetMeta(t[0]._datasetIndex).controller["_"+a+"DatasetHoverStyle"]()},eventHandler:function(t){var e=this,n=e.tooltip;if(!1!==Re.notify(e,"beforeEvent",[t])){e._bufferedRender=!0,e._bufferedRequest=null;var i=e.handleEvent(t);n&&(i=n._start?n.handleEvent(t):i|n.handleEvent(t)),Re.notify(e,"afterEvent",[t]);var r=e._bufferedRequest;return r?e.render(r):i&&!e.animating&&(e.stop(),e.render({duration:e.options.hover.animationDuration,lazy:!0})),e._bufferedRender=!1,e._bufferedRequest=null,e}},handleEvent:function(t){var e,n=this,i=n.options||{},r=i.hover;return n.lastActive=n.lastActive||[],"mouseout"===t.type?n.active=[]:n.active=n.getElementsAtEventForMode(t,r.mode,r),V.callback(i.onHover||i.hover.onHover,[t.native,n.active],n),"mouseup"!==t.type&&"click"!==t.type||i.onClick&&i.onClick.call(n,t.native,n.active),n.lastActive.length&&n.updateHoverStyle(n.lastActive,r.mode,!1),n.active.length&&r.mode&&n.updateHoverStyle(n.active,r.mode,!0),e=!V.arrayEquals(n.active,n.lastActive),n.lastActive=n.active,e}}),tn.instances={};var en=tn;tn.Controller=tn,tn.types={},V.configMerge=Ke,V.scaleMerge=Ge;function nn(){throw new Error("This method is not implemented: either no adapter can be found or an incomplete integration was provided.")}function rn(t){this.options=t||{}}V.extend(rn.prototype,{formats:nn,parse:nn,format:nn,add:nn,diff:nn,startOf:nn,endOf:nn,_create:function(t){return t}}),rn.override=function(t){V.extend(rn.prototype,t)};var on={_date:rn},an={formatters:{values:function(t){return V.isArray(t)?t:""+t},linear:function(t,e,n){var i=n.length>3?n[2]-n[1]:n[1]-n[0];Math.abs(i)>1&&t!==Math.floor(t)&&(i=t-Math.floor(t));var r=V.log10(Math.abs(i)),o="";if(0!==t)if(Math.max(Math.abs(n[0]),Math.abs(n[n.length-1]))<1e-4){var a=V.log10(Math.abs(t)),s=Math.floor(a)-Math.floor(r);s=Math.max(Math.min(s,20),0),o=t.toExponential(s)}else{var l=-1*Math.floor(r);l=Math.max(Math.min(l,20),0),o=t.toFixed(l)}else o="0";return o},logarithmic:function(t,e,n){var i=t/Math.pow(10,Math.floor(V.log10(t)));return 0===t?"0":1===i||2===i||5===i||0===e||e===n.length-1?t.toExponential():""}}},sn=V.isArray,ln=V.isNullOrUndef,un=V.valueOrDefault,cn=V.valueAtIndexOrDefault;function dn(t,e,n){var i,r=t.getTicks().length,o=Math.min(e,r-1),a=t.getPixelForTick(o),s=t._startPixel,l=t._endPixel,u=1e-6;if(!(n&&(i=1===r?Math.max(a-s,l-a):0===e?(t.getPixelForTick(1)-a)/2:(a-t.getPixelForTick(o-1))/2,(a+=o<e?i:-i)<s-u||a>l+u)))return a}function hn(t,e,n,i){var r,o,a,s,l,u,c,d,h,f,p,m,v,g=n.length,_=[],y=[],b=[],w=0,x=0;for(r=0;r<g;++r){if(s=n[r].label,l=n[r].major?e.major:e.minor,t.font=u=l.string,c=i[u]=i[u]||{data:{},gc:[]},d=l.lineHeight,h=f=0,ln(s)||sn(s)){if(sn(s))for(o=0,a=s.length;o<a;++o)p=s[o],ln(p)||sn(p)||(h=V.measureText(t,c.data,c.gc,h,p),f+=d)}else h=V.measureText(t,c.data,c.gc,h,s),f=d;_.push(h),y.push(f),b.push(d/2),w=Math.max(h,w),x=Math.max(f,x)}function k(t){return{width:_[t]||0,height:y[t]||0,offset:b[t]||0}}return function(t,e){V.each(t,(function(t){var n,i=t.gc,r=i.length/2;if(r>e){for(n=0;n<r;++n)delete t.data[i[n]];i.splice(0,r)}}))}(i,g),m=_.indexOf(w),v=y.indexOf(x),{first:k(0),last:k(g-1),widest:k(m),highest:k(v)}}function fn(t){return t.drawTicks?t.tickMarkLength:0}function pn(t){var e,n;return t.display?(e=V.options._parseFont(t),n=V.options.toPadding(t.padding),e.lineHeight+n.height):0}function mn(t,e){return V.extend(V.options._parseFont({fontFamily:un(e.fontFamily,t.fontFamily),fontSize:un(e.fontSize,t.fontSize),fontStyle:un(e.fontStyle,t.fontStyle),lineHeight:un(e.lineHeight,t.lineHeight)}),{color:V.options.resolve([e.fontColor,t.fontColor,I.global.defaultFontColor])})}function vn(t){var e=mn(t,t.minor);return{minor:e,major:t.major.enabled?mn(t,t.major):e}}function gn(t){var e,n,i,r=[];for(n=0,i=t.length;n<i;++n)void 0!==(e=t[n])._index&&r.push(e);return r}function _n(t,e,n,i){var r,o,a,s,l=un(n,0),u=Math.min(un(i,t.length),t.length),c=0;for(e=Math.ceil(e),i&&(e=(r=i-n)/Math.floor(r/e)),s=l;s<0;)c++,s=Math.round(l+c*e);for(o=Math.max(l,0);o<u;o++)a=t[o],o===s?(a._index=o,c++,s=Math.round(l+c*e)):delete a.label}I._set("scale",{display:!0,position:"left",offset:!1,gridLines:{display:!0,color:"rgba(0,0,0,0.1)",lineWidth:1,drawBorder:!0,drawOnChartArea:!0,drawTicks:!0,tickMarkLength:10,zeroLineWidth:1,zeroLineColor:"rgba(0,0,0,0.25)",zeroLineBorderDash:[],zeroLineBorderDashOffset:0,offsetGridLines:!1,borderDash:[],borderDashOffset:0},scaleLabel:{display:!1,labelString:"",padding:{top:4,bottom:4}},ticks:{beginAtZero:!1,minRotation:0,maxRotation:50,mirror:!1,padding:0,reverse:!1,display:!0,autoSkip:!0,autoSkipPadding:0,labelOffset:0,callback:an.formatters.values,minor:{},major:{}}});var yn=K.extend({zeroLineIndex:0,getPadding:function(){var t=this;return{left:t.paddingLeft||0,top:t.paddingTop||0,right:t.paddingRight||0,bottom:t.paddingBottom||0}},getTicks:function(){return this._ticks},_getLabels:function(){var t=this.chart.data;return this.options.labels||(this.isHorizontal()?t.xLabels:t.yLabels)||t.labels||[]},mergeTicksOptions:function(){},beforeUpdate:function(){V.callback(this.options.beforeUpdate,[this])},update:function(t,e,n){var i,r,o,a,s,l=this,u=l.options.ticks,c=u.sampleSize;if(l.beforeUpdate(),l.maxWidth=t,l.maxHeight=e,l.margins=V.extend({left:0,right:0,top:0,bottom:0},n),l._ticks=null,l.ticks=null,l._labelSizes=null,l._maxLabelLines=0,l.longestLabelWidth=0,l.longestTextCache=l.longestTextCache||{},l._gridLineItems=null,l._labelItems=null,l.beforeSetDimensions(),l.setDimensions(),l.afterSetDimensions(),l.beforeDataLimits(),l.determineDataLimits(),l.afterDataLimits(),l.beforeBuildTicks(),a=l.buildTicks()||[],(!(a=l.afterBuildTicks(a)||a)||!a.length)&&l.ticks)for(a=[],i=0,r=l.ticks.length;i<r;++i)a.push({value:l.ticks[i],major:!1});return l._ticks=a,s=c<a.length,o=l._convertTicksToLabels(s?function(t,e){for(var n=[],i=t.length/e,r=0,o=t.length;r<o;r+=i)n.push(t[Math.floor(r)]);return n}(a,c):a),l._configure(),l.beforeCalculateTickRotation(),l.calculateTickRotation(),l.afterCalculateTickRotation(),l.beforeFit(),l.fit(),l.afterFit(),l._ticksToDraw=u.display&&(u.autoSkip||"auto"===u.source)?l._autoSkip(a):a,s&&(o=l._convertTicksToLabels(l._ticksToDraw)),l.ticks=o,l.afterUpdate(),l.minSize},_configure:function(){var t,e,n=this,i=n.options.ticks.reverse;n.isHorizontal()?(t=n.left,e=n.right):(t=n.top,e=n.bottom,i=!i),n._startPixel=t,n._endPixel=e,n._reversePixels=i,n._length=e-t},afterUpdate:function(){V.callback(this.options.afterUpdate,[this])},beforeSetDimensions:function(){V.callback(this.options.beforeSetDimensions,[this])},setDimensions:function(){var t=this;t.isHorizontal()?(t.width=t.maxWidth,t.left=0,t.right=t.width):(t.height=t.maxHeight,t.top=0,t.bottom=t.height),t.paddingLeft=0,t.paddingTop=0,t.paddingRight=0,t.paddingBottom=0},afterSetDimensions:function(){V.callback(this.options.afterSetDimensions,[this])},beforeDataLimits:function(){V.callback(this.options.beforeDataLimits,[this])},determineDataLimits:V.noop,afterDataLimits:function(){V.callback(this.options.afterDataLimits,[this])},beforeBuildTicks:function(){V.callback(this.options.beforeBuildTicks,[this])},buildTicks:V.noop,afterBuildTicks:function(t){var e=this;return sn(t)&&t.length?V.callback(e.options.afterBuildTicks,[e,t]):(e.ticks=V.callback(e.options.afterBuildTicks,[e,e.ticks])||e.ticks,t)},beforeTickToLabelConversion:function(){V.callback(this.options.beforeTickToLabelConversion,[this])},convertTicksToLabels:function(){var t=this,e=t.options.ticks;t.ticks=t.ticks.map(e.userCallback||e.callback,this)},afterTickToLabelConversion:function(){V.callback(this.options.afterTickToLabelConversion,[this])},beforeCalculateTickRotation:function(){V.callback(this.options.beforeCalculateTickRotation,[this])},calculateTickRotation:function(){var t,e,n,i,r,o,a,s=this,l=s.options,u=l.ticks,c=s.getTicks().length,d=u.minRotation||0,h=u.maxRotation,f=d;!s._isVisible()||!u.display||d>=h||c<=1||!s.isHorizontal()?s.labelRotation=d:(e=(t=s._getLabelSizes()).widest.width,n=t.highest.height-t.highest.offset,i=Math.min(s.maxWidth,s.chart.width-e),e+6>(r=l.offset?s.maxWidth/c:i/(c-1))&&(r=i/(c-(l.offset?.5:1)),o=s.maxHeight-fn(l.gridLines)-u.padding-pn(l.scaleLabel),a=Math.sqrt(e*e+n*n),f=V.toDegrees(Math.min(Math.asin(Math.min((t.highest.height+6)/r,1)),Math.asin(Math.min(o/a,1))-Math.asin(n/a))),f=Math.max(d,Math.min(h,f))),s.labelRotation=f)},afterCalculateTickRotation:function(){V.callback(this.options.afterCalculateTickRotation,[this])},beforeFit:function(){V.callback(this.options.beforeFit,[this])},fit:function(){var t=this,e=t.minSize={width:0,height:0},n=t.chart,i=t.options,r=i.ticks,o=i.scaleLabel,a=i.gridLines,s=t._isVisible(),l="bottom"===i.position,u=t.isHorizontal();if(u?e.width=t.maxWidth:s&&(e.width=fn(a)+pn(o)),u?s&&(e.height=fn(a)+pn(o)):e.height=t.maxHeight,r.display&&s){var c=vn(r),d=t._getLabelSizes(),h=d.first,f=d.last,p=d.widest,m=d.highest,v=.4*c.minor.lineHeight,g=r.padding;if(u){var _=0!==t.labelRotation,y=V.toRadians(t.labelRotation),b=Math.cos(y),w=Math.sin(y),x=w*p.width+b*(m.height-(_?m.offset:0))+(_?0:v);e.height=Math.min(t.maxHeight,e.height+x+g);var k,S,C=t.getPixelForTick(0)-t.left,M=t.right-t.getPixelForTick(t.getTicks().length-1);_?(k=l?b*h.width+w*h.offset:w*(h.height-h.offset),S=l?w*(f.height-f.offset):b*f.width+w*f.offset):(k=h.width/2,S=f.width/2),t.paddingLeft=Math.max((k-C)*t.width/(t.width-C),0)+3,t.paddingRight=Math.max((S-M)*t.width/(t.width-M),0)+3}else{var T=r.mirror?0:p.width+g+v;e.width=Math.min(t.maxWidth,e.width+T),t.paddingTop=h.height/2,t.paddingBottom=f.height/2}}t.handleMargins(),u?(t.width=t._length=n.width-t.margins.left-t.margins.right,t.height=e.height):(t.width=e.width,t.height=t._length=n.height-t.margins.top-t.margins.bottom)},handleMargins:function(){var t=this;t.margins&&(t.margins.left=Math.max(t.paddingLeft,t.margins.left),t.margins.top=Math.max(t.paddingTop,t.margins.top),t.margins.right=Math.max(t.paddingRight,t.margins.right),t.margins.bottom=Math.max(t.paddingBottom,t.margins.bottom))},afterFit:function(){V.callback(this.options.afterFit,[this])},isHorizontal:function(){var t=this.options.position;return"top"===t||"bottom"===t},isFullWidth:function(){return this.options.fullWidth},getRightValue:function(t){if(ln(t))return NaN;if(("number"==typeof t||t instanceof Number)&&!isFinite(t))return NaN;if(t)if(this.isHorizontal()){if(void 0!==t.x)return this.getRightValue(t.x)}else if(void 0!==t.y)return this.getRightValue(t.y);return t},_convertTicksToLabels:function(t){var e,n,i,r=this;for(r.ticks=t.map((function(t){return t.value})),r.beforeTickToLabelConversion(),e=r.convertTicksToLabels(t)||r.ticks,r.afterTickToLabelConversion(),n=0,i=t.length;n<i;++n)t[n].label=e[n];return e},_getLabelSizes:function(){var t=this,e=t._labelSizes;return e||(t._labelSizes=e=hn(t.ctx,vn(t.options.ticks),t.getTicks(),t.longestTextCache),t.longestLabelWidth=e.widest.width),e},_parseValue:function(t){var e,n,i,r;return sn(t)?(e=+this.getRightValue(t[0]),n=+this.getRightValue(t[1]),i=Math.min(e,n),r=Math.max(e,n)):(e=void 0,n=t=+this.getRightValue(t),i=t,r=t),{min:i,max:r,start:e,end:n}},_getScaleLabel:function(t){var e=this._parseValue(t);return void 0!==e.start?"["+e.start+", "+e.end+"]":+this.getRightValue(t)},getLabelForIndex:V.noop,getPixelForValue:V.noop,getValueForPixel:V.noop,getPixelForTick:function(t){var e=this,n=e.options.offset,i=e._ticks.length,r=1/Math.max(i-(n?0:1),1);return t<0||t>i-1?null:e.getPixelForDecimal(t*r+(n?r/2:0))},getPixelForDecimal:function(t){var e=this;return e._reversePixels&&(t=1-t),e._startPixel+t*e._length},getDecimalForPixel:function(t){var e=(t-this._startPixel)/this._length;return this._reversePixels?1-e:e},getBasePixel:function(){return this.getPixelForValue(this.getBaseValue())},getBaseValue:function(){var t=this,e=t.min,n=t.max;return t.beginAtZero?0:e<0&&n<0?n:e>0&&n>0?e:0},_autoSkip:function(t){var e,n,i,r,o=this,a=o.options.ticks,s=o._length,l=a.maxTicksLimit||s/o._tickSize()+1,u=a.major.enabled?function(t){var e,n,i=[];for(e=0,n=t.length;e<n;e++)t[e].major&&i.push(e);return i}(t):[],c=u.length,d=u[0],h=u[c-1];if(c>l)return function(t,e,n){var i,r,o=0,a=e[0];for(n=Math.ceil(n),i=0;i<t.length;i++)r=t[i],i===a?(r._index=i,a=e[++o*n]):delete r.label}(t,u,c/l),gn(t);if(i=function(t,e,n,i){var r,o,a,s,l=function(t){var e,n,i=t.length;if(i<2)return!1;for(n=t[0],e=1;e<i;++e)if(t[e]-t[e-1]!==n)return!1;return n}(t),u=(e.length-1)/i;if(!l)return Math.max(u,1);for(a=0,s=(r=V.math._factorize(l)).length-1;a<s;a++)if((o=r[a])>u)return o;return Math.max(u,1)}(u,t,0,l),c>0){for(e=0,n=c-1;e<n;e++)_n(t,i,u[e],u[e+1]);return r=c>1?(h-d)/(c-1):null,_n(t,i,V.isNullOrUndef(r)?0:d-r,d),_n(t,i,h,V.isNullOrUndef(r)?t.length:h+r),gn(t)}return _n(t,i),gn(t)},_tickSize:function(){var t=this,e=t.options.ticks,n=V.toRadians(t.labelRotation),i=Math.abs(Math.cos(n)),r=Math.abs(Math.sin(n)),o=t._getLabelSizes(),a=e.autoSkipPadding||0,s=o?o.widest.width+a:0,l=o?o.highest.height+a:0;return t.isHorizontal()?l*i>s*r?s/i:l/r:l*r<s*i?l/i:s/r},_isVisible:function(){var t,e,n,i=this,r=i.chart,o=i.options.display;if("auto"!==o)return!!o;for(t=0,e=r.data.datasets.length;t<e;++t)if(r.isDatasetVisible(t)&&((n=r.getDatasetMeta(t)).xAxisID===i.id||n.yAxisID===i.id))return!0;return!1},_computeGridLineItems:function(t){var e,n,i,r,o,a,s,l,u,c,d,h,f,p,m,v,g,_=this,y=_.chart,b=_.options,w=b.gridLines,x=b.position,k=w.offsetGridLines,S=_.isHorizontal(),C=_._ticksToDraw,M=C.length+(k?1:0),T=fn(w),O=[],A=w.drawBorder?cn(w.lineWidth,0,0):0,E=A/2,q=V._alignPixel,L=function(t){return q(y,t,A)};for("top"===x?(e=L(_.bottom),s=_.bottom-T,u=e-E,d=L(t.top)+E,f=t.bottom):"bottom"===x?(e=L(_.top),d=t.top,f=L(t.bottom)-E,s=e+E,u=_.top+T):"left"===x?(e=L(_.right),a=_.right-T,l=e-E,c=L(t.left)+E,h=t.right):(e=L(_.left),c=t.left,h=L(t.right)-E,a=e+E,l=_.left+T),n=0;n<M;++n)i=C[n]||{},ln(i.label)&&n<C.length||(n===_.zeroLineIndex&&b.offset===k?(p=w.zeroLineWidth,m=w.zeroLineColor,v=w.zeroLineBorderDash||[],g=w.zeroLineBorderDashOffset||0):(p=cn(w.lineWidth,n,1),m=cn(w.color,n,"rgba(0,0,0,0.1)"),v=w.borderDash||[],g=w.borderDashOffset||0),void 0!==(r=dn(_,i._index||n,k))&&(o=q(y,r,p),S?a=l=c=h=o:s=u=d=f=o,O.push({tx1:a,ty1:s,tx2:l,ty2:u,x1:c,y1:d,x2:h,y2:f,width:p,color:m,borderDash:v,borderDashOffset:g})));return O.ticksLength=M,O.borderValue=e,O},_computeLabelItems:function(){var t,e,n,i,r,o,a,s,l,u,c,d,h=this,f=h.options,p=f.ticks,m=f.position,v=p.mirror,g=h.isHorizontal(),_=h._ticksToDraw,y=vn(p),b=p.padding,w=fn(f.gridLines),x=-V.toRadians(h.labelRotation),k=[];for("top"===m?(o=h.bottom-w-b,a=x?"left":"center"):"bottom"===m?(o=h.top+w+b,a=x?"right":"center"):"left"===m?(r=h.right-(v?0:w)-b,a=v?"left":"right"):(r=h.left+(v?0:w)+b,a=v?"right":"left"),t=0,e=_.length;t<e;++t)i=(n=_[t]).label,ln(i)||(s=h.getPixelForTick(n._index||t)+p.labelOffset,u=(l=n.major?y.major:y.minor).lineHeight,c=sn(i)?i.length:1,g?(r=s,d="top"===m?((x?1:.5)-c)*u:(x?0:.5)*u):(o=s,d=(1-c)*u/2),k.push({x:r,y:o,rotation:x,label:i,font:l,textOffset:d,textAlign:a}));return k},_drawGrid:function(t){var e=this,n=e.options.gridLines;if(n.display){var i,r,o,a,s,l=e.ctx,u=e.chart,c=V._alignPixel,d=n.drawBorder?cn(n.lineWidth,0,0):0,h=e._gridLineItems||(e._gridLineItems=e._computeGridLineItems(t));for(o=0,a=h.length;o<a;++o)i=(s=h[o]).width,r=s.color,i&&r&&(l.save(),l.lineWidth=i,l.strokeStyle=r,l.setLineDash&&(l.setLineDash(s.borderDash),l.lineDashOffset=s.borderDashOffset),l.beginPath(),n.drawTicks&&(l.moveTo(s.tx1,s.ty1),l.lineTo(s.tx2,s.ty2)),n.drawOnChartArea&&(l.moveTo(s.x1,s.y1),l.lineTo(s.x2,s.y2)),l.stroke(),l.restore());if(d){var f,p,m,v,g=d,_=cn(n.lineWidth,h.ticksLength-1,1),y=h.borderValue;e.isHorizontal()?(f=c(u,e.left,g)-g/2,p=c(u,e.right,_)+_/2,m=v=y):(m=c(u,e.top,g)-g/2,v=c(u,e.bottom,_)+_/2,f=p=y),l.lineWidth=d,l.strokeStyle=cn(n.color,0),l.beginPath(),l.moveTo(f,m),l.lineTo(p,v),l.stroke()}}},_drawLabels:function(){var t=this;if(t.options.ticks.display){var e,n,i,r,o,a,s,l,u=t.ctx,c=t._labelItems||(t._labelItems=t._computeLabelItems());for(e=0,i=c.length;e<i;++e){if(a=(o=c[e]).font,u.save(),u.translate(o.x,o.y),u.rotate(o.rotation),u.font=a.string,u.fillStyle=a.color,u.textBaseline="middle",u.textAlign=o.textAlign,s=o.label,l=o.textOffset,sn(s))for(n=0,r=s.length;n<r;++n)u.fillText(""+s[n],0,l),l+=a.lineHeight;else u.fillText(s,0,l);u.restore()}}},_drawTitle:function(){var t=this,e=t.ctx,n=t.options,i=n.scaleLabel;if(i.display){var r,o,a=un(i.fontColor,I.global.defaultFontColor),s=V.options._parseFont(i),l=V.options.toPadding(i.padding),u=s.lineHeight/2,c=n.position,d=0;if(t.isHorizontal())r=t.left+t.width/2,o="bottom"===c?t.bottom-u-l.bottom:t.top+u+l.top;else{var h="left"===c;r=h?t.left+u+l.top:t.right-u-l.top,o=t.top+t.height/2,d=h?-.5*Math.PI:.5*Math.PI}e.save(),e.translate(r,o),e.rotate(d),e.textAlign="center",e.textBaseline="middle",e.fillStyle=a,e.font=s.string,e.fillText(i.labelString,0,0),e.restore()}},draw:function(t){var e=this;e._isVisible()&&(e._drawGrid(t),e._drawTitle(),e._drawLabels())},_layers:function(){var t=this,e=t.options,n=e.ticks&&e.ticks.z||0,i=e.gridLines&&e.gridLines.z||0;return t._isVisible()&&n!==i&&t.draw===t._draw?[{z:i,draw:function(){t._drawGrid.apply(t,arguments),t._drawTitle.apply(t,arguments)}},{z:n,draw:function(){t._drawLabels.apply(t,arguments)}}]:[{z:n,draw:function(){t.draw.apply(t,arguments)}}]},_getMatchingVisibleMetas:function(t){var e=this,n=e.isHorizontal();return e.chart._getSortedVisibleDatasetMetas().filter((function(i){return(!t||i.type===t)&&(n?i.xAxisID===e.id:i.yAxisID===e.id)}))}});yn.prototype._draw=yn.prototype.draw;var bn=yn,wn=V.isNullOrUndef,xn=bn.extend({determineDataLimits:function(){var t,e=this,n=e._getLabels(),i=e.options.ticks,r=i.min,o=i.max,a=0,s=n.length-1;void 0!==r&&(t=n.indexOf(r))>=0&&(a=t),void 0!==o&&(t=n.indexOf(o))>=0&&(s=t),e.minIndex=a,e.maxIndex=s,e.min=n[a],e.max=n[s]},buildTicks:function(){var t=this,e=t._getLabels(),n=t.minIndex,i=t.maxIndex;t.ticks=0===n&&i===e.length-1?e:e.slice(n,i+1)},getLabelForIndex:function(t,e){var n=this,i=n.chart;return i.getDatasetMeta(e).controller._getValueScaleId()===n.id?n.getRightValue(i.data.datasets[e].data[t]):n._getLabels()[t]},_configure:function(){var t=this,e=t.options.offset,n=t.ticks;bn.prototype._configure.call(t),t.isHorizontal()||(t._reversePixels=!t._reversePixels),n&&(t._startValue=t.minIndex-(e?.5:0),t._valueRange=Math.max(n.length-(e?0:1),1))},getPixelForValue:function(t,e,n){var i,r,o,a=this;return wn(e)||wn(n)||(t=a.chart.data.datasets[n].data[e]),wn(t)||(i=a.isHorizontal()?t.x:t.y),(void 0!==i||void 0!==t&&isNaN(e))&&(r=a._getLabels(),t=V.valueOrDefault(i,t),e=-1!==(o=r.indexOf(t))?o:e,isNaN(e)&&(e=t)),a.getPixelForDecimal((e-a._startValue)/a._valueRange)},getPixelForTick:function(t){var e=this.ticks;return t<0||t>e.length-1?null:this.getPixelForValue(e[t],t+this.minIndex)},getValueForPixel:function(t){var e=this,n=Math.round(e._startValue+e.getDecimalForPixel(t)*e._valueRange);return Math.min(Math.max(n,0),e.ticks.length-1)},getBasePixel:function(){return this.bottom}}),kn={position:"bottom"};xn._defaults=kn;var Sn=V.noop,Cn=V.isNullOrUndef;var Mn=bn.extend({getRightValue:function(t){return"string"==typeof t?+t:bn.prototype.getRightValue.call(this,t)},handleTickRangeOptions:function(){var t=this,e=t.options.ticks;if(e.beginAtZero){var n=V.sign(t.min),i=V.sign(t.max);n<0&&i<0?t.max=0:n>0&&i>0&&(t.min=0)}var r=void 0!==e.min||void 0!==e.suggestedMin,o=void 0!==e.max||void 0!==e.suggestedMax;void 0!==e.min?t.min=e.min:void 0!==e.suggestedMin&&(null===t.min?t.min=e.suggestedMin:t.min=Math.min(t.min,e.suggestedMin)),void 0!==e.max?t.max=e.max:void 0!==e.suggestedMax&&(null===t.max?t.max=e.suggestedMax:t.max=Math.max(t.max,e.suggestedMax)),r!==o&&t.min>=t.max&&(r?t.max=t.min+1:t.min=t.max-1),t.min===t.max&&(t.max++,e.beginAtZero||t.min--)},getTickLimit:function(){var t,e=this,n=e.options.ticks,i=n.stepSize,r=n.maxTicksLimit;return i?t=Math.ceil(e.max/i)-Math.floor(e.min/i)+1:(t=e._computeTickLimit(),r=r||11),r&&(t=Math.min(r,t)),t},_computeTickLimit:function(){return Number.POSITIVE_INFINITY},handleDirectionalChanges:Sn,buildTicks:function(){var t=this,e=t.options.ticks,n=t.getTickLimit(),i={maxTicks:n=Math.max(2,n),min:e.min,max:e.max,precision:e.precision,stepSize:V.valueOrDefault(e.fixedStepSize,e.stepSize)},r=t.ticks=function(t,e){var n,i,r,o,a=[],s=t.stepSize,l=s||1,u=t.maxTicks-1,c=t.min,d=t.max,h=t.precision,f=e.min,p=e.max,m=V.niceNum((p-f)/u/l)*l;if(m<1e-14&&Cn(c)&&Cn(d))return[f,p];(o=Math.ceil(p/m)-Math.floor(f/m))>u&&(m=V.niceNum(o*m/u/l)*l),s||Cn(h)?n=Math.pow(10,V._decimalPlaces(m)):(n=Math.pow(10,h),m=Math.ceil(m*n)/n),i=Math.floor(f/m)*m,r=Math.ceil(p/m)*m,s&&(!Cn(c)&&V.almostWhole(c/m,m/1e3)&&(i=c),!Cn(d)&&V.almostWhole(d/m,m/1e3)&&(r=d)),o=(r-i)/m,o=V.almostEquals(o,Math.round(o),m/1e3)?Math.round(o):Math.ceil(o),i=Math.round(i*n)/n,r=Math.round(r*n)/n,a.push(Cn(c)?i:c);for(var v=1;v<o;++v)a.push(Math.round((i+v*m)*n)/n);return a.push(Cn(d)?r:d),a}(i,t);t.handleDirectionalChanges(),t.max=V.max(r),t.min=V.min(r),e.reverse?(r.reverse(),t.start=t.max,t.end=t.min):(t.start=t.min,t.end=t.max)},convertTicksToLabels:function(){var t=this;t.ticksAsNumbers=t.ticks.slice(),t.zeroLineIndex=t.ticks.indexOf(0),bn.prototype.convertTicksToLabels.call(t)},_configure:function(){var t,e=this,n=e.getTicks(),i=e.min,r=e.max;bn.prototype._configure.call(e),e.options.offset&&n.length&&(i-=t=(r-i)/Math.max(n.length-1,1)/2,r+=t),e._startValue=i,e._endValue=r,e._valueRange=r-i}}),Tn={position:"left",ticks:{callback:an.formatters.linear}};function On(t,e,n,i){var r,o,a=t.options,s=function(t,e,n){var i=[n.type,void 0===e&&void 0===n.stack?n.index:"",n.stack].join(".");return void 0===t[i]&&(t[i]={pos:[],neg:[]}),t[i]}(e,a.stacked,n),l=s.pos,u=s.neg,c=i.length;for(r=0;r<c;++r)o=t._parseValue(i[r]),isNaN(o.min)||isNaN(o.max)||n.data[r].hidden||(l[r]=l[r]||0,u[r]=u[r]||0,a.relativePoints?l[r]=100:o.min<0||o.max<0?u[r]+=o.min:l[r]+=o.max)}function An(t,e,n){var i,r,o=n.length;for(i=0;i<o;++i)r=t._parseValue(n[i]),isNaN(r.min)||isNaN(r.max)||e.data[i].hidden||(t.min=Math.min(t.min,r.min),t.max=Math.max(t.max,r.max))}var En=Mn.extend({determineDataLimits:function(){var t,e,n,i,r=this,o=r.options,a=r.chart.data.datasets,s=r._getMatchingVisibleMetas(),l=o.stacked,u={},c=s.length;if(r.min=Number.POSITIVE_INFINITY,r.max=Number.NEGATIVE_INFINITY,void 0===l)for(t=0;!l&&t<c;++t)l=void 0!==(e=s[t]).stack;for(t=0;t<c;++t)n=a[(e=s[t]).index].data,l?On(r,u,e,n):An(r,e,n);V.each(u,(function(t){i=t.pos.concat(t.neg),r.min=Math.min(r.min,V.min(i)),r.max=Math.max(r.max,V.max(i))})),r.min=V.isFinite(r.min)&&!isNaN(r.min)?r.min:0,r.max=V.isFinite(r.max)&&!isNaN(r.max)?r.max:1,r.handleTickRangeOptions()},_computeTickLimit:function(){var t,e=this;return e.isHorizontal()?Math.ceil(e.width/40):(t=V.options._parseFont(e.options.ticks),Math.ceil(e.height/t.lineHeight))},handleDirectionalChanges:function(){this.isHorizontal()||this.ticks.reverse()},getLabelForIndex:function(t,e){return this._getScaleLabel(this.chart.data.datasets[e].data[t])},getPixelForValue:function(t){var e=this;return e.getPixelForDecimal((+e.getRightValue(t)-e._startValue)/e._valueRange)},getValueForPixel:function(t){return this._startValue+this.getDecimalForPixel(t)*this._valueRange},getPixelForTick:function(t){var e=this.ticksAsNumbers;return t<0||t>e.length-1?null:this.getPixelForValue(e[t])}}),qn=Tn;En._defaults=qn;var Ln=V.valueOrDefault,Dn=V.math.log10;var Pn={position:"left",ticks:{callback:an.formatters.logarithmic}};function Rn(t,e){return V.isFinite(t)&&t>=0?t:e}var Nn=bn.extend({determineDataLimits:function(){var t,e,n,i,r,o,a=this,s=a.options,l=a.chart,u=l.data.datasets,c=a.isHorizontal();function d(t){return c?t.xAxisID===a.id:t.yAxisID===a.id}a.min=Number.POSITIVE_INFINITY,a.max=Number.NEGATIVE_INFINITY,a.minNotZero=Number.POSITIVE_INFINITY;var h=s.stacked;if(void 0===h)for(t=0;t<u.length;t++)if(e=l.getDatasetMeta(t),l.isDatasetVisible(t)&&d(e)&&void 0!==e.stack){h=!0;break}if(s.stacked||h){var f={};for(t=0;t<u.length;t++){var p=[(e=l.getDatasetMeta(t)).type,void 0===s.stacked&&void 0===e.stack?t:"",e.stack].join(".");if(l.isDatasetVisible(t)&&d(e))for(void 0===f[p]&&(f[p]=[]),r=0,o=(i=u[t].data).length;r<o;r++){var m=f[p];n=a._parseValue(i[r]),isNaN(n.min)||isNaN(n.max)||e.data[r].hidden||n.min<0||n.max<0||(m[r]=m[r]||0,m[r]+=n.max)}}V.each(f,(function(t){if(t.length>0){var e=V.min(t),n=V.max(t);a.min=Math.min(a.min,e),a.max=Math.max(a.max,n)}}))}else for(t=0;t<u.length;t++)if(e=l.getDatasetMeta(t),l.isDatasetVisible(t)&&d(e))for(r=0,o=(i=u[t].data).length;r<o;r++)n=a._parseValue(i[r]),isNaN(n.min)||isNaN(n.max)||e.data[r].hidden||n.min<0||n.max<0||(a.min=Math.min(n.min,a.min),a.max=Math.max(n.max,a.max),0!==n.min&&(a.minNotZero=Math.min(n.min,a.minNotZero)));a.min=V.isFinite(a.min)?a.min:null,a.max=V.isFinite(a.max)?a.max:null,a.minNotZero=V.isFinite(a.minNotZero)?a.minNotZero:null,this.handleTickRangeOptions()},handleTickRangeOptions:function(){var t=this,e=t.options.ticks;t.min=Rn(e.min,t.min),t.max=Rn(e.max,t.max),t.min===t.max&&(0!==t.min&&null!==t.min?(t.min=Math.pow(10,Math.floor(Dn(t.min))-1),t.max=Math.pow(10,Math.floor(Dn(t.max))+1)):(t.min=1,t.max=10)),null===t.min&&(t.min=Math.pow(10,Math.floor(Dn(t.max))-1)),null===t.max&&(t.max=0!==t.min?Math.pow(10,Math.floor(Dn(t.min))+1):10),null===t.minNotZero&&(t.min>0?t.minNotZero=t.min:t.max<1?t.minNotZero=Math.pow(10,Math.floor(Dn(t.max))):t.minNotZero=1)},buildTicks:function(){var t=this,e=t.options.ticks,n=!t.isHorizontal(),i={min:Rn(e.min),max:Rn(e.max)},r=t.ticks=function(t,e){var n,i,r=[],o=Ln(t.min,Math.pow(10,Math.floor(Dn(e.min)))),a=Math.floor(Dn(e.max)),s=Math.ceil(e.max/Math.pow(10,a));0===o?(n=Math.floor(Dn(e.minNotZero)),i=Math.floor(e.minNotZero/Math.pow(10,n)),r.push(o),o=i*Math.pow(10,n)):(n=Math.floor(Dn(o)),i=Math.floor(o/Math.pow(10,n)));var l=n<0?Math.pow(10,Math.abs(n)):1;do{r.push(o),10==++i&&(i=1,l=++n>=0?1:l),o=Math.round(i*Math.pow(10,n)*l)/l}while(n<a||n===a&&i<s);var u=Ln(t.max,o);return r.push(u),r}(i,t);t.max=V.max(r),t.min=V.min(r),e.reverse?(n=!n,t.start=t.max,t.end=t.min):(t.start=t.min,t.end=t.max),n&&r.reverse()},convertTicksToLabels:function(){this.tickValues=this.ticks.slice(),bn.prototype.convertTicksToLabels.call(this)},getLabelForIndex:function(t,e){return this._getScaleLabel(this.chart.data.datasets[e].data[t])},getPixelForTick:function(t){var e=this.tickValues;return t<0||t>e.length-1?null:this.getPixelForValue(e[t])},_getFirstTickValue:function(t){var e=Math.floor(Dn(t));return Math.floor(t/Math.pow(10,e))*Math.pow(10,e)},_configure:function(){var t=this,e=t.min,n=0;bn.prototype._configure.call(t),0===e&&(e=t._getFirstTickValue(t.minNotZero),n=Ln(t.options.ticks.fontSize,I.global.defaultFontSize)/t._length),t._startValue=Dn(e),t._valueOffset=n,t._valueRange=(Dn(t.max)-Dn(e))/(1-n)},getPixelForValue:function(t){var e=this,n=0;return(t=+e.getRightValue(t))>e.min&&t>0&&(n=(Dn(t)-e._startValue)/e._valueRange+e._valueOffset),e.getPixelForDecimal(n)},getValueForPixel:function(t){var e=this,n=e.getDecimalForPixel(t);return 0===n&&0===e.min?0:Math.pow(10,e._startValue+(n-e._valueOffset)*e._valueRange)}}),In=Pn;Nn._defaults=In;var jn=V.valueOrDefault,$n=V.valueAtIndexOrDefault,Fn=V.options.resolve,Bn={display:!0,animate:!0,position:"chartArea",angleLines:{display:!0,color:"rgba(0,0,0,0.1)",lineWidth:1,borderDash:[],borderDashOffset:0},gridLines:{circular:!1},ticks:{showLabelBackdrop:!0,backdropColor:"rgba(255,255,255,0.75)",backdropPaddingY:2,backdropPaddingX:2,callback:an.formatters.linear},pointLabels:{display:!0,fontSize:10,callback:function(t){return t}}};function zn(t){var e=t.ticks;return e.display&&t.display?jn(e.fontSize,I.global.defaultFontSize)+2*e.backdropPaddingY:0}function Vn(t,e,n,i,r){return t===i||t===r?{start:e-n/2,end:e+n/2}:t<i||t>r?{start:e-n,end:e}:{start:e,end:e+n}}function Hn(t){return 0===t||180===t?"center":t<180?"left":"right"}function Un(t,e,n,i){var r,o,a=n.y+i/2;if(V.isArray(e))for(r=0,o=e.length;r<o;++r)t.fillText(e[r],n.x,a),a+=i;else t.fillText(e,n.x,a)}function Wn(t,e,n){90===t||270===t?n.y-=e.h/2:(t>270||t<90)&&(n.y-=e.h)}function Yn(t){return V.isNumber(t)?t:0}var Qn=Mn.extend({setDimensions:function(){var t=this;t.width=t.maxWidth,t.height=t.maxHeight,t.paddingTop=zn(t.options)/2,t.xCenter=Math.floor(t.width/2),t.yCenter=Math.floor((t.height-t.paddingTop)/2),t.drawingArea=Math.min(t.height-t.paddingTop,t.width)/2},determineDataLimits:function(){var t=this,e=t.chart,n=Number.POSITIVE_INFINITY,i=Number.NEGATIVE_INFINITY;V.each(e.data.datasets,(function(r,o){if(e.isDatasetVisible(o)){var a=e.getDatasetMeta(o);V.each(r.data,(function(e,r){var o=+t.getRightValue(e);isNaN(o)||a.data[r].hidden||(n=Math.min(o,n),i=Math.max(o,i))}))}})),t.min=n===Number.POSITIVE_INFINITY?0:n,t.max=i===Number.NEGATIVE_INFINITY?0:i,t.handleTickRangeOptions()},_computeTickLimit:function(){return Math.ceil(this.drawingArea/zn(this.options))},convertTicksToLabels:function(){var t=this;Mn.prototype.convertTicksToLabels.call(t),t.pointLabels=t.chart.data.labels.map((function(){var e=V.callback(t.options.pointLabels.callback,arguments,t);return e||0===e?e:""}))},getLabelForIndex:function(t,e){return+this.getRightValue(this.chart.data.datasets[e].data[t])},fit:function(){var t=this,e=t.options;e.display&&e.pointLabels.display?function(t){var e,n,i,r=V.options._parseFont(t.options.pointLabels),o={l:0,r:t.width,t:0,b:t.height-t.paddingTop},a={};t.ctx.font=r.string,t._pointLabelSizes=[];var s,l,u,c=t.chart.data.labels.length;for(e=0;e<c;e++){i=t.getPointPosition(e,t.drawingArea+5),s=t.ctx,l=r.lineHeight,u=t.pointLabels[e],n=V.isArray(u)?{w:V.longestText(s,s.font,u),h:u.length*l}:{w:s.measureText(u).width,h:l},t._pointLabelSizes[e]=n;var d=t.getIndexAngle(e),h=V.toDegrees(d)%360,f=Vn(h,i.x,n.w,0,180),p=Vn(h,i.y,n.h,90,270);f.start<o.l&&(o.l=f.start,a.l=d),f.end>o.r&&(o.r=f.end,a.r=d),p.start<o.t&&(o.t=p.start,a.t=d),p.end>o.b&&(o.b=p.end,a.b=d)}t.setReductions(t.drawingArea,o,a)}(t):t.setCenterPoint(0,0,0,0)},setReductions:function(t,e,n){var i=this,r=e.l/Math.sin(n.l),o=Math.max(e.r-i.width,0)/Math.sin(n.r),a=-e.t/Math.cos(n.t),s=-Math.max(e.b-(i.height-i.paddingTop),0)/Math.cos(n.b);r=Yn(r),o=Yn(o),a=Yn(a),s=Yn(s),i.drawingArea=Math.min(Math.floor(t-(r+o)/2),Math.floor(t-(a+s)/2)),i.setCenterPoint(r,o,a,s)},setCenterPoint:function(t,e,n,i){var r=this,o=r.width-e-r.drawingArea,a=t+r.drawingArea,s=n+r.drawingArea,l=r.height-r.paddingTop-i-r.drawingArea;r.xCenter=Math.floor((a+o)/2+r.left),r.yCenter=Math.floor((s+l)/2+r.top+r.paddingTop)},getIndexAngle:function(t){var e=this.chart,n=(t*(360/e.data.labels.length)+((e.options||{}).startAngle||0))%360;return(n<0?n+360:n)*Math.PI*2/360},getDistanceFromCenterForValue:function(t){var e=this;if(V.isNullOrUndef(t))return NaN;var n=e.drawingArea/(e.max-e.min);return e.options.ticks.reverse?(e.max-t)*n:(t-e.min)*n},getPointPosition:function(t,e){var n=this,i=n.getIndexAngle(t)-Math.PI/2;return{x:Math.cos(i)*e+n.xCenter,y:Math.sin(i)*e+n.yCenter}},getPointPositionForValue:function(t,e){return this.getPointPosition(t,this.getDistanceFromCenterForValue(e))},getBasePosition:function(t){var e=this,n=e.min,i=e.max;return e.getPointPositionForValue(t||0,e.beginAtZero?0:n<0&&i<0?i:n>0&&i>0?n:0)},_drawGrid:function(){var t,e,n,i=this,r=i.ctx,o=i.options,a=o.gridLines,s=o.angleLines,l=jn(s.lineWidth,a.lineWidth),u=jn(s.color,a.color);if(o.pointLabels.display&&function(t){var e=t.ctx,n=t.options,i=n.pointLabels,r=zn(n),o=t.getDistanceFromCenterForValue(n.ticks.reverse?t.min:t.max),a=V.options._parseFont(i);e.save(),e.font=a.string,e.textBaseline="middle";for(var s=t.chart.data.labels.length-1;s>=0;s--){var l=0===s?r/2:0,u=t.getPointPosition(s,o+l+5),c=$n(i.fontColor,s,I.global.defaultFontColor);e.fillStyle=c;var d=t.getIndexAngle(s),h=V.toDegrees(d);e.textAlign=Hn(h),Wn(h,t._pointLabelSizes[s],u),Un(e,t.pointLabels[s],u,a.lineHeight)}e.restore()}(i),a.display&&V.each(i.ticks,(function(t,n){0!==n&&(e=i.getDistanceFromCenterForValue(i.ticksAsNumbers[n]),function(t,e,n,i){var r,o=t.ctx,a=e.circular,s=t.chart.data.labels.length,l=$n(e.color,i-1),u=$n(e.lineWidth,i-1);if((a||s)&&l&&u){if(o.save(),o.strokeStyle=l,o.lineWidth=u,o.setLineDash&&(o.setLineDash(e.borderDash||[]),o.lineDashOffset=e.borderDashOffset||0),o.beginPath(),a)o.arc(t.xCenter,t.yCenter,n,0,2*Math.PI);else{r=t.getPointPosition(0,n),o.moveTo(r.x,r.y);for(var c=1;c<s;c++)r=t.getPointPosition(c,n),o.lineTo(r.x,r.y)}o.closePath(),o.stroke(),o.restore()}}(i,a,e,n))})),s.display&&l&&u){for(r.save(),r.lineWidth=l,r.strokeStyle=u,r.setLineDash&&(r.setLineDash(Fn([s.borderDash,a.borderDash,[]])),r.lineDashOffset=Fn([s.borderDashOffset,a.borderDashOffset,0])),t=i.chart.data.labels.length-1;t>=0;t--)e=i.getDistanceFromCenterForValue(o.ticks.reverse?i.min:i.max),n=i.getPointPosition(t,e),r.beginPath(),r.moveTo(i.xCenter,i.yCenter),r.lineTo(n.x,n.y),r.stroke();r.restore()}},_drawLabels:function(){var t=this,e=t.ctx,n=t.options.ticks;if(n.display){var i,r,o=t.getIndexAngle(0),a=V.options._parseFont(n),s=jn(n.fontColor,I.global.defaultFontColor);e.save(),e.font=a.string,e.translate(t.xCenter,t.yCenter),e.rotate(o),e.textAlign="center",e.textBaseline="middle",V.each(t.ticks,(function(o,l){(0!==l||n.reverse)&&(i=t.getDistanceFromCenterForValue(t.ticksAsNumbers[l]),n.showLabelBackdrop&&(r=e.measureText(o).width,e.fillStyle=n.backdropColor,e.fillRect(-r/2-n.backdropPaddingX,-i-a.size/2-n.backdropPaddingY,r+2*n.backdropPaddingX,a.size+2*n.backdropPaddingY)),e.fillStyle=s,e.fillText(o,0,-i))})),e.restore()}},_drawTitle:V.noop}),Gn=Bn;Qn._defaults=Gn;var Kn=V._deprecated,Zn=V.options.resolve,Jn=V.valueOrDefault,Xn=Number.MIN_SAFE_INTEGER||-9007199254740991,ti=Number.MAX_SAFE_INTEGER||9007199254740991,ei={millisecond:{common:!0,size:1,steps:1e3},second:{common:!0,size:1e3,steps:60},minute:{common:!0,size:6e4,steps:60},hour:{common:!0,size:36e5,steps:24},day:{common:!0,size:864e5,steps:30},week:{common:!1,size:6048e5,steps:4},month:{common:!0,size:2628e6,steps:12},quarter:{common:!1,size:7884e6,steps:4},year:{common:!0,size:3154e7}},ni=Object.keys(ei);function ii(t,e){return t-e}function ri(t){return V.valueOrDefault(t.time.min,t.ticks.min)}function oi(t){return V.valueOrDefault(t.time.max,t.ticks.max)}function ai(t,e,n,i){var r=function(t,e,n){for(var i,r,o,a=0,s=t.length-1;a>=0&&a<=s;){if(r=t[(i=a+s>>1)-1]||null,o=t[i],!r)return{lo:null,hi:o};if(o[e]<n)a=i+1;else{if(!(r[e]>n))return{lo:r,hi:o};s=i-1}}return{lo:o,hi:null}}(t,e,n),o=r.lo?r.hi?r.lo:t[t.length-2]:t[0],a=r.lo?r.hi?r.hi:t[t.length-1]:t[1],s=a[e]-o[e],l=s?(n-o[e])/s:0,u=(a[i]-o[i])*l;return o[i]+u}function si(t,e){var n=t._adapter,i=t.options.time,r=i.parser,o=r||i.format,a=e;return"function"==typeof r&&(a=r(a)),V.isFinite(a)||(a="string"==typeof o?n.parse(a,o):n.parse(a)),null!==a?+a:(r||"function"!=typeof o||(a=o(e),V.isFinite(a)||(a=n.parse(a))),a)}function li(t,e){if(V.isNullOrUndef(e))return null;var n=t.options.time,i=si(t,t.getRightValue(e));return null===i||n.round&&(i=+t._adapter.startOf(i,n.round)),i}function ui(t,e,n,i){var r,o,a,s=ni.length;for(r=ni.indexOf(t);r<s-1;++r)if(a=(o=ei[ni[r]]).steps?o.steps:ti,o.common&&Math.ceil((n-e)/(a*o.size))<=i)return ni[r];return ni[s-1]}function ci(t,e,n){var i,r,o=[],a={},s=e.length;for(i=0;i<s;++i)a[r=e[i]]=i,o.push({value:r,major:!1});return 0!==s&&n?function(t,e,n,i){var r,o,a=t._adapter,s=+a.startOf(e[0].value,i),l=e[e.length-1].value;for(r=s;r<=l;r=+a.add(r,1,i))(o=n[r])>=0&&(e[o].major=!0);return e}(t,o,a,n):o}var di=bn.extend({initialize:function(){this.mergeTicksOptions(),bn.prototype.initialize.call(this)},update:function(){var t=this,e=t.options,n=e.time||(e.time={}),i=t._adapter=new on._date(e.adapters.date);return Kn("time scale",n.format,"time.format","time.parser"),Kn("time scale",n.min,"time.min","ticks.min"),Kn("time scale",n.max,"time.max","ticks.max"),V.mergeIf(n.displayFormats,i.formats()),bn.prototype.update.apply(t,arguments)},getRightValue:function(t){return t&&void 0!==t.t&&(t=t.t),bn.prototype.getRightValue.call(this,t)},determineDataLimits:function(){var t,e,n,i,r,o,a,s=this,l=s.chart,u=s._adapter,c=s.options,d=c.time.unit||"day",h=ti,f=Xn,p=[],m=[],v=[],g=s._getLabels();for(t=0,n=g.length;t<n;++t)v.push(li(s,g[t]));for(t=0,n=(l.data.datasets||[]).length;t<n;++t)if(l.isDatasetVisible(t))if(r=l.data.datasets[t].data,V.isObject(r[0]))for(m[t]=[],e=0,i=r.length;e<i;++e)o=li(s,r[e]),p.push(o),m[t][e]=o;else m[t]=v.slice(0),a||(p=p.concat(v),a=!0);else m[t]=[];v.length&&(h=Math.min(h,v[0]),f=Math.max(f,v[v.length-1])),p.length&&(p=n>1?function(t){var e,n,i,r={},o=[];for(e=0,n=t.length;e<n;++e)r[i=t[e]]||(r[i]=!0,o.push(i));return o}(p).sort(ii):p.sort(ii),h=Math.min(h,p[0]),f=Math.max(f,p[p.length-1])),h=li(s,ri(c))||h,f=li(s,oi(c))||f,h=h===ti?+u.startOf(Date.now(),d):h,f=f===Xn?+u.endOf(Date.now(),d)+1:f,s.min=Math.min(h,f),s.max=Math.max(h+1,f),s._table=[],s._timestamps={data:p,datasets:m,labels:v}},buildTicks:function(){var t,e,n,i=this,r=i.min,o=i.max,a=i.options,s=a.ticks,l=a.time,u=i._timestamps,c=[],d=i.getLabelCapacity(r),h=s.source,f=a.distribution;for(u="data"===h||"auto"===h&&"series"===f?u.data:"labels"===h?u.labels:function(t,e,n,i){var r,o=t._adapter,a=t.options,s=a.time,l=s.unit||ui(s.minUnit,e,n,i),u=Zn([s.stepSize,s.unitStepSize,1]),c="week"===l&&s.isoWeekday,d=e,h=[];if(c&&(d=+o.startOf(d,"isoWeek",c)),d=+o.startOf(d,c?"day":l),o.diff(n,e,l)>1e5*u)throw e+" and "+n+" are too far apart with stepSize of "+u+" "+l;for(r=d;r<n;r=+o.add(r,u,l))h.push(r);return r!==n&&"ticks"!==a.bounds||h.push(r),h}(i,r,o,d),"ticks"===a.bounds&&u.length&&(r=u[0],o=u[u.length-1]),r=li(i,ri(a))||r,o=li(i,oi(a))||o,t=0,e=u.length;t<e;++t)(n=u[t])>=r&&n<=o&&c.push(n);return i.min=r,i.max=o,i._unit=l.unit||(s.autoSkip?ui(l.minUnit,i.min,i.max,d):function(t,e,n,i,r){var o,a;for(o=ni.length-1;o>=ni.indexOf(n);o--)if(a=ni[o],ei[a].common&&t._adapter.diff(r,i,a)>=e-1)return a;return ni[n?ni.indexOf(n):0]}(i,c.length,l.minUnit,i.min,i.max)),i._majorUnit=s.major.enabled&&"year"!==i._unit?function(t){for(var e=ni.indexOf(t)+1,n=ni.length;e<n;++e)if(ei[ni[e]].common)return ni[e]}(i._unit):void 0,i._table=function(t,e,n,i){if("linear"===i||!t.length)return[{time:e,pos:0},{time:n,pos:1}];var r,o,a,s,l,u=[],c=[e];for(r=0,o=t.length;r<o;++r)(s=t[r])>e&&s<n&&c.push(s);for(c.push(n),r=0,o=c.length;r<o;++r)l=c[r+1],a=c[r-1],s=c[r],void 0!==a&&void 0!==l&&Math.round((l+a)/2)===s||u.push({time:s,pos:r/(o-1)});return u}(i._timestamps.data,r,o,f),i._offsets=function(t,e,n,i,r){var o,a,s=0,l=0;return r.offset&&e.length&&(o=ai(t,"time",e[0],"pos"),s=1===e.length?1-o:(ai(t,"time",e[1],"pos")-o)/2,a=ai(t,"time",e[e.length-1],"pos"),l=1===e.length?a:(a-ai(t,"time",e[e.length-2],"pos"))/2),{start:s,end:l,factor:1/(s+1+l)}}(i._table,c,0,0,a),s.reverse&&c.reverse(),ci(i,c,i._majorUnit)},getLabelForIndex:function(t,e){var n=this,i=n._adapter,r=n.chart.data,o=n.options.time,a=r.labels&&t<r.labels.length?r.labels[t]:"",s=r.datasets[e].data[t];return V.isObject(s)&&(a=n.getRightValue(s)),o.tooltipFormat?i.format(si(n,a),o.tooltipFormat):"string"==typeof a?a:i.format(si(n,a),o.displayFormats.datetime)},tickFormatFunction:function(t,e,n,i){var r=this,o=r._adapter,a=r.options,s=a.time.displayFormats,l=s[r._unit],u=r._majorUnit,c=s[u],d=n[e],h=a.ticks,f=u&&c&&d&&d.major,p=o.format(t,i||(f?c:l)),m=f?h.major:h.minor,v=Zn([m.callback,m.userCallback,h.callback,h.userCallback]);return v?v(p,e,n):p},convertTicksToLabels:function(t){var e,n,i=[];for(e=0,n=t.length;e<n;++e)i.push(this.tickFormatFunction(t[e].value,e,t));return i},getPixelForOffset:function(t){var e=this,n=e._offsets,i=ai(e._table,"time",t,"pos");return e.getPixelForDecimal((n.start+i)*n.factor)},getPixelForValue:function(t,e,n){var i=this,r=null;if(void 0!==e&&void 0!==n&&(r=i._timestamps.datasets[n][e]),null===r&&(r=li(i,t)),null!==r)return i.getPixelForOffset(r)},getPixelForTick:function(t){var e=this.getTicks();return t>=0&&t<e.length?this.getPixelForOffset(e[t].value):null},getValueForPixel:function(t){var e=this,n=e._offsets,i=e.getDecimalForPixel(t)/n.factor-n.end,r=ai(e._table,"pos",i,"time");return e._adapter._create(r)},_getLabelSize:function(t){var e=this,n=e.options.ticks,i=e.ctx.measureText(t).width,r=V.toRadians(e.isHorizontal()?n.maxRotation:n.minRotation),o=Math.cos(r),a=Math.sin(r),s=Jn(n.fontSize,I.global.defaultFontSize);return{w:i*o+s*a,h:i*a+s*o}},getLabelWidth:function(t){return this._getLabelSize(t).w},getLabelCapacity:function(t){var e=this,n=e.options.time,i=n.displayFormats,r=i[n.unit]||i.millisecond,o=e.tickFormatFunction(t,0,ci(e,[t],e._majorUnit),r),a=e._getLabelSize(o),s=Math.floor(e.isHorizontal()?e.width/a.w:e.height/a.h);return e.options.offset&&s--,s>0?s:1}}),hi={position:"bottom",distribution:"linear",bounds:"data",adapters:{},time:{parser:!1,unit:!1,round:!1,displayFormat:!1,isoWeekday:!1,minUnit:"millisecond",displayFormats:{}},ticks:{autoSkip:!1,source:"auto",major:{enabled:!1}}};di._defaults=hi;var fi={category:xn,linear:En,logarithmic:Nn,radialLinear:Qn,time:di},pi=e((function(e,n){e.exports=function(){var n,i;function r(){return n.apply(null,arguments)}function o(t){n=t}function a(t){return t instanceof Array||"[object Array]"===Object.prototype.toString.call(t)}function s(t){return null!=t&&"[object Object]"===Object.prototype.toString.call(t)}function l(t){if(Object.getOwnPropertyNames)return 0===Object.getOwnPropertyNames(t).length;var e;for(e in t)if(t.hasOwnProperty(e))return!1;return!0}function u(t){return void 0===t}function c(t){return"number"==typeof t||"[object Number]"===Object.prototype.toString.call(t)}function d(t){return t instanceof Date||"[object Date]"===Object.prototype.toString.call(t)}function h(t,e){var n,i=[];for(n=0;n<t.length;++n)i.push(e(t[n],n));return i}function f(t,e){return Object.prototype.hasOwnProperty.call(t,e)}function p(t,e){for(var n in e)f(e,n)&&(t[n]=e[n]);return f(e,"toString")&&(t.toString=e.toString),f(e,"valueOf")&&(t.valueOf=e.valueOf),t}function m(t,e,n,i){return Qn(t,e,n,i,!0).utc()}function v(){return{empty:!1,unusedTokens:[],unusedInput:[],overflow:-2,charsLeftOver:0,nullInput:!1,invalidMonth:null,invalidFormat:!1,userInvalidated:!1,iso:!1,parsedDateParts:[],meridiem:null,rfc2822:!1,weekdayMismatch:!1}}function g(t){return null==t._pf&&(t._pf=v()),t._pf}function _(t){if(null==t._isValid){var e=g(t),n=i.call(e.parsedDateParts,(function(t){return null!=t})),r=!isNaN(t._d.getTime())&&e.overflow<0&&!e.empty&&!e.invalidMonth&&!e.invalidWeekday&&!e.weekdayMismatch&&!e.nullInput&&!e.invalidFormat&&!e.userInvalidated&&(!e.meridiem||e.meridiem&&n);if(t._strict&&(r=r&&0===e.charsLeftOver&&0===e.unusedTokens.length&&void 0===e.bigHour),null!=Object.isFrozen&&Object.isFrozen(t))return r;t._isValid=r}return t._isValid}function y(t){var e=m(NaN);return null!=t?p(g(e),t):g(e).userInvalidated=!0,e}i=Array.prototype.some?Array.prototype.some:function(t){for(var e=Object(this),n=e.length>>>0,i=0;i<n;i++)if(i in e&&t.call(this,e[i],i,e))return!0;return!1};var b=r.momentProperties=[];function w(t,e){var n,i,r;if(u(e._isAMomentObject)||(t._isAMomentObject=e._isAMomentObject),u(e._i)||(t._i=e._i),u(e._f)||(t._f=e._f),u(e._l)||(t._l=e._l),u(e._strict)||(t._strict=e._strict),u(e._tzm)||(t._tzm=e._tzm),u(e._isUTC)||(t._isUTC=e._isUTC),u(e._offset)||(t._offset=e._offset),u(e._pf)||(t._pf=g(e)),u(e._locale)||(t._locale=e._locale),b.length>0)for(n=0;n<b.length;n++)u(r=e[i=b[n]])||(t[i]=r);return t}var x=!1;function k(t){w(this,t),this._d=new Date(null!=t._d?t._d.getTime():NaN),this.isValid()||(this._d=new Date(NaN)),!1===x&&(x=!0,r.updateOffset(this),x=!1)}function S(t){return t instanceof k||null!=t&&null!=t._isAMomentObject}function C(t){return t<0?Math.ceil(t)||0:Math.floor(t)}function M(t){var e=+t,n=0;return 0!==e&&isFinite(e)&&(n=C(e)),n}function T(t,e,n){var i,r=Math.min(t.length,e.length),o=Math.abs(t.length-e.length),a=0;for(i=0;i<r;i++)(n&&t[i]!==e[i]||!n&&M(t[i])!==M(e[i]))&&a++;return a+o}function O(t){!1===r.suppressDeprecationWarnings&&"undefined"!=typeof console&&console.warn&&console.warn("Deprecation warning: "+t)}function A(t,e){var n=!0;return p((function(){if(null!=r.deprecationHandler&&r.deprecationHandler(null,t),n){for(var i,o=[],a=0;a<arguments.length;a++){if(i="","object"==typeof arguments[a]){for(var s in i+="\n["+a+"] ",arguments[0])i+=s+": "+arguments[0][s]+", ";i=i.slice(0,-2)}else i=arguments[a];o.push(i)}O(t+"\nArguments: "+Array.prototype.slice.call(o).join("")+"\n"+(new Error).stack),n=!1}return e.apply(this,arguments)}),e)}var E,q={};function L(t,e){null!=r.deprecationHandler&&r.deprecationHandler(t,e),q[t]||(O(e),q[t]=!0)}function D(t){return t instanceof Function||"[object Function]"===Object.prototype.toString.call(t)}function P(t){var e,n;for(n in t)D(e=t[n])?this[n]=e:this["_"+n]=e;this._config=t,this._dayOfMonthOrdinalParseLenient=new RegExp((this._dayOfMonthOrdinalParse.source||this._ordinalParse.source)+"|"+/\d{1,2}/.source)}function R(t,e){var n,i=p({},t);for(n in e)f(e,n)&&(s(t[n])&&s(e[n])?(i[n]={},p(i[n],t[n]),p(i[n],e[n])):null!=e[n]?i[n]=e[n]:delete i[n]);for(n in t)f(t,n)&&!f(e,n)&&s(t[n])&&(i[n]=p({},i[n]));return i}function N(t){null!=t&&this.set(t)}r.suppressDeprecationWarnings=!1,r.deprecationHandler=null,E=Object.keys?Object.keys:function(t){var e,n=[];for(e in t)f(t,e)&&n.push(e);return n};var I={sameDay:"[Today at] LT",nextDay:"[Tomorrow at] LT",nextWeek:"dddd [at] LT",lastDay:"[Yesterday at] LT",lastWeek:"[Last] dddd [at] LT",sameElse:"L"};function j(t,e,n){var i=this._calendar[t]||this._calendar.sameElse;return D(i)?i.call(e,n):i}var $={LTS:"h:mm:ss A",LT:"h:mm A",L:"MM/DD/YYYY",LL:"MMMM D, YYYY",LLL:"MMMM D, YYYY h:mm A",LLLL:"dddd, MMMM D, YYYY h:mm A"};function F(t){var e=this._longDateFormat[t],n=this._longDateFormat[t.toUpperCase()];return e||!n?e:(this._longDateFormat[t]=n.replace(/MMMM|MM|DD|dddd/g,(function(t){return t.slice(1)})),this._longDateFormat[t])}var B="Invalid date";function z(){return this._invalidDate}var V="%d",H=/\d{1,2}/;function U(t){return this._ordinal.replace("%d",t)}var W={future:"in %s",past:"%s ago",s:"a few seconds",ss:"%d seconds",m:"a minute",mm:"%d minutes",h:"an hour",hh:"%d hours",d:"a day",dd:"%d days",M:"a month",MM:"%d months",y:"a year",yy:"%d years"};function Y(t,e,n,i){var r=this._relativeTime[n];return D(r)?r(t,e,n,i):r.replace(/%d/i,t)}function Q(t,e){var n=this._relativeTime[t>0?"future":"past"];return D(n)?n(e):n.replace(/%s/i,e)}var G={};function K(t,e){var n=t.toLowerCase();G[n]=G[n+"s"]=G[e]=t}function Z(t){return"string"==typeof t?G[t]||G[t.toLowerCase()]:void 0}function J(t){var e,n,i={};for(n in t)f(t,n)&&(e=Z(n))&&(i[e]=t[n]);return i}var X={};function tt(t,e){X[t]=e}function et(t){var e=[];for(var n in t)e.push({unit:n,priority:X[n]});return e.sort((function(t,e){return t.priority-e.priority})),e}function nt(t,e,n){var i=""+Math.abs(t),r=e-i.length;return(t>=0?n?"+":"":"-")+Math.pow(10,Math.max(0,r)).toString().substr(1)+i}var it=/(\[[^\[]*\])|(\\)?([Hh]mm(ss)?|Mo|MM?M?M?|Do|DDDo|DD?D?D?|ddd?d?|do?|w[o|w]?|W[o|W]?|Qo?|YYYYYY|YYYYY|YYYY|YY|gg(ggg?)?|GG(GGG?)?|e|E|a|A|hh?|HH?|kk?|mm?|ss?|S{1,9}|x|X|zz?|ZZ?|.)/g,rt=/(\[[^\[]*\])|(\\)?(LTS|LT|LL?L?L?|l{1,4})/g,ot={},at={};function st(t,e,n,i){var r=i;"string"==typeof i&&(r=function(){return this[i]()}),t&&(at[t]=r),e&&(at[e[0]]=function(){return nt(r.apply(this,arguments),e[1],e[2])}),n&&(at[n]=function(){return this.localeData().ordinal(r.apply(this,arguments),t)})}function lt(t){return t.match(/\[[\s\S]/)?t.replace(/^\[|\]$/g,""):t.replace(/\\/g,"")}function ut(t){var e,n,i=t.match(it);for(e=0,n=i.length;e<n;e++)at[i[e]]?i[e]=at[i[e]]:i[e]=lt(i[e]);return function(e){var r,o="";for(r=0;r<n;r++)o+=D(i[r])?i[r].call(e,t):i[r];return o}}function ct(t,e){return t.isValid()?(e=dt(e,t.localeData()),ot[e]=ot[e]||ut(e),ot[e](t)):t.localeData().invalidDate()}function dt(t,e){var n=5;function i(t){return e.longDateFormat(t)||t}for(rt.lastIndex=0;n>=0&&rt.test(t);)t=t.replace(rt,i),rt.lastIndex=0,n-=1;return t}var ht=/\d/,ft=/\d\d/,pt=/\d{3}/,mt=/\d{4}/,vt=/[+-]?\d{6}/,gt=/\d\d?/,_t=/\d\d\d\d?/,yt=/\d\d\d\d\d\d?/,bt=/\d{1,3}/,wt=/\d{1,4}/,xt=/[+-]?\d{1,6}/,kt=/\d+/,St=/[+-]?\d+/,Ct=/Z|[+-]\d\d:?\d\d/gi,Mt=/Z|[+-]\d\d(?::?\d\d)?/gi,Tt=/[+-]?\d+(\.\d{1,3})?/,Ot=/[0-9]{0,256}['a-z\u00A0-\u05FF\u0700-\uD7FF\uF900-\uFDCF\uFDF0-\uFF07\uFF10-\uFFEF]{1,256}|[\u0600-\u06FF\/]{1,256}(\s*?[\u0600-\u06FF]{1,256}){1,2}/i,At={};function Et(t,e,n){At[t]=D(e)?e:function(t,i){return t&&n?n:e}}function qt(t,e){return f(At,t)?At[t](e._strict,e._locale):new RegExp(Lt(t))}function Lt(t){return Dt(t.replace("\\","").replace(/\\(\[)|\\(\])|\[([^\]\[]*)\]|\\(.)/g,(function(t,e,n,i,r){return e||n||i||r})))}function Dt(t){return t.replace(/[-\/\\^$*+?.()|[\]{}]/g,"\\$&")}var Pt={};function Rt(t,e){var n,i=e;for("string"==typeof t&&(t=[t]),c(e)&&(i=function(t,n){n[e]=M(t)}),n=0;n<t.length;n++)Pt[t[n]]=i}function Nt(t,e){Rt(t,(function(t,n,i,r){i._w=i._w||{},e(t,i._w,i,r)}))}function It(t,e,n){null!=e&&f(Pt,t)&&Pt[t](e,n._a,n,t)}var jt=0,$t=1,Ft=2,Bt=3,zt=4,Vt=5,Ht=6,Ut=7,Wt=8;function Yt(t){return Qt(t)?366:365}function Qt(t){return t%4==0&&t%100!=0||t%400==0}st("Y",0,0,(function(){var t=this.year();return t<=9999?""+t:"+"+t})),st(0,["YY",2],0,(function(){return this.year()%100})),st(0,["YYYY",4],0,"year"),st(0,["YYYYY",5],0,"year"),st(0,["YYYYYY",6,!0],0,"year"),K("year","y"),tt("year",1),Et("Y",St),Et("YY",gt,ft),Et("YYYY",wt,mt),Et("YYYYY",xt,vt),Et("YYYYYY",xt,vt),Rt(["YYYYY","YYYYYY"],jt),Rt("YYYY",(function(t,e){e[jt]=2===t.length?r.parseTwoDigitYear(t):M(t)})),Rt("YY",(function(t,e){e[jt]=r.parseTwoDigitYear(t)})),Rt("Y",(function(t,e){e[jt]=parseInt(t,10)})),r.parseTwoDigitYear=function(t){return M(t)+(M(t)>68?1900:2e3)};var Gt,Kt=Jt("FullYear",!0);function Zt(){return Qt(this.year())}function Jt(t,e){return function(n){return null!=n?(te(this,t,n),r.updateOffset(this,e),this):Xt(this,t)}}function Xt(t,e){return t.isValid()?t._d["get"+(t._isUTC?"UTC":"")+e]():NaN}function te(t,e,n){t.isValid()&&!isNaN(n)&&("FullYear"===e&&Qt(t.year())&&1===t.month()&&29===t.date()?t._d["set"+(t._isUTC?"UTC":"")+e](n,t.month(),re(n,t.month())):t._d["set"+(t._isUTC?"UTC":"")+e](n))}function ee(t){return D(this[t=Z(t)])?this[t]():this}function ne(t,e){if("object"==typeof t)for(var n=et(t=J(t)),i=0;i<n.length;i++)this[n[i].unit](t[n[i].unit]);else if(D(this[t=Z(t)]))return this[t](e);return this}function ie(t,e){return(t%e+e)%e}function re(t,e){if(isNaN(t)||isNaN(e))return NaN;var n=ie(e,12);return t+=(e-n)/12,1===n?Qt(t)?29:28:31-n%7%2}Gt=Array.prototype.indexOf?Array.prototype.indexOf:function(t){var e;for(e=0;e<this.length;++e)if(this[e]===t)return e;return-1},st("M",["MM",2],"Mo",(function(){return this.month()+1})),st("MMM",0,0,(function(t){return this.localeData().monthsShort(this,t)})),st("MMMM",0,0,(function(t){return this.localeData().months(this,t)})),K("month","M"),tt("month",8),Et("M",gt),Et("MM",gt,ft),Et("MMM",(function(t,e){return e.monthsShortRegex(t)})),Et("MMMM",(function(t,e){return e.monthsRegex(t)})),Rt(["M","MM"],(function(t,e){e[$t]=M(t)-1})),Rt(["MMM","MMMM"],(function(t,e,n,i){var r=n._locale.monthsParse(t,i,n._strict);null!=r?e[$t]=r:g(n).invalidMonth=t}));var oe=/D[oD]?(\[[^\[\]]*\]|\s)+MMMM?/,ae="January_February_March_April_May_June_July_August_September_October_November_December".split("_");function se(t,e){return t?a(this._months)?this._months[t.month()]:this._months[(this._months.isFormat||oe).test(e)?"format":"standalone"][t.month()]:a(this._months)?this._months:this._months.standalone}var le="Jan_Feb_Mar_Apr_May_Jun_Jul_Aug_Sep_Oct_Nov_Dec".split("_");function ue(t,e){return t?a(this._monthsShort)?this._monthsShort[t.month()]:this._monthsShort[oe.test(e)?"format":"standalone"][t.month()]:a(this._monthsShort)?this._monthsShort:this._monthsShort.standalone}function ce(t,e,n){var i,r,o,a=t.toLocaleLowerCase();if(!this._monthsParse)for(this._monthsParse=[],this._longMonthsParse=[],this._shortMonthsParse=[],i=0;i<12;++i)o=m([2e3,i]),this._shortMonthsParse[i]=this.monthsShort(o,"").toLocaleLowerCase(),this._longMonthsParse[i]=this.months(o,"").toLocaleLowerCase();return n?"MMM"===e?-1!==(r=Gt.call(this._shortMonthsParse,a))?r:null:-1!==(r=Gt.call(this._longMonthsParse,a))?r:null:"MMM"===e?-1!==(r=Gt.call(this._shortMonthsParse,a))||-1!==(r=Gt.call(this._longMonthsParse,a))?r:null:-1!==(r=Gt.call(this._longMonthsParse,a))||-1!==(r=Gt.call(this._shortMonthsParse,a))?r:null}function de(t,e,n){var i,r,o;if(this._monthsParseExact)return ce.call(this,t,e,n);for(this._monthsParse||(this._monthsParse=[],this._longMonthsParse=[],this._shortMonthsParse=[]),i=0;i<12;i++){if(r=m([2e3,i]),n&&!this._longMonthsParse[i]&&(this._longMonthsParse[i]=new RegExp("^"+this.months(r,"").replace(".","")+"$","i"),this._shortMonthsParse[i]=new RegExp("^"+this.monthsShort(r,"").replace(".","")+"$","i")),n||this._monthsParse[i]||(o="^"+this.months(r,"")+"|^"+this.monthsShort(r,""),this._monthsParse[i]=new RegExp(o.replace(".",""),"i")),n&&"MMMM"===e&&this._longMonthsParse[i].test(t))return i;if(n&&"MMM"===e&&this._shortMonthsParse[i].test(t))return i;if(!n&&this._monthsParse[i].test(t))return i}}function he(t,e){var n;if(!t.isValid())return t;if("string"==typeof e)if(/^\d+$/.test(e))e=M(e);else if(!c(e=t.localeData().monthsParse(e)))return t;return n=Math.min(t.date(),re(t.year(),e)),t._d["set"+(t._isUTC?"UTC":"")+"Month"](e,n),t}function fe(t){return null!=t?(he(this,t),r.updateOffset(this,!0),this):Xt(this,"Month")}function pe(){return re(this.year(),this.month())}var me=Ot;function ve(t){return this._monthsParseExact?(f(this,"_monthsRegex")||ye.call(this),t?this._monthsShortStrictRegex:this._monthsShortRegex):(f(this,"_monthsShortRegex")||(this._monthsShortRegex=me),this._monthsShortStrictRegex&&t?this._monthsShortStrictRegex:this._monthsShortRegex)}var ge=Ot;function _e(t){return this._monthsParseExact?(f(this,"_monthsRegex")||ye.call(this),t?this._monthsStrictRegex:this._monthsRegex):(f(this,"_monthsRegex")||(this._monthsRegex=ge),this._monthsStrictRegex&&t?this._monthsStrictRegex:this._monthsRegex)}function ye(){function t(t,e){return e.length-t.length}var e,n,i=[],r=[],o=[];for(e=0;e<12;e++)n=m([2e3,e]),i.push(this.monthsShort(n,"")),r.push(this.months(n,"")),o.push(this.months(n,"")),o.push(this.monthsShort(n,""));for(i.sort(t),r.sort(t),o.sort(t),e=0;e<12;e++)i[e]=Dt(i[e]),r[e]=Dt(r[e]);for(e=0;e<24;e++)o[e]=Dt(o[e]);this._monthsRegex=new RegExp("^("+o.join("|")+")","i"),this._monthsShortRegex=this._monthsRegex,this._monthsStrictRegex=new RegExp("^("+r.join("|")+")","i"),this._monthsShortStrictRegex=new RegExp("^("+i.join("|")+")","i")}function be(t,e,n,i,r,o,a){var s;return t<100&&t>=0?(s=new Date(t+400,e,n,i,r,o,a),isFinite(s.getFullYear())&&s.setFullYear(t)):s=new Date(t,e,n,i,r,o,a),s}function we(t){var e;if(t<100&&t>=0){var n=Array.prototype.slice.call(arguments);n[0]=t+400,e=new Date(Date.UTC.apply(null,n)),isFinite(e.getUTCFullYear())&&e.setUTCFullYear(t)}else e=new Date(Date.UTC.apply(null,arguments));return e}function xe(t,e,n){var i=7+e-n;return-(7+we(t,0,i).getUTCDay()-e)%7+i-1}function ke(t,e,n,i,r){var o,a,s=1+7*(e-1)+(7+n-i)%7+xe(t,i,r);return s<=0?a=Yt(o=t-1)+s:s>Yt(t)?(o=t+1,a=s-Yt(t)):(o=t,a=s),{year:o,dayOfYear:a}}function Se(t,e,n){var i,r,o=xe(t.year(),e,n),a=Math.floor((t.dayOfYear()-o-1)/7)+1;return a<1?i=a+Ce(r=t.year()-1,e,n):a>Ce(t.year(),e,n)?(i=a-Ce(t.year(),e,n),r=t.year()+1):(r=t.year(),i=a),{week:i,year:r}}function Ce(t,e,n){var i=xe(t,e,n),r=xe(t+1,e,n);return(Yt(t)-i+r)/7}function Me(t){return Se(t,this._week.dow,this._week.doy).week}st("w",["ww",2],"wo","week"),st("W",["WW",2],"Wo","isoWeek"),K("week","w"),K("isoWeek","W"),tt("week",5),tt("isoWeek",5),Et("w",gt),Et("ww",gt,ft),Et("W",gt),Et("WW",gt,ft),Nt(["w","ww","W","WW"],(function(t,e,n,i){e[i.substr(0,1)]=M(t)}));var Te={dow:0,doy:6};function Oe(){return this._week.dow}function Ae(){return this._week.doy}function Ee(t){var e=this.localeData().week(this);return null==t?e:this.add(7*(t-e),"d")}function qe(t){var e=Se(this,1,4).week;return null==t?e:this.add(7*(t-e),"d")}function Le(t,e){return"string"!=typeof t?t:isNaN(t)?"number"==typeof(t=e.weekdaysParse(t))?t:null:parseInt(t,10)}function De(t,e){return"string"==typeof t?e.weekdaysParse(t)%7||7:isNaN(t)?null:t}function Pe(t,e){return t.slice(e,7).concat(t.slice(0,e))}st("d",0,"do","day"),st("dd",0,0,(function(t){return this.localeData().weekdaysMin(this,t)})),st("ddd",0,0,(function(t){return this.localeData().weekdaysShort(this,t)})),st("dddd",0,0,(function(t){return this.localeData().weekdays(this,t)})),st("e",0,0,"weekday"),st("E",0,0,"isoWeekday"),K("day","d"),K("weekday","e"),K("isoWeekday","E"),tt("day",11),tt("weekday",11),tt("isoWeekday",11),Et("d",gt),Et("e",gt),Et("E",gt),Et("dd",(function(t,e){return e.weekdaysMinRegex(t)})),Et("ddd",(function(t,e){return e.weekdaysShortRegex(t)})),Et("dddd",(function(t,e){return e.weekdaysRegex(t)})),Nt(["dd","ddd","dddd"],(function(t,e,n,i){var r=n._locale.weekdaysParse(t,i,n._strict);null!=r?e.d=r:g(n).invalidWeekday=t})),Nt(["d","e","E"],(function(t,e,n,i){e[i]=M(t)}));var Re="Sunday_Monday_Tuesday_Wednesday_Thursday_Friday_Saturday".split("_");function Ne(t,e){var n=a(this._weekdays)?this._weekdays:this._weekdays[t&&!0!==t&&this._weekdays.isFormat.test(e)?"format":"standalone"];return!0===t?Pe(n,this._week.dow):t?n[t.day()]:n}var Ie="Sun_Mon_Tue_Wed_Thu_Fri_Sat".split("_");function je(t){return!0===t?Pe(this._weekdaysShort,this._week.dow):t?this._weekdaysShort[t.day()]:this._weekdaysShort}var $e="Su_Mo_Tu_We_Th_Fr_Sa".split("_");function Fe(t){return!0===t?Pe(this._weekdaysMin,this._week.dow):t?this._weekdaysMin[t.day()]:this._weekdaysMin}function Be(t,e,n){var i,r,o,a=t.toLocaleLowerCase();if(!this._weekdaysParse)for(this._weekdaysParse=[],this._shortWeekdaysParse=[],this._minWeekdaysParse=[],i=0;i<7;++i)o=m([2e3,1]).day(i),this._minWeekdaysParse[i]=this.weekdaysMin(o,"").toLocaleLowerCase(),this._shortWeekdaysParse[i]=this.weekdaysShort(o,"").toLocaleLowerCase(),this._weekdaysParse[i]=this.weekdays(o,"").toLocaleLowerCase();return n?"dddd"===e?-1!==(r=Gt.call(this._weekdaysParse,a))?r:null:"ddd"===e?-1!==(r=Gt.call(this._shortWeekdaysParse,a))?r:null:-1!==(r=Gt.call(this._minWeekdaysParse,a))?r:null:"dddd"===e?-1!==(r=Gt.call(this._weekdaysParse,a))||-1!==(r=Gt.call(this._shortWeekdaysParse,a))||-1!==(r=Gt.call(this._minWeekdaysParse,a))?r:null:"ddd"===e?-1!==(r=Gt.call(this._shortWeekdaysParse,a))||-1!==(r=Gt.call(this._weekdaysParse,a))||-1!==(r=Gt.call(this._minWeekdaysParse,a))?r:null:-1!==(r=Gt.call(this._minWeekdaysParse,a))||-1!==(r=Gt.call(this._weekdaysParse,a))||-1!==(r=Gt.call(this._shortWeekdaysParse,a))?r:null}function ze(t,e,n){var i,r,o;if(this._weekdaysParseExact)return Be.call(this,t,e,n);for(this._weekdaysParse||(this._weekdaysParse=[],this._minWeekdaysParse=[],this._shortWeekdaysParse=[],this._fullWeekdaysParse=[]),i=0;i<7;i++){if(r=m([2e3,1]).day(i),n&&!this._fullWeekdaysParse[i]&&(this._fullWeekdaysParse[i]=new RegExp("^"+this.weekdays(r,"").replace(".","\\.?")+"$","i"),this._shortWeekdaysParse[i]=new RegExp("^"+this.weekdaysShort(r,"").replace(".","\\.?")+"$","i"),this._minWeekdaysParse[i]=new RegExp("^"+this.weekdaysMin(r,"").replace(".","\\.?")+"$","i")),this._weekdaysParse[i]||(o="^"+this.weekdays(r,"")+"|^"+this.weekdaysShort(r,"")+"|^"+this.weekdaysMin(r,""),this._weekdaysParse[i]=new RegExp(o.replace(".",""),"i")),n&&"dddd"===e&&this._fullWeekdaysParse[i].test(t))return i;if(n&&"ddd"===e&&this._shortWeekdaysParse[i].test(t))return i;if(n&&"dd"===e&&this._minWeekdaysParse[i].test(t))return i;if(!n&&this._weekdaysParse[i].test(t))return i}}function Ve(t){if(!this.isValid())return null!=t?this:NaN;var e=this._isUTC?this._d.getUTCDay():this._d.getDay();return null!=t?(t=Le(t,this.localeData()),this.add(t-e,"d")):e}function He(t){if(!this.isValid())return null!=t?this:NaN;var e=(this.day()+7-this.localeData()._week.dow)%7;return null==t?e:this.add(t-e,"d")}function Ue(t){if(!this.isValid())return null!=t?this:NaN;if(null!=t){var e=De(t,this.localeData());return this.day(this.day()%7?e:e-7)}return this.day()||7}var We=Ot;function Ye(t){return this._weekdaysParseExact?(f(this,"_weekdaysRegex")||Je.call(this),t?this._weekdaysStrictRegex:this._weekdaysRegex):(f(this,"_weekdaysRegex")||(this._weekdaysRegex=We),this._weekdaysStrictRegex&&t?this._weekdaysStrictRegex:this._weekdaysRegex)}var Qe=Ot;function Ge(t){return this._weekdaysParseExact?(f(this,"_weekdaysRegex")||Je.call(this),t?this._weekdaysShortStrictRegex:this._weekdaysShortRegex):(f(this,"_weekdaysShortRegex")||(this._weekdaysShortRegex=Qe),this._weekdaysShortStrictRegex&&t?this._weekdaysShortStrictRegex:this._weekdaysShortRegex)}var Ke=Ot;function Ze(t){return this._weekdaysParseExact?(f(this,"_weekdaysRegex")||Je.call(this),t?this._weekdaysMinStrictRegex:this._weekdaysMinRegex):(f(this,"_weekdaysMinRegex")||(this._weekdaysMinRegex=Ke),this._weekdaysMinStrictRegex&&t?this._weekdaysMinStrictRegex:this._weekdaysMinRegex)}function Je(){function t(t,e){return e.length-t.length}var e,n,i,r,o,a=[],s=[],l=[],u=[];for(e=0;e<7;e++)n=m([2e3,1]).day(e),i=this.weekdaysMin(n,""),r=this.weekdaysShort(n,""),o=this.weekdays(n,""),a.push(i),s.push(r),l.push(o),u.push(i),u.push(r),u.push(o);for(a.sort(t),s.sort(t),l.sort(t),u.sort(t),e=0;e<7;e++)s[e]=Dt(s[e]),l[e]=Dt(l[e]),u[e]=Dt(u[e]);this._weekdaysRegex=new RegExp("^("+u.join("|")+")","i"),this._weekdaysShortRegex=this._weekdaysRegex,this._weekdaysMinRegex=this._weekdaysRegex,this._weekdaysStrictRegex=new RegExp("^("+l.join("|")+")","i"),this._weekdaysShortStrictRegex=new RegExp("^("+s.join("|")+")","i"),this._weekdaysMinStrictRegex=new RegExp("^("+a.join("|")+")","i")}function Xe(){return this.hours()%12||12}function tn(){return this.hours()||24}function en(t,e){st(t,0,0,(function(){return this.localeData().meridiem(this.hours(),this.minutes(),e)}))}function nn(t,e){return e._meridiemParse}function rn(t){return"p"===(t+"").toLowerCase().charAt(0)}st("H",["HH",2],0,"hour"),st("h",["hh",2],0,Xe),st("k",["kk",2],0,tn),st("hmm",0,0,(function(){return""+Xe.apply(this)+nt(this.minutes(),2)})),st("hmmss",0,0,(function(){return""+Xe.apply(this)+nt(this.minutes(),2)+nt(this.seconds(),2)})),st("Hmm",0,0,(function(){return""+this.hours()+nt(this.minutes(),2)})),st("Hmmss",0,0,(function(){return""+this.hours()+nt(this.minutes(),2)+nt(this.seconds(),2)})),en("a",!0),en("A",!1),K("hour","h"),tt("hour",13),Et("a",nn),Et("A",nn),Et("H",gt),Et("h",gt),Et("k",gt),Et("HH",gt,ft),Et("hh",gt,ft),Et("kk",gt,ft),Et("hmm",_t),Et("hmmss",yt),Et("Hmm",_t),Et("Hmmss",yt),Rt(["H","HH"],Bt),Rt(["k","kk"],(function(t,e,n){var i=M(t);e[Bt]=24===i?0:i})),Rt(["a","A"],(function(t,e,n){n._isPm=n._locale.isPM(t),n._meridiem=t})),Rt(["h","hh"],(function(t,e,n){e[Bt]=M(t),g(n).bigHour=!0})),Rt("hmm",(function(t,e,n){var i=t.length-2;e[Bt]=M(t.substr(0,i)),e[zt]=M(t.substr(i)),g(n).bigHour=!0})),Rt("hmmss",(function(t,e,n){var i=t.length-4,r=t.length-2;e[Bt]=M(t.substr(0,i)),e[zt]=M(t.substr(i,2)),e[Vt]=M(t.substr(r)),g(n).bigHour=!0})),Rt("Hmm",(function(t,e,n){var i=t.length-2;e[Bt]=M(t.substr(0,i)),e[zt]=M(t.substr(i))})),Rt("Hmmss",(function(t,e,n){var i=t.length-4,r=t.length-2;e[Bt]=M(t.substr(0,i)),e[zt]=M(t.substr(i,2)),e[Vt]=M(t.substr(r))}));var on=/[ap]\.?m?\.?/i;function an(t,e,n){return t>11?n?"pm":"PM":n?"am":"AM"}var sn,ln=Jt("Hours",!0),un={calendar:I,longDateFormat:$,invalidDate:B,ordinal:V,dayOfMonthOrdinalParse:H,relativeTime:W,months:ae,monthsShort:le,week:Te,weekdays:Re,weekdaysMin:$e,weekdaysShort:Ie,meridiemParse:on},cn={},dn={};function hn(t){return t?t.toLowerCase().replace("_","-"):t}function fn(t){for(var e,n,i,r,o=0;o<t.length;){for(e=(r=hn(t[o]).split("-")).length,n=(n=hn(t[o+1]))?n.split("-"):null;e>0;){if(i=pn(r.slice(0,e).join("-")))return i;if(n&&n.length>=e&&T(r,n,!0)>=e-1)break;e--}o++}return sn}function pn(n){var i=null;if(!cn[n]&&e&&e.exports)try{i=sn._abbr,t(),mn(i)}catch(t){}return cn[n]}function mn(t,e){var n;return t&&((n=u(e)?_n(t):vn(t,e))?sn=n:"undefined"!=typeof console&&console.warn&&console.warn("Locale "+t+" not found. Did you forget to load it?")),sn._abbr}function vn(t,e){if(null!==e){var n,i=un;if(e.abbr=t,null!=cn[t])L("defineLocaleOverride","use moment.updateLocale(localeName, config) to change an existing locale. moment.defineLocale(localeName, config) should only be used for creating a new locale See http://momentjs.com/guides/#/warnings/define-locale/ for more info."),i=cn[t]._config;else if(null!=e.parentLocale)if(null!=cn[e.parentLocale])i=cn[e.parentLocale]._config;else{if(null==(n=pn(e.parentLocale)))return dn[e.parentLocale]||(dn[e.parentLocale]=[]),dn[e.parentLocale].push({name:t,config:e}),null;i=n._config}return cn[t]=new N(R(i,e)),dn[t]&&dn[t].forEach((function(t){vn(t.name,t.config)})),mn(t),cn[t]}return delete cn[t],null}function gn(t,e){if(null!=e){var n,i,r=un;null!=(i=pn(t))&&(r=i._config),(n=new N(e=R(r,e))).parentLocale=cn[t],cn[t]=n,mn(t)}else null!=cn[t]&&(null!=cn[t].parentLocale?cn[t]=cn[t].parentLocale:null!=cn[t]&&delete cn[t]);return cn[t]}function _n(t){var e;if(t&&t._locale&&t._locale._abbr&&(t=t._locale._abbr),!t)return sn;if(!a(t)){if(e=pn(t))return e;t=[t]}return fn(t)}function yn(){return E(cn)}function bn(t){var e,n=t._a;return n&&-2===g(t).overflow&&(e=n[$t]<0||n[$t]>11?$t:n[Ft]<1||n[Ft]>re(n[jt],n[$t])?Ft:n[Bt]<0||n[Bt]>24||24===n[Bt]&&(0!==n[zt]||0!==n[Vt]||0!==n[Ht])?Bt:n[zt]<0||n[zt]>59?zt:n[Vt]<0||n[Vt]>59?Vt:n[Ht]<0||n[Ht]>999?Ht:-1,g(t)._overflowDayOfYear&&(e<jt||e>Ft)&&(e=Ft),g(t)._overflowWeeks&&-1===e&&(e=Ut),g(t)._overflowWeekday&&-1===e&&(e=Wt),g(t).overflow=e),t}function wn(t,e,n){return null!=t?t:null!=e?e:n}function xn(t){var e=new Date(r.now());return t._useUTC?[e.getUTCFullYear(),e.getUTCMonth(),e.getUTCDate()]:[e.getFullYear(),e.getMonth(),e.getDate()]}function kn(t){var e,n,i,r,o,a=[];if(!t._d){for(i=xn(t),t._w&&null==t._a[Ft]&&null==t._a[$t]&&Sn(t),null!=t._dayOfYear&&(o=wn(t._a[jt],i[jt]),(t._dayOfYear>Yt(o)||0===t._dayOfYear)&&(g(t)._overflowDayOfYear=!0),n=we(o,0,t._dayOfYear),t._a[$t]=n.getUTCMonth(),t._a[Ft]=n.getUTCDate()),e=0;e<3&&null==t._a[e];++e)t._a[e]=a[e]=i[e];for(;e<7;e++)t._a[e]=a[e]=null==t._a[e]?2===e?1:0:t._a[e];24===t._a[Bt]&&0===t._a[zt]&&0===t._a[Vt]&&0===t._a[Ht]&&(t._nextDay=!0,t._a[Bt]=0),t._d=(t._useUTC?we:be).apply(null,a),r=t._useUTC?t._d.getUTCDay():t._d.getDay(),null!=t._tzm&&t._d.setUTCMinutes(t._d.getUTCMinutes()-t._tzm),t._nextDay&&(t._a[Bt]=24),t._w&&void 0!==t._w.d&&t._w.d!==r&&(g(t).weekdayMismatch=!0)}}function Sn(t){var e,n,i,r,o,a,s,l;if(null!=(e=t._w).GG||null!=e.W||null!=e.E)o=1,a=4,n=wn(e.GG,t._a[jt],Se(Gn(),1,4).year),i=wn(e.W,1),((r=wn(e.E,1))<1||r>7)&&(l=!0);else{o=t._locale._week.dow,a=t._locale._week.doy;var u=Se(Gn(),o,a);n=wn(e.gg,t._a[jt],u.year),i=wn(e.w,u.week),null!=e.d?((r=e.d)<0||r>6)&&(l=!0):null!=e.e?(r=e.e+o,(e.e<0||e.e>6)&&(l=!0)):r=o}i<1||i>Ce(n,o,a)?g(t)._overflowWeeks=!0:null!=l?g(t)._overflowWeekday=!0:(s=ke(n,i,r,o,a),t._a[jt]=s.year,t._dayOfYear=s.dayOfYear)}var Cn=/^\s*((?:[+-]\d{6}|\d{4})-(?:\d\d-\d\d|W\d\d-\d|W\d\d|\d\d\d|\d\d))(?:(T| )(\d\d(?::\d\d(?::\d\d(?:[.,]\d+)?)?)?)([\+\-]\d\d(?::?\d\d)?|\s*Z)?)?$/,Mn=/^\s*((?:[+-]\d{6}|\d{4})(?:\d\d\d\d|W\d\d\d|W\d\d|\d\d\d|\d\d))(?:(T| )(\d\d(?:\d\d(?:\d\d(?:[.,]\d+)?)?)?)([\+\-]\d\d(?::?\d\d)?|\s*Z)?)?$/,Tn=/Z|[+-]\d\d(?::?\d\d)?/,On=[["YYYYYY-MM-DD",/[+-]\d{6}-\d\d-\d\d/],["YYYY-MM-DD",/\d{4}-\d\d-\d\d/],["GGGG-[W]WW-E",/\d{4}-W\d\d-\d/],["GGGG-[W]WW",/\d{4}-W\d\d/,!1],["YYYY-DDD",/\d{4}-\d{3}/],["YYYY-MM",/\d{4}-\d\d/,!1],["YYYYYYMMDD",/[+-]\d{10}/],["YYYYMMDD",/\d{8}/],["GGGG[W]WWE",/\d{4}W\d{3}/],["GGGG[W]WW",/\d{4}W\d{2}/,!1],["YYYYDDD",/\d{7}/]],An=[["HH:mm:ss.SSSS",/\d\d:\d\d:\d\d\.\d+/],["HH:mm:ss,SSSS",/\d\d:\d\d:\d\d,\d+/],["HH:mm:ss",/\d\d:\d\d:\d\d/],["HH:mm",/\d\d:\d\d/],["HHmmss.SSSS",/\d\d\d\d\d\d\.\d+/],["HHmmss,SSSS",/\d\d\d\d\d\d,\d+/],["HHmmss",/\d\d\d\d\d\d/],["HHmm",/\d\d\d\d/],["HH",/\d\d/]],En=/^\/?Date\((\-?\d+)/i;function qn(t){var e,n,i,r,o,a,s=t._i,l=Cn.exec(s)||Mn.exec(s);if(l){for(g(t).iso=!0,e=0,n=On.length;e<n;e++)if(On[e][1].exec(l[1])){r=On[e][0],i=!1!==On[e][2];break}if(null==r)return void(t._isValid=!1);if(l[3]){for(e=0,n=An.length;e<n;e++)if(An[e][1].exec(l[3])){o=(l[2]||" ")+An[e][0];break}if(null==o)return void(t._isValid=!1)}if(!i&&null!=o)return void(t._isValid=!1);if(l[4]){if(!Tn.exec(l[4]))return void(t._isValid=!1);a="Z"}t._f=r+(o||"")+(a||""),Bn(t)}else t._isValid=!1}var Ln=/^(?:(Mon|Tue|Wed|Thu|Fri|Sat|Sun),?\s)?(\d{1,2})\s(Jan|Feb|Mar|Apr|May|Jun|Jul|Aug|Sep|Oct|Nov|Dec)\s(\d{2,4})\s(\d\d):(\d\d)(?::(\d\d))?\s(?:(UT|GMT|[ECMP][SD]T)|([Zz])|([+-]\d{4}))$/;function Dn(t,e,n,i,r,o){var a=[Pn(t),le.indexOf(e),parseInt(n,10),parseInt(i,10),parseInt(r,10)];return o&&a.push(parseInt(o,10)),a}function Pn(t){var e=parseInt(t,10);return e<=49?2e3+e:e<=999?1900+e:e}function Rn(t){return t.replace(/\([^)]*\)|[\n\t]/g," ").replace(/(\s\s+)/g," ").replace(/^\s\s*/,"").replace(/\s\s*$/,"")}function Nn(t,e,n){return!t||Ie.indexOf(t)===new Date(e[0],e[1],e[2]).getDay()||(g(n).weekdayMismatch=!0,n._isValid=!1,!1)}var In={UT:0,GMT:0,EDT:-240,EST:-300,CDT:-300,CST:-360,MDT:-360,MST:-420,PDT:-420,PST:-480};function jn(t,e,n){if(t)return In[t];if(e)return 0;var i=parseInt(n,10),r=i%100;return(i-r)/100*60+r}function $n(t){var e=Ln.exec(Rn(t._i));if(e){var n=Dn(e[4],e[3],e[2],e[5],e[6],e[7]);if(!Nn(e[1],n,t))return;t._a=n,t._tzm=jn(e[8],e[9],e[10]),t._d=we.apply(null,t._a),t._d.setUTCMinutes(t._d.getUTCMinutes()-t._tzm),g(t).rfc2822=!0}else t._isValid=!1}function Fn(t){var e=En.exec(t._i);null===e?(qn(t),!1===t._isValid&&(delete t._isValid,$n(t),!1===t._isValid&&(delete t._isValid,r.createFromInputFallback(t)))):t._d=new Date(+e[1])}function Bn(t){if(t._f!==r.ISO_8601)if(t._f!==r.RFC_2822){t._a=[],g(t).empty=!0;var e,n,i,o,a,s=""+t._i,l=s.length,u=0;for(i=dt(t._f,t._locale).match(it)||[],e=0;e<i.length;e++)o=i[e],(n=(s.match(qt(o,t))||[])[0])&&((a=s.substr(0,s.indexOf(n))).length>0&&g(t).unusedInput.push(a),s=s.slice(s.indexOf(n)+n.length),u+=n.length),at[o]?(n?g(t).empty=!1:g(t).unusedTokens.push(o),It(o,n,t)):t._strict&&!n&&g(t).unusedTokens.push(o);g(t).charsLeftOver=l-u,s.length>0&&g(t).unusedInput.push(s),t._a[Bt]<=12&&!0===g(t).bigHour&&t._a[Bt]>0&&(g(t).bigHour=void 0),g(t).parsedDateParts=t._a.slice(0),g(t).meridiem=t._meridiem,t._a[Bt]=zn(t._locale,t._a[Bt],t._meridiem),kn(t),bn(t)}else $n(t);else qn(t)}function zn(t,e,n){var i;return null==n?e:null!=t.meridiemHour?t.meridiemHour(e,n):null!=t.isPM?((i=t.isPM(n))&&e<12&&(e+=12),i||12!==e||(e=0),e):e}function Vn(t){var e,n,i,r,o;if(0===t._f.length)return g(t).invalidFormat=!0,void(t._d=new Date(NaN));for(r=0;r<t._f.length;r++)o=0,e=w({},t),null!=t._useUTC&&(e._useUTC=t._useUTC),e._f=t._f[r],Bn(e),_(e)&&(o+=g(e).charsLeftOver,o+=10*g(e).unusedTokens.length,g(e).score=o,(null==i||o<i)&&(i=o,n=e));p(t,n||e)}function Hn(t){if(!t._d){var e=J(t._i);t._a=h([e.year,e.month,e.day||e.date,e.hour,e.minute,e.second,e.millisecond],(function(t){return t&&parseInt(t,10)})),kn(t)}}function Un(t){var e=new k(bn(Wn(t)));return e._nextDay&&(e.add(1,"d"),e._nextDay=void 0),e}function Wn(t){var e=t._i,n=t._f;return t._locale=t._locale||_n(t._l),null===e||void 0===n&&""===e?y({nullInput:!0}):("string"==typeof e&&(t._i=e=t._locale.preparse(e)),S(e)?new k(bn(e)):(d(e)?t._d=e:a(n)?Vn(t):n?Bn(t):Yn(t),_(t)||(t._d=null),t))}function Yn(t){var e=t._i;u(e)?t._d=new Date(r.now()):d(e)?t._d=new Date(e.valueOf()):"string"==typeof e?Fn(t):a(e)?(t._a=h(e.slice(0),(function(t){return parseInt(t,10)})),kn(t)):s(e)?Hn(t):c(e)?t._d=new Date(e):r.createFromInputFallback(t)}function Qn(t,e,n,i,r){var o={};return!0!==n&&!1!==n||(i=n,n=void 0),(s(t)&&l(t)||a(t)&&0===t.length)&&(t=void 0),o._isAMomentObject=!0,o._useUTC=o._isUTC=r,o._l=n,o._i=t,o._f=e,o._strict=i,Un(o)}function Gn(t,e,n,i){return Qn(t,e,n,i,!1)}r.createFromInputFallback=A("value provided is not in a recognized RFC2822 or ISO format. moment construction falls back to js Date(), which is not reliable across all browsers and versions. Non RFC2822/ISO date formats are discouraged and will be removed in an upcoming major release. Please refer to http://momentjs.com/guides/#/warnings/js-date/ for more info.",(function(t){t._d=new Date(t._i+(t._useUTC?" UTC":""))})),r.ISO_8601=function(){},r.RFC_2822=function(){};var Kn=A("moment().min is deprecated, use moment.max instead. http://momentjs.com/guides/#/warnings/min-max/",(function(){var t=Gn.apply(null,arguments);return this.isValid()&&t.isValid()?t<this?this:t:y()})),Zn=A("moment().max is deprecated, use moment.min instead. http://momentjs.com/guides/#/warnings/min-max/",(function(){var t=Gn.apply(null,arguments);return this.isValid()&&t.isValid()?t>this?this:t:y()}));function Jn(t,e){var n,i;if(1===e.length&&a(e[0])&&(e=e[0]),!e.length)return Gn();for(n=e[0],i=1;i<e.length;++i)e[i].isValid()&&!e[i][t](n)||(n=e[i]);return n}function Xn(){return Jn("isBefore",[].slice.call(arguments,0))}function ti(){return Jn("isAfter",[].slice.call(arguments,0))}var ei=function(){return Date.now?Date.now():+new Date},ni=["year","quarter","month","week","day","hour","minute","second","millisecond"];function ii(t){for(var e in t)if(-1===Gt.call(ni,e)||null!=t[e]&&isNaN(t[e]))return!1;for(var n=!1,i=0;i<ni.length;++i)if(t[ni[i]]){if(n)return!1;parseFloat(t[ni[i]])!==M(t[ni[i]])&&(n=!0)}return!0}function ri(){return this._isValid}function oi(){return Ti(NaN)}function ai(t){var e=J(t),n=e.year||0,i=e.quarter||0,r=e.month||0,o=e.week||e.isoWeek||0,a=e.day||0,s=e.hour||0,l=e.minute||0,u=e.second||0,c=e.millisecond||0;this._isValid=ii(e),this._milliseconds=+c+1e3*u+6e4*l+1e3*s*60*60,this._days=+a+7*o,this._months=+r+3*i+12*n,this._data={},this._locale=_n(),this._bubble()}function si(t){return t instanceof ai}function li(t){return t<0?-1*Math.round(-1*t):Math.round(t)}function ui(t,e){st(t,0,0,(function(){var t=this.utcOffset(),n="+";return t<0&&(t=-t,n="-"),n+nt(~~(t/60),2)+e+nt(~~t%60,2)}))}ui("Z",":"),ui("ZZ",""),Et("Z",Mt),Et("ZZ",Mt),Rt(["Z","ZZ"],(function(t,e,n){n._useUTC=!0,n._tzm=di(Mt,t)}));var ci=/([\+\-]|\d\d)/gi;function di(t,e){var n=(e||"").match(t);if(null===n)return null;var i=((n[n.length-1]||[])+"").match(ci)||["-",0,0],r=60*i[1]+M(i[2]);return 0===r?0:"+"===i[0]?r:-r}function hi(t,e){var n,i;return e._isUTC?(n=e.clone(),i=(S(t)||d(t)?t.valueOf():Gn(t).valueOf())-n.valueOf(),n._d.setTime(n._d.valueOf()+i),r.updateOffset(n,!1),n):Gn(t).local()}function fi(t){return 15*-Math.round(t._d.getTimezoneOffset()/15)}function pi(t,e,n){var i,o=this._offset||0;if(!this.isValid())return null!=t?this:NaN;if(null!=t){if("string"==typeof t){if(null===(t=di(Mt,t)))return this}else Math.abs(t)<16&&!n&&(t*=60);return!this._isUTC&&e&&(i=fi(this)),this._offset=t,this._isUTC=!0,null!=i&&this.add(i,"m"),o!==t&&(!e||this._changeInProgress?Li(this,Ti(t-o,"m"),1,!1):this._changeInProgress||(this._changeInProgress=!0,r.updateOffset(this,!0),this._changeInProgress=null)),this}return this._isUTC?o:fi(this)}function mi(t,e){return null!=t?("string"!=typeof t&&(t=-t),this.utcOffset(t,e),this):-this.utcOffset()}function vi(t){return this.utcOffset(0,t)}function gi(t){return this._isUTC&&(this.utcOffset(0,t),this._isUTC=!1,t&&this.subtract(fi(this),"m")),this}function _i(){if(null!=this._tzm)this.utcOffset(this._tzm,!1,!0);else if("string"==typeof this._i){var t=di(Ct,this._i);null!=t?this.utcOffset(t):this.utcOffset(0,!0)}return this}function yi(t){return!!this.isValid()&&(t=t?Gn(t).utcOffset():0,(this.utcOffset()-t)%60==0)}function bi(){return this.utcOffset()>this.clone().month(0).utcOffset()||this.utcOffset()>this.clone().month(5).utcOffset()}function wi(){if(!u(this._isDSTShifted))return this._isDSTShifted;var t={};if(w(t,this),(t=Wn(t))._a){var e=t._isUTC?m(t._a):Gn(t._a);this._isDSTShifted=this.isValid()&&T(t._a,e.toArray())>0}else this._isDSTShifted=!1;return this._isDSTShifted}function xi(){return!!this.isValid()&&!this._isUTC}function ki(){return!!this.isValid()&&this._isUTC}function Si(){return!!this.isValid()&&this._isUTC&&0===this._offset}r.updateOffset=function(){};var Ci=/^(\-|\+)?(?:(\d*)[. ])?(\d+)\:(\d+)(?:\:(\d+)(\.\d*)?)?$/,Mi=/^(-|\+)?P(?:([-+]?[0-9,.]*)Y)?(?:([-+]?[0-9,.]*)M)?(?:([-+]?[0-9,.]*)W)?(?:([-+]?[0-9,.]*)D)?(?:T(?:([-+]?[0-9,.]*)H)?(?:([-+]?[0-9,.]*)M)?(?:([-+]?[0-9,.]*)S)?)?$/;function Ti(t,e){var n,i,r,o=t,a=null;return si(t)?o={ms:t._milliseconds,d:t._days,M:t._months}:c(t)?(o={},e?o[e]=t:o.milliseconds=t):(a=Ci.exec(t))?(n="-"===a[1]?-1:1,o={y:0,d:M(a[Ft])*n,h:M(a[Bt])*n,m:M(a[zt])*n,s:M(a[Vt])*n,ms:M(li(1e3*a[Ht]))*n}):(a=Mi.exec(t))?(n="-"===a[1]?-1:1,o={y:Oi(a[2],n),M:Oi(a[3],n),w:Oi(a[4],n),d:Oi(a[5],n),h:Oi(a[6],n),m:Oi(a[7],n),s:Oi(a[8],n)}):null==o?o={}:"object"==typeof o&&("from"in o||"to"in o)&&(r=Ei(Gn(o.from),Gn(o.to)),(o={}).ms=r.milliseconds,o.M=r.months),i=new ai(o),si(t)&&f(t,"_locale")&&(i._locale=t._locale),i}function Oi(t,e){var n=t&&parseFloat(t.replace(",","."));return(isNaN(n)?0:n)*e}function Ai(t,e){var n={};return n.months=e.month()-t.month()+12*(e.year()-t.year()),t.clone().add(n.months,"M").isAfter(e)&&--n.months,n.milliseconds=+e-+t.clone().add(n.months,"M"),n}function Ei(t,e){var n;return t.isValid()&&e.isValid()?(e=hi(e,t),t.isBefore(e)?n=Ai(t,e):((n=Ai(e,t)).milliseconds=-n.milliseconds,n.months=-n.months),n):{milliseconds:0,months:0}}function qi(t,e){return function(n,i){var r;return null===i||isNaN(+i)||(L(e,"moment()."+e+"(period, number) is deprecated. Please use moment()."+e+"(number, period). See http://momentjs.com/guides/#/warnings/add-inverted-param/ for more info."),r=n,n=i,i=r),Li(this,Ti(n="string"==typeof n?+n:n,i),t),this}}function Li(t,e,n,i){var o=e._milliseconds,a=li(e._days),s=li(e._months);t.isValid()&&(i=null==i||i,s&&he(t,Xt(t,"Month")+s*n),a&&te(t,"Date",Xt(t,"Date")+a*n),o&&t._d.setTime(t._d.valueOf()+o*n),i&&r.updateOffset(t,a||s))}Ti.fn=ai.prototype,Ti.invalid=oi;var Di=qi(1,"add"),Pi=qi(-1,"subtract");function Ri(t,e){var n=t.diff(e,"days",!0);return n<-6?"sameElse":n<-1?"lastWeek":n<0?"lastDay":n<1?"sameDay":n<2?"nextDay":n<7?"nextWeek":"sameElse"}function Ni(t,e){var n=t||Gn(),i=hi(n,this).startOf("day"),o=r.calendarFormat(this,i)||"sameElse",a=e&&(D(e[o])?e[o].call(this,n):e[o]);return this.format(a||this.localeData().calendar(o,this,Gn(n)))}function Ii(){return new k(this)}function ji(t,e){var n=S(t)?t:Gn(t);return!(!this.isValid()||!n.isValid())&&("millisecond"===(e=Z(e)||"millisecond")?this.valueOf()>n.valueOf():n.valueOf()<this.clone().startOf(e).valueOf())}function $i(t,e){var n=S(t)?t:Gn(t);return!(!this.isValid()||!n.isValid())&&("millisecond"===(e=Z(e)||"millisecond")?this.valueOf()<n.valueOf():this.clone().endOf(e).valueOf()<n.valueOf())}function Fi(t,e,n,i){var r=S(t)?t:Gn(t),o=S(e)?e:Gn(e);return!!(this.isValid()&&r.isValid()&&o.isValid())&&("("===(i=i||"()")[0]?this.isAfter(r,n):!this.isBefore(r,n))&&(")"===i[1]?this.isBefore(o,n):!this.isAfter(o,n))}function Bi(t,e){var n,i=S(t)?t:Gn(t);return!(!this.isValid()||!i.isValid())&&("millisecond"===(e=Z(e)||"millisecond")?this.valueOf()===i.valueOf():(n=i.valueOf(),this.clone().startOf(e).valueOf()<=n&&n<=this.clone().endOf(e).valueOf()))}function zi(t,e){return this.isSame(t,e)||this.isAfter(t,e)}function Vi(t,e){return this.isSame(t,e)||this.isBefore(t,e)}function Hi(t,e,n){var i,r,o;if(!this.isValid())return NaN;if(!(i=hi(t,this)).isValid())return NaN;switch(r=6e4*(i.utcOffset()-this.utcOffset()),e=Z(e)){case"year":o=Ui(this,i)/12;break;case"month":o=Ui(this,i);break;case"quarter":o=Ui(this,i)/3;break;case"second":o=(this-i)/1e3;break;case"minute":o=(this-i)/6e4;break;case"hour":o=(this-i)/36e5;break;case"day":o=(this-i-r)/864e5;break;case"week":o=(this-i-r)/6048e5;break;default:o=this-i}return n?o:C(o)}function Ui(t,e){var n=12*(e.year()-t.year())+(e.month()-t.month()),i=t.clone().add(n,"months");return-(n+(e-i<0?(e-i)/(i-t.clone().add(n-1,"months")):(e-i)/(t.clone().add(n+1,"months")-i)))||0}function Wi(){return this.clone().locale("en").format("ddd MMM DD YYYY HH:mm:ss [GMT]ZZ")}function Yi(t){if(!this.isValid())return null;var e=!0!==t,n=e?this.clone().utc():this;return n.year()<0||n.year()>9999?ct(n,e?"YYYYYY-MM-DD[T]HH:mm:ss.SSS[Z]":"YYYYYY-MM-DD[T]HH:mm:ss.SSSZ"):D(Date.prototype.toISOString)?e?this.toDate().toISOString():new Date(this.valueOf()+60*this.utcOffset()*1e3).toISOString().replace("Z",ct(n,"Z")):ct(n,e?"YYYY-MM-DD[T]HH:mm:ss.SSS[Z]":"YYYY-MM-DD[T]HH:mm:ss.SSSZ")}function Qi(){if(!this.isValid())return"moment.invalid(/* "+this._i+" */)";var t="moment",e="";this.isLocal()||(t=0===this.utcOffset()?"moment.utc":"moment.parseZone",e="Z");var n="["+t+'("]',i=0<=this.year()&&this.year()<=9999?"YYYY":"YYYYYY",r="-MM-DD[T]HH:mm:ss.SSS",o=e+'[")]';return this.format(n+i+r+o)}function Gi(t){t||(t=this.isUtc()?r.defaultFormatUtc:r.defaultFormat);var e=ct(this,t);return this.localeData().postformat(e)}function Ki(t,e){return this.isValid()&&(S(t)&&t.isValid()||Gn(t).isValid())?Ti({to:this,from:t}).locale(this.locale()).humanize(!e):this.localeData().invalidDate()}function Zi(t){return this.from(Gn(),t)}function Ji(t,e){return this.isValid()&&(S(t)&&t.isValid()||Gn(t).isValid())?Ti({from:this,to:t}).locale(this.locale()).humanize(!e):this.localeData().invalidDate()}function Xi(t){return this.to(Gn(),t)}function tr(t){var e;return void 0===t?this._locale._abbr:(null!=(e=_n(t))&&(this._locale=e),this)}r.defaultFormat="YYYY-MM-DDTHH:mm:ssZ",r.defaultFormatUtc="YYYY-MM-DDTHH:mm:ss[Z]";var er=A("moment().lang() is deprecated. Instead, use moment().localeData() to get the language configuration. Use moment().locale() to change languages.",(function(t){return void 0===t?this.localeData():this.locale(t)}));function nr(){return this._locale}var ir=1e3,rr=60*ir,or=60*rr,ar=3506328*or;function sr(t,e){return(t%e+e)%e}function lr(t,e,n){return t<100&&t>=0?new Date(t+400,e,n)-ar:new Date(t,e,n).valueOf()}function ur(t,e,n){return t<100&&t>=0?Date.UTC(t+400,e,n)-ar:Date.UTC(t,e,n)}function cr(t){var e;if(void 0===(t=Z(t))||"millisecond"===t||!this.isValid())return this;var n=this._isUTC?ur:lr;switch(t){case"year":e=n(this.year(),0,1);break;case"quarter":e=n(this.year(),this.month()-this.month()%3,1);break;case"month":e=n(this.year(),this.month(),1);break;case"week":e=n(this.year(),this.month(),this.date()-this.weekday());break;case"isoWeek":e=n(this.year(),this.month(),this.date()-(this.isoWeekday()-1));break;case"day":case"date":e=n(this.year(),this.month(),this.date());break;case"hour":e=this._d.valueOf(),e-=sr(e+(this._isUTC?0:this.utcOffset()*rr),or);break;case"minute":e=this._d.valueOf(),e-=sr(e,rr);break;case"second":e=this._d.valueOf(),e-=sr(e,ir)}return this._d.setTime(e),r.updateOffset(this,!0),this}function dr(t){var e;if(void 0===(t=Z(t))||"millisecond"===t||!this.isValid())return this;var n=this._isUTC?ur:lr;switch(t){case"year":e=n(this.year()+1,0,1)-1;break;case"quarter":e=n(this.year(),this.month()-this.month()%3+3,1)-1;break;case"month":e=n(this.year(),this.month()+1,1)-1;break;case"week":e=n(this.year(),this.month(),this.date()-this.weekday()+7)-1;break;case"isoWeek":e=n(this.year(),this.month(),this.date()-(this.isoWeekday()-1)+7)-1;break;case"day":case"date":e=n(this.year(),this.month(),this.date()+1)-1;break;case"hour":e=this._d.valueOf(),e+=or-sr(e+(this._isUTC?0:this.utcOffset()*rr),or)-1;break;case"minute":e=this._d.valueOf(),e+=rr-sr(e,rr)-1;break;case"second":e=this._d.valueOf(),e+=ir-sr(e,ir)-1}return this._d.setTime(e),r.updateOffset(this,!0),this}function hr(){return this._d.valueOf()-6e4*(this._offset||0)}function fr(){return Math.floor(this.valueOf()/1e3)}function pr(){return new Date(this.valueOf())}function mr(){var t=this;return[t.year(),t.month(),t.date(),t.hour(),t.minute(),t.second(),t.millisecond()]}function vr(){var t=this;return{years:t.year(),months:t.month(),date:t.date(),hours:t.hours(),minutes:t.minutes(),seconds:t.seconds(),milliseconds:t.milliseconds()}}function gr(){return this.isValid()?this.toISOString():null}function _r(){return _(this)}function yr(){return p({},g(this))}function br(){return g(this).overflow}function wr(){return{input:this._i,format:this._f,locale:this._locale,isUTC:this._isUTC,strict:this._strict}}function xr(t,e){st(0,[t,t.length],0,e)}function kr(t){return Tr.call(this,t,this.week(),this.weekday(),this.localeData()._week.dow,this.localeData()._week.doy)}function Sr(t){return Tr.call(this,t,this.isoWeek(),this.isoWeekday(),1,4)}function Cr(){return Ce(this.year(),1,4)}function Mr(){var t=this.localeData()._week;return Ce(this.year(),t.dow,t.doy)}function Tr(t,e,n,i,r){var o;return null==t?Se(this,i,r).year:(e>(o=Ce(t,i,r))&&(e=o),Or.call(this,t,e,n,i,r))}function Or(t,e,n,i,r){var o=ke(t,e,n,i,r),a=we(o.year,0,o.dayOfYear);return this.year(a.getUTCFullYear()),this.month(a.getUTCMonth()),this.date(a.getUTCDate()),this}function Ar(t){return null==t?Math.ceil((this.month()+1)/3):this.month(3*(t-1)+this.month()%3)}st(0,["gg",2],0,(function(){return this.weekYear()%100})),st(0,["GG",2],0,(function(){return this.isoWeekYear()%100})),xr("gggg","weekYear"),xr("ggggg","weekYear"),xr("GGGG","isoWeekYear"),xr("GGGGG","isoWeekYear"),K("weekYear","gg"),K("isoWeekYear","GG"),tt("weekYear",1),tt("isoWeekYear",1),Et("G",St),Et("g",St),Et("GG",gt,ft),Et("gg",gt,ft),Et("GGGG",wt,mt),Et("gggg",wt,mt),Et("GGGGG",xt,vt),Et("ggggg",xt,vt),Nt(["gggg","ggggg","GGGG","GGGGG"],(function(t,e,n,i){e[i.substr(0,2)]=M(t)})),Nt(["gg","GG"],(function(t,e,n,i){e[i]=r.parseTwoDigitYear(t)})),st("Q",0,"Qo","quarter"),K("quarter","Q"),tt("quarter",7),Et("Q",ht),Rt("Q",(function(t,e){e[$t]=3*(M(t)-1)})),st("D",["DD",2],"Do","date"),K("date","D"),tt("date",9),Et("D",gt),Et("DD",gt,ft),Et("Do",(function(t,e){return t?e._dayOfMonthOrdinalParse||e._ordinalParse:e._dayOfMonthOrdinalParseLenient})),Rt(["D","DD"],Ft),Rt("Do",(function(t,e){e[Ft]=M(t.match(gt)[0])}));var Er=Jt("Date",!0);function qr(t){var e=Math.round((this.clone().startOf("day")-this.clone().startOf("year"))/864e5)+1;return null==t?e:this.add(t-e,"d")}st("DDD",["DDDD",3],"DDDo","dayOfYear"),K("dayOfYear","DDD"),tt("dayOfYear",4),Et("DDD",bt),Et("DDDD",pt),Rt(["DDD","DDDD"],(function(t,e,n){n._dayOfYear=M(t)})),st("m",["mm",2],0,"minute"),K("minute","m"),tt("minute",14),Et("m",gt),Et("mm",gt,ft),Rt(["m","mm"],zt);var Lr=Jt("Minutes",!1);st("s",["ss",2],0,"second"),K("second","s"),tt("second",15),Et("s",gt),Et("ss",gt,ft),Rt(["s","ss"],Vt);var Dr,Pr=Jt("Seconds",!1);for(st("S",0,0,(function(){return~~(this.millisecond()/100)})),st(0,["SS",2],0,(function(){return~~(this.millisecond()/10)})),st(0,["SSS",3],0,"millisecond"),st(0,["SSSS",4],0,(function(){return 10*this.millisecond()})),st(0,["SSSSS",5],0,(function(){return 100*this.millisecond()})),st(0,["SSSSSS",6],0,(function(){return 1e3*this.millisecond()})),st(0,["SSSSSSS",7],0,(function(){return 1e4*this.millisecond()})),st(0,["SSSSSSSS",8],0,(function(){return 1e5*this.millisecond()})),st(0,["SSSSSSSSS",9],0,(function(){return 1e6*this.millisecond()})),K("millisecond","ms"),tt("millisecond",16),Et("S",bt,ht),Et("SS",bt,ft),Et("SSS",bt,pt),Dr="SSSS";Dr.length<=9;Dr+="S")Et(Dr,kt);function Rr(t,e){e[Ht]=M(1e3*("0."+t))}for(Dr="S";Dr.length<=9;Dr+="S")Rt(Dr,Rr);var Nr=Jt("Milliseconds",!1);function Ir(){return this._isUTC?"UTC":""}function jr(){return this._isUTC?"Coordinated Universal Time":""}st("z",0,0,"zoneAbbr"),st("zz",0,0,"zoneName");var $r=k.prototype;function Fr(t){return Gn(1e3*t)}function Br(){return Gn.apply(null,arguments).parseZone()}function zr(t){return t}$r.add=Di,$r.calendar=Ni,$r.clone=Ii,$r.diff=Hi,$r.endOf=dr,$r.format=Gi,$r.from=Ki,$r.fromNow=Zi,$r.to=Ji,$r.toNow=Xi,$r.get=ee,$r.invalidAt=br,$r.isAfter=ji,$r.isBefore=$i,$r.isBetween=Fi,$r.isSame=Bi,$r.isSameOrAfter=zi,$r.isSameOrBefore=Vi,$r.isValid=_r,$r.lang=er,$r.locale=tr,$r.localeData=nr,$r.max=Zn,$r.min=Kn,$r.parsingFlags=yr,$r.set=ne,$r.startOf=cr,$r.subtract=Pi,$r.toArray=mr,$r.toObject=vr,$r.toDate=pr,$r.toISOString=Yi,$r.inspect=Qi,$r.toJSON=gr,$r.toString=Wi,$r.unix=fr,$r.valueOf=hr,$r.creationData=wr,$r.year=Kt,$r.isLeapYear=Zt,$r.weekYear=kr,$r.isoWeekYear=Sr,$r.quarter=$r.quarters=Ar,$r.month=fe,$r.daysInMonth=pe,$r.week=$r.weeks=Ee,$r.isoWeek=$r.isoWeeks=qe,$r.weeksInYear=Mr,$r.isoWeeksInYear=Cr,$r.date=Er,$r.day=$r.days=Ve,$r.weekday=He,$r.isoWeekday=Ue,$r.dayOfYear=qr,$r.hour=$r.hours=ln,$r.minute=$r.minutes=Lr,$r.second=$r.seconds=Pr,$r.millisecond=$r.milliseconds=Nr,$r.utcOffset=pi,$r.utc=vi,$r.local=gi,$r.parseZone=_i,$r.hasAlignedHourOffset=yi,$r.isDST=bi,$r.isLocal=xi,$r.isUtcOffset=ki,$r.isUtc=Si,$r.isUTC=Si,$r.zoneAbbr=Ir,$r.zoneName=jr,$r.dates=A("dates accessor is deprecated. Use date instead.",Er),$r.months=A("months accessor is deprecated. Use month instead",fe),$r.years=A("years accessor is deprecated. Use year instead",Kt),$r.zone=A("moment().zone is deprecated, use moment().utcOffset instead. http://momentjs.com/guides/#/warnings/zone/",mi),$r.isDSTShifted=A("isDSTShifted is deprecated. See http://momentjs.com/guides/#/warnings/dst-shifted/ for more information",wi);var Vr=N.prototype;function Hr(t,e,n,i){var r=_n(),o=m().set(i,e);return r[n](o,t)}function Ur(t,e,n){if(c(t)&&(e=t,t=void 0),t=t||"",null!=e)return Hr(t,e,n,"month");var i,r=[];for(i=0;i<12;i++)r[i]=Hr(t,i,n,"month");return r}function Wr(t,e,n,i){"boolean"==typeof t?(c(e)&&(n=e,e=void 0),e=e||""):(n=e=t,t=!1,c(e)&&(n=e,e=void 0),e=e||"");var r,o=_n(),a=t?o._week.dow:0;if(null!=n)return Hr(e,(n+a)%7,i,"day");var s=[];for(r=0;r<7;r++)s[r]=Hr(e,(r+a)%7,i,"day");return s}function Yr(t,e){return Ur(t,e,"months")}function Qr(t,e){return Ur(t,e,"monthsShort")}function Gr(t,e,n){return Wr(t,e,n,"weekdays")}function Kr(t,e,n){return Wr(t,e,n,"weekdaysShort")}function Zr(t,e,n){return Wr(t,e,n,"weekdaysMin")}Vr.calendar=j,Vr.longDateFormat=F,Vr.invalidDate=z,Vr.ordinal=U,Vr.preparse=zr,Vr.postformat=zr,Vr.relativeTime=Y,Vr.pastFuture=Q,Vr.set=P,Vr.months=se,Vr.monthsShort=ue,Vr.monthsParse=de,Vr.monthsRegex=_e,Vr.monthsShortRegex=ve,Vr.week=Me,Vr.firstDayOfYear=Ae,Vr.firstDayOfWeek=Oe,Vr.weekdays=Ne,Vr.weekdaysMin=Fe,Vr.weekdaysShort=je,Vr.weekdaysParse=ze,Vr.weekdaysRegex=Ye,Vr.weekdaysShortRegex=Ge,Vr.weekdaysMinRegex=Ze,Vr.isPM=rn,Vr.meridiem=an,mn("en",{dayOfMonthOrdinalParse:/\d{1,2}(th|st|nd|rd)/,ordinal:function(t){var e=t%10;return t+(1===M(t%100/10)?"th":1===e?"st":2===e?"nd":3===e?"rd":"th")}}),r.lang=A("moment.lang is deprecated. Use moment.locale instead.",mn),r.langData=A("moment.langData is deprecated. Use moment.localeData instead.",_n);var Jr=Math.abs;function Xr(){var t=this._data;return this._milliseconds=Jr(this._milliseconds),this._days=Jr(this._days),this._months=Jr(this._months),t.milliseconds=Jr(t.milliseconds),t.seconds=Jr(t.seconds),t.minutes=Jr(t.minutes),t.hours=Jr(t.hours),t.months=Jr(t.months),t.years=Jr(t.years),this}function to(t,e,n,i){var r=Ti(e,n);return t._milliseconds+=i*r._milliseconds,t._days+=i*r._days,t._months+=i*r._months,t._bubble()}function eo(t,e){return to(this,t,e,1)}function no(t,e){return to(this,t,e,-1)}function io(t){return t<0?Math.floor(t):Math.ceil(t)}function ro(){var t,e,n,i,r,o=this._milliseconds,a=this._days,s=this._months,l=this._data;return o>=0&&a>=0&&s>=0||o<=0&&a<=0&&s<=0||(o+=864e5*io(ao(s)+a),a=0,s=0),l.milliseconds=o%1e3,t=C(o/1e3),l.seconds=t%60,e=C(t/60),l.minutes=e%60,n=C(e/60),l.hours=n%24,a+=C(n/24),s+=r=C(oo(a)),a-=io(ao(r)),i=C(s/12),s%=12,l.days=a,l.months=s,l.years=i,this}function oo(t){return 4800*t/146097}function ao(t){return 146097*t/4800}function so(t){if(!this.isValid())return NaN;var e,n,i=this._milliseconds;if("month"===(t=Z(t))||"quarter"===t||"year"===t)switch(e=this._days+i/864e5,n=this._months+oo(e),t){case"month":return n;case"quarter":return n/3;case"year":return n/12}else switch(e=this._days+Math.round(ao(this._months)),t){case"week":return e/7+i/6048e5;case"day":return e+i/864e5;case"hour":return 24*e+i/36e5;case"minute":return 1440*e+i/6e4;case"second":return 86400*e+i/1e3;case"millisecond":return Math.floor(864e5*e)+i;default:throw new Error("Unknown unit "+t)}}function lo(){return this.isValid()?this._milliseconds+864e5*this._days+this._months%12*2592e6+31536e6*M(this._months/12):NaN}function uo(t){return function(){return this.as(t)}}var co=uo("ms"),ho=uo("s"),fo=uo("m"),po=uo("h"),mo=uo("d"),vo=uo("w"),go=uo("M"),_o=uo("Q"),yo=uo("y");function bo(){return Ti(this)}function wo(t){return t=Z(t),this.isValid()?this[t+"s"]():NaN}function xo(t){return function(){return this.isValid()?this._data[t]:NaN}}var ko=xo("milliseconds"),So=xo("seconds"),Co=xo("minutes"),Mo=xo("hours"),To=xo("days"),Oo=xo("months"),Ao=xo("years");function Eo(){return C(this.days()/7)}var qo=Math.round,Lo={ss:44,s:45,m:45,h:22,d:26,M:11};function Do(t,e,n,i,r){return r.relativeTime(e||1,!!n,t,i)}function Po(t,e,n){var i=Ti(t).abs(),r=qo(i.as("s")),o=qo(i.as("m")),a=qo(i.as("h")),s=qo(i.as("d")),l=qo(i.as("M")),u=qo(i.as("y")),c=r<=Lo.ss&&["s",r]||r<Lo.s&&["ss",r]||o<=1&&["m"]||o<Lo.m&&["mm",o]||a<=1&&["h"]||a<Lo.h&&["hh",a]||s<=1&&["d"]||s<Lo.d&&["dd",s]||l<=1&&["M"]||l<Lo.M&&["MM",l]||u<=1&&["y"]||["yy",u];return c[2]=e,c[3]=+t>0,c[4]=n,Do.apply(null,c)}function Ro(t){return void 0===t?qo:"function"==typeof t&&(qo=t,!0)}function No(t,e){return void 0!==Lo[t]&&(void 0===e?Lo[t]:(Lo[t]=e,"s"===t&&(Lo.ss=e-1),!0))}function Io(t){if(!this.isValid())return this.localeData().invalidDate();var e=this.localeData(),n=Po(this,!t,e);return t&&(n=e.pastFuture(+this,n)),e.postformat(n)}var jo=Math.abs;function $o(t){return(t>0)-(t<0)||+t}function Fo(){if(!this.isValid())return this.localeData().invalidDate();var t,e,n=jo(this._milliseconds)/1e3,i=jo(this._days),r=jo(this._months);t=C(n/60),e=C(t/60),n%=60,t%=60;var o=C(r/12),a=r%=12,s=i,l=e,u=t,c=n?n.toFixed(3).replace(/\.?0+$/,""):"",d=this.asSeconds();if(!d)return"P0D";var h=d<0?"-":"",f=$o(this._months)!==$o(d)?"-":"",p=$o(this._days)!==$o(d)?"-":"",m=$o(this._milliseconds)!==$o(d)?"-":"";return h+"P"+(o?f+o+"Y":"")+(a?f+a+"M":"")+(s?p+s+"D":"")+(l||u||c?"T":"")+(l?m+l+"H":"")+(u?m+u+"M":"")+(c?m+c+"S":"")}var Bo=ai.prototype;return Bo.isValid=ri,Bo.abs=Xr,Bo.add=eo,Bo.subtract=no,Bo.as=so,Bo.asMilliseconds=co,Bo.asSeconds=ho,Bo.asMinutes=fo,Bo.asHours=po,Bo.asDays=mo,Bo.asWeeks=vo,Bo.asMonths=go,Bo.asQuarters=_o,Bo.asYears=yo,Bo.valueOf=lo,Bo._bubble=ro,Bo.clone=bo,Bo.get=wo,Bo.milliseconds=ko,Bo.seconds=So,Bo.minutes=Co,Bo.hours=Mo,Bo.days=To,Bo.weeks=Eo,Bo.months=Oo,Bo.years=Ao,Bo.humanize=Io,Bo.toISOString=Fo,Bo.toString=Fo,Bo.toJSON=Fo,Bo.locale=tr,Bo.localeData=nr,Bo.toIsoString=A("toIsoString() is deprecated. Please use toISOString() instead (notice the capitals)",Fo),Bo.lang=er,st("X",0,0,"unix"),st("x",0,0,"valueOf"),Et("x",St),Et("X",Tt),Rt("X",(function(t,e,n){n._d=new Date(1e3*parseFloat(t,10))})),Rt("x",(function(t,e,n){n._d=new Date(M(t))})),r.version="2.24.0",o(Gn),r.fn=$r,r.min=Xn,r.max=ti,r.now=ei,r.utc=m,r.unix=Fr,r.months=Yr,r.isDate=d,r.locale=mn,r.invalid=y,r.duration=Ti,r.isMoment=S,r.weekdays=Gr,r.parseZone=Br,r.localeData=_n,r.isDuration=si,r.monthsShort=Qr,r.weekdaysMin=Zr,r.defineLocale=vn,r.updateLocale=gn,r.locales=yn,r.weekdaysShort=Kr,r.normalizeUnits=Z,r.relativeTimeRounding=Ro,r.relativeTimeThreshold=No,r.calendarFormat=Ri,r.prototype=$r,r.HTML5_FMT={DATETIME_LOCAL:"YYYY-MM-DDTHH:mm",DATETIME_LOCAL_SECONDS:"YYYY-MM-DDTHH:mm:ss",DATETIME_LOCAL_MS:"YYYY-MM-DDTHH:mm:ss.SSS",DATE:"YYYY-MM-DD",TIME:"HH:mm",TIME_SECONDS:"HH:mm:ss",TIME_MS:"HH:mm:ss.SSS",WEEK:"GGGG-[W]WW",MONTH:"YYYY-MM"},r}()})),mi={datetime:"MMM D, YYYY, h:mm:ss a",millisecond:"h:mm:ss.SSS a",second:"h:mm:ss a",minute:"h:mm a",hour:"hA",day:"MMM D",week:"ll",month:"MMM YYYY",quarter:"[Q]Q - YYYY",year:"YYYY"};on._date.override("function"==typeof pi?{_id:"moment",formats:function(){return mi},parse:function(t,e){return"string"==typeof t&&"string"==typeof e?t=pi(t,e):t instanceof pi||(t=pi(t)),t.isValid()?t.valueOf():null},format:function(t,e){return pi(t).format(e)},add:function(t,e,n){return pi(t).add(e,n).valueOf()},diff:function(t,e,n){return pi(t).diff(pi(e),n)},startOf:function(t,e,n){return t=pi(t),"isoWeek"===e?t.isoWeekday(n).valueOf():t.startOf(e).valueOf()},endOf:function(t,e){return pi(t).endOf(e).valueOf()},_create:function(t){return pi(t)}}:{}),I._set("global",{plugins:{filler:{propagate:!0}}});var vi={dataset:function(t){var e=t.fill,n=t.chart,i=n.getDatasetMeta(e),r=i&&n.isDatasetVisible(e)&&i.dataset._children||[],o=r.length||0;return o?function(t,e){return e<o&&r[e]._view||null}:null},boundary:function(t){var e=t.boundary,n=e?e.x:null,i=e?e.y:null;return V.isArray(e)?function(t,n){return e[n]}:function(t){return{x:null===n?t.x:n,y:null===i?t.y:i}}}};function gi(t,e,n){var i,r=t._model||{},o=r.fill;if(void 0===o&&(o=!!r.backgroundColor),!1===o||null===o)return!1;if(!0===o)return"origin";if(i=parseFloat(o,10),isFinite(i)&&Math.floor(i)===i)return"-"!==o[0]&&"+"!==o[0]||(i=e+i),!(i===e||i<0||i>=n)&&i;switch(o){case"bottom":return"start";case"top":return"end";case"zero":return"origin";case"origin":case"start":case"end":return o;default:return!1}}function _i(t){return(t.el._scale||{}).getPointPositionForValue?function(t){var e,n,i,r,o,a=t.el._scale,s=a.options,l=a.chart.data.labels.length,u=t.fill,c=[];if(!l)return null;for(e=s.ticks.reverse?a.max:a.min,n=s.ticks.reverse?a.min:a.max,i=a.getPointPositionForValue(0,e),r=0;r<l;++r)o="start"===u||"end"===u?a.getPointPositionForValue(r,"start"===u?e:n):a.getBasePosition(r),s.gridLines.circular&&(o.cx=i.x,o.cy=i.y,o.angle=a.getIndexAngle(r)-Math.PI/2),c.push(o);return c}(t):function(t){var e,n=t.el._model||{},i=t.el._scale||{},r=t.fill,o=null;if(isFinite(r))return null;if("start"===r?o=void 0===n.scaleBottom?i.bottom:n.scaleBottom:"end"===r?o=void 0===n.scaleTop?i.top:n.scaleTop:void 0!==n.scaleZero?o=n.scaleZero:i.getBasePixel&&(o=i.getBasePixel()),null!=o){if(void 0!==o.x&&void 0!==o.y)return o;if(V.isFinite(o))return{x:(e=i.isHorizontal())?o:null,y:e?null:o}}return null}(t)}function yi(t,e,n){var i,r=t[e].fill,o=[e];if(!n)return r;for(;!1!==r&&-1===o.indexOf(r);){if(!isFinite(r))return r;if(!(i=t[r]))return!1;if(i.visible)return r;o.push(r),r=i.fill}return!1}function bi(t){var e=t.fill,n="dataset";return!1===e?null:(isFinite(e)||(n="boundary"),vi[n](t))}function wi(t){return t&&!t.skip}function xi(t,e,n,i,r){var o,a,s,l;if(i&&r){for(t.moveTo(e[0].x,e[0].y),o=1;o<i;++o)V.canvas.lineTo(t,e[o-1],e[o]);if(void 0===n[0].angle)for(t.lineTo(n[r-1].x,n[r-1].y),o=r-1;o>0;--o)V.canvas.lineTo(t,n[o],n[o-1],!0);else for(a=n[0].cx,s=n[0].cy,l=Math.sqrt(Math.pow(n[0].x-a,2)+Math.pow(n[0].y-s,2)),o=r-1;o>0;--o)t.arc(a,s,l,n[o].angle,n[o-1].angle,!0)}}function ki(t,e,n,i,r,o){var a,s,l,u,c,d,h,f,p=e.length,m=i.spanGaps,v=[],g=[],_=0,y=0;for(t.beginPath(),a=0,s=p;a<s;++a)c=n(u=e[l=a%p]._view,l,i),d=wi(u),h=wi(c),o&&void 0===f&&d&&(s=p+(f=a+1)),d&&h?(_=v.push(u),y=g.push(c)):_&&y&&(m?(d&&v.push(u),h&&g.push(c)):(xi(t,v,g,_,y),_=y=0,v=[],g=[]));xi(t,v,g,_,y),t.closePath(),t.fillStyle=r,t.fill()}var Si={id:"filler",afterDatasetsUpdate:function(t,e){var n,i,r,o,a=(t.data.datasets||[]).length,s=e.propagate,l=[];for(i=0;i<a;++i)o=null,(r=(n=t.getDatasetMeta(i)).dataset)&&r._model&&r instanceof kt.Line&&(o={visible:t.isDatasetVisible(i),fill:gi(r,i,a),chart:t,el:r}),n.$filler=o,l.push(o);for(i=0;i<a;++i)(o=l[i])&&(o.fill=yi(l,i,s),o.boundary=_i(o),o.mapper=bi(o))},beforeDatasetsDraw:function(t){var e,n,i,r,o,a,s,l=t._getSortedVisibleDatasetMetas(),u=t.ctx;for(n=l.length-1;n>=0;--n)(e=l[n].$filler)&&e.visible&&(r=(i=e.el)._view,o=i._children||[],a=e.mapper,s=r.backgroundColor||I.global.defaultColor,a&&s&&o.length&&(V.canvas.clipArea(u,t.chartArea),ki(u,o,a,r,s,i._loop),V.canvas.unclipArea(u)))}},Ci=V.rtl.getRtlAdapter,Mi=V.noop,Ti=V.valueOrDefault;function Oi(t,e){return t.usePointStyle&&t.boxWidth>e?e:t.boxWidth}I._set("global",{legend:{display:!0,position:"top",align:"center",fullWidth:!0,reverse:!1,weight:1e3,onClick:function(t,e){var n=e.datasetIndex,i=this.chart,r=i.getDatasetMeta(n);r.hidden=null===r.hidden?!i.data.datasets[n].hidden:null,i.update()},onHover:null,onLeave:null,labels:{boxWidth:40,padding:10,generateLabels:function(t){var e=t.data.datasets,n=t.options.legend||{},i=n.labels&&n.labels.usePointStyle;return t._getSortedDatasetMetas().map((function(n){var r=n.controller.getStyle(i?0:void 0);return{text:e[n.index].label,fillStyle:r.backgroundColor,hidden:!t.isDatasetVisible(n.index),lineCap:r.borderCapStyle,lineDash:r.borderDash,lineDashOffset:r.borderDashOffset,lineJoin:r.borderJoinStyle,lineWidth:r.borderWidth,strokeStyle:r.borderColor,pointStyle:r.pointStyle,rotation:r.rotation,datasetIndex:n.index}}),this)}}},legendCallback:function(t){var e,n,i,r=document.createElement("ul"),o=t.data.datasets;for(r.setAttribute("class",t.id+"-legend"),e=0,n=o.length;e<n;e++)(i=r.appendChild(document.createElement("li"))).appendChild(document.createElement("span")).style.backgroundColor=o[e].backgroundColor,o[e].label&&i.appendChild(document.createTextNode(o[e].label));return r.outerHTML}});var Ai=K.extend({initialize:function(t){var e=this;V.extend(e,t),e.legendHitBoxes=[],e._hoveredItem=null,e.doughnutMode=!1},beforeUpdate:Mi,update:function(t,e,n){var i=this;return i.beforeUpdate(),i.maxWidth=t,i.maxHeight=e,i.margins=n,i.beforeSetDimensions(),i.setDimensions(),i.afterSetDimensions(),i.beforeBuildLabels(),i.buildLabels(),i.afterBuildLabels(),i.beforeFit(),i.fit(),i.afterFit(),i.afterUpdate(),i.minSize},afterUpdate:Mi,beforeSetDimensions:Mi,setDimensions:function(){var t=this;t.isHorizontal()?(t.width=t.maxWidth,t.left=0,t.right=t.width):(t.height=t.maxHeight,t.top=0,t.bottom=t.height),t.paddingLeft=0,t.paddingTop=0,t.paddingRight=0,t.paddingBottom=0,t.minSize={width:0,height:0}},afterSetDimensions:Mi,beforeBuildLabels:Mi,buildLabels:function(){var t=this,e=t.options.labels||{},n=V.callback(e.generateLabels,[t.chart],t)||[];e.filter&&(n=n.filter((function(n){return e.filter(n,t.chart.data)}))),t.options.reverse&&n.reverse(),t.legendItems=n},afterBuildLabels:Mi,beforeFit:Mi,fit:function(){var t=this,e=t.options,n=e.labels,i=e.display,r=t.ctx,o=V.options._parseFont(n),a=o.size,s=t.legendHitBoxes=[],l=t.minSize,u=t.isHorizontal();if(u?(l.width=t.maxWidth,l.height=i?10:0):(l.width=i?10:0,l.height=t.maxHeight),i){if(r.font=o.string,u){var c=t.lineWidths=[0],d=0;r.textAlign="left",r.textBaseline="middle",V.each(t.legendItems,(function(t,e){var i=Oi(n,a)+a/2+r.measureText(t.text).width;(0===e||c[c.length-1]+i+2*n.padding>l.width)&&(d+=a+n.padding,c[c.length-(e>0?0:1)]=0),s[e]={left:0,top:0,width:i,height:a},c[c.length-1]+=i+n.padding})),l.height+=d}else{var h=n.padding,f=t.columnWidths=[],p=t.columnHeights=[],m=n.padding,v=0,g=0;V.each(t.legendItems,(function(t,e){var i=Oi(n,a)+a/2+r.measureText(t.text).width;e>0&&g+a+2*h>l.height&&(m+=v+n.padding,f.push(v),p.push(g),v=0,g=0),v=Math.max(v,i),g+=a+h,s[e]={left:0,top:0,width:i,height:a}})),m+=v,f.push(v),p.push(g),l.width+=m}t.width=l.width,t.height=l.height}else t.width=l.width=t.height=l.height=0},afterFit:Mi,isHorizontal:function(){return"top"===this.options.position||"bottom"===this.options.position},draw:function(){var t=this,e=t.options,n=e.labels,i=I.global,r=i.defaultColor,o=i.elements.line,a=t.height,s=t.columnHeights,l=t.width,u=t.lineWidths;if(e.display){var c,d=Ci(e.rtl,t.left,t.minSize.width),h=t.ctx,f=Ti(n.fontColor,i.defaultFontColor),p=V.options._parseFont(n),m=p.size;h.textAlign=d.textAlign("left"),h.textBaseline="middle",h.lineWidth=.5,h.strokeStyle=f,h.fillStyle=f,h.font=p.string;var v=Oi(n,m),g=t.legendHitBoxes,_=function(t,i){switch(e.align){case"start":return n.padding;case"end":return t-i;default:return(t-i+n.padding)/2}},y=t.isHorizontal();c=y?{x:t.left+_(l,u[0]),y:t.top+n.padding,line:0}:{x:t.left+n.padding,y:t.top+_(a,s[0]),line:0},V.rtl.overrideTextDirection(t.ctx,e.textDirection);var b=m+n.padding;V.each(t.legendItems,(function(e,i){var f=h.measureText(e.text).width,p=v+m/2+f,w=c.x,x=c.y;d.setWidth(t.minSize.width),y?i>0&&w+p+n.padding>t.left+t.minSize.width&&(x=c.y+=b,c.line++,w=c.x=t.left+_(l,u[c.line])):i>0&&x+b>t.top+t.minSize.height&&(w=c.x=w+t.columnWidths[c.line]+n.padding,c.line++,x=c.y=t.top+_(a,s[c.line]));var k=d.x(w);!function(t,e,i){if(!(isNaN(v)||v<=0)){h.save();var a=Ti(i.lineWidth,o.borderWidth);if(h.fillStyle=Ti(i.fillStyle,r),h.lineCap=Ti(i.lineCap,o.borderCapStyle),h.lineDashOffset=Ti(i.lineDashOffset,o.borderDashOffset),h.lineJoin=Ti(i.lineJoin,o.borderJoinStyle),h.lineWidth=a,h.strokeStyle=Ti(i.strokeStyle,r),h.setLineDash&&h.setLineDash(Ti(i.lineDash,o.borderDash)),n&&n.usePointStyle){var s=v*Math.SQRT2/2,l=d.xPlus(t,v/2),u=e+m/2;V.canvas.drawPoint(h,i.pointStyle,s,l,u,i.rotation)}else h.fillRect(d.leftForLtr(t,v),e,v,m),0!==a&&h.strokeRect(d.leftForLtr(t,v),e,v,m);h.restore()}}(k,x,e),g[i].left=d.leftForLtr(k,g[i].width),g[i].top=x,function(t,e,n,i){var r=m/2,o=d.xPlus(t,v+r),a=e+r;h.fillText(n.text,o,a),n.hidden&&(h.beginPath(),h.lineWidth=2,h.moveTo(o,a),h.lineTo(d.xPlus(o,i),a),h.stroke())}(k,x,e,f),y?c.x+=p+n.padding:c.y+=b})),V.rtl.restoreTextDirection(t.ctx,e.textDirection)}},_getLegendItemAt:function(t,e){var n,i,r,o=this;if(t>=o.left&&t<=o.right&&e>=o.top&&e<=o.bottom)for(r=o.legendHitBoxes,n=0;n<r.length;++n)if(t>=(i=r[n]).left&&t<=i.left+i.width&&e>=i.top&&e<=i.top+i.height)return o.legendItems[n];return null},handleEvent:function(t){var e,n=this,i=n.options,r="mouseup"===t.type?"click":t.type;if("mousemove"===r){if(!i.onHover&&!i.onLeave)return}else{if("click"!==r)return;if(!i.onClick)return}e=n._getLegendItemAt(t.x,t.y),"click"===r?e&&i.onClick&&i.onClick.call(n,t.native,e):(i.onLeave&&e!==n._hoveredItem&&(n._hoveredItem&&i.onLeave.call(n,t.native,n._hoveredItem),n._hoveredItem=e),i.onHover&&e&&i.onHover.call(n,t.native,e))}});function Ei(t,e){var n=new Ai({ctx:t.ctx,options:e,chart:t});pe.configure(t,n,e),pe.addBox(t,n),t.legend=n}var qi={id:"legend",_element:Ai,beforeInit:function(t){var e=t.options.legend;e&&Ei(t,e)},beforeUpdate:function(t){var e=t.options.legend,n=t.legend;e?(V.mergeIf(e,I.global.legend),n?(pe.configure(t,n,e),n.options=e):Ei(t,e)):n&&(pe.removeBox(t,n),delete t.legend)},afterEvent:function(t,e){var n=t.legend;n&&n.handleEvent(e)}},Li=V.noop;I._set("global",{title:{display:!1,fontStyle:"bold",fullWidth:!0,padding:10,position:"top",text:"",weight:2e3}});var Di=K.extend({initialize:function(t){V.extend(this,t),this.legendHitBoxes=[]},beforeUpdate:Li,update:function(t,e,n){var i=this;return i.beforeUpdate(),i.maxWidth=t,i.maxHeight=e,i.margins=n,i.beforeSetDimensions(),i.setDimensions(),i.afterSetDimensions(),i.beforeBuildLabels(),i.buildLabels(),i.afterBuildLabels(),i.beforeFit(),i.fit(),i.afterFit(),i.afterUpdate(),i.minSize},afterUpdate:Li,beforeSetDimensions:Li,setDimensions:function(){var t=this;t.isHorizontal()?(t.width=t.maxWidth,t.left=0,t.right=t.width):(t.height=t.maxHeight,t.top=0,t.bottom=t.height),t.paddingLeft=0,t.paddingTop=0,t.paddingRight=0,t.paddingBottom=0,t.minSize={width:0,height:0}},afterSetDimensions:Li,beforeBuildLabels:Li,buildLabels:Li,afterBuildLabels:Li,beforeFit:Li,fit:function(){var t,e=this,n=e.options,i=e.minSize={},r=e.isHorizontal();n.display?(t=(V.isArray(n.text)?n.text.length:1)*V.options._parseFont(n).lineHeight+2*n.padding,e.width=i.width=r?e.maxWidth:t,e.height=i.height=r?t:e.maxHeight):e.width=i.width=e.height=i.height=0},afterFit:Li,isHorizontal:function(){var t=this.options.position;return"top"===t||"bottom"===t},draw:function(){var t=this,e=t.ctx,n=t.options;if(n.display){var i,r,o,a=V.options._parseFont(n),s=a.lineHeight,l=s/2+n.padding,u=0,c=t.top,d=t.left,h=t.bottom,f=t.right;e.fillStyle=V.valueOrDefault(n.fontColor,I.global.defaultFontColor),e.font=a.string,t.isHorizontal()?(r=d+(f-d)/2,o=c+l,i=f-d):(r="left"===n.position?d+l:f-l,o=c+(h-c)/2,i=h-c,u=Math.PI*("left"===n.position?-.5:.5)),e.save(),e.translate(r,o),e.rotate(u),e.textAlign="center",e.textBaseline="middle";var p=n.text;if(V.isArray(p))for(var m=0,v=0;v<p.length;++v)e.fillText(p[v],0,m,i),m+=s;else e.fillText(p,0,0,i);e.restore()}}});function Pi(t,e){var n=new Di({ctx:t.ctx,options:e,chart:t});pe.configure(t,n,e),pe.addBox(t,n),t.titleBlock=n}var Ri={},Ni=Si,Ii=qi,ji={id:"title",_element:Di,beforeInit:function(t){var e=t.options.title;e&&Pi(t,e)},beforeUpdate:function(t){var e=t.options.title,n=t.titleBlock;e?(V.mergeIf(e,I.global.title),n?(pe.configure(t,n,e),n.options=e):Pi(t,e)):n&&(pe.removeBox(t,n),delete t.titleBlock)}};for(var $i in Ri.filler=Ni,Ri.legend=Ii,Ri.title=ji,en.helpers=V,function(){function t(t,e,n){var i;return"string"==typeof t?(i=parseInt(t,10),-1!==t.indexOf("%")&&(i=i/100*e.parentNode[n])):i=t,i}function e(t){return null!=t&&"none"!==t}function n(n,i,r){var o=document.defaultView,a=V._getParentNode(n),s=o.getComputedStyle(n)[i],l=o.getComputedStyle(a)[i],u=e(s),c=e(l),d=Number.POSITIVE_INFINITY;return u||c?Math.min(u?t(s,n,r):d,c?t(l,a,r):d):"none"}V.where=function(t,e){if(V.isArray(t)&&Array.prototype.filter)return t.filter(e);var n=[];return V.each(t,(function(t){e(t)&&n.push(t)})),n},V.findIndex=Array.prototype.findIndex?function(t,e,n){return t.findIndex(e,n)}:function(t,e,n){n=void 0===n?t:n;for(var i=0,r=t.length;i<r;++i)if(e.call(n,t[i],i,t))return i;return-1},V.findNextWhere=function(t,e,n){V.isNullOrUndef(n)&&(n=-1);for(var i=n+1;i<t.length;i++){var r=t[i];if(e(r))return r}},V.findPreviousWhere=function(t,e,n){V.isNullOrUndef(n)&&(n=t.length);for(var i=n-1;i>=0;i--){var r=t[i];if(e(r))return r}},V.isNumber=function(t){return!isNaN(parseFloat(t))&&isFinite(t)},V.almostEquals=function(t,e,n){return Math.abs(t-e)<n},V.almostWhole=function(t,e){var n=Math.round(t);return n-e<=t&&n+e>=t},V.max=function(t){return t.reduce((function(t,e){return isNaN(e)?t:Math.max(t,e)}),Number.NEGATIVE_INFINITY)},V.min=function(t){return t.reduce((function(t,e){return isNaN(e)?t:Math.min(t,e)}),Number.POSITIVE_INFINITY)},V.sign=Math.sign?function(t){return Math.sign(t)}:function(t){return 0===(t=+t)||isNaN(t)?t:t>0?1:-1},V.toRadians=function(t){return t*(Math.PI/180)},V.toDegrees=function(t){return t*(180/Math.PI)},V._decimalPlaces=function(t){if(V.isFinite(t)){for(var e=1,n=0;Math.round(t*e)/e!==t;)e*=10,n++;return n}},V.getAngleFromPoint=function(t,e){var n=e.x-t.x,i=e.y-t.y,r=Math.sqrt(n*n+i*i),o=Math.atan2(i,n);return o<-.5*Math.PI&&(o+=2*Math.PI),{angle:o,distance:r}},V.distanceBetweenPoints=function(t,e){return Math.sqrt(Math.pow(e.x-t.x,2)+Math.pow(e.y-t.y,2))},V.aliasPixel=function(t){return t%2==0?0:.5},V._alignPixel=function(t,e,n){var i=t.currentDevicePixelRatio,r=n/2;return Math.round((e-r)*i)/i+r},V.splineCurve=function(t,e,n,i){var r=t.skip?e:t,o=e,a=n.skip?e:n,s=Math.sqrt(Math.pow(o.x-r.x,2)+Math.pow(o.y-r.y,2)),l=Math.sqrt(Math.pow(a.x-o.x,2)+Math.pow(a.y-o.y,2)),u=s/(s+l),c=l/(s+l),d=i*(u=isNaN(u)?0:u),h=i*(c=isNaN(c)?0:c);return{previous:{x:o.x-d*(a.x-r.x),y:o.y-d*(a.y-r.y)},next:{x:o.x+h*(a.x-r.x),y:o.y+h*(a.y-r.y)}}},V.EPSILON=Number.EPSILON||1e-14,V.splineCurveMonotone=function(t){var e,n,i,r,o,a,s,l,u,c=(t||[]).map((function(t){return{model:t._model,deltaK:0,mK:0}})),d=c.length;for(e=0;e<d;++e)if(!(i=c[e]).model.skip){if(n=e>0?c[e-1]:null,(r=e<d-1?c[e+1]:null)&&!r.model.skip){var h=r.model.x-i.model.x;i.deltaK=0!==h?(r.model.y-i.model.y)/h:0}!n||n.model.skip?i.mK=i.deltaK:!r||r.model.skip?i.mK=n.deltaK:this.sign(n.deltaK)!==this.sign(i.deltaK)?i.mK=0:i.mK=(n.deltaK+i.deltaK)/2}for(e=0;e<d-1;++e)i=c[e],r=c[e+1],i.model.skip||r.model.skip||(V.almostEquals(i.deltaK,0,this.EPSILON)?i.mK=r.mK=0:(o=i.mK/i.deltaK,a=r.mK/i.deltaK,(l=Math.pow(o,2)+Math.pow(a,2))<=9||(s=3/Math.sqrt(l),i.mK=o*s*i.deltaK,r.mK=a*s*i.deltaK)));for(e=0;e<d;++e)(i=c[e]).model.skip||(n=e>0?c[e-1]:null,r=e<d-1?c[e+1]:null,n&&!n.model.skip&&(u=(i.model.x-n.model.x)/3,i.model.controlPointPreviousX=i.model.x-u,i.model.controlPointPreviousY=i.model.y-u*i.mK),r&&!r.model.skip&&(u=(r.model.x-i.model.x)/3,i.model.controlPointNextX=i.model.x+u,i.model.controlPointNextY=i.model.y+u*i.mK))},V.nextItem=function(t,e,n){return n?e>=t.length-1?t[0]:t[e+1]:e>=t.length-1?t[t.length-1]:t[e+1]},V.previousItem=function(t,e,n){return n?e<=0?t[t.length-1]:t[e-1]:e<=0?t[0]:t[e-1]},V.niceNum=function(t,e){var n=Math.floor(V.log10(t)),i=t/Math.pow(10,n);return(e?i<1.5?1:i<3?2:i<7?5:10:i<=1?1:i<=2?2:i<=5?5:10)*Math.pow(10,n)},V.requestAnimFrame="undefined"==typeof window?function(t){t()}:window.requestAnimationFrame||window.webkitRequestAnimationFrame||window.mozRequestAnimationFrame||window.oRequestAnimationFrame||window.msRequestAnimationFrame||function(t){return window.setTimeout(t,1e3/60)},V.getRelativePosition=function(t,e){var n,i,r=t.originalEvent||t,o=t.target||t.srcElement,a=o.getBoundingClientRect(),s=r.touches;s&&s.length>0?(n=s[0].clientX,i=s[0].clientY):(n=r.clientX,i=r.clientY);var l=parseFloat(V.getStyle(o,"padding-left")),u=parseFloat(V.getStyle(o,"padding-top")),c=parseFloat(V.getStyle(o,"padding-right")),d=parseFloat(V.getStyle(o,"padding-bottom")),h=a.right-a.left-l-c,f=a.bottom-a.top-u-d;return{x:n=Math.round((n-a.left-l)/h*o.width/e.currentDevicePixelRatio),y:i=Math.round((i-a.top-u)/f*o.height/e.currentDevicePixelRatio)}},V.getConstraintWidth=function(t){return n(t,"max-width","clientWidth")},V.getConstraintHeight=function(t){return n(t,"max-height","clientHeight")},V._calculatePadding=function(t,e,n){return(e=V.getStyle(t,e)).indexOf("%")>-1?n*parseInt(e,10)/100:parseInt(e,10)},V._getParentNode=function(t){var e=t.parentNode;return e&&"[object ShadowRoot]"===e.toString()&&(e=e.host),e},V.getMaximumWidth=function(t){var e=V._getParentNode(t);if(!e)return t.clientWidth;var n=e.clientWidth,i=n-V._calculatePadding(e,"padding-left",n)-V._calculatePadding(e,"padding-right",n),r=V.getConstraintWidth(t);return isNaN(r)?i:Math.min(i,r)},V.getMaximumHeight=function(t){var e=V._getParentNode(t);if(!e)return t.clientHeight;var n=e.clientHeight,i=n-V._calculatePadding(e,"padding-top",n)-V._calculatePadding(e,"padding-bottom",n),r=V.getConstraintHeight(t);return isNaN(r)?i:Math.min(i,r)},V.getStyle=function(t,e){return t.currentStyle?t.currentStyle[e]:document.defaultView.getComputedStyle(t,null).getPropertyValue(e)},V.retinaScale=function(t,e){var n=t.currentDevicePixelRatio=e||"undefined"!=typeof window&&window.devicePixelRatio||1;if(1!==n){var i=t.canvas,r=t.height,o=t.width;i.height=r*n,i.width=o*n,t.ctx.scale(n,n),i.style.height||i.style.width||(i.style.height=r+"px",i.style.width=o+"px")}},V.fontString=function(t,e,n){return e+" "+t+"px "+n},V.longestText=function(t,e,n,i){var r=(i=i||{}).data=i.data||{},o=i.garbageCollect=i.garbageCollect||[];i.font!==e&&(r=i.data={},o=i.garbageCollect=[],i.font=e),t.font=e;var a,s,l,u,c,d=0,h=n.length;for(a=0;a<h;a++)if(null!=(u=n[a])&&!0!==V.isArray(u))d=V.measureText(t,r,o,d,u);else if(V.isArray(u))for(s=0,l=u.length;s<l;s++)null==(c=u[s])||V.isArray(c)||(d=V.measureText(t,r,o,d,c));var f=o.length/2;if(f>n.length){for(a=0;a<f;a++)delete r[o[a]];o.splice(0,f)}return d},V.measureText=function(t,e,n,i,r){var o=e[r];return o||(o=e[r]=t.measureText(r).width,n.push(r)),o>i&&(i=o),i},V.numberOfLabelLines=function(t){var e=1;return V.each(t,(function(t){V.isArray(t)&&t.length>e&&(e=t.length)})),e},V.color=x?function(t){return t instanceof CanvasGradient&&(t=I.global.defaultColor),x(t)}:function(t){return console.error("Color.js not found!"),t},V.getHoverColor=function(t){return t instanceof CanvasPattern||t instanceof CanvasGradient?t:V.color(t).saturate(.5).darken(.1).rgbString()}}(),en._adapters=on,en.Animation=J,en.animationService=X,en.controllers=Zt,en.DatasetController=rt,en.defaults=I,en.Element=K,en.elements=kt,en.Interaction=re,en.layouts=pe,en.platform=Pe,en.plugins=Re,en.Scale=bn,en.scaleService=Ne,en.Ticks=an,en.Tooltip=Ye,en.helpers.each(fi,(function(t,e){en.scaleService.registerScaleType(e,t,t._defaults)})),Ri)Ri.hasOwnProperty($i)&&en.plugins.register(Ri[$i]);en.platform.initialize();var Fi=en;return"undefined"!=typeof window&&(window.Chart=en),en.Chart=en,en.Legend=Ri.legend._element,en.Title=Ri.title._element,en.pluginService=en.plugins,en.PluginBase=en.Element.extend({}),en.canvasHelpers=en.helpers.canvas,en.layoutService=en.layouts,en.LinearScaleBase=Mn,en.helpers.each(["Bar","Bubble","Doughnut","Line","PolarArea","Radar","Scatter"],(function(t){en[t]=function(e,n){return new en(e,en.helpers.merge(n||{},{type:t.charAt(0).toLowerCase()+t.slice(1)}))}})),Fi})),
/*!
 * vue-i18n v8.28.2 
 * (c) 2022 kazuya kawaguchi
 * Released under the MIT License.
 */
function(t,e){"object"==typeof exports&&"undefined"!=typeof module?module.exports=e():"function"==typeof define&&define.amd?define(e):t.VueI18n=e()}(this,(function(){"use strict";var t=["compactDisplay","currency","currencyDisplay","currencySign","localeMatcher","notation","numberingSystem","signDisplay","style","unit","unitDisplay","useGrouping","minimumIntegerDigits","minimumFractionDigits","maximumFractionDigits","minimumSignificantDigits","maximumSignificantDigits"],e=["dateStyle","timeStyle","calendar","localeMatcher","hour12","hourCycle","timeZone","formatMatcher","weekday","era","year","month","day","hour","minute","second","timeZoneName"];function n(t,e){"undefined"!=typeof console&&(console.warn("[vue-i18n] "+t),e&&console.warn(e.stack))}function i(t,e){"undefined"!=typeof console&&(console.error("[vue-i18n] "+t),e&&console.error(e.stack))}var r=Array.isArray;function o(t){return null!==t&&"object"==typeof t}function a(t){return"string"==typeof t}var s=Object.prototype.toString,l="[object Object]";function u(t){return s.call(t)===l}function c(t){return null==t}function d(t){return"function"==typeof t}function h(){for(var t=[],e=arguments.length;e--;)t[e]=arguments[e];var n=null,i=null;return 1===t.length?o(t[0])||r(t[0])?i=t[0]:"string"==typeof t[0]&&(n=t[0]):2===t.length&&("string"==typeof t[0]&&(n=t[0]),(o(t[1])||r(t[1]))&&(i=t[1])),{locale:n,params:i}}function f(t){return JSON.parse(JSON.stringify(t))}function p(t,e){return!!~t.indexOf(e)}var m=Object.prototype.hasOwnProperty;function v(t,e){return m.call(t,e)}function g(t){for(var e=arguments,n=Object(t),i=1;i<arguments.length;i++){var r=e[i];if(null!=r){var a=void 0;for(a in r)v(r,a)&&(o(r[a])?n[a]=g(n[a],r[a]):n[a]=r[a])}}return n}function _(t,e){if(t===e)return!0;var n=o(t),i=o(e);if(!n||!i)return!n&&!i&&String(t)===String(e);try{var a=r(t),s=r(e);if(a&&s)return t.length===e.length&&t.every((function(t,n){return _(t,e[n])}));if(a||s)return!1;var l=Object.keys(t),u=Object.keys(e);return l.length===u.length&&l.every((function(n){return _(t[n],e[n])}))}catch(t){return!1}}var y={name:"i18n",functional:!0,props:{tag:{type:[String,Boolean,Object],default:"span"},path:{type:String,required:!0},locale:{type:String},places:{type:[Array,Object]}},render:function(t,e){var i=e.data,r=e.parent,o=e.props,a=e.slots,s=r.$i18n;if(s){var l=o.path,u=o.locale,c=o.places,d=a(),h=s.i(l,u,function(t){var e;for(e in t)if("default"!==e)return!1;return Boolean(e)}(d)||c?function(t,e){var i=e?function(t){return n("`places` prop is deprecated in next major version. Please switch to Vue slots."),Array.isArray(t)?t.reduce(w,{}):Object.assign({},t)}(e):{};if(!t)return i;t=t.filter((function(t){return t.tag||""!==t.text.trim()}));var r=t.every(x);r&&n("`place` attribute is deprecated in next major version. Please switch to Vue slots.");return t.reduce(r?b:w,i)}(d.default,c):d),f=o.tag&&!0!==o.tag||!1===o.tag?o.tag:"span";return f?t(f,i,h):h}n("Cannot find VueI18n instance!")}};function b(t,e){return e.data&&e.data.attrs&&e.data.attrs.place&&(t[e.data.attrs.place]=e),t}function w(t,e,n){return t[n]=e,t}function x(t){return Boolean(t.data&&t.data.attrs&&t.data.attrs.place)}var k,S={name:"i18n-n",functional:!0,props:{tag:{type:[String,Boolean,Object],default:"span"},value:{type:Number,required:!0},format:{type:[String,Object]},locale:{type:String}},render:function(e,i){var r=i.props,s=i.parent,l=i.data,u=s.$i18n;if(!u)return n("Cannot find VueI18n instance!"),null;var c=null,d=null;a(r.format)?c=r.format:o(r.format)&&(r.format.key&&(c=r.format.key),d=Object.keys(r.format).reduce((function(e,n){var i;return p(t,n)?Object.assign({},e,((i={})[n]=r.format[n],i)):e}),null));var h=r.locale||u.locale,f=u._ntp(r.value,h,c,d),m=f.map((function(t,e){var n,i=l.scopedSlots&&l.scopedSlots[t.type];return i?i(((n={})[t.type]=t.value,n.index=e,n.parts=f,n)):t.value})),v=r.tag&&!0!==r.tag||!1===r.tag?r.tag:"span";return v?e(v,{attrs:l.attrs,class:l.class,staticClass:l.staticClass},m):m}};function C(t,e,n){O(t,n)&&A(t,e,n)}function M(t,e,n,i){if(O(t,n)){var r=n.context.$i18n;(function(t,e){var n=e.context;return t._locale===n.$i18n.locale})(t,n)&&_(e.value,e.oldValue)&&_(t._localeMessage,r.getLocaleMessage(r.locale))||A(t,e,n)}}function T(t,e,i,r){if(i.context){var o=i.context.$i18n||{};e.modifiers.preserve||o.preserveDirectiveContent||(t.textContent=""),t._vt=void 0,delete t._vt,t._locale=void 0,delete t._locale,t._localeMessage=void 0,delete t._localeMessage}else n("Vue instance does not exists in VNode context")}function O(t,e){var i=e.context;return i?!!i.$i18n||(n("VueI18n instance does not exists in Vue instance"),!1):(n("Vue instance does not exists in VNode context"),!1)}function A(t,e,i){var r,o,s=function(t){var e,n,i,r;a(t)?e=t:u(t)&&(e=t.path,n=t.locale,i=t.args,r=t.choice);return{path:e,locale:n,args:i,choice:r}}(e.value),l=s.path,c=s.locale,d=s.args,h=s.choice;if(l||c||d)if(l){var f=i.context;t._vt=t.textContent=null!=h?(r=f.$i18n).tc.apply(r,[l,h].concat(E(c,d))):(o=f.$i18n).t.apply(o,[l].concat(E(c,d))),t._locale=f.$i18n.locale,t._localeMessage=f.$i18n.getLocaleMessage(f.$i18n.locale)}else n("`path` is required in v-t directive");else n("value type not supported")}function E(t,e){var n=[];return t&&n.push(t),e&&(Array.isArray(e)||u(e))&&n.push(e),n}function q(t,e){(void 0===e&&(e={bridge:!1}),q.installed&&t===k)?n("already installed."):(q.installed=!0,((k=t).version&&Number(k.version.split(".")[0])||-1)<2?n("vue-i18n ("+q.version+") need to use Vue 2.0 or later (Vue: "+k.version+")."):(!function(t){t.prototype.hasOwnProperty("$i18n")||Object.defineProperty(t.prototype,"$i18n",{get:function(){return this._i18n}}),t.prototype.$t=function(t){for(var e=[],n=arguments.length-1;n-- >0;)e[n]=arguments[n+1];var i=this.$i18n;return i._t.apply(i,[t,i.locale,i._getMessages(),this].concat(e))},t.prototype.$tc=function(t,e){for(var n=[],i=arguments.length-2;i-- >0;)n[i]=arguments[i+2];var r=this.$i18n;return r._tc.apply(r,[t,r.locale,r._getMessages(),this,e].concat(n))},t.prototype.$te=function(t,e){var n=this.$i18n;return n._te(t,n.locale,n._getMessages(),e)},t.prototype.$d=function(t){for(var e,n=[],i=arguments.length-1;i-- >0;)n[i]=arguments[i+1];return(e=this.$i18n).d.apply(e,[t].concat(n))},t.prototype.$n=function(t){for(var e,n=[],i=arguments.length-1;i-- >0;)n[i]=arguments[i+1];return(e=this.$i18n).n.apply(e,[t].concat(n))}}(k),k.mixin(function(t){function e(){this!==this.$root&&this.$options.__INTLIFY_META__&&this.$el&&this.$el.setAttribute("data-intlify",this.$options.__INTLIFY_META__)}return void 0===t&&(t=!1),t?{mounted:e}:{beforeCreate:function(){var t=this.$options;if(t.i18n=t.i18n||(t.__i18nBridge||t.__i18n?{}:null),t.i18n)if(t.i18n instanceof Y){if(t.__i18nBridge||t.__i18n)try{var e=t.i18n&&t.i18n.messages?t.i18n.messages:{};(t.__i18nBridge||t.__i18n).forEach((function(t){e=g(e,JSON.parse(t))})),Object.keys(e).forEach((function(n){t.i18n.mergeLocaleMessage(n,e[n])}))}catch(t){i("Cannot parse locale messages via custom blocks.",t)}this._i18n=t.i18n,this._i18nWatcher=this._i18n.watchI18nData()}else if(u(t.i18n)){var r=this.$root&&this.$root.$i18n&&this.$root.$i18n instanceof Y?this.$root.$i18n:null;if(r&&(t.i18n.root=this.$root,t.i18n.formatter=r.formatter,t.i18n.fallbackLocale=r.fallbackLocale,t.i18n.formatFallbackMessages=r.formatFallbackMessages,t.i18n.silentTranslationWarn=r.silentTranslationWarn,t.i18n.silentFallbackWarn=r.silentFallbackWarn,t.i18n.pluralizationRules=r.pluralizationRules,t.i18n.preserveDirectiveContent=r.preserveDirectiveContent),t.__i18nBridge||t.__i18n)try{var o=t.i18n&&t.i18n.messages?t.i18n.messages:{};(t.__i18nBridge||t.__i18n).forEach((function(t){o=g(o,JSON.parse(t))})),t.i18n.messages=o}catch(t){n("Cannot parse locale messages via custom blocks.",t)}var a=t.i18n.sharedMessages;a&&u(a)&&(t.i18n.messages=g(t.i18n.messages,a)),this._i18n=new Y(t.i18n),this._i18nWatcher=this._i18n.watchI18nData(),(void 0===t.i18n.sync||t.i18n.sync)&&(this._localeWatcher=this.$i18n.watchLocale()),r&&r.onComponentInstanceCreated(this._i18n)}else n("Cannot be interpreted 'i18n' option.");else this.$root&&this.$root.$i18n&&this.$root.$i18n instanceof Y?this._i18n=this.$root.$i18n:t.parent&&t.parent.$i18n&&t.parent.$i18n instanceof Y&&(this._i18n=t.parent.$i18n)},beforeMount:function(){var t=this.$options;t.i18n=t.i18n||(t.__i18nBridge||t.__i18n?{}:null),t.i18n?t.i18n instanceof Y||u(t.i18n)?(this._i18n.subscribeDataChanging(this),this._subscribing=!0):n("Cannot be interpreted 'i18n' option."):(this.$root&&this.$root.$i18n&&this.$root.$i18n instanceof Y||t.parent&&t.parent.$i18n&&t.parent.$i18n instanceof Y)&&(this._i18n.subscribeDataChanging(this),this._subscribing=!0)},mounted:e,beforeDestroy:function(){if(this._i18n){var t=this;this.$nextTick((function(){t._subscribing&&(t._i18n.unsubscribeDataChanging(t),delete t._subscribing),t._i18nWatcher&&(t._i18nWatcher(),t._i18n.destroyVM(),delete t._i18nWatcher),t._localeWatcher&&(t._localeWatcher(),delete t._localeWatcher)}))}}}}(e.bridge)),k.directive("t",{bind:C,update:M,unbind:T}),k.component(y.name,y),k.component(S.name,S),k.config.optionMergeStrategies.i18n=function(t,e){return void 0===e?t:e}))}var L=function(){this._caches=Object.create(null)};L.prototype.interpolate=function(t,e){if(!e)return[t];var i=this._caches[t];return i||(i=function(t){var e=[],n=0,i="";for(;n<t.length;){var r=t[n++];if("{"===r){i&&e.push({type:"text",value:i}),i="";var o="";for(r=t[n++];void 0!==r&&"}"!==r;)o+=r,r=t[n++];var a="}"===r,s=D.test(o)?"list":a&&P.test(o)?"named":"unknown";e.push({value:o,type:s})}else"%"===r?"{"!==t[n]&&(i+=r):i+=r}return i&&e.push({type:"text",value:i}),e}(t),this._caches[t]=i),function(t,e){var i=[],r=0,a=Array.isArray(e)?"list":o(e)?"named":"unknown";if("unknown"===a)return i;for(;r<t.length;){var s=t[r];switch(s.type){case"text":i.push(s.value);break;case"list":i.push(e[parseInt(s.value,10)]);break;case"named":"named"===a?i.push(e[s.value]):n("Type of token '"+s.type+"' and format of value '"+a+"' don't match!");break;case"unknown":n("Detect 'unknown' type of token!")}r++}return i}(i,e)};var D=/^(?:\d)+/,P=/^(?:\w)+/;var R=[];R[0]={ws:[0],ident:[3,0],"[":[4],eof:[7]},R[1]={ws:[1],".":[2],"[":[4],eof:[7]},R[2]={ws:[2],ident:[3,0],0:[3,0],number:[3,0]},R[3]={ident:[3,0],0:[3,0],number:[3,0],ws:[1,1],".":[2,1],"[":[4,1],eof:[7,1]},R[4]={"'":[5,0],'"':[6,0],"[":[4,2],"]":[1,3],eof:8,else:[4,0]},R[5]={"'":[4,0],eof:8,else:[5,0]},R[6]={'"':[4,0],eof:8,else:[6,0]};var N=/^\s?(?:true|false|-?[\d.]+|'[^']*'|"[^"]*")\s?$/;function I(t){if(null==t)return"eof";switch(t.charCodeAt(0)){case 91:case 93:case 46:case 34:case 39:return t;case 95:case 36:case 45:return"ident";case 9:case 10:case 13:case 160:case 65279:case 8232:case 8233:return"ws"}return"ident"}function j(t){var e,n,i,r=t.trim();return("0"!==t.charAt(0)||!isNaN(t))&&(i=r,N.test(i)?(n=(e=r).charCodeAt(0))!==e.charCodeAt(e.length-1)||34!==n&&39!==n?e:e.slice(1,-1):"*"+r)}var $=function(){this._cache=Object.create(null)};$.prototype.parsePath=function(t){var e=this._cache[t];return e||(e=function(t){var e,n,i,r,o,a,s,l=[],u=-1,c=0,d=0,h=[];function f(){var e=t[u+1];if(5===c&&"'"===e||6===c&&'"'===e)return u++,i="\\"+e,h[0](),!0}for(h[1]=function(){void 0!==n&&(l.push(n),n=void 0)},h[0]=function(){void 0===n?n=i:n+=i},h[2]=function(){h[0](),d++},h[3]=function(){if(d>0)d--,c=4,h[0]();else{if(d=0,void 0===n)return!1;if(!1===(n=j(n)))return!1;h[1]()}};null!==c;)if(u++,"\\"!==(e=t[u])||!f()){if(r=I(e),8===(o=(s=R[c])[r]||s.else||8))return;if(c=o[0],(a=h[o[1]])&&(i=void 0===(i=o[2])?e:i,!1===a()))return;if(7===c)return l}}(t),e&&(this._cache[t]=e)),e||[]},$.prototype.getPathValue=function(t,e){if(!o(t))return null;var n=this.parsePath(e);if(0===n.length)return null;for(var i=n.length,r=t,a=0;a<i;){var s=r[n[a]];if(null==s)return null;r=s,a++}return r};var F,B=/<\/?[\w\s="/.':;#-\/]+>/,z=/(?:@(?:\.[a-zA-Z]+)?:(?:[\w\-_|./]+|\([\w\-_:|./]+\)))/g,V=/^@(?:\.([a-zA-Z]+))?:/,H=/[()]/g,U={upper:function(t){return t.toLocaleUpperCase()},lower:function(t){return t.toLocaleLowerCase()},capitalize:function(t){return""+t.charAt(0).toLocaleUpperCase()+t.substr(1)}},W=new L,Y=function(t){var e=this;void 0===t&&(t={}),!k&&"undefined"!=typeof window&&window.Vue&&q(window.Vue);var n=t.locale||"en-US",i=!1!==t.fallbackLocale&&(t.fallbackLocale||"en-US"),r=t.messages||{},o=t.dateTimeFormats||t.datetimeFormats||{},a=t.numberFormats||{};this._vm=null,this._formatter=t.formatter||W,this._modifiers=t.modifiers||{},this._missing=t.missing||null,this._root=t.root||null,this._sync=void 0===t.sync||!!t.sync,this._fallbackRoot=void 0===t.fallbackRoot||!!t.fallbackRoot,this._fallbackRootWithEmptyString=void 0===t.fallbackRootWithEmptyString||!!t.fallbackRootWithEmptyString,this._formatFallbackMessages=void 0!==t.formatFallbackMessages&&!!t.formatFallbackMessages,this._silentTranslationWarn=void 0!==t.silentTranslationWarn&&t.silentTranslationWarn,this._silentFallbackWarn=void 0!==t.silentFallbackWarn&&!!t.silentFallbackWarn,this._dateTimeFormatters={},this._numberFormatters={},this._path=new $,this._dataListeners=new Set,this._componentInstanceCreatedListener=t.componentInstanceCreatedListener||null,this._preserveDirectiveContent=void 0!==t.preserveDirectiveContent&&!!t.preserveDirectiveContent,this.pluralizationRules=t.pluralizationRules||{},this._warnHtmlInMessage=t.warnHtmlInMessage||"off",this._postTranslation=t.postTranslation||null,this._escapeParameterHtml=t.escapeParameterHtml||!1,"__VUE_I18N_BRIDGE__"in t&&(this.__VUE_I18N_BRIDGE__=t.__VUE_I18N_BRIDGE__),this.getChoiceIndex=function(t,n){var i=Object.getPrototypeOf(e);if(i&&i.getChoiceIndex)return i.getChoiceIndex.call(e,t,n);var r,o;return e.locale in e.pluralizationRules?e.pluralizationRules[e.locale].apply(e,[t,n]):(r=t,o=n,r=Math.abs(r),2===o?r?r>1?1:0:1:r?Math.min(r,2):0)},this._exist=function(t,n){return!(!t||!n)&&(!c(e._path.getPathValue(t,n))||!!t[n])},"warn"!==this._warnHtmlInMessage&&"error"!==this._warnHtmlInMessage||Object.keys(r).forEach((function(t){e._checkLocaleMessage(t,e._warnHtmlInMessage,r[t])})),this._initVM({locale:n,fallbackLocale:i,messages:r,dateTimeFormats:o,numberFormats:a})},Q={vm:{configurable:!0},messages:{configurable:!0},dateTimeFormats:{configurable:!0},numberFormats:{configurable:!0},availableLocales:{configurable:!0},locale:{configurable:!0},fallbackLocale:{configurable:!0},formatFallbackMessages:{configurable:!0},missing:{configurable:!0},formatter:{configurable:!0},silentTranslationWarn:{configurable:!0},silentFallbackWarn:{configurable:!0},preserveDirectiveContent:{configurable:!0},warnHtmlInMessage:{configurable:!0},postTranslation:{configurable:!0},sync:{configurable:!0}};return Y.prototype._checkLocaleMessage=function(t,e,o){var s=function(t,e,o,l){if(u(o))Object.keys(o).forEach((function(n){var i=o[n];u(i)?(l.push(n),l.push("."),s(t,e,i,l),l.pop(),l.pop()):(l.push(n),s(t,e,i,l),l.pop())}));else if(r(o))o.forEach((function(n,i){u(n)?(l.push("["+i+"]"),l.push("."),s(t,e,n,l),l.pop(),l.pop()):(l.push("["+i+"]"),s(t,e,n,l),l.pop())}));else if(a(o)){if(B.test(o)){var c="Detected HTML in message '"+o+"' of keypath '"+l.join("")+"' at '"+e+"'. Consider component interpolation with '<i18n>' to avoid XSS. See https://bit.ly/2ZqJzkp";"warn"===t?n(c):"error"===t&&i(c)}}};s(e,t,o,[])},Y.prototype._initVM=function(t){var e=k.config.silent;k.config.silent=!0,this._vm=new k({data:t,__VUE18N__INSTANCE__:!0}),k.config.silent=e},Y.prototype.destroyVM=function(){this._vm.$destroy()},Y.prototype.subscribeDataChanging=function(t){this._dataListeners.add(t)},Y.prototype.unsubscribeDataChanging=function(t){!function(t,e){if(t.delete(e));}(this._dataListeners,t)},Y.prototype.watchI18nData=function(){var t=this;return this._vm.$watch("$data",(function(){for(var e,n,i=(e=t._dataListeners,n=[],e.forEach((function(t){return n.push(t)})),n),r=i.length;r--;)k.nextTick((function(){i[r]&&i[r].$forceUpdate()}))}),{deep:!0})},Y.prototype.watchLocale=function(t){if(t){if(!this.__VUE_I18N_BRIDGE__)return null;var e=this,n=this._vm;return this.vm.$watch("locale",(function(i){n.$set(n,"locale",i),e.__VUE_I18N_BRIDGE__&&t&&(t.locale.value=i),n.$forceUpdate()}),{immediate:!0})}if(!this._sync||!this._root)return null;var i=this._vm;return this._root.$i18n.vm.$watch("locale",(function(t){i.$set(i,"locale",t),i.$forceUpdate()}),{immediate:!0})},Y.prototype.onComponentInstanceCreated=function(t){this._componentInstanceCreatedListener&&this._componentInstanceCreatedListener(t,this)},Q.vm.get=function(){return this._vm},Q.messages.get=function(){return f(this._getMessages())},Q.dateTimeFormats.get=function(){return f(this._getDateTimeFormats())},Q.numberFormats.get=function(){return f(this._getNumberFormats())},Q.availableLocales.get=function(){return Object.keys(this.messages).sort()},Q.locale.get=function(){return this._vm.locale},Q.locale.set=function(t){this._vm.$set(this._vm,"locale",t)},Q.fallbackLocale.get=function(){return this._vm.fallbackLocale},Q.fallbackLocale.set=function(t){this._localeChainCache={},this._vm.$set(this._vm,"fallbackLocale",t)},Q.formatFallbackMessages.get=function(){return this._formatFallbackMessages},Q.formatFallbackMessages.set=function(t){this._formatFallbackMessages=t},Q.missing.get=function(){return this._missing},Q.missing.set=function(t){this._missing=t},Q.formatter.get=function(){return this._formatter},Q.formatter.set=function(t){this._formatter=t},Q.silentTranslationWarn.get=function(){return this._silentTranslationWarn},Q.silentTranslationWarn.set=function(t){this._silentTranslationWarn=t},Q.silentFallbackWarn.get=function(){return this._silentFallbackWarn},Q.silentFallbackWarn.set=function(t){this._silentFallbackWarn=t},Q.preserveDirectiveContent.get=function(){return this._preserveDirectiveContent},Q.preserveDirectiveContent.set=function(t){this._preserveDirectiveContent=t},Q.warnHtmlInMessage.get=function(){return this._warnHtmlInMessage},Q.warnHtmlInMessage.set=function(t){var e=this,n=this._warnHtmlInMessage;if(this._warnHtmlInMessage=t,n!==t&&("warn"===t||"error"===t)){var i=this._getMessages();Object.keys(i).forEach((function(t){e._checkLocaleMessage(t,e._warnHtmlInMessage,i[t])}))}},Q.postTranslation.get=function(){return this._postTranslation},Q.postTranslation.set=function(t){this._postTranslation=t},Q.sync.get=function(){return this._sync},Q.sync.set=function(t){this._sync=t},Y.prototype._getMessages=function(){return this._vm.messages},Y.prototype._getDateTimeFormats=function(){return this._vm.dateTimeFormats},Y.prototype._getNumberFormats=function(){return this._vm.numberFormats},Y.prototype._warnDefault=function(t,e,i,r,o,s){if(!c(i))return i;if(this._missing){var l=this._missing.apply(null,[t,e,r,o]);if(a(l))return l}else this._isSilentTranslationWarn(e)||n("Cannot translate the value of keypath '"+e+"'. Use the value of keypath as default.");if(this._formatFallbackMessages){var u=h.apply(void 0,o);return this._render(e,s,u.params,e)}return e},Y.prototype._isFallbackRoot=function(t){return(this._fallbackRootWithEmptyString?!t:c(t))&&!c(this._root)&&this._fallbackRoot},Y.prototype._isSilentFallbackWarn=function(t){return this._silentFallbackWarn instanceof RegExp?this._silentFallbackWarn.test(t):this._silentFallbackWarn},Y.prototype._isSilentFallback=function(t,e){return this._isSilentFallbackWarn(e)&&(this._isFallbackRoot()||t!==this.fallbackLocale)},Y.prototype._isSilentTranslationWarn=function(t){return this._silentTranslationWarn instanceof RegExp?this._silentTranslationWarn.test(t):this._silentTranslationWarn},Y.prototype._interpolate=function(t,e,i,o,s,l,h){if(!e)return null;var f,p=this._path.getPathValue(e,i);if(r(p)||u(p))return p;if(c(p)){if(!u(e))return null;if(!a(f=e[i])&&!d(f))return this._isSilentTranslationWarn(i)||this._isSilentFallback(t,i)||n("Value of key '"+i+"' is not a string or function !"),null}else{if(!a(p)&&!d(p))return this._isSilentTranslationWarn(i)||this._isSilentFallback(t,i)||n("Value of key '"+i+"' is not a string or function!"),null;f=p}return a(f)&&(f.indexOf("@:")>=0||f.indexOf("@.")>=0)&&(f=this._link(t,e,f,o,"raw",l,h)),this._render(f,s,l,i)},Y.prototype._link=function(t,e,i,o,a,s,l){var u=i,c=u.match(z);for(var d in c)if(c.hasOwnProperty(d)){var h=c[d],f=h.match(V),m=f[0],v=f[1],g=h.replace(m,"").replace(H,"");if(p(l,g))return n('Circular reference found. "'+h+'" is already visited in the chain of '+l.reverse().join(" <- ")),u;l.push(g);var _=this._interpolate(t,e,g,o,"raw"===a?"string":a,"raw"===a?void 0:s,l);if(this._isFallbackRoot(_)){if(this._isSilentTranslationWarn(g)||n("Fall back to translate the link placeholder '"+g+"' with root locale."),!this._root)throw Error("unexpected error");var y=this._root.$i18n;_=y._translate(y._getMessages(),y.locale,y.fallbackLocale,g,o,a,s)}_=this._warnDefault(t,g,_,o,r(s)?s:[s],a),this._modifiers.hasOwnProperty(v)?_=this._modifiers[v](_):U.hasOwnProperty(v)&&(_=U[v](_)),l.pop(),u=_?u.replace(h,_):u}return u},Y.prototype._createMessageContext=function(t,e,n,i){var a=this,s=r(t)?t:[],l=o(t)?t:{},u=this._getMessages(),c=this.locale;return{list:function(t){return s[t]},named:function(t){return l[t]},values:t,formatter:e,path:n,messages:u,locale:c,linked:function(t){return a._interpolate(c,u[c]||{},t,null,i,void 0,[t])}}},Y.prototype._render=function(t,e,n,i){if(d(t))return t(this._createMessageContext(n,this._formatter||W,i,e));var r=this._formatter.interpolate(t,n,i);return r||(r=W.interpolate(t,n,i)),"string"!==e||a(r)?r:r.join("")},Y.prototype._appendItemToChain=function(t,e,n){var i=!1;return p(t,e)||(i=!0,e&&(i="!"!==e[e.length-1],e=e.replace(/!/g,""),t.push(e),n&&n[e]&&(i=n[e]))),i},Y.prototype._appendLocaleToChain=function(t,e,n){var i,r=e.split("-");do{var o=r.join("-");i=this._appendItemToChain(t,o,n),r.splice(-1,1)}while(r.length&&!0===i);return i},Y.prototype._appendBlockToChain=function(t,e,n){for(var i=!0,r=0;r<e.length&&"boolean"==typeof i;r++){var o=e[r];a(o)&&(i=this._appendLocaleToChain(t,o,n))}return i},Y.prototype._getLocaleChain=function(t,e){if(""===t)return[];this._localeChainCache||(this._localeChainCache={});var n=this._localeChainCache[t];if(!n){e||(e=this.fallbackLocale),n=[];for(var i,s=[t];r(s);)s=this._appendBlockToChain(n,s,e);(s=a(i=r(e)?e:o(e)?e.default?e.default:null:e)?[i]:i)&&this._appendBlockToChain(n,s,null),this._localeChainCache[t]=n}return n},Y.prototype._translate=function(t,e,i,r,o,a,s){for(var l,u=this._getLocaleChain(e,i),d=0;d<u.length;d++){var h=u[d];if(!c(l=this._interpolate(h,t[h],r,o,a,s,[r])))return h===e||this._isSilentTranslationWarn(r)||this._isSilentFallbackWarn(r)||n("Fall back to translate the keypath '"+r+"' with '"+h+"' locale."),l}return null},Y.prototype._t=function(t,e,i,r){for(var o,a=[],s=arguments.length-4;s-- >0;)a[s]=arguments[s+4];if(!t)return"";var l,u=h.apply(void 0,a);this._escapeParameterHtml&&(u.params=(null!=(l=u.params)&&Object.keys(l).forEach((function(t){"string"==typeof l[t]&&(l[t]=l[t].replace(/</g,"&lt;").replace(/>/g,"&gt;").replace(/"/g,"&quot;").replace(/'/g,"&apos;"))})),l));var c=u.locale||e,d=this._translate(i,c,this.fallbackLocale,t,r,"string",u.params);if(this._isFallbackRoot(d)){if(this._isSilentTranslationWarn(t)||this._isSilentFallbackWarn(t)||n("Fall back to translate the keypath '"+t+"' with root locale."),!this._root)throw Error("unexpected error");return(o=this._root).$t.apply(o,[t].concat(a))}return d=this._warnDefault(c,t,d,r,a,"string"),this._postTranslation&&null!=d&&(d=this._postTranslation(d,t)),d},Y.prototype.t=function(t){for(var e,n=[],i=arguments.length-1;i-- >0;)n[i]=arguments[i+1];return(e=this)._t.apply(e,[t,this.locale,this._getMessages(),null].concat(n))},Y.prototype._i=function(t,e,i,r,o){var a=this._translate(i,e,this.fallbackLocale,t,r,"raw",o);if(this._isFallbackRoot(a)){if(this._isSilentTranslationWarn(t)||n("Fall back to interpolate the keypath '"+t+"' with root locale."),!this._root)throw Error("unexpected error");return this._root.$i18n.i(t,e,o)}return this._warnDefault(e,t,a,r,[o],"raw")},Y.prototype.i=function(t,e,n){return t?(a(e)||(e=this.locale),this._i(t,e,this._getMessages(),null,n)):""},Y.prototype._tc=function(t,e,n,i,r){for(var o,a=[],s=arguments.length-5;s-- >0;)a[s]=arguments[s+5];if(!t)return"";void 0===r&&(r=1);var l={count:r,n:r},u=h.apply(void 0,a);return u.params=Object.assign(l,u.params),a=null===u.locale?[u.params]:[u.locale,u.params],this.fetchChoice((o=this)._t.apply(o,[t,e,n,i].concat(a)),r)},Y.prototype.fetchChoice=function(t,e){if(!t||!a(t))return null;var n=t.split("|");return n[e=this.getChoiceIndex(e,n.length)]?n[e].trim():t},Y.prototype.tc=function(t,e){for(var n,i=[],r=arguments.length-2;r-- >0;)i[r]=arguments[r+2];return(n=this)._tc.apply(n,[t,this.locale,this._getMessages(),null,e].concat(i))},Y.prototype._te=function(t,e,n){for(var i=[],r=arguments.length-3;r-- >0;)i[r]=arguments[r+3];var o=h.apply(void 0,i).locale||e;return this._exist(n[o],t)},Y.prototype.te=function(t,e){return this._te(t,this.locale,this._getMessages(),e)},Y.prototype.getLocaleMessage=function(t){return f(this._vm.messages[t]||{})},Y.prototype.setLocaleMessage=function(t,e){"warn"!==this._warnHtmlInMessage&&"error"!==this._warnHtmlInMessage||this._checkLocaleMessage(t,this._warnHtmlInMessage,e),this._vm.$set(this._vm.messages,t,e)},Y.prototype.mergeLocaleMessage=function(t,e){"warn"!==this._warnHtmlInMessage&&"error"!==this._warnHtmlInMessage||this._checkLocaleMessage(t,this._warnHtmlInMessage,e),this._vm.$set(this._vm.messages,t,g(void 0!==this._vm.messages[t]&&Object.keys(this._vm.messages[t]).length?Object.assign({},this._vm.messages[t]):{},e))},Y.prototype.getDateTimeFormat=function(t){return f(this._vm.dateTimeFormats[t]||{})},Y.prototype.setDateTimeFormat=function(t,e){this._vm.$set(this._vm.dateTimeFormats,t,e),this._clearDateTimeFormat(t,e)},Y.prototype.mergeDateTimeFormat=function(t,e){this._vm.$set(this._vm.dateTimeFormats,t,g(this._vm.dateTimeFormats[t]||{},e)),this._clearDateTimeFormat(t,e)},Y.prototype._clearDateTimeFormat=function(t,e){for(var n in e){var i=t+"__"+n;this._dateTimeFormatters.hasOwnProperty(i)&&delete this._dateTimeFormatters[i]}},Y.prototype._localizeDateTime=function(t,e,i,r,o,a){for(var s=e,l=r[s],u=this._getLocaleChain(e,i),d=0;d<u.length;d++){var h=s,f=u[d];if(s=f,!c(l=r[f])&&!c(l[o]))break;f===e||this._isSilentTranslationWarn(o)||this._isSilentFallbackWarn(o)||n("Fall back to '"+f+"' datetime formats from '"+h+"' datetime formats.")}if(c(l)||c(l[o]))return null;var p,m=l[o];if(a)p=new Intl.DateTimeFormat(s,Object.assign({},m,a));else{var v=s+"__"+o;(p=this._dateTimeFormatters[v])||(p=this._dateTimeFormatters[v]=new Intl.DateTimeFormat(s,m))}return p.format(t)},Y.prototype._d=function(t,e,i,r){if(!Y.availabilities.dateTimeFormat)return n("Cannot format a Date value due to not supported Intl.DateTimeFormat."),"";if(!i)return(r?new Intl.DateTimeFormat(e,r):new Intl.DateTimeFormat(e)).format(t);var o=this._localizeDateTime(t,e,this.fallbackLocale,this._getDateTimeFormats(),i,r);if(this._isFallbackRoot(o)){if(this._isSilentTranslationWarn(i)||this._isSilentFallbackWarn(i)||n("Fall back to datetime localization of root: key '"+i+"'."),!this._root)throw Error("unexpected error");return this._root.$i18n.d(t,i,e)}return o||""},Y.prototype.d=function(t){for(var n=[],i=arguments.length-1;i-- >0;)n[i]=arguments[i+1];var r=this.locale,s=null,l=null;return 1===n.length?(a(n[0])?s=n[0]:o(n[0])&&(n[0].locale&&(r=n[0].locale),n[0].key&&(s=n[0].key)),l=Object.keys(n[0]).reduce((function(t,i){var r;return p(e,i)?Object.assign({},t,((r={})[i]=n[0][i],r)):t}),null)):2===n.length&&(a(n[0])&&(s=n[0]),a(n[1])&&(r=n[1])),this._d(t,r,s,l)},Y.prototype.getNumberFormat=function(t){return f(this._vm.numberFormats[t]||{})},Y.prototype.setNumberFormat=function(t,e){this._vm.$set(this._vm.numberFormats,t,e),this._clearNumberFormat(t,e)},Y.prototype.mergeNumberFormat=function(t,e){this._vm.$set(this._vm.numberFormats,t,g(this._vm.numberFormats[t]||{},e)),this._clearNumberFormat(t,e)},Y.prototype._clearNumberFormat=function(t,e){for(var n in e){var i=t+"__"+n;this._numberFormatters.hasOwnProperty(i)&&delete this._numberFormatters[i]}},Y.prototype._getNumberFormatter=function(t,e,i,r,o,a){for(var s=e,l=r[s],u=this._getLocaleChain(e,i),d=0;d<u.length;d++){var h=s,f=u[d];if(s=f,!c(l=r[f])&&!c(l[o]))break;f===e||this._isSilentTranslationWarn(o)||this._isSilentFallbackWarn(o)||n("Fall back to '"+f+"' number formats from '"+h+"' number formats.")}if(c(l)||c(l[o]))return null;var p,m=l[o];if(a)p=new Intl.NumberFormat(s,Object.assign({},m,a));else{var v=s+"__"+o;(p=this._numberFormatters[v])||(p=this._numberFormatters[v]=new Intl.NumberFormat(s,m))}return p},Y.prototype._n=function(t,e,i,r){if(!Y.availabilities.numberFormat)return n("Cannot format a Number value due to not supported Intl.NumberFormat."),"";if(!i)return(r?new Intl.NumberFormat(e,r):new Intl.NumberFormat(e)).format(t);var o=this._getNumberFormatter(t,e,this.fallbackLocale,this._getNumberFormats(),i,r),a=o&&o.format(t);if(this._isFallbackRoot(a)){if(this._isSilentTranslationWarn(i)||this._isSilentFallbackWarn(i)||n("Fall back to number localization of root: key '"+i+"'."),!this._root)throw Error("unexpected error");return this._root.$i18n.n(t,Object.assign({},{key:i,locale:e},r))}return a||""},Y.prototype.n=function(e){for(var n=[],i=arguments.length-1;i-- >0;)n[i]=arguments[i+1];var r=this.locale,s=null,l=null;return 1===n.length?a(n[0])?s=n[0]:o(n[0])&&(n[0].locale&&(r=n[0].locale),n[0].key&&(s=n[0].key),l=Object.keys(n[0]).reduce((function(e,i){var r;return p(t,i)?Object.assign({},e,((r={})[i]=n[0][i],r)):e}),null)):2===n.length&&(a(n[0])&&(s=n[0]),a(n[1])&&(r=n[1])),this._n(e,r,s,l)},Y.prototype._ntp=function(t,e,i,r){if(!Y.availabilities.numberFormat)return n("Cannot format to parts a Number value due to not supported Intl.NumberFormat."),[];if(!i)return(r?new Intl.NumberFormat(e,r):new Intl.NumberFormat(e)).formatToParts(t);var o=this._getNumberFormatter(t,e,this.fallbackLocale,this._getNumberFormats(),i,r),a=o&&o.formatToParts(t);if(this._isFallbackRoot(a)){if(this._isSilentTranslationWarn(i)||n("Fall back to format number to parts of root: key '"+i+"' ."),!this._root)throw Error("unexpected error");return this._root.$i18n._ntp(t,e,i,r)}return a||[]},Object.defineProperties(Y.prototype,Q),Object.defineProperty(Y,"availabilities",{get:function(){if(!F){var t="undefined"!=typeof Intl;F={dateTimeFormat:t&&void 0!==Intl.DateTimeFormat,numberFormat:t&&void 0!==Intl.NumberFormat}}return F}}),Y.install=q,Y.version="8.28.2",Y})),window.localisation={},window.localisation.de={server:"Server",theme:"Theme",funding:"Funding",users:"Benutzer",unit:"Einheit",restart:"Server neu starten",save:"Speichern",save_tooltip:"Änderungen speichern",topup:"Aufladen",topup_wallet:"Wallet aufladen",topup_hint:"Nutze die Wallet-ID, um eine beliebige Wallet aufzuladen",restart_tooltip:"Starte den Server neu, um die Änderungen zu übernehmen",add_funds_tooltip:"Füge Geld zu einer Wallet hinzu.",reset_defaults:"Zurücksetzen",reset_defaults_tooltip:"Alle Einstellungen auf die Standardeinstellungen zurücksetzen.",download_backup:"Datenbank-Backup herunterladen",name_your_wallet:"Vergib deiner %{name} Wallet einen Namen",paste_invoice_label:"Füge eine Rechnung, Zahlungsanforderung oder LNURL ein *",lnbits_description:"Einfach zu installieren und kompakt, LNbits kann auf jeder Funding-Quelle im Lightning Netzwerk aufsetzen. Derzeit unterstützt: LND, Core Lightning, OpenNode, LNPay und sogar LNbits selbst! Du kannst LNbits für dich selbst betreiben oder anderen die Verwaltung durch dich anbieten. Jede Wallet hat ihre eigenen API-Schlüssel und die Anzahl der Wallets ist unbegrenzt. Die Möglichkeit, Gelder auf verschiedene Accounts mit unterschiedlicher Logik aufteilen zu können macht LNbits zu einem nützlichen Werkzeug für deine Buchhaltung - aber auch als Entwicklungswerkzeug. Erweiterungen bereichern LNbits Accounts um zusätzliche Funktionalität, so dass du mit einer Reihe von neuartigen Technologien auf dem Lightning-Netzwerk experimentieren kannst. Wir haben es so einfach wie möglich gemacht, Erweiterungen zu entwickeln, und als freies und Open-Source-Projekt möchten wir Menschen ermutigen, sich selbst hieran zu versuchen und gemeinsam mit uns neue Funktionalitäten zu entwickeln.",export_to_phone:"Auf dem Telefon öffnen",export_to_phone_desc:"Dieser QR-Code beinhaltet vollständige Rechte auf deine Wallet. Du kannst den QR-Code mit Deinem Telefon scannen, um deine Wallet dort zu öffnen.",wallets:"Wallets",add_wallet:"Wallet hinzufügen",delete_wallet:"Wallet löschen",delete_wallet_desc:"Die Wallet wird gelöscht, die hierin beinhalteten Daten hierin oder innerhalb einer Erweiterung sind UNWIEDERBRINGLICH.",rename_wallet:"Wallet umbenennen",update_name:"Namen aktualisieren",press_to_claim:"Klicken, um Bitcoin einzufordern.",donate:"Spenden",view_github:"Auf GitHub anzeigen",voidwallet_active:"VoidWallet ist aktiv! Zahlungen deaktiviert",use_with_caution:"BITTE MIT VORSICHT BENUTZEN - %{name} Wallet ist noch BETA",toggle_darkmode:"Auf Dark Mode umschalten",view_swagger_docs:"LNbits Swagger API-Dokumente",api_docs:"API docs",commit_version:"Commit Version",runs_on:"Läuft auf",credit_hint:"Klicke Enter, um das Konto zu belasten",credit_label:"%{denomination} zu belasten",paste_request:"Anfrage einfügen",create_invoice:"Rechnung erstellen",camera_tooltip:"Verwende die Kamera, um eine Rechnung oder einen QR-Code zu scannen",export_csv:"Exportieren als CSV",transactions:"Transaktionen",chart_tooltip:"Diagramm anzeigen",pending:"Ausstehend",copy_invoice:"Rechnung kopieren",close:"Schließen",cancel:"Stornieren",scan:"Scannen",read:"Lesen",pay:"Zahlen",memo:"Memo",date:"Datum",processing_payment:"Zahlung wird verarbeitet ...",not_enough_funds:"Geldmittel sind erschöpft!",search_by_tag_memo_amount:"Suche nach Tag, Memo, Betrag",invoice_waiting:"Rechnung wartend auf Zahlung",payment_received:"Zahlung erhalten",payment_sent:"Zahlung gesendet",receive:"erhalten",send:"schicken",outgoing_payment_pending:"Ausgehende Zahlung wartend",drain_funds:"Sats abziehen",drain_funds_desc:"LNURL-withdraw QR-Code, der das Abziehen aller Geldmittel aus dieser Wallet erlaubt. Teile ihn mit niemandem! Kompatibel mit balanceCheck und balanceNotify, so dass dein Wallet die Sats nach dem ersten Abzug kontinuierlich von hier abziehen kann.",i_understand:"Ich verstehe",copy_wallet_url:"Wallet-URL kopieren",disclaimer_dialog:"Login-Funktionalität wird in einem zukünftigen Update veröffentlicht. Bis dahin ist die Speicherung der Wallet-URL als Lesezeichen absolut notwendig, um Zugriff auf die Wallet zu erhalten! Dieser Service ist in BETA und wir übernehmen keine Verantwortung für Verluste durch verlorene Zugriffe.",no_transactions:"Keine Transaktionen",manage_extensions:"Erweiterungen verwalten",manage_server:"Server verwalten",extensions:"Erweiterungen",no_extensions:"Du hast noch keine Erweiterungen installiert :(",created:"Erstellt",search_extensions:"Sucherweiterungen",warning:"Warnung",manage:"Verwalten",repository:"Repository",confirm_continue:"Bist du sicher, dass du fortfahren möchtest?",manage_extension_details:"Erweiterung installieren/deinstallieren",install:"Installieren",uninstall:"Deinstallieren",open:"Öffnen",enable:"Aktivieren",enable_extension_details:"Erweiterung für aktuellen Benutzer aktivieren",disable:"Deaktivieren",installed:"Installiert",activated:"Aktiviert",deactivated:"Deaktiviert",release_notes:"Versionshinweise",activate_extension_details:"Erweiterung für Benutzer verfügbar/nicht verfügbar machen",featured:"Vorgestellt",all:"Alle",only_admins_can_install:"(Nur Administratorkonten können Erweiterungen installieren)",new_version:"Neue Version",extension_depends_on:"Hängt ab von:",extension_rating_soon:"Bewertungen sind bald verfügbar",extension_installed_version:"Installierte Version",extension_uninstall_warning:"Sie sind dabei, die Erweiterung für alle Benutzer zu entfernen.",uninstall_confirm:"Ja, deinstallieren",extension_min_lnbits_version:"Diese Version erfordert mindestens die LNbits-Version",payment_hash:"Zahlungs-Hash",fee:"Gebühr",amount:"Menge",description:"Beschreibung",expiry:"Ablauf",webhook:"Webhook",payment_proof:"Beleg"},window.localisation.en={confirm:"Yes",server:"Server",theme:"Theme",funding:"Funding",users:"Users",restart:"Restart server",save:"Save",save_tooltip:"Save your changes",topup:"Topup",topup_wallet:"Topup a wallet",topup_hint:"Use the wallet ID to topup any wallet",restart_tooltip:"Restart the server for changes to take effect",add_funds_tooltip:"Add funds to a wallet.",reset_defaults:"Reset to defaults",reset_defaults_tooltip:"Delete all settings and reset to defaults.",download_backup:"Download database backup",name_your_wallet:"Name your %{name} wallet",paste_invoice_label:"Paste an invoice, payment request or lnurl code *",lnbits_description:"Easy to set up and lightweight, LNbits can run on any lightning-network funding source, currently supporting LND, Core Lightning, OpenNode, LNPay and even LNbits itself! You can run LNbits for yourself, or easily offer a custodian solution for others. Each wallet has its own API keys and there is no limit to the number of wallets you can make. Being able to partition funds makes LNbits a useful tool for money management and as a development tool. Extensions add extra functionality to LNbits so you can experiment with a range of cutting-edge technologies on the lightning network. We have made developing extensions as easy as possible, and as a free and open-source project, we encourage people to develop and submit their own.",export_to_phone:"Export to Phone with QR Code",export_to_phone_desc:"This QR code contains your wallet URL with full access. You can scan it from your phone to open your wallet from there.",wallets:"Wallets",add_wallet:"Add a new wallet",delete_wallet:"Delete wallet",delete_wallet_desc:"This whole wallet will be deleted, the funds will be UNRECOVERABLE.",rename_wallet:"Rename wallet",update_name:"Update name",fiat_tracking:"Fiat tracking",currency:"Currency",update_currency:"Update currency",press_to_claim:"Press to claim bitcoin",donate:"Donate",view_github:"View on GitHub",voidwallet_active:"VoidWallet is active! Payments disabled",use_with_caution:"USE WITH CAUTION - %{name} wallet is still in BETA",toggle_darkmode:"Toggle Dark Mode",view_swagger_docs:"View LNbits Swagger API docs",api_docs:"Api docs",commit_version:"Commit version",lnbits_version:"LNbits version",runs_on:"Runs on",credit_hint:"Press Enter to credit account",credit_label:"%{denomination} to credit",paste:"Paste",paste_from_clipboard:"Paste from clipboard",paste_request:"Paste Request",create_invoice:"Create Invoice",camera_tooltip:"Use camera to scan an invoice/QR",export_csv:"Export to CSV",transactions:"Transactions",chart_tooltip:"Show chart",pending:"Pending",copy_invoice:"Copy invoice",close:"Close",cancel:"Cancel",scan:"Scan",read:"Read",pay:"Pay",memo:"Memo",date:"Date",processing_payment:"Processing payment...",not_enough_funds:"Not enough funds!",search_by_tag_memo_amount:"Search by tag, memo, amount",invoice_waiting:"Invoice waiting to be paid",payment_received:"Payment Received",payment_sent:"Payment Sent",receive:"receive",send:"send",outgoing_payment_pending:"Outgoing payment pending",drain_funds:"Drain Funds",drain_funds_desc:"This is an LNURL-withdraw QR code for slurping everything from this wallet. Do not share with anyone. It is compatible with balanceCheck and balanceNotify so your wallet may keep pulling the funds continuously from here after the first withdraw.",i_understand:"I understand",copy_wallet_url:"Copy wallet URL",disclaimer_dialog:"Login functionality to be released in a future update, for now, make sure you bookmark this page for future access to your wallet! This service is in BETA, and we hold no responsibility for people losing access to funds.",no_transactions:"No transactions made yet",manage_server:"Manage Server",extensions:"Extensions",no_extensions:"You don't have any extensions installed :(",created:"Created",search_extensions:"Search extensions",warning:"Warning",manage:"Manage",repository:"Repository",confirm_continue:"Are you sure you want to continue?",manage_extension_details:"Install/uninstall extension",install:"Install",uninstall:"Uninstall",drop_db:"Remove Data",open:"Open",enable:"Enable",enable_extension_details:"Enable extension for current user",disable:"Disable",installed:"Installed",activated:"Activated",deactivated:"Deactivated",release_notes:"Release Notes",activate_extension_details:"Make extension available/unavailable for users",featured:"Featured",all:"All",only_admins_can_install:"(Only admin accounts can install extensions)",admin_only:"Admin Only",new_version:"New Version",extension_depends_on:"Depends on:",extension_rating_soon:"Ratings coming soon",extension_installed_version:"Installed version",extension_uninstall_warning:"You are about to remove the extension for all users.",uninstall_confirm:"Yes, Uninstall",extension_db_drop_info:"All data for the extension will be permanently deleted. There is no way to undo this operation!",extension_db_drop_warning:"You are about to remove all data for the extension. Please type the extension name to continue:",extension_min_lnbits_version:"This release requires at least LNbits version",payment_hash:"Payment Hash",fee:"Fee",amount:"Amount",unit:"Unit",description:"Description",expiry:"Expiry",webhook:"Webhook",payment_proof:"Payment Proof",update_available:"Update %{version} available!",latest_update:"You are on the latest version %{version}.",notifications:"Notifications",no_notifications:"No notifications",notifications_disabled:"LNbits status notifications are disabled.",enable_notifications:"Enable Notifications",enable_notifications_desc:"If enabled it will fetch the latest LNbits Status updates, like security incidents and updates.",enable_killswitch:"Enable Killswitch",enable_killswitch_desc:"If enabled it will change your funding source to VoidWallet automatically if LNbits sends out a killswitch signal. You will need to enable manually after an update.",killswitch_interval:"Killswitch Interval",killswitch_interval_desc:"How often the background task should check for the LNBits killswitch signal from the status source (in minutes).",enable_watchdog:"Enable Watchdog",enable_watchdog_desc:"If enabled it will change your funding source to VoidWallet automatically if your balance is lower than the LNbits balance. You will need to enable manually after an update.",watchdog_interval:"Watchdog Interval",watchdog_interval_desc:"How often the background task should check for a killswitch signal in the watchdog delta [node_balance - lnbits_balance] (in minutes).",watchdog_delta:"Watchdog Delta",watchdog_delta_desc:"Limit before killswitch changes funding source to VoidWallet [lnbits_balance - node_balance > delta]",status:"Status",notification_source:"Notification Source",notification_source_label:"Source URL (only use the official LNbits status source, and sources you can trust)",more:"more",releases:"Releases",killswitch:"Killswitch",watchdog:"Watchdog",server_logs:"Server Logs",ip_blocker:"IP Blocker",security:"Security",security_tools:"Security tools",block_access_hint:"Block access by IP",allow_access_hint:"Allow access by IP (will override blocked IPs)",enter_ip:"Enter IP and hit enter",rate_limiter:"Rate Limiter",number_of_requests:"Number of requests",time_unit:"Time unit",minute:"minute",second:"second",hour:"hour",disable_server_log:"Disable Server Log",enable_server_log:"Enable Server Log",coming_soon:"Feature coming soon"},window.localisation.es={server:"Servidor",theme:"Tema",funding:"Financiación",unit:"Unidad",users:"Usuarios",restart:"Reiniciar el servidor",save:"Guardar",save_tooltip:"Guardar cambios",topup:"Recargar",topup_wallet:"Recargar billetera",topup_hint:"Utilice el ID de billetera para recargar cualquier billetera",restart_tooltip:"Reinicie el servidor para aplicar los cambios",add_funds_tooltip:"Agregue fondos a una billetera.",reset_defaults:"Restablecer",reset_defaults_tooltip:"Borrar todas las configuraciones y restablecer a los valores predeterminados.",download_backup:"Descargar copia de seguridad de la base de datos",name_your_wallet:"Nombre de su billetera %{name}",paste_invoice_label:"Pegue la factura aquí",lnbits_description:"Fácil de instalar y liviano, LNbits puede ejecutarse en cualquier fuente de financiación de la red Lightning, actualmente compatible con LND, Core Lightning, OpenNode, LNPay y hasta LNbits mismo! Puede ejecutar LNbits para usted mismo o ofrecer una solución competente a otros. Cada billetera tiene su propia clave API y no hay límite para la cantidad de billeteras que puede crear. La capacidad de particionar fondos hace de LNbits una herramienta útil para la administración de fondos y como herramienta de desarrollo. Las extensiones agregan funcionalidad adicional a LNbits, por lo que puede experimentar con una variedad de tecnologías de vanguardia en la red Lightning. Lo hemos hecho lo más simple posible para desarrollar extensiones y, como un proyecto gratuito y de código abierto, animamos a las personas a que se desarrollen a sí mismas y envíen sus propios contribuciones.",export_to_phone:"Exportar a teléfono con código QR",export_to_phone_desc:"Este código QR contiene su URL de billetera con acceso completo. Puede escanearlo desde su teléfono para abrir su billetera allí.",wallets:"Billeteras",add_wallet:"Agregar nueva billetera",delete_wallet:"Eliminar billetera",delete_wallet_desc:"Esta billetera completa se eliminará, los fondos son IRREVERSIBLES.",rename_wallet:"Cambiar el nombre de la billetera",update_name:"Actualizar nombre",press_to_claim:"Presione para reclamar Bitcoin",donate:"Donar",view_github:"Ver en GitHub",voidwallet_active:"¡VoidWallet está activo! Pagos desactivados",use_with_caution:"USAR CON CUIDADO - %{name} Wallet aún está en BETA",toggle_darkmode:"Cambiar modo oscuro",view_swagger_docs:"Ver documentos de API de LNbits Swagger",api_docs:"Documentos de API",commit_version:"Versión de compromiso",runs_on:"Corre en",credit_hint:"Presione Enter para cargar la cuenta",credit_label:"Cargar %{denomination}",paste_request:"Pegar solicitud",create_invoice:"Crear factura",camera_tooltip:"Utilice la cámara para escanear una factura / código QR",export_csv:"Exportar a CSV",transactions:"Transacciones",chart_tooltip:"Mostrar gráfico",pending:"Pendiente",copy_invoice:"Copiar factura",close:"Cerrar",cancel:"Cancelar",scan:"Escanear",read:"Leer",pay:"Pagar",memo:"Memo",date:"Fecha",processing_payment:"Procesando pago ...",not_enough_funds:"¡No hay suficientes fondos!",search_by_tag_memo_amount:"Buscar por etiqueta, memo, cantidad",invoice_waiting:"Factura esperando pago",payment_received:"Pago recibido",payment_sent:"Pago enviado",receive:"recibir",send:"enviar",outgoing_payment_pending:"Pago saliente pendiente",drain_funds:"Drenar fondos",drain_funds_desc:"Este es un código QR LNURL-withdraw para drenar todos los fondos de esta billetera. No lo comparta con nadie. Es compatible con balanceCheck y balanceNotify, por lo que su billetera puede continuar drenando los fondos de aquí después del primer drenaje.",i_understand:"Lo entiendo",copy_wallet_url:"Copiar URL de billetera",disclaimer_dialog:"La funcionalidad de inicio de sesión se lanzará en una actualización futura, por ahora, asegúrese de guardar esta página como marcador para acceder a su billetera en el futuro. Este servicio está en BETA y no asumimos ninguna responsabilidad por personas que pierdan el acceso a sus fondos.",no_transactions:"No hay transacciones todavía",manage_server:"Administrar servidor",extensions:"Extensiones",no_extensions:"No tienes extensiones instaladas :(",created:"Creado",search_extensions:"Extensiones de búsqueda",warning:"Advertencia",manage:"Administrar",repository:"Repositorio",confirm_continue:"¿Está seguro de que desea continuar?",manage_extension_details:"Instalar/desinstalar extensión",install:"Instalar",uninstall:"Desinstalar",open:"Abrir",enable:"Habilitar",enable_extension_details:"Habilitar extensión para el usuario actual",disable:"Deshabilitar",installed:"Instalado",activated:"Activado",deactivated:"Desactivado",release_notes:"Notas de la versión",activate_extension_details:"Hacer que la extensión esté disponible/no disponible para los usuarios",featured:"Destacado",all:"Todos",only_admins_can_install:"(Solo las cuentas de administrador pueden instalar extensiones)",new_version:"Nueva Versión",extension_depends_on:"Depende de:",extension_rating_soon:"Calificaciones próximamente",extension_installed_version:"Versión instalada",extension_uninstall_warning:"Está a punto de eliminar la extensión para todos los usuarios.",uninstall_confirm:"Sí, desinstalar",extension_min_lnbits_version:"Esta versión requiere al menos una versión de LNbits",payment_hash:"Hash de pago",fee:"Cuota",amount:"Cantidad",description:"Descripción",expiry:"Expiración",webhook:"Webhook",payment_proof:"Prueba de pago"},window.localisation.fr={server:"Serveur",theme:"Thème",funding:"Financement",users:"Utilisateurs",restart:"Redémarrer le serveur",save:"Enregistrer",save_tooltip:"Enregistrer vos modifications",topup:"Renflouer",topup_wallet:"Reflouer un portefeuille",topup_hint:"Utilisez l'ID du portefeuille pour recharger n'importe quel portefeuille",restart_tooltip:"Redémarrez le serveur pour que les changements prennent effet",add_funds_tooltip:"Ajouter des fonds à un portefeuille.",reset_defaults:"Réinitialiser aux valeurs par défaut",reset_defaults_tooltip:"Supprimer tous les paramètres et les réinitialiser aux valeurs par défaut.",download_backup:"Télécharger la sauvegarde de la base de données",name_your_wallet:"Nommez votre portefeuille %{name}",paste_invoice_label:"Coller une facture, une demande de paiement ou un code lnurl *",lnbits_description:"Facile à installer et léger, LNbits peut fonctionner sur n'importe quelle source de financement du réseau Lightning, prenant actuellement en charge LND, Core Lightning, OpenNode, LNPay et même LNbits lui-même! Vous pouvez exécuter LNbits pour vous-même ou offrir facilement une solution de gardien pour les autres. Chaque portefeuille a ses propres clés API et il n'y a pas de limite au nombre de portefeuilles que vous pouvez créer. La capacité de partitionner les fonds rend LNbits un outil utile pour la gestion de l'argent et comme outil de développement. Les extensions ajoutent une fonctionnalité supplémentaire à LNbits afin que vous puissiez expérimenter une gamme de technologies de pointe sur le réseau Lightning. Nous avons rendu le développement d'extensions aussi simple que possible et, en tant que projet gratuit et open source, nous encourageons les gens à développer et à soumettre les leurs.",export_to_phone:"Exporter vers le téléphone avec un code QR",export_to_phone_desc:"Ce code QR contient l'URL de votre portefeuille avec un accès complet. Vous pouvez le scanner depuis votre téléphone pour ouvrir votre portefeuille depuis là-bas.",wallets:"Portefeuilles",add_wallet:"Ajouter un nouveau portefeuille",delete_wallet:"Supprimer le portefeuille",delete_wallet_desc:"Ce portefeuille entier sera supprimé et les fonds seront IRRECUPERABLES.",rename_wallet:"Renommer le portefeuille",update_name:"Mettre à jour le nom",press_to_claim:"Appuyez pour demander du Bitcoin",donate:"Donner",view_github:"Voir sur GitHub",voidwallet_active:"VoidWallet est actif! Paiements désactivés",use_with_caution:"UTILISER AVEC PRUDENCE - Le portefeuille %{name} est toujours en version BETA",toggle_darkmode:"Basculer le mode sombre",view_swagger_docs:"Voir les documents de l'API Swagger de LNbits",api_docs:"Documents de l'API",commit_version:"Version de commit",lnbits_version:"Version de LNbits",runs_on:"Fonctionne sur",credit_hint:"Appuyez sur Entrée pour créditer le compte",credit_label:"%{denomination} à créditer",paste_request:"Coller la requête",create_invoice:"Créer une facture",camera_tooltip:"Utiliser la caméra pour scanner une facture / un code QR",export_csv:"Exporter vers CSV",transactions:"Transactions",chart_tooltip:"Afficher le graphique",pending:"En attente",copy_invoice:"Copier la facture",close:"Fermer",cancel:"Annuler",scan:"Scanner",read:"Lire",pay:"Payer",memo:"Mémo",date:"Date",processing_payment:"Traitement du paiement...",not_enough_funds:"Fonds insuffisants !",search_by_tag_memo_amount:"Rechercher par tag, mémo, montant",invoice_waiting:"Facture en attente de paiement",payment_received:"Paiement reçu",payment_sent:"Paiement envoyé",receive:"recevoir",send:"envoyer",outgoing_payment_pending:"Paiement sortant en attente",drain_funds:"Vider les fonds",drain_funds_desc:"Il s'agit d'un code QR LNURL-withdraw pour tout aspirer de ce portefeuille. Ne le partagez avec personne. Il est compatible avec balanceCheck et balanceNotify, de sorte que votre portefeuille peut continuer à retirer les fonds continuellement à partir d'ici après le premier retrait.",i_understand:"J'ai compris",copy_wallet_url:"Copier l'URL du portefeuille",disclaimer_dialog:"La fonctionnalité de connexion sera publiée dans une future mise à jour, pour l'instant, assurez-vous de mettre cette page en favori pour accéder à votre portefeuille ultérieurement ! Ce service est en BETA, et nous ne sommes pas responsables des personnes qui perdent l'accès à leurs fonds.",no_transactions:"Aucune transaction effectuée pour le moment",manage_extensions:"Gérer les extensions",manage_server:"Gérer le serveur",extensions:"Extensions",no_extensions:"Vous n'avez installé aucune extension :(",created:"Créé",payment_hash:"Hash de paiement",fee:"Frais",amount:"Montant",unit:"Unité",description:"Description",expiry:"Expiration",webhook:"Webhook",payment_proof:"Preuve de paiement"},window.localisation.it={server:"Server",theme:"Tema",funding:"Funding",users:"Utenti",restart:"Riavvia il server",save:"Salva",save_tooltip:"Salva le modifiche",topup:"Ricarica",topup_wallet:"Ricarica un portafoglio",topup_hint:"Usa l'ID del portafoglio per ricaricare qualsiasi portafoglio",restart_tooltip:"Riavvia il server affinché le modifiche abbiano effetto",add_funds_tooltip:"Aggiungere fondi a un portafoglio",reset_defaults:"Ripristina le impostazioni predefinite",reset_defaults_tooltip:"Cancella tutte le impostazioni e ripristina i valori predefiniti",download_backup:"Scarica il backup del database",name_your_wallet:"Dai un nome al tuo portafoglio %{name}",paste_invoice_label:"Incolla una fattura, una richiesta di pagamento o un codice lnurl *",lnbits_description:"Leggero e facile da configurare, LNbits può funzionare su qualsiasi fonte di finanziamento lightning-network, attualmente supporta LND, Core Lightning, OpenNode, LNPay e persino LNbits stesso! Potete gestire LNbits per conto vostro o offrire facilmente una soluzione di custodia per altri. Ogni portafoglio ha le proprie chiavi API e non c'è limite al numero di portafogli che si possono creare. La possibilità di suddividere i fondi rende LNbits uno strumento utile per la gestione del denaro e come strumento di sviluppo. Le estensioni aggiungono ulteriori funzionalità a LNbits, consentendo di sperimentare una serie di tecnologie all'avanguardia sulla rete Lightning. Abbiamo reso lo sviluppo delle estensioni il più semplice possibile e, in quanto progetto libero e open-source, incoraggiamo le persone a sviluppare e inviare le proprie",export_to_phone:"Esportazione su telefono con codice QR",export_to_phone_desc:"Questo codice QR contiene l'URL del portafoglio con accesso da amministratore. È possibile scansionarlo dal telefono per aprire il portafoglio da lì.",wallets:"Portafogli",add_wallet:"Aggiungi un nuovo portafoglio",delete_wallet:"Elimina il portafoglio",delete_wallet_desc:"L'intero portafoglio sarà cancellato, i fondi saranno irrecuperabili",rename_wallet:"Rinomina il portafoglio",update_name:"Aggiorna il nome",press_to_claim:"Premi per richiedere bitcoin",donate:"Donazioni",view_github:"Visualizza su GitHub",voidwallet_active:"VoidWallet è attivo! Pagamenti disabilitati",use_with_caution:"USARE CON CAUTELA - %{nome} portafoglio è ancora in BETA",toggle_darkmode:"Attiva la modalità notturna",view_swagger_docs:"Visualizza i documenti dell'API Swagger di LNbits",api_docs:"Documenti API",commit_version:"Commit version",lnbits_version:"Versione di LNbits",runs_on:"Esegue su",credit_hint:"Premere Invio per accreditare i fondi",credit_label:"%{denomination} da accreditare",paste_request:"Richiesta di pagamento",create_invoice:"Crea fattura",camera_tooltip:"Usa la fotocamera per scansionare la fattura/QR",export_csv:"Esporta CSV",transactions:"Transazioni",chart_tooltip:"Mostra grafico",pending:"In attesa",copy_invoice:"Copia fattura",close:"Chiudi",cancel:"Annulla",scan:"Scansiona",read:"Leggi",pay:"Paga",memo:"Memo",data:"Dati",processing_payment:"Elaborazione pagamento...",not_enough_funds:"Non ci sono abbastanza fondi!",search_by_tag_memo_amount:"Cerca per tag, memo, importo...",invoice_waiting:"Fattura in attesa di pagamento",payment_received:"Pagamento ricevuto",payment_sent:"Pagamento inviato",receive:"ricevere",send:"inviare",outgoing_payment_pending:"Pagamento in uscita in attesa",drain_funds:"Fondi di drenaggio",drain_funds_desc:"Questo è un codice QR <code>LNURL-withdraw</code> per prelevare tutti i fondi da questo portafoglio. Non condividerlo con nessuno. È compatibile con <code>balanceCheck</code> e <code>balanceNotify</code>, di conseguenza il vostro portafoglio può continuare a prelevare continuamente i fondi da qui dopo il primo prelievo",i_understand:"Ho capito",copy_wallet_url:"Copia URL portafoglio",disclaimer_dialog:"La funzionalità di login sarà rilasciata in un futuro aggiornamento; per ora, assicuratevi di salvare tra i preferiti questa pagina per accedere nuovamente in futuro a questo portafoglio! Questo servizio è in fase BETA e non ci assumiamo alcuna responsabilità per la perdita all'accesso dei fondi",no_transactions:"Nessuna transazione effettuata",manage_extensions:"Gestisci le estensioni",manage_server:"Gestisci server",estensioni:"Estensioni",no_extensions:"Non ci sono estensioni installate :(",created:"Creato",payment_hash:"Hash del pagamento",fee:"Tariffa",amount:"Importo",unit:"Unità",description:"Descrizione",expiry:"Scadenza",webhook:"Webhook",prova_di_pagamento:"Prova di pagamento"},window.localisation.jp={server:"サーバー",theme:"テーマ",funding:"資金調達",users:"ユーザー",restart:"サーバーを再起動する",save:"保存",unit:"単位",save_tooltip:"変更を保存する",topup:"トップアップ",topup_wallet:"ウォレットをトップアップする",topup_hint:"ウォレットIDを使用して、任意のウォレットをトップアップできます",restart_tooltip:"サーバーを再起動して変更を適用します",add_funds_tooltip:"ウォレットに資金を追加します。",reset_defaults:"リセット",reset_defaults_tooltip:"すべての設定を削除してデフォルトに戻します。",download_backup:"データベースのバックアップをダウンロードする",name_your_wallet:"あなたのウォレットの名前 %{name}",paste_invoice_label:"請求書を貼り付けてください",lnbits_description:"簡単にインストールでき、軽量で、LNbitsは現在LND、Core Lightning、OpenNode、LNPay、さらにLNbits自身で動作する任意のLightningネットワークの資金源で実行できます！ LNbitsを自分で実行することも、他の人に優れたソリューションを提供することもできます。各ウォレットには独自のAPIキーがあり、作成できるウォレットの数に制限はありません。資金を分割する機能は、LNbitsを資金管理ツールとして使用したり、開発ツールとして使用したりするための便利なツールです。拡張機能は、LNbitsに追加の機能を追加します。そのため、LNbitsは最先端の技術をネットワークLightningで試すことができます。拡張機能を開発するのは簡単で、無料でオープンソースのプロジェクトであるため、人々が自分で開発し、自分の貢献を送信することを奨励しています。",export_to_phone:"電話にエクスポート",export_to_phone_desc:"ウォレットを電話にエクスポートすると、ウォレットを削除する前にウォレットを復元できます。ウォレットを削除すると、ウォレットの秘密鍵が削除され、ウォレットを復元することはできません。",wallets:"ウォレット",add_wallet:"ウォレットを追加",delete_wallet:"ウォレットを削除",delete_wallet_desc:"ウォレットを削除すると、ウォレットの秘密鍵が削除され、ウォレットを復元することはできません。",rename_wallet:"ウォレットの名前を変更",update_name:"名前を更新",press_to_claim:"クレームするには押してください",donate:"寄付",voidwallet_active:"Voidwalletアクティブ",use_with_caution:"注意して使用してください",toggle_dark_mode:"ダークモードを切り替える",view_swagger_docs:"Swaggerドキュメントを表示",api_docs:"APIドキュメント",commit_version:"コミットバージョン",runs_on:"で実行",credit_hint:"クレジットカードを使用して資金を追加するには、LNbitsを使用してください。",credit_label:"クレジットカード",paste_request:"リクエストを貼り付ける",create_invoice:"請求書を作成する",camera_tooltip:"QRコードを読み取る",export_csv:"CSVでエクスポート",transactions:"トランザクション",chart_tooltip:"チャートを表示するには、グラフの上にカーソルを合わせます",pending:"保留中",copy_invoice:"請求書をコピー",close:"閉じる",cancel:"キャンセル",scan:"スキャン",read:"読む",pay:"支払う",memo:"メモ",date:"日付",processing_payment:"支払い処理中",not_enough_funds:"資金が不足しています",search_by_tag_memo_amount:"タグ、メモ、金額で検索",invoice_waiting:"請求書を待っています",payment_received:"お支払いありがとうございます",payment_sent:"支払いが完了しました",receive:"受け取る",send:"送信",outgoing_payment_pending:"支払い保留中",drain_funds:"資金を排出する",drain_funds_desc:"ウォレットの残高をすべて他のウォレットに送金します",i_understand:"理解した",copy_wallet_url:"ウォレットURLをコピー",disclaimer_dialog:"ウォレットを削除すると、ウォレットの秘密鍵が削除され、ウォレットを復元することはできません。ウォレットを削除する前に、ウォレットをエクスポートしてください。",no_transactions:"トランザクションはありません",manage_server:"サーバーを管理する",extensions:"拡張機能",no_extensions:"拡張機能はありません",created:"作成済み",search_extensions:"検索拡張機能",warning:"警告",manage:"管理",repository:"リポジトリ",confirm_continue:"続行してもよろしいですか?",manage_extension_details:"拡張機能のインストール/アンインストール",install:"インストール",uninstall:"アンインストール",open:"開く",enable:"有効",enable_extension_details:"現在のユーザーの拡張機能を有効にする",disable:"無効",installed:"インストール済み",activated:"有効化",deactivated:"無効化",release_notes:"リリースノート",activate_extension_details:"拡張機能をユーザーが利用できるようにする/利用できないようにする",featured:"特集",all:"すべて",only_admins_can_install:"(管理者アカウントのみが拡張機能をインストールできます)",new_version:"新しいバージョン",extension_depends_on:"依存先:",extension_rating_soon:"評価は近日公開",extension_installed_version:"インストール済みバージョン",extension_uninstall_warning:"すべてのユーザーの拡張機能を削除しようとしています.",uninstall_confirm:"はい、アンインストールします",extension_min_lnbits_version:"このリリースには少なくとも LNbits バージョンが必要です",payment_hash:"支払いハッシュ",fee:"料金",amount:"量",description:"説明",expiry:"有効期限",webhook:"ウェブフック",payment_proof:"支払い証明"},window.localisation.cn={confirm:"确定",server:"服务器",theme:"主题",funding:"资金",users:"用户",restart:"重新启动服务器",save:"保存",save_tooltip:"保存更改",topup:"充值",topup_wallet:"给钱包充值",topup_hint:"使用钱包ID为任何钱包充值",restart_tooltip:"重新启动服务器以使更改生效",add_funds_tooltip:"为钱包添加资金",reset_defaults:"重置为默认设置",reset_defaults_tooltip:"删除所有设置并重置为默认设置",download_backup:"下载数据库备份",name_your_wallet:"给你的 %{name}钱包起个名字",paste_invoice_label:"粘贴发票，付款请求或lnurl*",lnbits_description:"LNbits 设置简单、轻量级，可以运行在任何闪电网络的版本上，目前支持 LND、Core Lightning、OpenNode、LNPay，甚至 LNbits 本身！您可以为自己运行 LNbits，或者为他人轻松提供资金托管。每个钱包都有自己的 API 密钥，你可以创建的钱包数量没有限制。能够把资金分开管理使 LNbits 成为一款有用的资金管理和开发工具。扩展程序增加了 LNbits 的额外功能，所以你可以在闪电网络上尝试各种尖端技术。我们已经尽可能简化了开发扩展程序的过程，作为一个免费和开源的项目，我们鼓励人们开发并提交自己的扩展程序。",export_to_phone:"通过二维码导出到手机",export_to_phone_desc:"这个二维码包含您钱包的URL。您可以使用手机扫描的方式打开您的钱包。",wallets:"钱包",add_wallet:"添加新钱包",delete_wallet:"删除钱包",delete_wallet_desc:"整个钱包将被删除，资金将无法恢复",rename_wallet:"重命名钱包",update_name:"更新名称",press_to_claim:"点击领取比特币",donate:"捐献",view_github:"在GitHub上查看",voidwallet_active:"VoidWallet 已激活！付款功能已禁用。",use_with_caution:"请谨慎使用 - %{name}钱包还处于测试版阶段",toggle_darkmode:"切换暗黑模式",view_swagger_docs:"查看 LNbits Swagger API 文档",api_docs:"API文档",commit_version:"提交版本",lnbits_version:"LNbits版本",runs_on:"可运行在",credit_hint:"按 Enter 键充值账户",credit_label:"%{denomination} 充值",paste_request:"粘贴请求",create_invoice:"创建发票",camera_tooltip:"用相机扫描发票/二维码",export_csv:"导出为CSV",transactions:"交易记录",chart_tooltip:"显示图表",pending:"待处理",copy_invoice:"复制发票",close:"关闭",cancel:"取消",scan:"扫描",read:"读取",pay:"付款",memo:"备注",date:"日期",processing_payment:"正在处理支付...",not_enough_funds:"资金不足！",search_by_tag_memo_amount:"按标签、备注、金额搜索",invoice_waiting:"待支付的发票",payment_received:"收到付款",payment_sent:"付款已发送",receive:"收款",send:"付款",outgoing_payment_pending:"付款正在等待处理",drain_funds:"清空资金",drain_funds_desc:"这是一个 LNURL-取款的二维码，用于从该钱包中提取全部资金。请不要与他人分享。它与 balanceCheck 和 balanceNotify 兼容，因此在第一次取款后，您的钱包还可能会持续从这里提取资金",i_understand:"我明白",copy_wallet_url:"复制钱包URL",disclaimer_dialog:"登录功能将在以后的更新中发布，请将此页面加为书签，以便将来访问您的钱包！此服务处于测试阶段，我们不对资金的丢失承担任何责任。",no_transactions:"尚未进行任何交易",manage_server:"管理服务器",extensions:"扩展程序",no_extensions:"你没有安装任何扩展程序 :(",created:"已创建",search_extensions:"搜索扩展程序",warning:"警告",manage:"管理",repository:"代码库",confirm_continue:"你确定要继续吗?",manage_extension_details:"安装/卸载扩展程序",install:"安装",uninstall:"卸载",drop_db:"删除数据",open:"打开",enable:"启用",enable_extension_details:"为当前用户启用扩展程序",disable:"禁用",installed:"已安装",activated:"已激活",deactivated:"已停用",release_notes:"发布说明",activate_extension_details:"对用户开放或禁用扩展程序",featured:"精选",all:"全部",only_admins_can_install:"（只有管理员账户可以安装扩展）",admin_only:"仅限管理员",new_version:"新版本",extension_depends_on:"依赖于:",extension_rating_soon:"即将推出评分",extension_installed_version:"已安装的版本",extension_uninstall_warning:"您即将对所有用户删除该扩展程序。",uninstall_confirm:"是的，卸载",extension_db_drop_info:"该扩展程序的所有数据将被永久删除。此操作无法撤销！",extension_db_drop_warning:"您即将删除该扩展的所有数据。请继续输入扩展程序名称以确认操作：",extension_min_lnbits_version:"此版本要求最低的 LNbits 版本为",payment_hash:"付款哈希",fee:"费",amount:"金额",unit:"单位",description:"详情",expiry:"过期时间",webhook:"Webhook",payment_proof:"付款证明"},window.localisation.nl={server:"Server",theme:"Thema",funding:"Financiering",users:"Gebruikers",restart:"Server opnieuw opstarten",save:"Opslaan",save_tooltip:"Sla uw wijzigingen op",topup:"Bijvullen",topup_wallet:"Een portemonnee bijvullen",topup_hint:"Gebruik de portemonnee-ID om elke portemonnee bij te vullen",restart_tooltip:"Start de server opnieuw op zodat wijzigingen van kracht worden",add_funds_tooltip:"Voeg geld toe aan een portemonnee.",reset_defaults:"Standaardinstellingen herstellen",reset_defaults_tooltip:"Wis alle instellingen en herstel de standaardinstellingen.",download_backup:"Databaseback-up downloaden",name_your_wallet:"Geef je %{name} portemonnee een naam",paste_invoice_label:"Plak een factuur, betalingsverzoek of lnurl-code*",lnbits_description:"Gemakkelijk in te stellen en lichtgewicht, LNbits kan op elke lightning-netwerkfinancieringsbron draaien, ondersteunt op dit moment LND, Core Lightning, OpenNode, LNPay en zelfs LNbits zelf! U kunt LNbits voor uzelf laten draaien of gemakkelijk een bewaardersoplossing voor anderen bieden. Elke portemonnee heeft zijn eigen API-sleutels en er is geen limiet aan het aantal portemonnees dat u kunt maken. Het kunnen partitioneren van fondsen maakt LNbits een nuttige tool voor geldbeheer en als ontwikkelingstool. Extensies voegen extra functionaliteit toe aan LNbits, zodat u kunt experimenteren met een reeks toonaangevende technologieën op het bliksemschichtnetwerk. We hebben het ontwikkelen van extensies zo eenvoudig mogelijk gemaakt en als een gratis en opensource-project moedigen we mensen aan om hun eigen ontwikkelingen in te dienen.",export_to_phone:"Exporteren naar telefoon met QR-code",export_to_phone_desc:"Deze QR-code bevat uw portemonnee-URL met volledige toegang. U kunt het vanaf uw telefoon scannen om uw portemonnee van daaruit te openen.",wallets:"Portemonnees",add_wallet:"Een nieuwe portemonnee toevoegen",delete_wallet:"Portemonnee verwijderen",delete_wallet_desc:"Deze hele portemonnee wordt verwijderd, de fondsen worden NIET TERUGGEVONDEN.",rename_wallet:"Portemonnee hernoemen",update_name:"Naam bijwerken",press_to_claim:"Druk om bitcoin te claimen",donate:"Doneren",view_github:"Bekijken op GitHub",voidwallet_active:"VoidWallet is actief! Betalingen uitgeschakeld",use_with_caution:"GEBRUIK MET VOORZICHTIGHEID - %{name} portemonnee is nog in BETA",toggle_darkmode:"Donkere modus aan/uit",view_swagger_docs:"Bekijk LNbits Swagger API-documentatie",api_docs:"API-documentatie",commit_version:"Commit-versie",lnbits_version:"LNbits-versie",runs_on:"Draait op",credit_hint:"Druk op Enter om de rekening te crediteren",credit_label:"%{denomination} te crediteren",paste_request:"Verzoek plakken",create_invoice:"Factuur aanmaken",camera_tooltip:"Gebruik de camera om een factuur/QR-code te scannen",export_csv:"Exporteer naar CSV",transactions:"Transacties",chart_tooltip:"Toon grafiek",pending:"In behandeling",copy_invoice:"Kopieer factuur",close:"Sluiten",cancel:"Annuleren",scan:"Scannen",read:"Lezen",pay:"Betalen",memo:"Memo",date:"Datum",processing_payment:"Verwerking betaling...",not_enough_funds:"Onvoldoende saldo!",search_by_tag_memo_amount:"Zoeken op tag, memo, bedrag",invoice_waiting:"Factuur wachtend op betaling",payment_received:"Betaling ontvangen",payment_sent:"Betaling verzonden",receive:"ontvangen",send:"versturen",voutgoing_payment_pending:"Uitgaande betaling in behandeling",drain_funds:"Geld opnemen",drain_funds_desc:"Dit is een LNURL-withdraw QR-code om alles uit deze portemonnee te halen. Deel deze code niet met anderen. Het is compatibel met balanceCheck en balanceNotify zodat jouw portemonnee continu geld kan blijven opnemen vanaf hier na de eerste opname.",i_understand:"Ik begrijp het",copy_wallet_url:"Kopieer portemonnee-URL",disclaimer_dialog:"Inlogfunctionaliteit wordt uitgebracht in een toekomstige update. Zorg er nu voor dat je deze pagina als favoriet markeert om in de toekomst toegang te krijgen tot je portemonnee! Deze service is in BETA en we zijn niet verantwoordelijk voor mensen die de toegang tot hun fondsen verliezen.",no_transactions:"Er zijn nog geen transacties gedaan",manage_extensions:"Beheer extensies",manage_server:"Beheer server",extensions:"Extensies",no_extensions:"Je hebt geen extensies geïnstalleerd :(",created:"Aangemaakt",payment_hash:"Betalings-hash",fee:"Kosten",amount:"Bedrag",unit:"Eenheid",description:"Beschrijving",expiry:"Vervaldatum",webhook:"Webhook",payment_proof:"Betalingsbewijs"},window.localisation.pi={server:"Cap`n",theme:"Theme",funding:"Funding",users:"Buccaneers",restart:"Arr, restart Cap`n",save:"Bury Treasure",save_tooltip:"Bury yer changes, matey",topup:"Top up the Chest",topup_wallet:"Add more doubloons to the chest",topup_hint:"Use the chest ID to top up any chest",restart_tooltip:"Restart the Cap`n for changes to take effect, arr!",add_funds_tooltip:"Add doubloons to a chest and make it heavier",reset_defaults:"Reset to Davy Jones Locker",reset_defaults_tooltip:"Scuttle all settings and reset to Davy Jones Locker. Aye, start anew!",download_backup:"Download database booty",name_your_wallet:"Name yer %{name} treasure chest",paste_invoice_label:"Paste a booty, payment request or lnurl code, matey!",lnbits_description:"Arr, easy to set up and lightweight, LNbits can run on any lightning-network funding source, currently supporting LND, Core Lightning, OpenNode, LNPay and even LNbits itself! Ye can run LNbits for yourself, or easily offer a custodian solution for others. Each chest has its own API keys and there be no limit to the number of chests ye can make. Being able to partition booty makes LNbits a useful tool for money management and as a development tool. Arr, extensions add extra functionality to LNbits so ye can experiment with a range of cutting-edge technologies on the lightning network. We have made developing extensions as easy as possible, and as a free and open-source project, we encourage scallywags to develop and submit their own.",export_to_phone:"Export to Phone with QR Code, me hearties",export_to_phone_desc:"This QR code contains yer chest URL with full access. Ye can scan it from yer phone to open yer chest from there, arr!",wallets:"Treasure Chests",add_wallet:"Add a new chest and fill it with doubloons!",delete_wallet:"Scuttle the Chest",delete_wallet_desc:"This whole chest will be scuttled, the booty will be UNRECOVERABLE. Aye, be warned!",rename_wallet:"Rename the Chest, me hearty",update_name:"Update name like a captain",press_to_claim:"Press to claim gold doubloons, matey!",donate:"Donate like a true pirate!",view_github:"View on GitHub and find treasures",voidwallet_active:"VoidWallet be active! Payments disabled",use_with_caution:"USE WITH CAUTION - %{name} chest be still in BETA. Aye, be careful!",toggle_darkmode:"Toggle Dark Mode, arr!",view_swagger_docs:"View LNbits Swagger API docs and learn the secrets",api_docs:"API docs for the scallywags",commit_version:"Commit version like a true pirate",lnbits_version:"LNbits version, arr!",runs_on:"Runs on, matey",credit_hint:"Press Enter to credit account and make it richer",credit_label:"%{denomination} to credit, arr!",paste_request:"Paste Request and find treasures",create_invoice:"Create Booty Request and get rich, me hearties!",camera_tooltip:"Use spyglass to scan a booty/QR, arr!",export_csv:"Export to CSV and keep track of the booty",transactions:"Pirate Transactions and loot",chart_tooltip:"Show ye chart, me hearty",pending:"Pendin like a ship at anchor",copy_invoice:"Copy booty request, arrr",close:"Batten down the hatches, we be closin",cancel:"Abandon ship! We be retreatin",scan:"Avast! Scan me beauty, arrr",read:"Read it, if ye dare",pay:"Pay up or walk the plank, ye scallywag",memo:"Message in a bottle, argh",date:"Date of the map, me matey",processing_payment:"Processing yer payment... don´t make me say it again",not_enough_funds:"Arrr, ye don´t have enough doubloons! Walk the plank!",search_by_tag_memo_amount:"Search by tag, message, or booty amount, savvy",invoice_waiting:"Invoice waiting to be plundered, arrr",payment_received:"Payment Received like a treasure, argh",payment_sent:"Payment Sent, hoist the colors! We´ve got some doubloons!",receive:"booty",send:"hoist",outgoing_payment_pending:"Outgoing payment pending in the port, ye scurvy dog",drain_funds:"Plunder all the doubloons, ye buccaneer",drain_funds_desc:"This be an LNURL-withdraw QR code for slurpin everything from this wallet. Don`t share with anyone. It be compatible with balanceCheck and balanceNotify so yer wallet may keep pullin` the funds continuously from here after the first withdraw.",i_understand:"I understand, yo ho ho and a bottle of rum!",copy_wallet_url:"Copy wallet URL like a map, savvy",disclaimer_dialog:"Login functionality to be released in a future update, for now, make sure ye bookmark this page for future access to your booty! This service be in BETA, and we hold no responsibility for people losing access to doubloons.",no_transactions:"No transactions made yet, me hearties. Belay that!",manage_extensions:"Manage Yer Extensions, ye landlubber",manage_server:"Manage Yer Server, me hearty",extensions:"Yer Extensions, ye scurvy dog",no_extensions:"Ye don't have any extensions installed, ye scallywag :(. Where be yer loot?",created:"Created like a legend, savvy",payment_hash:"Payment Hash like a treasure map, arrr",fee:"Fee like a toll to cross a strait, matey",amount:"Amount of doubloons, arrr",unit:"Unit of measurement like a fathom, ye buccaneer",description:"Description like a tale of adventure, arrr",expiry:"Expiry like the food on a ship, ye landlubber",webhook:"Webhook like a fishing line, arrr",payment_proof:"Payment Proof like a seal of authenticity, argh"},window.localisation.pl={server:"Serwer",theme:"Motyw",funding:"Finansowanie",users:"Użytkownicy",restart:"Restart serwera",save:"Zapisz",save_tooltip:"Zapisz zmiany",topup:"Doładowanie",topup_wallet:"Doładuj portfel",topup_hint:"Użyj ID portfela aby go doładować",restart_tooltip:"Zrestartuj serwer aby aktywować zmiany",add_funds_tooltip:"Dodaj środki do portfela.",reset_defaults:"Powrót do ustawień domyślnych",reset_defaults_tooltip:"Wymaż wszystkie ustawienia i ustaw domyślne.",download_backup:"Pobierz kopię zapasową bazy danych",name_your_wallet:"Nazwij swój portfel %{name}",paste_invoice_label:"Wklej fakturę, żądanie zapłaty lub kod lnurl *",lnbits_description:"Łatwy i lekki w konfiguracji, LNbits może działać w oparciu o dowolne źródło finansowania w sieci lightning, obecnie wspiera LND, Core Lightning, OpenNode, LNPay czy nawet inną instancję LNbits! Możesz uruchomić instancję LNbits dla siebie lub dla innych. Każdy portfel ma swoje klucze API i nie ma ograniczeń jeśli chodzi o ilość portfeli. LNbits umożliwia dzielenie środków w celu zarządzania nimi, jest również dobrym narzędziem deweloperskim. Rozszerzenia zwiększają funkcjonalność LNbits co umożliwia eksperymentowanie z nowym technologiami w sieci lightning. Tworzenie rozszerzeń jest proste dlatego zachęcamy innych deweloperów do tworzenia dodatkowych funkcjonalności i wysyłanie do nas PR",export_to_phone:"Eksport kodu QR na telefon",export_to_phone_desc:"Ten kod QR zawiera adres URL Twojego portfela z pełnym dostępem do niego. Możesz go zeskanować na swoim telefonie aby otworzyć na nim ten portfel.",wallets:"Portfele",add_wallet:"Dodaj portfel",delete_wallet:"Usuń portfel",delete_wallet_desc:"Ten portfel zostanie usunięty, środków na nim zgromadzonych NIE BĘDZIE MOŻNA ODZYSKAĆ.",rename_wallet:"Zmień nazwę portfela",update_name:"Zaktualizuj nazwę",press_to_claim:"Naciśnij aby odebrać Bitcoiny",donate:"Podaruj",view_github:"Otwórz GitHub",voidwallet_active:"VoidWallet jest aktywny! Płatności są niemożliwe",use_with_caution:"KORZYSTAJ Z ROZWAGĄ - portfel %{name} jest w wersji BETA",toggle_darkmode:"Tryb nocny",view_swagger_docs:"Dokumentacja Swagger API",api_docs:"Dokumentacja API",commit_version:"Commit",lnbits_version:"Wersja LNbits",runs_on:"Działa na",credit_hint:"Naciśnij Enter aby doładować konto",credit_label:"%{denomination} doładowanie",paste_request:"Wklej żądanie",create_invoice:"Utwórz fakturę",camera_tooltip:"Użyj kamery aby zeskanować fakturę lub kod QR",export_csv:"Eksport do CSV",transactions:"Transakcje",chart_tooltip:"Wykres",pending:"W toku",copy_invoice:"Skopiuj fakturę",close:"Zamknij",cancel:"Anuluj",scan:"Skanuj",read:"Odczytaj",pay:"Zapłać",memo:"Memo",date:"Data",processing_payment:"Przetwarzam płatność...",not_enough_funds:"Brak wystarczających środków!",search_by_tag_memo_amount:"Szukaj po tagu, memo czy wartości",invoice_waiting:"Faktura oczekuje na zapłatę",payment_received:"Otrzymano płatność",payment_sent:"Wysłano płatność",receive:"odbierać",send:"wysłać",outgoing_payment_pending:"Płatność wychodząca w toku",drain_funds:"Opróżnij środki",drain_funds_desc:"To jest kod QR służący do opróżnienia portfela (LNURL-withdraw). Nie udostępniaj go nikomu. Ten kod jest kompatybilny z funkcjami, które umożliwiają wielokrotne żądania aż do zupełnego opróżnienia portfela.",i_understand:"Rozumiem",copy_wallet_url:"Skopiuj URL portfela",disclaimer_dialog:"Funkcja logowania zostanie uruchomiona w przyszłości. Póki co upewnij się, że zapisałeś adres URL tej strony aby mieć dostęp do tego portfela. Nie udostępniaj adresu tej strony nikomu, kto nie ma mieć do tego portfela dostępu! Ta usługa działa w wersji BETA, nie odpowiadamy za utratę dostępu do środków przez osoby używające LNbits.",no_transactions:"Brak transakcji",manage_extensions:"Zarządzaj rozszerzeniami",manage_server:"Zarządzaj serwerem",extensions:"Rozszerzenia",no_extensions:"Nie masz zainstalowanych żadnych rozszerzeń :(",created:"Utworzono",payment_hash:"Hash Płatności",fee:"Opłata",amount:"Wartość",unit:"Jednostka",description:"Opis",expiry:"Wygasa",webhook:"Webhook",payment_proof:"Potwierdzenie płatności"},window.localisation.fr={server:"Serveur",theme:"Thème",funding:"Financement",users:"Utilisateurs",restart:"Redémarrer le serveur",save:"Enregistrer",save_tooltip:"Enregistrer vos modifications",topup:"Renflouer",topup_wallet:"Reflouer un portefeuille",topup_hint:"Utilisez l'ID du portefeuille pour recharger n'importe quel portefeuille",restart_tooltip:"Redémarrez le serveur pour que les changements prennent effet",add_funds_tooltip:"Ajouter des fonds à un portefeuille.",reset_defaults:"Réinitialiser aux valeurs par défaut",reset_defaults_tooltip:"Supprimer tous les paramètres et les réinitialiser aux valeurs par défaut.",download_backup:"Télécharger la sauvegarde de la base de données",name_your_wallet:"Nommez votre portefeuille %{name}",paste_invoice_label:"Coller une facture, une demande de paiement ou un code lnurl *",lnbits_description:"Facile à installer et léger, LNbits peut fonctionner sur n'importe quelle source de financement du réseau Lightning, prenant actuellement en charge LND, Core Lightning, OpenNode, LNPay et même LNbits lui-même! Vous pouvez exécuter LNbits pour vous-même ou offrir facilement une solution de gardien pour les autres. Chaque portefeuille a ses propres clés API et il n'y a pas de limite au nombre de portefeuilles que vous pouvez créer. La capacité de partitionner les fonds rend LNbits un outil utile pour la gestion de l'argent et comme outil de développement. Les extensions ajoutent une fonctionnalité supplémentaire à LNbits afin que vous puissiez expérimenter une gamme de technologies de pointe sur le réseau Lightning. Nous avons rendu le développement d'extensions aussi simple que possible et, en tant que projet gratuit et open source, nous encourageons les gens à développer et à soumettre les leurs.",export_to_phone:"Exporter vers le téléphone avec un code QR",export_to_phone_desc:"Ce code QR contient l'URL de votre portefeuille avec un accès complet. Vous pouvez le scanner depuis votre téléphone pour ouvrir votre portefeuille depuis là-bas.",wallets:"Portefeuilles",add_wallet:"Ajouter un nouveau portefeuille",delete_wallet:"Supprimer le portefeuille",delete_wallet_desc:"Ce portefeuille entier sera supprimé et les fonds seront IRRECUPERABLES.",rename_wallet:"Renommer le portefeuille",update_name:"Mettre à jour le nom",press_to_claim:"Appuyez pour demander du Bitcoin",donate:"Donner",view_github:"Voir sur GitHub",voidwallet_active:"VoidWallet est actif! Paiements désactivés",use_with_caution:"UTILISER AVEC PRUDENCE - Le portefeuille %{name} est toujours en version BETA",toggle_darkmode:"Basculer le mode sombre",view_swagger_docs:"Voir les documents de l'API Swagger de LNbits",api_docs:"Documents de l'API",commit_version:"Version de commit",lnbits_version:"Version de LNbits",runs_on:"Fonctionne sur",credit_hint:"Appuyez sur Entrée pour créditer le compte",credit_label:"%{denomination} à créditer",paste_request:"Coller la requête",create_invoice:"Créer une facture",camera_tooltip:"Utiliser la caméra pour scanner une facture / un code QR",export_csv:"Exporter vers CSV",transactions:"Transactions",chart_tooltip:"Afficher le graphique",pending:"En attente",copy_invoice:"Copier la facture",close:"Fermer",cancel:"Annuler",scan:"Scanner",read:"Lire",pay:"Payer",memo:"Mémo",date:"Date",processing_payment:"Traitement du paiement...",not_enough_funds:"Fonds insuffisants !",search_by_tag_memo_amount:"Rechercher par tag, mémo, montant",invoice_waiting:"Facture en attente de paiement",payment_received:"Paiement reçu",payment_sent:"Paiement envoyé",receive:"recevoir",send:"envoyer",outgoing_payment_pending:"Paiement sortant en attente",drain_funds:"Vider les fonds",drain_funds_desc:"Il s'agit d'un code QR LNURL-withdraw pour tout aspirer de ce portefeuille. Ne le partagez avec personne. Il est compatible avec balanceCheck et balanceNotify, de sorte que votre portefeuille peut continuer à retirer les fonds continuellement à partir d'ici après le premier retrait.",i_understand:"J'ai compris",copy_wallet_url:"Copier l'URL du portefeuille",disclaimer_dialog:"La fonctionnalité de connexion sera publiée dans une future mise à jour, pour l'instant, assurez-vous de mettre cette page en favori pour accéder à votre portefeuille ultérieurement ! Ce service est en BETA, et nous ne sommes pas responsables des personnes qui perdent l'accès à leurs fonds.",no_transactions:"Aucune transaction effectuée pour le moment",manage_extensions:"Gérer les extensions",manage_server:"Gérer le serveur",extensions:"Extensions",no_extensions:"Vous n'avez installé aucune extension :(",created:"Créé",payment_hash:"Hash de paiement",fee:"Frais",amount:"Montant",unit:"Unité",description:"Description",expiry:"Expiration",webhook:"Webhook",payment_proof:"Preuve de paiement"},window.localisation.nl={server:"Server",theme:"Thema",funding:"Financiering",users:"Gebruikers",restart:"Server opnieuw opstarten",save:"Opslaan",save_tooltip:"Sla uw wijzigingen op",topup:"Bijvullen",topup_wallet:"Een portemonnee bijvullen",topup_hint:"Gebruik de portemonnee-ID om elke portemonnee bij te vullen",restart_tooltip:"Start de server opnieuw op zodat wijzigingen van kracht worden",add_funds_tooltip:"Voeg geld toe aan een portemonnee.",reset_defaults:"Standaardinstellingen herstellen",reset_defaults_tooltip:"Wis alle instellingen en herstel de standaardinstellingen.",download_backup:"Databaseback-up downloaden",name_your_wallet:"Geef je %{name} portemonnee een naam",paste_invoice_label:"Plak een factuur, betalingsverzoek of lnurl-code*",lnbits_description:"Gemakkelijk in te stellen en lichtgewicht, LNbits kan op elke lightning-netwerkfinancieringsbron draaien, ondersteunt op dit moment LND, Core Lightning, OpenNode, LNPay en zelfs LNbits zelf! U kunt LNbits voor uzelf laten draaien of gemakkelijk een bewaardersoplossing voor anderen bieden. Elke portemonnee heeft zijn eigen API-sleutels en er is geen limiet aan het aantal portemonnees dat u kunt maken. Het kunnen partitioneren van fondsen maakt LNbits een nuttige tool voor geldbeheer en als ontwikkelingstool. Extensies voegen extra functionaliteit toe aan LNbits, zodat u kunt experimenteren met een reeks toonaangevende technologieën op het bliksemschichtnetwerk. We hebben het ontwikkelen van extensies zo eenvoudig mogelijk gemaakt en als een gratis en opensource-project moedigen we mensen aan om hun eigen ontwikkelingen in te dienen.",export_to_phone:"Exporteren naar telefoon met QR-code",export_to_phone_desc:"Deze QR-code bevat uw portemonnee-URL met volledige toegang. U kunt het vanaf uw telefoon scannen om uw portemonnee van daaruit te openen.",wallets:"Portemonnees",add_wallet:"Een nieuwe portemonnee toevoegen",delete_wallet:"Portemonnee verwijderen",delete_wallet_desc:"Deze hele portemonnee wordt verwijderd, de fondsen worden NIET TERUGGEVONDEN.",rename_wallet:"Portemonnee hernoemen",update_name:"Naam bijwerken",press_to_claim:"Druk om bitcoin te claimen",donate:"Doneren",view_github:"Bekijken op GitHub",voidwallet_active:"VoidWallet is actief! Betalingen uitgeschakeld",use_with_caution:"GEBRUIK MET VOORZICHTIGHEID - %{name} portemonnee is nog in BETA",toggle_darkmode:"Donkere modus aan/uit",view_swagger_docs:"Bekijk LNbits Swagger API-documentatie",api_docs:"API-documentatie",commit_version:"Commit-versie",lnbits_version:"LNbits-versie",runs_on:"Draait op",credit_hint:"Druk op Enter om de rekening te crediteren",credit_label:"%{denomination} te crediteren",paste_request:"Verzoek plakken",create_invoice:"Factuur aanmaken",camera_tooltip:"Gebruik de camera om een factuur/QR-code te scannen",export_csv:"Exporteer naar CSV",transactions:"Transacties",chart_tooltip:"Toon grafiek",pending:"In behandeling",copy_invoice:"Kopieer factuur",close:"Sluiten",cancel:"Annuleren",scan:"Scannen",read:"Lezen",pay:"Betalen",memo:"Memo",date:"Datum",processing_payment:"Verwerking betaling...",not_enough_funds:"Onvoldoende saldo!",search_by_tag_memo_amount:"Zoeken op tag, memo, bedrag",invoice_waiting:"Factuur wachtend op betaling",payment_received:"Betaling ontvangen",payment_sent:"Betaling verzonden",receive:"ontvangen",send:"versturen",voutgoing_payment_pending:"Uitgaande betaling in behandeling",drain_funds:"Geld opnemen",drain_funds_desc:"Dit is een LNURL-withdraw QR-code om alles uit deze portemonnee te halen. Deel deze code niet met anderen. Het is compatibel met balanceCheck en balanceNotify zodat jouw portemonnee continu geld kan blijven opnemen vanaf hier na de eerste opname.",i_understand:"Ik begrijp het",copy_wallet_url:"Kopieer portemonnee-URL",disclaimer_dialog:"Inlogfunctionaliteit wordt uitgebracht in een toekomstige update. Zorg er nu voor dat je deze pagina als favoriet markeert om in de toekomst toegang te krijgen tot je portemonnee! Deze service is in BETA en we zijn niet verantwoordelijk voor mensen die de toegang tot hun fondsen verliezen.",no_transactions:"Er zijn nog geen transacties gedaan",manage_extensions:"Beheer extensies",manage_server:"Beheer server",extensions:"Extensies",no_extensions:"Je hebt geen extensies geïnstalleerd :(",created:"Aangemaakt",payment_hash:"Betalings-hash",fee:"Kosten",amount:"Bedrag",unit:"Eenheid",description:"Beschrijving",expiry:"Vervaldatum",webhook:"Webhook",payment_proof:"Betalingsbewijs"},window.localisation.we={server:"Gweinydd",theme:"Thema",funding:"Arian fyndio",users:"Defnyddwyr",restart:"Ailgychwyn gweinydd",save:"Save",save_tooltip:"cadw eich newidiadau",topup:"Topup",topup_wallet:"Atodi waled",topup_hint:"Defnyddiwch ID y waled i ychwanegu at unrhyw waled",restart_tooltip:"Ailgychwyn y gweinydd er mwyn i newidiadau ddod i rym",add_funds_tooltip:"Ychwanegu arian at waled.",reset_defaults:"Ailosod i`r rhagosodiadau",reset_defaults_tooltip:"Dileu pob gosodiad ac ailosod i`r rhagosodiadau.",download_backup:"Lawrlwytho copi wrth gefn cronfa ddata",name_your_wallet:"Enwch eich waled %{name}",paste_invoice_label:"Gludwch anfoneb, cais am daliad neu god lnurl *",lnbits_description:"Yn hawdd iw sefydlu ac yn ysgafn, gall LNbits redeg ar unrhyw ffynhonnell ariannu rhwydwaith mellt, ar hyn o bryd yn cefnogi LND, Core Lightning, OpenNode, LNPay a hyd yn oed LNbits ei hun! Gallwch redeg LNbits i chi`ch hun, neu gynnig datrysiad ceidwad i eraill yn hawdd. Mae gan bob waled ei allweddi API ei hun ac nid oes cyfyngiad ar nifer y waledi y gallwch eu gwneud. Mae gallu rhannu cronfeydd yn gwneud LNbits yn arf defnyddiol ar gyfer rheoli arian ac fel offeryn datblygu. Mae estyniadau yn ychwanegu ymarferoldeb ychwanegol at LNbits fel y gallwch arbrofi gydag ystod o dechnolegau blaengar ar y rhwydwaith mellt. Rydym wedi gwneud datblygu estyniadau mor hawdd â phosibl, ac fel prosiect ffynhonnell agored am ddim, rydym yn annog pobl i ddatblygu a chyflwyno eu rhai eu hunain.",export_to_phone:"Allforio i Ffôn gyda chod QR",export_to_phone_desc:"Mae`r cod QR hwn yn cynnwys URL eich waled gyda mynediad llawn. Gallwch ei sganio o`ch ffôn i agor eich waled oddi yno.",waledi:"Waledi",add_wallet:"Ychwanegu waled newydd",delete_wallet:"Dileu waled",delete_wallet_desc:"Bydd y waled gyfan hon yn cael ei dileu, ni fydd modd adennill yr arian.",rename_wallet:"Ailenwi waled",update_name:"Diweddaru enw",press_to_claim:"Pwyswch i hawlio bitcoin",Donate:"Rhoi",view_github:"Gweld ar GitHub",voidwallet_active:" Mae VoidWallet yn weithredol! Taliadau wedi`u hanalluogi",use_with_caution:"DEFNYDDIO GYDA GOFAL - mae waled %{name} yn dal yn BETA",toggle_darkmode:"Toglo Modd Tywyll",view_swagger_docs:"Gweld dogfennau API LNbits Swagger",api_docs:"Api docs",commit_version:"fersiwn ymrwymo",lnbits_version:"Fersiwn LNbits",Runs_on:"Yn rhedeg ymlaen",credit_hint:"Pwyswch Enter i gyfrif credyd",credit_label:"%{enomination} i gredyd",paste_request:"Gludo Cais",create_invoice:"Creu Anfoneb",camera_tooltip:"Defnyddio camera i sganio anfoneb/QR",export_csv:"Allforio i CSV",trafodion:"Trafodion",chart_tooltip:"Dangos siart",pending:"yn yr arfaeth",copy_invoice:"Copi anfoneb",Close:"cau",cancel:"Canslo",scan:"Sgan",read:"Darllen",talu:"Pay",memo:"Memo",date:"Dyddiad",processing_payment:"Prosesu taliad...",not_enough_funds:"Dim digon o arian!",search_by_tag_memo_amount:"Chwilio yn ôl tag, memo, swm",invoice_waiting:"Anfoneb yn aros i gael ei thalu",payment_received:"Taliad a Dderbyniwyd",payment_sent:"Taliad a Anfonwyd",receive:"derbyn",send:"anfon",outgoing_payment_pending:"Taliad sy`n aros yn yr arfaeth",drain_funds:"Cronfeydd Draenio",drain_funds_desc:"Cod QR Tynnu`n ôl LNURL yw hwn ar gyfer slurpio popeth o`r waled hon. Peidiwch â rhannu gyda neb. Mae`n gydnaws â balanceCheck a balanceNotify felly efallai y bydd eich waled yn tynnu`r arian yn barhaus o`r fan hon ar ôl y codiad cyntaf.",i_understand:"Rwy`n deall",copy_wallet_url:"Copi URL waled",disclaimer_dialog:"Swyddogaeth mewngofnodi i`w ryddhau mewn diweddariad yn y dyfodol, am y tro, gwnewch yn siŵr eich bod yn rhoi nod tudalen ar y dudalen hon ar gyfer mynediad i`ch waled yn y dyfodol! Mae`r gwasanaeth hwn yn BETA, ac nid ydym yn gyfrifol am bobl sy`n colli mynediad at arian.",no_transactions:"Dim trafodion wedi`u gwneud eto",manage_extensions:"Rheoli Estyniadau",manage_server:"Rheoli Gweinydd",Extensions:"Estyniadau",no_extensions:"Nid oes gennych unrhyw estyniadau wedi'u gosod :(",create:"Crëwyd",payment_hash:"Hais Taliad",fee:"Fee",amount:"swm",unit:"Uned",description:"Disgrifiad",expiry:"dod i ben",webhook:"bachyn we",payment_proof:"prawf taliad"},window.localisation.pt={server:"Servidor",theme:"Tema",funding:"Financiamento",users:"Usuários",restart:"Reiniciar servidor",save:"Gravar",save_tooltip:"Gravar as alterações",topup:"Reforçar conta",topup_wallet:"Recarregar uma carteira",topup_hint:"Use o ID da carteira para recarregar qualquer carteira",restart_tooltip:"Reinicie o servidor para que as alterações tenham efeito",add_funds_tooltip:"Adicionar fundos a uma carteira.",reset_defaults:"Redefinir para padrões",reset_defaults_tooltip:"Apagar todas as configurações e redefinir para os padrões.",download_backup:"Fazer backup da base de dados",name_your_wallet:"Nomeie sua carteira %{name}",paste_invoice_label:"Cole uma fatura, pedido de pagamento ou código lnurl *",lnbits_description:"Fácil de configurar e leve, o LNbits pode ser executado em qualquer fonte de financiamento da lightning-network, atualmente suportando LND, c-lightning, OpenNode, LNPay e até mesmo o LNbits em si! Você pode executar o LNbits para si mesmo ou oferecer facilmente uma solução de custódia para outros. Cada carteira tem suas próprias chaves de API e não há limite para o número de carteiras que você pode criar. Ser capaz de particionar fundos torna o LNbits uma ferramenta útil para gerenciamento de dinheiro e como uma ferramenta de desenvolvimento. As extensões adicionam funcionalidades extras ao LNbits para que você possa experimentar uma série de tecnologias de ponta na rede lightning. Nós tornamos o desenvolvimento de extensões o mais fácil possível e, como um projeto gratuito e de código aberto, incentivamos as pessoas a desenvolver e enviar as suas próprias.",export_to_phone:"Exportar para o telefone com código QR",export_to_phone_desc:"Este código QR contém a URL da sua carteira com acesso total. Você pode escaneá-lo do seu telefone para abrir sua carteira a partir dele.",wallets:"Carteiras",add_wallet:"Adicionar nova carteira",delete_wallet:"Excluir carteira",delete_wallet_desc:"Toda a carteira será excluída, os fundos serão IRRECUPERÁVEIS.",rename_wallet:"Renomear carteira",update_name:"Atualizar nome",press_to_claim:"Pressione para solicitar bitcoin",donate:"Doar",view_github:"Ver no GitHub",voidwallet_active:"VoidWallet está ativo! Pagamentos desabilitados",use_with_caution:"USE COM CAUTELA - a carteira %{name} ainda está em BETA",toggle_darkmode:"Alternar modo escuro",view_swagger_docs:"Ver a documentação da API do LNbits Swagger",api_docs:"Documentação da API",commit_version:"Versão de commit",lnbits_version:"Versão do LNbits",runs_on:"Executa em",credit_hint:"Pressione Enter para creditar a conta",credit_label:"%{denomination} para creditar",paste_request:"Colar Pedido",create_invoice:"Criar Fatura",camera_tooltip:"Usar a câmara para escanear uma fatura / QR",export_csv:"Exportar para CSV",transactions:"Transações",chart_tooltip:"Mostrar gráfico",pending:"Pendente",copy_invoice:"Copiar fatura",close:"Fechar",cancel:"Cancelar",scan:"Escanear",read:"Ler",pay:"Pagar",memo:"Memo",date:"Data",processing_payment:"Processando pagamento...",not_enough_funds:"Fundos insuficientes!",search_by_tag_memo_amount:"Pesquisar por tag, memo, quantidade",invoice_waiting:"Fatura aguardando pagamento",payment_received:"Pagamento Recebido",payment_sent:"Pagamento Enviado",receive:"receber",send:"enviar",outgoing_payment_pending:"Pagamento de saída pendente",drain_funds:"Esvasiar carteira",drain_funds_desc:"Este é um código QR de saque LNURL para sacar tudo desta carteira. Não o partilhe com ninguém. É compatível com balanceCheck e balanceNotify para que a sua carteira possa continuar levantando os fundos continuamente daqui após o primeiro saque.",i_understand:"Eu entendo",copy_wallet_url:"Copiar URL da carteira",disclaimer_dialog:"Funcionalidade de login a ser lançada numa atualização futura, por enquanto, certifique-se que marca esta página para acesso futuro à sua carteira! Este serviço está em BETA, e não nos responsabilizamos por pessoas que perderem o acesso aos fundos.",no_transactions:"Ainda não foram feitas transações",manage_extensions:"Gerir extensões",manage_server:"Gerir servidor",extensions:"Extensões",no_extensions:"Não há nenhuma extensão instalada :(",created:"Criado",payment_hash:"Hash de pagamento",fee:"Taxa",amount:"Quantidade",unit:"Unidade",description:"Descrição",expiry:"Validade",webhook:"Webhook",payment_proof:"Comprovativo de pagamento"},window.localisation.br={server:"Servidor",theme:"Tema",funding:"Financiamento",users:"Usuários",restart:"Reiniciar servidor",save:"Salvar",save_tooltip:"Salvar suas alterações",topup:"Recarregar",topup_wallet:"Recarregar uma carteira",topup_hint:"Use o ID da carteira para recarregar qualquer carteira",restart_tooltip:"Reinicie o servidor para que as alterações tenham efeito",add_funds_tooltip:"Adicionar fundos a uma carteira.",reset_defaults:"Redefinir para padrões",reset_defaults_tooltip:"Apagar todas as configurações e redefinir para os padrões.",download_backup:"Fazer backup do banco de dados",name_your_wallet:"Nomeie sua carteira %{name}",paste_invoice_label:"Cole uma fatura, pedido de pagamento ou código lnurl *",lnbits_description:"Fácil de configurar e leve, o LNbits pode ser executado em qualquer fonte de financiamento da lightning-network, atualmente suportando LND, c-lightning, OpenNode, LNPay e até mesmo o LNbits em si! Você pode executar o LNbits para si mesmo ou oferecer facilmente uma solução de custódia para outros. Cada carteira tem suas próprias chaves de API e não há limite para o número de carteiras que você pode criar. Ser capaz de particionar fundos torna o LNbits uma ferramenta útil para gerenciamento de dinheiro e como uma ferramenta de desenvolvimento. As extensões adicionam funcionalidades extras ao LNbits para que você possa experimentar uma série de tecnologias de ponta na rede lightning. Nós tornamos o desenvolvimento de extensões o mais fácil possível e, como um projeto gratuito e de código aberto, incentivamos as pessoas a desenvolver e enviar as suas próprias.",export_to_phone:"Exportar para o telefone com código QR",export_to_phone_desc:"Este código QR contém a URL da sua carteira com acesso total. Você pode escaneá-lo do seu telefone para abrir sua carteira a partir dele.",wallets:"Carteiras",add_wallet:"Adicionar nova carteira",delete_wallet:"Excluir carteira",delete_wallet_desc:"Toda a carteira será excluída, os fundos serão IRRECUPERÁVEIS.",rename_wallet:"Renomear carteira",update_name:"Atualizar nome",press_to_claim:"Pressione para solicitar bitcoin",donate:"Doar",view_github:"Ver no GitHub",voidwallet_active:"VoidWallet está ativo! Pagamentos desabilitados",use_with_caution:"USE COM CAUTELA - a carteira %{name} ainda está em BETA",toggle_darkmode:"Alternar modo escuro",view_swagger_docs:"Ver a documentação da API do LNbits Swagger",api_docs:"Documentação da API",commit_version:"Versão de commit",lnbits_version:"Versão do LNbits",runs_on:"Executa em",credit_hint:"Pressione Enter para creditar a conta",credit_label:"%{denomination} para creditar",paste_request:"Colar Pedido",create_invoice:"Criar Fatura",camera_tooltip:"Usar a câmara para escanear uma fatura / QR",export_csv:"Exportar para CSV",transactions:"Transações",chart_tooltip:"Mostrar gráfico",pending:"Pendente",copy_invoice:"Copiar fatura",close:"Fechar",cancel:"Cancelar",scan:"Escanear",read:"Ler",pay:"Pagar",memo:"Memo",date:"Data",processing_payment:"Processando pagamento...",not_enough_funds:"Fundos insuficientes!",search_by_tag_memo_amount:"Pesquisar por tag, memo, quantidade",invoice_waiting:"Fatura aguardando pagamento",payment_received:"Pagamento Recebido",payment_sent:"Pagamento Enviado",receive:"receber",send:"enviar",outgoing_payment_pending:"Pagamento pendente de saída",drain_funds:"Drenar Fundos",drain_funds_desc:"Este é um código QR de retirada do LNURL para sugar tudo desta carteira. Não compartilhe com ninguém. É compatível com balanceCheck e balanceNotify para que sua carteira possa continuar retirando os fundos continuamente daqui após a primeira retirada.",i_understand:"Eu entendo",copy_wallet_url:"Copiar URL da carteira",disclaimer_dialog:"Funcionalidade de login a ser lançada em uma atualização futura, por enquanto, certifique-se de marcar esta página para acesso futuro à sua carteira! Este serviço está em BETA, e não nos responsabilizamos por pessoas que perderem o acesso aos fundos.",no_transactions:"Ainda não foram feitas transações",manage_extensions:"Gerenciar extensões",manage_server:"Gerenciar servidor",extensions:"Extensões",no_extensions:"Você não possui nenhuma extensão instalada :(",created:"Criado",payment_hash:"Hash de pagamento",fee:"Taxa",amount:"Quantidade",unit:"Unidade",description:"Descrição",expiry:"Validade",webhook:"Webhook",payment_proof:"Comprovante de pagamento"},Vue.use(VueI18n),window.LOCALE="en",window.i18n=new VueI18n({locale:window.LOCALE,fallbackLocale:window.LOCALE,messages:window.localisation}),window.EventHub=new Vue,window.LNbits={api:{request:function(t,e,n,i){return axios({method:t,url:e,headers:{"X-Api-Key":n},data:i})},createInvoice:async function(t,e,n,i="sat",r=null){return this.request("post","/api/v1/payments",t.inkey,{out:!1,amount:e,memo:n,unit:i,lnurl_callback:r})},payInvoice:function(t,e){return this.request("post","/api/v1/payments",t.adminkey,{out:!0,bolt11:e})},payLnurl:function(t,e,n,i,r="",o=""){return this.request("post","/api/v1/payments/lnurl",t.adminkey,{callback:e,description_hash:n,amount:i,comment:o,description:r})},authLnurl:function(t,e){return this.request("post","/api/v1/lnurlauth",t.adminkey,{callback:e})},getWallet:function(t){return this.request("get","/api/v1/wallet",t.inkey)},getPayments:function(t,e){const n=new URLSearchParams(e);return this.request("get","/api/v1/payments/paginated?"+n,t.inkey)},getPayment:function(t,e){return this.request("get","/api/v1/payments/"+e,t.inkey)}},events:{onInvoicePaid:function(t,e){let n=t=>{e(JSON.parse(t.data))};return this.listenersCount=this.listenersCount||{[t.inkey]:0},this.listenersCount[t.inkey]++,this.listeners=this.listeners||{},t.inkey in this.listeners||(this.listeners[t.inkey]=new EventSource("/api/v1/payments/sse?api-key="+t.inkey)),this.listeners[t.inkey].addEventListener("payment-received",n),()=>{this.listeners[t.inkey].removeEventListener("payment-received",n),this.listenersCount[t.inkey]--,this.listenersCount[t.inkey]<=0&&(this.listeners[t.inkey].close(),delete this.listeners[t.inkey])}}},href:{createWallet:function(t,e){window.location.href="/wallet?"+(e?"usr="+e+"&":"")+"nme="+t},updateWallet:function(t,e,n){window.location.href=`/wallet?usr=${e}&wal=${n}&nme=${t}`},deleteWallet:function(t,e){window.location.href="/deletewallet?usr="+e+"&wal="+t}},map:{extension:function(t){var e=_.object(["code","isValid","isAdminOnly","name","shortDescription","tile","contributors","hidden"],t);return e.url=["/",e.code,"/"].join(""),e},user:function(t){var e={id:t.id,admin:t.admin,email:t.email,extensions:t.extensions,wallets:t.wallets,admin:t.admin},n=this.wallet;return e.wallets=e.wallets.map((function(t){return n(t)})).sort((function(t,e){return t.name.localeCompare(e.name)})),e.walletOptions=e.wallets.map((function(t){return{label:[t.name," - ",t.id].join(""),value:t.id}})),e},wallet:function(t){return newWallet={id:t.id,name:t.name,adminkey:t.adminkey,inkey:t.inkey,currency:t.currency},newWallet.msat=t.balance_msat,newWallet.sat=Math.round(t.balance_msat/1e3),newWallet.fsat=new Intl.NumberFormat(window.LOCALE).format(newWallet.sat),newWallet.url=["/wallet?usr=",t.user,"&wal=",t.id].join(""),newWallet},payment:function(t){return obj={checking_id:t.checking_id,pending:t.pending,amount:t.amount,fee:t.fee,memo:t.memo,time:t.time,bolt11:t.bolt11,preimage:t.preimage,payment_hash:t.payment_hash,expiry:t.expiry,extra:t.extra,wallet_id:t.wallet_id,webhook:t.webhook,webhook_status:t.webhook_status,fiat_amount:t.fiat_amount,fiat_currency:t.fiat_currency},obj.date=Quasar.utils.date.formatDate(new Date(1e3*obj.time),"YYYY-MM-DD HH:mm"),obj.dateFrom=moment(obj.date).fromNow(),obj.expirydate=Quasar.utils.date.formatDate(new Date(1e3*obj.expiry),"YYYY-MM-DD HH:mm"),obj.expirydateFrom=moment(obj.expirydate).fromNow(),obj.msat=obj.amount,obj.sat=obj.msat/1e3,obj.tag=obj.extra.tag,obj.fsat=new Intl.NumberFormat(window.LOCALE).format(obj.sat),obj.isIn=obj.amount>0,obj.isOut=obj.amount<0,obj.isPaid=!obj.pending,obj._q=[obj.memo,obj.sat].join(" ").toLowerCase(),obj}},utils:{confirmDialog:function(t){return Quasar.plugins.Dialog.create({message:t,ok:{flat:!0,color:"orange"},cancel:{flat:!0,color:"grey"}})},digestMessage:async function(t){const e=(new TextEncoder).encode(t),n=await crypto.subtle.digest("SHA-256",e);return Array.from(new Uint8Array(n)).map((t=>t.toString(16).padStart(2,"0"))).join("")},formatCurrency:function(t,e){return new Intl.NumberFormat(window.LOCALE,{style:"currency",currency:e}).format(t)},formatSat:function(t){return new Intl.NumberFormat(window.LOCALE).format(t)},notifyApiError:function(t){Quasar.plugins.Notify.create({timeout:5e3,type:{400:"warning",401:"warning",500:"negative"}[t.response.status]||"warning",message:t.response.data.message||t.response.data.detail||null,caption:[t.response.status," ",t.response.statusText].join("").toUpperCase()||null,icon:null})},search:function(t,e,n,i){try{var r=e.toLowerCase().split(i||" ");return t.filter((function(t){var e=0;return _.each(r,(function(i){-1!==t[n].indexOf(i)&&e++})),e===r.length}))}catch(e){return t}},exportCSV:function(t,e,n){var i=function(t,e){var n=void 0!==e?e(t):t;return`"${n=(n=null==n?"":String(n)).split('"').join('""')}"`},r=[t.map((function(t){return i(t.label)}))].concat(e.map((function(e){return t.map((function(t){return i("function"==typeof t.field?t.field(e):e[void 0===t.field?t.name:t.field],t.format)})).join(",")}))).join("\r\n");!0!==Quasar.utils.exportFile(`${n||"table-export"}.csv`,r,"text/csv")&&Quasar.plugins.Notify.create({message:"Browser denied file download...",color:"negative",icon:null})}}},window.windowMixin={i18n:window.i18n,data:function(){return{g:{offline:!navigator.onLine,visibleDrawer:!1,extensions:[],user:null,wallet:null,payments:[],allowedThemes:null,langs:[]}}},methods:{activeLanguage:function(t){return window.i18n.locale===t},changeLanguage:function(t){window.i18n.locale=t,this.$q.localStorage.set("lnbits.lang",t)},changeColor:function(t){document.body.setAttribute("data-theme",t),this.$q.localStorage.set("lnbits.theme",t)},toggleDarkMode:function(){this.$q.dark.toggle(),this.$q.localStorage.set("lnbits.darkMode",this.$q.dark.isActive)},copyText:function(t,e,n){var i=this.$q.notify;Quasar.utils.copyToClipboard(t).then((function(){i({message:e||"Copied to clipboard!",position:n||"bottom"})}))}},created:function(){1==this.$q.localStorage.getItem("lnbits.darkMode")||0==this.$q.localStorage.getItem("lnbits.darkMode")?this.$q.dark.set(this.$q.localStorage.getItem("lnbits.darkMode")):this.$q.dark.set(!0),this.g.allowedThemes=window.allowedThemes??["bitcoin"];let t=this.$q.localStorage.getItem("lnbits.lang");if(t&&(window.LOCALE=t,window.i18n.locale=t),this.g.langs=window.langs??[],addEventListener("offline",(t=>{this.g.offline=!0})),addEventListener("online",(t=>{this.g.offline=!1})),this.$q.localStorage.getItem("lnbits.theme")||this.changeColor(this.g.allowedThemes[0]),this.$q.localStorage.getItem("lnbits.theme")&&!this.g.allowedThemes.includes(this.$q.localStorage.getItem("lnbits.theme"))&&this.changeColor(this.g.allowedThemes[0]),this.$q.localStorage.getItem("lnbits.theme")&&document.body.setAttribute("data-theme",this.$q.localStorage.getItem("lnbits.theme")),window.user&&(this.g.user=Object.freeze(window.LNbits.map.user(window.user))),window.wallet&&(this.g.wallet=Object.freeze(window.LNbits.map.wallet(window.wallet))),window.extensions){var e=this.g.user;const t=Object.freeze(window.extensions.map((function(t){return window.LNbits.map.extension(t)})).filter((function(t){return!t.hidden})).filter((function(t){return window.user.admin?t:!t.isAdminOnly})).map((function(t){return t.isEnabled=!!e&&-1!==e.extensions.indexOf(t.code),t})).sort((function(t,e){const n=t.name.toUpperCase(),i=e.name.toUpperCase();return n<i?-1:n>i?1:0})));this.g.extensions=t}}},window.decryptLnurlPayAES=function(t,e){let n=new Uint8Array(e.match(/[\da-f]{2}/gi).map((t=>parseInt(t,16))));return crypto.subtle.importKey("raw",n,{name:"AES-CBC",length:256},!1,["decrypt"]).then((e=>{let n=Uint8Array.from(window.atob(t.iv),(t=>t.charCodeAt(0))),i=Uint8Array.from(window.atob(t.ciphertext),(t=>t.charCodeAt(0)));return crypto.subtle.decrypt({name:"AES-CBC",iv:n},e,i)})).then((t=>new TextDecoder("utf-8").decode(t)))},Vue.component("lnbits-fsat",{props:{amount:{type:Number,default:0}},template:"<span>{{ fsat }}</span>",computed:{fsat:function(){return LNbits.utils.formatSat(this.amount)}}}),Vue.component("lnbits-wallet-list",{data:function(){return{user:null,activeWallet:null,activeBalance:[],showForm:!1,walletName:"",LNBITS_DENOMINATION:LNBITS_DENOMINATION}},template:'\n    <q-list v-if="user && user.wallets.length" dense class="lnbits-drawer__q-list">\n      <q-item-label header v-text="$t(\'wallets\')"></q-item-label>\n      <q-item v-for="wallet in wallets" :key="wallet.id"\n        clickable\n        :active="activeWallet && activeWallet.id === wallet.id"\n        tag="a" :href="wallet.url">\n        <q-item-section side>\n          <q-avatar size="md"\n            :color="(activeWallet && activeWallet.id === wallet.id)\n              ? (($q.dark.isActive) ? \'primary\' : \'primary\')\n              : \'grey-5\'">\n            <q-icon name="flash_on" :size="($q.dark.isActive) ? \'21px\' : \'20px\'"\n              :color="($q.dark.isActive) ? \'blue-grey-10\' : \'grey-3\'"></q-icon>\n          </q-avatar>\n        </q-item-section>\n        <q-item-section>\n          <q-item-label lines="1">{{ wallet.name }}</q-item-label>\n          <q-item-label v-if="LNBITS_DENOMINATION != \'sats\'" caption>{{ parseFloat(String(wallet.live_fsat).replaceAll(",", "")) / 100  }} {{ LNBITS_DENOMINATION }}</q-item-label>\n          <q-item-label v-else caption>{{ wallet.live_fsat }} {{ LNBITS_DENOMINATION }}</q-item-label>\n        </q-item-section>\n        <q-item-section side v-show="activeWallet && activeWallet.id === wallet.id">\n          <q-icon name="chevron_right" color="grey-5" size="md"></q-icon>\n        </q-item-section>\n      </q-item>\n      <q-item clickable @click="showForm = !showForm">\n        <q-item-section side>\n          <q-icon :name="(showForm) ? \'remove\' : \'add\'" color="grey-5" size="md"></q-icon>\n        </q-item-section>\n        <q-item-section>\n          <q-item-label lines="1" class="text-caption" v-text="$t(\'add_wallet\')"></q-item-label>\n        </q-item-section>\n      </q-item>\n      <q-item v-if="showForm">\n        <q-item-section>\n          <q-form @submit="createWallet">\n            <q-input filled dense v-model="walletName" label="Name wallet *">\n              <template v-slot:append>\n                <q-btn round dense flat icon="send" size="sm" @click="createWallet" :disable="walletName === \'\'"></q-btn>\n              </template>\n            </q-input>\n          </q-form>\n        </q-item-section>\n      </q-item>\n    </q-list>\n  ',computed:{wallets:function(){var t=this.activeBalance;return this.user.wallets.map((function(e){return e.live_fsat=t.length&&t[0]===e.id?LNbits.utils.formatSat(t[1]):e.fsat,e}))}},methods:{createWallet:function(){LNbits.href.createWallet(this.walletName,this.user.id)},updateWalletBalance:function(t){this.activeBalance=t}},created:function(){window.user&&(this.user=LNbits.map.user(window.user)),window.wallet&&(this.activeWallet=LNbits.map.wallet(window.wallet)),EventHub.$on("update-wallet-balance",this.updateWalletBalance)}}),Vue.component("lnbits-extension-list",{data:function(){return{extensions:[],user:null}},template:'\n    <q-list v-if="user" dense class="lnbits-drawer__q-list">\n      <q-item-label header v-text="$t(\'extensions\')"></q-item-label>\n      <q-item v-for="extension in userExtensions" :key="extension.code"\n        clickable\n        :active="extension.isActive"\n        tag="a" :href="[extension.url, \'?usr=\', user.id].join(\'\')">\n        <q-item-section side>\n          <q-avatar size="md">\n            <q-img\n              :src="extension.tile"\n              style="max-width:20px"\n            ></q-img>\n          </q-avatar>\n        </q-item-section>\n        <q-item-section>\n          <q-item-label lines="1">{{ extension.name }} </q-item-label>\n        </q-item-section>\n        <q-item-section side v-show="extension.isActive">\n          <q-icon name="chevron_right" color="grey-5" size="md"></q-icon>\n        </q-item-section>\n      </q-item>\n      <q-item clickable tag="a" :href="[\'/extensions?usr=\', user.id].join(\'\')">\n        <q-item-section side>\n          <q-icon name="clear_all" color="grey-5" size="md"></q-icon>\n        </q-item-section>\n        <q-item-section>\n          <q-item-label lines="1" class="text-caption" v-text="$t(\'extensions\')"></q-item-label>\n        </q-item-section>\n      </q-item>\n      <div class="lt-md q-mt-xl q-mb-xl"></div>\n    </q-list>\n  ',computed:{userExtensions:function(){if(!this.user)return[];var t=window.location.pathname,e=this.user.extensions;return this.extensions.filter((function(t){return-1!==e.indexOf(t.code)})).map((function(e){return e.isActive=t.startsWith(e.url),e}))}},created:function(){window.extensions&&(this.extensions=window.extensions.map((function(t){return LNbits.map.extension(t)})).sort((function(t,e){return t.name.localeCompare(e.name)}))),window.user&&(this.user=LNbits.map.user(window.user))}}),Vue.component("lnbits-admin-ui",{data:function(){return{extensions:[],user:null}},template:'\n    <q-list v-if="user && user.admin" dense class="lnbits-drawer__q-list">\n      <q-item-label header>Admin</q-item-label>\n      <q-item clickable tag="a" :href="[\'/admin?usr=\', user.id].join(\'\')">\n        <q-item-section side>\n          <q-icon name="admin_panel_settings" color="grey-5" size="md"></q-icon>\n        </q-item-section>\n        <q-item-section>\n          <q-item-label lines="1" class="text-caption" v-text="$t(\'manage_server\')"></q-item-label>\n        </q-item-section>\n      </q-item>\n    </q-list>\n  ',created:function(){window.user&&(this.user=LNbits.map.user(window.user))}}),Vue.component("lnbits-payment-details",{props:["payment"],mixins:[windowMixin],data:function(){return{LNBITS_DENOMINATION:LNBITS_DENOMINATION}},template:'\n  <div class="q-py-md" style="text-align: left">\n      \n  <div v-if="payment.tag" class="row justify-center q-mb-md">\n    <q-badge v-if="hasTag" color="yellow" text-color="black">\n      #{{ payment.tag }}\n    </q-badge>\n  </div>\n  \n  <div class="row">\n    <b v-text="$t(\'created\')"></b>:\n    {{ payment.date }} ({{ payment.dateFrom }})\n  </div>\n  \n  <div class="row">\n   <b v-text="$t(\'expiry\')"></b>:\n   {{ payment.expirydate }} ({{ payment.expirydateFrom }})\n  </div>\n  \n  <div class="row">\n   <b v-text="$t(\'amount\')"></b>:\n    {{ (payment.amount / 1000).toFixed(3) }} {{LNBITS_DENOMINATION}}\n  </div>\n  \n  <div class="row">\n    <b v-text="$t(\'fee\')"></b>:\n    {{ (payment.fee / 1000).toFixed(3) }} {{LNBITS_DENOMINATION}}\n  </div>\n  \n  <div class="text-wrap">\n    <b style="white-space: nowrap;" v-text="$t(\'payment_hash\')"></b>:&nbsp;{{ payment.payment_hash }}\n        <q-icon name="content_copy" @click="copyText(payment.payment_hash)" size="1em" color="grey" class="q-mb-xs cursor-pointer" />\n  </div>\n  \n  <div class="text-wrap">\n    <b style="white-space: nowrap;" v-text="$t(\'memo\')"></b>:&nbsp;{{ payment.memo }}\n  </div>\n\n  <div class="text-wrap" v-if="payment.webhook">\n    <b style="white-space: nowrap;" v-text="$t(\'webhook\')"></b>:&nbsp;{{ payment.webhook }}:&nbsp;<q-badge :color="webhookStatusColor" text-color="white">\n      {{ webhookStatusText }}\n    </q-badge>\n  </div>\n\n  <div class="text-wrap" v-if="hasPreimage">\n    <b style="white-space: nowrap;" v-text="$t(\'payment_proof\')"></b>:&nbsp;{{ payment.preimage }}\n  </div>\n\n  <div class="row" v-for="entry in extras">\n    <q-badge v-if="hasTag" color="secondary" text-color="white">\n      extra\n    </q-badge>\n    <b>{{ entry.key }}</b>:\n    {{ entry.value }}\n  </div>\n\n  <div class="row" v-if="hasSuccessAction">\n    <b>Success action</b>:\n      <lnbits-lnurlpay-success-action\n        :payment="payment"\n        :success_action="payment.extra.success_action"\n      ></lnbits-lnurlpay-success-action>\n  </div>\n\n</div>\n  ',computed:{hasPreimage(){return this.payment.preimage&&"0000000000000000000000000000000000000000000000000000000000000000"!==this.payment.preimage},hasSuccessAction(){return this.hasPreimage&&this.payment.extra&&this.payment.extra.success_action},webhookStatusColor(){return this.payment.webhook_status>=300||this.payment.webhook_status<0?"red-10":this.payment.webhook_status?"green-10":"cyan-7"},webhookStatusText(){return this.payment.webhook_status?this.payment.webhook_status:"not sent yet"},hasTag(){return this.payment.extra&&!!this.payment.extra.tag},extras(){if(!this.payment.extra)return[];let t=_.omit(this.payment.extra,["tag","success_action"]);return Object.keys(t).map((e=>({key:e,value:t[e]})))}}}),Vue.component("lnbits-lnurlpay-success-action",{props:["payment","success_action"],data(){return{decryptedValue:this.success_action.ciphertext}},template:'\n    <div>\n      <p class="q-mb-sm">{{ success_action.message || success_action.description }}</p>\n      <code v-if="decryptedValue" class="text-h6 q-mt-sm q-mb-none">\n        {{ decryptedValue }}\n      </code>\n      <p v-else-if="success_action.url" class="text-h6 q-mt-sm q-mb-none">\n        <a target="_blank" style="color: inherit;" :href="success_action.url">{{ success_action.url }}</a>\n      </p>\n    </div>\n  ',mounted:function(){if("aes"!==this.success_action.tag)return null;decryptLnurlPayAES(this.success_action,this.payment.preimage).then((t=>{this.decryptedValue=t}))}});const bech32CharValues="qpzry9x8gf2tvdw0s3jn54khce6mua7l";function byteArrayToInt(t){let e=0;for(let n=0;n<t.length;++n)e=(e<<8)+t[n];return e}function bech32ToInt(t){let e=0;for(let n=0;n<t.length;n++)e*=32,e+=bech32CharValues.indexOf(t.charAt(n));return e}function bech32ToFiveBitArray(t){let e=[];for(let n=0;n<t.length;n++)e.push(bech32CharValues.indexOf(t.charAt(n)));return e}function fiveBitArrayTo8BitArray(t,e){let n=0,i=0,r=[];return t.forEach((t=>{i=(i<<5)+t,n+=5,n>=8&&(r.push(i>>n-8&255),n-=8)})),e&&n>0&&r.push(i<<8-n&255),r}function bech32ToUTF8String(t){let e=fiveBitArrayTo8BitArray(bech32ToFiveBitArray(t)),n="";for(let t=0;t<e.length;t++)n+="%"+("0"+e[t].toString(16)).slice(-2);return decodeURIComponent(n)}function byteArrayToHexString(t){return Array.prototype.map.call(t,(function(t){return("0"+(255&t).toString(16)).slice(-2)})).join("")}function textToHexString(t){let e="";for(let n=0;n<t.length;n++)e+=t.charCodeAt(n).toString(16);return e}function epochToDate(t){return new Date(1e3*t).toUTCString()}function isEmptyOrSpaces(t){return null===t||null!==t.match(/^ *$/)}function toFixed(t){var e;Math.abs(t)<1?(e=parseInt(t.toString().split("e-")[1]))&&(t*=Math.pow(10,e-1),t="0."+new Array(e).join("0")+t.toString().substring(2)):(e=parseInt(t.toString().split("+")[1]))>20&&(e-=20,t/=Math.pow(10,e),t+=new Array(e+1).join("0"));return t}
